#include <qabstractscrollarea.h>
#include <qaction.h>
#include <qbytearray.h>
#include <qchar.h>
#include <qcolor.h>
#include <qcoreevent.h>
#include <qcursor.h>
#include <qdatastream.h>
#include <qdom.h>
#include <qevent.h>
#include <qfont.h>
#include <qframe.h>
#include <qimage.h>
#include <qline.h>
#include <qobject.h>
#include <qobjectdefs.h>
#include <qpaintdevice.h>
#include <qpaintengine.h>
#include <qpainter.h>
#include <qpainterpath.h>
#include <qpalette.h>
#include <qpixmap.h>
#include <qpoint.h>
#include <qrect.h>
#include <qscrollarea.h>
#include <qsize.h>
#include <qstyle.h>
#include <qtextdocument.h>
#include <qvariant.h>
#include <qwidget.h>
#include <dom/css_rule.h>
#include <dom/css_stylesheet.h>
#include <dom/css_value.h>
#include <dom/dom2_events.h>
#include <dom/dom2_range.h>
#include <dom/dom2_traversal.h>
#include <dom/dom2_views.h>
#include <dom/dom_doc.h>
#include <dom/dom_element.h>
#include <dom/dom_exception.h>
#include <dom/dom_misc.h>
#include <dom/dom_node.h>
#include <dom/dom_string.h>
#include <dom/dom_text.h>
#include <dom/dom_xml.h>
#include <dom/html_base.h>
#include <dom/html_block.h>
#include <dom/html_document.h>
#include <dom/html_element.h>
#include <dom/html_form.h>
#include <dom/html_head.h>
#include <dom/html_image.h>
#include <dom/html_inline.h>
#include <dom/html_list.h>
#include <dom/html_misc.h>
#include <dom/html_object.h>
#include <dom/html_table.h>
#include <kactioncollection.h>
#include <kcomponentdata.h>
#include <kconfig.h>
#include <kconfiggroup.h>
#include <kfinddialog.h>
#include <khtml_part.h>
#include <khtml_settings.h>
#include <khtmlview.h>
#include <kiconloader.h>
#include <kio/jobclasses.h>
#include <kio/previewjob.h>
#include <kjob.h>
#include <kparts/browserextension.h>
#include <kparts/event.h>
#include <kparts/part.h>
#include <kparts/partmanager.h>
#include <kurl.h>
#include <kxmlguiclient.h>

#include <smoke.h>

#include <khtml_smoke.h>

static void *khtml_cast(void *xptr, Smoke::Index from, Smoke::Index to) {
    switch(from) {
      case 2:	//DOM::AbstractView
	switch(to) {
	    case 2: return (void*)(DOM::AbstractView*)(DOM::AbstractView*)xptr;
	  default: return xptr;
	}
      case 3:	//DOM::Attr
	switch(to) {
	    case 102: return (void*)(DOM::Node*)(DOM::Attr*)xptr;
	    case 3: return (void*)(DOM::Attr*)(DOM::Attr*)xptr;
	  default: return xptr;
	}
      case 4:	//DOM::CDATASection
	switch(to) {
	    case 114: return (void*)(DOM::Text*)(DOM::CDATASection*)xptr;
	    case 20: return (void*)(DOM::CharacterData*)(DOM::CDATASection*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::CDATASection*)xptr;
	    case 4: return (void*)(DOM::CDATASection*)(DOM::CDATASection*)xptr;
	  default: return xptr;
	}
      case 5:	//DOM::CSSCharsetRule
	switch(to) {
	    case 12: return (void*)(DOM::CSSRule*)(DOM::CSSCharsetRule*)xptr;
	    case 5: return (void*)(DOM::CSSCharsetRule*)(DOM::CSSCharsetRule*)xptr;
	  default: return xptr;
	}
      case 6:	//DOM::CSSException
	switch(to) {
	    case 6: return (void*)(DOM::CSSException*)(DOM::CSSException*)xptr;
	  default: return xptr;
	}
      case 7:	//DOM::CSSFontFaceRule
	switch(to) {
	    case 12: return (void*)(DOM::CSSRule*)(DOM::CSSFontFaceRule*)xptr;
	    case 7: return (void*)(DOM::CSSFontFaceRule*)(DOM::CSSFontFaceRule*)xptr;
	  default: return xptr;
	}
      case 8:	//DOM::CSSImportRule
	switch(to) {
	    case 12: return (void*)(DOM::CSSRule*)(DOM::CSSImportRule*)xptr;
	    case 8: return (void*)(DOM::CSSImportRule*)(DOM::CSSImportRule*)xptr;
	  default: return xptr;
	}
      case 9:	//DOM::CSSMediaRule
	switch(to) {
	    case 12: return (void*)(DOM::CSSRule*)(DOM::CSSMediaRule*)xptr;
	    case 9: return (void*)(DOM::CSSMediaRule*)(DOM::CSSMediaRule*)xptr;
	  default: return xptr;
	}
      case 10:	//DOM::CSSPageRule
	switch(to) {
	    case 12: return (void*)(DOM::CSSRule*)(DOM::CSSPageRule*)xptr;
	    case 10: return (void*)(DOM::CSSPageRule*)(DOM::CSSPageRule*)xptr;
	  default: return xptr;
	}
      case 11:	//DOM::CSSPrimitiveValue
	switch(to) {
	    case 18: return (void*)(DOM::CSSValue*)(DOM::CSSPrimitiveValue*)xptr;
	    case 11: return (void*)(DOM::CSSPrimitiveValue*)(DOM::CSSPrimitiveValue*)xptr;
	  default: return xptr;
	}
      case 12:	//DOM::CSSRule
	switch(to) {
	    case 12: return (void*)(DOM::CSSRule*)(DOM::CSSRule*)xptr;
	    case 5: return (void*)(DOM::CSSCharsetRule*)(DOM::CSSRule*)xptr;
	    case 7: return (void*)(DOM::CSSFontFaceRule*)(DOM::CSSRule*)xptr;
	    case 8: return (void*)(DOM::CSSImportRule*)(DOM::CSSRule*)xptr;
	    case 9: return (void*)(DOM::CSSMediaRule*)(DOM::CSSRule*)xptr;
	    case 10: return (void*)(DOM::CSSPageRule*)(DOM::CSSRule*)xptr;
	    case 15: return (void*)(DOM::CSSStyleRule*)(DOM::CSSRule*)xptr;
	    case 17: return (void*)(DOM::CSSUnknownRule*)(DOM::CSSRule*)xptr;
	  default: return xptr;
	}
      case 13:	//DOM::CSSRuleList
	switch(to) {
	    case 13: return (void*)(DOM::CSSRuleList*)(DOM::CSSRuleList*)xptr;
	  default: return xptr;
	}
      case 14:	//DOM::CSSStyleDeclaration
	switch(to) {
	    case 14: return (void*)(DOM::CSSStyleDeclaration*)(DOM::CSSStyleDeclaration*)xptr;
	  default: return xptr;
	}
      case 15:	//DOM::CSSStyleRule
	switch(to) {
	    case 12: return (void*)(DOM::CSSRule*)(DOM::CSSStyleRule*)xptr;
	    case 15: return (void*)(DOM::CSSStyleRule*)(DOM::CSSStyleRule*)xptr;
	  default: return xptr;
	}
      case 16:	//DOM::CSSStyleSheet
	switch(to) {
	    case 112: return (void*)(DOM::StyleSheet*)(DOM::CSSStyleSheet*)xptr;
	    case 16: return (void*)(DOM::CSSStyleSheet*)(DOM::CSSStyleSheet*)xptr;
	  default: return xptr;
	}
      case 17:	//DOM::CSSUnknownRule
	switch(to) {
	    case 12: return (void*)(DOM::CSSRule*)(DOM::CSSUnknownRule*)xptr;
	    case 17: return (void*)(DOM::CSSUnknownRule*)(DOM::CSSUnknownRule*)xptr;
	  default: return xptr;
	}
      case 18:	//DOM::CSSValue
	switch(to) {
	    case 18: return (void*)(DOM::CSSValue*)(DOM::CSSValue*)xptr;
	    case 11: return (void*)(DOM::CSSPrimitiveValue*)(DOM::CSSValue*)xptr;
	    case 19: return (void*)(DOM::CSSValueList*)(DOM::CSSValue*)xptr;
	  default: return xptr;
	}
      case 19:	//DOM::CSSValueList
	switch(to) {
	    case 18: return (void*)(DOM::CSSValue*)(DOM::CSSValueList*)xptr;
	    case 19: return (void*)(DOM::CSSValueList*)(DOM::CSSValueList*)xptr;
	  default: return xptr;
	}
      case 20:	//DOM::CharacterData
	switch(to) {
	    case 102: return (void*)(DOM::Node*)(DOM::CharacterData*)xptr;
	    case 20: return (void*)(DOM::CharacterData*)(DOM::CharacterData*)xptr;
	    case 4: return (void*)(DOM::CDATASection*)(DOM::CharacterData*)xptr;
	    case 21: return (void*)(DOM::Comment*)(DOM::CharacterData*)xptr;
	    case 114: return (void*)(DOM::Text*)(DOM::CharacterData*)xptr;
	  default: return xptr;
	}
      case 21:	//DOM::Comment
	switch(to) {
	    case 20: return (void*)(DOM::CharacterData*)(DOM::Comment*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::Comment*)xptr;
	    case 21: return (void*)(DOM::Comment*)(DOM::Comment*)xptr;
	  default: return xptr;
	}
      case 22:	//DOM::Counter
	switch(to) {
	    case 22: return (void*)(DOM::Counter*)(DOM::Counter*)xptr;
	  default: return xptr;
	}
      case 23:	//DOM::CustomNodeFilter
	switch(to) {
	    case 31: return (void*)(DOM::DomShared*)(DOM::CustomNodeFilter*)xptr;
	    case 23: return (void*)(DOM::CustomNodeFilter*)(DOM::CustomNodeFilter*)xptr;
	  default: return xptr;
	}
      case 24:	//DOM::DOMException
	switch(to) {
	    case 24: return (void*)(DOM::DOMException*)(DOM::DOMException*)xptr;
	  default: return xptr;
	}
      case 25:	//DOM::DOMImplementation
	switch(to) {
	    case 25: return (void*)(DOM::DOMImplementation*)(DOM::DOMImplementation*)xptr;
	  default: return xptr;
	}
      case 26:	//DOM::DOMString
	switch(to) {
	    case 26: return (void*)(DOM::DOMString*)(DOM::DOMString*)xptr;
	  default: return xptr;
	}
      case 27:	//DOM::Document
	switch(to) {
	    case 102: return (void*)(DOM::Node*)(DOM::Document*)xptr;
	    case 27: return (void*)(DOM::Document*)(DOM::Document*)xptr;
	    case 51: return (void*)(DOM::HTMLDocument*)(DOM::Document*)xptr;
	  default: return xptr;
	}
      case 28:	//DOM::DocumentFragment
	switch(to) {
	    case 102: return (void*)(DOM::Node*)(DOM::DocumentFragment*)xptr;
	    case 28: return (void*)(DOM::DocumentFragment*)(DOM::DocumentFragment*)xptr;
	  default: return xptr;
	}
      case 29:	//DOM::DocumentStyle
	switch(to) {
	    case 29: return (void*)(DOM::DocumentStyle*)(DOM::DocumentStyle*)xptr;
	  default: return xptr;
	}
      case 30:	//DOM::DocumentType
	switch(to) {
	    case 102: return (void*)(DOM::Node*)(DOM::DocumentType*)xptr;
	    case 30: return (void*)(DOM::DocumentType*)(DOM::DocumentType*)xptr;
	  default: return xptr;
	}
      case 31:	//DOM::DomShared
	switch(to) {
	    case 31: return (void*)(DOM::DomShared*)(DOM::DomShared*)xptr;
	    case 23: return (void*)(DOM::CustomNodeFilter*)(DOM::DomShared*)xptr;
	    case 37: return (void*)(DOM::EventListener*)(DOM::DomShared*)xptr;
	  default: return xptr;
	}
      case 32:	//DOM::Element
	switch(to) {
	    case 102: return (void*)(DOM::Node*)(DOM::Element*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::Element*)xptr;
	    case 38: return (void*)(DOM::HTMLAnchorElement*)(DOM::Element*)xptr;
	    case 39: return (void*)(DOM::HTMLAppletElement*)(DOM::Element*)xptr;
	    case 40: return (void*)(DOM::HTMLAreaElement*)(DOM::Element*)xptr;
	    case 41: return (void*)(DOM::HTMLBRElement*)(DOM::Element*)xptr;
	    case 42: return (void*)(DOM::HTMLBaseElement*)(DOM::Element*)xptr;
	    case 43: return (void*)(DOM::HTMLBaseFontElement*)(DOM::Element*)xptr;
	    case 44: return (void*)(DOM::HTMLBlockquoteElement*)(DOM::Element*)xptr;
	    case 45: return (void*)(DOM::HTMLBodyElement*)(DOM::Element*)xptr;
	    case 46: return (void*)(DOM::HTMLButtonElement*)(DOM::Element*)xptr;
	    case 48: return (void*)(DOM::HTMLDListElement*)(DOM::Element*)xptr;
	    case 49: return (void*)(DOM::HTMLDirectoryElement*)(DOM::Element*)xptr;
	    case 50: return (void*)(DOM::HTMLDivElement*)(DOM::Element*)xptr;
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::Element*)xptr;
	    case 53: return (void*)(DOM::HTMLFieldSetElement*)(DOM::Element*)xptr;
	    case 54: return (void*)(DOM::HTMLFontElement*)(DOM::Element*)xptr;
	    case 56: return (void*)(DOM::HTMLFormElement*)(DOM::Element*)xptr;
	    case 57: return (void*)(DOM::HTMLFrameElement*)(DOM::Element*)xptr;
	    case 58: return (void*)(DOM::HTMLFrameSetElement*)(DOM::Element*)xptr;
	    case 59: return (void*)(DOM::HTMLHRElement*)(DOM::Element*)xptr;
	    case 60: return (void*)(DOM::HTMLHeadElement*)(DOM::Element*)xptr;
	    case 61: return (void*)(DOM::HTMLHeadingElement*)(DOM::Element*)xptr;
	    case 62: return (void*)(DOM::HTMLHtmlElement*)(DOM::Element*)xptr;
	    case 63: return (void*)(DOM::HTMLIFrameElement*)(DOM::Element*)xptr;
	    case 64: return (void*)(DOM::HTMLImageElement*)(DOM::Element*)xptr;
	    case 65: return (void*)(DOM::HTMLInputElement*)(DOM::Element*)xptr;
	    case 66: return (void*)(DOM::HTMLIsIndexElement*)(DOM::Element*)xptr;
	    case 67: return (void*)(DOM::HTMLLIElement*)(DOM::Element*)xptr;
	    case 68: return (void*)(DOM::HTMLLabelElement*)(DOM::Element*)xptr;
	    case 69: return (void*)(DOM::HTMLLayerElement*)(DOM::Element*)xptr;
	    case 70: return (void*)(DOM::HTMLLegendElement*)(DOM::Element*)xptr;
	    case 71: return (void*)(DOM::HTMLLinkElement*)(DOM::Element*)xptr;
	    case 72: return (void*)(DOM::HTMLMapElement*)(DOM::Element*)xptr;
	    case 73: return (void*)(DOM::HTMLMenuElement*)(DOM::Element*)xptr;
	    case 74: return (void*)(DOM::HTMLMetaElement*)(DOM::Element*)xptr;
	    case 75: return (void*)(DOM::HTMLModElement*)(DOM::Element*)xptr;
	    case 76: return (void*)(DOM::HTMLOListElement*)(DOM::Element*)xptr;
	    case 77: return (void*)(DOM::HTMLObjectElement*)(DOM::Element*)xptr;
	    case 78: return (void*)(DOM::HTMLOptGroupElement*)(DOM::Element*)xptr;
	    case 79: return (void*)(DOM::HTMLOptionElement*)(DOM::Element*)xptr;
	    case 80: return (void*)(DOM::HTMLParagraphElement*)(DOM::Element*)xptr;
	    case 81: return (void*)(DOM::HTMLParamElement*)(DOM::Element*)xptr;
	    case 82: return (void*)(DOM::HTMLPreElement*)(DOM::Element*)xptr;
	    case 83: return (void*)(DOM::HTMLQuoteElement*)(DOM::Element*)xptr;
	    case 84: return (void*)(DOM::HTMLScriptElement*)(DOM::Element*)xptr;
	    case 85: return (void*)(DOM::HTMLSelectElement*)(DOM::Element*)xptr;
	    case 86: return (void*)(DOM::HTMLStyleElement*)(DOM::Element*)xptr;
	    case 87: return (void*)(DOM::HTMLTableCaptionElement*)(DOM::Element*)xptr;
	    case 88: return (void*)(DOM::HTMLTableCellElement*)(DOM::Element*)xptr;
	    case 89: return (void*)(DOM::HTMLTableColElement*)(DOM::Element*)xptr;
	    case 90: return (void*)(DOM::HTMLTableElement*)(DOM::Element*)xptr;
	    case 91: return (void*)(DOM::HTMLTableRowElement*)(DOM::Element*)xptr;
	    case 92: return (void*)(DOM::HTMLTableSectionElement*)(DOM::Element*)xptr;
	    case 93: return (void*)(DOM::HTMLTextAreaElement*)(DOM::Element*)xptr;
	    case 94: return (void*)(DOM::HTMLTitleElement*)(DOM::Element*)xptr;
	    case 95: return (void*)(DOM::HTMLUListElement*)(DOM::Element*)xptr;
	  default: return xptr;
	}
      case 33:	//DOM::Entity
	switch(to) {
	    case 102: return (void*)(DOM::Node*)(DOM::Entity*)xptr;
	    case 33: return (void*)(DOM::Entity*)(DOM::Entity*)xptr;
	  default: return xptr;
	}
      case 34:	//DOM::EntityReference
	switch(to) {
	    case 102: return (void*)(DOM::Node*)(DOM::EntityReference*)xptr;
	    case 34: return (void*)(DOM::EntityReference*)(DOM::EntityReference*)xptr;
	  default: return xptr;
	}
      case 35:	//DOM::Event
	switch(to) {
	    case 35: return (void*)(DOM::Event*)(DOM::Event*)xptr;
	    case 96: return (void*)(DOM::KeyboardEvent*)(DOM::Event*)xptr;
	    case 99: return (void*)(DOM::MouseEvent*)(DOM::Event*)xptr;
	    case 100: return (void*)(DOM::MutationEvent*)(DOM::Event*)xptr;
	    case 115: return (void*)(DOM::TextEvent*)(DOM::Event*)xptr;
	    case 117: return (void*)(DOM::UIEvent*)(DOM::Event*)xptr;
	  default: return xptr;
	}
      case 36:	//DOM::EventException
	switch(to) {
	    case 36: return (void*)(DOM::EventException*)(DOM::EventException*)xptr;
	  default: return xptr;
	}
      case 37:	//DOM::EventListener
	switch(to) {
	    case 31: return (void*)(DOM::DomShared*)(DOM::EventListener*)xptr;
	    case 37: return (void*)(DOM::EventListener*)(DOM::EventListener*)xptr;
	  default: return xptr;
	}
      case 38:	//DOM::HTMLAnchorElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLAnchorElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLAnchorElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLAnchorElement*)xptr;
	    case 38: return (void*)(DOM::HTMLAnchorElement*)(DOM::HTMLAnchorElement*)xptr;
	  default: return xptr;
	}
      case 39:	//DOM::HTMLAppletElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLAppletElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLAppletElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLAppletElement*)xptr;
	    case 39: return (void*)(DOM::HTMLAppletElement*)(DOM::HTMLAppletElement*)xptr;
	  default: return xptr;
	}
      case 40:	//DOM::HTMLAreaElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLAreaElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLAreaElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLAreaElement*)xptr;
	    case 40: return (void*)(DOM::HTMLAreaElement*)(DOM::HTMLAreaElement*)xptr;
	  default: return xptr;
	}
      case 41:	//DOM::HTMLBRElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLBRElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLBRElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLBRElement*)xptr;
	    case 41: return (void*)(DOM::HTMLBRElement*)(DOM::HTMLBRElement*)xptr;
	  default: return xptr;
	}
      case 42:	//DOM::HTMLBaseElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLBaseElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLBaseElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLBaseElement*)xptr;
	    case 42: return (void*)(DOM::HTMLBaseElement*)(DOM::HTMLBaseElement*)xptr;
	  default: return xptr;
	}
      case 43:	//DOM::HTMLBaseFontElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLBaseFontElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLBaseFontElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLBaseFontElement*)xptr;
	    case 43: return (void*)(DOM::HTMLBaseFontElement*)(DOM::HTMLBaseFontElement*)xptr;
	  default: return xptr;
	}
      case 44:	//DOM::HTMLBlockquoteElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLBlockquoteElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLBlockquoteElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLBlockquoteElement*)xptr;
	    case 44: return (void*)(DOM::HTMLBlockquoteElement*)(DOM::HTMLBlockquoteElement*)xptr;
	  default: return xptr;
	}
      case 45:	//DOM::HTMLBodyElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLBodyElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLBodyElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLBodyElement*)xptr;
	    case 45: return (void*)(DOM::HTMLBodyElement*)(DOM::HTMLBodyElement*)xptr;
	  default: return xptr;
	}
      case 46:	//DOM::HTMLButtonElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLButtonElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLButtonElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLButtonElement*)xptr;
	    case 46: return (void*)(DOM::HTMLButtonElement*)(DOM::HTMLButtonElement*)xptr;
	  default: return xptr;
	}
      case 47:	//DOM::HTMLCollection
	switch(to) {
	    case 47: return (void*)(DOM::HTMLCollection*)(DOM::HTMLCollection*)xptr;
	    case 55: return (void*)(DOM::HTMLFormCollection*)(DOM::HTMLCollection*)xptr;
	  default: return xptr;
	}
      case 48:	//DOM::HTMLDListElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLDListElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLDListElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLDListElement*)xptr;
	    case 48: return (void*)(DOM::HTMLDListElement*)(DOM::HTMLDListElement*)xptr;
	  default: return xptr;
	}
      case 49:	//DOM::HTMLDirectoryElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLDirectoryElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLDirectoryElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLDirectoryElement*)xptr;
	    case 49: return (void*)(DOM::HTMLDirectoryElement*)(DOM::HTMLDirectoryElement*)xptr;
	  default: return xptr;
	}
      case 50:	//DOM::HTMLDivElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLDivElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLDivElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLDivElement*)xptr;
	    case 50: return (void*)(DOM::HTMLDivElement*)(DOM::HTMLDivElement*)xptr;
	  default: return xptr;
	}
      case 51:	//DOM::HTMLDocument
	switch(to) {
	    case 27: return (void*)(DOM::Document*)(DOM::HTMLDocument*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLDocument*)xptr;
	    case 51: return (void*)(DOM::HTMLDocument*)(DOM::HTMLDocument*)xptr;
	  default: return xptr;
	}
      case 52:	//DOM::HTMLElement
	switch(to) {
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLElement*)xptr;
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLElement*)xptr;
	    case 38: return (void*)(DOM::HTMLAnchorElement*)(DOM::HTMLElement*)xptr;
	    case 39: return (void*)(DOM::HTMLAppletElement*)(DOM::HTMLElement*)xptr;
	    case 40: return (void*)(DOM::HTMLAreaElement*)(DOM::HTMLElement*)xptr;
	    case 41: return (void*)(DOM::HTMLBRElement*)(DOM::HTMLElement*)xptr;
	    case 42: return (void*)(DOM::HTMLBaseElement*)(DOM::HTMLElement*)xptr;
	    case 43: return (void*)(DOM::HTMLBaseFontElement*)(DOM::HTMLElement*)xptr;
	    case 44: return (void*)(DOM::HTMLBlockquoteElement*)(DOM::HTMLElement*)xptr;
	    case 45: return (void*)(DOM::HTMLBodyElement*)(DOM::HTMLElement*)xptr;
	    case 46: return (void*)(DOM::HTMLButtonElement*)(DOM::HTMLElement*)xptr;
	    case 48: return (void*)(DOM::HTMLDListElement*)(DOM::HTMLElement*)xptr;
	    case 49: return (void*)(DOM::HTMLDirectoryElement*)(DOM::HTMLElement*)xptr;
	    case 50: return (void*)(DOM::HTMLDivElement*)(DOM::HTMLElement*)xptr;
	    case 53: return (void*)(DOM::HTMLFieldSetElement*)(DOM::HTMLElement*)xptr;
	    case 54: return (void*)(DOM::HTMLFontElement*)(DOM::HTMLElement*)xptr;
	    case 56: return (void*)(DOM::HTMLFormElement*)(DOM::HTMLElement*)xptr;
	    case 57: return (void*)(DOM::HTMLFrameElement*)(DOM::HTMLElement*)xptr;
	    case 58: return (void*)(DOM::HTMLFrameSetElement*)(DOM::HTMLElement*)xptr;
	    case 59: return (void*)(DOM::HTMLHRElement*)(DOM::HTMLElement*)xptr;
	    case 60: return (void*)(DOM::HTMLHeadElement*)(DOM::HTMLElement*)xptr;
	    case 61: return (void*)(DOM::HTMLHeadingElement*)(DOM::HTMLElement*)xptr;
	    case 62: return (void*)(DOM::HTMLHtmlElement*)(DOM::HTMLElement*)xptr;
	    case 63: return (void*)(DOM::HTMLIFrameElement*)(DOM::HTMLElement*)xptr;
	    case 64: return (void*)(DOM::HTMLImageElement*)(DOM::HTMLElement*)xptr;
	    case 65: return (void*)(DOM::HTMLInputElement*)(DOM::HTMLElement*)xptr;
	    case 66: return (void*)(DOM::HTMLIsIndexElement*)(DOM::HTMLElement*)xptr;
	    case 67: return (void*)(DOM::HTMLLIElement*)(DOM::HTMLElement*)xptr;
	    case 68: return (void*)(DOM::HTMLLabelElement*)(DOM::HTMLElement*)xptr;
	    case 69: return (void*)(DOM::HTMLLayerElement*)(DOM::HTMLElement*)xptr;
	    case 70: return (void*)(DOM::HTMLLegendElement*)(DOM::HTMLElement*)xptr;
	    case 71: return (void*)(DOM::HTMLLinkElement*)(DOM::HTMLElement*)xptr;
	    case 72: return (void*)(DOM::HTMLMapElement*)(DOM::HTMLElement*)xptr;
	    case 73: return (void*)(DOM::HTMLMenuElement*)(DOM::HTMLElement*)xptr;
	    case 74: return (void*)(DOM::HTMLMetaElement*)(DOM::HTMLElement*)xptr;
	    case 75: return (void*)(DOM::HTMLModElement*)(DOM::HTMLElement*)xptr;
	    case 76: return (void*)(DOM::HTMLOListElement*)(DOM::HTMLElement*)xptr;
	    case 77: return (void*)(DOM::HTMLObjectElement*)(DOM::HTMLElement*)xptr;
	    case 78: return (void*)(DOM::HTMLOptGroupElement*)(DOM::HTMLElement*)xptr;
	    case 79: return (void*)(DOM::HTMLOptionElement*)(DOM::HTMLElement*)xptr;
	    case 80: return (void*)(DOM::HTMLParagraphElement*)(DOM::HTMLElement*)xptr;
	    case 81: return (void*)(DOM::HTMLParamElement*)(DOM::HTMLElement*)xptr;
	    case 82: return (void*)(DOM::HTMLPreElement*)(DOM::HTMLElement*)xptr;
	    case 83: return (void*)(DOM::HTMLQuoteElement*)(DOM::HTMLElement*)xptr;
	    case 84: return (void*)(DOM::HTMLScriptElement*)(DOM::HTMLElement*)xptr;
	    case 85: return (void*)(DOM::HTMLSelectElement*)(DOM::HTMLElement*)xptr;
	    case 86: return (void*)(DOM::HTMLStyleElement*)(DOM::HTMLElement*)xptr;
	    case 87: return (void*)(DOM::HTMLTableCaptionElement*)(DOM::HTMLElement*)xptr;
	    case 88: return (void*)(DOM::HTMLTableCellElement*)(DOM::HTMLElement*)xptr;
	    case 89: return (void*)(DOM::HTMLTableColElement*)(DOM::HTMLElement*)xptr;
	    case 90: return (void*)(DOM::HTMLTableElement*)(DOM::HTMLElement*)xptr;
	    case 91: return (void*)(DOM::HTMLTableRowElement*)(DOM::HTMLElement*)xptr;
	    case 92: return (void*)(DOM::HTMLTableSectionElement*)(DOM::HTMLElement*)xptr;
	    case 93: return (void*)(DOM::HTMLTextAreaElement*)(DOM::HTMLElement*)xptr;
	    case 94: return (void*)(DOM::HTMLTitleElement*)(DOM::HTMLElement*)xptr;
	    case 95: return (void*)(DOM::HTMLUListElement*)(DOM::HTMLElement*)xptr;
	  default: return xptr;
	}
      case 53:	//DOM::HTMLFieldSetElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLFieldSetElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLFieldSetElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLFieldSetElement*)xptr;
	    case 53: return (void*)(DOM::HTMLFieldSetElement*)(DOM::HTMLFieldSetElement*)xptr;
	  default: return xptr;
	}
      case 54:	//DOM::HTMLFontElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLFontElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLFontElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLFontElement*)xptr;
	    case 54: return (void*)(DOM::HTMLFontElement*)(DOM::HTMLFontElement*)xptr;
	  default: return xptr;
	}
      case 55:	//DOM::HTMLFormCollection
	switch(to) {
	    case 47: return (void*)(DOM::HTMLCollection*)(DOM::HTMLFormCollection*)xptr;
	    case 55: return (void*)(DOM::HTMLFormCollection*)(DOM::HTMLFormCollection*)xptr;
	  default: return xptr;
	}
      case 56:	//DOM::HTMLFormElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLFormElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLFormElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLFormElement*)xptr;
	    case 56: return (void*)(DOM::HTMLFormElement*)(DOM::HTMLFormElement*)xptr;
	  default: return xptr;
	}
      case 57:	//DOM::HTMLFrameElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLFrameElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLFrameElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLFrameElement*)xptr;
	    case 57: return (void*)(DOM::HTMLFrameElement*)(DOM::HTMLFrameElement*)xptr;
	  default: return xptr;
	}
      case 58:	//DOM::HTMLFrameSetElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLFrameSetElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLFrameSetElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLFrameSetElement*)xptr;
	    case 58: return (void*)(DOM::HTMLFrameSetElement*)(DOM::HTMLFrameSetElement*)xptr;
	  default: return xptr;
	}
      case 59:	//DOM::HTMLHRElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLHRElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLHRElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLHRElement*)xptr;
	    case 59: return (void*)(DOM::HTMLHRElement*)(DOM::HTMLHRElement*)xptr;
	  default: return xptr;
	}
      case 60:	//DOM::HTMLHeadElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLHeadElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLHeadElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLHeadElement*)xptr;
	    case 60: return (void*)(DOM::HTMLHeadElement*)(DOM::HTMLHeadElement*)xptr;
	  default: return xptr;
	}
      case 61:	//DOM::HTMLHeadingElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLHeadingElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLHeadingElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLHeadingElement*)xptr;
	    case 61: return (void*)(DOM::HTMLHeadingElement*)(DOM::HTMLHeadingElement*)xptr;
	  default: return xptr;
	}
      case 62:	//DOM::HTMLHtmlElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLHtmlElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLHtmlElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLHtmlElement*)xptr;
	    case 62: return (void*)(DOM::HTMLHtmlElement*)(DOM::HTMLHtmlElement*)xptr;
	  default: return xptr;
	}
      case 63:	//DOM::HTMLIFrameElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLIFrameElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLIFrameElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLIFrameElement*)xptr;
	    case 63: return (void*)(DOM::HTMLIFrameElement*)(DOM::HTMLIFrameElement*)xptr;
	  default: return xptr;
	}
      case 64:	//DOM::HTMLImageElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLImageElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLImageElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLImageElement*)xptr;
	    case 64: return (void*)(DOM::HTMLImageElement*)(DOM::HTMLImageElement*)xptr;
	  default: return xptr;
	}
      case 65:	//DOM::HTMLInputElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLInputElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLInputElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLInputElement*)xptr;
	    case 65: return (void*)(DOM::HTMLInputElement*)(DOM::HTMLInputElement*)xptr;
	  default: return xptr;
	}
      case 66:	//DOM::HTMLIsIndexElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLIsIndexElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLIsIndexElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLIsIndexElement*)xptr;
	    case 66: return (void*)(DOM::HTMLIsIndexElement*)(DOM::HTMLIsIndexElement*)xptr;
	  default: return xptr;
	}
      case 67:	//DOM::HTMLLIElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLLIElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLLIElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLLIElement*)xptr;
	    case 67: return (void*)(DOM::HTMLLIElement*)(DOM::HTMLLIElement*)xptr;
	  default: return xptr;
	}
      case 68:	//DOM::HTMLLabelElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLLabelElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLLabelElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLLabelElement*)xptr;
	    case 68: return (void*)(DOM::HTMLLabelElement*)(DOM::HTMLLabelElement*)xptr;
	  default: return xptr;
	}
      case 69:	//DOM::HTMLLayerElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLLayerElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLLayerElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLLayerElement*)xptr;
	    case 69: return (void*)(DOM::HTMLLayerElement*)(DOM::HTMLLayerElement*)xptr;
	  default: return xptr;
	}
      case 70:	//DOM::HTMLLegendElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLLegendElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLLegendElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLLegendElement*)xptr;
	    case 70: return (void*)(DOM::HTMLLegendElement*)(DOM::HTMLLegendElement*)xptr;
	  default: return xptr;
	}
      case 71:	//DOM::HTMLLinkElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLLinkElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLLinkElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLLinkElement*)xptr;
	    case 71: return (void*)(DOM::HTMLLinkElement*)(DOM::HTMLLinkElement*)xptr;
	  default: return xptr;
	}
      case 72:	//DOM::HTMLMapElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLMapElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLMapElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLMapElement*)xptr;
	    case 72: return (void*)(DOM::HTMLMapElement*)(DOM::HTMLMapElement*)xptr;
	  default: return xptr;
	}
      case 73:	//DOM::HTMLMenuElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLMenuElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLMenuElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLMenuElement*)xptr;
	    case 73: return (void*)(DOM::HTMLMenuElement*)(DOM::HTMLMenuElement*)xptr;
	  default: return xptr;
	}
      case 74:	//DOM::HTMLMetaElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLMetaElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLMetaElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLMetaElement*)xptr;
	    case 74: return (void*)(DOM::HTMLMetaElement*)(DOM::HTMLMetaElement*)xptr;
	  default: return xptr;
	}
      case 75:	//DOM::HTMLModElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLModElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLModElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLModElement*)xptr;
	    case 75: return (void*)(DOM::HTMLModElement*)(DOM::HTMLModElement*)xptr;
	  default: return xptr;
	}
      case 76:	//DOM::HTMLOListElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLOListElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLOListElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLOListElement*)xptr;
	    case 76: return (void*)(DOM::HTMLOListElement*)(DOM::HTMLOListElement*)xptr;
	  default: return xptr;
	}
      case 77:	//DOM::HTMLObjectElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLObjectElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLObjectElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLObjectElement*)xptr;
	    case 77: return (void*)(DOM::HTMLObjectElement*)(DOM::HTMLObjectElement*)xptr;
	  default: return xptr;
	}
      case 78:	//DOM::HTMLOptGroupElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLOptGroupElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLOptGroupElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLOptGroupElement*)xptr;
	    case 78: return (void*)(DOM::HTMLOptGroupElement*)(DOM::HTMLOptGroupElement*)xptr;
	  default: return xptr;
	}
      case 79:	//DOM::HTMLOptionElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLOptionElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLOptionElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLOptionElement*)xptr;
	    case 79: return (void*)(DOM::HTMLOptionElement*)(DOM::HTMLOptionElement*)xptr;
	  default: return xptr;
	}
      case 80:	//DOM::HTMLParagraphElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLParagraphElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLParagraphElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLParagraphElement*)xptr;
	    case 80: return (void*)(DOM::HTMLParagraphElement*)(DOM::HTMLParagraphElement*)xptr;
	  default: return xptr;
	}
      case 81:	//DOM::HTMLParamElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLParamElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLParamElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLParamElement*)xptr;
	    case 81: return (void*)(DOM::HTMLParamElement*)(DOM::HTMLParamElement*)xptr;
	  default: return xptr;
	}
      case 82:	//DOM::HTMLPreElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLPreElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLPreElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLPreElement*)xptr;
	    case 82: return (void*)(DOM::HTMLPreElement*)(DOM::HTMLPreElement*)xptr;
	  default: return xptr;
	}
      case 83:	//DOM::HTMLQuoteElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLQuoteElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLQuoteElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLQuoteElement*)xptr;
	    case 83: return (void*)(DOM::HTMLQuoteElement*)(DOM::HTMLQuoteElement*)xptr;
	  default: return xptr;
	}
      case 84:	//DOM::HTMLScriptElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLScriptElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLScriptElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLScriptElement*)xptr;
	    case 84: return (void*)(DOM::HTMLScriptElement*)(DOM::HTMLScriptElement*)xptr;
	  default: return xptr;
	}
      case 85:	//DOM::HTMLSelectElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLSelectElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLSelectElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLSelectElement*)xptr;
	    case 85: return (void*)(DOM::HTMLSelectElement*)(DOM::HTMLSelectElement*)xptr;
	  default: return xptr;
	}
      case 86:	//DOM::HTMLStyleElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLStyleElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLStyleElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLStyleElement*)xptr;
	    case 86: return (void*)(DOM::HTMLStyleElement*)(DOM::HTMLStyleElement*)xptr;
	  default: return xptr;
	}
      case 87:	//DOM::HTMLTableCaptionElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLTableCaptionElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLTableCaptionElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLTableCaptionElement*)xptr;
	    case 87: return (void*)(DOM::HTMLTableCaptionElement*)(DOM::HTMLTableCaptionElement*)xptr;
	  default: return xptr;
	}
      case 88:	//DOM::HTMLTableCellElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLTableCellElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLTableCellElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLTableCellElement*)xptr;
	    case 88: return (void*)(DOM::HTMLTableCellElement*)(DOM::HTMLTableCellElement*)xptr;
	  default: return xptr;
	}
      case 89:	//DOM::HTMLTableColElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLTableColElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLTableColElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLTableColElement*)xptr;
	    case 89: return (void*)(DOM::HTMLTableColElement*)(DOM::HTMLTableColElement*)xptr;
	  default: return xptr;
	}
      case 90:	//DOM::HTMLTableElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLTableElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLTableElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLTableElement*)xptr;
	    case 90: return (void*)(DOM::HTMLTableElement*)(DOM::HTMLTableElement*)xptr;
	  default: return xptr;
	}
      case 91:	//DOM::HTMLTableRowElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLTableRowElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLTableRowElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLTableRowElement*)xptr;
	    case 91: return (void*)(DOM::HTMLTableRowElement*)(DOM::HTMLTableRowElement*)xptr;
	  default: return xptr;
	}
      case 92:	//DOM::HTMLTableSectionElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLTableSectionElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLTableSectionElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLTableSectionElement*)xptr;
	    case 92: return (void*)(DOM::HTMLTableSectionElement*)(DOM::HTMLTableSectionElement*)xptr;
	  default: return xptr;
	}
      case 93:	//DOM::HTMLTextAreaElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLTextAreaElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLTextAreaElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLTextAreaElement*)xptr;
	    case 93: return (void*)(DOM::HTMLTextAreaElement*)(DOM::HTMLTextAreaElement*)xptr;
	  default: return xptr;
	}
      case 94:	//DOM::HTMLTitleElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLTitleElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLTitleElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLTitleElement*)xptr;
	    case 94: return (void*)(DOM::HTMLTitleElement*)(DOM::HTMLTitleElement*)xptr;
	  default: return xptr;
	}
      case 95:	//DOM::HTMLUListElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLUListElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLUListElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLUListElement*)xptr;
	    case 95: return (void*)(DOM::HTMLUListElement*)(DOM::HTMLUListElement*)xptr;
	  default: return xptr;
	}
      case 96:	//DOM::KeyboardEvent
	switch(to) {
	    case 117: return (void*)(DOM::UIEvent*)(DOM::KeyboardEvent*)xptr;
	    case 35: return (void*)(DOM::Event*)(DOM::KeyboardEvent*)xptr;
	    case 96: return (void*)(DOM::KeyboardEvent*)(DOM::KeyboardEvent*)xptr;
	  default: return xptr;
	}
      case 97:	//DOM::LinkStyle
	switch(to) {
	    case 97: return (void*)(DOM::LinkStyle*)(DOM::LinkStyle*)xptr;
	  default: return xptr;
	}
      case 98:	//DOM::MediaList
	switch(to) {
	    case 98: return (void*)(DOM::MediaList*)(DOM::MediaList*)xptr;
	  default: return xptr;
	}
      case 99:	//DOM::MouseEvent
	switch(to) {
	    case 117: return (void*)(DOM::UIEvent*)(DOM::MouseEvent*)xptr;
	    case 35: return (void*)(DOM::Event*)(DOM::MouseEvent*)xptr;
	    case 99: return (void*)(DOM::MouseEvent*)(DOM::MouseEvent*)xptr;
	  default: return xptr;
	}
      case 100:	//DOM::MutationEvent
	switch(to) {
	    case 35: return (void*)(DOM::Event*)(DOM::MutationEvent*)xptr;
	    case 100: return (void*)(DOM::MutationEvent*)(DOM::MutationEvent*)xptr;
	  default: return xptr;
	}
      case 101:	//DOM::NamedNodeMap
	switch(to) {
	    case 101: return (void*)(DOM::NamedNodeMap*)(DOM::NamedNodeMap*)xptr;
	  default: return xptr;
	}
      case 102:	//DOM::Node
	switch(to) {
	    case 102: return (void*)(DOM::Node*)(DOM::Node*)xptr;
	    case 3: return (void*)(DOM::Attr*)(DOM::Node*)xptr;
	    case 4: return (void*)(DOM::CDATASection*)(DOM::Node*)xptr;
	    case 20: return (void*)(DOM::CharacterData*)(DOM::Node*)xptr;
	    case 21: return (void*)(DOM::Comment*)(DOM::Node*)xptr;
	    case 27: return (void*)(DOM::Document*)(DOM::Node*)xptr;
	    case 28: return (void*)(DOM::DocumentFragment*)(DOM::Node*)xptr;
	    case 30: return (void*)(DOM::DocumentType*)(DOM::Node*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::Node*)xptr;
	    case 33: return (void*)(DOM::Entity*)(DOM::Node*)xptr;
	    case 34: return (void*)(DOM::EntityReference*)(DOM::Node*)xptr;
	    case 38: return (void*)(DOM::HTMLAnchorElement*)(DOM::Node*)xptr;
	    case 39: return (void*)(DOM::HTMLAppletElement*)(DOM::Node*)xptr;
	    case 40: return (void*)(DOM::HTMLAreaElement*)(DOM::Node*)xptr;
	    case 41: return (void*)(DOM::HTMLBRElement*)(DOM::Node*)xptr;
	    case 42: return (void*)(DOM::HTMLBaseElement*)(DOM::Node*)xptr;
	    case 43: return (void*)(DOM::HTMLBaseFontElement*)(DOM::Node*)xptr;
	    case 44: return (void*)(DOM::HTMLBlockquoteElement*)(DOM::Node*)xptr;
	    case 45: return (void*)(DOM::HTMLBodyElement*)(DOM::Node*)xptr;
	    case 46: return (void*)(DOM::HTMLButtonElement*)(DOM::Node*)xptr;
	    case 48: return (void*)(DOM::HTMLDListElement*)(DOM::Node*)xptr;
	    case 49: return (void*)(DOM::HTMLDirectoryElement*)(DOM::Node*)xptr;
	    case 50: return (void*)(DOM::HTMLDivElement*)(DOM::Node*)xptr;
	    case 51: return (void*)(DOM::HTMLDocument*)(DOM::Node*)xptr;
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::Node*)xptr;
	    case 53: return (void*)(DOM::HTMLFieldSetElement*)(DOM::Node*)xptr;
	    case 54: return (void*)(DOM::HTMLFontElement*)(DOM::Node*)xptr;
	    case 56: return (void*)(DOM::HTMLFormElement*)(DOM::Node*)xptr;
	    case 57: return (void*)(DOM::HTMLFrameElement*)(DOM::Node*)xptr;
	    case 58: return (void*)(DOM::HTMLFrameSetElement*)(DOM::Node*)xptr;
	    case 59: return (void*)(DOM::HTMLHRElement*)(DOM::Node*)xptr;
	    case 60: return (void*)(DOM::HTMLHeadElement*)(DOM::Node*)xptr;
	    case 61: return (void*)(DOM::HTMLHeadingElement*)(DOM::Node*)xptr;
	    case 62: return (void*)(DOM::HTMLHtmlElement*)(DOM::Node*)xptr;
	    case 63: return (void*)(DOM::HTMLIFrameElement*)(DOM::Node*)xptr;
	    case 64: return (void*)(DOM::HTMLImageElement*)(DOM::Node*)xptr;
	    case 65: return (void*)(DOM::HTMLInputElement*)(DOM::Node*)xptr;
	    case 66: return (void*)(DOM::HTMLIsIndexElement*)(DOM::Node*)xptr;
	    case 67: return (void*)(DOM::HTMLLIElement*)(DOM::Node*)xptr;
	    case 68: return (void*)(DOM::HTMLLabelElement*)(DOM::Node*)xptr;
	    case 69: return (void*)(DOM::HTMLLayerElement*)(DOM::Node*)xptr;
	    case 70: return (void*)(DOM::HTMLLegendElement*)(DOM::Node*)xptr;
	    case 71: return (void*)(DOM::HTMLLinkElement*)(DOM::Node*)xptr;
	    case 72: return (void*)(DOM::HTMLMapElement*)(DOM::Node*)xptr;
	    case 73: return (void*)(DOM::HTMLMenuElement*)(DOM::Node*)xptr;
	    case 74: return (void*)(DOM::HTMLMetaElement*)(DOM::Node*)xptr;
	    case 75: return (void*)(DOM::HTMLModElement*)(DOM::Node*)xptr;
	    case 76: return (void*)(DOM::HTMLOListElement*)(DOM::Node*)xptr;
	    case 77: return (void*)(DOM::HTMLObjectElement*)(DOM::Node*)xptr;
	    case 78: return (void*)(DOM::HTMLOptGroupElement*)(DOM::Node*)xptr;
	    case 79: return (void*)(DOM::HTMLOptionElement*)(DOM::Node*)xptr;
	    case 80: return (void*)(DOM::HTMLParagraphElement*)(DOM::Node*)xptr;
	    case 81: return (void*)(DOM::HTMLParamElement*)(DOM::Node*)xptr;
	    case 82: return (void*)(DOM::HTMLPreElement*)(DOM::Node*)xptr;
	    case 83: return (void*)(DOM::HTMLQuoteElement*)(DOM::Node*)xptr;
	    case 84: return (void*)(DOM::HTMLScriptElement*)(DOM::Node*)xptr;
	    case 85: return (void*)(DOM::HTMLSelectElement*)(DOM::Node*)xptr;
	    case 86: return (void*)(DOM::HTMLStyleElement*)(DOM::Node*)xptr;
	    case 87: return (void*)(DOM::HTMLTableCaptionElement*)(DOM::Node*)xptr;
	    case 88: return (void*)(DOM::HTMLTableCellElement*)(DOM::Node*)xptr;
	    case 89: return (void*)(DOM::HTMLTableColElement*)(DOM::Node*)xptr;
	    case 90: return (void*)(DOM::HTMLTableElement*)(DOM::Node*)xptr;
	    case 91: return (void*)(DOM::HTMLTableRowElement*)(DOM::Node*)xptr;
	    case 92: return (void*)(DOM::HTMLTableSectionElement*)(DOM::Node*)xptr;
	    case 93: return (void*)(DOM::HTMLTextAreaElement*)(DOM::Node*)xptr;
	    case 94: return (void*)(DOM::HTMLTitleElement*)(DOM::Node*)xptr;
	    case 95: return (void*)(DOM::HTMLUListElement*)(DOM::Node*)xptr;
	    case 106: return (void*)(DOM::Notation*)(DOM::Node*)xptr;
	    case 107: return (void*)(DOM::ProcessingInstruction*)(DOM::Node*)xptr;
	    case 114: return (void*)(DOM::Text*)(DOM::Node*)xptr;
	  default: return xptr;
	}
      case 103:	//DOM::NodeFilter
	switch(to) {
	    case 103: return (void*)(DOM::NodeFilter*)(DOM::NodeFilter*)xptr;
	  default: return xptr;
	}
      case 104:	//DOM::NodeIterator
	switch(to) {
	    case 104: return (void*)(DOM::NodeIterator*)(DOM::NodeIterator*)xptr;
	  default: return xptr;
	}
      case 105:	//DOM::NodeList
	switch(to) {
	    case 105: return (void*)(DOM::NodeList*)(DOM::NodeList*)xptr;
	  default: return xptr;
	}
      case 106:	//DOM::Notation
	switch(to) {
	    case 102: return (void*)(DOM::Node*)(DOM::Notation*)xptr;
	    case 106: return (void*)(DOM::Notation*)(DOM::Notation*)xptr;
	  default: return xptr;
	}
      case 107:	//DOM::ProcessingInstruction
	switch(to) {
	    case 102: return (void*)(DOM::Node*)(DOM::ProcessingInstruction*)xptr;
	    case 107: return (void*)(DOM::ProcessingInstruction*)(DOM::ProcessingInstruction*)xptr;
	  default: return xptr;
	}
      case 108:	//DOM::RGBColor
	switch(to) {
	    case 108: return (void*)(DOM::RGBColor*)(DOM::RGBColor*)xptr;
	  default: return xptr;
	}
      case 109:	//DOM::Range
	switch(to) {
	    case 109: return (void*)(DOM::Range*)(DOM::Range*)xptr;
	  default: return xptr;
	}
      case 110:	//DOM::RangeException
	switch(to) {
	    case 110: return (void*)(DOM::RangeException*)(DOM::RangeException*)xptr;
	  default: return xptr;
	}
      case 111:	//DOM::Rect
	switch(to) {
	    case 111: return (void*)(DOM::Rect*)(DOM::Rect*)xptr;
	  default: return xptr;
	}
      case 112:	//DOM::StyleSheet
	switch(to) {
	    case 112: return (void*)(DOM::StyleSheet*)(DOM::StyleSheet*)xptr;
	    case 16: return (void*)(DOM::CSSStyleSheet*)(DOM::StyleSheet*)xptr;
	  default: return xptr;
	}
      case 113:	//DOM::StyleSheetList
	switch(to) {
	    case 113: return (void*)(DOM::StyleSheetList*)(DOM::StyleSheetList*)xptr;
	  default: return xptr;
	}
      case 114:	//DOM::Text
	switch(to) {
	    case 20: return (void*)(DOM::CharacterData*)(DOM::Text*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::Text*)xptr;
	    case 114: return (void*)(DOM::Text*)(DOM::Text*)xptr;
	    case 4: return (void*)(DOM::CDATASection*)(DOM::Text*)xptr;
	  default: return xptr;
	}
      case 115:	//DOM::TextEvent
	switch(to) {
	    case 117: return (void*)(DOM::UIEvent*)(DOM::TextEvent*)xptr;
	    case 35: return (void*)(DOM::Event*)(DOM::TextEvent*)xptr;
	    case 115: return (void*)(DOM::TextEvent*)(DOM::TextEvent*)xptr;
	  default: return xptr;
	}
      case 116:	//DOM::TreeWalker
	switch(to) {
	    case 116: return (void*)(DOM::TreeWalker*)(DOM::TreeWalker*)xptr;
	  default: return xptr;
	}
      case 117:	//DOM::UIEvent
	switch(to) {
	    case 35: return (void*)(DOM::Event*)(DOM::UIEvent*)xptr;
	    case 117: return (void*)(DOM::UIEvent*)(DOM::UIEvent*)xptr;
	    case 96: return (void*)(DOM::KeyboardEvent*)(DOM::UIEvent*)xptr;
	    case 99: return (void*)(DOM::MouseEvent*)(DOM::UIEvent*)xptr;
	    case 115: return (void*)(DOM::TextEvent*)(DOM::UIEvent*)xptr;
	  default: return xptr;
	}
      case 118:	//KActionCollection
	switch(to) {
	    case 176: return (void*)(QObject*)(KActionCollection*)xptr;
	    case 118: return (void*)(KActionCollection*)(KActionCollection*)xptr;
	  default: return xptr;
	}
      case 119:	//KComponentData
	switch(to) {
	    case 119: return (void*)(KComponentData*)(KComponentData*)xptr;
	  default: return xptr;
	}
      case 120:	//KConfig
	switch(to) {
	    case 120: return (void*)(KConfig*)(KConfig*)xptr;
	  default: return xptr;
	}
      case 121:	//KConfigGroup
	switch(to) {
	    case 121: return (void*)(KConfigGroup*)(KConfigGroup*)xptr;
	  default: return xptr;
	}
      case 122:	//KFindDialog
	switch(to) {
	    case 198: return (void*)(QWidget*)(KFindDialog*)xptr;
	    case 176: return (void*)(QObject*)(KFindDialog*)xptr;
	    case 177: return (void*)(QPaintDevice*)(KFindDialog*)xptr;
	    case 122: return (void*)(KFindDialog*)(KFindDialog*)xptr;
	  default: return xptr;
	}
      case 123:	//KHTMLPart
	switch(to) {
	    case 143: return (void*)(KParts::ReadOnlyPart*)(KHTMLPart*)xptr;
	    case 138: return (void*)(KParts::Part*)(KHTMLPart*)xptr;
	    case 140: return (void*)(KParts::PartBase*)(KHTMLPart*)xptr;
	    case 145: return (void*)(KXMLGUIClient*)(KHTMLPart*)xptr;
	    case 176: return (void*)(QObject*)(KHTMLPart*)xptr;
	    case 123: return (void*)(KHTMLPart*)(KHTMLPart*)xptr;
	  default: return xptr;
	}
      case 124:	//KHTMLSettings
	switch(to) {
	    case 124: return (void*)(KHTMLSettings*)(KHTMLSettings*)xptr;
	  default: return xptr;
	}
      case 125:	//KHTMLView
	switch(to) {
	    case 190: return (void*)(QScrollArea*)(KHTMLView*)xptr;
	    case 146: return (void*)(QAbstractScrollArea*)(KHTMLView*)xptr;
	    case 166: return (void*)(QFrame*)(KHTMLView*)xptr;
	    case 198: return (void*)(QWidget*)(KHTMLView*)xptr;
	    case 176: return (void*)(QObject*)(KHTMLView*)xptr;
	    case 177: return (void*)(QPaintDevice*)(KHTMLView*)xptr;
	    case 125: return (void*)(KHTMLView*)(KHTMLView*)xptr;
	  default: return xptr;
	}
      case 127:	//KIO::Job
	switch(to) {
	    case 130: return (void*)(KJob*)(KIO::Job*)xptr;
	    case 176: return (void*)(QObject*)(KIO::Job*)xptr;
	    case 127: return (void*)(KIO::Job*)(KIO::Job*)xptr;
	  default: return xptr;
	}
      case 128:	//KIconLoader
	switch(to) {
	    case 176: return (void*)(QObject*)(KIconLoader*)xptr;
	    case 128: return (void*)(KIconLoader*)(KIconLoader*)xptr;
	  default: return xptr;
	}
      case 130:	//KJob
	switch(to) {
	    case 176: return (void*)(QObject*)(KJob*)xptr;
	    case 130: return (void*)(KJob*)(KJob*)xptr;
	    case 127: return (void*)(KIO::Job*)(KJob*)xptr;
	  default: return xptr;
	}
      case 132:	//KParts::BrowserArguments
	switch(to) {
	    case 132: return (void*)(KParts::BrowserArguments*)(KParts::BrowserArguments*)xptr;
	  default: return xptr;
	}
      case 133:	//KParts::BrowserExtension
	switch(to) {
	    case 176: return (void*)(QObject*)(KParts::BrowserExtension*)xptr;
	    case 133: return (void*)(KParts::BrowserExtension*)(KParts::BrowserExtension*)xptr;
	  default: return xptr;
	}
      case 134:	//KParts::BrowserHostExtension
	switch(to) {
	    case 176: return (void*)(QObject*)(KParts::BrowserHostExtension*)xptr;
	    case 134: return (void*)(KParts::BrowserHostExtension*)(KParts::BrowserHostExtension*)xptr;
	  default: return xptr;
	}
      case 135:	//KParts::Event
	switch(to) {
	    case 163: return (void*)(QEvent*)(KParts::Event*)xptr;
	    case 135: return (void*)(KParts::Event*)(KParts::Event*)xptr;
	    case 136: return (void*)(KParts::GUIActivateEvent*)(KParts::Event*)xptr;
	    case 139: return (void*)(KParts::PartActivateEvent*)(KParts::Event*)xptr;
	    case 142: return (void*)(KParts::PartSelectEvent*)(KParts::Event*)xptr;
	  default: return xptr;
	}
      case 136:	//KParts::GUIActivateEvent
	switch(to) {
	    case 135: return (void*)(KParts::Event*)(KParts::GUIActivateEvent*)xptr;
	    case 163: return (void*)(QEvent*)(KParts::GUIActivateEvent*)xptr;
	    case 136: return (void*)(KParts::GUIActivateEvent*)(KParts::GUIActivateEvent*)xptr;
	  default: return xptr;
	}
      case 137:	//KParts::OpenUrlArguments
	switch(to) {
	    case 137: return (void*)(KParts::OpenUrlArguments*)(KParts::OpenUrlArguments*)xptr;
	  default: return xptr;
	}
      case 138:	//KParts::Part
	switch(to) {
	    case 140: return (void*)(KParts::PartBase*)(KParts::Part*)xptr;
	    case 145: return (void*)(KXMLGUIClient*)(KParts::Part*)xptr;
	    case 176: return (void*)(QObject*)(KParts::Part*)xptr;
	    case 138: return (void*)(KParts::Part*)(KParts::Part*)xptr;
	    case 123: return (void*)(KHTMLPart*)(KParts::Part*)xptr;
	    case 143: return (void*)(KParts::ReadOnlyPart*)(KParts::Part*)xptr;
	  default: return xptr;
	}
      case 139:	//KParts::PartActivateEvent
	switch(to) {
	    case 135: return (void*)(KParts::Event*)(KParts::PartActivateEvent*)xptr;
	    case 163: return (void*)(QEvent*)(KParts::PartActivateEvent*)xptr;
	    case 139: return (void*)(KParts::PartActivateEvent*)(KParts::PartActivateEvent*)xptr;
	  default: return xptr;
	}
      case 140:	//KParts::PartBase
	switch(to) {
	    case 145: return (void*)(KXMLGUIClient*)(KParts::PartBase*)xptr;
	    case 140: return (void*)(KParts::PartBase*)(KParts::PartBase*)xptr;
	    case 123: return (void*)(KHTMLPart*)(KParts::PartBase*)xptr;
	    case 138: return (void*)(KParts::Part*)(KParts::PartBase*)xptr;
	    case 143: return (void*)(KParts::ReadOnlyPart*)(KParts::PartBase*)xptr;
	  default: return xptr;
	}
      case 141:	//KParts::PartManager
	switch(to) {
	    case 176: return (void*)(QObject*)(KParts::PartManager*)xptr;
	    case 141: return (void*)(KParts::PartManager*)(KParts::PartManager*)xptr;
	  default: return xptr;
	}
      case 142:	//KParts::PartSelectEvent
	switch(to) {
	    case 135: return (void*)(KParts::Event*)(KParts::PartSelectEvent*)xptr;
	    case 163: return (void*)(QEvent*)(KParts::PartSelectEvent*)xptr;
	    case 142: return (void*)(KParts::PartSelectEvent*)(KParts::PartSelectEvent*)xptr;
	  default: return xptr;
	}
      case 143:	//KParts::ReadOnlyPart
	switch(to) {
	    case 138: return (void*)(KParts::Part*)(KParts::ReadOnlyPart*)xptr;
	    case 140: return (void*)(KParts::PartBase*)(KParts::ReadOnlyPart*)xptr;
	    case 145: return (void*)(KXMLGUIClient*)(KParts::ReadOnlyPart*)xptr;
	    case 176: return (void*)(QObject*)(KParts::ReadOnlyPart*)xptr;
	    case 143: return (void*)(KParts::ReadOnlyPart*)(KParts::ReadOnlyPart*)xptr;
	    case 123: return (void*)(KHTMLPart*)(KParts::ReadOnlyPart*)xptr;
	  default: return xptr;
	}
      case 144:	//KUrl
	switch(to) {
	    case 144: return (void*)(KUrl*)(KUrl*)xptr;
	  default: return xptr;
	}
      case 145:	//KXMLGUIClient
	switch(to) {
	    case 145: return (void*)(KXMLGUIClient*)(KXMLGUIClient*)xptr;
	  default: return xptr;
	}
      case 146:	//QAbstractScrollArea
	switch(to) {
	    case 166: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
	    case 198: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
	    case 176: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
	    case 177: return (void*)(QPaintDevice*)(QAbstractScrollArea*)xptr;
	    case 146: return (void*)(QAbstractScrollArea*)(QAbstractScrollArea*)xptr;
	    case 125: return (void*)(KHTMLView*)(QAbstractScrollArea*)xptr;
	    case 190: return (void*)(QScrollArea*)(QAbstractScrollArea*)xptr;
	  default: return xptr;
	}
      case 147:	//QAction
	switch(to) {
	    case 176: return (void*)(QObject*)(QAction*)xptr;
	    case 147: return (void*)(QAction*)(QAction*)xptr;
	  default: return xptr;
	}
      case 148:	//QActionEvent
	switch(to) {
	    case 163: return (void*)(QEvent*)(QActionEvent*)xptr;
	    case 148: return (void*)(QActionEvent*)(QActionEvent*)xptr;
	  default: return xptr;
	}
      case 149:	//QByteArray
	switch(to) {
	    case 149: return (void*)(QByteArray*)(QByteArray*)xptr;
	  default: return xptr;
	}
      case 150:	//QChar
	switch(to) {
	    case 150: return (void*)(QChar*)(QChar*)xptr;
	  default: return xptr;
	}
      case 151:	//QChildEvent
	switch(to) {
	    case 163: return (void*)(QEvent*)(QChildEvent*)xptr;
	    case 151: return (void*)(QChildEvent*)(QChildEvent*)xptr;
	  default: return xptr;
	}
      case 152:	//QCloseEvent
	switch(to) {
	    case 163: return (void*)(QEvent*)(QCloseEvent*)xptr;
	    case 152: return (void*)(QCloseEvent*)(QCloseEvent*)xptr;
	  default: return xptr;
	}
      case 153:	//QColor
	switch(to) {
	    case 153: return (void*)(QColor*)(QColor*)xptr;
	  default: return xptr;
	}
      case 154:	//QContextMenuEvent
	switch(to) {
	    case 163: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
	    case 154: return (void*)(QContextMenuEvent*)(QContextMenuEvent*)xptr;
	  default: return xptr;
	}
      case 155:	//QCursor
	switch(to) {
	    case 155: return (void*)(QCursor*)(QCursor*)xptr;
	  default: return xptr;
	}
      case 156:	//QDataStream
	switch(to) {
	    case 156: return (void*)(QDataStream*)(QDataStream*)xptr;
	  default: return xptr;
	}
      case 157:	//QDomDocument
	switch(to) {
	    case 157: return (void*)(QDomDocument*)(QDomDocument*)xptr;
	  default: return xptr;
	}
      case 158:	//QDomElement
	switch(to) {
	    case 158: return (void*)(QDomElement*)(QDomElement*)xptr;
	  default: return xptr;
	}
      case 159:	//QDragEnterEvent
	switch(to) {
	    case 161: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
	    case 162: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
	    case 163: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
	    case 159: return (void*)(QDragEnterEvent*)(QDragEnterEvent*)xptr;
	  default: return xptr;
	}
      case 160:	//QDragLeaveEvent
	switch(to) {
	    case 163: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
	    case 160: return (void*)(QDragLeaveEvent*)(QDragLeaveEvent*)xptr;
	  default: return xptr;
	}
      case 161:	//QDragMoveEvent
	switch(to) {
	    case 162: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
	    case 163: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
	    case 161: return (void*)(QDragMoveEvent*)(QDragMoveEvent*)xptr;
	    case 159: return (void*)(QDragEnterEvent*)(QDragMoveEvent*)xptr;
	  default: return xptr;
	}
      case 162:	//QDropEvent
	switch(to) {
	    case 163: return (void*)(QEvent*)(QDropEvent*)xptr;
	    case 162: return (void*)(QDropEvent*)(QDropEvent*)xptr;
	    case 159: return (void*)(QDragEnterEvent*)(QDropEvent*)xptr;
	    case 161: return (void*)(QDragMoveEvent*)(QDropEvent*)xptr;
	  default: return xptr;
	}
      case 163:	//QEvent
	switch(to) {
	    case 163: return (void*)(QEvent*)(QEvent*)xptr;
	    case 135: return (void*)(KParts::Event*)(QEvent*)xptr;
	    case 136: return (void*)(KParts::GUIActivateEvent*)(QEvent*)xptr;
	    case 139: return (void*)(KParts::PartActivateEvent*)(QEvent*)xptr;
	    case 142: return (void*)(KParts::PartSelectEvent*)(QEvent*)xptr;
	    case 148: return (void*)(QActionEvent*)(QEvent*)xptr;
	    case 151: return (void*)(QChildEvent*)(QEvent*)xptr;
	    case 152: return (void*)(QCloseEvent*)(QEvent*)xptr;
	    case 154: return (void*)(QContextMenuEvent*)(QEvent*)xptr;
	    case 159: return (void*)(QDragEnterEvent*)(QEvent*)xptr;
	    case 160: return (void*)(QDragLeaveEvent*)(QEvent*)xptr;
	    case 161: return (void*)(QDragMoveEvent*)(QEvent*)xptr;
	    case 162: return (void*)(QDropEvent*)(QEvent*)xptr;
	    case 164: return (void*)(QFocusEvent*)(QEvent*)xptr;
	    case 167: return (void*)(QHideEvent*)(QEvent*)xptr;
	    case 169: return (void*)(QInputMethodEvent*)(QEvent*)xptr;
	    case 170: return (void*)(QKeyEvent*)(QEvent*)xptr;
	    case 174: return (void*)(QMouseEvent*)(QEvent*)xptr;
	    case 175: return (void*)(QMoveEvent*)(QEvent*)xptr;
	    case 180: return (void*)(QPaintEvent*)(QEvent*)xptr;
	    case 189: return (void*)(QResizeEvent*)(QEvent*)xptr;
	    case 191: return (void*)(QShowEvent*)(QEvent*)xptr;
	    case 194: return (void*)(QTabletEvent*)(QEvent*)xptr;
	    case 195: return (void*)(QTimerEvent*)(QEvent*)xptr;
	    case 197: return (void*)(QWheelEvent*)(QEvent*)xptr;
	  default: return xptr;
	}
      case 164:	//QFocusEvent
	switch(to) {
	    case 163: return (void*)(QEvent*)(QFocusEvent*)xptr;
	    case 164: return (void*)(QFocusEvent*)(QFocusEvent*)xptr;
	  default: return xptr;
	}
      case 165:	//QFont
	switch(to) {
	    case 165: return (void*)(QFont*)(QFont*)xptr;
	  default: return xptr;
	}
      case 166:	//QFrame
	switch(to) {
	    case 198: return (void*)(QWidget*)(QFrame*)xptr;
	    case 176: return (void*)(QObject*)(QFrame*)xptr;
	    case 177: return (void*)(QPaintDevice*)(QFrame*)xptr;
	    case 166: return (void*)(QFrame*)(QFrame*)xptr;
	    case 125: return (void*)(KHTMLView*)(QFrame*)xptr;
	    case 146: return (void*)(QAbstractScrollArea*)(QFrame*)xptr;
	    case 190: return (void*)(QScrollArea*)(QFrame*)xptr;
	  default: return xptr;
	}
      case 167:	//QHideEvent
	switch(to) {
	    case 163: return (void*)(QEvent*)(QHideEvent*)xptr;
	    case 167: return (void*)(QHideEvent*)(QHideEvent*)xptr;
	  default: return xptr;
	}
      case 168:	//QImage
	switch(to) {
	    case 177: return (void*)(QPaintDevice*)(QImage*)xptr;
	    case 168: return (void*)(QImage*)(QImage*)xptr;
	  default: return xptr;
	}
      case 169:	//QInputMethodEvent
	switch(to) {
	    case 163: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
	    case 169: return (void*)(QInputMethodEvent*)(QInputMethodEvent*)xptr;
	  default: return xptr;
	}
      case 170:	//QKeyEvent
	switch(to) {
	    case 163: return (void*)(QEvent*)(QKeyEvent*)xptr;
	    case 170: return (void*)(QKeyEvent*)(QKeyEvent*)xptr;
	  default: return xptr;
	}
      case 171:	//QLine
	switch(to) {
	    case 171: return (void*)(QLine*)(QLine*)xptr;
	  default: return xptr;
	}
      case 172:	//QLineF
	switch(to) {
	    case 172: return (void*)(QLineF*)(QLineF*)xptr;
	  default: return xptr;
	}
      case 173:	//QMetaObject
	switch(to) {
	    case 173: return (void*)(QMetaObject*)(QMetaObject*)xptr;
	  default: return xptr;
	}
      case 174:	//QMouseEvent
	switch(to) {
	    case 163: return (void*)(QEvent*)(QMouseEvent*)xptr;
	    case 174: return (void*)(QMouseEvent*)(QMouseEvent*)xptr;
	  default: return xptr;
	}
      case 175:	//QMoveEvent
	switch(to) {
	    case 163: return (void*)(QEvent*)(QMoveEvent*)xptr;
	    case 175: return (void*)(QMoveEvent*)(QMoveEvent*)xptr;
	  default: return xptr;
	}
      case 176:	//QObject
	switch(to) {
	    case 176: return (void*)(QObject*)(QObject*)xptr;
	    case 118: return (void*)(KActionCollection*)(QObject*)xptr;
	    case 122: return (void*)(KFindDialog*)(QObject*)xptr;
	    case 123: return (void*)(KHTMLPart*)(QObject*)xptr;
	    case 125: return (void*)(KHTMLView*)(QObject*)xptr;
	    case 127: return (void*)(KIO::Job*)(QObject*)xptr;
	    case 128: return (void*)(KIconLoader*)(QObject*)xptr;
	    case 130: return (void*)(KJob*)(QObject*)xptr;
	    case 133: return (void*)(KParts::BrowserExtension*)(QObject*)xptr;
	    case 134: return (void*)(KParts::BrowserHostExtension*)(QObject*)xptr;
	    case 138: return (void*)(KParts::Part*)(QObject*)xptr;
	    case 141: return (void*)(KParts::PartManager*)(QObject*)xptr;
	    case 143: return (void*)(KParts::ReadOnlyPart*)(QObject*)xptr;
	    case 146: return (void*)(QAbstractScrollArea*)(QObject*)xptr;
	    case 147: return (void*)(QAction*)(QObject*)xptr;
	    case 166: return (void*)(QFrame*)(QObject*)xptr;
	    case 190: return (void*)(QScrollArea*)(QObject*)xptr;
	    case 193: return (void*)(QStyle*)(QObject*)xptr;
	    case 198: return (void*)(QWidget*)(QObject*)xptr;
	  default: return xptr;
	}
      case 177:	//QPaintDevice
	switch(to) {
	    case 177: return (void*)(QPaintDevice*)(QPaintDevice*)xptr;
	    case 122: return (void*)(KFindDialog*)(QPaintDevice*)xptr;
	    case 125: return (void*)(KHTMLView*)(QPaintDevice*)xptr;
	    case 146: return (void*)(QAbstractScrollArea*)(QPaintDevice*)xptr;
	    case 166: return (void*)(QFrame*)(QPaintDevice*)xptr;
	    case 168: return (void*)(QImage*)(QPaintDevice*)xptr;
	    case 184: return (void*)(QPixmap*)(QPaintDevice*)xptr;
	    case 190: return (void*)(QScrollArea*)(QPaintDevice*)xptr;
	    case 198: return (void*)(QWidget*)(QPaintDevice*)xptr;
	  default: return xptr;
	}
      case 178:	//QPaintEngine
	switch(to) {
	    case 178: return (void*)(QPaintEngine*)(QPaintEngine*)xptr;
	  default: return xptr;
	}
      case 179:	//QPaintEngineState
	switch(to) {
	    case 179: return (void*)(QPaintEngineState*)(QPaintEngineState*)xptr;
	  default: return xptr;
	}
      case 180:	//QPaintEvent
	switch(to) {
	    case 163: return (void*)(QEvent*)(QPaintEvent*)xptr;
	    case 180: return (void*)(QPaintEvent*)(QPaintEvent*)xptr;
	  default: return xptr;
	}
      case 181:	//QPainter
	switch(to) {
	    case 181: return (void*)(QPainter*)(QPainter*)xptr;
	  default: return xptr;
	}
      case 182:	//QPainterPath
	switch(to) {
	    case 182: return (void*)(QPainterPath*)(QPainterPath*)xptr;
	  default: return xptr;
	}
      case 183:	//QPalette
	switch(to) {
	    case 183: return (void*)(QPalette*)(QPalette*)xptr;
	  default: return xptr;
	}
      case 184:	//QPixmap
	switch(to) {
	    case 177: return (void*)(QPaintDevice*)(QPixmap*)xptr;
	    case 184: return (void*)(QPixmap*)(QPixmap*)xptr;
	  default: return xptr;
	}
      case 185:	//QPoint
	switch(to) {
	    case 185: return (void*)(QPoint*)(QPoint*)xptr;
	  default: return xptr;
	}
      case 186:	//QPointF
	switch(to) {
	    case 186: return (void*)(QPointF*)(QPointF*)xptr;
	  default: return xptr;
	}
      case 187:	//QRect
	switch(to) {
	    case 187: return (void*)(QRect*)(QRect*)xptr;
	  default: return xptr;
	}
      case 188:	//QRectF
	switch(to) {
	    case 188: return (void*)(QRectF*)(QRectF*)xptr;
	  default: return xptr;
	}
      case 189:	//QResizeEvent
	switch(to) {
	    case 163: return (void*)(QEvent*)(QResizeEvent*)xptr;
	    case 189: return (void*)(QResizeEvent*)(QResizeEvent*)xptr;
	  default: return xptr;
	}
      case 190:	//QScrollArea
	switch(to) {
	    case 146: return (void*)(QAbstractScrollArea*)(QScrollArea*)xptr;
	    case 166: return (void*)(QFrame*)(QScrollArea*)xptr;
	    case 198: return (void*)(QWidget*)(QScrollArea*)xptr;
	    case 176: return (void*)(QObject*)(QScrollArea*)xptr;
	    case 177: return (void*)(QPaintDevice*)(QScrollArea*)xptr;
	    case 190: return (void*)(QScrollArea*)(QScrollArea*)xptr;
	    case 125: return (void*)(KHTMLView*)(QScrollArea*)xptr;
	  default: return xptr;
	}
      case 191:	//QShowEvent
	switch(to) {
	    case 163: return (void*)(QEvent*)(QShowEvent*)xptr;
	    case 191: return (void*)(QShowEvent*)(QShowEvent*)xptr;
	  default: return xptr;
	}
      case 192:	//QSize
	switch(to) {
	    case 192: return (void*)(QSize*)(QSize*)xptr;
	  default: return xptr;
	}
      case 193:	//QStyle
	switch(to) {
	    case 176: return (void*)(QObject*)(QStyle*)xptr;
	    case 193: return (void*)(QStyle*)(QStyle*)xptr;
	  default: return xptr;
	}
      case 194:	//QTabletEvent
	switch(to) {
	    case 163: return (void*)(QEvent*)(QTabletEvent*)xptr;
	    case 194: return (void*)(QTabletEvent*)(QTabletEvent*)xptr;
	  default: return xptr;
	}
      case 195:	//QTimerEvent
	switch(to) {
	    case 163: return (void*)(QEvent*)(QTimerEvent*)xptr;
	    case 195: return (void*)(QTimerEvent*)(QTimerEvent*)xptr;
	  default: return xptr;
	}
      case 196:	//QVariant
	switch(to) {
	    case 196: return (void*)(QVariant*)(QVariant*)xptr;
	  default: return xptr;
	}
      case 197:	//QWheelEvent
	switch(to) {
	    case 163: return (void*)(QEvent*)(QWheelEvent*)xptr;
	    case 197: return (void*)(QWheelEvent*)(QWheelEvent*)xptr;
	  default: return xptr;
	}
      case 198:	//QWidget
	switch(to) {
	    case 176: return (void*)(QObject*)(QWidget*)xptr;
	    case 177: return (void*)(QPaintDevice*)(QWidget*)xptr;
	    case 198: return (void*)(QWidget*)(QWidget*)xptr;
	    case 122: return (void*)(KFindDialog*)(QWidget*)xptr;
	    case 125: return (void*)(KHTMLView*)(QWidget*)xptr;
	    case 146: return (void*)(QAbstractScrollArea*)(QWidget*)xptr;
	    case 166: return (void*)(QFrame*)(QWidget*)xptr;
	    case 190: return (void*)(QScrollArea*)(QWidget*)xptr;
	  default: return xptr;
	}
      default: return xptr;
    }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index khtml_inheritanceList[] = {
	0,	// 0: (no super class)
	102, 0,	// 1: DOM::Node
	114, 0,	// 3: DOM::Text
	12, 0,	// 5: DOM::CSSRule
	18, 0,	// 7: DOM::CSSValue
	112, 0,	// 9: DOM::StyleSheet
	20, 0,	// 11: DOM::CharacterData
	31, 0,	// 13: DOM::DomShared
	52, 0,	// 15: DOM::HTMLElement
	27, 0,	// 17: DOM::Document
	32, 0,	// 19: DOM::Element
	47, 0,	// 21: DOM::HTMLCollection
	117, 0,	// 23: DOM::UIEvent
	35, 0,	// 25: DOM::Event
	143, 0,	// 27: KParts::ReadOnlyPart
	190, 0,	// 29: QScrollArea, khtml::KHTMLWidget
	163, 0,	// 31: QEvent
	140, 176, 0,	// 33: KParts::PartBase, QObject
	145, 0,	// 36: KXMLGUIClient
	138, 0,	// 38: KParts::Part
};

// These are the xenum functions for manipulating enum pointers
void xenum_DOM__CSSRule(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__DOMException(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KHTMLSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KParts__PartBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__Event(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KHTMLView(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__MutationEvent(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__CSSPrimitiveValue(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__NodeFilter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__Node(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__KeyboardEvent(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__CSSValue(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KHTMLPart(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__EventException(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__Range(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__RangeException(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__CSSException(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_DOM(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__AbstractView(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Attr(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CDATASection(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSCharsetRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSException(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSFontFaceRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSImportRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSMediaRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSPageRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSPrimitiveValue(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSRuleList(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSStyleDeclaration(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSStyleRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSStyleSheet(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSUnknownRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSValue(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSValueList(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CharacterData(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Comment(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Counter(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CustomNodeFilter(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DOMException(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DOMImplementation(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DOMString(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Document(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DocumentFragment(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DocumentStyle(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DocumentType(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DomShared(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Element(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__EntityReference(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Event(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__EventException(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__EventListener(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLAnchorElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLAppletElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLAreaElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLBRElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLBaseElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLBaseFontElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLBlockquoteElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLBodyElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLButtonElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLCollection(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLDListElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLDirectoryElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLDivElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLFieldSetElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLFontElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLFormCollection(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLFormElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLFrameElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLFrameSetElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLHRElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLHeadElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLHeadingElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLHtmlElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLIFrameElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLImageElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLInputElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLIsIndexElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLLIElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLLabelElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLLayerElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLLegendElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLLinkElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLMapElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLMenuElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLMetaElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLModElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLOListElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLObjectElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLOptGroupElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLOptionElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLParagraphElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLParamElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLPreElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLQuoteElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLScriptElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLSelectElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLStyleElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTableCaptionElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTableCellElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTableColElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTableElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTableRowElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTableSectionElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTextAreaElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTitleElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLUListElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__KeyboardEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__LinkStyle(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__MediaList(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__MouseEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__MutationEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__NamedNodeMap(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Node(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__NodeFilter(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__NodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__NodeList(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Notation(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__ProcessingInstruction(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__RGBColor(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Range(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__RangeException(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Rect(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__StyleSheet(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__StyleSheetList(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Text(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__TextEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__TreeWalker(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__UIEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_KHTMLPart(Smoke::Index, void*, Smoke::Stack);
void xcall_KHTMLSettings(Smoke::Index, void*, Smoke::Stack);
void xcall_KHTMLView(Smoke::Index, void*, Smoke::Stack);
void xcall_KParts__Event(Smoke::Index, void*, Smoke::Stack);
void xcall_KParts__Part(Smoke::Index, void*, Smoke::Stack);
void xcall_KParts__PartBase(Smoke::Index, void*, Smoke::Stack);
void xcall_KParts__ReadOnlyPart(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, index into inheritanceList, method dispatcher, enum dispatcher, class flags
static Smoke::Class khtml_classes[] = {
	{ 0L, false, 0, 0, 0, 0 }, 	// 0 (no class)
	{ "DOM", false, 0, xcall_DOM, 0, Smoke::cf_deepcopy }, 	//1
	{ "DOM::AbstractView", false, 0, xcall_DOM__AbstractView, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//2
	{ "DOM::Attr", false, 1, xcall_DOM__Attr, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//3
	{ "DOM::CDATASection", false, 3, xcall_DOM__CDATASection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//4
	{ "DOM::CSSCharsetRule", false, 5, xcall_DOM__CSSCharsetRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//5
	{ "DOM::CSSException", false, 0, xcall_DOM__CSSException, xenum_DOM__CSSException, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//6
	{ "DOM::CSSFontFaceRule", false, 5, xcall_DOM__CSSFontFaceRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//7
	{ "DOM::CSSImportRule", false, 5, xcall_DOM__CSSImportRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//8
	{ "DOM::CSSMediaRule", false, 5, xcall_DOM__CSSMediaRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//9
	{ "DOM::CSSPageRule", false, 5, xcall_DOM__CSSPageRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//10
	{ "DOM::CSSPrimitiveValue", false, 7, xcall_DOM__CSSPrimitiveValue, xenum_DOM__CSSPrimitiveValue, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//11
	{ "DOM::CSSRule", false, 0, xcall_DOM__CSSRule, xenum_DOM__CSSRule, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//12
	{ "DOM::CSSRuleList", false, 0, xcall_DOM__CSSRuleList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//13
	{ "DOM::CSSStyleDeclaration", false, 0, xcall_DOM__CSSStyleDeclaration, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//14
	{ "DOM::CSSStyleRule", false, 5, xcall_DOM__CSSStyleRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//15
	{ "DOM::CSSStyleSheet", false, 9, xcall_DOM__CSSStyleSheet, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//16
	{ "DOM::CSSUnknownRule", false, 5, xcall_DOM__CSSUnknownRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//17
	{ "DOM::CSSValue", false, 0, xcall_DOM__CSSValue, xenum_DOM__CSSValue, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//18
	{ "DOM::CSSValueList", false, 7, xcall_DOM__CSSValueList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//19
	{ "DOM::CharacterData", false, 1, xcall_DOM__CharacterData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//20
	{ "DOM::Comment", false, 11, xcall_DOM__Comment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//21
	{ "DOM::Counter", false, 0, xcall_DOM__Counter, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//22
	{ "DOM::CustomNodeFilter", false, 13, xcall_DOM__CustomNodeFilter, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//23
	{ "DOM::DOMException", false, 0, xcall_DOM__DOMException, xenum_DOM__DOMException, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//24
	{ "DOM::DOMImplementation", false, 0, xcall_DOM__DOMImplementation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//25
	{ "DOM::DOMString", false, 0, xcall_DOM__DOMString, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//26
	{ "DOM::Document", false, 1, xcall_DOM__Document, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//27
	{ "DOM::DocumentFragment", false, 1, xcall_DOM__DocumentFragment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//28
	{ "DOM::DocumentStyle", false, 0, xcall_DOM__DocumentStyle, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//29
	{ "DOM::DocumentType", false, 1, xcall_DOM__DocumentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//30
	{ "DOM::DomShared", false, 0, xcall_DOM__DomShared, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//31
	{ "DOM::Element", false, 1, xcall_DOM__Element, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//32
	{ "DOM::Entity", false, 1, xcall_DOM__Entity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//33
	{ "DOM::EntityReference", false, 1, xcall_DOM__EntityReference, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//34
	{ "DOM::Event", false, 0, xcall_DOM__Event, xenum_DOM__Event, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//35
	{ "DOM::EventException", false, 0, xcall_DOM__EventException, xenum_DOM__EventException, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//36
	{ "DOM::EventListener", false, 13, xcall_DOM__EventListener, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//37
	{ "DOM::HTMLAnchorElement", false, 15, xcall_DOM__HTMLAnchorElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//38
	{ "DOM::HTMLAppletElement", false, 15, xcall_DOM__HTMLAppletElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//39
	{ "DOM::HTMLAreaElement", false, 15, xcall_DOM__HTMLAreaElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//40
	{ "DOM::HTMLBRElement", false, 15, xcall_DOM__HTMLBRElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//41
	{ "DOM::HTMLBaseElement", false, 15, xcall_DOM__HTMLBaseElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//42
	{ "DOM::HTMLBaseFontElement", false, 15, xcall_DOM__HTMLBaseFontElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//43
	{ "DOM::HTMLBlockquoteElement", false, 15, xcall_DOM__HTMLBlockquoteElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//44
	{ "DOM::HTMLBodyElement", false, 15, xcall_DOM__HTMLBodyElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//45
	{ "DOM::HTMLButtonElement", false, 15, xcall_DOM__HTMLButtonElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//46
	{ "DOM::HTMLCollection", false, 0, xcall_DOM__HTMLCollection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//47
	{ "DOM::HTMLDListElement", false, 15, xcall_DOM__HTMLDListElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//48
	{ "DOM::HTMLDirectoryElement", false, 15, xcall_DOM__HTMLDirectoryElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//49
	{ "DOM::HTMLDivElement", false, 15, xcall_DOM__HTMLDivElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//50
	{ "DOM::HTMLDocument", false, 17, xcall_DOM__HTMLDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//51
	{ "DOM::HTMLElement", false, 19, xcall_DOM__HTMLElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//52
	{ "DOM::HTMLFieldSetElement", false, 15, xcall_DOM__HTMLFieldSetElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//53
	{ "DOM::HTMLFontElement", false, 15, xcall_DOM__HTMLFontElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//54
	{ "DOM::HTMLFormCollection", false, 21, xcall_DOM__HTMLFormCollection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//55
	{ "DOM::HTMLFormElement", false, 15, xcall_DOM__HTMLFormElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//56
	{ "DOM::HTMLFrameElement", false, 15, xcall_DOM__HTMLFrameElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//57
	{ "DOM::HTMLFrameSetElement", false, 15, xcall_DOM__HTMLFrameSetElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//58
	{ "DOM::HTMLHRElement", false, 15, xcall_DOM__HTMLHRElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//59
	{ "DOM::HTMLHeadElement", false, 15, xcall_DOM__HTMLHeadElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//60
	{ "DOM::HTMLHeadingElement", false, 15, xcall_DOM__HTMLHeadingElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//61
	{ "DOM::HTMLHtmlElement", false, 15, xcall_DOM__HTMLHtmlElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//62
	{ "DOM::HTMLIFrameElement", false, 15, xcall_DOM__HTMLIFrameElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//63
	{ "DOM::HTMLImageElement", false, 15, xcall_DOM__HTMLImageElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//64
	{ "DOM::HTMLInputElement", false, 15, xcall_DOM__HTMLInputElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//65
	{ "DOM::HTMLIsIndexElement", false, 15, xcall_DOM__HTMLIsIndexElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//66
	{ "DOM::HTMLLIElement", false, 15, xcall_DOM__HTMLLIElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//67
	{ "DOM::HTMLLabelElement", false, 15, xcall_DOM__HTMLLabelElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//68
	{ "DOM::HTMLLayerElement", false, 15, xcall_DOM__HTMLLayerElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//69
	{ "DOM::HTMLLegendElement", false, 15, xcall_DOM__HTMLLegendElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//70
	{ "DOM::HTMLLinkElement", false, 15, xcall_DOM__HTMLLinkElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//71
	{ "DOM::HTMLMapElement", false, 15, xcall_DOM__HTMLMapElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//72
	{ "DOM::HTMLMenuElement", false, 15, xcall_DOM__HTMLMenuElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//73
	{ "DOM::HTMLMetaElement", false, 15, xcall_DOM__HTMLMetaElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//74
	{ "DOM::HTMLModElement", false, 15, xcall_DOM__HTMLModElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//75
	{ "DOM::HTMLOListElement", false, 15, xcall_DOM__HTMLOListElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//76
	{ "DOM::HTMLObjectElement", false, 15, xcall_DOM__HTMLObjectElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//77
	{ "DOM::HTMLOptGroupElement", false, 15, xcall_DOM__HTMLOptGroupElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//78
	{ "DOM::HTMLOptionElement", false, 15, xcall_DOM__HTMLOptionElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//79
	{ "DOM::HTMLParagraphElement", false, 15, xcall_DOM__HTMLParagraphElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//80
	{ "DOM::HTMLParamElement", false, 15, xcall_DOM__HTMLParamElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//81
	{ "DOM::HTMLPreElement", false, 15, xcall_DOM__HTMLPreElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//82
	{ "DOM::HTMLQuoteElement", false, 15, xcall_DOM__HTMLQuoteElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//83
	{ "DOM::HTMLScriptElement", false, 15, xcall_DOM__HTMLScriptElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//84
	{ "DOM::HTMLSelectElement", false, 15, xcall_DOM__HTMLSelectElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//85
	{ "DOM::HTMLStyleElement", false, 15, xcall_DOM__HTMLStyleElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//86
	{ "DOM::HTMLTableCaptionElement", false, 15, xcall_DOM__HTMLTableCaptionElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//87
	{ "DOM::HTMLTableCellElement", false, 15, xcall_DOM__HTMLTableCellElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//88
	{ "DOM::HTMLTableColElement", false, 15, xcall_DOM__HTMLTableColElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//89
	{ "DOM::HTMLTableElement", false, 15, xcall_DOM__HTMLTableElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//90
	{ "DOM::HTMLTableRowElement", false, 15, xcall_DOM__HTMLTableRowElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//91
	{ "DOM::HTMLTableSectionElement", false, 15, xcall_DOM__HTMLTableSectionElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//92
	{ "DOM::HTMLTextAreaElement", false, 15, xcall_DOM__HTMLTextAreaElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//93
	{ "DOM::HTMLTitleElement", false, 15, xcall_DOM__HTMLTitleElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//94
	{ "DOM::HTMLUListElement", false, 15, xcall_DOM__HTMLUListElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//95
	{ "DOM::KeyboardEvent", false, 23, xcall_DOM__KeyboardEvent, xenum_DOM__KeyboardEvent, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//96
	{ "DOM::LinkStyle", false, 0, xcall_DOM__LinkStyle, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//97
	{ "DOM::MediaList", false, 0, xcall_DOM__MediaList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//98
	{ "DOM::MouseEvent", false, 23, xcall_DOM__MouseEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//99
	{ "DOM::MutationEvent", false, 25, xcall_DOM__MutationEvent, xenum_DOM__MutationEvent, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//100
	{ "DOM::NamedNodeMap", false, 0, xcall_DOM__NamedNodeMap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//101
	{ "DOM::Node", false, 0, xcall_DOM__Node, xenum_DOM__Node, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//102
	{ "DOM::NodeFilter", false, 0, xcall_DOM__NodeFilter, xenum_DOM__NodeFilter, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//103
	{ "DOM::NodeIterator", false, 0, xcall_DOM__NodeIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//104
	{ "DOM::NodeList", false, 0, xcall_DOM__NodeList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//105
	{ "DOM::Notation", false, 1, xcall_DOM__Notation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//106
	{ "DOM::ProcessingInstruction", false, 1, xcall_DOM__ProcessingInstruction, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//107
	{ "DOM::RGBColor", false, 0, xcall_DOM__RGBColor, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//108
	{ "DOM::Range", false, 0, xcall_DOM__Range, xenum_DOM__Range, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//109
	{ "DOM::RangeException", false, 0, xcall_DOM__RangeException, xenum_DOM__RangeException, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//110
	{ "DOM::Rect", false, 0, xcall_DOM__Rect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//111
	{ "DOM::StyleSheet", false, 0, xcall_DOM__StyleSheet, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//112
	{ "DOM::StyleSheetList", false, 0, xcall_DOM__StyleSheetList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//113
	{ "DOM::Text", false, 11, xcall_DOM__Text, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//114
	{ "DOM::TextEvent", false, 23, xcall_DOM__TextEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//115
	{ "DOM::TreeWalker", false, 0, xcall_DOM__TreeWalker, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//116
	{ "DOM::UIEvent", false, 25, xcall_DOM__UIEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//117
	{ "KActionCollection", true, 0, 0, 0, 0 }, 	// 118
	{ "KComponentData", true, 0, 0, 0, 0 }, 	// 119
	{ "KConfig", true, 0, 0, 0, 0 }, 	// 120
	{ "KConfigGroup", true, 0, 0, 0, 0 }, 	// 121
	{ "KFindDialog", true, 0, 0, 0, 0 }, 	// 122
	{ "KHTMLPart", false, 27, xcall_KHTMLPart, xenum_KHTMLPart, Smoke::cf_constructor|Smoke::cf_virtual }, 	//123
	{ "KHTMLSettings", false, 0, xcall_KHTMLSettings, xenum_KHTMLSettings, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//124
	{ "KHTMLView", false, 29, xcall_KHTMLView, xenum_KHTMLView, Smoke::cf_constructor|Smoke::cf_virtual }, 	//125
	{ "KIO", true, 0, 0, 0, 0 }, 	// 126
	{ "KIO::Job", true, 0, 0, 0, 0 }, 	// 127
	{ "KIconLoader", true, 0, 0, 0, 0 }, 	// 128
	{ "KJS", true, 0, 0, 0, 0 }, 	// 129
	{ "KJob", true, 0, 0, 0, 0 }, 	// 130
	{ "KParts", true, 0, 0, 0, 0 }, 	// 131
	{ "KParts::BrowserArguments", true, 0, 0, 0, 0 }, 	// 132
	{ "KParts::BrowserExtension", true, 0, 0, 0, 0 }, 	// 133
	{ "KParts::BrowserHostExtension", true, 0, 0, 0, 0 }, 	// 134
	{ "KParts::Event", false, 31, xcall_KParts__Event, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//135
	{ "KParts::GUIActivateEvent", true, 0, 0, 0, 0 }, 	// 136
	{ "KParts::OpenUrlArguments", true, 0, 0, 0, 0 }, 	// 137
	{ "KParts::Part", false, 33, xcall_KParts__Part, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//138
	{ "KParts::PartActivateEvent", true, 0, 0, 0, 0 }, 	// 139
	{ "KParts::PartBase", false, 36, xcall_KParts__PartBase, xenum_KParts__PartBase, Smoke::cf_constructor|Smoke::cf_virtual }, 	//140
	{ "KParts::PartManager", true, 0, 0, 0, 0 }, 	// 141
	{ "KParts::PartSelectEvent", true, 0, 0, 0, 0 }, 	// 142
	{ "KParts::ReadOnlyPart", false, 38, xcall_KParts__ReadOnlyPart, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//143
	{ "KUrl", true, 0, 0, 0, 0 }, 	// 144
	{ "KXMLGUIClient", true, 0, 0, 0, 0 }, 	// 145
	{ "QAbstractScrollArea", true, 0, 0, 0, 0 }, 	// 146
	{ "QAction", true, 0, 0, 0, 0 }, 	// 147
	{ "QActionEvent", true, 0, 0, 0, 0 }, 	// 148
	{ "QByteArray", true, 0, 0, 0, 0 }, 	// 149
	{ "QChar", true, 0, 0, 0, 0 }, 	// 150
	{ "QChildEvent", true, 0, 0, 0, 0 }, 	// 151
	{ "QCloseEvent", true, 0, 0, 0, 0 }, 	// 152
	{ "QColor", true, 0, 0, 0, 0 }, 	// 153
	{ "QContextMenuEvent", true, 0, 0, 0, 0 }, 	// 154
	{ "QCursor", true, 0, 0, 0, 0 }, 	// 155
	{ "QDataStream", true, 0, 0, 0, 0 }, 	// 156
	{ "QDomDocument", true, 0, 0, 0, 0 }, 	// 157
	{ "QDomElement", true, 0, 0, 0, 0 }, 	// 158
	{ "QDragEnterEvent", true, 0, 0, 0, 0 }, 	// 159
	{ "QDragLeaveEvent", true, 0, 0, 0, 0 }, 	// 160
	{ "QDragMoveEvent", true, 0, 0, 0, 0 }, 	// 161
	{ "QDropEvent", true, 0, 0, 0, 0 }, 	// 162
	{ "QEvent", true, 0, 0, 0, 0 }, 	// 163
	{ "QFocusEvent", true, 0, 0, 0, 0 }, 	// 164
	{ "QFont", true, 0, 0, 0, 0 }, 	// 165
	{ "QFrame", true, 0, 0, 0, 0 }, 	// 166
	{ "QHideEvent", true, 0, 0, 0, 0 }, 	// 167
	{ "QImage", true, 0, 0, 0, 0 }, 	// 168
	{ "QInputMethodEvent", true, 0, 0, 0, 0 }, 	// 169
	{ "QKeyEvent", true, 0, 0, 0, 0 }, 	// 170
	{ "QLine", true, 0, 0, 0, 0 }, 	// 171
	{ "QLineF", true, 0, 0, 0, 0 }, 	// 172
	{ "QMetaObject", true, 0, 0, 0, 0 }, 	// 173
	{ "QMouseEvent", true, 0, 0, 0, 0 }, 	// 174
	{ "QMoveEvent", true, 0, 0, 0, 0 }, 	// 175
	{ "QObject", true, 0, 0, 0, 0 }, 	// 176
	{ "QPaintDevice", true, 0, 0, 0, 0 }, 	// 177
	{ "QPaintEngine", true, 0, 0, 0, 0 }, 	// 178
	{ "QPaintEngineState", true, 0, 0, 0, 0 }, 	// 179
	{ "QPaintEvent", true, 0, 0, 0, 0 }, 	// 180
	{ "QPainter", true, 0, 0, 0, 0 }, 	// 181
	{ "QPainterPath", true, 0, 0, 0, 0 }, 	// 182
	{ "QPalette", true, 0, 0, 0, 0 }, 	// 183
	{ "QPixmap", true, 0, 0, 0, 0 }, 	// 184
	{ "QPoint", true, 0, 0, 0, 0 }, 	// 185
	{ "QPointF", true, 0, 0, 0, 0 }, 	// 186
	{ "QRect", true, 0, 0, 0, 0 }, 	// 187
	{ "QRectF", true, 0, 0, 0, 0 }, 	// 188
	{ "QResizeEvent", true, 0, 0, 0, 0 }, 	// 189
	{ "QScrollArea", true, 0, 0, 0, 0 }, 	// 190
	{ "QShowEvent", true, 0, 0, 0, 0 }, 	// 191
	{ "QSize", true, 0, 0, 0, 0 }, 	// 192
	{ "QStyle", true, 0, 0, 0, 0 }, 	// 193
	{ "QTabletEvent", true, 0, 0, 0, 0 }, 	// 194
	{ "QTimerEvent", true, 0, 0, 0, 0 }, 	// 195
	{ "QVariant", true, 0, 0, 0, 0 }, 	// 196
	{ "QWheelEvent", true, 0, 0, 0, 0 }, 	// 197
	{ "QWidget", true, 0, 0, 0, 0 }, 	// 198
	{ "Qt", true, 0, 0, 0, 0 }, 	// 199
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type khtml_types[] = {
	{ 0, 0, 0 },	//0 (no type)
	{ "DOM::AbstractView", 2, Smoke::t_class | Smoke::tf_stack },	//1
	{ "DOM::AbstractView&", 2, Smoke::t_class | Smoke::tf_ref },	//2
	{ "DOM::AbstractView*", 2, Smoke::t_class | Smoke::tf_ptr },	//3
	{ "DOM::AbstractViewImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//4
	{ "DOM::Attr", 3, Smoke::t_class | Smoke::tf_stack },	//5
	{ "DOM::Attr&", 3, Smoke::t_class | Smoke::tf_ref },	//6
	{ "DOM::Attr*", 3, Smoke::t_class | Smoke::tf_ptr },	//7
	{ "DOM::AttrImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//8
	{ "DOM::CDATASection", 4, Smoke::t_class | Smoke::tf_stack },	//9
	{ "DOM::CDATASection&", 4, Smoke::t_class | Smoke::tf_ref },	//10
	{ "DOM::CDATASection*", 4, Smoke::t_class | Smoke::tf_ptr },	//11
	{ "DOM::CDATASectionImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//12
	{ "DOM::CSSCharsetRule&", 5, Smoke::t_class | Smoke::tf_ref },	//13
	{ "DOM::CSSCharsetRule*", 5, Smoke::t_class | Smoke::tf_ptr },	//14
	{ "DOM::CSSCharsetRuleImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//15
	{ "DOM::CSSException&", 6, Smoke::t_class | Smoke::tf_ref },	//16
	{ "DOM::CSSException*", 6, Smoke::t_class | Smoke::tf_ptr },	//17
	{ "DOM::CSSException::ExceptionCode", 6, Smoke::t_enum | Smoke::tf_stack },	//18
	{ "DOM::CSSFontFaceRule&", 7, Smoke::t_class | Smoke::tf_ref },	//19
	{ "DOM::CSSFontFaceRule*", 7, Smoke::t_class | Smoke::tf_ptr },	//20
	{ "DOM::CSSFontFaceRuleImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//21
	{ "DOM::CSSImportRule&", 8, Smoke::t_class | Smoke::tf_ref },	//22
	{ "DOM::CSSImportRule*", 8, Smoke::t_class | Smoke::tf_ptr },	//23
	{ "DOM::CSSImportRuleImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//24
	{ "DOM::CSSMediaRule&", 9, Smoke::t_class | Smoke::tf_ref },	//25
	{ "DOM::CSSMediaRule*", 9, Smoke::t_class | Smoke::tf_ptr },	//26
	{ "DOM::CSSMediaRuleImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//27
	{ "DOM::CSSPageRule&", 10, Smoke::t_class | Smoke::tf_ref },	//28
	{ "DOM::CSSPageRule*", 10, Smoke::t_class | Smoke::tf_ptr },	//29
	{ "DOM::CSSPageRuleImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//30
	{ "DOM::CSSPrimitiveValue", 11, Smoke::t_class | Smoke::tf_stack },	//31
	{ "DOM::CSSPrimitiveValue&", 11, Smoke::t_class | Smoke::tf_ref },	//32
	{ "DOM::CSSPrimitiveValue*", 11, Smoke::t_class | Smoke::tf_ptr },	//33
	{ "DOM::CSSPrimitiveValue::UnitTypes", 11, Smoke::t_enum | Smoke::tf_stack },	//34
	{ "DOM::CSSPrimitiveValueImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//35
	{ "DOM::CSSRule", 12, Smoke::t_class | Smoke::tf_stack },	//36
	{ "DOM::CSSRule&", 12, Smoke::t_class | Smoke::tf_ref },	//37
	{ "DOM::CSSRule*", 12, Smoke::t_class | Smoke::tf_ptr },	//38
	{ "DOM::CSSRule::RuleType", 12, Smoke::t_enum | Smoke::tf_stack },	//39
	{ "DOM::CSSRuleImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//40
	{ "DOM::CSSRuleList", 13, Smoke::t_class | Smoke::tf_stack },	//41
	{ "DOM::CSSRuleList&", 13, Smoke::t_class | Smoke::tf_ref },	//42
	{ "DOM::CSSRuleList*", 13, Smoke::t_class | Smoke::tf_ptr },	//43
	{ "DOM::CSSRuleListImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//44
	{ "DOM::CSSStyleDeclaration", 14, Smoke::t_class | Smoke::tf_stack },	//45
	{ "DOM::CSSStyleDeclaration&", 14, Smoke::t_class | Smoke::tf_ref },	//46
	{ "DOM::CSSStyleDeclaration*", 14, Smoke::t_class | Smoke::tf_ptr },	//47
	{ "DOM::CSSStyleDeclarationImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//48
	{ "DOM::CSSStyleRule&", 15, Smoke::t_class | Smoke::tf_ref },	//49
	{ "DOM::CSSStyleRule*", 15, Smoke::t_class | Smoke::tf_ptr },	//50
	{ "DOM::CSSStyleRuleImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//51
	{ "DOM::CSSStyleSheet", 16, Smoke::t_class | Smoke::tf_stack },	//52
	{ "DOM::CSSStyleSheet&", 16, Smoke::t_class | Smoke::tf_ref },	//53
	{ "DOM::CSSStyleSheet*", 16, Smoke::t_class | Smoke::tf_ptr },	//54
	{ "DOM::CSSStyleSheetImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//55
	{ "DOM::CSSUnknownRule&", 17, Smoke::t_class | Smoke::tf_ref },	//56
	{ "DOM::CSSUnknownRule*", 17, Smoke::t_class | Smoke::tf_ptr },	//57
	{ "DOM::CSSUnknownRuleImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//58
	{ "DOM::CSSValue", 18, Smoke::t_class | Smoke::tf_stack },	//59
	{ "DOM::CSSValue&", 18, Smoke::t_class | Smoke::tf_ref },	//60
	{ "DOM::CSSValue*", 18, Smoke::t_class | Smoke::tf_ptr },	//61
	{ "DOM::CSSValue::UnitTypes", 18, Smoke::t_enum | Smoke::tf_stack },	//62
	{ "DOM::CSSValueImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//63
	{ "DOM::CSSValueList&", 19, Smoke::t_class | Smoke::tf_ref },	//64
	{ "DOM::CSSValueList*", 19, Smoke::t_class | Smoke::tf_ptr },	//65
	{ "DOM::CSSValueListImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//66
	{ "DOM::CharacterData&", 20, Smoke::t_class | Smoke::tf_ref },	//67
	{ "DOM::CharacterData*", 20, Smoke::t_class | Smoke::tf_ptr },	//68
	{ "DOM::CharacterDataImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//69
	{ "DOM::Comment", 21, Smoke::t_class | Smoke::tf_stack },	//70
	{ "DOM::Comment&", 21, Smoke::t_class | Smoke::tf_ref },	//71
	{ "DOM::Comment*", 21, Smoke::t_class | Smoke::tf_ptr },	//72
	{ "DOM::CommentImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//73
	{ "DOM::Counter", 22, Smoke::t_class | Smoke::tf_stack },	//74
	{ "DOM::Counter&", 22, Smoke::t_class | Smoke::tf_ref },	//75
	{ "DOM::Counter*", 22, Smoke::t_class | Smoke::tf_ptr },	//76
	{ "DOM::CounterImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//77
	{ "DOM::CustomNodeFilter*", 23, Smoke::t_class | Smoke::tf_ptr },	//78
	{ "DOM::DOMException&", 24, Smoke::t_class | Smoke::tf_ref },	//79
	{ "DOM::DOMException*", 24, Smoke::t_class | Smoke::tf_ptr },	//80
	{ "DOM::DOMException::ExceptionCode", 24, Smoke::t_enum | Smoke::tf_stack },	//81
	{ "DOM::DOMImplementation", 25, Smoke::t_class | Smoke::tf_stack },	//82
	{ "DOM::DOMImplementation&", 25, Smoke::t_class | Smoke::tf_ref },	//83
	{ "DOM::DOMImplementation*", 25, Smoke::t_class | Smoke::tf_ptr },	//84
	{ "DOM::DOMImplementationImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//85
	{ "DOM::DOMString", 26, Smoke::t_class | Smoke::tf_stack },	//86
	{ "DOM::DOMString&", 26, Smoke::t_class | Smoke::tf_ref },	//87
	{ "DOM::DOMString*", 26, Smoke::t_class | Smoke::tf_ptr },	//88
	{ "DOM::DOMStringImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//89
	{ "DOM::DOMTimeStamp", 0, Smoke::t_voidp | Smoke::tf_stack },	//90
	{ "DOM::Document", 27, Smoke::t_class | Smoke::tf_stack },	//91
	{ "DOM::Document&", 27, Smoke::t_class | Smoke::tf_ref },	//92
	{ "DOM::Document*", 27, Smoke::t_class | Smoke::tf_ptr },	//93
	{ "DOM::DocumentFragment", 28, Smoke::t_class | Smoke::tf_stack },	//94
	{ "DOM::DocumentFragment&", 28, Smoke::t_class | Smoke::tf_ref },	//95
	{ "DOM::DocumentFragment*", 28, Smoke::t_class | Smoke::tf_ptr },	//96
	{ "DOM::DocumentFragmentImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//97
	{ "DOM::DocumentImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//98
	{ "DOM::DocumentStyle&", 29, Smoke::t_class | Smoke::tf_ref },	//99
	{ "DOM::DocumentStyle*", 29, Smoke::t_class | Smoke::tf_ptr },	//100
	{ "DOM::DocumentType", 30, Smoke::t_class | Smoke::tf_stack },	//101
	{ "DOM::DocumentType&", 30, Smoke::t_class | Smoke::tf_ref },	//102
	{ "DOM::DocumentType*", 30, Smoke::t_class | Smoke::tf_ptr },	//103
	{ "DOM::DocumentTypeImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//104
	{ "DOM::DomShared*", 31, Smoke::t_class | Smoke::tf_ptr },	//105
	{ "DOM::Editor*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//106
	{ "DOM::Element", 32, Smoke::t_class | Smoke::tf_stack },	//107
	{ "DOM::Element&", 32, Smoke::t_class | Smoke::tf_ref },	//108
	{ "DOM::Element*", 32, Smoke::t_class | Smoke::tf_ptr },	//109
	{ "DOM::ElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//110
	{ "DOM::Entity&", 33, Smoke::t_class | Smoke::tf_ref },	//111
	{ "DOM::Entity*", 33, Smoke::t_class | Smoke::tf_ptr },	//112
	{ "DOM::EntityImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//113
	{ "DOM::EntityReference", 34, Smoke::t_class | Smoke::tf_stack },	//114
	{ "DOM::EntityReference&", 34, Smoke::t_class | Smoke::tf_ref },	//115
	{ "DOM::EntityReference*", 34, Smoke::t_class | Smoke::tf_ptr },	//116
	{ "DOM::EntityReferenceImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//117
	{ "DOM::Event", 35, Smoke::t_class | Smoke::tf_stack },	//118
	{ "DOM::Event&", 35, Smoke::t_class | Smoke::tf_ref },	//119
	{ "DOM::Event*", 35, Smoke::t_class | Smoke::tf_ptr },	//120
	{ "DOM::Event::PhaseType", 35, Smoke::t_enum | Smoke::tf_stack },	//121
	{ "DOM::EventException&", 36, Smoke::t_class | Smoke::tf_ref },	//122
	{ "DOM::EventException*", 36, Smoke::t_class | Smoke::tf_ptr },	//123
	{ "DOM::EventException::EventExceptionCode", 36, Smoke::t_enum | Smoke::tf_stack },	//124
	{ "DOM::EventImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//125
	{ "DOM::EventListener*", 37, Smoke::t_class | Smoke::tf_ptr },	//126
	{ "DOM::HTMLAnchorElement&", 38, Smoke::t_class | Smoke::tf_ref },	//127
	{ "DOM::HTMLAnchorElement*", 38, Smoke::t_class | Smoke::tf_ptr },	//128
	{ "DOM::HTMLAnchorElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//129
	{ "DOM::HTMLAppletElement&", 39, Smoke::t_class | Smoke::tf_ref },	//130
	{ "DOM::HTMLAppletElement*", 39, Smoke::t_class | Smoke::tf_ptr },	//131
	{ "DOM::HTMLAppletElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//132
	{ "DOM::HTMLAreaElement&", 40, Smoke::t_class | Smoke::tf_ref },	//133
	{ "DOM::HTMLAreaElement*", 40, Smoke::t_class | Smoke::tf_ptr },	//134
	{ "DOM::HTMLAreaElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//135
	{ "DOM::HTMLBRElement&", 41, Smoke::t_class | Smoke::tf_ref },	//136
	{ "DOM::HTMLBRElement*", 41, Smoke::t_class | Smoke::tf_ptr },	//137
	{ "DOM::HTMLBRElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//138
	{ "DOM::HTMLBaseElement&", 42, Smoke::t_class | Smoke::tf_ref },	//139
	{ "DOM::HTMLBaseElement*", 42, Smoke::t_class | Smoke::tf_ptr },	//140
	{ "DOM::HTMLBaseElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//141
	{ "DOM::HTMLBaseFontElement&", 43, Smoke::t_class | Smoke::tf_ref },	//142
	{ "DOM::HTMLBaseFontElement*", 43, Smoke::t_class | Smoke::tf_ptr },	//143
	{ "DOM::HTMLBaseFontElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//144
	{ "DOM::HTMLBlockquoteElement&", 44, Smoke::t_class | Smoke::tf_ref },	//145
	{ "DOM::HTMLBlockquoteElement*", 44, Smoke::t_class | Smoke::tf_ptr },	//146
	{ "DOM::HTMLBodyElement&", 45, Smoke::t_class | Smoke::tf_ref },	//147
	{ "DOM::HTMLBodyElement*", 45, Smoke::t_class | Smoke::tf_ptr },	//148
	{ "DOM::HTMLBodyElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//149
	{ "DOM::HTMLButtonElement&", 46, Smoke::t_class | Smoke::tf_ref },	//150
	{ "DOM::HTMLButtonElement*", 46, Smoke::t_class | Smoke::tf_ptr },	//151
	{ "DOM::HTMLButtonElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//152
	{ "DOM::HTMLCollection", 47, Smoke::t_class | Smoke::tf_stack },	//153
	{ "DOM::HTMLCollection&", 47, Smoke::t_class | Smoke::tf_ref },	//154
	{ "DOM::HTMLCollection*", 47, Smoke::t_class | Smoke::tf_ptr },	//155
	{ "DOM::HTMLCollectionImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//156
	{ "DOM::HTMLDListElement&", 48, Smoke::t_class | Smoke::tf_ref },	//157
	{ "DOM::HTMLDListElement*", 48, Smoke::t_class | Smoke::tf_ptr },	//158
	{ "DOM::HTMLDListElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//159
	{ "DOM::HTMLDirectoryElement&", 49, Smoke::t_class | Smoke::tf_ref },	//160
	{ "DOM::HTMLDirectoryElement*", 49, Smoke::t_class | Smoke::tf_ptr },	//161
	{ "DOM::HTMLDirectoryElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//162
	{ "DOM::HTMLDivElement&", 50, Smoke::t_class | Smoke::tf_ref },	//163
	{ "DOM::HTMLDivElement*", 50, Smoke::t_class | Smoke::tf_ptr },	//164
	{ "DOM::HTMLDivElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//165
	{ "DOM::HTMLDocument", 51, Smoke::t_class | Smoke::tf_stack },	//166
	{ "DOM::HTMLDocument&", 51, Smoke::t_class | Smoke::tf_ref },	//167
	{ "DOM::HTMLDocument*", 51, Smoke::t_class | Smoke::tf_ptr },	//168
	{ "DOM::HTMLDocumentImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//169
	{ "DOM::HTMLElement", 52, Smoke::t_class | Smoke::tf_stack },	//170
	{ "DOM::HTMLElement&", 52, Smoke::t_class | Smoke::tf_ref },	//171
	{ "DOM::HTMLElement*", 52, Smoke::t_class | Smoke::tf_ptr },	//172
	{ "DOM::HTMLElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//173
	{ "DOM::HTMLFieldSetElement&", 53, Smoke::t_class | Smoke::tf_ref },	//174
	{ "DOM::HTMLFieldSetElement*", 53, Smoke::t_class | Smoke::tf_ptr },	//175
	{ "DOM::HTMLFieldSetElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//176
	{ "DOM::HTMLFontElement&", 54, Smoke::t_class | Smoke::tf_ref },	//177
	{ "DOM::HTMLFontElement*", 54, Smoke::t_class | Smoke::tf_ptr },	//178
	{ "DOM::HTMLFontElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//179
	{ "DOM::HTMLFormCollection*", 55, Smoke::t_class | Smoke::tf_ptr },	//180
	{ "DOM::HTMLFormElement", 56, Smoke::t_class | Smoke::tf_stack },	//181
	{ "DOM::HTMLFormElement&", 56, Smoke::t_class | Smoke::tf_ref },	//182
	{ "DOM::HTMLFormElement*", 56, Smoke::t_class | Smoke::tf_ptr },	//183
	{ "DOM::HTMLFormElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//184
	{ "DOM::HTMLFrameElement&", 57, Smoke::t_class | Smoke::tf_ref },	//185
	{ "DOM::HTMLFrameElement*", 57, Smoke::t_class | Smoke::tf_ptr },	//186
	{ "DOM::HTMLFrameElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//187
	{ "DOM::HTMLFrameSetElement&", 58, Smoke::t_class | Smoke::tf_ref },	//188
	{ "DOM::HTMLFrameSetElement*", 58, Smoke::t_class | Smoke::tf_ptr },	//189
	{ "DOM::HTMLFrameSetElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//190
	{ "DOM::HTMLGenericElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//191
	{ "DOM::HTMLHRElement&", 59, Smoke::t_class | Smoke::tf_ref },	//192
	{ "DOM::HTMLHRElement*", 59, Smoke::t_class | Smoke::tf_ptr },	//193
	{ "DOM::HTMLHRElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//194
	{ "DOM::HTMLHeadElement&", 60, Smoke::t_class | Smoke::tf_ref },	//195
	{ "DOM::HTMLHeadElement*", 60, Smoke::t_class | Smoke::tf_ptr },	//196
	{ "DOM::HTMLHeadElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//197
	{ "DOM::HTMLHeadingElement&", 61, Smoke::t_class | Smoke::tf_ref },	//198
	{ "DOM::HTMLHeadingElement*", 61, Smoke::t_class | Smoke::tf_ptr },	//199
	{ "DOM::HTMLHtmlElement&", 62, Smoke::t_class | Smoke::tf_ref },	//200
	{ "DOM::HTMLHtmlElement*", 62, Smoke::t_class | Smoke::tf_ptr },	//201
	{ "DOM::HTMLHtmlElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//202
	{ "DOM::HTMLIFrameElement&", 63, Smoke::t_class | Smoke::tf_ref },	//203
	{ "DOM::HTMLIFrameElement*", 63, Smoke::t_class | Smoke::tf_ptr },	//204
	{ "DOM::HTMLIFrameElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//205
	{ "DOM::HTMLImageElement&", 64, Smoke::t_class | Smoke::tf_ref },	//206
	{ "DOM::HTMLImageElement*", 64, Smoke::t_class | Smoke::tf_ptr },	//207
	{ "DOM::HTMLImageElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//208
	{ "DOM::HTMLInputElement&", 65, Smoke::t_class | Smoke::tf_ref },	//209
	{ "DOM::HTMLInputElement*", 65, Smoke::t_class | Smoke::tf_ptr },	//210
	{ "DOM::HTMLInputElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//211
	{ "DOM::HTMLIsIndexElement&", 66, Smoke::t_class | Smoke::tf_ref },	//212
	{ "DOM::HTMLIsIndexElement*", 66, Smoke::t_class | Smoke::tf_ptr },	//213
	{ "DOM::HTMLIsIndexElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//214
	{ "DOM::HTMLLIElement&", 67, Smoke::t_class | Smoke::tf_ref },	//215
	{ "DOM::HTMLLIElement*", 67, Smoke::t_class | Smoke::tf_ptr },	//216
	{ "DOM::HTMLLIElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//217
	{ "DOM::HTMLLabelElement&", 68, Smoke::t_class | Smoke::tf_ref },	//218
	{ "DOM::HTMLLabelElement*", 68, Smoke::t_class | Smoke::tf_ptr },	//219
	{ "DOM::HTMLLabelElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//220
	{ "DOM::HTMLLayerElement&", 69, Smoke::t_class | Smoke::tf_ref },	//221
	{ "DOM::HTMLLayerElement*", 69, Smoke::t_class | Smoke::tf_ptr },	//222
	{ "DOM::HTMLLayerElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//223
	{ "DOM::HTMLLegendElement&", 70, Smoke::t_class | Smoke::tf_ref },	//224
	{ "DOM::HTMLLegendElement*", 70, Smoke::t_class | Smoke::tf_ptr },	//225
	{ "DOM::HTMLLegendElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//226
	{ "DOM::HTMLLinkElement&", 71, Smoke::t_class | Smoke::tf_ref },	//227
	{ "DOM::HTMLLinkElement*", 71, Smoke::t_class | Smoke::tf_ptr },	//228
	{ "DOM::HTMLLinkElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//229
	{ "DOM::HTMLMapElement&", 72, Smoke::t_class | Smoke::tf_ref },	//230
	{ "DOM::HTMLMapElement*", 72, Smoke::t_class | Smoke::tf_ptr },	//231
	{ "DOM::HTMLMapElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//232
	{ "DOM::HTMLMenuElement&", 73, Smoke::t_class | Smoke::tf_ref },	//233
	{ "DOM::HTMLMenuElement*", 73, Smoke::t_class | Smoke::tf_ptr },	//234
	{ "DOM::HTMLMenuElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//235
	{ "DOM::HTMLMetaElement&", 74, Smoke::t_class | Smoke::tf_ref },	//236
	{ "DOM::HTMLMetaElement*", 74, Smoke::t_class | Smoke::tf_ptr },	//237
	{ "DOM::HTMLMetaElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//238
	{ "DOM::HTMLModElement&", 75, Smoke::t_class | Smoke::tf_ref },	//239
	{ "DOM::HTMLModElement*", 75, Smoke::t_class | Smoke::tf_ptr },	//240
	{ "DOM::HTMLOListElement&", 76, Smoke::t_class | Smoke::tf_ref },	//241
	{ "DOM::HTMLOListElement*", 76, Smoke::t_class | Smoke::tf_ptr },	//242
	{ "DOM::HTMLOListElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//243
	{ "DOM::HTMLObjectElement&", 77, Smoke::t_class | Smoke::tf_ref },	//244
	{ "DOM::HTMLObjectElement*", 77, Smoke::t_class | Smoke::tf_ptr },	//245
	{ "DOM::HTMLObjectElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//246
	{ "DOM::HTMLOptGroupElement&", 78, Smoke::t_class | Smoke::tf_ref },	//247
	{ "DOM::HTMLOptGroupElement*", 78, Smoke::t_class | Smoke::tf_ptr },	//248
	{ "DOM::HTMLOptGroupElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//249
	{ "DOM::HTMLOptionElement&", 79, Smoke::t_class | Smoke::tf_ref },	//250
	{ "DOM::HTMLOptionElement*", 79, Smoke::t_class | Smoke::tf_ptr },	//251
	{ "DOM::HTMLOptionElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//252
	{ "DOM::HTMLParagraphElement&", 80, Smoke::t_class | Smoke::tf_ref },	//253
	{ "DOM::HTMLParagraphElement*", 80, Smoke::t_class | Smoke::tf_ptr },	//254
	{ "DOM::HTMLParamElement&", 81, Smoke::t_class | Smoke::tf_ref },	//255
	{ "DOM::HTMLParamElement*", 81, Smoke::t_class | Smoke::tf_ptr },	//256
	{ "DOM::HTMLParamElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//257
	{ "DOM::HTMLPreElement&", 82, Smoke::t_class | Smoke::tf_ref },	//258
	{ "DOM::HTMLPreElement*", 82, Smoke::t_class | Smoke::tf_ptr },	//259
	{ "DOM::HTMLPreElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//260
	{ "DOM::HTMLQuoteElement&", 83, Smoke::t_class | Smoke::tf_ref },	//261
	{ "DOM::HTMLQuoteElement*", 83, Smoke::t_class | Smoke::tf_ptr },	//262
	{ "DOM::HTMLScriptElement&", 84, Smoke::t_class | Smoke::tf_ref },	//263
	{ "DOM::HTMLScriptElement*", 84, Smoke::t_class | Smoke::tf_ptr },	//264
	{ "DOM::HTMLScriptElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//265
	{ "DOM::HTMLSelectElement&", 85, Smoke::t_class | Smoke::tf_ref },	//266
	{ "DOM::HTMLSelectElement*", 85, Smoke::t_class | Smoke::tf_ptr },	//267
	{ "DOM::HTMLSelectElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//268
	{ "DOM::HTMLStyleElement&", 86, Smoke::t_class | Smoke::tf_ref },	//269
	{ "DOM::HTMLStyleElement*", 86, Smoke::t_class | Smoke::tf_ptr },	//270
	{ "DOM::HTMLStyleElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//271
	{ "DOM::HTMLTableCaptionElement", 87, Smoke::t_class | Smoke::tf_stack },	//272
	{ "DOM::HTMLTableCaptionElement&", 87, Smoke::t_class | Smoke::tf_ref },	//273
	{ "DOM::HTMLTableCaptionElement*", 87, Smoke::t_class | Smoke::tf_ptr },	//274
	{ "DOM::HTMLTableCaptionElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//275
	{ "DOM::HTMLTableCellElement&", 88, Smoke::t_class | Smoke::tf_ref },	//276
	{ "DOM::HTMLTableCellElement*", 88, Smoke::t_class | Smoke::tf_ptr },	//277
	{ "DOM::HTMLTableCellElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//278
	{ "DOM::HTMLTableColElement&", 89, Smoke::t_class | Smoke::tf_ref },	//279
	{ "DOM::HTMLTableColElement*", 89, Smoke::t_class | Smoke::tf_ptr },	//280
	{ "DOM::HTMLTableColElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//281
	{ "DOM::HTMLTableElement&", 90, Smoke::t_class | Smoke::tf_ref },	//282
	{ "DOM::HTMLTableElement*", 90, Smoke::t_class | Smoke::tf_ptr },	//283
	{ "DOM::HTMLTableElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//284
	{ "DOM::HTMLTableRowElement&", 91, Smoke::t_class | Smoke::tf_ref },	//285
	{ "DOM::HTMLTableRowElement*", 91, Smoke::t_class | Smoke::tf_ptr },	//286
	{ "DOM::HTMLTableRowElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//287
	{ "DOM::HTMLTableSectionElement", 92, Smoke::t_class | Smoke::tf_stack },	//288
	{ "DOM::HTMLTableSectionElement&", 92, Smoke::t_class | Smoke::tf_ref },	//289
	{ "DOM::HTMLTableSectionElement*", 92, Smoke::t_class | Smoke::tf_ptr },	//290
	{ "DOM::HTMLTableSectionElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//291
	{ "DOM::HTMLTextAreaElement&", 93, Smoke::t_class | Smoke::tf_ref },	//292
	{ "DOM::HTMLTextAreaElement*", 93, Smoke::t_class | Smoke::tf_ptr },	//293
	{ "DOM::HTMLTextAreaElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//294
	{ "DOM::HTMLTitleElement&", 94, Smoke::t_class | Smoke::tf_ref },	//295
	{ "DOM::HTMLTitleElement*", 94, Smoke::t_class | Smoke::tf_ptr },	//296
	{ "DOM::HTMLTitleElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//297
	{ "DOM::HTMLUListElement&", 95, Smoke::t_class | Smoke::tf_ref },	//298
	{ "DOM::HTMLUListElement*", 95, Smoke::t_class | Smoke::tf_ptr },	//299
	{ "DOM::HTMLUListElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//300
	{ "DOM::KeyboardEvent&", 96, Smoke::t_class | Smoke::tf_ref },	//301
	{ "DOM::KeyboardEvent*", 96, Smoke::t_class | Smoke::tf_ptr },	//302
	{ "DOM::KeyboardEvent::KeyLocation", 96, Smoke::t_enum | Smoke::tf_stack },	//303
	{ "DOM::LinkStyle&", 97, Smoke::t_class | Smoke::tf_ref },	//304
	{ "DOM::LinkStyle*", 97, Smoke::t_class | Smoke::tf_ptr },	//305
	{ "DOM::MediaList", 98, Smoke::t_class | Smoke::tf_stack },	//306
	{ "DOM::MediaList&", 98, Smoke::t_class | Smoke::tf_ref },	//307
	{ "DOM::MediaList*", 98, Smoke::t_class | Smoke::tf_ptr },	//308
	{ "DOM::MediaListImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//309
	{ "DOM::MouseEvent&", 99, Smoke::t_class | Smoke::tf_ref },	//310
	{ "DOM::MouseEvent*", 99, Smoke::t_class | Smoke::tf_ptr },	//311
	{ "DOM::MouseEventImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//312
	{ "DOM::MutationEvent&", 100, Smoke::t_class | Smoke::tf_ref },	//313
	{ "DOM::MutationEvent*", 100, Smoke::t_class | Smoke::tf_ptr },	//314
	{ "DOM::MutationEvent::attrChangeType", 100, Smoke::t_enum | Smoke::tf_stack },	//315
	{ "DOM::MutationEventImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//316
	{ "DOM::NamedNodeMap", 101, Smoke::t_class | Smoke::tf_stack },	//317
	{ "DOM::NamedNodeMap&", 101, Smoke::t_class | Smoke::tf_ref },	//318
	{ "DOM::NamedNodeMap*", 101, Smoke::t_class | Smoke::tf_ptr },	//319
	{ "DOM::NamedNodeMapImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//320
	{ "DOM::Node", 102, Smoke::t_class | Smoke::tf_stack },	//321
	{ "DOM::Node&", 102, Smoke::t_class | Smoke::tf_ref },	//322
	{ "DOM::Node*", 102, Smoke::t_class | Smoke::tf_ptr },	//323
	{ "DOM::Node::NodeType", 102, Smoke::t_enum | Smoke::tf_stack },	//324
	{ "DOM::NodeFilter", 103, Smoke::t_class | Smoke::tf_stack },	//325
	{ "DOM::NodeFilter&", 103, Smoke::t_class | Smoke::tf_ref },	//326
	{ "DOM::NodeFilter*", 103, Smoke::t_class | Smoke::tf_ptr },	//327
	{ "DOM::NodeFilter::AcceptCode", 103, Smoke::t_enum | Smoke::tf_stack },	//328
	{ "DOM::NodeFilter::ShowCode", 103, Smoke::t_enum | Smoke::tf_stack },	//329
	{ "DOM::NodeFilterImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//330
	{ "DOM::NodeImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//331
	{ "DOM::NodeIterator", 104, Smoke::t_class | Smoke::tf_stack },	//332
	{ "DOM::NodeIterator&", 104, Smoke::t_class | Smoke::tf_ref },	//333
	{ "DOM::NodeIterator*", 104, Smoke::t_class | Smoke::tf_ptr },	//334
	{ "DOM::NodeIteratorImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//335
	{ "DOM::NodeList", 105, Smoke::t_class | Smoke::tf_stack },	//336
	{ "DOM::NodeList&", 105, Smoke::t_class | Smoke::tf_ref },	//337
	{ "DOM::NodeList*", 105, Smoke::t_class | Smoke::tf_ptr },	//338
	{ "DOM::Notation&", 106, Smoke::t_class | Smoke::tf_ref },	//339
	{ "DOM::Notation*", 106, Smoke::t_class | Smoke::tf_ptr },	//340
	{ "DOM::NotationImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//341
	{ "DOM::ProcessingInstruction", 107, Smoke::t_class | Smoke::tf_stack },	//342
	{ "DOM::ProcessingInstruction&", 107, Smoke::t_class | Smoke::tf_ref },	//343
	{ "DOM::ProcessingInstruction*", 107, Smoke::t_class | Smoke::tf_ptr },	//344
	{ "DOM::ProcessingInstructionImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//345
	{ "DOM::RGBColor", 108, Smoke::t_class | Smoke::tf_stack },	//346
	{ "DOM::RGBColor&", 108, Smoke::t_class | Smoke::tf_ref },	//347
	{ "DOM::RGBColor*", 108, Smoke::t_class | Smoke::tf_ptr },	//348
	{ "DOM::Range", 109, Smoke::t_class | Smoke::tf_stack },	//349
	{ "DOM::Range&", 109, Smoke::t_class | Smoke::tf_ref },	//350
	{ "DOM::Range*", 109, Smoke::t_class | Smoke::tf_ptr },	//351
	{ "DOM::Range::CompareHow", 109, Smoke::t_enum | Smoke::tf_stack },	//352
	{ "DOM::RangeException&", 110, Smoke::t_class | Smoke::tf_ref },	//353
	{ "DOM::RangeException*", 110, Smoke::t_class | Smoke::tf_ptr },	//354
	{ "DOM::RangeException::RangeExceptionCode", 110, Smoke::t_enum | Smoke::tf_stack },	//355
	{ "DOM::RangeImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//356
	{ "DOM::Rect", 111, Smoke::t_class | Smoke::tf_stack },	//357
	{ "DOM::Rect&", 111, Smoke::t_class | Smoke::tf_ref },	//358
	{ "DOM::Rect*", 111, Smoke::t_class | Smoke::tf_ptr },	//359
	{ "DOM::RectImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//360
	{ "DOM::StyleListImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//361
	{ "DOM::StyleSheet", 112, Smoke::t_class | Smoke::tf_stack },	//362
	{ "DOM::StyleSheet&", 112, Smoke::t_class | Smoke::tf_ref },	//363
	{ "DOM::StyleSheet*", 112, Smoke::t_class | Smoke::tf_ptr },	//364
	{ "DOM::StyleSheetImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//365
	{ "DOM::StyleSheetList", 113, Smoke::t_class | Smoke::tf_stack },	//366
	{ "DOM::StyleSheetList&", 113, Smoke::t_class | Smoke::tf_ref },	//367
	{ "DOM::StyleSheetList*", 113, Smoke::t_class | Smoke::tf_ptr },	//368
	{ "DOM::StyleSheetListImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//369
	{ "DOM::Text", 114, Smoke::t_class | Smoke::tf_stack },	//370
	{ "DOM::Text&", 114, Smoke::t_class | Smoke::tf_ref },	//371
	{ "DOM::Text*", 114, Smoke::t_class | Smoke::tf_ptr },	//372
	{ "DOM::TextEvent&", 115, Smoke::t_class | Smoke::tf_ref },	//373
	{ "DOM::TextEvent*", 115, Smoke::t_class | Smoke::tf_ptr },	//374
	{ "DOM::TextImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//375
	{ "DOM::TreeWalker", 116, Smoke::t_class | Smoke::tf_stack },	//376
	{ "DOM::TreeWalker&", 116, Smoke::t_class | Smoke::tf_ref },	//377
	{ "DOM::TreeWalker*", 116, Smoke::t_class | Smoke::tf_ptr },	//378
	{ "DOM::TreeWalkerImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//379
	{ "DOM::UIEvent&", 117, Smoke::t_class | Smoke::tf_ref },	//380
	{ "DOM::UIEvent*", 117, Smoke::t_class | Smoke::tf_ptr },	//381
	{ "DOM::UIEventImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//382
	{ "KAction::ShortcutTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//383
	{ "KActionCollection*", 118, Smoke::t_class | Smoke::tf_ptr },	//384
	{ "KAutostart::Conditions", 0, Smoke::t_uint | Smoke::tf_stack },	//385
	{ "KCModule::Buttons", 0, Smoke::t_uint | Smoke::tf_stack },	//386
	{ "KCmdLineArgs::StdCmdLineArgs", 0, Smoke::t_uint | Smoke::tf_stack },	//387
	{ "KComponentData", 119, Smoke::t_class | Smoke::tf_stack },	//388
	{ "KConfig*", 120, Smoke::t_class | Smoke::tf_ptr },	//389
	{ "KConfig::OpenFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//390
	{ "KConfigBase::WriteConfigFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//391
	{ "KCrash::CrashFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//392
	{ "KDialog::ButtonCodes", 0, Smoke::t_uint | Smoke::tf_stack },	//393
	{ "KDialog::ButtonPopupModes", 0, Smoke::t_uint | Smoke::tf_stack },	//394
	{ "KDialog::CaptionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//395
	{ "KDirLister::OpenUrlFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//396
	{ "KDirModel::DropsAllowed", 0, Smoke::t_uint | Smoke::tf_stack },	//397
	{ "KDirWatch::WatchModes", 0, Smoke::t_uint | Smoke::tf_stack },	//398
	{ "KEditListBox::Buttons", 0, Smoke::t_uint | Smoke::tf_stack },	//399
	{ "KFileMetaInfo::WhatFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//400
	{ "KFindDialog*", 122, Smoke::t_class | Smoke::tf_ptr },	//401
	{ "KFontChooser::DisplayFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//402
	{ "KFontChooser::FontDiffFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//403
	{ "KGlobalSettings::GraphicEffects", 0, Smoke::t_uint | Smoke::tf_stack },	//404
	{ "KHTMLPart*", 123, Smoke::t_class | Smoke::tf_ptr },	//405
	{ "KHTMLPart::CaretDisplayPolicy", 123, Smoke::t_enum | Smoke::tf_stack },	//406
	{ "KHTMLPart::FindOptions", 123, Smoke::t_enum | Smoke::tf_stack },	//407
	{ "KHTMLPart::FormNotification", 123, Smoke::t_enum | Smoke::tf_stack },	//408
	{ "KHTMLPart::GUIProfile", 123, Smoke::t_enum | Smoke::tf_stack },	//409
	{ "KHTMLPart::PageSecurity", 123, Smoke::t_enum | Smoke::tf_stack },	//410
	{ "KHTMLPart::StatusBarPriority", 123, Smoke::t_enum | Smoke::tf_stack },	//411
	{ "KHTMLSettings*", 124, Smoke::t_class | Smoke::tf_ptr },	//412
	{ "KHTMLSettings::KAnimationAdvice", 124, Smoke::t_enum | Smoke::tf_stack },	//413
	{ "KHTMLSettings::KJSWindowFocusPolicy", 124, Smoke::t_enum | Smoke::tf_stack },	//414
	{ "KHTMLSettings::KJSWindowMovePolicy", 124, Smoke::t_enum | Smoke::tf_stack },	//415
	{ "KHTMLSettings::KJSWindowOpenPolicy", 124, Smoke::t_enum | Smoke::tf_stack },	//416
	{ "KHTMLSettings::KJSWindowResizePolicy", 124, Smoke::t_enum | Smoke::tf_stack },	//417
	{ "KHTMLSettings::KJSWindowStatusPolicy", 124, Smoke::t_enum | Smoke::tf_stack },	//418
	{ "KHTMLSettings::KJavaScriptAdvice", 124, Smoke::t_enum | Smoke::tf_stack },	//419
	{ "KHTMLSettings::KJavaScriptAdvice&", 0, Smoke::t_voidp | Smoke::tf_ref },	//420
	{ "KHTMLSettings::KSmoothScrollingMode", 124, Smoke::t_enum | Smoke::tf_stack },	//421
	{ "KHTMLView*", 125, Smoke::t_class | Smoke::tf_ptr },	//422
	{ "KHTMLView::LinkCursor", 125, Smoke::t_enum | Smoke::tf_stack },	//423
	{ "KHTMLView::SmoothScrollingMode", 125, Smoke::t_enum | Smoke::tf_stack },	//424
	{ "KIO::CacheControl", 126, Smoke::t_enum | Smoke::tf_stack },	//425
	{ "KIO::Command", 126, Smoke::t_enum | Smoke::tf_stack },	//426
	{ "KIO::Error", 126, Smoke::t_enum | Smoke::tf_stack },	//427
	{ "KIO::HTTP_METHOD", 126, Smoke::t_enum | Smoke::tf_stack },	//428
	{ "KIO::Info", 126, Smoke::t_enum | Smoke::tf_stack },	//429
	{ "KIO::Job*", 127, Smoke::t_class | Smoke::tf_ptr },	//430
	{ "KIO::JobFlag", 126, Smoke::t_enum | Smoke::tf_stack },	//431
	{ "KIO::JobFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//432
	{ "KIO::LoadType", 126, Smoke::t_enum | Smoke::tf_stack },	//433
	{ "KIO::Message", 126, Smoke::t_enum | Smoke::tf_stack },	//434
	{ "KIO::NetRC::LookUpMode", 0, Smoke::t_uint | Smoke::tf_stack },	//435
	{ "KIO::RenameDialog_Mode", 126, Smoke::t_enum | Smoke::tf_stack },	//436
	{ "KIO::RenameDialog_Result", 126, Smoke::t_enum | Smoke::tf_stack },	//437
	{ "KIO::SkipDialog_Result", 126, Smoke::t_enum | Smoke::tf_stack },	//438
	{ "KIO::TCPSlaveBase::SslResult", 0, Smoke::t_uint | Smoke::tf_stack },	//439
	{ "KIconLoader*", 128, Smoke::t_class | Smoke::tf_ptr },	//440
	{ "KJS::Interpreter*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//441
	{ "KJSProxy*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//442
	{ "KJob*", 130, Smoke::t_class | Smoke::tf_ptr },	//443
	{ "KJob::Capabilities", 0, Smoke::t_uint | Smoke::tf_stack },	//444
	{ "KJob::Capability", 130, Smoke::t_enum | Smoke::tf_stack },	//445
	{ "KJob::KillVerbosity", 130, Smoke::t_enum | Smoke::tf_stack },	//446
	{ "KJob::Unit", 130, Smoke::t_enum | Smoke::tf_stack },	//447
	{ "KLocale::DateTimeFormatOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//448
	{ "KLockFile::LockFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//449
	{ "KMessageBox::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//450
	{ "KNTLM::AuthFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//451
	{ "KNotification::NotificationFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//452
	{ "KNotificationRestrictions::Services", 0, Smoke::t_uint | Smoke::tf_stack },	//453
	{ "KParts::BrowserExtension*", 133, Smoke::t_class | Smoke::tf_ptr },	//454
	{ "KParts::BrowserExtension::PopupFlag", 133, Smoke::t_enum | Smoke::tf_stack },	//455
	{ "KParts::BrowserExtension::PopupFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//456
	{ "KParts::BrowserHostExtension*", 134, Smoke::t_class | Smoke::tf_ptr },	//457
	{ "KParts::Event*", 135, Smoke::t_class | Smoke::tf_ptr },	//458
	{ "KParts::GUIActivateEvent*", 136, Smoke::t_class | Smoke::tf_ptr },	//459
	{ "KParts::OpenUrlArguments", 137, Smoke::t_class | Smoke::tf_stack },	//460
	{ "KParts::Part*", 138, Smoke::t_class | Smoke::tf_ptr },	//461
	{ "KParts::PartActivateEvent*", 139, Smoke::t_class | Smoke::tf_ptr },	//462
	{ "KParts::PartBase*", 140, Smoke::t_class | Smoke::tf_ptr },	//463
	{ "KParts::PartBase::PluginLoadingMode", 140, Smoke::t_enum | Smoke::tf_stack },	//464
	{ "KParts::PartManager*", 141, Smoke::t_class | Smoke::tf_ptr },	//465
	{ "KParts::PartManager::Reason", 141, Smoke::t_enum | Smoke::tf_stack },	//466
	{ "KParts::PartManager::SelectionPolicy", 141, Smoke::t_enum | Smoke::tf_stack },	//467
	{ "KParts::PartSelectEvent*", 142, Smoke::t_class | Smoke::tf_ptr },	//468
	{ "KParts::ReadOnlyPart*", 143, Smoke::t_class | Smoke::tf_ptr },	//469
	{ "KPasswordDialog::KPasswordDialogFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//470
	{ "KPerDomainSettings&", 0, Smoke::t_voidp | Smoke::tf_ref },	//471
	{ "KPlotObject::PlotTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//472
	{ "KServiceGroup::EntriesOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//473
	{ "KShell::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//474
	{ "KShortcutsEditor::ActionTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//475
	{ "KStandardDirs::SearchOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//476
	{ "KUniqueApplication::StartFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//477
	{ "KUrl", 144, Smoke::t_class | Smoke::tf_stack },	//478
	{ "KUrl::AdjustPathOption", 144, Smoke::t_enum | Smoke::tf_stack },	//479
	{ "KUrl::CleanPathOption", 144, Smoke::t_enum | Smoke::tf_stack },	//480
	{ "KUrl::CleanPathOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//481
	{ "KUrl::DirectoryOption", 144, Smoke::t_enum | Smoke::tf_stack },	//482
	{ "KUrl::DirectoryOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//483
	{ "KUrl::EncodedPathAndQueryOption", 144, Smoke::t_enum | Smoke::tf_stack },	//484
	{ "KUrl::EncodedPathAndQueryOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//485
	{ "KUrl::EqualsOption", 144, Smoke::t_enum | Smoke::tf_stack },	//486
	{ "KUrl::EqualsOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//487
	{ "KUrl::MimeDataFlags", 144, Smoke::t_enum | Smoke::tf_stack },	//488
	{ "KUrl::QueryItemsOption", 144, Smoke::t_enum | Smoke::tf_stack },	//489
	{ "KUrl::QueryItemsOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//490
	{ "KXMLGUIClient*", 145, Smoke::t_class | Smoke::tf_ptr },	//491
	{ "KXMLGUIClient::ReverseStateChange", 145, Smoke::t_enum | Smoke::tf_stack },	//492
	{ "KXmlGuiWindow::StandardWindowOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//493
	{ "QAbstractFileEngine::FileFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//494
	{ "QAbstractItemView::EditTriggers", 0, Smoke::t_uint | Smoke::tf_stack },	//495
	{ "QAbstractPrintDialog::PrintDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//496
	{ "QAbstractSpinBox::StepEnabled", 0, Smoke::t_uint | Smoke::tf_stack },	//497
	{ "QAccessible::Relation", 0, Smoke::t_uint | Smoke::tf_stack },	//498
	{ "QAccessible::State", 0, Smoke::t_uint | Smoke::tf_stack },	//499
	{ "QAction*", 147, Smoke::t_class | Smoke::tf_ptr },	//500
	{ "QAction::ActionEvent", 147, Smoke::t_enum | Smoke::tf_stack },	//501
	{ "QAction::MenuRole", 147, Smoke::t_enum | Smoke::tf_stack },	//502
	{ "QActionEvent*", 148, Smoke::t_class | Smoke::tf_ptr },	//503
	{ "QByteArray", 149, Smoke::t_class | Smoke::tf_stack },	//504
	{ "QChar*", 150, Smoke::t_class | Smoke::tf_ptr },	//505
	{ "QChar::Category", 150, Smoke::t_enum | Smoke::tf_stack },	//506
	{ "QChar::CombiningClass", 150, Smoke::t_enum | Smoke::tf_stack },	//507
	{ "QChar::Decomposition", 150, Smoke::t_enum | Smoke::tf_stack },	//508
	{ "QChar::Direction", 150, Smoke::t_enum | Smoke::tf_stack },	//509
	{ "QChar::Joining", 150, Smoke::t_enum | Smoke::tf_stack },	//510
	{ "QChar::SpecialCharacter", 150, Smoke::t_enum | Smoke::tf_stack },	//511
	{ "QChar::UnicodeVersion", 150, Smoke::t_enum | Smoke::tf_stack },	//512
	{ "QChildEvent*", 151, Smoke::t_class | Smoke::tf_ptr },	//513
	{ "QCloseEvent*", 152, Smoke::t_class | Smoke::tf_ptr },	//514
	{ "QColor::Spec", 153, Smoke::t_enum | Smoke::tf_stack },	//515
	{ "QContextMenuEvent*", 154, Smoke::t_class | Smoke::tf_ptr },	//516
	{ "QCursor", 155, Smoke::t_class | Smoke::tf_stack },	//517
	{ "QDBusConnection::RegisterOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//518
	{ "QDataStream&", 156, Smoke::t_class | Smoke::tf_ref },	//519
	{ "QDataStream::ByteOrder", 156, Smoke::t_enum | Smoke::tf_stack },	//520
	{ "QDataStream::Status", 156, Smoke::t_enum | Smoke::tf_stack },	//521
	{ "QDataStream::Version", 156, Smoke::t_enum | Smoke::tf_stack },	//522
	{ "QDateTimeEdit::Sections", 0, Smoke::t_uint | Smoke::tf_stack },	//523
	{ "QDialogButtonBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//524
	{ "QDir::Filters", 0, Smoke::t_uint | Smoke::tf_stack },	//525
	{ "QDir::SortFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//526
	{ "QDirIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//527
	{ "QDockWidget::DockWidgetFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//528
	{ "QDomDocument", 157, Smoke::t_class | Smoke::tf_stack },	//529
	{ "QDragEnterEvent*", 159, Smoke::t_class | Smoke::tf_ptr },	//530
	{ "QDragLeaveEvent*", 160, Smoke::t_class | Smoke::tf_ptr },	//531
	{ "QDragMoveEvent*", 161, Smoke::t_class | Smoke::tf_ptr },	//532
	{ "QDropEvent*", 162, Smoke::t_class | Smoke::tf_ptr },	//533
	{ "QEvent*", 163, Smoke::t_class | Smoke::tf_ptr },	//534
	{ "QEvent::Type", 163, Smoke::t_enum | Smoke::tf_stack },	//535
	{ "QEventLoop::ProcessEventsFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//536
	{ "QFile::Permissions", 0, Smoke::t_uint | Smoke::tf_stack },	//537
	{ "QFileDialog::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//538
	{ "QFocusEvent*", 164, Smoke::t_class | Smoke::tf_ptr },	//539
	{ "QFontComboBox::FontFilters", 0, Smoke::t_uint | Smoke::tf_stack },	//540
	{ "QFrame::Shadow", 166, Smoke::t_enum | Smoke::tf_stack },	//541
	{ "QFrame::Shape", 166, Smoke::t_enum | Smoke::tf_stack },	//542
	{ "QFrame::StyleMask", 166, Smoke::t_enum | Smoke::tf_stack },	//543
	{ "QGL::FormatOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//544
	{ "QGLFormat::OpenGLVersionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//545
	{ "QGraphicsItem::GraphicsItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//546
	{ "QGraphicsScene::SceneLayers", 0, Smoke::t_uint | Smoke::tf_stack },	//547
	{ "QGraphicsView::CacheMode", 0, Smoke::t_uint | Smoke::tf_stack },	//548
	{ "QGraphicsView::OptimizationFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//549
	{ "QHideEvent*", 167, Smoke::t_class | Smoke::tf_ptr },	//550
	{ "QIODevice::OpenMode", 0, Smoke::t_uint | Smoke::tf_stack },	//551
	{ "QInputMethodEvent*", 169, Smoke::t_class | Smoke::tf_ptr },	//552
	{ "QItemSelectionModel::SelectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//553
	{ "QKeyEvent*", 170, Smoke::t_class | Smoke::tf_ptr },	//554
	{ "QLibrary::LoadHints", 0, Smoke::t_uint | Smoke::tf_stack },	//555
	{ "QList<KParts::ReadOnlyPart*>", 0, Smoke::t_voidp | Smoke::tf_stack },	//556
	{ "QList<QPair<QString,QChar> >", 0, Smoke::t_voidp | Smoke::tf_stack },	//557
	{ "QLocale::NumberOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//558
	{ "QMainWindow::DockOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//559
	{ "QMdiArea::AreaOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//560
	{ "QMdiSubWindow::SubWindowOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//561
	{ "QMessageBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//562
	{ "QMetaObject::Call", 173, Smoke::t_enum | Smoke::tf_stack },	//563
	{ "QMouseEvent*", 174, Smoke::t_class | Smoke::tf_ptr },	//564
	{ "QMoveEvent*", 175, Smoke::t_class | Smoke::tf_ptr },	//565
	{ "QNetworkInterface::InterfaceFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//566
	{ "QObject*", 176, Smoke::t_class | Smoke::tf_ptr },	//567
	{ "QPageSetupDialog::PageSetupDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//568
	{ "QPaintDevice*", 177, Smoke::t_class | Smoke::tf_ptr },	//569
	{ "QPaintDevice::PaintDeviceMetric", 177, Smoke::t_enum | Smoke::tf_stack },	//570
	{ "QPaintEngine*", 178, Smoke::t_class | Smoke::tf_ptr },	//571
	{ "QPaintEngine::DirtyFlag", 178, Smoke::t_enum | Smoke::tf_stack },	//572
	{ "QPaintEngine::DirtyFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//573
	{ "QPaintEngine::PaintEngineFeature", 178, Smoke::t_enum | Smoke::tf_stack },	//574
	{ "QPaintEngine::PaintEngineFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//575
	{ "QPaintEngine::PolygonDrawMode", 178, Smoke::t_enum | Smoke::tf_stack },	//576
	{ "QPaintEngine::Type", 178, Smoke::t_enum | Smoke::tf_stack },	//577
	{ "QPaintEvent*", 180, Smoke::t_class | Smoke::tf_ptr },	//578
	{ "QPainter*", 181, Smoke::t_class | Smoke::tf_ptr },	//579
	{ "QPainter::CompositionMode", 181, Smoke::t_enum | Smoke::tf_stack },	//580
	{ "QPainter::RenderHint", 181, Smoke::t_enum | Smoke::tf_stack },	//581
	{ "QPainter::RenderHints", 0, Smoke::t_uint | Smoke::tf_stack },	//582
	{ "QPainterPath::ElementType", 182, Smoke::t_enum | Smoke::tf_stack },	//583
	{ "QPixmap::Type", 184, Smoke::t_enum | Smoke::tf_stack },	//584
	{ "QPoint", 185, Smoke::t_class | Smoke::tf_stack },	//585
	{ "QRect", 187, Smoke::t_class | Smoke::tf_stack },	//586
	{ "QResizeEvent*", 189, Smoke::t_class | Smoke::tf_ptr },	//587
	{ "QRgb", 0, Smoke::t_uint | Smoke::tf_stack },	//588
	{ "QShowEvent*", 191, Smoke::t_class | Smoke::tf_ptr },	//589
	{ "QSize", 192, Smoke::t_class | Smoke::tf_stack },	//590
	{ "QSizePolicy::ControlTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//591
	{ "QSql::ParamType", 0, Smoke::t_uint | Smoke::tf_stack },	//592
	{ "QString", 0, Smoke::t_voidp | Smoke::tf_stack },	//593
	{ "QString&", 0, Smoke::t_voidp | Smoke::tf_ref },	//594
	{ "QString::SectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//595
	{ "QStringList", 0, Smoke::t_voidp | Smoke::tf_stack },	//596
	{ "QStringList&", 0, Smoke::t_voidp | Smoke::tf_ref },	//597
	{ "QStyle&", 193, Smoke::t_class | Smoke::tf_ref },	//598
	{ "QStyle::State", 0, Smoke::t_uint | Smoke::tf_stack },	//599
	{ "QStyle::SubControls", 0, Smoke::t_uint | Smoke::tf_stack },	//600
	{ "QStyleOptionButton::ButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//601
	{ "QStyleOptionFrameV2::FrameFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//602
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//603
	{ "QStyleOptionTab::CornerWidgets", 0, Smoke::t_uint | Smoke::tf_stack },	//604
	{ "QStyleOptionToolBar::ToolBarFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//605
	{ "QStyleOptionToolButton::ToolButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//606
	{ "QStyleOptionViewItemV2::ViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//607
	{ "QTabletEvent*", 194, Smoke::t_class | Smoke::tf_ptr },	//608
	{ "QTextBoundaryFinder::BoundaryReasons", 0, Smoke::t_uint | Smoke::tf_stack },	//609
	{ "QTextCodec::ConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//610
	{ "QTextDocument::FindFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//611
	{ "QTextEdit::AutoFormatting", 0, Smoke::t_uint | Smoke::tf_stack },	//612
	{ "QTextFormat::PageBreakFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//613
	{ "QTextItem::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//614
	{ "QTextOption::Flags", 0, Smoke::t_uint | Smoke::tf_stack },	//615
	{ "QTextStream::NumberFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//616
	{ "QTimerEvent*", 195, Smoke::t_class | Smoke::tf_ptr },	//617
	{ "QTreeWidgetItemIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//618
	{ "QUdpSocket::BindMode", 0, Smoke::t_uint | Smoke::tf_stack },	//619
	{ "QUrl::FormattingOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//620
	{ "QVariant", 196, Smoke::t_class | Smoke::tf_stack },	//621
	{ "QVariant::Type", 196, Smoke::t_enum | Smoke::tf_stack },	//622
	{ "QWebPage::FindFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//623
	{ "QWheelEvent*", 197, Smoke::t_class | Smoke::tf_ptr },	//624
	{ "QWidget*", 198, Smoke::t_class | Smoke::tf_ptr },	//625
	{ "QWidget::RenderFlag", 198, Smoke::t_enum | Smoke::tf_stack },	//626
	{ "QWidget::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//627
	{ "QWizard::WizardOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//628
	{ "Qt::Alignment", 0, Smoke::t_uint | Smoke::tf_stack },	//629
	{ "Qt::AlignmentFlag", 199, Smoke::t_enum | Smoke::tf_stack },	//630
	{ "Qt::AnchorAttribute", 199, Smoke::t_enum | Smoke::tf_stack },	//631
	{ "Qt::ApplicationAttribute", 199, Smoke::t_enum | Smoke::tf_stack },	//632
	{ "Qt::ArrowType", 199, Smoke::t_enum | Smoke::tf_stack },	//633
	{ "Qt::AspectRatioMode", 199, Smoke::t_enum | Smoke::tf_stack },	//634
	{ "Qt::Axis", 199, Smoke::t_enum | Smoke::tf_stack },	//635
	{ "Qt::BGMode", 199, Smoke::t_enum | Smoke::tf_stack },	//636
	{ "Qt::BrushStyle", 199, Smoke::t_enum | Smoke::tf_stack },	//637
	{ "Qt::CaseSensitivity", 199, Smoke::t_enum | Smoke::tf_stack },	//638
	{ "Qt::CheckState", 199, Smoke::t_enum | Smoke::tf_stack },	//639
	{ "Qt::ClipOperation", 199, Smoke::t_enum | Smoke::tf_stack },	//640
	{ "Qt::ConnectionType", 199, Smoke::t_enum | Smoke::tf_stack },	//641
	{ "Qt::ContextMenuPolicy", 199, Smoke::t_enum | Smoke::tf_stack },	//642
	{ "Qt::Corner", 199, Smoke::t_enum | Smoke::tf_stack },	//643
	{ "Qt::CursorShape", 199, Smoke::t_enum | Smoke::tf_stack },	//644
	{ "Qt::DateFormat", 199, Smoke::t_enum | Smoke::tf_stack },	//645
	{ "Qt::DayOfWeek", 199, Smoke::t_enum | Smoke::tf_stack },	//646
	{ "Qt::DockWidgetArea", 199, Smoke::t_enum | Smoke::tf_stack },	//647
	{ "Qt::DockWidgetAreaSizes", 199, Smoke::t_enum | Smoke::tf_stack },	//648
	{ "Qt::DockWidgetAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//649
	{ "Qt::DropAction", 199, Smoke::t_enum | Smoke::tf_stack },	//650
	{ "Qt::DropActions", 0, Smoke::t_uint | Smoke::tf_stack },	//651
	{ "Qt::EventPriority", 199, Smoke::t_enum | Smoke::tf_stack },	//652
	{ "Qt::FillRule", 199, Smoke::t_enum | Smoke::tf_stack },	//653
	{ "Qt::FocusPolicy", 199, Smoke::t_enum | Smoke::tf_stack },	//654
	{ "Qt::FocusReason", 199, Smoke::t_enum | Smoke::tf_stack },	//655
	{ "Qt::GlobalColor", 199, Smoke::t_enum | Smoke::tf_stack },	//656
	{ "Qt::HitTestAccuracy", 199, Smoke::t_enum | Smoke::tf_stack },	//657
	{ "Qt::ImageConversionFlag", 199, Smoke::t_enum | Smoke::tf_stack },	//658
	{ "Qt::ImageConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//659
	{ "Qt::InputMethodQuery", 199, Smoke::t_enum | Smoke::tf_stack },	//660
	{ "Qt::ItemDataRole", 199, Smoke::t_enum | Smoke::tf_stack },	//661
	{ "Qt::ItemFlag", 199, Smoke::t_enum | Smoke::tf_stack },	//662
	{ "Qt::ItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//663
	{ "Qt::ItemSelectionMode", 199, Smoke::t_enum | Smoke::tf_stack },	//664
	{ "Qt::Key", 199, Smoke::t_enum | Smoke::tf_stack },	//665
	{ "Qt::KeyboardModifier", 199, Smoke::t_enum | Smoke::tf_stack },	//666
	{ "Qt::KeyboardModifiers", 0, Smoke::t_uint | Smoke::tf_stack },	//667
	{ "Qt::LayoutDirection", 199, Smoke::t_enum | Smoke::tf_stack },	//668
	{ "Qt::MaskMode", 199, Smoke::t_enum | Smoke::tf_stack },	//669
	{ "Qt::MatchFlag", 199, Smoke::t_enum | Smoke::tf_stack },	//670
	{ "Qt::MatchFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//671
	{ "Qt::Modifier", 199, Smoke::t_enum | Smoke::tf_stack },	//672
	{ "Qt::MouseButton", 199, Smoke::t_enum | Smoke::tf_stack },	//673
	{ "Qt::MouseButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//674
	{ "Qt::Orientation", 199, Smoke::t_enum | Smoke::tf_stack },	//675
	{ "Qt::Orientations", 0, Smoke::t_uint | Smoke::tf_stack },	//676
	{ "Qt::PenCapStyle", 199, Smoke::t_enum | Smoke::tf_stack },	//677
	{ "Qt::PenJoinStyle", 199, Smoke::t_enum | Smoke::tf_stack },	//678
	{ "Qt::PenStyle", 199, Smoke::t_enum | Smoke::tf_stack },	//679
	{ "Qt::ScrollBarPolicy", 199, Smoke::t_enum | Smoke::tf_stack },	//680
	{ "Qt::ShortcutContext", 199, Smoke::t_enum | Smoke::tf_stack },	//681
	{ "Qt::SizeHint", 199, Smoke::t_enum | Smoke::tf_stack },	//682
	{ "Qt::SizeMode", 199, Smoke::t_enum | Smoke::tf_stack },	//683
	{ "Qt::SortOrder", 199, Smoke::t_enum | Smoke::tf_stack },	//684
	{ "Qt::TextElideMode", 199, Smoke::t_enum | Smoke::tf_stack },	//685
	{ "Qt::TextFlag", 199, Smoke::t_enum | Smoke::tf_stack },	//686
	{ "Qt::TextFormat", 199, Smoke::t_enum | Smoke::tf_stack },	//687
	{ "Qt::TextInteractionFlag", 199, Smoke::t_enum | Smoke::tf_stack },	//688
	{ "Qt::TextInteractionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//689
	{ "Qt::TimeSpec", 199, Smoke::t_enum | Smoke::tf_stack },	//690
	{ "Qt::ToolBarArea", 199, Smoke::t_enum | Smoke::tf_stack },	//691
	{ "Qt::ToolBarAreaSizes", 199, Smoke::t_enum | Smoke::tf_stack },	//692
	{ "Qt::ToolBarAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//693
	{ "Qt::ToolButtonStyle", 199, Smoke::t_enum | Smoke::tf_stack },	//694
	{ "Qt::TransformationMode", 199, Smoke::t_enum | Smoke::tf_stack },	//695
	{ "Qt::UIEffect", 199, Smoke::t_enum | Smoke::tf_stack },	//696
	{ "Qt::WhiteSpaceMode", 199, Smoke::t_enum | Smoke::tf_stack },	//697
	{ "Qt::WidgetAttribute", 199, Smoke::t_enum | Smoke::tf_stack },	//698
	{ "Qt::WindowFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//699
	{ "Qt::WindowFrameSection", 199, Smoke::t_enum | Smoke::tf_stack },	//700
	{ "Qt::WindowModality", 199, Smoke::t_enum | Smoke::tf_stack },	//701
	{ "Qt::WindowState", 199, Smoke::t_enum | Smoke::tf_stack },	//702
	{ "Qt::WindowStates", 0, Smoke::t_uint | Smoke::tf_stack },	//703
	{ "Qt::WindowType", 199, Smoke::t_enum | Smoke::tf_stack },	//704
	{ "bool", 0, Smoke::t_bool | Smoke::tf_stack },	//705
	{ "bool*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//706
	{ "const DOM::AbstractView&", 2, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//707
	{ "const DOM::Attr&", 3, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//708
	{ "const DOM::CDATASection&", 4, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//709
	{ "const DOM::CSSCharsetRule&", 5, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//710
	{ "const DOM::CSSException&", 6, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//711
	{ "const DOM::CSSFontFaceRule&", 7, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//712
	{ "const DOM::CSSImportRule&", 8, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//713
	{ "const DOM::CSSMediaRule&", 9, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//714
	{ "const DOM::CSSPageRule&", 10, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//715
	{ "const DOM::CSSPrimitiveValue&", 11, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//716
	{ "const DOM::CSSRule&", 12, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//717
	{ "const DOM::CSSRuleList&", 13, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//718
	{ "const DOM::CSSStyleDeclaration&", 14, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//719
	{ "const DOM::CSSStyleRule&", 15, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//720
	{ "const DOM::CSSStyleSheet&", 16, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//721
	{ "const DOM::CSSUnknownRule&", 17, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//722
	{ "const DOM::CSSValue&", 18, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//723
	{ "const DOM::CSSValueList&", 19, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//724
	{ "const DOM::CharacterData&", 20, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//725
	{ "const DOM::Comment&", 21, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//726
	{ "const DOM::Counter&", 22, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//727
	{ "const DOM::CustomNodeFilter&", 23, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//728
	{ "const DOM::DOMException&", 24, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//729
	{ "const DOM::DOMImplementation&", 25, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//730
	{ "const DOM::DOMString&", 26, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//731
	{ "const DOM::Document", 27, Smoke::t_class | Smoke::tf_stack | Smoke::tf_const },	//732
	{ "const DOM::Document&", 27, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//733
	{ "const DOM::DocumentFragment&", 28, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//734
	{ "const DOM::DocumentStyle&", 29, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//735
	{ "const DOM::DocumentType&", 30, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//736
	{ "const DOM::DomShared&", 31, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//737
	{ "const DOM::Element&", 32, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//738
	{ "const DOM::Entity&", 33, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//739
	{ "const DOM::EntityReference&", 34, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//740
	{ "const DOM::Event&", 35, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//741
	{ "const DOM::EventException&", 36, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//742
	{ "const DOM::EventListener&", 37, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//743
	{ "const DOM::HTMLAnchorElement&", 38, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//744
	{ "const DOM::HTMLAppletElement&", 39, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//745
	{ "const DOM::HTMLAreaElement&", 40, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//746
	{ "const DOM::HTMLBRElement&", 41, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//747
	{ "const DOM::HTMLBaseElement&", 42, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//748
	{ "const DOM::HTMLBaseFontElement&", 43, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//749
	{ "const DOM::HTMLBlockquoteElement&", 44, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//750
	{ "const DOM::HTMLBodyElement&", 45, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//751
	{ "const DOM::HTMLButtonElement&", 46, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//752
	{ "const DOM::HTMLCollection&", 47, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//753
	{ "const DOM::HTMLDListElement&", 48, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//754
	{ "const DOM::HTMLDirectoryElement&", 49, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//755
	{ "const DOM::HTMLDivElement&", 50, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//756
	{ "const DOM::HTMLDocument&", 51, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//757
	{ "const DOM::HTMLElement&", 52, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//758
	{ "const DOM::HTMLFieldSetElement&", 53, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//759
	{ "const DOM::HTMLFontElement&", 54, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//760
	{ "const DOM::HTMLFormCollection&", 55, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//761
	{ "const DOM::HTMLFormElement&", 56, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//762
	{ "const DOM::HTMLFrameElement&", 57, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//763
	{ "const DOM::HTMLFrameSetElement&", 58, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//764
	{ "const DOM::HTMLHRElement&", 59, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//765
	{ "const DOM::HTMLHeadElement&", 60, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//766
	{ "const DOM::HTMLHeadingElement&", 61, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//767
	{ "const DOM::HTMLHtmlElement&", 62, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//768
	{ "const DOM::HTMLIFrameElement&", 63, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//769
	{ "const DOM::HTMLImageElement&", 64, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//770
	{ "const DOM::HTMLInputElement&", 65, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//771
	{ "const DOM::HTMLIsIndexElement&", 66, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//772
	{ "const DOM::HTMLLIElement&", 67, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//773
	{ "const DOM::HTMLLabelElement&", 68, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//774
	{ "const DOM::HTMLLayerElement&", 69, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//775
	{ "const DOM::HTMLLegendElement&", 70, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//776
	{ "const DOM::HTMLLinkElement&", 71, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//777
	{ "const DOM::HTMLMapElement&", 72, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//778
	{ "const DOM::HTMLMenuElement&", 73, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//779
	{ "const DOM::HTMLMetaElement&", 74, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//780
	{ "const DOM::HTMLModElement&", 75, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//781
	{ "const DOM::HTMLOListElement&", 76, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//782
	{ "const DOM::HTMLObjectElement&", 77, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//783
	{ "const DOM::HTMLOptGroupElement&", 78, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//784
	{ "const DOM::HTMLOptionElement&", 79, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//785
	{ "const DOM::HTMLParagraphElement&", 80, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//786
	{ "const DOM::HTMLParamElement&", 81, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//787
	{ "const DOM::HTMLPreElement&", 82, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//788
	{ "const DOM::HTMLQuoteElement&", 83, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//789
	{ "const DOM::HTMLScriptElement&", 84, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//790
	{ "const DOM::HTMLSelectElement&", 85, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//791
	{ "const DOM::HTMLStyleElement&", 86, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//792
	{ "const DOM::HTMLTableCaptionElement&", 87, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//793
	{ "const DOM::HTMLTableCellElement&", 88, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//794
	{ "const DOM::HTMLTableColElement&", 89, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//795
	{ "const DOM::HTMLTableElement&", 90, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//796
	{ "const DOM::HTMLTableRowElement&", 91, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//797
	{ "const DOM::HTMLTableSectionElement&", 92, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//798
	{ "const DOM::HTMLTextAreaElement&", 93, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//799
	{ "const DOM::HTMLTitleElement&", 94, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//800
	{ "const DOM::HTMLUListElement&", 95, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//801
	{ "const DOM::KeyboardEvent&", 96, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//802
	{ "const DOM::LinkStyle&", 97, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//803
	{ "const DOM::MediaList&", 98, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//804
	{ "const DOM::MouseEvent&", 99, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//805
	{ "const DOM::MutationEvent&", 100, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//806
	{ "const DOM::NamedNodeMap&", 101, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//807
	{ "const DOM::Node", 102, Smoke::t_class | Smoke::tf_stack | Smoke::tf_const },	//808
	{ "const DOM::Node&", 102, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//809
	{ "const DOM::NodeFilter&", 103, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//810
	{ "const DOM::NodeIterator&", 104, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//811
	{ "const DOM::NodeList&", 105, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//812
	{ "const DOM::NodeListImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//813
	{ "const DOM::Notation&", 106, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//814
	{ "const DOM::ProcessingInstruction&", 107, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//815
	{ "const DOM::RGBColor&", 108, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//816
	{ "const DOM::Range&", 109, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//817
	{ "const DOM::RangeException&", 110, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//818
	{ "const DOM::Rect&", 111, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//819
	{ "const DOM::StyleSheet&", 112, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//820
	{ "const DOM::StyleSheetList&", 113, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//821
	{ "const DOM::Text&", 114, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//822
	{ "const DOM::TextEvent&", 115, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//823
	{ "const DOM::TreeWalker&", 116, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//824
	{ "const DOM::UIEvent&", 117, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//825
	{ "const Handler*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//826
	{ "const KComponentData&", 119, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//827
	{ "const KConfigGroup&", 121, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//828
	{ "const KHTMLSettings&", 124, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//829
	{ "const KHTMLSettings*", 124, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//830
	{ "const KParts::BrowserArguments&", 132, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//831
	{ "const KParts::Event&", 135, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//832
	{ "const KParts::OpenUrlArguments&", 137, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//833
	{ "const KUrl&", 144, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//834
	{ "const QByteArray&", 149, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//835
	{ "const QChar", 150, Smoke::t_class | Smoke::tf_stack | Smoke::tf_const },	//836
	{ "const QChar&", 150, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//837
	{ "const QChar*", 150, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//838
	{ "const QColor&", 153, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//839
	{ "const QCursor&", 155, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//840
	{ "const QDomDocument&", 157, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//841
	{ "const QDomElement&", 158, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//842
	{ "const QEvent*", 163, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//843
	{ "const QFont&", 165, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//844
	{ "const QImage&", 168, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//845
	{ "const QLine*", 171, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//846
	{ "const QLineF*", 172, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//847
	{ "const QList<KParts::ReadOnlyPart*>", 0, Smoke::t_voidp | Smoke::tf_stack | Smoke::tf_const },	//848
	{ "const QMetaObject", 173, Smoke::t_class | Smoke::tf_stack | Smoke::tf_const },	//849
	{ "const QMetaObject*", 173, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//850
	{ "const QPaintEngineState&", 179, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//851
	{ "const QPainterPath&", 182, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//852
	{ "const QPalette&", 183, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//853
	{ "const QPixmap&", 184, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//854
	{ "const QPoint&", 185, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//855
	{ "const QPoint*", 185, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//856
	{ "const QPointF&", 186, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//857
	{ "const QPointF*", 186, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//858
	{ "const QRect&", 187, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//859
	{ "const QRect*", 187, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//860
	{ "const QRectF&", 188, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//861
	{ "const QRectF*", 188, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//862
	{ "const QString&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//863
	{ "const QStringList&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//864
	{ "const bool", 0, Smoke::t_bool | Smoke::tf_stack | Smoke::tf_const },	//865
	{ "const char*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//866
	{ "const long", 0, Smoke::t_long | Smoke::tf_stack | Smoke::tf_const },	//867
	{ "const unsigned long", 0, Smoke::t_ulong | Smoke::tf_stack | Smoke::tf_const },	//868
	{ "float", 0, Smoke::t_float | Smoke::tf_stack },	//869
	{ "int", 0, Smoke::t_int | Smoke::tf_stack },	//870
	{ "int&", 0, Smoke::t_voidp | Smoke::tf_ref },	//871
	{ "khtml::ChildFrame**", 0, Smoke::t_voidp | Smoke::tf_ptr },	//872
	{ "khtml::DrawContentsEvent*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//873
	{ "khtml::KHTMLWidgetPrivate*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//874
	{ "khtml::MouseDoubleClickEvent*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//875
	{ "khtml::MouseMoveEvent*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//876
	{ "khtml::MousePressEvent*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//877
	{ "khtml::MouseReleaseEvent*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//878
	{ "long", 0, Smoke::t_long | Smoke::tf_stack },	//879
	{ "long&", 0, Smoke::t_voidp | Smoke::tf_ref },	//880
	{ "quint32", 0, Smoke::t_uint | Smoke::tf_stack },	//881
	{ "short", 0, Smoke::t_short | Smoke::tf_stack },	//882
	{ "uint", 0, Smoke::t_uint | Smoke::tf_stack },	//883
	{ "unsigned int", 0, Smoke::t_uint | Smoke::tf_stack },	//884
	{ "unsigned long", 0, Smoke::t_ulong | Smoke::tf_stack },	//885
	{ "unsigned short", 0, Smoke::t_ushort | Smoke::tf_stack },	//886
	{ "void**", 0, Smoke::t_voidp | Smoke::tf_ptr },	//887
};

static Smoke::Index khtml_argumentList[] = {
	0,	//0  (void)
	104, 0,	//1  DOM::DocumentTypeImpl*  
	110, 0,	//3  DOM::ElementImpl*  
	113, 0,	//5  DOM::EntityImpl*  
	117, 0,	//7  DOM::EntityReferenceImpl*  
	119, 0,	//9  DOM::Event&  
	12, 0,	//11  DOM::CDATASectionImpl*  
	125, 0,	//13  DOM::EventImpl*  
	129, 0,	//15  DOM::HTMLAnchorElementImpl*  
	132, 0,	//17  DOM::HTMLAppletElementImpl*  
	135, 0,	//19  DOM::HTMLAreaElementImpl*  
	138, 0,	//21  DOM::HTMLBRElementImpl*  
	141, 0,	//23  DOM::HTMLBaseElementImpl*  
	144, 0,	//25  DOM::HTMLBaseFontElementImpl*  
	149, 0,	//27  DOM::HTMLBodyElementImpl*  
	15, 0,	//29  DOM::CSSCharsetRuleImpl*  
	152, 0,	//31  DOM::HTMLButtonElementImpl*  
	156, 0,	//33  DOM::HTMLCollectionImpl*  
	159, 0,	//35  DOM::HTMLDListElementImpl*  
	162, 0,	//37  DOM::HTMLDirectoryElementImpl*  
	165, 0,	//39  DOM::HTMLDivElementImpl*  
	169, 0,	//41  DOM::HTMLDocumentImpl*  
	173, 0,	//43  DOM::HTMLElementImpl*  
	176, 0,	//45  DOM::HTMLFieldSetElementImpl*  
	179, 0,	//47  DOM::HTMLFontElementImpl*  
	184, 0,	//49  DOM::HTMLFormElementImpl*  
	187, 0,	//51  DOM::HTMLFrameElementImpl*  
	190, 0,	//53  DOM::HTMLFrameSetElementImpl*  
	191, 0,	//55  DOM::HTMLGenericElementImpl*  
	194, 0,	//57  DOM::HTMLHRElementImpl*  
	197, 0,	//59  DOM::HTMLHeadElementImpl*  
	202, 0,	//61  DOM::HTMLHtmlElementImpl*  
	205, 0,	//63  DOM::HTMLIFrameElementImpl*  
	208, 0,	//65  DOM::HTMLImageElementImpl*  
	21, 0,	//67  DOM::CSSFontFaceRuleImpl*  
	211, 0,	//69  DOM::HTMLInputElementImpl*  
	214, 0,	//71  DOM::HTMLIsIndexElementImpl*  
	217, 0,	//73  DOM::HTMLLIElementImpl*  
	220, 0,	//75  DOM::HTMLLabelElementImpl*  
	223, 0,	//77  DOM::HTMLLayerElementImpl*  
	226, 0,	//79  DOM::HTMLLegendElementImpl*  
	229, 0,	//81  DOM::HTMLLinkElementImpl*  
	232, 0,	//83  DOM::HTMLMapElementImpl*  
	235, 0,	//85  DOM::HTMLMenuElementImpl*  
	238, 0,	//87  DOM::HTMLMetaElementImpl*  
	24, 0,	//89  DOM::CSSImportRuleImpl*  
	243, 0,	//91  DOM::HTMLOListElementImpl*  
	246, 0,	//93  DOM::HTMLObjectElementImpl*  
	249, 0,	//95  DOM::HTMLOptGroupElementImpl*  
	252, 0,	//97  DOM::HTMLOptionElementImpl*  
	257, 0,	//99  DOM::HTMLParamElementImpl*  
	260, 0,	//101  DOM::HTMLPreElementImpl*  
	265, 0,	//103  DOM::HTMLScriptElementImpl*  
	268, 0,	//105  DOM::HTMLSelectElementImpl*  
	27, 0,	//107  DOM::CSSMediaRuleImpl*  
	271, 0,	//109  DOM::HTMLStyleElementImpl*  
	275, 0,	//111  DOM::HTMLTableCaptionElementImpl*  
	278, 0,	//113  DOM::HTMLTableCellElementImpl*  
	281, 0,	//115  DOM::HTMLTableColElementImpl*  
	284, 0,	//117  DOM::HTMLTableElementImpl*  
	287, 0,	//119  DOM::HTMLTableRowElementImpl*  
	291, 0,	//121  DOM::HTMLTableSectionElementImpl*  
	294, 0,	//123  DOM::HTMLTextAreaElementImpl*  
	297, 0,	//125  DOM::HTMLTitleElementImpl*  
	30, 0,	//127  DOM::CSSPageRuleImpl*  
	300, 0,	//129  DOM::HTMLUListElementImpl*  
	309, 0,	//131  DOM::MediaListImpl*  
	312, 0,	//133  DOM::MouseEventImpl*  
	316, 0,	//135  DOM::MutationEventImpl*  
	320, 0,	//137  DOM::NamedNodeMapImpl*  
	321, 879, 0,	//139  DOM::Node, long  
	321, 879, 705, 0,	//142  DOM::Node, long, bool  
	321, 885, 325, 705, 0,	//146  DOM::Node, unsigned long, DOM::NodeFilter, bool  
	322, 880, 322, 880, 0,	//151  DOM::Node&, long&, DOM::Node&, long&  
	330, 0,	//156  DOM::NodeFilterImpl*  
	331, 0,	//158  DOM::NodeImpl*  
	331, 870, 0,	//160  DOM::NodeImpl*, int  
	335, 0,	//163  DOM::NodeIteratorImpl*  
	341, 0,	//165  DOM::NotationImpl*  
	345, 0,	//167  DOM::ProcessingInstructionImpl*  
	35, 0,	//169  DOM::CSSPrimitiveValueImpl*  
	352, 817, 0,	//171  DOM::Range::CompareHow, const DOM::Range&  
	356, 0,	//174  DOM::RangeImpl*  
	360, 0,	//176  DOM::RectImpl*  
	361, 0,	//178  DOM::StyleListImpl*  
	365, 0,	//180  DOM::StyleSheetImpl*  
	369, 0,	//182  DOM::StyleSheetListImpl*  
	375, 0,	//184  DOM::TextImpl*  
	379, 0,	//186  DOM::TreeWalkerImpl*  
	382, 0,	//188  DOM::UIEventImpl*  
	389, 0,	//190  KConfig*  
	389, 705, 0,	//192  KConfig*, bool  
	4, 0,	//195  DOM::AbstractViewImpl*  
	40, 0,	//197  DOM::CSSRuleImpl*  
	405, 625, 0,	//199  KHTMLPart*, QWidget*  
	406, 0,	//202  KHTMLPart::CaretDisplayPolicy  
	408, 0,	//204  KHTMLPart::FormNotification  
	410, 0,	//206  KHTMLPart::PageSecurity  
	419, 0,	//208  KHTMLSettings::KJavaScriptAdvice  
	422, 0,	//210  KHTMLView*  
	422, 567, 0,	//212  KHTMLView*, QObject*  
	422, 567, 409, 0,	//215  KHTMLView*, QObject*, KHTMLPart::GUIProfile  
	424, 0,	//219  KHTMLView::SmoothScrollingMode  
	430, 0,	//221  KIO::Job*  
	44, 0,	//223  DOM::CSSRuleListImpl*  
	443, 0,	//225  KJob*  
	459, 0,	//227  KParts::GUIActivateEvent*  
	462, 0,	//229  KParts::PartActivateEvent*  
	464, 0,	//231  KParts::PartBase::PluginLoadingMode  
	465, 0,	//233  KParts::PartManager*  
	468, 0,	//235  KParts::PartSelectEvent*  
	469, 0,	//237  KParts::ReadOnlyPart*  
	469, 863, 0,	//239  KParts::ReadOnlyPart*, const QString&  
	469, 863, 872, 0,	//242  KParts::ReadOnlyPart*, const QString&, khtml::ChildFrame**  
	48, 0,	//246  DOM::CSSStyleDeclarationImpl*  
	503, 0,	//248  QActionEvent*  
	51, 0,	//250  DOM::CSSStyleRuleImpl*  
	513, 0,	//252  QChildEvent*  
	514, 0,	//254  QCloseEvent*  
	516, 0,	//256  QContextMenuEvent*  
	519, 0,	//258  QDataStream&  
	530, 0,	//260  QDragEnterEvent*  
	531, 0,	//262  QDragLeaveEvent*  
	532, 0,	//264  QDragMoveEvent*  
	533, 0,	//266  QDropEvent*  
	534, 0,	//268  QEvent*  
	539, 0,	//270  QFocusEvent*  
	55, 0,	//272  DOM::CSSStyleSheetImpl*  
	550, 0,	//274  QHideEvent*  
	552, 0,	//276  QInputMethodEvent*  
	554, 0,	//278  QKeyEvent*  
	563, 870, 887, 0,	//280  QMetaObject::Call, int, void**  
	564, 0,	//284  QMouseEvent*  
	565, 0,	//286  QMoveEvent*  
	567, 0,	//288  QObject*  
	567, 491, 827, 0,	//290  QObject*, KXMLGUIClient*, const KComponentData&  
	567, 534, 0,	//294  QObject*, QEvent*  
	570, 0,	//297  QPaintDevice::PaintDeviceMetric  
	578, 0,	//299  QPaintEvent*  
	579, 859, 0,	//301  QPainter*, const QRect&  
	579, 859, 870, 0,	//304  QPainter*, const QRect&, int  
	579, 859, 870, 706, 0,	//308  QPainter*, const QRect&, int, bool*  
	58, 0,	//313  DOM::CSSUnknownRuleImpl*  
	587, 0,	//315  QResizeEvent*  
	588, 0,	//317  QRgb  
	589, 0,	//319  QShowEvent*  
	598, 0,	//321  QStyle&  
	608, 0,	//323  QTabletEvent*  
	617, 0,	//325  QTimerEvent*  
	624, 0,	//327  QWheelEvent*  
	625, 0,	//329  QWidget*  
	625, 567, 0,	//331  QWidget*, QObject*  
	625, 567, 409, 0,	//334  QWidget*, QObject*, KHTMLPart::GUIProfile  
	625, 567, 863, 594, 597, 864, 0,	//338  QWidget*, QObject*, const QString&, QString&, QStringList&, const QStringList&  
	625, 855, 0,	//345  QWidget*, const QPoint&  
	625, 870, 870, 0,	//348  QWidget*, int, int  
	63, 0,	//352  DOM::CSSValueImpl*  
	66, 0,	//354  DOM::CSSValueListImpl*  
	660, 0,	//356  Qt::InputMethodQuery  
	680, 0,	//358  Qt::ScrollBarPolicy  
	69, 0,	//360  DOM::CharacterDataImpl*  
	705, 0,	//362  bool  
	705, 405, 0,	//364  bool, KHTMLPart*  
	706, 0,	//367  bool*  
	707, 0,	//369  const DOM::AbstractView&  
	708, 0,	//371  const DOM::Attr&  
	709, 0,	//373  const DOM::CDATASection&  
	710, 0,	//375  const DOM::CSSCharsetRule&  
	711, 0,	//377  const DOM::CSSException&  
	712, 0,	//379  const DOM::CSSFontFaceRule&  
	713, 0,	//381  const DOM::CSSImportRule&  
	714, 0,	//383  const DOM::CSSMediaRule&  
	715, 0,	//385  const DOM::CSSPageRule&  
	716, 0,	//387  const DOM::CSSPrimitiveValue&  
	717, 0,	//389  const DOM::CSSRule&  
	717, 39, 0,	//391  const DOM::CSSRule&, DOM::CSSRule::RuleType  
	718, 0,	//394  const DOM::CSSRuleList&  
	719, 0,	//396  const DOM::CSSStyleDeclaration&  
	720, 0,	//398  const DOM::CSSStyleRule&  
	721, 0,	//400  const DOM::CSSStyleSheet&  
	722, 0,	//402  const DOM::CSSUnknownRule&  
	723, 0,	//404  const DOM::CSSValue&  
	724, 0,	//406  const DOM::CSSValueList&  
	725, 0,	//408  const DOM::CharacterData&  
	726, 0,	//410  const DOM::Comment&  
	727, 0,	//412  const DOM::Counter&  
	728, 0,	//414  const DOM::CustomNodeFilter&  
	729, 0,	//416  const DOM::DOMException&  
	73, 0,	//418  DOM::CommentImpl*  
	730, 0,	//420  const DOM::DOMImplementation&  
	731, 0,	//422  const DOM::DOMString&  
	731, 126, 705, 0,	//424  const DOM::DOMString&, DOM::EventListener*, bool  
	731, 126, 865, 0,	//428  const DOM::DOMString&, DOM::EventListener*, const bool  
	731, 705, 705, 0,	//432  const DOM::DOMString&, bool, bool  
	731, 705, 705, 707, 731, 0,	//436  const DOM::DOMString&, bool, bool, const DOM::AbstractView&, const DOM::DOMString&  
	731, 705, 705, 707, 879, 0,	//442  const DOM::DOMString&, bool, bool, const DOM::AbstractView&, long  
	731, 705, 705, 707, 879, 879, 879, 879, 879, 705, 705, 705, 705, 886, 809, 0,	//448  const DOM::DOMString&, bool, bool, const DOM::AbstractView&, long, long, long, long, long, bool, bool, bool, bool, unsigned short, const DOM::Node&  
	731, 705, 705, 809, 731, 731, 731, 886, 0,	//464  const DOM::DOMString&, bool, bool, const DOM::Node&, const DOM::DOMString&, const DOM::DOMString&, const DOM::DOMString&, unsigned short  
	731, 705, 731, 0,	//473  const DOM::DOMString&, bool, const DOM::DOMString&  
	731, 731, 0,	//477  const DOM::DOMString&, const DOM::DOMString&  
	731, 731, 731, 0,	//480  const DOM::DOMString&, const DOM::DOMString&, const DOM::DOMString&  
	731, 731, 736, 0,	//484  const DOM::DOMString&, const DOM::DOMString&, const DOM::DocumentType&  
	731, 863, 0,	//488  const DOM::DOMString&, const QString&  
	731, 866, 0,	//491  const DOM::DOMString&, const char*  
	731, 885, 0,	//494  const DOM::DOMString&, unsigned long  
	732, 0,	//497  const DOM::Document  
	733, 0,	//499  const DOM::Document&  
	734, 0,	//501  const DOM::DocumentFragment&  
	735, 0,	//503  const DOM::DocumentStyle&  
	736, 0,	//505  const DOM::DocumentType&  
	737, 0,	//507  const DOM::DomShared&  
	738, 0,	//509  const DOM::Element&  
	738, 731, 0,	//511  const DOM::Element&, const DOM::DOMString&  
	739, 0,	//514  const DOM::Entity&  
	740, 0,	//516  const DOM::EntityReference&  
	741, 0,	//518  const DOM::Event&  
	742, 0,	//520  const DOM::EventException&  
	743, 0,	//522  const DOM::EventListener&  
	744, 0,	//524  const DOM::HTMLAnchorElement&  
	745, 0,	//526  const DOM::HTMLAppletElement&  
	746, 0,	//528  const DOM::HTMLAreaElement&  
	747, 0,	//530  const DOM::HTMLBRElement&  
	748, 0,	//532  const DOM::HTMLBaseElement&  
	749, 0,	//534  const DOM::HTMLBaseFontElement&  
	750, 0,	//536  const DOM::HTMLBlockquoteElement&  
	751, 0,	//538  const DOM::HTMLBodyElement&  
	752, 0,	//540  const DOM::HTMLButtonElement&  
	753, 0,	//542  const DOM::HTMLCollection&  
	754, 0,	//544  const DOM::HTMLDListElement&  
	755, 0,	//546  const DOM::HTMLDirectoryElement&  
	756, 0,	//548  const DOM::HTMLDivElement&  
	757, 0,	//550  const DOM::HTMLDocument&  
	758, 0,	//552  const DOM::HTMLElement&  
	758, 758, 0,	//554  const DOM::HTMLElement&, const DOM::HTMLElement&  
	759, 0,	//557  const DOM::HTMLFieldSetElement&  
	760, 0,	//559  const DOM::HTMLFontElement&  
	761, 0,	//561  const DOM::HTMLFormCollection&  
	762, 0,	//563  const DOM::HTMLFormElement&  
	763, 0,	//565  const DOM::HTMLFrameElement&  
	764, 0,	//567  const DOM::HTMLFrameSetElement&  
	765, 0,	//569  const DOM::HTMLHRElement&  
	766, 0,	//571  const DOM::HTMLHeadElement&  
	767, 0,	//573  const DOM::HTMLHeadingElement&  
	768, 0,	//575  const DOM::HTMLHtmlElement&  
	769, 0,	//577  const DOM::HTMLIFrameElement&  
	77, 0,	//579  DOM::CounterImpl*  
	770, 0,	//581  const DOM::HTMLImageElement&  
	771, 0,	//583  const DOM::HTMLInputElement&  
	772, 0,	//585  const DOM::HTMLIsIndexElement&  
	773, 0,	//587  const DOM::HTMLLIElement&  
	774, 0,	//589  const DOM::HTMLLabelElement&  
	775, 0,	//591  const DOM::HTMLLayerElement&  
	776, 0,	//593  const DOM::HTMLLegendElement&  
	777, 0,	//595  const DOM::HTMLLinkElement&  
	778, 0,	//597  const DOM::HTMLMapElement&  
	779, 0,	//599  const DOM::HTMLMenuElement&  
	78, 0,	//601  DOM::CustomNodeFilter*  
	780, 0,	//603  const DOM::HTMLMetaElement&  
	781, 0,	//605  const DOM::HTMLModElement&  
	782, 0,	//607  const DOM::HTMLOListElement&  
	783, 0,	//609  const DOM::HTMLObjectElement&  
	784, 0,	//611  const DOM::HTMLOptGroupElement&  
	785, 0,	//613  const DOM::HTMLOptionElement&  
	786, 0,	//615  const DOM::HTMLParagraphElement&  
	787, 0,	//617  const DOM::HTMLParamElement&  
	788, 0,	//619  const DOM::HTMLPreElement&  
	789, 0,	//621  const DOM::HTMLQuoteElement&  
	790, 0,	//623  const DOM::HTMLScriptElement&  
	791, 0,	//625  const DOM::HTMLSelectElement&  
	792, 0,	//627  const DOM::HTMLStyleElement&  
	793, 0,	//629  const DOM::HTMLTableCaptionElement&  
	794, 0,	//631  const DOM::HTMLTableCellElement&  
	795, 0,	//633  const DOM::HTMLTableColElement&  
	796, 0,	//635  const DOM::HTMLTableElement&  
	797, 0,	//637  const DOM::HTMLTableRowElement&  
	798, 0,	//639  const DOM::HTMLTableSectionElement&  
	799, 0,	//641  const DOM::HTMLTextAreaElement&  
	8, 0,	//643  DOM::AttrImpl*  
	800, 0,	//645  const DOM::HTMLTitleElement&  
	801, 0,	//647  const DOM::HTMLUListElement&  
	802, 0,	//649  const DOM::KeyboardEvent&  
	803, 0,	//651  const DOM::LinkStyle&  
	804, 0,	//653  const DOM::MediaList&  
	805, 0,	//655  const DOM::MouseEvent&  
	806, 0,	//657  const DOM::MutationEvent&  
	807, 0,	//659  const DOM::NamedNodeMap&  
	808, 867, 808, 867, 0,	//661  const DOM::Node, const long, const DOM::Node, const long  
	809, 0,	//666  const DOM::Node&  
	809, 705, 0,	//668  const DOM::Node&, bool  
	809, 809, 0,	//671  const DOM::Node&, const DOM::Node&  
	809, 863, 0,	//674  const DOM::Node&, const QString&  
	809, 870, 0,	//677  const DOM::Node&, int  
	809, 879, 0,	//680  const DOM::Node&, long  
	810, 0,	//683  const DOM::NodeFilter&  
	811, 0,	//685  const DOM::NodeIterator&  
	812, 0,	//687  const DOM::NodeList&  
	813, 0,	//689  const DOM::NodeListImpl*  
	814, 0,	//691  const DOM::Notation&  
	815, 0,	//693  const DOM::ProcessingInstruction&  
	816, 0,	//695  const DOM::RGBColor&  
	817, 0,	//697  const DOM::Range&  
	818, 0,	//699  const DOM::RangeException&  
	819, 0,	//701  const DOM::Rect&  
	820, 0,	//703  const DOM::StyleSheet&  
	821, 0,	//705  const DOM::StyleSheetList&  
	822, 0,	//707  const DOM::Text&  
	823, 0,	//709  const DOM::TextEvent&  
	824, 0,	//711  const DOM::TreeWalker&  
	825, 0,	//713  const DOM::UIEvent&  
	827, 0,	//715  const KComponentData&  
	827, 705, 0,	//717  const KComponentData&, bool  
	828, 705, 705, 471, 0,	//720  const KConfigGroup&, bool, bool, KPerDomainSettings&  
	829, 0,	//725  const KHTMLSettings&  
	832, 0,	//727  const KParts::Event&  
	833, 0,	//729  const KParts::OpenUrlArguments&  
	834, 0,	//731  const KUrl&  
	834, 870, 0,	//733  const KUrl&, int  
	834, 870, 870, 0,	//736  const KUrl&, int, int  
	835, 0,	//740  const QByteArray&  
	836, 0,	//742  const QChar  
	836, 870, 0,	//744  const QChar, int  
	838, 883, 0,	//747  const QChar*, uint  
	840, 0,	//750  const QCursor&  
	841, 0,	//752  const QDomDocument&  
	841, 705, 0,	//754  const QDomDocument&, bool  
	842, 0,	//757  const QDomElement&  
	843, 0,	//759  const QEvent*  
	843, 866, 0,	//761  const QEvent*, const char*  
	844, 0,	//764  const QFont&  
	85, 0,	//766  DOM::DOMImplementationImpl*  
	853, 0,	//768  const QPalette&  
	855, 0,	//770  const QPoint&  
	859, 0,	//772  const QRect&  
	86, 0,	//774  DOM::DOMString  
	86, 705, 705, 1, 86, 885, 86, 0,	//776  DOM::DOMString, bool, bool, DOM::AbstractView, DOM::DOMString, unsigned long, DOM::DOMString  
	86, 883, 0,	//784  DOM::DOMString, uint  
	863, 0,	//787  const QString&  
	863, 492, 0,	//789  const QString&, KXMLGUIClient::ReverseStateChange  
	863, 594, 420, 420, 0,	//792  const QString&, QString&, KHTMLSettings::KJavaScriptAdvice&, KHTMLSettings::KJavaScriptAdvice&  
	863, 705, 0,	//797  const QString&, bool  
	863, 705, 705, 0,	//800  const QString&, bool, bool  
	863, 834, 0,	//804  const QString&, const KUrl&  
	863, 855, 0,	//807  const QString&, const QPoint&  
	863, 863, 0,	//810  const QString&, const QString&  
	863, 870, 870, 863, 0,	//813  const QString&, int, int, const QString&  
	863, 870, 870, 863, 833, 0,	//818  const QString&, int, int, const QString&, const KParts::OpenUrlArguments&  
	863, 870, 870, 863, 833, 831, 0,	//824  const QString&, int, int, const QString&, const KParts::OpenUrlArguments&, const KParts::BrowserArguments&  
	863, 879, 0,	//831  const QString&, long  
	863, 879, 625, 0,	//834  const QString&, long, QWidget*  
	863, 879, 625, 401, 0,	//838  const QString&, long, QWidget*, KFindDialog*  
	866, 0,	//843  const char*  
	866, 863, 835, 863, 0,	//845  const char*, const QString&, const QByteArray&, const QString&  
	866, 863, 835, 863, 863, 0,	//850  const char*, const QString&, const QByteArray&, const QString&, const QString&  
	866, 863, 835, 863, 863, 863, 0,	//856  const char*, const QString&, const QByteArray&, const QString&, const QString&, const QString&  
	866, 870, 0,	//863  const char*, int  
	868, 0,	//866  const unsigned long  
	868, 731, 0,	//868  const unsigned long, const DOM::DOMString&  
	868, 868, 0,	//871  const unsigned long, const unsigned long  
	868, 868, 731, 0,	//874  const unsigned long, const unsigned long, const DOM::DOMString&  
	869, 0,	//878  float  
	870, 0,	//880  int  
	870, 863, 0,	//882  int, const QString&  
	870, 863, 705, 0,	//885  int, const QString&, bool  
	870, 863, 834, 0,	//889  int, const QString&, const KUrl&  
	870, 870, 0,	//893  int, int  
	870, 870, 870, 870, 0,	//896  int, int, int, int  
	870, 870, 871, 871, 0,	//901  int, int, int&, int&  
	871, 0,	//906  int&  
	873, 0,	//908  khtml::DrawContentsEvent*  
	875, 0,	//910  khtml::MouseDoubleClickEvent*  
	876, 0,	//912  khtml::MouseMoveEvent*  
	877, 0,	//914  khtml::MousePressEvent*  
	878, 0,	//916  khtml::MouseReleaseEvent*  
	879, 0,	//918  long  
	879, 879, 0,	//920  long, long  
	884, 0,	//923  unsigned int  
	884, 870, 0,	//925  unsigned int, int  
	885, 0,	//928  unsigned long  
	886, 0,	//930  unsigned short  
	886, 731, 0,	//932  unsigned short, const DOM::DOMString&  
	886, 869, 0,	//935  unsigned short, float  
	89, 0,	//938  DOM::DOMStringImpl*  
	97, 0,	//940  DOM::DocumentFragmentImpl*  
	98, 0,	//942  DOM::DocumentImpl*  
};

// Raw list of all methods, using munged names
static const char *khtml_methodNames[] = {
    "",	//0
    "ADDITION",	//1
    "ATTRIBUTE_NODE",	//2
    "AT_TARGET",	//3
    "AbstractView",	//4
    "AbstractView#",	//5
    "AbstractView?",	//6
    "Attr",	//7
    "Attr#",	//8
    "Attr?",	//9
    "BAD_BOUNDARYPOINTS_ERR",	//10
    "BUBBLING_PHASE",	//11
    "Before",	//12
    "BrowserViewGUI",	//13
    "CAPTURING_PHASE",	//14
    "CDATASection",	//15
    "CDATASection#",	//16
    "CDATASection?",	//17
    "CDATA_SECTION_NODE",	//18
    "CHARSET_RULE",	//19
    "COMMENT_NODE",	//20
    "CSSCharsetRule",	//21
    "CSSCharsetRule#",	//22
    "CSSCharsetRule?",	//23
    "CSSException",	//24
    "CSSException#",	//25
    "CSSException$",	//26
    "CSSFontFaceRule",	//27
    "CSSFontFaceRule#",	//28
    "CSSFontFaceRule?",	//29
    "CSSImportRule",	//30
    "CSSImportRule#",	//31
    "CSSImportRule?",	//32
    "CSSMediaRule",	//33
    "CSSMediaRule#",	//34
    "CSSMediaRule?",	//35
    "CSSPageRule",	//36
    "CSSPageRule#",	//37
    "CSSPageRule?",	//38
    "CSSPrimitiveValue",	//39
    "CSSPrimitiveValue#",	//40
    "CSSPrimitiveValue?",	//41
    "CSSRule",	//42
    "CSSRule#",	//43
    "CSSRule?",	//44
    "CSSRuleList",	//45
    "CSSRuleList#",	//46
    "CSSRuleList?",	//47
    "CSSStyleDeclaration",	//48
    "CSSStyleDeclaration#",	//49
    "CSSStyleDeclaration?",	//50
    "CSSStyleRule",	//51
    "CSSStyleRule#",	//52
    "CSSStyleRule?",	//53
    "CSSStyleSheet",	//54
    "CSSStyleSheet#",	//55
    "CSSStyleSheet?",	//56
    "CSSUnknownRule",	//57
    "CSSUnknownRule#",	//58
    "CSSUnknownRule?",	//59
    "CSSValue",	//60
    "CSSValue#",	//61
    "CSSValue?",	//62
    "CSSValueList",	//63
    "CSSValueList#",	//64
    "CSSValueList?",	//65
    "CSS_ATTR",	//66
    "CSS_CM",	//67
    "CSS_COUNTER",	//68
    "CSS_CUSTOM",	//69
    "CSS_DEG",	//70
    "CSS_DIMENSION",	//71
    "CSS_DPCM",	//72
    "CSS_DPI",	//73
    "CSS_EMS",	//74
    "CSS_EXS",	//75
    "CSS_GRAD",	//76
    "CSS_HTML_RELATIVE",	//77
    "CSS_HZ",	//78
    "CSS_IDENT",	//79
    "CSS_IN",	//80
    "CSS_INHERIT",	//81
    "CSS_INITIAL",	//82
    "CSS_KHZ",	//83
    "CSS_MM",	//84
    "CSS_MS",	//85
    "CSS_NUMBER",	//86
    "CSS_PAIR",	//87
    "CSS_PC",	//88
    "CSS_PERCENTAGE",	//89
    "CSS_PRIMITIVE_VALUE",	//90
    "CSS_PT",	//91
    "CSS_PX",	//92
    "CSS_RAD",	//93
    "CSS_RECT",	//94
    "CSS_RGBCOLOR",	//95
    "CSS_S",	//96
    "CSS_STRING",	//97
    "CSS_UNKNOWN",	//98
    "CSS_URI",	//99
    "CSS_VALUE_LIST",	//100
    "CaretBlink",	//101
    "CaretInvisible",	//102
    "CaretVisible",	//103
    "CharacterData",	//104
    "CharacterData#",	//105
    "CharacterData?",	//106
    "Comment",	//107
    "Comment#",	//108
    "Comment?",	//109
    "Counter",	//110
    "Counter#",	//111
    "Counter?",	//112
    "CustomNodeFilter",	//113
    "CustomNodeFilter#",	//114
    "DOCUMENT_FRAGMENT_NODE",	//115
    "DOCUMENT_NODE",	//116
    "DOCUMENT_TYPE_NODE",	//117
    "DOMException",	//118
    "DOMException#",	//119
    "DOMException$",	//120
    "DOMImplementation",	//121
    "DOMImplementation#",	//122
    "DOMImplementation?",	//123
    "DOMSTRING_SIZE_ERR",	//124
    "DOMString",	//125
    "DOMString#",	//126
    "DOMString#$",	//127
    "DOMString$",	//128
    "DOMString?",	//129
    "DOM_KEY_LOCATION_LEFT",	//130
    "DOM_KEY_LOCATION_NUMPAD",	//131
    "DOM_KEY_LOCATION_RIGHT",	//132
    "DOM_KEY_LOCATION_STANDARD",	//133
    "DefaultGUI",	//134
    "DoNotLoadPlugins",	//135
    "Document",	//136
    "Document#",	//137
    "Document$",	//138
    "Document?",	//139
    "DocumentFragment",	//140
    "DocumentFragment#",	//141
    "DocumentFragment?",	//142
    "DocumentStyle",	//143
    "DocumentStyle#",	//144
    "DocumentType",	//145
    "DocumentType#",	//146
    "DocumentType?",	//147
    "DomShared",	//148
    "DomShared#",	//149
    "ELEMENT_NODE",	//150
    "END_TO_END",	//151
    "END_TO_START",	//152
    "ENTITY_NODE",	//153
    "ENTITY_REFERENCE_NODE",	//154
    "Element",	//155
    "Element#",	//156
    "Element?",	//157
    "Encrypted",	//158
    "Entity",	//159
    "Entity#",	//160
    "Entity?",	//161
    "EntityReference",	//162
    "EntityReference#",	//163
    "EntityReference?",	//164
    "Event",	//165
    "Event#",	//166
    "Event$",	//167
    "Event?",	//168
    "EventException",	//169
    "EventException#",	//170
    "EventException$",	//171
    "EventListener",	//172
    "EventListener#",	//173
    "FILTER_ACCEPT",	//174
    "FILTER_REJECT",	//175
    "FILTER_SKIP",	//176
    "FONT_FACE_RULE",	//177
    "FindLinksOnly",	//178
    "FindNoPopups",	//179
    "HIERARCHY_REQUEST_ERR",	//180
    "HTMLAnchorElement",	//181
    "HTMLAnchorElement#",	//182
    "HTMLAnchorElement?",	//183
    "HTMLAppletElement",	//184
    "HTMLAppletElement#",	//185
    "HTMLAppletElement?",	//186
    "HTMLAreaElement",	//187
    "HTMLAreaElement#",	//188
    "HTMLAreaElement?",	//189
    "HTMLBRElement",	//190
    "HTMLBRElement#",	//191
    "HTMLBRElement?",	//192
    "HTMLBaseElement",	//193
    "HTMLBaseElement#",	//194
    "HTMLBaseElement?",	//195
    "HTMLBaseFontElement",	//196
    "HTMLBaseFontElement#",	//197
    "HTMLBaseFontElement?",	//198
    "HTMLBlockquoteElement",	//199
    "HTMLBlockquoteElement#",	//200
    "HTMLBlockquoteElement?",	//201
    "HTMLBodyElement",	//202
    "HTMLBodyElement#",	//203
    "HTMLBodyElement?",	//204
    "HTMLButtonElement",	//205
    "HTMLButtonElement#",	//206
    "HTMLButtonElement?",	//207
    "HTMLCollection",	//208
    "HTMLCollection#",	//209
    "HTMLCollection?",	//210
    "HTMLCollection?$",	//211
    "HTMLDListElement",	//212
    "HTMLDListElement#",	//213
    "HTMLDListElement?",	//214
    "HTMLDirectoryElement",	//215
    "HTMLDirectoryElement#",	//216
    "HTMLDirectoryElement?",	//217
    "HTMLDivElement",	//218
    "HTMLDivElement#",	//219
    "HTMLDivElement?",	//220
    "HTMLDocument",	//221
    "HTMLDocument#",	//222
    "HTMLDocument?",	//223
    "HTMLElement",	//224
    "HTMLElement#",	//225
    "HTMLElement?",	//226
    "HTMLFieldSetElement",	//227
    "HTMLFieldSetElement#",	//228
    "HTMLFieldSetElement?",	//229
    "HTMLFontElement",	//230
    "HTMLFontElement#",	//231
    "HTMLFontElement?",	//232
    "HTMLFormCollection",	//233
    "HTMLFormCollection#",	//234
    "HTMLFormCollection?",	//235
    "HTMLFormElement",	//236
    "HTMLFormElement#",	//237
    "HTMLFormElement?",	//238
    "HTMLFrameElement",	//239
    "HTMLFrameElement#",	//240
    "HTMLFrameElement?",	//241
    "HTMLFrameSetElement",	//242
    "HTMLFrameSetElement#",	//243
    "HTMLFrameSetElement?",	//244
    "HTMLHRElement",	//245
    "HTMLHRElement#",	//246
    "HTMLHRElement?",	//247
    "HTMLHeadElement",	//248
    "HTMLHeadElement#",	//249
    "HTMLHeadElement?",	//250
    "HTMLHeadingElement",	//251
    "HTMLHeadingElement#",	//252
    "HTMLHeadingElement?",	//253
    "HTMLHtmlElement",	//254
    "HTMLHtmlElement#",	//255
    "HTMLHtmlElement?",	//256
    "HTMLIFrameElement",	//257
    "HTMLIFrameElement#",	//258
    "HTMLIFrameElement?",	//259
    "HTMLImageElement",	//260
    "HTMLImageElement#",	//261
    "HTMLImageElement?",	//262
    "HTMLInputElement",	//263
    "HTMLInputElement#",	//264
    "HTMLInputElement?",	//265
    "HTMLIsIndexElement",	//266
    "HTMLIsIndexElement#",	//267
    "HTMLIsIndexElement?",	//268
    "HTMLLIElement",	//269
    "HTMLLIElement#",	//270
    "HTMLLIElement?",	//271
    "HTMLLabelElement",	//272
    "HTMLLabelElement#",	//273
    "HTMLLabelElement?",	//274
    "HTMLLayerElement",	//275
    "HTMLLayerElement#",	//276
    "HTMLLayerElement?",	//277
    "HTMLLegendElement",	//278
    "HTMLLegendElement#",	//279
    "HTMLLegendElement?",	//280
    "HTMLLinkElement",	//281
    "HTMLLinkElement#",	//282
    "HTMLLinkElement?",	//283
    "HTMLMapElement",	//284
    "HTMLMapElement#",	//285
    "HTMLMapElement?",	//286
    "HTMLMenuElement",	//287
    "HTMLMenuElement#",	//288
    "HTMLMenuElement?",	//289
    "HTMLMetaElement",	//290
    "HTMLMetaElement#",	//291
    "HTMLMetaElement?",	//292
    "HTMLModElement",	//293
    "HTMLModElement#",	//294
    "HTMLModElement?",	//295
    "HTMLOListElement",	//296
    "HTMLOListElement#",	//297
    "HTMLOListElement?",	//298
    "HTMLObjectElement",	//299
    "HTMLObjectElement#",	//300
    "HTMLObjectElement?",	//301
    "HTMLOptGroupElement",	//302
    "HTMLOptGroupElement#",	//303
    "HTMLOptGroupElement?",	//304
    "HTMLOptionElement",	//305
    "HTMLOptionElement#",	//306
    "HTMLOptionElement?",	//307
    "HTMLParagraphElement",	//308
    "HTMLParagraphElement#",	//309
    "HTMLParagraphElement?",	//310
    "HTMLParamElement",	//311
    "HTMLParamElement#",	//312
    "HTMLParamElement?",	//313
    "HTMLPreElement",	//314
    "HTMLPreElement#",	//315
    "HTMLPreElement?",	//316
    "HTMLQuoteElement",	//317
    "HTMLQuoteElement#",	//318
    "HTMLQuoteElement?",	//319
    "HTMLScriptElement",	//320
    "HTMLScriptElement#",	//321
    "HTMLScriptElement?",	//322
    "HTMLSelectElement",	//323
    "HTMLSelectElement#",	//324
    "HTMLSelectElement?",	//325
    "HTMLStyleElement",	//326
    "HTMLStyleElement#",	//327
    "HTMLStyleElement?",	//328
    "HTMLTableCaptionElement",	//329
    "HTMLTableCaptionElement#",	//330
    "HTMLTableCaptionElement?",	//331
    "HTMLTableCellElement",	//332
    "HTMLTableCellElement#",	//333
    "HTMLTableCellElement?",	//334
    "HTMLTableColElement",	//335
    "HTMLTableColElement#",	//336
    "HTMLTableColElement?",	//337
    "HTMLTableElement",	//338
    "HTMLTableElement#",	//339
    "HTMLTableElement?",	//340
    "HTMLTableRowElement",	//341
    "HTMLTableRowElement#",	//342
    "HTMLTableRowElement?",	//343
    "HTMLTableSectionElement",	//344
    "HTMLTableSectionElement#",	//345
    "HTMLTableSectionElement?",	//346
    "HTMLTextAreaElement",	//347
    "HTMLTextAreaElement#",	//348
    "HTMLTextAreaElement?",	//349
    "HTMLTitleElement",	//350
    "HTMLTitleElement#",	//351
    "HTMLTitleElement?",	//352
    "HTMLUListElement",	//353
    "HTMLUListElement#",	//354
    "HTMLUListElement?",	//355
    "IMPORT_RULE",	//356
    "INDEX_SIZE_ERR",	//357
    "INUSE_ATTRIBUTE_ERR",	//358
    "INVALID_ACCESS_ERR",	//359
    "INVALID_CHARACTER_ERR",	//360
    "INVALID_MODIFICATION_ERR",	//361
    "INVALID_NODE_TYPE_ERR",	//362
    "INVALID_STATE_ERR",	//363
    "KAnimationDisabled",	//364
    "KAnimationEnabled",	//365
    "KAnimationLoopOnce",	//366
    "KHTMLPart",	//367
    "KHTMLPart#",	//368
    "KHTMLPart##",	//369
    "KHTMLPart##$",	//370
    "KHTMLSettings",	//371
    "KHTMLSettings#",	//372
    "KHTMLView",	//373
    "KHTMLView##",	//374
    "KJSWindowFocusAllow",	//375
    "KJSWindowFocusIgnore",	//376
    "KJSWindowMoveAllow",	//377
    "KJSWindowMoveIgnore",	//378
    "KJSWindowOpenAllow",	//379
    "KJSWindowOpenAsk",	//380
    "KJSWindowOpenDeny",	//381
    "KJSWindowOpenSmart",	//382
    "KJSWindowResizeAllow",	//383
    "KJSWindowResizeIgnore",	//384
    "KJSWindowStatusAllow",	//385
    "KJSWindowStatusIgnore",	//386
    "KJavaScriptAccept",	//387
    "KJavaScriptDunno",	//388
    "KJavaScriptReject",	//389
    "KSmoothScrollingDisabled",	//390
    "KSmoothScrollingEnabled",	//391
    "KSmoothScrollingWhenEfficient",	//392
    "KeyboardEvent",	//393
    "KeyboardEvent#",	//394
    "LinkStyle",	//395
    "LinkStyle#",	//396
    "LoadPlugins",	//397
    "LoadPluginsIfEnabled",	//398
    "MEDIA_RULE",	//399
    "MODIFICATION",	//400
    "MediaList",	//401
    "MediaList#",	//402
    "MediaList?",	//403
    "Mixed",	//404
    "MouseEvent",	//405
    "MouseEvent#",	//406
    "MouseEvent?",	//407
    "MutationEvent",	//408
    "MutationEvent#",	//409
    "MutationEvent?",	//410
    "NAMESPACE_ERR",	//411
    "NOTATION_NODE",	//412
    "NOT_FOUND_ERR",	//413
    "NOT_SUPPORTED_ERR",	//414
    "NO_DATA_ALLOWED_ERR",	//415
    "NO_MODIFICATION_ALLOWED_ERR",	//416
    "NamedNodeMap",	//417
    "NamedNodeMap#",	//418
    "NamedNodeMap?",	//419
    "NoNotification",	//420
    "Node",	//421
    "Node#",	//422
    "Node?",	//423
    "NodeFilter",	//424
    "NodeFilter#",	//425
    "NodeFilter?",	//426
    "NodeIterator",	//427
    "NodeIterator#",	//428
    "NodeIterator?",	//429
    "NodeList",	//430
    "NodeList#",	//431
    "NodeList?",	//432
    "NotCrypted",	//433
    "Notation",	//434
    "Notation#",	//435
    "Notation?",	//436
    "Only",	//437
    "PAGE_RULE",	//438
    "PROCESSING_INSTRUCTION_NODE",	//439
    "Part",	//440
    "Part#",	//441
    "PartBase",	//442
    "ProcessingInstruction",	//443
    "ProcessingInstruction#",	//444
    "ProcessingInstruction?",	//445
    "QUIRKS_RULE",	//446
    "REMOVAL",	//447
    "RGBColor",	//448
    "RGBColor#",	//449
    "RGBColor$",	//450
    "Range",	//451
    "Range#",	//452
    "Range#$#$",	//453
    "Range?",	//454
    "RangeException",	//455
    "RangeException#",	//456
    "RangeException$",	//457
    "ReadOnlyPart",	//458
    "ReadOnlyPart#",	//459
    "Rect",	//460
    "Rect#",	//461
    "Rect?",	//462
    "SHOW_ALL",	//463
    "SHOW_ATTRIBUTE",	//464
    "SHOW_CDATA_SECTION",	//465
    "SHOW_COMMENT",	//466
    "SHOW_DOCUMENT",	//467
    "SHOW_DOCUMENT_FRAGMENT",	//468
    "SHOW_DOCUMENT_TYPE",	//469
    "SHOW_ELEMENT",	//470
    "SHOW_ENTITY",	//471
    "SHOW_ENTITY_REFERENCE",	//472
    "SHOW_NOTATION",	//473
    "SHOW_PROCESSING_INSTRUCTION",	//474
    "SHOW_TEXT",	//475
    "SSMDisabled",	//476
    "SSMEnabled",	//477
    "SSMWhenEfficient",	//478
    "START_TO_END",	//479
    "START_TO_START",	//480
    "STYLE_RULE",	//481
    "SYNTAX_ERR",	//482
    "StyleSheet",	//483
    "StyleSheet#",	//484
    "StyleSheet?",	//485
    "StyleSheetList",	//486
    "StyleSheetList#",	//487
    "StyleSheetList?",	//488
    "TEXT_NODE",	//489
    "TYPE_MISMATCH_ERR",	//490
    "Text",	//491
    "Text#",	//492
    "Text?",	//493
    "TextEvent",	//494
    "TextEvent#",	//495
    "TreeWalker",	//496
    "TreeWalker#",	//497
    "TreeWalker?",	//498
    "UIEvent",	//499
    "UIEvent#",	//500
    "UIEvent?",	//501
    "UNKNOWN_RULE",	//502
    "UNSPECIFIED_EVENT_TYPE_ERR",	//503
    "URL",	//504
    "Unused",	//505
    "VALIDATION_ERR",	//506
    "WRONG_DOCUMENT_ERR",	//507
    "_EXCEPTION_MAX",	//508
    "_EXCEPTION_OFFSET",	//509
    "aLink",	//510
    "abbr",	//511
    "abort",	//512
    "abortLoad",	//513
    "accept",	//514
    "acceptCharset",	//515
    "acceptNode",	//516
    "acceptNode#",	//517
    "accessKey",	//518
    "accessKeysEnabled",	//519
    "action",	//520
    "action#",	//521
    "actionCollection",	//522
    "actionEvent",	//523
    "actionEvent#",	//524
    "activeNode",	//525
    "add",	//526
    "add##",	//527
    "addAdFilter",	//528
    "addAdFilter$",	//529
    "addCSSProperty",	//530
    "addCSSProperty##",	//531
    "addChild",	//532
    "addChild#$$",	//533
    "addEventListener",	//534
    "addEventListener##$",	//535
    "addStyleSheet",	//536
    "addStyleSheet#",	//537
    "adviceToStr",	//538
    "adviceToStr$",	//539
    "align",	//540
    "all",	//541
    "allowTabulation",	//542
    "alt",	//543
    "altKey",	//544
    "anchors",	//545
    "appendChild",	//546
    "appendChild#",	//547
    "appendData",	//548
    "appendData#",	//549
    "appendMedium",	//550
    "appendMedium#",	//551
    "applets",	//552
    "applyChanges",	//553
    "archive",	//554
    "areas",	//555
    "arguments",	//556
    "assignOther",	//557
    "assignOther#$",	//558
    "async",	//559
    "attrChange",	//560
    "attrName",	//561
    "attributes",	//562
    "autoLoadImages",	//563
    "autoSpellCheck",	//564
    "autoloadImages",	//565
    "availableFamilies",	//566
    "axis",	//567
    "background",	//568
    "backgroundURL",	//569
    "base",	//570
    "baseColor",	//571
    "baseURL",	//572
    "begin",	//573
    "begin#",	//574
    "begin#$",	//575
    "begin#$$",	//576
    "bgColor",	//577
    "blue",	//578
    "blur",	//579
    "body",	//580
    "border",	//581
    "bottom",	//582
    "boundaryPointsValid",	//583
    "browserExtension",	//584
    "browserHostExtension",	//585
    "bubbles",	//586
    "button",	//587
    "cancelable",	//588
    "canceled",	//589
    "canceled$",	//590
    "caption",	//591
    "caretDisplayPolicyNonFocused",	//592
    "caretPositionChanged",	//593
    "caretPositionChanged#$",	//594
    "cellIndex",	//595
    "cellPadding",	//596
    "cellSpacing",	//597
    "cells",	//598
    "ch",	//599
    "chOff",	//600
    "changeCursor",	//601
    "changeEvent",	//602
    "changeEvent#",	//603
    "charCode",	//604
    "characters",	//605
    "charset",	//606
    "checked",	//607
    "childEvent",	//608
    "childEvent#",	//609
    "childNodes",	//610
    "children",	//611
    "cite",	//612
    "className",	//613
    "clear",	//614
    "cleared",	//615
    "click",	//616
    "clientX",	//617
    "clientY",	//618
    "cloneContents",	//619
    "cloneNode",	//620
    "cloneNode$",	//621
    "cloneRange",	//622
    "close",	//623
    "closeEvent",	//624
    "closeEvent#",	//625
    "closeStream",	//626
    "closeUrl",	//627
    "code",	//628
    "codeBase",	//629
    "codeType",	//630
    "colSpan",	//631
    "collapse",	//632
    "collapse$",	//633
    "collapsed",	//634
    "color",	//635
    "cols",	//636
    "commonAncestorContainer",	//637
    "compact",	//638
    "compareBoundaryPoints",	//639
    "compareBoundaryPoints$#",	//640
    "completeURL",	//641
    "completeURL#",	//642
    "completeURL$",	//643
    "completed",	//644
    "completed$",	//645
    "componentData",	//646
    "configurationChanged",	//647
    "connectNotify",	//648
    "connectNotify$",	//649
    "content",	//650
    "contentDocument",	//651
    "contentEditable",	//652
    "contentsHeight",	//653
    "contentsToViewport",	//654
    "contentsToViewport#",	//655
    "contentsToViewport$$$$",	//656
    "contentsWidth",	//657
    "contentsX",	//658
    "contentsY",	//659
    "contextMenuEvent",	//660
    "contextMenuEvent#",	//661
    "cookie",	//662
    "coords",	//663
    "copy",	//664
    "createAttribute",	//665
    "createAttribute#",	//666
    "createAttributeNS",	//667
    "createAttributeNS##",	//668
    "createCDATASection",	//669
    "createCDATASection#",	//670
    "createCSSStyleSheet",	//671
    "createCSSStyleSheet##",	//672
    "createCaption",	//673
    "createComment",	//674
    "createComment#",	//675
    "createContextualFragment",	//676
    "createContextualFragment#",	//677
    "createCustom",	//678
    "createCustom#",	//679
    "createDocument",	//680
    "createDocument###",	//681
    "createDocumentFragment",	//682
    "createDocumentType",	//683
    "createDocumentType###",	//684
    "createElement",	//685
    "createElement#",	//686
    "createElementNS",	//687
    "createElementNS##",	//688
    "createEntityReference",	//689
    "createEntityReference#",	//690
    "createEvent",	//691
    "createEvent#",	//692
    "createHTMLDocument",	//693
    "createHTMLDocument#",	//694
    "createNodeIterator",	//695
    "createNodeIterator#$#$",	//696
    "createPart",	//697
    "createPart##$$??",	//698
    "createProcessingInstruction",	//699
    "createProcessingInstruction##",	//700
    "createRange",	//701
    "createTFoot",	//702
    "createTHead",	//703
    "createTextNode",	//704
    "createTextNode#",	//705
    "createTreeWalker",	//706
    "createTreeWalker#$#$",	//707
    "cssRules",	//708
    "cssText",	//709
    "cssValueType",	//710
    "ctrlKey",	//711
    "currentFrame",	//712
    "currentNode",	//713
    "currentTarget",	//714
    "cursiveFontName",	//715
    "customEvent",	//716
    "customEvent#",	//717
    "customNodeFilter",	//718
    "customNodeFilterType",	//719
    "data",	//720
    "dateTime",	//721
    "declare",	//722
    "defaultChecked",	//723
    "defaultSelected",	//724
    "defaultValue",	//725
    "defaultView",	//726
    "defer",	//727
    "deleteCaption",	//728
    "deleteCell",	//729
    "deleteCell$",	//730
    "deleteContents",	//731
    "deleteData",	//732
    "deleteData$$",	//733
    "deleteMe",	//734
    "deleteMedium",	//735
    "deleteMedium#",	//736
    "deleteRow",	//737
    "deleteRow$",	//738
    "deleteRule",	//739
    "deleteRule$",	//740
    "deleteTFoot",	//741
    "deleteTHead",	//742
    "deref",	//743
    "designMode",	//744
    "detach",	//745
    "detail",	//746
    "devType",	//747
    "dir",	//748
    "disabled",	//749
    "disconnectNotify",	//750
    "disconnectNotify$",	//751
    "dispatchEvent",	//752
    "dispatchEvent#",	//753
    "displayAccessKeys",	//754
    "dndEnabled",	//755
    "doAutoScroll",	//756
    "doCloseStream",	//757
    "doOpenStream",	//758
    "doOpenStream$",	//759
    "doWriteStream",	//760
    "doWriteStream#",	//761
    "doctype",	//762
    "document",	//763
    "documentElement",	//764
    "documentSource",	//765
    "domDocument",	//766
    "domain",	//767
    "dragEnterEvent",	//768
    "dragEnterEvent#",	//769
    "dragLeaveEvent",	//770
    "dragLeaveEvent#",	//771
    "dragMoveEvent",	//772
    "dragMoveEvent#",	//773
    "dropEvent",	//774
    "dropEvent#",	//775
    "editor",	//776
    "elementId",	//777
    "elements",	//778
    "embed",	//779
    "embed#",	//780
    "enabledChange",	//781
    "enabledChange$",	//782
    "encoding",	//783
    "enctype",	//784
    "end",	//785
    "endContainer",	//786
    "endOffset",	//787
    "endsWith",	//788
    "endsWith#",	//789
    "enterEvent",	//790
    "enterEvent#",	//791
    "entities",	//792
    "event",	//793
    "event#",	//794
    "eventFilter",	//795
    "eventFilter##",	//796
    "eventListenerType",	//797
    "eventName",	//798
    "eventPhase",	//799
    "execCommand",	//800
    "execCommand#$#",	//801
    "executeScript",	//802
    "executeScript#$",	//803
    "expandEntityReferences",	//804
    "extractContents",	//805
    "face",	//806
    "fallbackAccessKeysAssignments",	//807
    "fantasyFontName",	//808
    "filter",	//809
    "find",	//810
    "find#",	//811
    "find#$",	//812
    "findAheadActive",	//813
    "findAheadActive$",	//814
    "findFrame",	//815
    "findFrame$",	//816
    "findFrameParent",	//817
    "findFrameParent#$",	//818
    "findFrameParent#$?",	//819
    "findFramePart",	//820
    "findFramePart$",	//821
    "findText",	//822
    "findText$$",	//823
    "findText$$#",	//824
    "findText$$##",	//825
    "findTextBegin",	//826
    "findTextNext",	//827
    "findTextNext$",	//828
    "finishedLayout",	//829
    "firstChild",	//830
    "firstItem",	//831
    "fixedFontName",	//832
    "focus",	//833
    "focusInEvent",	//834
    "focusInEvent#",	//835
    "focusNextPrevChild",	//836
    "focusNextPrevChild$",	//837
    "focusOutEvent",	//838
    "focusOutEvent#",	//839
    "followSystemColors",	//840
    "fontChange",	//841
    "fontChange#",	//842
    "fontScaleFactor",	//843
    "form",	//844
    "formNotification",	//845
    "formSubmitNotification",	//846
    "formSubmitNotification$$#$$$",	//847
    "forms",	//848
    "frame",	//849
    "frameBorder",	//850
    "frameExists",	//851
    "frameExists$",	//852
    "frameNames",	//853
    "frameWidth",	//854
    "framejScript",	//855
    "framejScript#",	//856
    "frames",	//857
    "getAttribute",	//858
    "getAttribute#",	//859
    "getAttributeNS",	//860
    "getAttributeNS##",	//861
    "getAttributeNode",	//862
    "getAttributeNode#",	//863
    "getAttributeNodeNS",	//864
    "getAttributeNodeNS##",	//865
    "getBorder",	//866
    "getComputedStyle",	//867
    "getComputedStyle##",	//868
    "getCounterValue",	//869
    "getElementById",	//870
    "getElementById#",	//871
    "getElementsByClassName",	//872
    "getElementsByClassName#",	//873
    "getElementsByName",	//874
    "getElementsByName#",	//875
    "getElementsByTagName",	//876
    "getElementsByTagName#",	//877
    "getElementsByTagNameNS",	//878
    "getElementsByTagNameNS##",	//879
    "getFloatValue",	//880
    "getFloatValue$",	//881
    "getHspace",	//882
    "getInterface",	//883
    "getInterface#",	//884
    "getModifierState",	//885
    "getModifierState#",	//886
    "getNamedItem",	//887
    "getNamedItem#",	//888
    "getNamedItemNS",	//889
    "getNamedItemNS##",	//890
    "getOverrideStyle",	//891
    "getOverrideStyle##",	//892
    "getPropertyCSSValue",	//893
    "getPropertyCSSValue#",	//894
    "getPropertyPriority",	//895
    "getPropertyPriority#",	//896
    "getPropertyValue",	//897
    "getPropertyValue#",	//898
    "getRGBColorValue",	//899
    "getRect",	//900
    "getRectValue",	//901
    "getSize",	//902
    "getStringValue",	//903
    "getVspace",	//904
    "gotoAnchor",	//905
    "gotoAnchor$",	//906
    "green",	//907
    "guiActivateEvent",	//908
    "guiActivateEvent#",	//909
    "handleEvent",	//910
    "handleEvent#",	//911
    "hasAttribute",	//912
    "hasAttribute#",	//913
    "hasAttributeNS",	//914
    "hasAttributeNS##",	//915
    "hasAttributes",	//916
    "hasChildNodes",	//917
    "hasFeature",	//918
    "hasFeature##",	//919
    "hasOneRef",	//920
    "hasSelection",	//921
    "headers",	//922
    "height",	//923
    "heightForWidth",	//924
    "heightForWidth$",	//925
    "hide",	//926
    "hideAccessKeys",	//927
    "hideEvent",	//928
    "hideEvent#",	//929
    "hitTest",	//930
    "hitTest##",	//931
    "hostContainer",	//932
    "hostContainer$",	//933
    "hoverLink",	//934
    "href",	//935
    "hreflang",	//936
    "hspace",	//937
    "htmlDocument",	//938
    "htmlError",	//939
    "htmlError$$#",	//940
    "htmlFor",	//941
    "httpEquiv",	//942
    "iconLoader",	//943
    "id",	//944
    "identifier",	//945
    "images",	//946
    "implementation",	//947
    "importNode",	//948
    "importNode#$",	//949
    "inProgress",	//950
    "indeterminate",	//951
    "index",	//952
    "init",	//953
    "init#",	//954
    "init#$",	//955
    "initEvent",	//956
    "initEvent#$$",	//957
    "initKeyboardEvent",	//958
    "initKeyboardEvent#$$##$#",	//959
    "initMouseEvent",	//960
    "initMouseEvent#$$#$$$$$$$$$$#",	//961
    "initMutationEvent",	//962
    "initMutationEvent#$$####$",	//963
    "initTextEvent",	//964
    "initTextEvent#$$##",	//965
    "initUIEvent",	//966
    "initUIEvent#$$#$",	//967
    "innerHTML",	//968
    "innerText",	//969
    "inputMethodEvent",	//970
    "inputMethodEvent#",	//971
    "inputMethodQuery",	//972
    "inputMethodQuery$",	//973
    "insert",	//974
    "insert#$",	//975
    "insertBefore",	//976
    "insertBefore##",	//977
    "insertCell",	//978
    "insertCell$",	//979
    "insertData",	//980
    "insertData$#",	//981
    "insertNode",	//982
    "insertNode#",	//983
    "insertRow",	//984
    "insertRow$",	//985
    "insertRule",	//986
    "insertRule#$",	//987
    "internalSubset",	//988
    "isAdFilterEnabled",	//989
    "isAdFiltered",	//990
    "isAdFiltered$",	//991
    "isAutoDelayedActionsEnabled",	//992
    "isBackRightClickEnabled",	//993
    "isCSSPrimitiveValue",	//994
    "isCSSStyleSheet",	//995
    "isCSSValueList",	//996
    "isCaretMode",	//997
    "isContentEditable",	//998
    "isDetached",	//999
    "isEditable",	//1000
    "isEmpty",	//1001
    "isFormCompletionEnabled",	//1002
    "isHTMLDocument",	//1003
    "isHTMLElement",	//1004
    "isHideAdsEnabled",	//1005
    "isJavaEnabled",	//1006
    "isJavaEnabled$",	//1007
    "isJavaScriptDebugEnabled",	//1008
    "isJavaScriptDebugEnabled$",	//1009
    "isJavaScriptEnabled",	//1010
    "isJavaScriptEnabled$",	//1011
    "isJavaScriptErrorReportingEnabled",	//1012
    "isJavaScriptErrorReportingEnabled$",	//1013
    "isMap",	//1014
    "isModified",	//1015
    "isNull",	//1016
    "isOpenMiddleClickEnabled",	//1017
    "isPluginsEnabled",	//1018
    "isPluginsEnabled$",	//1019
    "isPointInsideSelection",	//1020
    "isPointInsideSelection$$",	//1021
    "isProgressInfoEnabled",	//1022
    "isSelectable",	//1023
    "isSupported",	//1024
    "isSupported##",	//1025
    "item",	//1026
    "item$",	//1027
    "jScriptEnabled",	//1028
    "jScriptInterpreter",	//1029
    "javaEnabled",	//1030
    "jsDefaultStatusBarText",	//1031
    "jsErrorsEnabled",	//1032
    "jsPopupBlockerPassivePopup",	//1033
    "jsStatusBarText",	//1034
    "keyCode",	//1035
    "keyIdentifier",	//1036
    "keyLocation",	//1037
    "keyPressEvent",	//1038
    "keyPressEvent#",	//1039
    "keyReleaseEvent",	//1040
    "keyReleaseEvent#",	//1041
    "khtmlDrawContentsEvent",	//1042
    "khtmlDrawContentsEvent?",	//1043
    "khtmlMalformedPrefix",	//1044
    "khtmlMalformedPrefix#",	//1045
    "khtmlMalformedQualifiedName",	//1046
    "khtmlMalformedQualifiedName#",	//1047
    "khtmlMouseDoubleClickEvent",	//1048
    "khtmlMouseDoubleClickEvent?",	//1049
    "khtmlMouseMoveEvent",	//1050
    "khtmlMouseMoveEvent?",	//1051
    "khtmlMousePressEvent",	//1052
    "khtmlMousePressEvent?",	//1053
    "khtmlMouseReleaseEvent",	//1054
    "khtmlMouseReleaseEvent?",	//1055
    "khtmlValidAttrName",	//1056
    "khtmlValidAttrName#",	//1057
    "khtmlValidPrefix",	//1058
    "khtmlValidPrefix#",	//1059
    "khtmlValidQualifiedName",	//1060
    "khtmlValidQualifiedName#",	//1061
    "label",	//1062
    "lang",	//1063
    "languageChange",	//1064
    "lastChild",	//1065
    "lastModified",	//1066
    "layerX",	//1067
    "layerY",	//1068
    "layers",	//1069
    "layout",	//1070
    "leaveEvent",	//1071
    "leaveEvent#",	//1072
    "left",	//1073
    "length",	//1074
    "link",	//1075
    "linkColor",	//1076
    "links",	//1077
    "listStyle",	//1078
    "load",	//1079
    "load#",	//1080
    "loadPlugins",	//1081
    "loadPlugins###",	//1082
    "loadXML",	//1083
    "loadXML#",	//1084
    "localFilePath",	//1085
    "localName",	//1086
    "localXMLFile",	//1087
    "longDesc",	//1088
    "lower",	//1089
    "manager",	//1090
    "marginHeight",	//1091
    "marginWidth",	//1092
    "maxFormCompletionItems",	//1093
    "maxLength",	//1094
    "media",	//1095
    "mediaText",	//1096
    "mediumFontSize",	//1097
    "metaKey",	//1098
    "metaObject",	//1099
    "metaRefreshEnabled",	//1100
    "method",	//1101
    "metric",	//1102
    "metric$",	//1103
    "minFontSize",	//1104
    "minimumSizeHint",	//1105
    "mouseDoubleClickEvent",	//1106
    "mouseDoubleClickEvent#",	//1107
    "mouseMoveEvent",	//1108
    "mouseMoveEvent#",	//1109
    "mousePressEvent",	//1110
    "mousePressEvent#",	//1111
    "mouseReleaseEvent",	//1112
    "mouseReleaseEvent#",	//1113
    "moveEvent",	//1114
    "moveEvent#",	//1115
    "multiple",	//1116
    "name",	//1117
    "namedItem",	//1118
    "namedItem#",	//1119
    "namespaceURI",	//1120
    "newValue",	//1121
    "nextAnchor",	//1122
    "nextItem",	//1123
    "nextNamedItem",	//1124
    "nextNamedItem#",	//1125
    "nextNode",	//1126
    "nextSibling",	//1127
    "noHref",	//1128
    "noResize",	//1129
    "noShade",	//1130
    "noWrap",	//1131
    "nodeActivated",	//1132
    "nodeActivated#",	//1133
    "nodeName",	//1134
    "nodeType",	//1135
    "nodeUnderMouse",	//1136
    "nodeValue",	//1137
    "nonSharedNodeUnderMouse",	//1138
    "normalize",	//1139
    "notationName",	//1140
    "notations",	//1141
    "number",	//1142
    "number$",	//1143
    "object",	//1144
    "onURL",	//1145
    "onURL$",	//1146
    "onlyLocalReferences",	//1147
    "open",	//1148
    "openFile",	//1149
    "openStream",	//1150
    "openStream$#",	//1151
    "openUrl",	//1152
    "openUrl#",	//1153
    "operator!=",	//1154
    "operator!=#",	//1155
    "operator!=##",	//1156
    "operator!=#$",	//1157
    "operator+",	//1158
    "operator+#",	//1159
    "operator+=",	//1160
    "operator+=#",	//1161
    "operator=",	//1162
    "operator=#",	//1163
    "operator==",	//1164
    "operator==#",	//1165
    "operator==##",	//1166
    "operator==#$",	//1167
    "operator[]",	//1168
    "operator[]$",	//1169
    "options",	//1170
    "ownerDocument",	//1171
    "ownerElement",	//1172
    "ownerNode",	//1173
    "ownerRule",	//1174
    "pageReferrer",	//1175
    "pageX",	//1176
    "pageY",	//1177
    "paint",	//1178
    "paint##",	//1179
    "paint##$",	//1180
    "paint##$$",	//1181
    "paintEngine",	//1182
    "paintEvent",	//1183
    "paintEvent#",	//1184
    "paletteChange",	//1185
    "paletteChange#",	//1186
    "parentNode",	//1187
    "parentPart",	//1188
    "parentRule",	//1189
    "parentStyleSheet",	//1190
    "part",	//1191
    "partActivateEvent",	//1192
    "partActivateEvent#",	//1193
    "partManager",	//1194
    "partObject",	//1195
    "partSelectEvent",	//1196
    "partSelectEvent#",	//1197
    "percentage",	//1198
    "percentage$",	//1199
    "pluginPageQuestionAsked",	//1200
    "pluginPageQuestionAsked$",	//1201
    "pluginsEnabled",	//1202
    "popupMenu",	//1203
    "popupMenu$#",	//1204
    "preferredStylesheetSet",	//1205
    "prefix",	//1206
    "preloadScript",	//1207
    "preloadScript$$",	//1208
    "preloadStyleSheet",	//1209
    "preloadStyleSheet$$",	//1210
    "prevAnchor",	//1211
    "prevValue",	//1212
    "preventDefault",	//1213
    "previousNode",	//1214
    "previousSibling",	//1215
    "primitiveType",	//1216
    "print",	//1217
    "print$",	//1218
    "profile",	//1219
    "prompt",	//1220
    "publicId",	//1221
    "qt_metacall",	//1222
    "qt_metacall$$?",	//1223
    "queryCommandEnabled",	//1224
    "queryCommandEnabled#",	//1225
    "queryCommandIndeterm",	//1226
    "queryCommandIndeterm#",	//1227
    "queryCommandState",	//1228
    "queryCommandState#",	//1229
    "queryCommandSupported",	//1230
    "queryCommandSupported#",	//1231
    "queryCommandValue",	//1232
    "queryCommandValue#",	//1233
    "readDomainSettings",	//1234
    "readDomainSettings#$$?",	//1235
    "readOnly",	//1236
    "red",	//1237
    "ref",	//1238
    "refCount",	//1239
    "referrer",	//1240
    "rel",	//1241
    "relatedNode",	//1242
    "relatedTarget",	//1243
    "remove",	//1244
    "remove$",	//1245
    "remove$$",	//1246
    "removeAttribute",	//1247
    "removeAttribute#",	//1248
    "removeAttributeNS",	//1249
    "removeAttributeNS##",	//1250
    "removeAttributeNode",	//1251
    "removeAttributeNode#",	//1252
    "removeCSSProperty",	//1253
    "removeCSSProperty#",	//1254
    "removeChild",	//1255
    "removeChild#",	//1256
    "removeEventListener",	//1257
    "removeEventListener##$",	//1258
    "removeNamedItem",	//1259
    "removeNamedItem#",	//1260
    "removeNamedItemNS",	//1261
    "removeNamedItemNS##",	//1262
    "removeProperty",	//1263
    "removeProperty#",	//1264
    "removeStyleSheet",	//1265
    "removeStyleSheet#",	//1266
    "repaintAccessKeys",	//1267
    "repaintContents",	//1268
    "repaintContents#",	//1269
    "repaintContents$$$$",	//1270
    "replaceChild",	//1271
    "replaceChild##",	//1272
    "replaceData",	//1273
    "replaceData$$#",	//1274
    "reset",	//1275
    "resizeContents",	//1276
    "resizeContents$$",	//1277
    "resizeEvent",	//1278
    "resizeEvent#",	//1279
    "restoreState",	//1280
    "restoreState#",	//1281
    "restored",	//1282
    "rev",	//1283
    "right",	//1284
    "root",	//1285
    "rowIndex",	//1286
    "rowSpan",	//1287
    "rows",	//1288
    "rules",	//1289
    "sansSerifFontName",	//1290
    "saveState",	//1291
    "saveState#",	//1292
    "scheduleRedirection",	//1293
    "scheduleRedirection$$",	//1294
    "scheduleRedirection$$$",	//1295
    "scheme",	//1296
    "scope",	//1297
    "screenX",	//1298
    "screenY",	//1299
    "scripts",	//1300
    "scrollBy",	//1301
    "scrollBy$$",	//1302
    "scrollContentsBy",	//1303
    "scrollContentsBy$$",	//1304
    "scrolling",	//1305
    "sectionRowIndex",	//1306
    "select",	//1307
    "selectAll",	//1308
    "selectNode",	//1309
    "selectNode#",	//1310
    "selectNodeContents",	//1311
    "selectNodeContents#",	//1312
    "selected",	//1313
    "selectedIndex",	//1314
    "selectedStylesheetSet",	//1315
    "selectedText",	//1316
    "selectedTextAsHTML",	//1317
    "selection",	//1318
    "selection#$#$",	//1319
    "selectionChanged",	//1320
    "selectionEnd",	//1321
    "selectionStart",	//1322
    "selectorText",	//1323
    "separator",	//1324
    "serifFontName",	//1325
    "setALink",	//1326
    "setALink#",	//1327
    "setAbbr",	//1328
    "setAbbr#",	//1329
    "setAccept",	//1330
    "setAccept#",	//1331
    "setAcceptCharset",	//1332
    "setAcceptCharset#",	//1333
    "setAccessKey",	//1334
    "setAccessKey#",	//1335
    "setAction",	//1336
    "setAction#",	//1337
    "setActiveNode",	//1338
    "setActiveNode#",	//1339
    "setAlign",	//1340
    "setAlign#",	//1341
    "setAlt",	//1342
    "setAlt#",	//1343
    "setAlwaysHonourDoctype",	//1344
    "setAlwaysHonourDoctype$",	//1345
    "setArchive",	//1346
    "setArchive#",	//1347
    "setArguments",	//1348
    "setArguments#",	//1349
    "setAsync",	//1350
    "setAsync$",	//1351
    "setAttribute",	//1352
    "setAttribute##",	//1353
    "setAttributeNS",	//1354
    "setAttributeNS###",	//1355
    "setAttributeNode",	//1356
    "setAttributeNode#",	//1357
    "setAttributeNodeNS",	//1358
    "setAttributeNodeNS#",	//1359
    "setAutoDeletePart",	//1360
    "setAutoDeletePart$",	//1361
    "setAutoDeleteWidget",	//1362
    "setAutoDeleteWidget$",	//1363
    "setAutoloadImages",	//1364
    "setAutoloadImages$",	//1365
    "setAxis",	//1366
    "setAxis#",	//1367
    "setBackground",	//1368
    "setBackground#",	//1369
    "setBgColor",	//1370
    "setBgColor#",	//1371
    "setBody",	//1372
    "setBody#",	//1373
    "setBorder",	//1374
    "setBorder#",	//1375
    "setCaption",	//1376
    "setCaption#",	//1377
    "setCaretDisplayPolicyNonFocused",	//1378
    "setCaretDisplayPolicyNonFocused$",	//1379
    "setCaretMode",	//1380
    "setCaretMode$",	//1381
    "setCaretPosition",	//1382
    "setCaretPosition#$",	//1383
    "setCaretPosition#$$",	//1384
    "setCaretVisible",	//1385
    "setCaretVisible$",	//1386
    "setCellIndex",	//1387
    "setCellIndex$",	//1388
    "setCellPadding",	//1389
    "setCellPadding#",	//1390
    "setCellSpacing",	//1391
    "setCellSpacing#",	//1392
    "setCells",	//1393
    "setCells#",	//1394
    "setCh",	//1395
    "setCh#",	//1396
    "setChOff",	//1397
    "setChOff#",	//1398
    "setCharset",	//1399
    "setCharset#",	//1400
    "setChecked",	//1401
    "setChecked$",	//1402
    "setCite",	//1403
    "setCite#",	//1404
    "setClassName",	//1405
    "setClassName#",	//1406
    "setClear",	//1407
    "setClear#",	//1408
    "setCode",	//1409
    "setCode#",	//1410
    "setCode$",	//1411
    "setCodeBase",	//1412
    "setCodeBase#",	//1413
    "setCodeType",	//1414
    "setCodeType#",	//1415
    "setColSpan",	//1416
    "setColSpan$",	//1417
    "setColor",	//1418
    "setColor#",	//1419
    "setCols",	//1420
    "setCols#",	//1421
    "setCols$",	//1422
    "setCompact",	//1423
    "setCompact$",	//1424
    "setComponentData",	//1425
    "setComponentData#",	//1426
    "setComponentData#$",	//1427
    "setContent",	//1428
    "setContent#",	//1429
    "setContentEditable",	//1430
    "setContentEditable#",	//1431
    "setContentsPos",	//1432
    "setContentsPos$$",	//1433
    "setCookie",	//1434
    "setCookie#",	//1435
    "setCoords",	//1436
    "setCoords#",	//1437
    "setCssText",	//1438
    "setCssText#",	//1439
    "setCurrentNode",	//1440
    "setCurrentNode#",	//1441
    "setCustomNodeFilter",	//1442
    "setCustomNodeFilter#",	//1443
    "setDNDEnabled",	//1444
    "setDNDEnabled$",	//1445
    "setDOMDocument",	//1446
    "setDOMDocument#",	//1447
    "setDOMDocument#$",	//1448
    "setData",	//1449
    "setData#",	//1450
    "setDateTime",	//1451
    "setDateTime#",	//1452
    "setDeclare",	//1453
    "setDeclare$",	//1454
    "setDefaultChecked",	//1455
    "setDefaultChecked$",	//1456
    "setDefaultSelected",	//1457
    "setDefaultSelected$",	//1458
    "setDefaultValue",	//1459
    "setDefaultValue#",	//1460
    "setDefer",	//1461
    "setDefer$",	//1462
    "setDesignMode",	//1463
    "setDesignMode$",	//1464
    "setDir",	//1465
    "setDir#",	//1466
    "setDisabled",	//1467
    "setDisabled$",	//1468
    "setEditable",	//1469
    "setEditable$",	//1470
    "setEncoding",	//1471
    "setEncoding#",	//1472
    "setEncoding$",	//1473
    "setEncoding$$",	//1474
    "setEnctype",	//1475
    "setEnctype#",	//1476
    "setEnd",	//1477
    "setEnd#$",	//1478
    "setEndAfter",	//1479
    "setEndAfter#",	//1480
    "setEndBefore",	//1481
    "setEndBefore#",	//1482
    "setEvent",	//1483
    "setEvent#",	//1484
    "setFace",	//1485
    "setFace#",	//1486
    "setFixedFont",	//1487
    "setFixedFont$",	//1488
    "setFixedFontName",	//1489
    "setFixedFontName$",	//1490
    "setFloatValue",	//1491
    "setFloatValue$$",	//1492
    "setFontScaleFactor",	//1493
    "setFontScaleFactor$",	//1494
    "setFormNotification",	//1495
    "setFormNotification$",	//1496
    "setFrame",	//1497
    "setFrame#",	//1498
    "setFrameBorder",	//1499
    "setFrameBorder#",	//1500
    "setHeaders",	//1501
    "setHeaders#",	//1502
    "setHeight",	//1503
    "setHeight#",	//1504
    "setHeight$",	//1505
    "setHorizontalScrollBarPolicy",	//1506
    "setHorizontalScrollBarPolicy$",	//1507
    "setHref",	//1508
    "setHref#",	//1509
    "setHreflang",	//1510
    "setHreflang#",	//1511
    "setHspace",	//1512
    "setHspace$",	//1513
    "setHtmlFor",	//1514
    "setHtmlFor#",	//1515
    "setHttpEquiv",	//1516
    "setHttpEquiv#",	//1517
    "setId",	//1518
    "setId#",	//1519
    "setIndeterminate",	//1520
    "setIndeterminate$",	//1521
    "setIndex",	//1522
    "setIndex$",	//1523
    "setInnerHTML",	//1524
    "setInnerHTML#",	//1525
    "setInnerText",	//1526
    "setInnerText#",	//1527
    "setIsMap",	//1528
    "setIsMap$",	//1529
    "setJSDefaultStatusBarText",	//1530
    "setJSDefaultStatusBarText$",	//1531
    "setJSErrorsEnabled",	//1532
    "setJSErrorsEnabled$",	//1533
    "setJSPopupBlockerPassivePopup",	//1534
    "setJSPopupBlockerPassivePopup$",	//1535
    "setJSStatusBarText",	//1536
    "setJSStatusBarText$",	//1537
    "setJScriptEnabled",	//1538
    "setJScriptEnabled$",	//1539
    "setJavaEnabled",	//1540
    "setJavaEnabled$",	//1541
    "setLabel",	//1542
    "setLabel#",	//1543
    "setLang",	//1544
    "setLang#",	//1545
    "setLeft",	//1546
    "setLeft$",	//1547
    "setLink",	//1548
    "setLink#",	//1549
    "setLocalFilePath",	//1550
    "setLocalFilePath$",	//1551
    "setLocalXMLFile",	//1552
    "setLocalXMLFile$",	//1553
    "setLongDesc",	//1554
    "setLongDesc#",	//1555
    "setManager",	//1556
    "setManager#",	//1557
    "setMarginHeight",	//1558
    "setMarginHeight#",	//1559
    "setMarginHeight$",	//1560
    "setMarginWidth",	//1561
    "setMarginWidth#",	//1562
    "setMarginWidth$",	//1563
    "setMaxLength",	//1564
    "setMaxLength$",	//1565
    "setMedia",	//1566
    "setMedia#",	//1567
    "setMediaText",	//1568
    "setMediaText#",	//1569
    "setMetaRefreshEnabled",	//1570
    "setMetaRefreshEnabled$",	//1571
    "setMethod",	//1572
    "setMethod#",	//1573
    "setMultiple",	//1574
    "setMultiple$",	//1575
    "setName",	//1576
    "setName#",	//1577
    "setNamedItem",	//1578
    "setNamedItem#",	//1579
    "setNamedItemNS",	//1580
    "setNamedItemNS#",	//1581
    "setNoHref",	//1582
    "setNoHref$",	//1583
    "setNoResize",	//1584
    "setNoResize$",	//1585
    "setNoShade",	//1586
    "setNoShade$",	//1587
    "setNoWrap",	//1588
    "setNoWrap$",	//1589
    "setNodeValue",	//1590
    "setNodeValue#",	//1591
    "setObject",	//1592
    "setObject#",	//1593
    "setOnlyLocalReferences",	//1594
    "setOnlyLocalReferences$",	//1595
    "setPageSecurity",	//1596
    "setPageSecurity$",	//1597
    "setPartObject",	//1598
    "setPartObject#",	//1599
    "setPluginInterfaceVersion",	//1600
    "setPluginInterfaceVersion$",	//1601
    "setPluginLoadingMode",	//1602
    "setPluginLoadingMode$",	//1603
    "setPluginPageQuestionAsked",	//1604
    "setPluginPageQuestionAsked$",	//1605
    "setPluginsEnabled",	//1606
    "setPluginsEnabled$",	//1607
    "setPrefix",	//1608
    "setPrefix#",	//1609
    "setProfile",	//1610
    "setProfile#",	//1611
    "setProgressInfoEnabled",	//1612
    "setProgressInfoEnabled$",	//1613
    "setPrompt",	//1614
    "setPrompt#",	//1615
    "setProperty",	//1616
    "setProperty###",	//1617
    "setReadOnly",	//1618
    "setReadOnly$",	//1619
    "setRel",	//1620
    "setRel#",	//1621
    "setRev",	//1622
    "setRev#",	//1623
    "setRowIndex",	//1624
    "setRowIndex$",	//1625
    "setRowSpan",	//1626
    "setRowSpan$",	//1627
    "setRows",	//1628
    "setRows#",	//1629
    "setRows$",	//1630
    "setRules",	//1631
    "setRules#",	//1632
    "setScheme",	//1633
    "setScheme#",	//1634
    "setScope",	//1635
    "setScope#",	//1636
    "setScrolling",	//1637
    "setScrolling#",	//1638
    "setSectionRowIndex",	//1639
    "setSectionRowIndex$",	//1640
    "setSelectable",	//1641
    "setSelectable$",	//1642
    "setSelected",	//1643
    "setSelected$",	//1644
    "setSelectedIndex",	//1645
    "setSelectedIndex$",	//1646
    "setSelectedStylesheetSet",	//1647
    "setSelectedStylesheetSet#",	//1648
    "setSelection",	//1649
    "setSelection#",	//1650
    "setSelectionEnd",	//1651
    "setSelectionEnd$",	//1652
    "setSelectionRange",	//1653
    "setSelectionRange$$",	//1654
    "setSelectionStart",	//1655
    "setSelectionStart$",	//1656
    "setSelectorText",	//1657
    "setSelectorText#",	//1658
    "setShape",	//1659
    "setShape#",	//1660
    "setSize",	//1661
    "setSize#",	//1662
    "setSize$",	//1663
    "setSmoothScrollingMode",	//1664
    "setSmoothScrollingMode$",	//1665
    "setSmoothScrollingModeDefault",	//1666
    "setSmoothScrollingModeDefault$",	//1667
    "setSpan",	//1668
    "setSpan$",	//1669
    "setSrc",	//1670
    "setSrc#",	//1671
    "setStandardFont",	//1672
    "setStandardFont$",	//1673
    "setStandby",	//1674
    "setStandby#",	//1675
    "setStart",	//1676
    "setStart#$",	//1677
    "setStart$",	//1678
    "setStartAfter",	//1679
    "setStartAfter#",	//1680
    "setStartBefore",	//1681
    "setStartBefore#",	//1682
    "setStatusBarText",	//1683
    "setStatusBarText$",	//1684
    "setStatusMessagesEnabled",	//1685
    "setStatusMessagesEnabled$",	//1686
    "setStdFontName",	//1687
    "setStdFontName$",	//1688
    "setStringValue",	//1689
    "setStringValue$#",	//1690
    "setSummary",	//1691
    "setSummary#",	//1692
    "setSuppressedPopupIndicator",	//1693
    "setSuppressedPopupIndicator$",	//1694
    "setSuppressedPopupIndicator$#",	//1695
    "setTFoot",	//1696
    "setTFoot#",	//1697
    "setTHead",	//1698
    "setTHead#",	//1699
    "setTabIndex",	//1700
    "setTabIndex$",	//1701
    "setTarget",	//1702
    "setTarget#",	//1703
    "setText",	//1704
    "setText#",	//1705
    "setTextContent",	//1706
    "setTextContent#",	//1707
    "setTitle",	//1708
    "setTitle#",	//1709
    "setTop",	//1710
    "setTop$",	//1711
    "setType",	//1712
    "setType#",	//1713
    "setURLCursor",	//1714
    "setURLCursor#",	//1715
    "setUrl",	//1716
    "setUrl#",	//1717
    "setUseMap",	//1718
    "setUseMap#",	//1719
    "setUserStyleSheet",	//1720
    "setUserStyleSheet#",	//1721
    "setUserStyleSheet$",	//1722
    "setVAlign",	//1723
    "setVAlign#",	//1724
    "setVLink",	//1725
    "setVLink#",	//1726
    "setValue",	//1727
    "setValue#",	//1728
    "setValue$",	//1729
    "setValueType",	//1730
    "setValueType#",	//1731
    "setVersion",	//1732
    "setVersion#",	//1733
    "setVerticalScrollBarPolicy",	//1734
    "setVerticalScrollBarPolicy$",	//1735
    "setVisibility",	//1736
    "setVisibility#",	//1737
    "setVisible",	//1738
    "setVisible$",	//1739
    "setVspace",	//1740
    "setVspace$",	//1741
    "setWidget",	//1742
    "setWidget#",	//1743
    "setWidth",	//1744
    "setWidth#",	//1745
    "setWidth$",	//1746
    "setWindowCaption",	//1747
    "setWindowCaption$",	//1748
    "setXML",	//1749
    "setXML$",	//1750
    "setXML$$",	//1751
    "setXMLFile",	//1752
    "setXMLFile$",	//1753
    "setXMLFile$$",	//1754
    "setXMLFile$$$",	//1755
    "setZoomFactor",	//1756
    "setZoomFactor$",	//1757
    "setZoomLevel",	//1758
    "setZoomLevel$",	//1759
    "settings",	//1760
    "settingsToCSS",	//1761
    "shape",	//1762
    "sheet",	//1763
    "shiftKey",	//1764
    "show",	//1765
    "showAnimations",	//1766
    "showError",	//1767
    "showError#",	//1768
    "showEvent",	//1769
    "showEvent#",	//1770
    "showProgressInfo",	//1771
    "showProgressInfo$",	//1772
    "size",	//1773
    "sizeHint",	//1774
    "slotFinished",	//1775
    "slotFinished#",	//1776
    "slotPaletteChanged",	//1777
    "slotWidgetDestroyed",	//1778
    "smoothScrolling",	//1779
    "smoothScrollingMode",	//1780
    "span",	//1781
    "specified",	//1782
    "split",	//1783
    "split$",	//1784
    "splitDomainAdvice",	//1785
    "splitDomainAdvice$$$$",	//1786
    "splitText",	//1787
    "splitText$",	//1788
    "src",	//1789
    "standby",	//1790
    "start",	//1791
    "startContainer",	//1792
    "startOffset",	//1793
    "started",	//1794
    "started#",	//1795
    "startingJob",	//1796
    "startingJob#",	//1797
    "stateChanged",	//1798
    "stateChanged$",	//1799
    "stateChanged$$",	//1800
    "statusMessagesEnabled",	//1801
    "stdFontName",	//1802
    "stopAnimations",	//1803
    "stopPropagation",	//1804
    "strToAdvice",	//1805
    "strToAdvice$",	//1806
    "strcasecmp",	//1807
    "strcasecmp##",	//1808
    "strcasecmp#$",	//1809
    "strcmp",	//1810
    "strcmp##",	//1811
    "string",	//1812
    "style",	//1813
    "styleChange",	//1814
    "styleChange#",	//1815
    "styleSheet",	//1816
    "styleSheets",	//1817
    "submit",	//1818
    "submitFormProxy",	//1819
    "submitFormProxy$$#$",	//1820
    "submitFormProxy$$#$$",	//1821
    "submitFormProxy$$#$$$",	//1822
    "substringData",	//1823
    "substringData$$",	//1824
    "summary",	//1825
    "surroundContents",	//1826
    "surroundContents#",	//1827
    "systemId",	//1828
    "tBodies",	//1829
    "tFoot",	//1830
    "tHead",	//1831
    "tabIndex",	//1832
    "tabletEvent",	//1833
    "tabletEvent#",	//1834
    "tagName",	//1835
    "target",	//1836
    "test",	//1837
    "test#",	//1838
    "test#$",	//1839
    "text",	//1840
    "textColor",	//1841
    "textContent",	//1842
    "textLength",	//1843
    "timeStamp",	//1844
    "timerEvent",	//1845
    "timerEvent#",	//1846
    "title",	//1847
    "toFloat",	//1848
    "toFloat$",	//1849
    "toHTML",	//1850
    "toInt",	//1851
    "toInt$",	//1852
    "toString",	//1853
    "top",	//1854
    "toplevelURL",	//1855
    "truncate",	//1856
    "truncate$",	//1857
    "type",	//1858
    "underlineLink",	//1859
    "unfinishedImageFrame",	//1860
    "unicode",	//1861
    "updateContents",	//1862
    "updateContents#",	//1863
    "updateContents$$$$",	//1864
    "updateRendering",	//1865
    "upper",	//1866
    "url",	//1867
    "urlCursor",	//1868
    "urlSelected",	//1869
    "urlSelected$$$$",	//1870
    "urlSelected$$$$#",	//1871
    "urlSelected$$$$##",	//1872
    "useMap",	//1873
    "userStyleSheet",	//1874
    "vAlign",	//1875
    "vLink",	//1876
    "vLinkColor",	//1877
    "value",	//1878
    "valueType",	//1879
    "version",	//1880
    "view",	//1881
    "viewportEvent",	//1882
    "viewportEvent#",	//1883
    "viewportToContents",	//1884
    "viewportToContents#",	//1885
    "viewportToContents$$$$",	//1886
    "visibility",	//1887
    "visibleHeight",	//1888
    "visibleWidth",	//1889
    "vspace",	//1890
    "whatToShow",	//1891
    "wheelEvent",	//1892
    "wheelEvent#",	//1893
    "which",	//1894
    "widget",	//1895
    "widgetEvent",	//1896
    "widgetEvent#",	//1897
    "width",	//1898
    "windowActivationChange",	//1899
    "windowActivationChange$",	//1900
    "windowFocusPolicy",	//1901
    "windowFocusPolicy$",	//1902
    "windowMovePolicy",	//1903
    "windowMovePolicy$",	//1904
    "windowOpenPolicy",	//1905
    "windowOpenPolicy$",	//1906
    "windowResizePolicy",	//1907
    "windowResizePolicy$",	//1908
    "windowStatusPolicy",	//1909
    "windowStatusPolicy$",	//1910
    "write",	//1911
    "write#",	//1912
    "write$",	//1913
    "write$$",	//1914
    "writeStream",	//1915
    "writeStream#",	//1916
    "writeln",	//1917
    "writeln#",	//1918
    "x",	//1919
    "xmlFile",	//1920
    "y",	//1921
    "zoomFactor",	//1922
    "zoomLevel",	//1923
    "zoomView",	//1924
    "zoomView$",	//1925
    "~AbstractView",	//1926
    "~Attr",	//1927
    "~CDATASection",	//1928
    "~CSSCharsetRule",	//1929
    "~CSSException",	//1930
    "~CSSFontFaceRule",	//1931
    "~CSSImportRule",	//1932
    "~CSSMediaRule",	//1933
    "~CSSPageRule",	//1934
    "~CSSPrimitiveValue",	//1935
    "~CSSRule",	//1936
    "~CSSRuleList",	//1937
    "~CSSStyleDeclaration",	//1938
    "~CSSStyleRule",	//1939
    "~CSSStyleSheet",	//1940
    "~CSSUnknownRule",	//1941
    "~CSSValue",	//1942
    "~CSSValueList",	//1943
    "~CharacterData",	//1944
    "~Comment",	//1945
    "~Counter",	//1946
    "~CustomNodeFilter",	//1947
    "~DOMException",	//1948
    "~DOMImplementation",	//1949
    "~DOMString",	//1950
    "~Document",	//1951
    "~DocumentFragment",	//1952
    "~DocumentStyle",	//1953
    "~DocumentType",	//1954
    "~DomShared",	//1955
    "~Element",	//1956
    "~Entity",	//1957
    "~EntityReference",	//1958
    "~Event",	//1959
    "~EventException",	//1960
    "~EventListener",	//1961
    "~HTMLAnchorElement",	//1962
    "~HTMLAppletElement",	//1963
    "~HTMLAreaElement",	//1964
    "~HTMLBRElement",	//1965
    "~HTMLBaseElement",	//1966
    "~HTMLBaseFontElement",	//1967
    "~HTMLBlockquoteElement",	//1968
    "~HTMLBodyElement",	//1969
    "~HTMLButtonElement",	//1970
    "~HTMLCollection",	//1971
    "~HTMLDListElement",	//1972
    "~HTMLDirectoryElement",	//1973
    "~HTMLDivElement",	//1974
    "~HTMLDocument",	//1975
    "~HTMLElement",	//1976
    "~HTMLFieldSetElement",	//1977
    "~HTMLFontElement",	//1978
    "~HTMLFormCollection",	//1979
    "~HTMLFormElement",	//1980
    "~HTMLFrameElement",	//1981
    "~HTMLFrameSetElement",	//1982
    "~HTMLHRElement",	//1983
    "~HTMLHeadElement",	//1984
    "~HTMLHeadingElement",	//1985
    "~HTMLHtmlElement",	//1986
    "~HTMLIFrameElement",	//1987
    "~HTMLImageElement",	//1988
    "~HTMLInputElement",	//1989
    "~HTMLIsIndexElement",	//1990
    "~HTMLLIElement",	//1991
    "~HTMLLabelElement",	//1992
    "~HTMLLayerElement",	//1993
    "~HTMLLegendElement",	//1994
    "~HTMLLinkElement",	//1995
    "~HTMLMapElement",	//1996
    "~HTMLMenuElement",	//1997
    "~HTMLMetaElement",	//1998
    "~HTMLModElement",	//1999
    "~HTMLOListElement",	//2000
    "~HTMLObjectElement",	//2001
    "~HTMLOptGroupElement",	//2002
    "~HTMLOptionElement",	//2003
    "~HTMLParagraphElement",	//2004
    "~HTMLParamElement",	//2005
    "~HTMLPreElement",	//2006
    "~HTMLQuoteElement",	//2007
    "~HTMLScriptElement",	//2008
    "~HTMLSelectElement",	//2009
    "~HTMLStyleElement",	//2010
    "~HTMLTableCaptionElement",	//2011
    "~HTMLTableCellElement",	//2012
    "~HTMLTableColElement",	//2013
    "~HTMLTableElement",	//2014
    "~HTMLTableRowElement",	//2015
    "~HTMLTableSectionElement",	//2016
    "~HTMLTextAreaElement",	//2017
    "~HTMLTitleElement",	//2018
    "~HTMLUListElement",	//2019
    "~KHTMLPart",	//2020
    "~KHTMLSettings",	//2021
    "~KHTMLView",	//2022
    "~KeyboardEvent",	//2023
    "~LinkStyle",	//2024
    "~MediaList",	//2025
    "~MouseEvent",	//2026
    "~MutationEvent",	//2027
    "~NamedNodeMap",	//2028
    "~Node",	//2029
    "~NodeFilter",	//2030
    "~NodeIterator",	//2031
    "~NodeList",	//2032
    "~Notation",	//2033
    "~Part",	//2034
    "~PartBase",	//2035
    "~ProcessingInstruction",	//2036
    "~RGBColor",	//2037
    "~Range",	//2038
    "~RangeException",	//2039
    "~ReadOnlyPart",	//2040
    "~Rect",	//2041
    "~StyleSheet",	//2042
    "~StyleSheetList",	//2043
    "~Text",	//2044
    "~TextEvent",	//2045
    "~TreeWalker",	//2046
    "~UIEvent",	//2047
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method khtml_methods[] = {
	{1, 1164, 477, 2, Smoke::mf_static, 705, 0},	//0 DOM::operator==(const DOM::DOMString&, const DOM::DOMString&)
	{1, 1164, 488, 2, Smoke::mf_static, 705, 1},	//1 DOM::operator==(const DOM::DOMString&, const QString&)
	{1, 1164, 491, 2, Smoke::mf_static, 705, 2},	//2 DOM::operator==(const DOM::DOMString&, const char*)
	{1, 1154, 477, 2, Smoke::mf_static, 705, 3},	//3 DOM::operator!=(const DOM::DOMString&, const DOM::DOMString&)
	{1, 1154, 488, 2, Smoke::mf_static, 705, 4},	//4 DOM::operator!=(const DOM::DOMString&, const QString&)
	{1, 1154, 491, 2, Smoke::mf_static, 705, 5},	//5 DOM::operator!=(const DOM::DOMString&, const char*)
	{1, 1810, 477, 2, Smoke::mf_static, 705, 6},	//6 DOM::strcmp(const DOM::DOMString&, const DOM::DOMString&)
	{1, 1807, 477, 2, Smoke::mf_static, 705, 7},	//7 DOM::strcasecmp(const DOM::DOMString&, const DOM::DOMString&)
	{1, 1807, 491, 2, Smoke::mf_static, 705, 8},	//8 DOM::strcasecmp(const DOM::DOMString&, const char*)
	{2, 4, 0, 0, 0, 3, 0},	//9 DOM::AbstractView::AbstractView()
	{2, 4, 369, 1, Smoke::mf_copyctor, 3, 1},	//10 DOM::AbstractView::AbstractView(const DOM::AbstractView&)
	{2, 1926, 0, 0, Smoke::mf_dtor, 0, 7},	//11 DOM::AbstractView::~AbstractView()
	{2, 1162, 369, 1, 0, 2, 2},	//12 DOM::AbstractView::operator=(const DOM::AbstractView&)
	{2, 763, 0, 0, Smoke::mf_const, 91, 3},	//13 DOM::AbstractView::document() const
	{2, 867, 511, 2, 0, 45, 4},	//14 DOM::AbstractView::getComputedStyle(const DOM::Element&, const DOM::DOMString&)
	{2, 1016, 0, 0, Smoke::mf_const, 705, 5},	//15 DOM::AbstractView::isNull() const
	{2, 4, 195, 1, Smoke::mf_protected, 3, 6},	//16 DOM::AbstractView::AbstractView(DOM::AbstractViewImpl*)
	{3, 7, 0, 0, 0, 7, 0},	//17 DOM::Attr::Attr()
	{3, 7, 666, 1, 0, 7, 1},	//18 DOM::Attr::Attr(const DOM::Node&)
	{3, 7, 371, 1, Smoke::mf_copyctor, 7, 2},	//19 DOM::Attr::Attr(const DOM::Attr&)
	{3, 1162, 666, 1, 0, 6, 3},	//20 DOM::Attr::operator=(const DOM::Node&)
	{3, 1162, 371, 1, 0, 6, 4},	//21 DOM::Attr::operator=(const DOM::Attr&)
	{3, 1927, 0, 0, Smoke::mf_dtor, 0, 11},	//22 DOM::Attr::~Attr()
	{3, 1117, 0, 0, Smoke::mf_const, 86, 5},	//23 DOM::Attr::name() const
	{3, 1782, 0, 0, Smoke::mf_const, 705, 6},	//24 DOM::Attr::specified() const
	{3, 1878, 0, 0, Smoke::mf_const, 86, 7},	//25 DOM::Attr::value() const
	{3, 1727, 422, 1, 0, 0, 8},	//26 DOM::Attr::setValue(const DOM::DOMString&)
	{3, 1172, 0, 0, Smoke::mf_const, 107, 9},	//27 DOM::Attr::ownerElement() const
	{3, 7, 643, 1, Smoke::mf_protected, 7, 10},	//28 DOM::Attr::Attr(DOM::AttrImpl*)
	{4, 15, 0, 0, 0, 11, 0},	//29 DOM::CDATASection::CDATASection()
	{4, 15, 373, 1, Smoke::mf_copyctor, 11, 1},	//30 DOM::CDATASection::CDATASection(const DOM::CDATASection&)
	{4, 15, 666, 1, 0, 11, 2},	//31 DOM::CDATASection::CDATASection(const DOM::Node&)
	{4, 1162, 666, 1, 0, 10, 3},	//32 DOM::CDATASection::operator=(const DOM::Node&)
	{4, 1162, 373, 1, 0, 10, 4},	//33 DOM::CDATASection::operator=(const DOM::CDATASection&)
	{4, 1928, 0, 0, Smoke::mf_dtor, 0, 6},	//34 DOM::CDATASection::~CDATASection()
	{4, 15, 11, 1, Smoke::mf_protected, 11, 5},	//35 DOM::CDATASection::CDATASection(DOM::CDATASectionImpl*)
	{5, 21, 0, 0, 0, 14, 0},	//36 DOM::CSSCharsetRule::CSSCharsetRule()
	{5, 21, 375, 1, Smoke::mf_copyctor, 14, 1},	//37 DOM::CSSCharsetRule::CSSCharsetRule(const DOM::CSSCharsetRule&)
	{5, 21, 389, 1, 0, 14, 2},	//38 DOM::CSSCharsetRule::CSSCharsetRule(const DOM::CSSRule&)
	{5, 21, 29, 1, 0, 14, 3},	//39 DOM::CSSCharsetRule::CSSCharsetRule(DOM::CSSCharsetRuleImpl*)
	{5, 1162, 375, 1, 0, 13, 4},	//40 DOM::CSSCharsetRule::operator=(const DOM::CSSCharsetRule&)
	{5, 1162, 389, 1, 0, 13, 5},	//41 DOM::CSSCharsetRule::operator=(const DOM::CSSRule&)
	{5, 1929, 0, 0, Smoke::mf_dtor, 0, 8},	//42 DOM::CSSCharsetRule::~CSSCharsetRule()
	{5, 783, 0, 0, Smoke::mf_const, 86, 6},	//43 DOM::CSSCharsetRule::encoding() const
	{5, 1471, 422, 1, 0, 0, 7},	//44 DOM::CSSCharsetRule::setEncoding(const DOM::DOMString&)
	{6, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 0},	//45 DOM::CSSException::SYNTAX_ERR (enum)
	{6, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 1},	//46 DOM::CSSException::INVALID_MODIFICATION_ERR (enum)
	{6, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 2},	//47 DOM::CSSException::_EXCEPTION_OFFSET (enum)
	{6, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 3},	//48 DOM::CSSException::_EXCEPTION_MAX (enum)
	{6, 24, 930, 1, 0, 17, 5},	//49 DOM::CSSException::CSSException(unsigned short)
	{6, 24, 377, 1, Smoke::mf_copyctor, 17, 6},	//50 DOM::CSSException::CSSException(const DOM::CSSException&)
	{6, 1162, 377, 1, 0, 16, 7},	//51 DOM::CSSException::operator=(const DOM::CSSException&)
	{6, 1930, 0, 0, Smoke::mf_dtor, 0, 9},	//52 DOM::CSSException::~CSSException()
	{6, 1409, 930, 1, 0, 0, 8},	//53 DOM::CSSException::setCode(unsigned short)
	{6, 628, 0, 0, 0, 886, 4},	//54 DOM::CSSException::code (var)
	{7, 27, 0, 0, 0, 20, 0},	//55 DOM::CSSFontFaceRule::CSSFontFaceRule()
	{7, 27, 379, 1, Smoke::mf_copyctor, 20, 1},	//56 DOM::CSSFontFaceRule::CSSFontFaceRule(const DOM::CSSFontFaceRule&)
	{7, 27, 389, 1, 0, 20, 2},	//57 DOM::CSSFontFaceRule::CSSFontFaceRule(const DOM::CSSRule&)
	{7, 27, 67, 1, 0, 20, 3},	//58 DOM::CSSFontFaceRule::CSSFontFaceRule(DOM::CSSFontFaceRuleImpl*)
	{7, 1162, 379, 1, 0, 19, 4},	//59 DOM::CSSFontFaceRule::operator=(const DOM::CSSFontFaceRule&)
	{7, 1162, 389, 1, 0, 19, 5},	//60 DOM::CSSFontFaceRule::operator=(const DOM::CSSRule&)
	{7, 1931, 0, 0, Smoke::mf_dtor, 0, 7},	//61 DOM::CSSFontFaceRule::~CSSFontFaceRule()
	{7, 1813, 0, 0, Smoke::mf_const, 45, 6},	//62 DOM::CSSFontFaceRule::style() const
	{8, 30, 0, 0, 0, 23, 0},	//63 DOM::CSSImportRule::CSSImportRule()
	{8, 30, 381, 1, Smoke::mf_copyctor, 23, 1},	//64 DOM::CSSImportRule::CSSImportRule(const DOM::CSSImportRule&)
	{8, 30, 389, 1, 0, 23, 2},	//65 DOM::CSSImportRule::CSSImportRule(const DOM::CSSRule&)
	{8, 30, 89, 1, 0, 23, 3},	//66 DOM::CSSImportRule::CSSImportRule(DOM::CSSImportRuleImpl*)
	{8, 1162, 381, 1, 0, 22, 4},	//67 DOM::CSSImportRule::operator=(const DOM::CSSImportRule&)
	{8, 1162, 389, 1, 0, 22, 5},	//68 DOM::CSSImportRule::operator=(const DOM::CSSRule&)
	{8, 1932, 0, 0, Smoke::mf_dtor, 0, 9},	//69 DOM::CSSImportRule::~CSSImportRule()
	{8, 935, 0, 0, Smoke::mf_const, 86, 6},	//70 DOM::CSSImportRule::href() const
	{8, 1095, 0, 0, Smoke::mf_const, 306, 7},	//71 DOM::CSSImportRule::media() const
	{8, 1816, 0, 0, Smoke::mf_const, 52, 8},	//72 DOM::CSSImportRule::styleSheet() const
	{9, 33, 0, 0, 0, 26, 0},	//73 DOM::CSSMediaRule::CSSMediaRule()
	{9, 33, 383, 1, Smoke::mf_copyctor, 26, 1},	//74 DOM::CSSMediaRule::CSSMediaRule(const DOM::CSSMediaRule&)
	{9, 33, 389, 1, 0, 26, 2},	//75 DOM::CSSMediaRule::CSSMediaRule(const DOM::CSSRule&)
	{9, 33, 107, 1, 0, 26, 3},	//76 DOM::CSSMediaRule::CSSMediaRule(DOM::CSSMediaRuleImpl*)
	{9, 1162, 383, 1, 0, 25, 4},	//77 DOM::CSSMediaRule::operator=(const DOM::CSSMediaRule&)
	{9, 1162, 389, 1, 0, 25, 5},	//78 DOM::CSSMediaRule::operator=(const DOM::CSSRule&)
	{9, 1933, 0, 0, Smoke::mf_dtor, 0, 10},	//79 DOM::CSSMediaRule::~CSSMediaRule()
	{9, 1095, 0, 0, Smoke::mf_const, 306, 6},	//80 DOM::CSSMediaRule::media() const
	{9, 708, 0, 0, Smoke::mf_const, 41, 7},	//81 DOM::CSSMediaRule::cssRules() const
	{9, 986, 494, 2, 0, 885, 8},	//82 DOM::CSSMediaRule::insertRule(const DOM::DOMString&, unsigned long)
	{9, 739, 928, 1, 0, 0, 9},	//83 DOM::CSSMediaRule::deleteRule(unsigned long)
	{10, 36, 0, 0, 0, 29, 0},	//84 DOM::CSSPageRule::CSSPageRule()
	{10, 36, 385, 1, Smoke::mf_copyctor, 29, 1},	//85 DOM::CSSPageRule::CSSPageRule(const DOM::CSSPageRule&)
	{10, 36, 389, 1, 0, 29, 2},	//86 DOM::CSSPageRule::CSSPageRule(const DOM::CSSRule&)
	{10, 36, 127, 1, 0, 29, 3},	//87 DOM::CSSPageRule::CSSPageRule(DOM::CSSPageRuleImpl*)
	{10, 1162, 385, 1, 0, 28, 4},	//88 DOM::CSSPageRule::operator=(const DOM::CSSPageRule&)
	{10, 1162, 389, 1, 0, 28, 5},	//89 DOM::CSSPageRule::operator=(const DOM::CSSRule&)
	{10, 1934, 0, 0, Smoke::mf_dtor, 0, 9},	//90 DOM::CSSPageRule::~CSSPageRule()
	{10, 1323, 0, 0, Smoke::mf_const, 86, 6},	//91 DOM::CSSPageRule::selectorText() const
	{10, 1657, 422, 1, 0, 0, 7},	//92 DOM::CSSPageRule::setSelectorText(const DOM::DOMString&)
	{10, 1813, 0, 0, Smoke::mf_const, 45, 8},	//93 DOM::CSSPageRule::style() const
	{11, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 0},	//94 DOM::CSSPrimitiveValue::CSS_UNKNOWN (enum)
	{11, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 1},	//95 DOM::CSSPrimitiveValue::CSS_NUMBER (enum)
	{11, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 2},	//96 DOM::CSSPrimitiveValue::CSS_PERCENTAGE (enum)
	{11, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 3},	//97 DOM::CSSPrimitiveValue::CSS_EMS (enum)
	{11, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 4},	//98 DOM::CSSPrimitiveValue::CSS_EXS (enum)
	{11, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 5},	//99 DOM::CSSPrimitiveValue::CSS_PX (enum)
	{11, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 6},	//100 DOM::CSSPrimitiveValue::CSS_CM (enum)
	{11, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 7},	//101 DOM::CSSPrimitiveValue::CSS_MM (enum)
	{11, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 8},	//102 DOM::CSSPrimitiveValue::CSS_IN (enum)
	{11, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 9},	//103 DOM::CSSPrimitiveValue::CSS_PT (enum)
	{11, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 10},	//104 DOM::CSSPrimitiveValue::CSS_PC (enum)
	{11, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 11},	//105 DOM::CSSPrimitiveValue::CSS_DEG (enum)
	{11, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 12},	//106 DOM::CSSPrimitiveValue::CSS_RAD (enum)
	{11, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 13},	//107 DOM::CSSPrimitiveValue::CSS_GRAD (enum)
	{11, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 14},	//108 DOM::CSSPrimitiveValue::CSS_MS (enum)
	{11, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 15},	//109 DOM::CSSPrimitiveValue::CSS_S (enum)
	{11, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 16},	//110 DOM::CSSPrimitiveValue::CSS_HZ (enum)
	{11, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 17},	//111 DOM::CSSPrimitiveValue::CSS_KHZ (enum)
	{11, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 18},	//112 DOM::CSSPrimitiveValue::CSS_DIMENSION (enum)
	{11, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 19},	//113 DOM::CSSPrimitiveValue::CSS_STRING (enum)
	{11, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 20},	//114 DOM::CSSPrimitiveValue::CSS_URI (enum)
	{11, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 21},	//115 DOM::CSSPrimitiveValue::CSS_IDENT (enum)
	{11, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 22},	//116 DOM::CSSPrimitiveValue::CSS_ATTR (enum)
	{11, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 23},	//117 DOM::CSSPrimitiveValue::CSS_COUNTER (enum)
	{11, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 24},	//118 DOM::CSSPrimitiveValue::CSS_RECT (enum)
	{11, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 25},	//119 DOM::CSSPrimitiveValue::CSS_RGBCOLOR (enum)
	{11, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 26},	//120 DOM::CSSPrimitiveValue::CSS_DPI (enum)
	{11, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 27},	//121 DOM::CSSPrimitiveValue::CSS_DPCM (enum)
	{11, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 28},	//122 DOM::CSSPrimitiveValue::CSS_PAIR (enum)
	{11, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 29},	//123 DOM::CSSPrimitiveValue::CSS_HTML_RELATIVE (enum)
	{11, 39, 0, 0, 0, 33, 30},	//124 DOM::CSSPrimitiveValue::CSSPrimitiveValue()
	{11, 39, 387, 1, Smoke::mf_copyctor, 33, 31},	//125 DOM::CSSPrimitiveValue::CSSPrimitiveValue(const DOM::CSSPrimitiveValue&)
	{11, 39, 404, 1, 0, 33, 32},	//126 DOM::CSSPrimitiveValue::CSSPrimitiveValue(const DOM::CSSValue&)
	{11, 39, 169, 1, 0, 33, 33},	//127 DOM::CSSPrimitiveValue::CSSPrimitiveValue(DOM::CSSPrimitiveValueImpl*)
	{11, 1162, 387, 1, 0, 32, 34},	//128 DOM::CSSPrimitiveValue::operator=(const DOM::CSSPrimitiveValue&)
	{11, 1162, 404, 1, 0, 32, 35},	//129 DOM::CSSPrimitiveValue::operator=(const DOM::CSSValue&)
	{11, 1935, 0, 0, Smoke::mf_dtor, 0, 44},	//130 DOM::CSSPrimitiveValue::~CSSPrimitiveValue()
	{11, 1216, 0, 0, Smoke::mf_const, 886, 36},	//131 DOM::CSSPrimitiveValue::primitiveType() const
	{11, 1491, 935, 2, 0, 0, 37},	//132 DOM::CSSPrimitiveValue::setFloatValue(unsigned short, float)
	{11, 880, 930, 1, Smoke::mf_const, 869, 38},	//133 DOM::CSSPrimitiveValue::getFloatValue(unsigned short) const
	{11, 1689, 932, 2, 0, 0, 39},	//134 DOM::CSSPrimitiveValue::setStringValue(unsigned short, const DOM::DOMString&)
	{11, 903, 0, 0, Smoke::mf_const, 86, 40},	//135 DOM::CSSPrimitiveValue::getStringValue() const
	{11, 869, 0, 0, Smoke::mf_const, 74, 41},	//136 DOM::CSSPrimitiveValue::getCounterValue() const
	{11, 901, 0, 0, Smoke::mf_const, 357, 42},	//137 DOM::CSSPrimitiveValue::getRectValue() const
	{11, 899, 0, 0, Smoke::mf_const, 346, 43},	//138 DOM::CSSPrimitiveValue::getRGBColorValue() const
	{12, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 0},	//139 DOM::CSSRule::UNKNOWN_RULE (enum)
	{12, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 1},	//140 DOM::CSSRule::STYLE_RULE (enum)
	{12, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 2},	//141 DOM::CSSRule::CHARSET_RULE (enum)
	{12, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 3},	//142 DOM::CSSRule::IMPORT_RULE (enum)
	{12, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 4},	//143 DOM::CSSRule::MEDIA_RULE (enum)
	{12, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 5},	//144 DOM::CSSRule::FONT_FACE_RULE (enum)
	{12, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 6},	//145 DOM::CSSRule::PAGE_RULE (enum)
	{12, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 7},	//146 DOM::CSSRule::QUIRKS_RULE (enum)
	{12, 42, 0, 0, 0, 38, 8},	//147 DOM::CSSRule::CSSRule()
	{12, 42, 389, 1, Smoke::mf_copyctor, 38, 9},	//148 DOM::CSSRule::CSSRule(const DOM::CSSRule&)
	{12, 42, 197, 1, 0, 38, 10},	//149 DOM::CSSRule::CSSRule(DOM::CSSRuleImpl*)
	{12, 1162, 389, 1, 0, 37, 11},	//150 DOM::CSSRule::operator=(const DOM::CSSRule&)
	{12, 1936, 0, 0, Smoke::mf_dtor, 0, 19},	//151 DOM::CSSRule::~CSSRule()
	{12, 1858, 0, 0, Smoke::mf_const, 886, 12},	//152 DOM::CSSRule::type() const
	{12, 709, 0, 0, Smoke::mf_const, 86, 13},	//153 DOM::CSSRule::cssText() const
	{12, 1438, 422, 1, 0, 0, 14},	//154 DOM::CSSRule::setCssText(const DOM::DOMString&)
	{12, 1190, 0, 0, Smoke::mf_const, 52, 15},	//155 DOM::CSSRule::parentStyleSheet() const
	{12, 1189, 0, 0, Smoke::mf_const, 36, 16},	//156 DOM::CSSRule::parentRule() const
	{12, 1016, 0, 0, Smoke::mf_const, 705, 17},	//157 DOM::CSSRule::isNull() const
	{12, 557, 391, 2, Smoke::mf_protected, 0, 18},	//158 DOM::CSSRule::assignOther(const DOM::CSSRule&, DOM::CSSRule::RuleType)
	{13, 45, 0, 0, 0, 43, 0},	//159 DOM::CSSRuleList::CSSRuleList()
	{13, 45, 394, 1, Smoke::mf_copyctor, 43, 1},	//160 DOM::CSSRuleList::CSSRuleList(const DOM::CSSRuleList&)
	{13, 45, 223, 1, 0, 43, 2},	//161 DOM::CSSRuleList::CSSRuleList(DOM::CSSRuleListImpl*)
	{13, 45, 178, 1, 0, 43, 3},	//162 DOM::CSSRuleList::CSSRuleList(DOM::StyleListImpl*)
	{13, 1162, 394, 1, 0, 42, 4},	//163 DOM::CSSRuleList::operator=(const DOM::CSSRuleList&)
	{13, 1937, 0, 0, Smoke::mf_dtor, 0, 8},	//164 DOM::CSSRuleList::~CSSRuleList()
	{13, 1074, 0, 0, Smoke::mf_const, 885, 5},	//165 DOM::CSSRuleList::length() const
	{13, 1026, 928, 1, 0, 36, 6},	//166 DOM::CSSRuleList::item(unsigned long)
	{13, 1016, 0, 0, Smoke::mf_const, 705, 7},	//167 DOM::CSSRuleList::isNull() const
	{14, 48, 0, 0, 0, 47, 0},	//168 DOM::CSSStyleDeclaration::CSSStyleDeclaration()
	{14, 48, 396, 1, Smoke::mf_copyctor, 47, 1},	//169 DOM::CSSStyleDeclaration::CSSStyleDeclaration(const DOM::CSSStyleDeclaration&)
	{14, 48, 246, 1, 0, 47, 2},	//170 DOM::CSSStyleDeclaration::CSSStyleDeclaration(DOM::CSSStyleDeclarationImpl*)
	{14, 1162, 396, 1, 0, 46, 3},	//171 DOM::CSSStyleDeclaration::operator=(const DOM::CSSStyleDeclaration&)
	{14, 1938, 0, 0, Smoke::mf_dtor, 0, 15},	//172 DOM::CSSStyleDeclaration::~CSSStyleDeclaration()
	{14, 709, 0, 0, Smoke::mf_const, 86, 4},	//173 DOM::CSSStyleDeclaration::cssText() const
	{14, 1438, 422, 1, 0, 0, 5},	//174 DOM::CSSStyleDeclaration::setCssText(const DOM::DOMString&)
	{14, 1074, 0, 0, Smoke::mf_const, 885, 6},	//175 DOM::CSSStyleDeclaration::length() const
	{14, 1189, 0, 0, Smoke::mf_const, 36, 7},	//176 DOM::CSSStyleDeclaration::parentRule() const
	{14, 897, 422, 1, Smoke::mf_const, 86, 8},	//177 DOM::CSSStyleDeclaration::getPropertyValue(const DOM::DOMString&) const
	{14, 893, 422, 1, Smoke::mf_const, 59, 9},	//178 DOM::CSSStyleDeclaration::getPropertyCSSValue(const DOM::DOMString&) const
	{14, 1263, 422, 1, 0, 86, 10},	//179 DOM::CSSStyleDeclaration::removeProperty(const DOM::DOMString&)
	{14, 895, 422, 1, Smoke::mf_const, 86, 11},	//180 DOM::CSSStyleDeclaration::getPropertyPriority(const DOM::DOMString&) const
	{14, 1616, 480, 3, 0, 0, 12},	//181 DOM::CSSStyleDeclaration::setProperty(const DOM::DOMString&, const DOM::DOMString&, const DOM::DOMString&)
	{14, 1026, 928, 1, 0, 86, 13},	//182 DOM::CSSStyleDeclaration::item(unsigned long)
	{14, 1016, 0, 0, Smoke::mf_const, 705, 14},	//183 DOM::CSSStyleDeclaration::isNull() const
	{15, 51, 0, 0, 0, 50, 0},	//184 DOM::CSSStyleRule::CSSStyleRule()
	{15, 51, 398, 1, Smoke::mf_copyctor, 50, 1},	//185 DOM::CSSStyleRule::CSSStyleRule(const DOM::CSSStyleRule&)
	{15, 51, 389, 1, 0, 50, 2},	//186 DOM::CSSStyleRule::CSSStyleRule(const DOM::CSSRule&)
	{15, 51, 250, 1, 0, 50, 3},	//187 DOM::CSSStyleRule::CSSStyleRule(DOM::CSSStyleRuleImpl*)
	{15, 1162, 398, 1, 0, 49, 4},	//188 DOM::CSSStyleRule::operator=(const DOM::CSSStyleRule&)
	{15, 1162, 389, 1, 0, 49, 5},	//189 DOM::CSSStyleRule::operator=(const DOM::CSSRule&)
	{15, 1939, 0, 0, Smoke::mf_dtor, 0, 9},	//190 DOM::CSSStyleRule::~CSSStyleRule()
	{15, 1323, 0, 0, Smoke::mf_const, 86, 6},	//191 DOM::CSSStyleRule::selectorText() const
	{15, 1657, 422, 1, 0, 0, 7},	//192 DOM::CSSStyleRule::setSelectorText(const DOM::DOMString&)
	{15, 1813, 0, 0, Smoke::mf_const, 45, 8},	//193 DOM::CSSStyleRule::style() const
	{16, 54, 0, 0, 0, 54, 0},	//194 DOM::CSSStyleSheet::CSSStyleSheet()
	{16, 54, 400, 1, Smoke::mf_copyctor, 54, 1},	//195 DOM::CSSStyleSheet::CSSStyleSheet(const DOM::CSSStyleSheet&)
	{16, 54, 703, 1, 0, 54, 2},	//196 DOM::CSSStyleSheet::CSSStyleSheet(const DOM::StyleSheet&)
	{16, 54, 272, 1, 0, 54, 3},	//197 DOM::CSSStyleSheet::CSSStyleSheet(DOM::CSSStyleSheetImpl*)
	{16, 1162, 400, 1, 0, 53, 4},	//198 DOM::CSSStyleSheet::operator=(const DOM::CSSStyleSheet&)
	{16, 1162, 703, 1, 0, 53, 5},	//199 DOM::CSSStyleSheet::operator=(const DOM::StyleSheet&)
	{16, 1940, 0, 0, Smoke::mf_dtor, 0, 10},	//200 DOM::CSSStyleSheet::~CSSStyleSheet()
	{16, 1174, 0, 0, Smoke::mf_const, 36, 6},	//201 DOM::CSSStyleSheet::ownerRule() const
	{16, 708, 0, 0, Smoke::mf_const, 41, 7},	//202 DOM::CSSStyleSheet::cssRules() const
	{16, 986, 494, 2, 0, 885, 8},	//203 DOM::CSSStyleSheet::insertRule(const DOM::DOMString&, unsigned long)
	{16, 739, 928, 1, 0, 0, 9},	//204 DOM::CSSStyleSheet::deleteRule(unsigned long)
	{17, 57, 0, 0, 0, 57, 0},	//205 DOM::CSSUnknownRule::CSSUnknownRule()
	{17, 57, 402, 1, Smoke::mf_copyctor, 57, 1},	//206 DOM::CSSUnknownRule::CSSUnknownRule(const DOM::CSSUnknownRule&)
	{17, 57, 389, 1, 0, 57, 2},	//207 DOM::CSSUnknownRule::CSSUnknownRule(const DOM::CSSRule&)
	{17, 57, 313, 1, 0, 57, 3},	//208 DOM::CSSUnknownRule::CSSUnknownRule(DOM::CSSUnknownRuleImpl*)
	{17, 1162, 402, 1, 0, 56, 4},	//209 DOM::CSSUnknownRule::operator=(const DOM::CSSUnknownRule&)
	{17, 1162, 389, 1, 0, 56, 5},	//210 DOM::CSSUnknownRule::operator=(const DOM::CSSRule&)
	{17, 1941, 0, 0, Smoke::mf_dtor, 0, 6},	//211 DOM::CSSUnknownRule::~CSSUnknownRule()
	{18, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 0},	//212 DOM::CSSValue::CSS_INHERIT (enum)
	{18, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 1},	//213 DOM::CSSValue::CSS_PRIMITIVE_VALUE (enum)
	{18, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 2},	//214 DOM::CSSValue::CSS_VALUE_LIST (enum)
	{18, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 3},	//215 DOM::CSSValue::CSS_CUSTOM (enum)
	{18, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 4},	//216 DOM::CSSValue::CSS_INITIAL (enum)
	{18, 60, 0, 0, 0, 61, 5},	//217 DOM::CSSValue::CSSValue()
	{18, 60, 404, 1, Smoke::mf_copyctor, 61, 6},	//218 DOM::CSSValue::CSSValue(const DOM::CSSValue&)
	{18, 60, 352, 1, 0, 61, 7},	//219 DOM::CSSValue::CSSValue(DOM::CSSValueImpl*)
	{18, 1162, 404, 1, 0, 60, 8},	//220 DOM::CSSValue::operator=(const DOM::CSSValue&)
	{18, 1942, 0, 0, Smoke::mf_dtor, 0, 15},	//221 DOM::CSSValue::~CSSValue()
	{18, 709, 0, 0, Smoke::mf_const, 86, 9},	//222 DOM::CSSValue::cssText() const
	{18, 1438, 422, 1, 0, 0, 10},	//223 DOM::CSSValue::setCssText(const DOM::DOMString&)
	{18, 710, 0, 0, Smoke::mf_const, 886, 11},	//224 DOM::CSSValue::cssValueType() const
	{18, 996, 0, 0, Smoke::mf_const, 705, 12},	//225 DOM::CSSValue::isCSSValueList() const
	{18, 994, 0, 0, Smoke::mf_const, 705, 13},	//226 DOM::CSSValue::isCSSPrimitiveValue() const
	{18, 1016, 0, 0, Smoke::mf_const, 705, 14},	//227 DOM::CSSValue::isNull() const
	{19, 63, 0, 0, 0, 65, 0},	//228 DOM::CSSValueList::CSSValueList()
	{19, 63, 406, 1, Smoke::mf_copyctor, 65, 1},	//229 DOM::CSSValueList::CSSValueList(const DOM::CSSValueList&)
	{19, 63, 404, 1, 0, 65, 2},	//230 DOM::CSSValueList::CSSValueList(const DOM::CSSValue&)
	{19, 63, 354, 1, 0, 65, 3},	//231 DOM::CSSValueList::CSSValueList(DOM::CSSValueListImpl*)
	{19, 1162, 406, 1, 0, 64, 4},	//232 DOM::CSSValueList::operator=(const DOM::CSSValueList&)
	{19, 1162, 404, 1, 0, 64, 5},	//233 DOM::CSSValueList::operator=(const DOM::CSSValue&)
	{19, 1943, 0, 0, Smoke::mf_dtor, 0, 8},	//234 DOM::CSSValueList::~CSSValueList()
	{19, 1074, 0, 0, Smoke::mf_const, 885, 6},	//235 DOM::CSSValueList::length() const
	{19, 1026, 928, 1, 0, 59, 7},	//236 DOM::CSSValueList::item(unsigned long)
	{20, 104, 0, 0, 0, 68, 0},	//237 DOM::CharacterData::CharacterData()
	{20, 104, 408, 1, Smoke::mf_copyctor, 68, 1},	//238 DOM::CharacterData::CharacterData(const DOM::CharacterData&)
	{20, 104, 666, 1, 0, 68, 2},	//239 DOM::CharacterData::CharacterData(const DOM::Node&)
	{20, 1162, 666, 1, 0, 67, 3},	//240 DOM::CharacterData::operator=(const DOM::Node&)
	{20, 1162, 408, 1, 0, 67, 4},	//241 DOM::CharacterData::operator=(const DOM::CharacterData&)
	{20, 1944, 0, 0, Smoke::mf_dtor, 0, 14},	//242 DOM::CharacterData::~CharacterData()
	{20, 720, 0, 0, Smoke::mf_const, 86, 5},	//243 DOM::CharacterData::data() const
	{20, 1449, 422, 1, 0, 0, 6},	//244 DOM::CharacterData::setData(const DOM::DOMString&)
	{20, 1074, 0, 0, Smoke::mf_const, 885, 7},	//245 DOM::CharacterData::length() const
	{20, 1823, 871, 2, 0, 86, 8},	//246 DOM::CharacterData::substringData(const unsigned long, const unsigned long)
	{20, 548, 422, 1, 0, 0, 9},	//247 DOM::CharacterData::appendData(const DOM::DOMString&)
	{20, 980, 868, 2, 0, 0, 10},	//248 DOM::CharacterData::insertData(const unsigned long, const DOM::DOMString&)
	{20, 732, 871, 2, 0, 0, 11},	//249 DOM::CharacterData::deleteData(const unsigned long, const unsigned long)
	{20, 1273, 874, 3, 0, 0, 12},	//250 DOM::CharacterData::replaceData(const unsigned long, const unsigned long, const DOM::DOMString&)
	{20, 104, 360, 1, Smoke::mf_protected, 68, 13},	//251 DOM::CharacterData::CharacterData(DOM::CharacterDataImpl*)
	{21, 107, 0, 0, 0, 72, 0},	//252 DOM::Comment::Comment()
	{21, 107, 410, 1, Smoke::mf_copyctor, 72, 1},	//253 DOM::Comment::Comment(const DOM::Comment&)
	{21, 107, 666, 1, 0, 72, 2},	//254 DOM::Comment::Comment(const DOM::Node&)
	{21, 1162, 666, 1, 0, 71, 3},	//255 DOM::Comment::operator=(const DOM::Node&)
	{21, 1162, 410, 1, 0, 71, 4},	//256 DOM::Comment::operator=(const DOM::Comment&)
	{21, 1945, 0, 0, Smoke::mf_dtor, 0, 6},	//257 DOM::Comment::~Comment()
	{21, 107, 418, 1, Smoke::mf_protected, 72, 5},	//258 DOM::Comment::Comment(DOM::CommentImpl*)
	{22, 110, 0, 0, 0, 76, 0},	//259 DOM::Counter::Counter()
	{22, 110, 412, 1, Smoke::mf_copyctor, 76, 1},	//260 DOM::Counter::Counter(const DOM::Counter&)
	{22, 1162, 412, 1, 0, 75, 2},	//261 DOM::Counter::operator=(const DOM::Counter&)
	{22, 1946, 0, 0, Smoke::mf_dtor, 0, 8},	//262 DOM::Counter::~Counter()
	{22, 945, 0, 0, Smoke::mf_const, 86, 3},	//263 DOM::Counter::identifier() const
	{22, 1078, 0, 0, Smoke::mf_const, 86, 4},	//264 DOM::Counter::listStyle() const
	{22, 1324, 0, 0, Smoke::mf_const, 86, 5},	//265 DOM::Counter::separator() const
	{22, 1016, 0, 0, Smoke::mf_const, 705, 6},	//266 DOM::Counter::isNull() const
	{22, 110, 579, 1, Smoke::mf_protected, 76, 7},	//267 DOM::Counter::Counter(DOM::CounterImpl*)
	{23, 113, 0, 0, 0, 78, 0},	//268 DOM::CustomNodeFilter::CustomNodeFilter()
	{23, 1947, 0, 0, Smoke::mf_dtor, 0, 5},	//269 DOM::CustomNodeFilter::~CustomNodeFilter()
	{23, 516, 666, 1, 0, 882, 1},	//270 DOM::CustomNodeFilter::acceptNode(const DOM::Node&)
	{23, 1016, 0, 0, 0, 705, 2},	//271 DOM::CustomNodeFilter::isNull()
	{23, 719, 0, 0, 0, 86, 3},	//272 DOM::CustomNodeFilter::customNodeFilterType()
	{23, 113, 414, 1, Smoke::mf_copyctor|Smoke::mf_internal, 78, 4},	//273 DOM::CustomNodeFilter::CustomNodeFilter(const DOM::CustomNodeFilter&)
	{24, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 0},	//274 DOM::DOMException::INDEX_SIZE_ERR (enum)
	{24, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 1},	//275 DOM::DOMException::DOMSTRING_SIZE_ERR (enum)
	{24, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 2},	//276 DOM::DOMException::HIERARCHY_REQUEST_ERR (enum)
	{24, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 3},	//277 DOM::DOMException::WRONG_DOCUMENT_ERR (enum)
	{24, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 4},	//278 DOM::DOMException::INVALID_CHARACTER_ERR (enum)
	{24, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 5},	//279 DOM::DOMException::NO_DATA_ALLOWED_ERR (enum)
	{24, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 6},	//280 DOM::DOMException::NO_MODIFICATION_ALLOWED_ERR (enum)
	{24, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 7},	//281 DOM::DOMException::NOT_FOUND_ERR (enum)
	{24, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 8},	//282 DOM::DOMException::NOT_SUPPORTED_ERR (enum)
	{24, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 9},	//283 DOM::DOMException::INUSE_ATTRIBUTE_ERR (enum)
	{24, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 10},	//284 DOM::DOMException::INVALID_STATE_ERR (enum)
	{24, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 11},	//285 DOM::DOMException::SYNTAX_ERR (enum)
	{24, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 12},	//286 DOM::DOMException::INVALID_MODIFICATION_ERR (enum)
	{24, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 13},	//287 DOM::DOMException::NAMESPACE_ERR (enum)
	{24, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 14},	//288 DOM::DOMException::INVALID_ACCESS_ERR (enum)
	{24, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 15},	//289 DOM::DOMException::VALIDATION_ERR (enum)
	{24, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 16},	//290 DOM::DOMException::TYPE_MISMATCH_ERR (enum)
	{24, 118, 930, 1, 0, 80, 18},	//291 DOM::DOMException::DOMException(unsigned short)
	{24, 118, 416, 1, Smoke::mf_copyctor, 80, 19},	//292 DOM::DOMException::DOMException(const DOM::DOMException&)
	{24, 1162, 416, 1, 0, 79, 20},	//293 DOM::DOMException::operator=(const DOM::DOMException&)
	{24, 1948, 0, 0, Smoke::mf_dtor, 0, 22},	//294 DOM::DOMException::~DOMException()
	{24, 1409, 930, 1, 0, 0, 21},	//295 DOM::DOMException::setCode(unsigned short)
	{24, 628, 0, 0, 0, 886, 17},	//296 DOM::DOMException::code (var)
	{25, 121, 0, 0, 0, 84, 0},	//297 DOM::DOMImplementation::DOMImplementation()
	{25, 121, 420, 1, Smoke::mf_copyctor, 84, 1},	//298 DOM::DOMImplementation::DOMImplementation(const DOM::DOMImplementation&)
	{25, 1162, 420, 1, 0, 83, 2},	//299 DOM::DOMImplementation::operator=(const DOM::DOMImplementation&)
	{25, 1949, 0, 0, Smoke::mf_dtor, 0, 11},	//300 DOM::DOMImplementation::~DOMImplementation()
	{25, 918, 477, 2, 0, 705, 3},	//301 DOM::DOMImplementation::hasFeature(const DOM::DOMString&, const DOM::DOMString&)
	{25, 683, 480, 3, 0, 101, 4},	//302 DOM::DOMImplementation::createDocumentType(const DOM::DOMString&, const DOM::DOMString&, const DOM::DOMString&)
	{25, 680, 484, 3, 0, 91, 5},	//303 DOM::DOMImplementation::createDocument(const DOM::DOMString&, const DOM::DOMString&, const DOM::DocumentType&)
	{25, 883, 422, 1, Smoke::mf_const, 82, 6},	//304 DOM::DOMImplementation::getInterface(const DOM::DOMString&) const
	{25, 671, 477, 2, 0, 52, 7},	//305 DOM::DOMImplementation::createCSSStyleSheet(const DOM::DOMString&, const DOM::DOMString&)
	{25, 693, 422, 1, 0, 166, 8},	//306 DOM::DOMImplementation::createHTMLDocument(const DOM::DOMString&)
	{25, 1016, 0, 0, Smoke::mf_const, 705, 9},	//307 DOM::DOMImplementation::isNull() const
	{25, 121, 766, 1, Smoke::mf_protected, 84, 10},	//308 DOM::DOMImplementation::DOMImplementation(DOM::DOMImplementationImpl*)
	{26, 125, 0, 0, 0, 88, 0},	//309 DOM::DOMString::DOMString()
	{26, 125, 747, 2, 0, 88, 1},	//310 DOM::DOMString::DOMString(const QChar*, uint)
	{26, 125, 787, 1, 0, 88, 2},	//311 DOM::DOMString::DOMString(const QString&)
	{26, 125, 843, 1, 0, 88, 3},	//312 DOM::DOMString::DOMString(const char*)
	{26, 125, 938, 1, 0, 88, 4},	//313 DOM::DOMString::DOMString(DOM::DOMStringImpl*)
	{26, 1950, 0, 0, Smoke::mf_dtor, 0, 34},	//314 DOM::DOMString::~DOMString()
	{26, 125, 422, 1, Smoke::mf_copyctor, 88, 5},	//315 DOM::DOMString::DOMString(const DOM::DOMString&)
	{26, 1162, 422, 1, 0, 87, 6},	//316 DOM::DOMString::operator=(const DOM::DOMString&)
	{26, 1160, 422, 1, 0, 87, 7},	//317 DOM::DOMString::operator+=(const DOM::DOMString&)
	{26, 1158, 422, 1, 0, 86, 8},	//318 DOM::DOMString::operator+(const DOM::DOMString&)
	{26, 974, 784, 2, 0, 0, 9},	//319 DOM::DOMString::insert(DOM::DOMString, uint)
	{26, 1168, 923, 1, Smoke::mf_const, 837, 10},	//320 DOM::DOMString::operator[](unsigned int) const
	{26, 810, 744, 2, Smoke::mf_const, 870, 11},	//321 DOM::DOMString::find(const QChar, int) const
	{26, 810, 742, 1, Smoke::mf_const, 870, 12},	//322 DOM::DOMString::find(const QChar) const
	{26, 1074, 0, 0, Smoke::mf_const, 883, 13},	//323 DOM::DOMString::length() const
	{26, 1856, 923, 1, 0, 0, 14},	//324 DOM::DOMString::truncate(unsigned int)
	{26, 1244, 925, 2, 0, 0, 15},	//325 DOM::DOMString::remove(unsigned int, int)
	{26, 1244, 923, 1, 0, 0, 16},	//326 DOM::DOMString::remove(unsigned int)
	{26, 1783, 923, 1, 0, 86, 17},	//327 DOM::DOMString::split(unsigned int)
	{26, 1089, 0, 0, Smoke::mf_const, 86, 18},	//328 DOM::DOMString::lower() const
	{26, 1866, 0, 0, Smoke::mf_const, 86, 19},	//329 DOM::DOMString::upper() const
	{26, 1861, 0, 0, Smoke::mf_const, 505, 20},	//330 DOM::DOMString::unicode() const
	{26, 605, 0, 0, Smoke::mf_const, 505, 21},	//331 DOM::DOMString::characters() const
	{26, 1812, 0, 0, Smoke::mf_const, 593, 22},	//332 DOM::DOMString::string() const
	{26, 1851, 0, 0, Smoke::mf_const, 870, 23},	//333 DOM::DOMString::toInt() const
	{26, 1851, 367, 1, Smoke::mf_const, 870, 24},	//334 DOM::DOMString::toInt(bool*) const
	{26, 1848, 367, 1, Smoke::mf_const, 869, 25},	//335 DOM::DOMString::toFloat(bool*) const
	{26, 1848, 0, 0, Smoke::mf_const, 869, 26},	//336 DOM::DOMString::toFloat() const
	{26, 1198, 906, 1, Smoke::mf_const, 705, 27},	//337 DOM::DOMString::percentage(int&) const
	{26, 664, 0, 0, Smoke::mf_const, 86, 28},	//338 DOM::DOMString::copy() const
	{26, 1016, 0, 0, Smoke::mf_const, 705, 29},	//339 DOM::DOMString::isNull() const
	{26, 1001, 0, 0, Smoke::mf_const, 705, 30},	//340 DOM::DOMString::isEmpty() const
	{26, 788, 422, 1, Smoke::mf_const, 705, 31},	//341 DOM::DOMString::endsWith(const DOM::DOMString&) const
	{26, 947, 0, 0, Smoke::mf_const, 89, 32},	//342 DOM::DOMString::implementation() const
	{26, 1142, 878, 1, Smoke::mf_static, 86, 33},	//343 DOM::DOMString::number(float)
	{27, 136, 0, 0, 0, 93, 0},	//344 DOM::Document::Document()
	{27, 136, 362, 1, 0, 93, 1},	//345 DOM::Document::Document(bool)
	{27, 136, 499, 1, Smoke::mf_copyctor, 93, 2},	//346 DOM::Document::Document(const DOM::Document&)
	{27, 136, 666, 1, 0, 93, 3},	//347 DOM::Document::Document(const DOM::Node&)
	{27, 1162, 666, 1, 0, 92, 4},	//348 DOM::Document::operator=(const DOM::Node&)
	{27, 1162, 499, 1, 0, 92, 5},	//349 DOM::Document::operator=(const DOM::Document&)
	{27, 1951, 0, 0, Smoke::mf_dtor, 0, 55},	//350 DOM::Document::~Document()
	{27, 762, 0, 0, Smoke::mf_const, 101, 6},	//351 DOM::Document::doctype() const
	{27, 947, 0, 0, Smoke::mf_const, 82, 7},	//352 DOM::Document::implementation() const
	{27, 764, 0, 0, Smoke::mf_const, 107, 8},	//353 DOM::Document::documentElement() const
	{27, 685, 422, 1, 0, 107, 9},	//354 DOM::Document::createElement(const DOM::DOMString&)
	{27, 687, 477, 2, 0, 107, 10},	//355 DOM::Document::createElementNS(const DOM::DOMString&, const DOM::DOMString&)
	{27, 682, 0, 0, 0, 94, 11},	//356 DOM::Document::createDocumentFragment()
	{27, 704, 422, 1, 0, 370, 12},	//357 DOM::Document::createTextNode(const DOM::DOMString&)
	{27, 674, 422, 1, 0, 70, 13},	//358 DOM::Document::createComment(const DOM::DOMString&)
	{27, 669, 422, 1, 0, 9, 14},	//359 DOM::Document::createCDATASection(const DOM::DOMString&)
	{27, 699, 477, 2, 0, 342, 15},	//360 DOM::Document::createProcessingInstruction(const DOM::DOMString&, const DOM::DOMString&)
	{27, 665, 422, 1, 0, 5, 16},	//361 DOM::Document::createAttribute(const DOM::DOMString&)
	{27, 667, 477, 2, 0, 5, 17},	//362 DOM::Document::createAttributeNS(const DOM::DOMString&, const DOM::DOMString&)
	{27, 689, 422, 1, 0, 114, 18},	//363 DOM::Document::createEntityReference(const DOM::DOMString&)
	{27, 870, 422, 1, Smoke::mf_const, 107, 19},	//364 DOM::Document::getElementById(const DOM::DOMString&) const
	{27, 876, 422, 1, 0, 336, 20},	//365 DOM::Document::getElementsByTagName(const DOM::DOMString&)
	{27, 878, 477, 2, 0, 336, 21},	//366 DOM::Document::getElementsByTagNameNS(const DOM::DOMString&, const DOM::DOMString&)
	{27, 872, 422, 1, 0, 336, 22},	//367 DOM::Document::getElementsByClassName(const DOM::DOMString&)
	{27, 948, 668, 2, 0, 321, 23},	//368 DOM::Document::importNode(const DOM::Node&, bool)
	{27, 1003, 0, 0, Smoke::mf_const, 705, 24},	//369 DOM::Document::isHTMLDocument() const
	{27, 701, 0, 0, 0, 349, 25},	//370 DOM::Document::createRange()
	{27, 695, 146, 4, 0, 332, 26},	//371 DOM::Document::createNodeIterator(DOM::Node, unsigned long, DOM::NodeFilter, bool)
	{27, 706, 146, 4, 0, 376, 27},	//372 DOM::Document::createTreeWalker(DOM::Node, unsigned long, DOM::NodeFilter, bool)
	{27, 691, 422, 1, 0, 118, 28},	//373 DOM::Document::createEvent(const DOM::DOMString&)
	{27, 726, 0, 0, Smoke::mf_const, 1, 29},	//374 DOM::Document::defaultView() const
	{27, 1817, 0, 0, Smoke::mf_const, 366, 30},	//375 DOM::Document::styleSheets() const
	{27, 1205, 0, 0, 0, 86, 31},	//376 DOM::Document::preferredStylesheetSet()
	{27, 1315, 0, 0, 0, 86, 32},	//377 DOM::Document::selectedStylesheetSet()
	{27, 1647, 422, 1, 0, 0, 33},	//378 DOM::Document::setSelectedStylesheetSet(const DOM::DOMString&)
	{27, 536, 703, 1, 0, 0, 34},	//379 DOM::Document::addStyleSheet(const DOM::StyleSheet&)
	{27, 1265, 703, 1, 0, 0, 35},	//380 DOM::Document::removeStyleSheet(const DOM::StyleSheet&)
	{27, 1881, 0, 0, Smoke::mf_const, 422, 36},	//381 DOM::Document::view() const
	{27, 891, 511, 2, 0, 45, 37},	//382 DOM::Document::getOverrideStyle(const DOM::Element&, const DOM::DOMString&)
	{27, 559, 0, 0, Smoke::mf_const, 705, 38},	//383 DOM::Document::async() const
	{27, 1350, 362, 1, 0, 0, 39},	//384 DOM::Document::setAsync(bool)
	{27, 512, 0, 0, 0, 0, 40},	//385 DOM::Document::abort()
	{27, 1079, 422, 1, 0, 0, 41},	//386 DOM::Document::load(const DOM::DOMString&)
	{27, 1083, 422, 1, 0, 0, 42},	//387 DOM::Document::loadXML(const DOM::DOMString&)
	{27, 744, 0, 0, Smoke::mf_const, 705, 43},	//388 DOM::Document::designMode() const
	{27, 1463, 362, 1, 0, 0, 44},	//389 DOM::Document::setDesignMode(bool)
	{27, 641, 422, 1, 0, 86, 45},	//390 DOM::Document::completeURL(const DOM::DOMString&)
	{27, 1853, 0, 0, Smoke::mf_const, 86, 46},	//391 DOM::Document::toString() const
	{27, 800, 473, 3, 0, 705, 47},	//392 DOM::Document::execCommand(const DOM::DOMString&, bool, const DOM::DOMString&)
	{27, 1224, 422, 1, 0, 705, 48},	//393 DOM::Document::queryCommandEnabled(const DOM::DOMString&)
	{27, 1226, 422, 1, 0, 705, 49},	//394 DOM::Document::queryCommandIndeterm(const DOM::DOMString&)
	{27, 1228, 422, 1, 0, 705, 50},	//395 DOM::Document::queryCommandState(const DOM::DOMString&)
	{27, 1230, 422, 1, 0, 705, 51},	//396 DOM::Document::queryCommandSupported(const DOM::DOMString&)
	{27, 1232, 422, 1, 0, 86, 52},	//397 DOM::Document::queryCommandValue(const DOM::DOMString&)
	{27, 1865, 0, 0, 0, 0, 53},	//398 DOM::Document::updateRendering()
	{27, 136, 942, 1, 0, 93, 54},	//399 DOM::Document::Document(DOM::DocumentImpl*)
	{28, 140, 0, 0, 0, 96, 0},	//400 DOM::DocumentFragment::DocumentFragment()
	{28, 140, 501, 1, Smoke::mf_copyctor, 96, 1},	//401 DOM::DocumentFragment::DocumentFragment(const DOM::DocumentFragment&)
	{28, 140, 666, 1, 0, 96, 2},	//402 DOM::DocumentFragment::DocumentFragment(const DOM::Node&)
	{28, 1162, 666, 1, 0, 95, 3},	//403 DOM::DocumentFragment::operator=(const DOM::Node&)
	{28, 1162, 501, 1, 0, 95, 4},	//404 DOM::DocumentFragment::operator=(const DOM::DocumentFragment&)
	{28, 1952, 0, 0, Smoke::mf_dtor, 0, 6},	//405 DOM::DocumentFragment::~DocumentFragment()
	{28, 140, 940, 1, Smoke::mf_protected, 96, 5},	//406 DOM::DocumentFragment::DocumentFragment(DOM::DocumentFragmentImpl*)
	{29, 143, 0, 0, 0, 100, 0},	//407 DOM::DocumentStyle::DocumentStyle()
	{29, 143, 503, 1, Smoke::mf_copyctor, 100, 1},	//408 DOM::DocumentStyle::DocumentStyle(const DOM::DocumentStyle&)
	{29, 1162, 503, 1, 0, 99, 2},	//409 DOM::DocumentStyle::operator=(const DOM::DocumentStyle&)
	{29, 1162, 499, 1, 0, 99, 3},	//410 DOM::DocumentStyle::operator=(const DOM::Document&)
	{29, 1953, 0, 0, Smoke::mf_dtor, 0, 9},	//411 DOM::DocumentStyle::~DocumentStyle()
	{29, 1817, 0, 0, Smoke::mf_const, 366, 4},	//412 DOM::DocumentStyle::styleSheets() const
	{29, 1205, 0, 0, Smoke::mf_const, 86, 5},	//413 DOM::DocumentStyle::preferredStylesheetSet() const
	{29, 1315, 0, 0, Smoke::mf_const, 86, 6},	//414 DOM::DocumentStyle::selectedStylesheetSet() const
	{29, 1647, 422, 1, 0, 0, 7},	//415 DOM::DocumentStyle::setSelectedStylesheetSet(const DOM::DOMString&)
	{29, 1016, 0, 0, Smoke::mf_const, 705, 8},	//416 DOM::DocumentStyle::isNull() const
	{30, 145, 0, 0, 0, 103, 0},	//417 DOM::DocumentType::DocumentType()
	{30, 145, 505, 1, Smoke::mf_copyctor, 103, 1},	//418 DOM::DocumentType::DocumentType(const DOM::DocumentType&)
	{30, 145, 666, 1, 0, 103, 2},	//419 DOM::DocumentType::DocumentType(const DOM::Node&)
	{30, 1162, 666, 1, 0, 102, 3},	//420 DOM::DocumentType::operator=(const DOM::Node&)
	{30, 1162, 505, 1, 0, 102, 4},	//421 DOM::DocumentType::operator=(const DOM::DocumentType&)
	{30, 1954, 0, 0, Smoke::mf_dtor, 0, 12},	//422 DOM::DocumentType::~DocumentType()
	{30, 1117, 0, 0, Smoke::mf_const, 86, 5},	//423 DOM::DocumentType::name() const
	{30, 792, 0, 0, Smoke::mf_const, 317, 6},	//424 DOM::DocumentType::entities() const
	{30, 1141, 0, 0, Smoke::mf_const, 317, 7},	//425 DOM::DocumentType::notations() const
	{30, 1221, 0, 0, Smoke::mf_const, 86, 8},	//426 DOM::DocumentType::publicId() const
	{30, 1828, 0, 0, Smoke::mf_const, 86, 9},	//427 DOM::DocumentType::systemId() const
	{30, 988, 0, 0, Smoke::mf_const, 86, 10},	//428 DOM::DocumentType::internalSubset() const
	{30, 145, 1, 1, Smoke::mf_protected, 103, 11},	//429 DOM::DocumentType::DocumentType(DOM::DocumentTypeImpl*)
	{31, 148, 0, 0, 0, 105, 0},	//430 DOM::DomShared::DomShared()
	{31, 1955, 0, 0, Smoke::mf_dtor, 0, 7},	//431 DOM::DomShared::~DomShared()
	{31, 734, 0, 0, 0, 705, 1},	//432 DOM::DomShared::deleteMe()
	{31, 1238, 0, 0, 0, 0, 2},	//433 DOM::DomShared::ref()
	{31, 743, 0, 0, 0, 0, 3},	//434 DOM::DomShared::deref()
	{31, 920, 0, 0, Smoke::mf_const, 705, 4},	//435 DOM::DomShared::hasOneRef() const
	{31, 1239, 0, 0, Smoke::mf_const, 884, 5},	//436 DOM::DomShared::refCount() const
	{31, 148, 507, 1, Smoke::mf_copyctor|Smoke::mf_internal, 105, 6},	//437 DOM::DomShared::DomShared(const DOM::DomShared&)
	{32, 155, 0, 0, 0, 109, 0},	//438 DOM::Element::Element()
	{32, 155, 666, 1, 0, 109, 1},	//439 DOM::Element::Element(const DOM::Node&)
	{32, 155, 509, 1, Smoke::mf_copyctor, 109, 2},	//440 DOM::Element::Element(const DOM::Element&)
	{32, 1162, 666, 1, 0, 108, 3},	//441 DOM::Element::operator=(const DOM::Node&)
	{32, 1162, 509, 1, 0, 108, 4},	//442 DOM::Element::operator=(const DOM::Element&)
	{32, 1956, 0, 0, Smoke::mf_dtor, 0, 31},	//443 DOM::Element::~Element()
	{32, 1835, 0, 0, Smoke::mf_const, 86, 5},	//444 DOM::Element::tagName() const
	{32, 858, 422, 1, 0, 86, 6},	//445 DOM::Element::getAttribute(const DOM::DOMString&)
	{32, 1352, 477, 2, 0, 0, 7},	//446 DOM::Element::setAttribute(const DOM::DOMString&, const DOM::DOMString&)
	{32, 1247, 422, 1, 0, 0, 8},	//447 DOM::Element::removeAttribute(const DOM::DOMString&)
	{32, 862, 422, 1, 0, 5, 9},	//448 DOM::Element::getAttributeNode(const DOM::DOMString&)
	{32, 1356, 371, 1, 0, 5, 10},	//449 DOM::Element::setAttributeNode(const DOM::Attr&)
	{32, 1251, 371, 1, 0, 5, 11},	//450 DOM::Element::removeAttributeNode(const DOM::Attr&)
	{32, 876, 422, 1, 0, 336, 12},	//451 DOM::Element::getElementsByTagName(const DOM::DOMString&)
	{32, 878, 477, 2, 0, 336, 13},	//452 DOM::Element::getElementsByTagNameNS(const DOM::DOMString&, const DOM::DOMString&)
	{32, 872, 422, 1, 0, 336, 14},	//453 DOM::Element::getElementsByClassName(const DOM::DOMString&)
	{32, 860, 477, 2, 0, 86, 15},	//454 DOM::Element::getAttributeNS(const DOM::DOMString&, const DOM::DOMString&)
	{32, 1354, 480, 3, 0, 0, 16},	//455 DOM::Element::setAttributeNS(const DOM::DOMString&, const DOM::DOMString&, const DOM::DOMString&)
	{32, 1249, 477, 2, 0, 0, 17},	//456 DOM::Element::removeAttributeNS(const DOM::DOMString&, const DOM::DOMString&)
	{32, 864, 477, 2, 0, 5, 18},	//457 DOM::Element::getAttributeNodeNS(const DOM::DOMString&, const DOM::DOMString&)
	{32, 1358, 371, 1, 0, 5, 19},	//458 DOM::Element::setAttributeNodeNS(const DOM::Attr&)
	{32, 912, 422, 1, 0, 705, 20},	//459 DOM::Element::hasAttribute(const DOM::DOMString&)
	{32, 914, 477, 2, 0, 705, 21},	//460 DOM::Element::hasAttributeNS(const DOM::DOMString&, const DOM::DOMString&)
	{32, 1813, 0, 0, 0, 45, 22},	//461 DOM::Element::style()
	{32, 1004, 0, 0, Smoke::mf_const, 705, 23},	//462 DOM::Element::isHTMLElement() const
	{32, 844, 0, 0, Smoke::mf_const, 107, 24},	//463 DOM::Element::form() const
	{32, 1056, 422, 1, Smoke::mf_static, 705, 25},	//464 DOM::Element::khtmlValidAttrName(const DOM::DOMString&)
	{32, 1058, 422, 1, Smoke::mf_static, 705, 26},	//465 DOM::Element::khtmlValidPrefix(const DOM::DOMString&)
	{32, 1060, 422, 1, Smoke::mf_static, 705, 27},	//466 DOM::Element::khtmlValidQualifiedName(const DOM::DOMString&)
	{32, 1046, 422, 1, Smoke::mf_static, 705, 28},	//467 DOM::Element::khtmlMalformedQualifiedName(const DOM::DOMString&)
	{32, 1044, 422, 1, Smoke::mf_static, 705, 29},	//468 DOM::Element::khtmlMalformedPrefix(const DOM::DOMString&)
	{32, 155, 3, 1, Smoke::mf_protected, 109, 30},	//469 DOM::Element::Element(DOM::ElementImpl*)
	{33, 159, 0, 0, 0, 112, 0},	//470 DOM::Entity::Entity()
	{33, 159, 514, 1, Smoke::mf_copyctor, 112, 1},	//471 DOM::Entity::Entity(const DOM::Entity&)
	{33, 159, 666, 1, 0, 112, 2},	//472 DOM::Entity::Entity(const DOM::Node&)
	{33, 1162, 666, 1, 0, 111, 3},	//473 DOM::Entity::operator=(const DOM::Node&)
	{33, 1162, 514, 1, 0, 111, 4},	//474 DOM::Entity::operator=(const DOM::Entity&)
	{33, 1957, 0, 0, Smoke::mf_dtor, 0, 9},	//475 DOM::Entity::~Entity()
	{33, 1221, 0, 0, Smoke::mf_const, 86, 5},	//476 DOM::Entity::publicId() const
	{33, 1828, 0, 0, Smoke::mf_const, 86, 6},	//477 DOM::Entity::systemId() const
	{33, 1140, 0, 0, Smoke::mf_const, 86, 7},	//478 DOM::Entity::notationName() const
	{33, 159, 5, 1, Smoke::mf_protected, 112, 8},	//479 DOM::Entity::Entity(DOM::EntityImpl*)
	{34, 162, 0, 0, 0, 116, 0},	//480 DOM::EntityReference::EntityReference()
	{34, 162, 516, 1, Smoke::mf_copyctor, 116, 1},	//481 DOM::EntityReference::EntityReference(const DOM::EntityReference&)
	{34, 162, 666, 1, 0, 116, 2},	//482 DOM::EntityReference::EntityReference(const DOM::Node&)
	{34, 1162, 666, 1, 0, 115, 3},	//483 DOM::EntityReference::operator=(const DOM::Node&)
	{34, 1162, 516, 1, 0, 115, 4},	//484 DOM::EntityReference::operator=(const DOM::EntityReference&)
	{34, 1958, 0, 0, Smoke::mf_dtor, 0, 6},	//485 DOM::EntityReference::~EntityReference()
	{34, 162, 7, 1, Smoke::mf_protected, 116, 5},	//486 DOM::EntityReference::EntityReference(DOM::EntityReferenceImpl*)
	{35, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 0},	//487 DOM::Event::CAPTURING_PHASE (enum)
	{35, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 1},	//488 DOM::Event::AT_TARGET (enum)
	{35, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 2},	//489 DOM::Event::BUBBLING_PHASE (enum)
	{35, 165, 0, 0, 0, 120, 3},	//490 DOM::Event::Event()
	{35, 165, 518, 1, Smoke::mf_copyctor, 120, 4},	//491 DOM::Event::Event(const DOM::Event&)
	{35, 1959, 0, 0, Smoke::mf_dtor, 0, 18},	//492 DOM::Event::~Event()
	{35, 1162, 518, 1, 0, 119, 5},	//493 DOM::Event::operator=(const DOM::Event&)
	{35, 1858, 0, 0, Smoke::mf_const, 86, 6},	//494 DOM::Event::type() const
	{35, 1836, 0, 0, Smoke::mf_const, 321, 7},	//495 DOM::Event::target() const
	{35, 714, 0, 0, Smoke::mf_const, 321, 8},	//496 DOM::Event::currentTarget() const
	{35, 799, 0, 0, Smoke::mf_const, 886, 9},	//497 DOM::Event::eventPhase() const
	{35, 586, 0, 0, Smoke::mf_const, 705, 10},	//498 DOM::Event::bubbles() const
	{35, 588, 0, 0, Smoke::mf_const, 705, 11},	//499 DOM::Event::cancelable() const
	{35, 1844, 0, 0, Smoke::mf_const, 90, 12},	//500 DOM::Event::timeStamp() const
	{35, 1804, 0, 0, 0, 0, 13},	//501 DOM::Event::stopPropagation()
	{35, 1213, 0, 0, 0, 0, 14},	//502 DOM::Event::preventDefault()
	{35, 956, 432, 3, 0, 0, 15},	//503 DOM::Event::initEvent(const DOM::DOMString&, bool, bool)
	{35, 1016, 0, 0, Smoke::mf_const, 705, 16},	//504 DOM::Event::isNull() const
	{35, 165, 13, 1, Smoke::mf_protected, 120, 17},	//505 DOM::Event::Event(DOM::EventImpl*)
	{36, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 0},	//506 DOM::EventException::UNSPECIFIED_EVENT_TYPE_ERR (enum)
	{36, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 1},	//507 DOM::EventException::_EXCEPTION_OFFSET (enum)
	{36, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 2},	//508 DOM::EventException::_EXCEPTION_MAX (enum)
	{36, 169, 930, 1, 0, 123, 4},	//509 DOM::EventException::EventException(unsigned short)
	{36, 169, 520, 1, Smoke::mf_copyctor, 123, 5},	//510 DOM::EventException::EventException(const DOM::EventException&)
	{36, 1162, 520, 1, 0, 122, 6},	//511 DOM::EventException::operator=(const DOM::EventException&)
	{36, 1960, 0, 0, Smoke::mf_dtor, 0, 8},	//512 DOM::EventException::~EventException()
	{36, 1409, 930, 1, 0, 0, 7},	//513 DOM::EventException::setCode(unsigned short)
	{36, 628, 0, 0, 0, 886, 3},	//514 DOM::EventException::code (var)
	{37, 172, 0, 0, 0, 126, 0},	//515 DOM::EventListener::EventListener()
	{37, 1961, 0, 0, Smoke::mf_dtor, 0, 4},	//516 DOM::EventListener::~EventListener()
	{37, 910, 9, 1, 0, 0, 1},	//517 DOM::EventListener::handleEvent(DOM::Event&)
	{37, 797, 0, 0, 0, 86, 2},	//518 DOM::EventListener::eventListenerType()
	{37, 172, 522, 1, Smoke::mf_copyctor|Smoke::mf_internal, 126, 3},	//519 DOM::EventListener::EventListener(const DOM::EventListener&)
	{38, 181, 0, 0, 0, 128, 0},	//520 DOM::HTMLAnchorElement::HTMLAnchorElement()
	{38, 181, 524, 1, Smoke::mf_copyctor, 128, 1},	//521 DOM::HTMLAnchorElement::HTMLAnchorElement(const DOM::HTMLAnchorElement&)
	{38, 181, 666, 1, 0, 128, 2},	//522 DOM::HTMLAnchorElement::HTMLAnchorElement(const DOM::Node&)
	{38, 1162, 524, 1, 0, 127, 3},	//523 DOM::HTMLAnchorElement::operator=(const DOM::HTMLAnchorElement&)
	{38, 1162, 666, 1, 0, 127, 4},	//524 DOM::HTMLAnchorElement::operator=(const DOM::Node&)
	{38, 1962, 0, 0, Smoke::mf_dtor, 0, 32},	//525 DOM::HTMLAnchorElement::~HTMLAnchorElement()
	{38, 518, 0, 0, Smoke::mf_const, 86, 5},	//526 DOM::HTMLAnchorElement::accessKey() const
	{38, 1334, 422, 1, 0, 0, 6},	//527 DOM::HTMLAnchorElement::setAccessKey(const DOM::DOMString&)
	{38, 606, 0, 0, Smoke::mf_const, 86, 7},	//528 DOM::HTMLAnchorElement::charset() const
	{38, 1399, 422, 1, 0, 0, 8},	//529 DOM::HTMLAnchorElement::setCharset(const DOM::DOMString&)
	{38, 663, 0, 0, Smoke::mf_const, 86, 9},	//530 DOM::HTMLAnchorElement::coords() const
	{38, 1436, 422, 1, 0, 0, 10},	//531 DOM::HTMLAnchorElement::setCoords(const DOM::DOMString&)
	{38, 935, 0, 0, Smoke::mf_const, 86, 11},	//532 DOM::HTMLAnchorElement::href() const
	{38, 1508, 422, 1, 0, 0, 12},	//533 DOM::HTMLAnchorElement::setHref(const DOM::DOMString&)
	{38, 936, 0, 0, Smoke::mf_const, 86, 13},	//534 DOM::HTMLAnchorElement::hreflang() const
	{38, 1510, 422, 1, 0, 0, 14},	//535 DOM::HTMLAnchorElement::setHreflang(const DOM::DOMString&)
	{38, 1117, 0, 0, Smoke::mf_const, 86, 15},	//536 DOM::HTMLAnchorElement::name() const
	{38, 1576, 422, 1, 0, 0, 16},	//537 DOM::HTMLAnchorElement::setName(const DOM::DOMString&)
	{38, 1241, 0, 0, Smoke::mf_const, 86, 17},	//538 DOM::HTMLAnchorElement::rel() const
	{38, 1620, 422, 1, 0, 0, 18},	//539 DOM::HTMLAnchorElement::setRel(const DOM::DOMString&)
	{38, 1283, 0, 0, Smoke::mf_const, 86, 19},	//540 DOM::HTMLAnchorElement::rev() const
	{38, 1622, 422, 1, 0, 0, 20},	//541 DOM::HTMLAnchorElement::setRev(const DOM::DOMString&)
	{38, 1762, 0, 0, Smoke::mf_const, 86, 21},	//542 DOM::HTMLAnchorElement::shape() const
	{38, 1659, 422, 1, 0, 0, 22},	//543 DOM::HTMLAnchorElement::setShape(const DOM::DOMString&)
	{38, 1832, 0, 0, Smoke::mf_const, 879, 23},	//544 DOM::HTMLAnchorElement::tabIndex() const
	{38, 1700, 918, 1, 0, 0, 24},	//545 DOM::HTMLAnchorElement::setTabIndex(long)
	{38, 1836, 0, 0, Smoke::mf_const, 86, 25},	//546 DOM::HTMLAnchorElement::target() const
	{38, 1702, 422, 1, 0, 0, 26},	//547 DOM::HTMLAnchorElement::setTarget(const DOM::DOMString&)
	{38, 1858, 0, 0, Smoke::mf_const, 86, 27},	//548 DOM::HTMLAnchorElement::type() const
	{38, 1712, 422, 1, 0, 0, 28},	//549 DOM::HTMLAnchorElement::setType(const DOM::DOMString&)
	{38, 579, 0, 0, 0, 0, 29},	//550 DOM::HTMLAnchorElement::blur()
	{38, 833, 0, 0, 0, 0, 30},	//551 DOM::HTMLAnchorElement::focus()
	{38, 181, 15, 1, Smoke::mf_protected, 128, 31},	//552 DOM::HTMLAnchorElement::HTMLAnchorElement(DOM::HTMLAnchorElementImpl*)
	{39, 184, 0, 0, 0, 131, 0},	//553 DOM::HTMLAppletElement::HTMLAppletElement()
	{39, 184, 526, 1, Smoke::mf_copyctor, 131, 1},	//554 DOM::HTMLAppletElement::HTMLAppletElement(const DOM::HTMLAppletElement&)
	{39, 184, 666, 1, 0, 131, 2},	//555 DOM::HTMLAppletElement::HTMLAppletElement(const DOM::Node&)
	{39, 1162, 526, 1, 0, 130, 3},	//556 DOM::HTMLAppletElement::operator=(const DOM::HTMLAppletElement&)
	{39, 1162, 666, 1, 0, 130, 4},	//557 DOM::HTMLAppletElement::operator=(const DOM::Node&)
	{39, 1963, 0, 0, Smoke::mf_dtor, 0, 28},	//558 DOM::HTMLAppletElement::~HTMLAppletElement()
	{39, 540, 0, 0, Smoke::mf_const, 86, 5},	//559 DOM::HTMLAppletElement::align() const
	{39, 1340, 422, 1, 0, 0, 6},	//560 DOM::HTMLAppletElement::setAlign(const DOM::DOMString&)
	{39, 543, 0, 0, Smoke::mf_const, 86, 7},	//561 DOM::HTMLAppletElement::alt() const
	{39, 1342, 422, 1, 0, 0, 8},	//562 DOM::HTMLAppletElement::setAlt(const DOM::DOMString&)
	{39, 554, 0, 0, Smoke::mf_const, 86, 9},	//563 DOM::HTMLAppletElement::archive() const
	{39, 1346, 422, 1, 0, 0, 10},	//564 DOM::HTMLAppletElement::setArchive(const DOM::DOMString&)
	{39, 628, 0, 0, Smoke::mf_const, 86, 11},	//565 DOM::HTMLAppletElement::code() const
	{39, 1409, 422, 1, 0, 0, 12},	//566 DOM::HTMLAppletElement::setCode(const DOM::DOMString&)
	{39, 629, 0, 0, Smoke::mf_const, 86, 13},	//567 DOM::HTMLAppletElement::codeBase() const
	{39, 1412, 422, 1, 0, 0, 14},	//568 DOM::HTMLAppletElement::setCodeBase(const DOM::DOMString&)
	{39, 923, 0, 0, Smoke::mf_const, 86, 15},	//569 DOM::HTMLAppletElement::height() const
	{39, 1503, 422, 1, 0, 0, 16},	//570 DOM::HTMLAppletElement::setHeight(const DOM::DOMString&)
	{39, 882, 0, 0, Smoke::mf_const, 879, 17},	//571 DOM::HTMLAppletElement::getHspace() const
	{39, 1512, 918, 1, 0, 0, 18},	//572 DOM::HTMLAppletElement::setHspace(long)
	{39, 1117, 0, 0, Smoke::mf_const, 86, 19},	//573 DOM::HTMLAppletElement::name() const
	{39, 1576, 422, 1, 0, 0, 20},	//574 DOM::HTMLAppletElement::setName(const DOM::DOMString&)
	{39, 1144, 0, 0, Smoke::mf_const, 86, 21},	//575 DOM::HTMLAppletElement::object() const
	{39, 1592, 422, 1, 0, 0, 22},	//576 DOM::HTMLAppletElement::setObject(const DOM::DOMString&)
	{39, 904, 0, 0, Smoke::mf_const, 879, 23},	//577 DOM::HTMLAppletElement::getVspace() const
	{39, 1740, 918, 1, 0, 0, 24},	//578 DOM::HTMLAppletElement::setVspace(long)
	{39, 1898, 0, 0, Smoke::mf_const, 86, 25},	//579 DOM::HTMLAppletElement::width() const
	{39, 1744, 422, 1, 0, 0, 26},	//580 DOM::HTMLAppletElement::setWidth(const DOM::DOMString&)
	{39, 184, 17, 1, Smoke::mf_protected, 131, 27},	//581 DOM::HTMLAppletElement::HTMLAppletElement(DOM::HTMLAppletElementImpl*)
	{40, 187, 0, 0, 0, 134, 0},	//582 DOM::HTMLAreaElement::HTMLAreaElement()
	{40, 187, 528, 1, Smoke::mf_copyctor, 134, 1},	//583 DOM::HTMLAreaElement::HTMLAreaElement(const DOM::HTMLAreaElement&)
	{40, 187, 666, 1, 0, 134, 2},	//584 DOM::HTMLAreaElement::HTMLAreaElement(const DOM::Node&)
	{40, 1162, 528, 1, 0, 133, 3},	//585 DOM::HTMLAreaElement::operator=(const DOM::HTMLAreaElement&)
	{40, 1162, 666, 1, 0, 133, 4},	//586 DOM::HTMLAreaElement::operator=(const DOM::Node&)
	{40, 1964, 0, 0, Smoke::mf_dtor, 0, 22},	//587 DOM::HTMLAreaElement::~HTMLAreaElement()
	{40, 518, 0, 0, Smoke::mf_const, 86, 5},	//588 DOM::HTMLAreaElement::accessKey() const
	{40, 1334, 422, 1, 0, 0, 6},	//589 DOM::HTMLAreaElement::setAccessKey(const DOM::DOMString&)
	{40, 543, 0, 0, Smoke::mf_const, 86, 7},	//590 DOM::HTMLAreaElement::alt() const
	{40, 1342, 422, 1, 0, 0, 8},	//591 DOM::HTMLAreaElement::setAlt(const DOM::DOMString&)
	{40, 663, 0, 0, Smoke::mf_const, 86, 9},	//592 DOM::HTMLAreaElement::coords() const
	{40, 1436, 422, 1, 0, 0, 10},	//593 DOM::HTMLAreaElement::setCoords(const DOM::DOMString&)
	{40, 935, 0, 0, Smoke::mf_const, 86, 11},	//594 DOM::HTMLAreaElement::href() const
	{40, 1508, 422, 1, 0, 0, 12},	//595 DOM::HTMLAreaElement::setHref(const DOM::DOMString&)
	{40, 1128, 0, 0, Smoke::mf_const, 705, 13},	//596 DOM::HTMLAreaElement::noHref() const
	{40, 1582, 362, 1, 0, 0, 14},	//597 DOM::HTMLAreaElement::setNoHref(bool)
	{40, 1762, 0, 0, Smoke::mf_const, 86, 15},	//598 DOM::HTMLAreaElement::shape() const
	{40, 1659, 422, 1, 0, 0, 16},	//599 DOM::HTMLAreaElement::setShape(const DOM::DOMString&)
	{40, 1832, 0, 0, Smoke::mf_const, 879, 17},	//600 DOM::HTMLAreaElement::tabIndex() const
	{40, 1700, 918, 1, 0, 0, 18},	//601 DOM::HTMLAreaElement::setTabIndex(long)
	{40, 1836, 0, 0, Smoke::mf_const, 86, 19},	//602 DOM::HTMLAreaElement::target() const
	{40, 1702, 422, 1, 0, 0, 20},	//603 DOM::HTMLAreaElement::setTarget(const DOM::DOMString&)
	{40, 187, 19, 1, Smoke::mf_protected, 134, 21},	//604 DOM::HTMLAreaElement::HTMLAreaElement(DOM::HTMLAreaElementImpl*)
	{41, 190, 0, 0, 0, 137, 0},	//605 DOM::HTMLBRElement::HTMLBRElement()
	{41, 190, 530, 1, Smoke::mf_copyctor, 137, 1},	//606 DOM::HTMLBRElement::HTMLBRElement(const DOM::HTMLBRElement&)
	{41, 190, 666, 1, 0, 137, 2},	//607 DOM::HTMLBRElement::HTMLBRElement(const DOM::Node&)
	{41, 1162, 530, 1, 0, 136, 3},	//608 DOM::HTMLBRElement::operator=(const DOM::HTMLBRElement&)
	{41, 1162, 666, 1, 0, 136, 4},	//609 DOM::HTMLBRElement::operator=(const DOM::Node&)
	{41, 1965, 0, 0, Smoke::mf_dtor, 0, 8},	//610 DOM::HTMLBRElement::~HTMLBRElement()
	{41, 614, 0, 0, Smoke::mf_const, 86, 5},	//611 DOM::HTMLBRElement::clear() const
	{41, 1407, 422, 1, 0, 0, 6},	//612 DOM::HTMLBRElement::setClear(const DOM::DOMString&)
	{41, 190, 21, 1, Smoke::mf_protected, 137, 7},	//613 DOM::HTMLBRElement::HTMLBRElement(DOM::HTMLBRElementImpl*)
	{42, 193, 0, 0, 0, 140, 0},	//614 DOM::HTMLBaseElement::HTMLBaseElement()
	{42, 193, 532, 1, Smoke::mf_copyctor, 140, 1},	//615 DOM::HTMLBaseElement::HTMLBaseElement(const DOM::HTMLBaseElement&)
	{42, 193, 666, 1, 0, 140, 2},	//616 DOM::HTMLBaseElement::HTMLBaseElement(const DOM::Node&)
	{42, 1162, 532, 1, 0, 139, 3},	//617 DOM::HTMLBaseElement::operator=(const DOM::HTMLBaseElement&)
	{42, 1162, 666, 1, 0, 139, 4},	//618 DOM::HTMLBaseElement::operator=(const DOM::Node&)
	{42, 1966, 0, 0, Smoke::mf_dtor, 0, 10},	//619 DOM::HTMLBaseElement::~HTMLBaseElement()
	{42, 935, 0, 0, Smoke::mf_const, 86, 5},	//620 DOM::HTMLBaseElement::href() const
	{42, 1508, 422, 1, 0, 0, 6},	//621 DOM::HTMLBaseElement::setHref(const DOM::DOMString&)
	{42, 1836, 0, 0, Smoke::mf_const, 86, 7},	//622 DOM::HTMLBaseElement::target() const
	{42, 1702, 422, 1, 0, 0, 8},	//623 DOM::HTMLBaseElement::setTarget(const DOM::DOMString&)
	{42, 193, 23, 1, Smoke::mf_protected, 140, 9},	//624 DOM::HTMLBaseElement::HTMLBaseElement(DOM::HTMLBaseElementImpl*)
	{43, 196, 0, 0, 0, 143, 0},	//625 DOM::HTMLBaseFontElement::HTMLBaseFontElement()
	{43, 196, 534, 1, Smoke::mf_copyctor, 143, 1},	//626 DOM::HTMLBaseFontElement::HTMLBaseFontElement(const DOM::HTMLBaseFontElement&)
	{43, 196, 666, 1, 0, 143, 2},	//627 DOM::HTMLBaseFontElement::HTMLBaseFontElement(const DOM::Node&)
	{43, 1162, 534, 1, 0, 142, 3},	//628 DOM::HTMLBaseFontElement::operator=(const DOM::HTMLBaseFontElement&)
	{43, 1162, 666, 1, 0, 142, 4},	//629 DOM::HTMLBaseFontElement::operator=(const DOM::Node&)
	{43, 1967, 0, 0, Smoke::mf_dtor, 0, 12},	//630 DOM::HTMLBaseFontElement::~HTMLBaseFontElement()
	{43, 635, 0, 0, Smoke::mf_const, 86, 5},	//631 DOM::HTMLBaseFontElement::color() const
	{43, 1418, 422, 1, 0, 0, 6},	//632 DOM::HTMLBaseFontElement::setColor(const DOM::DOMString&)
	{43, 806, 0, 0, Smoke::mf_const, 86, 7},	//633 DOM::HTMLBaseFontElement::face() const
	{43, 1485, 422, 1, 0, 0, 8},	//634 DOM::HTMLBaseFontElement::setFace(const DOM::DOMString&)
	{43, 902, 0, 0, Smoke::mf_const, 879, 9},	//635 DOM::HTMLBaseFontElement::getSize() const
	{43, 1661, 918, 1, 0, 0, 10},	//636 DOM::HTMLBaseFontElement::setSize(long)
	{43, 196, 25, 1, Smoke::mf_protected, 143, 11},	//637 DOM::HTMLBaseFontElement::HTMLBaseFontElement(DOM::HTMLBaseFontElementImpl*)
	{44, 199, 0, 0, 0, 146, 0},	//638 DOM::HTMLBlockquoteElement::HTMLBlockquoteElement()
	{44, 199, 536, 1, Smoke::mf_copyctor, 146, 1},	//639 DOM::HTMLBlockquoteElement::HTMLBlockquoteElement(const DOM::HTMLBlockquoteElement&)
	{44, 199, 666, 1, 0, 146, 2},	//640 DOM::HTMLBlockquoteElement::HTMLBlockquoteElement(const DOM::Node&)
	{44, 1162, 536, 1, 0, 145, 3},	//641 DOM::HTMLBlockquoteElement::operator=(const DOM::HTMLBlockquoteElement&)
	{44, 1162, 666, 1, 0, 145, 4},	//642 DOM::HTMLBlockquoteElement::operator=(const DOM::Node&)
	{44, 1968, 0, 0, Smoke::mf_dtor, 0, 8},	//643 DOM::HTMLBlockquoteElement::~HTMLBlockquoteElement()
	{44, 612, 0, 0, Smoke::mf_const, 86, 5},	//644 DOM::HTMLBlockquoteElement::cite() const
	{44, 1403, 422, 1, 0, 0, 6},	//645 DOM::HTMLBlockquoteElement::setCite(const DOM::DOMString&)
	{44, 199, 43, 1, Smoke::mf_protected, 146, 7},	//646 DOM::HTMLBlockquoteElement::HTMLBlockquoteElement(DOM::HTMLElementImpl*)
	{45, 202, 0, 0, 0, 148, 0},	//647 DOM::HTMLBodyElement::HTMLBodyElement()
	{45, 202, 538, 1, Smoke::mf_copyctor, 148, 1},	//648 DOM::HTMLBodyElement::HTMLBodyElement(const DOM::HTMLBodyElement&)
	{45, 202, 666, 1, 0, 148, 2},	//649 DOM::HTMLBodyElement::HTMLBodyElement(const DOM::Node&)
	{45, 1162, 538, 1, 0, 147, 3},	//650 DOM::HTMLBodyElement::operator=(const DOM::HTMLBodyElement&)
	{45, 1162, 666, 1, 0, 147, 4},	//651 DOM::HTMLBodyElement::operator=(const DOM::Node&)
	{45, 1969, 0, 0, Smoke::mf_dtor, 0, 18},	//652 DOM::HTMLBodyElement::~HTMLBodyElement()
	{45, 510, 0, 0, Smoke::mf_const, 86, 5},	//653 DOM::HTMLBodyElement::aLink() const
	{45, 1326, 422, 1, 0, 0, 6},	//654 DOM::HTMLBodyElement::setALink(const DOM::DOMString&)
	{45, 568, 0, 0, Smoke::mf_const, 86, 7},	//655 DOM::HTMLBodyElement::background() const
	{45, 1368, 422, 1, 0, 0, 8},	//656 DOM::HTMLBodyElement::setBackground(const DOM::DOMString&)
	{45, 577, 0, 0, Smoke::mf_const, 86, 9},	//657 DOM::HTMLBodyElement::bgColor() const
	{45, 1370, 422, 1, 0, 0, 10},	//658 DOM::HTMLBodyElement::setBgColor(const DOM::DOMString&)
	{45, 1075, 0, 0, Smoke::mf_const, 86, 11},	//659 DOM::HTMLBodyElement::link() const
	{45, 1548, 422, 1, 0, 0, 12},	//660 DOM::HTMLBodyElement::setLink(const DOM::DOMString&)
	{45, 1840, 0, 0, Smoke::mf_const, 86, 13},	//661 DOM::HTMLBodyElement::text() const
	{45, 1704, 422, 1, 0, 0, 14},	//662 DOM::HTMLBodyElement::setText(const DOM::DOMString&)
	{45, 1876, 0, 0, Smoke::mf_const, 86, 15},	//663 DOM::HTMLBodyElement::vLink() const
	{45, 1725, 422, 1, 0, 0, 16},	//664 DOM::HTMLBodyElement::setVLink(const DOM::DOMString&)
	{45, 202, 27, 1, Smoke::mf_protected, 148, 17},	//665 DOM::HTMLBodyElement::HTMLBodyElement(DOM::HTMLBodyElementImpl*)
	{46, 205, 0, 0, 0, 151, 0},	//666 DOM::HTMLButtonElement::HTMLButtonElement()
	{46, 205, 540, 1, Smoke::mf_copyctor, 151, 1},	//667 DOM::HTMLButtonElement::HTMLButtonElement(const DOM::HTMLButtonElement&)
	{46, 205, 666, 1, 0, 151, 2},	//668 DOM::HTMLButtonElement::HTMLButtonElement(const DOM::Node&)
	{46, 1162, 540, 1, 0, 150, 3},	//669 DOM::HTMLButtonElement::operator=(const DOM::HTMLButtonElement&)
	{46, 1162, 666, 1, 0, 150, 4},	//670 DOM::HTMLButtonElement::operator=(const DOM::Node&)
	{46, 1970, 0, 0, Smoke::mf_dtor, 0, 20},	//671 DOM::HTMLButtonElement::~HTMLButtonElement()
	{46, 844, 0, 0, Smoke::mf_const, 181, 5},	//672 DOM::HTMLButtonElement::form() const
	{46, 518, 0, 0, Smoke::mf_const, 86, 6},	//673 DOM::HTMLButtonElement::accessKey() const
	{46, 1334, 422, 1, 0, 0, 7},	//674 DOM::HTMLButtonElement::setAccessKey(const DOM::DOMString&)
	{46, 749, 0, 0, Smoke::mf_const, 705, 8},	//675 DOM::HTMLButtonElement::disabled() const
	{46, 1467, 362, 1, 0, 0, 9},	//676 DOM::HTMLButtonElement::setDisabled(bool)
	{46, 1117, 0, 0, Smoke::mf_const, 86, 10},	//677 DOM::HTMLButtonElement::name() const
	{46, 1576, 422, 1, 0, 0, 11},	//678 DOM::HTMLButtonElement::setName(const DOM::DOMString&)
	{46, 1832, 0, 0, Smoke::mf_const, 879, 12},	//679 DOM::HTMLButtonElement::tabIndex() const
	{46, 1700, 918, 1, 0, 0, 13},	//680 DOM::HTMLButtonElement::setTabIndex(long)
	{46, 1858, 0, 0, Smoke::mf_const, 86, 14},	//681 DOM::HTMLButtonElement::type() const
	{46, 1878, 0, 0, Smoke::mf_const, 86, 15},	//682 DOM::HTMLButtonElement::value() const
	{46, 1727, 422, 1, 0, 0, 16},	//683 DOM::HTMLButtonElement::setValue(const DOM::DOMString&)
	{46, 579, 0, 0, 0, 0, 17},	//684 DOM::HTMLButtonElement::blur()
	{46, 833, 0, 0, 0, 0, 18},	//685 DOM::HTMLButtonElement::focus()
	{46, 205, 31, 1, Smoke::mf_protected, 151, 19},	//686 DOM::HTMLButtonElement::HTMLButtonElement(DOM::HTMLButtonElementImpl*)
	{47, 208, 0, 0, 0, 155, 0},	//687 DOM::HTMLCollection::HTMLCollection()
	{47, 208, 542, 1, Smoke::mf_copyctor, 155, 1},	//688 DOM::HTMLCollection::HTMLCollection(const DOM::HTMLCollection&)
	{47, 1162, 542, 1, 0, 154, 2},	//689 DOM::HTMLCollection::operator=(const DOM::HTMLCollection&)
	{47, 1971, 0, 0, Smoke::mf_dtor, 0, 13},	//690 DOM::HTMLCollection::~HTMLCollection()
	{47, 1074, 0, 0, Smoke::mf_const, 885, 3},	//691 DOM::HTMLCollection::length() const
	{47, 1026, 928, 1, Smoke::mf_const, 321, 4},	//692 DOM::HTMLCollection::item(unsigned long) const
	{47, 1118, 422, 1, Smoke::mf_const, 321, 5},	//693 DOM::HTMLCollection::namedItem(const DOM::DOMString&) const
	{47, 570, 0, 0, Smoke::mf_const, 321, 6},	//694 DOM::HTMLCollection::base() const
	{47, 1016, 0, 0, Smoke::mf_const, 705, 7},	//695 DOM::HTMLCollection::isNull() const
	{47, 831, 0, 0, Smoke::mf_const, 321, 8},	//696 DOM::HTMLCollection::firstItem() const
	{47, 1123, 0, 0, Smoke::mf_const, 321, 9},	//697 DOM::HTMLCollection::nextItem() const
	{47, 1124, 422, 1, Smoke::mf_const, 321, 10},	//698 DOM::HTMLCollection::nextNamedItem(const DOM::DOMString&) const
	{47, 208, 33, 1, Smoke::mf_protected, 155, 11},	//699 DOM::HTMLCollection::HTMLCollection(DOM::HTMLCollectionImpl*)
	{47, 208, 160, 2, Smoke::mf_protected, 155, 12},	//700 DOM::HTMLCollection::HTMLCollection(DOM::NodeImpl*, int)
	{48, 212, 0, 0, 0, 158, 0},	//701 DOM::HTMLDListElement::HTMLDListElement()
	{48, 212, 544, 1, Smoke::mf_copyctor, 158, 1},	//702 DOM::HTMLDListElement::HTMLDListElement(const DOM::HTMLDListElement&)
	{48, 212, 666, 1, 0, 158, 2},	//703 DOM::HTMLDListElement::HTMLDListElement(const DOM::Node&)
	{48, 1162, 544, 1, 0, 157, 3},	//704 DOM::HTMLDListElement::operator=(const DOM::HTMLDListElement&)
	{48, 1162, 666, 1, 0, 157, 4},	//705 DOM::HTMLDListElement::operator=(const DOM::Node&)
	{48, 1972, 0, 0, Smoke::mf_dtor, 0, 8},	//706 DOM::HTMLDListElement::~HTMLDListElement()
	{48, 638, 0, 0, Smoke::mf_const, 705, 5},	//707 DOM::HTMLDListElement::compact() const
	{48, 1423, 362, 1, 0, 0, 6},	//708 DOM::HTMLDListElement::setCompact(bool)
	{48, 212, 35, 1, Smoke::mf_protected, 158, 7},	//709 DOM::HTMLDListElement::HTMLDListElement(DOM::HTMLDListElementImpl*)
	{49, 215, 0, 0, 0, 161, 0},	//710 DOM::HTMLDirectoryElement::HTMLDirectoryElement()
	{49, 215, 546, 1, Smoke::mf_copyctor, 161, 1},	//711 DOM::HTMLDirectoryElement::HTMLDirectoryElement(const DOM::HTMLDirectoryElement&)
	{49, 215, 666, 1, 0, 161, 2},	//712 DOM::HTMLDirectoryElement::HTMLDirectoryElement(const DOM::Node&)
	{49, 1162, 546, 1, 0, 160, 3},	//713 DOM::HTMLDirectoryElement::operator=(const DOM::HTMLDirectoryElement&)
	{49, 1162, 666, 1, 0, 160, 4},	//714 DOM::HTMLDirectoryElement::operator=(const DOM::Node&)
	{49, 1973, 0, 0, Smoke::mf_dtor, 0, 8},	//715 DOM::HTMLDirectoryElement::~HTMLDirectoryElement()
	{49, 638, 0, 0, Smoke::mf_const, 705, 5},	//716 DOM::HTMLDirectoryElement::compact() const
	{49, 1423, 362, 1, 0, 0, 6},	//717 DOM::HTMLDirectoryElement::setCompact(bool)
	{49, 215, 37, 1, Smoke::mf_protected, 161, 7},	//718 DOM::HTMLDirectoryElement::HTMLDirectoryElement(DOM::HTMLDirectoryElementImpl*)
	{50, 218, 0, 0, 0, 164, 0},	//719 DOM::HTMLDivElement::HTMLDivElement()
	{50, 218, 548, 1, Smoke::mf_copyctor, 164, 1},	//720 DOM::HTMLDivElement::HTMLDivElement(const DOM::HTMLDivElement&)
	{50, 218, 666, 1, 0, 164, 2},	//721 DOM::HTMLDivElement::HTMLDivElement(const DOM::Node&)
	{50, 1162, 548, 1, 0, 163, 3},	//722 DOM::HTMLDivElement::operator=(const DOM::HTMLDivElement&)
	{50, 1162, 666, 1, 0, 163, 4},	//723 DOM::HTMLDivElement::operator=(const DOM::Node&)
	{50, 1974, 0, 0, Smoke::mf_dtor, 0, 8},	//724 DOM::HTMLDivElement::~HTMLDivElement()
	{50, 540, 0, 0, Smoke::mf_const, 86, 5},	//725 DOM::HTMLDivElement::align() const
	{50, 1340, 422, 1, 0, 0, 6},	//726 DOM::HTMLDivElement::setAlign(const DOM::DOMString&)
	{50, 218, 39, 1, Smoke::mf_protected, 164, 7},	//727 DOM::HTMLDivElement::HTMLDivElement(DOM::HTMLDivElementImpl*)
	{51, 221, 0, 0, 0, 168, 0},	//728 DOM::HTMLDocument::HTMLDocument()
	{51, 221, 210, 1, 0, 168, 1},	//729 DOM::HTMLDocument::HTMLDocument(KHTMLView*)
	{51, 221, 550, 1, Smoke::mf_copyctor, 168, 2},	//730 DOM::HTMLDocument::HTMLDocument(const DOM::HTMLDocument&)
	{51, 221, 666, 1, 0, 168, 3},	//731 DOM::HTMLDocument::HTMLDocument(const DOM::Node&)
	{51, 1162, 550, 1, 0, 167, 4},	//732 DOM::HTMLDocument::operator=(const DOM::HTMLDocument&)
	{51, 1162, 666, 1, 0, 167, 5},	//733 DOM::HTMLDocument::operator=(const DOM::Node&)
	{51, 1975, 0, 0, Smoke::mf_dtor, 0, 31},	//734 DOM::HTMLDocument::~HTMLDocument()
	{51, 1847, 0, 0, Smoke::mf_const, 86, 6},	//735 DOM::HTMLDocument::title() const
	{51, 1708, 422, 1, 0, 0, 7},	//736 DOM::HTMLDocument::setTitle(const DOM::DOMString&)
	{51, 1240, 0, 0, Smoke::mf_const, 86, 8},	//737 DOM::HTMLDocument::referrer() const
	{51, 767, 0, 0, Smoke::mf_const, 86, 9},	//738 DOM::HTMLDocument::domain() const
	{51, 504, 0, 0, Smoke::mf_const, 86, 10},	//739 DOM::HTMLDocument::URL() const
	{51, 580, 0, 0, Smoke::mf_const, 170, 11},	//740 DOM::HTMLDocument::body() const
	{51, 1372, 552, 1, 0, 0, 12},	//741 DOM::HTMLDocument::setBody(const DOM::HTMLElement&)
	{51, 946, 0, 0, Smoke::mf_const, 153, 13},	//742 DOM::HTMLDocument::images() const
	{51, 552, 0, 0, Smoke::mf_const, 153, 14},	//743 DOM::HTMLDocument::applets() const
	{51, 1077, 0, 0, Smoke::mf_const, 153, 15},	//744 DOM::HTMLDocument::links() const
	{51, 848, 0, 0, Smoke::mf_const, 153, 16},	//745 DOM::HTMLDocument::forms() const
	{51, 1069, 0, 0, Smoke::mf_const, 153, 17},	//746 DOM::HTMLDocument::layers() const
	{51, 1300, 0, 0, Smoke::mf_const, 153, 18},	//747 DOM::HTMLDocument::scripts() const
	{51, 545, 0, 0, Smoke::mf_const, 153, 19},	//748 DOM::HTMLDocument::anchors() const
	{51, 662, 0, 0, Smoke::mf_const, 86, 20},	//749 DOM::HTMLDocument::cookie() const
	{51, 1434, 422, 1, 0, 0, 21},	//750 DOM::HTMLDocument::setCookie(const DOM::DOMString&)
	{51, 1148, 0, 0, 0, 0, 22},	//751 DOM::HTMLDocument::open()
	{51, 623, 0, 0, 0, 0, 23},	//752 DOM::HTMLDocument::close()
	{51, 1911, 422, 1, 0, 0, 24},	//753 DOM::HTMLDocument::write(const DOM::DOMString&)
	{51, 1917, 422, 1, 0, 0, 25},	//754 DOM::HTMLDocument::writeln(const DOM::DOMString&)
	{51, 874, 422, 1, 0, 336, 26},	//755 DOM::HTMLDocument::getElementsByName(const DOM::DOMString&)
	{51, 641, 422, 1, Smoke::mf_const, 86, 27},	//756 DOM::HTMLDocument::completeURL(const DOM::DOMString&) const
	{51, 1066, 0, 0, Smoke::mf_const, 86, 28},	//757 DOM::HTMLDocument::lastModified() const
	{51, 541, 0, 0, Smoke::mf_const, 153, 29},	//758 DOM::HTMLDocument::all() const
	{51, 221, 41, 1, Smoke::mf_protected, 168, 30},	//759 DOM::HTMLDocument::HTMLDocument(DOM::HTMLDocumentImpl*)
	{52, 224, 0, 0, 0, 172, 0},	//760 DOM::HTMLElement::HTMLElement()
	{52, 224, 552, 1, Smoke::mf_copyctor, 172, 1},	//761 DOM::HTMLElement::HTMLElement(const DOM::HTMLElement&)
	{52, 224, 666, 1, 0, 172, 2},	//762 DOM::HTMLElement::HTMLElement(const DOM::Node&)
	{52, 1162, 552, 1, 0, 171, 3},	//763 DOM::HTMLElement::operator=(const DOM::HTMLElement&)
	{52, 1162, 666, 1, 0, 171, 4},	//764 DOM::HTMLElement::operator=(const DOM::Node&)
	{52, 1976, 0, 0, Smoke::mf_dtor, 0, 28},	//765 DOM::HTMLElement::~HTMLElement()
	{52, 944, 0, 0, Smoke::mf_const, 86, 5},	//766 DOM::HTMLElement::id() const
	{52, 1518, 422, 1, 0, 0, 6},	//767 DOM::HTMLElement::setId(const DOM::DOMString&)
	{52, 1847, 0, 0, Smoke::mf_const, 86, 7},	//768 DOM::HTMLElement::title() const
	{52, 1708, 422, 1, 0, 0, 8},	//769 DOM::HTMLElement::setTitle(const DOM::DOMString&)
	{52, 1063, 0, 0, Smoke::mf_const, 86, 9},	//770 DOM::HTMLElement::lang() const
	{52, 1544, 422, 1, 0, 0, 10},	//771 DOM::HTMLElement::setLang(const DOM::DOMString&)
	{52, 748, 0, 0, Smoke::mf_const, 86, 11},	//772 DOM::HTMLElement::dir() const
	{52, 1465, 422, 1, 0, 0, 12},	//773 DOM::HTMLElement::setDir(const DOM::DOMString&)
	{52, 613, 0, 0, Smoke::mf_const, 86, 13},	//774 DOM::HTMLElement::className() const
	{52, 1405, 422, 1, 0, 0, 14},	//775 DOM::HTMLElement::setClassName(const DOM::DOMString&)
	{52, 968, 0, 0, Smoke::mf_const, 86, 15},	//776 DOM::HTMLElement::innerHTML() const
	{52, 1524, 422, 1, 0, 0, 16},	//777 DOM::HTMLElement::setInnerHTML(const DOM::DOMString&)
	{52, 969, 0, 0, Smoke::mf_const, 86, 17},	//778 DOM::HTMLElement::innerText() const
	{52, 1526, 422, 1, 0, 0, 18},	//779 DOM::HTMLElement::setInnerText(const DOM::DOMString&)
	{52, 611, 0, 0, Smoke::mf_const, 153, 19},	//780 DOM::HTMLElement::children() const
	{52, 541, 0, 0, Smoke::mf_const, 153, 20},	//781 DOM::HTMLElement::all() const
	{52, 998, 0, 0, Smoke::mf_const, 705, 21},	//782 DOM::HTMLElement::isContentEditable() const
	{52, 652, 0, 0, Smoke::mf_const, 86, 22},	//783 DOM::HTMLElement::contentEditable() const
	{52, 1430, 422, 1, 0, 0, 23},	//784 DOM::HTMLElement::setContentEditable(const DOM::DOMString&)
	{52, 1253, 422, 1, 0, 0, 24},	//785 DOM::HTMLElement::removeCSSProperty(const DOM::DOMString&)
	{52, 530, 477, 2, 0, 0, 25},	//786 DOM::HTMLElement::addCSSProperty(const DOM::DOMString&, const DOM::DOMString&)
	{52, 224, 43, 1, Smoke::mf_protected, 172, 26},	//787 DOM::HTMLElement::HTMLElement(DOM::HTMLElementImpl*)
	{52, 557, 677, 2, Smoke::mf_protected, 0, 27},	//788 DOM::HTMLElement::assignOther(const DOM::Node&, int)
	{53, 227, 0, 0, 0, 175, 0},	//789 DOM::HTMLFieldSetElement::HTMLFieldSetElement()
	{53, 227, 557, 1, Smoke::mf_copyctor, 175, 1},	//790 DOM::HTMLFieldSetElement::HTMLFieldSetElement(const DOM::HTMLFieldSetElement&)
	{53, 227, 666, 1, 0, 175, 2},	//791 DOM::HTMLFieldSetElement::HTMLFieldSetElement(const DOM::Node&)
	{53, 1162, 557, 1, 0, 174, 3},	//792 DOM::HTMLFieldSetElement::operator=(const DOM::HTMLFieldSetElement&)
	{53, 1162, 666, 1, 0, 174, 4},	//793 DOM::HTMLFieldSetElement::operator=(const DOM::Node&)
	{53, 1977, 0, 0, Smoke::mf_dtor, 0, 7},	//794 DOM::HTMLFieldSetElement::~HTMLFieldSetElement()
	{53, 844, 0, 0, Smoke::mf_const, 181, 5},	//795 DOM::HTMLFieldSetElement::form() const
	{53, 227, 45, 1, Smoke::mf_protected, 175, 6},	//796 DOM::HTMLFieldSetElement::HTMLFieldSetElement(DOM::HTMLFieldSetElementImpl*)
	{54, 230, 0, 0, 0, 178, 0},	//797 DOM::HTMLFontElement::HTMLFontElement()
	{54, 230, 559, 1, Smoke::mf_copyctor, 178, 1},	//798 DOM::HTMLFontElement::HTMLFontElement(const DOM::HTMLFontElement&)
	{54, 230, 666, 1, 0, 178, 2},	//799 DOM::HTMLFontElement::HTMLFontElement(const DOM::Node&)
	{54, 1162, 559, 1, 0, 177, 3},	//800 DOM::HTMLFontElement::operator=(const DOM::HTMLFontElement&)
	{54, 1162, 666, 1, 0, 177, 4},	//801 DOM::HTMLFontElement::operator=(const DOM::Node&)
	{54, 1978, 0, 0, Smoke::mf_dtor, 0, 12},	//802 DOM::HTMLFontElement::~HTMLFontElement()
	{54, 635, 0, 0, Smoke::mf_const, 86, 5},	//803 DOM::HTMLFontElement::color() const
	{54, 1418, 422, 1, 0, 0, 6},	//804 DOM::HTMLFontElement::setColor(const DOM::DOMString&)
	{54, 806, 0, 0, Smoke::mf_const, 86, 7},	//805 DOM::HTMLFontElement::face() const
	{54, 1485, 422, 1, 0, 0, 8},	//806 DOM::HTMLFontElement::setFace(const DOM::DOMString&)
	{54, 1773, 0, 0, Smoke::mf_const, 86, 9},	//807 DOM::HTMLFontElement::size() const
	{54, 1661, 422, 1, 0, 0, 10},	//808 DOM::HTMLFontElement::setSize(const DOM::DOMString&)
	{54, 230, 47, 1, Smoke::mf_protected, 178, 11},	//809 DOM::HTMLFontElement::HTMLFontElement(DOM::HTMLFontElementImpl*)
	{55, 1979, 0, 0, Smoke::mf_dtor, 0, 2},	//810 DOM::HTMLFormCollection::~HTMLFormCollection()
	{55, 233, 561, 1, Smoke::mf_copyctor|Smoke::mf_internal, 180, 0},	//811 DOM::HTMLFormCollection::HTMLFormCollection(const DOM::HTMLFormCollection&)
	{55, 233, 158, 1, Smoke::mf_protected, 180, 1},	//812 DOM::HTMLFormCollection::HTMLFormCollection(DOM::NodeImpl*)
	{56, 236, 0, 0, 0, 183, 0},	//813 DOM::HTMLFormElement::HTMLFormElement()
	{56, 236, 563, 1, Smoke::mf_copyctor, 183, 1},	//814 DOM::HTMLFormElement::HTMLFormElement(const DOM::HTMLFormElement&)
	{56, 236, 666, 1, 0, 183, 2},	//815 DOM::HTMLFormElement::HTMLFormElement(const DOM::Node&)
	{56, 1162, 563, 1, 0, 182, 3},	//816 DOM::HTMLFormElement::operator=(const DOM::HTMLFormElement&)
	{56, 1162, 666, 1, 0, 182, 4},	//817 DOM::HTMLFormElement::operator=(const DOM::Node&)
	{56, 1980, 0, 0, Smoke::mf_dtor, 0, 22},	//818 DOM::HTMLFormElement::~HTMLFormElement()
	{56, 778, 0, 0, Smoke::mf_const, 153, 5},	//819 DOM::HTMLFormElement::elements() const
	{56, 1074, 0, 0, Smoke::mf_const, 879, 6},	//820 DOM::HTMLFormElement::length() const
	{56, 1117, 0, 0, Smoke::mf_const, 86, 7},	//821 DOM::HTMLFormElement::name() const
	{56, 1576, 422, 1, 0, 0, 8},	//822 DOM::HTMLFormElement::setName(const DOM::DOMString&)
	{56, 515, 0, 0, Smoke::mf_const, 86, 9},	//823 DOM::HTMLFormElement::acceptCharset() const
	{56, 1332, 422, 1, 0, 0, 10},	//824 DOM::HTMLFormElement::setAcceptCharset(const DOM::DOMString&)
	{56, 520, 0, 0, Smoke::mf_const, 86, 11},	//825 DOM::HTMLFormElement::action() const
	{56, 1336, 422, 1, 0, 0, 12},	//826 DOM::HTMLFormElement::setAction(const DOM::DOMString&)
	{56, 784, 0, 0, Smoke::mf_const, 86, 13},	//827 DOM::HTMLFormElement::enctype() const
	{56, 1475, 422, 1, 0, 0, 14},	//828 DOM::HTMLFormElement::setEnctype(const DOM::DOMString&)
	{56, 1101, 0, 0, Smoke::mf_const, 86, 15},	//829 DOM::HTMLFormElement::method() const
	{56, 1572, 422, 1, 0, 0, 16},	//830 DOM::HTMLFormElement::setMethod(const DOM::DOMString&)
	{56, 1836, 0, 0, Smoke::mf_const, 86, 17},	//831 DOM::HTMLFormElement::target() const
	{56, 1702, 422, 1, 0, 0, 18},	//832 DOM::HTMLFormElement::setTarget(const DOM::DOMString&)
	{56, 1818, 0, 0, 0, 0, 19},	//833 DOM::HTMLFormElement::submit()
	{56, 1275, 0, 0, 0, 0, 20},	//834 DOM::HTMLFormElement::reset()
	{56, 236, 49, 1, Smoke::mf_protected, 183, 21},	//835 DOM::HTMLFormElement::HTMLFormElement(DOM::HTMLFormElementImpl*)
	{57, 239, 0, 0, 0, 186, 0},	//836 DOM::HTMLFrameElement::HTMLFrameElement()
	{57, 239, 565, 1, Smoke::mf_copyctor, 186, 1},	//837 DOM::HTMLFrameElement::HTMLFrameElement(const DOM::HTMLFrameElement&)
	{57, 239, 666, 1, 0, 186, 2},	//838 DOM::HTMLFrameElement::HTMLFrameElement(const DOM::Node&)
	{57, 1162, 565, 1, 0, 185, 3},	//839 DOM::HTMLFrameElement::operator=(const DOM::HTMLFrameElement&)
	{57, 1162, 666, 1, 0, 185, 4},	//840 DOM::HTMLFrameElement::operator=(const DOM::Node&)
	{57, 1981, 0, 0, Smoke::mf_dtor, 0, 23},	//841 DOM::HTMLFrameElement::~HTMLFrameElement()
	{57, 850, 0, 0, Smoke::mf_const, 86, 5},	//842 DOM::HTMLFrameElement::frameBorder() const
	{57, 1499, 422, 1, 0, 0, 6},	//843 DOM::HTMLFrameElement::setFrameBorder(const DOM::DOMString&)
	{57, 1088, 0, 0, Smoke::mf_const, 86, 7},	//844 DOM::HTMLFrameElement::longDesc() const
	{57, 1554, 422, 1, 0, 0, 8},	//845 DOM::HTMLFrameElement::setLongDesc(const DOM::DOMString&)
	{57, 1091, 0, 0, Smoke::mf_const, 86, 9},	//846 DOM::HTMLFrameElement::marginHeight() const
	{57, 1558, 422, 1, 0, 0, 10},	//847 DOM::HTMLFrameElement::setMarginHeight(const DOM::DOMString&)
	{57, 1092, 0, 0, Smoke::mf_const, 86, 11},	//848 DOM::HTMLFrameElement::marginWidth() const
	{57, 1561, 422, 1, 0, 0, 12},	//849 DOM::HTMLFrameElement::setMarginWidth(const DOM::DOMString&)
	{57, 1117, 0, 0, Smoke::mf_const, 86, 13},	//850 DOM::HTMLFrameElement::name() const
	{57, 1576, 422, 1, 0, 0, 14},	//851 DOM::HTMLFrameElement::setName(const DOM::DOMString&)
	{57, 1129, 0, 0, Smoke::mf_const, 705, 15},	//852 DOM::HTMLFrameElement::noResize() const
	{57, 1584, 362, 1, 0, 0, 16},	//853 DOM::HTMLFrameElement::setNoResize(bool)
	{57, 1305, 0, 0, Smoke::mf_const, 86, 17},	//854 DOM::HTMLFrameElement::scrolling() const
	{57, 1637, 422, 1, 0, 0, 18},	//855 DOM::HTMLFrameElement::setScrolling(const DOM::DOMString&)
	{57, 1789, 0, 0, Smoke::mf_const, 86, 19},	//856 DOM::HTMLFrameElement::src() const
	{57, 1670, 422, 1, 0, 0, 20},	//857 DOM::HTMLFrameElement::setSrc(const DOM::DOMString&)
	{57, 651, 0, 0, Smoke::mf_const, 91, 21},	//858 DOM::HTMLFrameElement::contentDocument() const
	{57, 239, 51, 1, Smoke::mf_protected, 186, 22},	//859 DOM::HTMLFrameElement::HTMLFrameElement(DOM::HTMLFrameElementImpl*)
	{58, 242, 0, 0, 0, 189, 0},	//860 DOM::HTMLFrameSetElement::HTMLFrameSetElement()
	{58, 242, 567, 1, Smoke::mf_copyctor, 189, 1},	//861 DOM::HTMLFrameSetElement::HTMLFrameSetElement(const DOM::HTMLFrameSetElement&)
	{58, 242, 666, 1, 0, 189, 2},	//862 DOM::HTMLFrameSetElement::HTMLFrameSetElement(const DOM::Node&)
	{58, 1162, 567, 1, 0, 188, 3},	//863 DOM::HTMLFrameSetElement::operator=(const DOM::HTMLFrameSetElement&)
	{58, 1162, 666, 1, 0, 188, 4},	//864 DOM::HTMLFrameSetElement::operator=(const DOM::Node&)
	{58, 1982, 0, 0, Smoke::mf_dtor, 0, 10},	//865 DOM::HTMLFrameSetElement::~HTMLFrameSetElement()
	{58, 636, 0, 0, Smoke::mf_const, 86, 5},	//866 DOM::HTMLFrameSetElement::cols() const
	{58, 1420, 422, 1, 0, 0, 6},	//867 DOM::HTMLFrameSetElement::setCols(const DOM::DOMString&)
	{58, 1288, 0, 0, Smoke::mf_const, 86, 7},	//868 DOM::HTMLFrameSetElement::rows() const
	{58, 1628, 422, 1, 0, 0, 8},	//869 DOM::HTMLFrameSetElement::setRows(const DOM::DOMString&)
	{58, 242, 53, 1, Smoke::mf_protected, 189, 9},	//870 DOM::HTMLFrameSetElement::HTMLFrameSetElement(DOM::HTMLFrameSetElementImpl*)
	{59, 245, 0, 0, 0, 193, 0},	//871 DOM::HTMLHRElement::HTMLHRElement()
	{59, 245, 569, 1, Smoke::mf_copyctor, 193, 1},	//872 DOM::HTMLHRElement::HTMLHRElement(const DOM::HTMLHRElement&)
	{59, 245, 666, 1, 0, 193, 2},	//873 DOM::HTMLHRElement::HTMLHRElement(const DOM::Node&)
	{59, 1162, 569, 1, 0, 192, 3},	//874 DOM::HTMLHRElement::operator=(const DOM::HTMLHRElement&)
	{59, 1162, 666, 1, 0, 192, 4},	//875 DOM::HTMLHRElement::operator=(const DOM::Node&)
	{59, 1983, 0, 0, Smoke::mf_dtor, 0, 14},	//876 DOM::HTMLHRElement::~HTMLHRElement()
	{59, 540, 0, 0, Smoke::mf_const, 86, 5},	//877 DOM::HTMLHRElement::align() const
	{59, 1340, 422, 1, 0, 0, 6},	//878 DOM::HTMLHRElement::setAlign(const DOM::DOMString&)
	{59, 1130, 0, 0, Smoke::mf_const, 705, 7},	//879 DOM::HTMLHRElement::noShade() const
	{59, 1586, 362, 1, 0, 0, 8},	//880 DOM::HTMLHRElement::setNoShade(bool)
	{59, 1773, 0, 0, Smoke::mf_const, 86, 9},	//881 DOM::HTMLHRElement::size() const
	{59, 1661, 422, 1, 0, 0, 10},	//882 DOM::HTMLHRElement::setSize(const DOM::DOMString&)
	{59, 1898, 0, 0, Smoke::mf_const, 86, 11},	//883 DOM::HTMLHRElement::width() const
	{59, 1744, 422, 1, 0, 0, 12},	//884 DOM::HTMLHRElement::setWidth(const DOM::DOMString&)
	{59, 245, 57, 1, Smoke::mf_protected, 193, 13},	//885 DOM::HTMLHRElement::HTMLHRElement(DOM::HTMLHRElementImpl*)
	{60, 248, 0, 0, 0, 196, 0},	//886 DOM::HTMLHeadElement::HTMLHeadElement()
	{60, 248, 571, 1, Smoke::mf_copyctor, 196, 1},	//887 DOM::HTMLHeadElement::HTMLHeadElement(const DOM::HTMLHeadElement&)
	{60, 248, 666, 1, 0, 196, 2},	//888 DOM::HTMLHeadElement::HTMLHeadElement(const DOM::Node&)
	{60, 1162, 571, 1, 0, 195, 3},	//889 DOM::HTMLHeadElement::operator=(const DOM::HTMLHeadElement&)
	{60, 1162, 666, 1, 0, 195, 4},	//890 DOM::HTMLHeadElement::operator=(const DOM::Node&)
	{60, 1984, 0, 0, Smoke::mf_dtor, 0, 8},	//891 DOM::HTMLHeadElement::~HTMLHeadElement()
	{60, 1219, 0, 0, Smoke::mf_const, 86, 5},	//892 DOM::HTMLHeadElement::profile() const
	{60, 1610, 422, 1, 0, 0, 6},	//893 DOM::HTMLHeadElement::setProfile(const DOM::DOMString&)
	{60, 248, 59, 1, Smoke::mf_protected, 196, 7},	//894 DOM::HTMLHeadElement::HTMLHeadElement(DOM::HTMLHeadElementImpl*)
	{61, 251, 0, 0, 0, 199, 0},	//895 DOM::HTMLHeadingElement::HTMLHeadingElement()
	{61, 251, 573, 1, Smoke::mf_copyctor, 199, 1},	//896 DOM::HTMLHeadingElement::HTMLHeadingElement(const DOM::HTMLHeadingElement&)
	{61, 251, 666, 1, 0, 199, 2},	//897 DOM::HTMLHeadingElement::HTMLHeadingElement(const DOM::Node&)
	{61, 1162, 573, 1, 0, 198, 3},	//898 DOM::HTMLHeadingElement::operator=(const DOM::HTMLHeadingElement&)
	{61, 1162, 666, 1, 0, 198, 4},	//899 DOM::HTMLHeadingElement::operator=(const DOM::Node&)
	{61, 1985, 0, 0, Smoke::mf_dtor, 0, 8},	//900 DOM::HTMLHeadingElement::~HTMLHeadingElement()
	{61, 540, 0, 0, Smoke::mf_const, 86, 5},	//901 DOM::HTMLHeadingElement::align() const
	{61, 1340, 422, 1, 0, 0, 6},	//902 DOM::HTMLHeadingElement::setAlign(const DOM::DOMString&)
	{61, 251, 43, 1, Smoke::mf_protected, 199, 7},	//903 DOM::HTMLHeadingElement::HTMLHeadingElement(DOM::HTMLElementImpl*)
	{62, 254, 0, 0, 0, 201, 0},	//904 DOM::HTMLHtmlElement::HTMLHtmlElement()
	{62, 254, 575, 1, Smoke::mf_copyctor, 201, 1},	//905 DOM::HTMLHtmlElement::HTMLHtmlElement(const DOM::HTMLHtmlElement&)
	{62, 254, 666, 1, 0, 201, 2},	//906 DOM::HTMLHtmlElement::HTMLHtmlElement(const DOM::Node&)
	{62, 1162, 575, 1, 0, 200, 3},	//907 DOM::HTMLHtmlElement::operator=(const DOM::HTMLHtmlElement&)
	{62, 1162, 666, 1, 0, 200, 4},	//908 DOM::HTMLHtmlElement::operator=(const DOM::Node&)
	{62, 1986, 0, 0, Smoke::mf_dtor, 0, 8},	//909 DOM::HTMLHtmlElement::~HTMLHtmlElement()
	{62, 1880, 0, 0, Smoke::mf_const, 86, 5},	//910 DOM::HTMLHtmlElement::version() const
	{62, 1732, 422, 1, 0, 0, 6},	//911 DOM::HTMLHtmlElement::setVersion(const DOM::DOMString&)
	{62, 254, 61, 1, Smoke::mf_protected, 201, 7},	//912 DOM::HTMLHtmlElement::HTMLHtmlElement(DOM::HTMLHtmlElementImpl*)
	{63, 257, 0, 0, 0, 204, 0},	//913 DOM::HTMLIFrameElement::HTMLIFrameElement()
	{63, 257, 577, 1, Smoke::mf_copyctor, 204, 1},	//914 DOM::HTMLIFrameElement::HTMLIFrameElement(const DOM::HTMLIFrameElement&)
	{63, 257, 666, 1, 0, 204, 2},	//915 DOM::HTMLIFrameElement::HTMLIFrameElement(const DOM::Node&)
	{63, 1162, 577, 1, 0, 203, 3},	//916 DOM::HTMLIFrameElement::operator=(const DOM::HTMLIFrameElement&)
	{63, 1162, 666, 1, 0, 203, 4},	//917 DOM::HTMLIFrameElement::operator=(const DOM::Node&)
	{63, 1987, 0, 0, Smoke::mf_dtor, 0, 27},	//918 DOM::HTMLIFrameElement::~HTMLIFrameElement()
	{63, 540, 0, 0, Smoke::mf_const, 86, 5},	//919 DOM::HTMLIFrameElement::align() const
	{63, 1340, 422, 1, 0, 0, 6},	//920 DOM::HTMLIFrameElement::setAlign(const DOM::DOMString&)
	{63, 850, 0, 0, Smoke::mf_const, 86, 7},	//921 DOM::HTMLIFrameElement::frameBorder() const
	{63, 1499, 422, 1, 0, 0, 8},	//922 DOM::HTMLIFrameElement::setFrameBorder(const DOM::DOMString&)
	{63, 923, 0, 0, Smoke::mf_const, 86, 9},	//923 DOM::HTMLIFrameElement::height() const
	{63, 1503, 422, 1, 0, 0, 10},	//924 DOM::HTMLIFrameElement::setHeight(const DOM::DOMString&)
	{63, 1088, 0, 0, Smoke::mf_const, 86, 11},	//925 DOM::HTMLIFrameElement::longDesc() const
	{63, 1554, 422, 1, 0, 0, 12},	//926 DOM::HTMLIFrameElement::setLongDesc(const DOM::DOMString&)
	{63, 1091, 0, 0, Smoke::mf_const, 86, 13},	//927 DOM::HTMLIFrameElement::marginHeight() const
	{63, 1558, 422, 1, 0, 0, 14},	//928 DOM::HTMLIFrameElement::setMarginHeight(const DOM::DOMString&)
	{63, 1092, 0, 0, Smoke::mf_const, 86, 15},	//929 DOM::HTMLIFrameElement::marginWidth() const
	{63, 1561, 422, 1, 0, 0, 16},	//930 DOM::HTMLIFrameElement::setMarginWidth(const DOM::DOMString&)
	{63, 1117, 0, 0, Smoke::mf_const, 86, 17},	//931 DOM::HTMLIFrameElement::name() const
	{63, 1576, 422, 1, 0, 0, 18},	//932 DOM::HTMLIFrameElement::setName(const DOM::DOMString&)
	{63, 1305, 0, 0, Smoke::mf_const, 86, 19},	//933 DOM::HTMLIFrameElement::scrolling() const
	{63, 1637, 422, 1, 0, 0, 20},	//934 DOM::HTMLIFrameElement::setScrolling(const DOM::DOMString&)
	{63, 1789, 0, 0, Smoke::mf_const, 86, 21},	//935 DOM::HTMLIFrameElement::src() const
	{63, 1670, 422, 1, 0, 0, 22},	//936 DOM::HTMLIFrameElement::setSrc(const DOM::DOMString&)
	{63, 1898, 0, 0, Smoke::mf_const, 86, 23},	//937 DOM::HTMLIFrameElement::width() const
	{63, 1744, 422, 1, 0, 0, 24},	//938 DOM::HTMLIFrameElement::setWidth(const DOM::DOMString&)
	{63, 651, 0, 0, Smoke::mf_const, 91, 25},	//939 DOM::HTMLIFrameElement::contentDocument() const
	{63, 257, 63, 1, Smoke::mf_protected, 204, 26},	//940 DOM::HTMLIFrameElement::HTMLIFrameElement(DOM::HTMLIFrameElementImpl*)
	{64, 260, 0, 0, 0, 207, 0},	//941 DOM::HTMLImageElement::HTMLImageElement()
	{64, 260, 581, 1, Smoke::mf_copyctor, 207, 1},	//942 DOM::HTMLImageElement::HTMLImageElement(const DOM::HTMLImageElement&)
	{64, 260, 666, 1, 0, 207, 2},	//943 DOM::HTMLImageElement::HTMLImageElement(const DOM::Node&)
	{64, 1162, 581, 1, 0, 206, 3},	//944 DOM::HTMLImageElement::operator=(const DOM::HTMLImageElement&)
	{64, 1162, 666, 1, 0, 206, 4},	//945 DOM::HTMLImageElement::operator=(const DOM::Node&)
	{64, 1988, 0, 0, Smoke::mf_dtor, 0, 32},	//946 DOM::HTMLImageElement::~HTMLImageElement()
	{64, 1117, 0, 0, Smoke::mf_const, 86, 5},	//947 DOM::HTMLImageElement::name() const
	{64, 1576, 422, 1, 0, 0, 6},	//948 DOM::HTMLImageElement::setName(const DOM::DOMString&)
	{64, 540, 0, 0, Smoke::mf_const, 86, 7},	//949 DOM::HTMLImageElement::align() const
	{64, 1340, 422, 1, 0, 0, 8},	//950 DOM::HTMLImageElement::setAlign(const DOM::DOMString&)
	{64, 543, 0, 0, Smoke::mf_const, 86, 9},	//951 DOM::HTMLImageElement::alt() const
	{64, 1342, 422, 1, 0, 0, 10},	//952 DOM::HTMLImageElement::setAlt(const DOM::DOMString&)
	{64, 866, 0, 0, Smoke::mf_const, 86, 11},	//953 DOM::HTMLImageElement::getBorder() const
	{64, 1374, 422, 1, 0, 0, 12},	//954 DOM::HTMLImageElement::setBorder(const DOM::DOMString&)
	{64, 923, 0, 0, Smoke::mf_const, 879, 13},	//955 DOM::HTMLImageElement::height() const
	{64, 1503, 918, 1, 0, 0, 14},	//956 DOM::HTMLImageElement::setHeight(long)
	{64, 937, 0, 0, Smoke::mf_const, 879, 15},	//957 DOM::HTMLImageElement::hspace() const
	{64, 1512, 918, 1, 0, 0, 16},	//958 DOM::HTMLImageElement::setHspace(long)
	{64, 1014, 0, 0, Smoke::mf_const, 705, 17},	//959 DOM::HTMLImageElement::isMap() const
	{64, 1528, 362, 1, 0, 0, 18},	//960 DOM::HTMLImageElement::setIsMap(bool)
	{64, 1088, 0, 0, Smoke::mf_const, 86, 19},	//961 DOM::HTMLImageElement::longDesc() const
	{64, 1554, 422, 1, 0, 0, 20},	//962 DOM::HTMLImageElement::setLongDesc(const DOM::DOMString&)
	{64, 1789, 0, 0, Smoke::mf_const, 86, 21},	//963 DOM::HTMLImageElement::src() const
	{64, 1670, 422, 1, 0, 0, 22},	//964 DOM::HTMLImageElement::setSrc(const DOM::DOMString&)
	{64, 1873, 0, 0, Smoke::mf_const, 86, 23},	//965 DOM::HTMLImageElement::useMap() const
	{64, 1718, 422, 1, 0, 0, 24},	//966 DOM::HTMLImageElement::setUseMap(const DOM::DOMString&)
	{64, 1890, 0, 0, Smoke::mf_const, 879, 25},	//967 DOM::HTMLImageElement::vspace() const
	{64, 1740, 918, 1, 0, 0, 26},	//968 DOM::HTMLImageElement::setVspace(long)
	{64, 1898, 0, 0, Smoke::mf_const, 879, 27},	//969 DOM::HTMLImageElement::width() const
	{64, 1744, 918, 1, 0, 0, 28},	//970 DOM::HTMLImageElement::setWidth(long)
	{64, 1919, 0, 0, Smoke::mf_const, 879, 29},	//971 DOM::HTMLImageElement::x() const
	{64, 1921, 0, 0, Smoke::mf_const, 879, 30},	//972 DOM::HTMLImageElement::y() const
	{64, 260, 65, 1, Smoke::mf_protected, 207, 31},	//973 DOM::HTMLImageElement::HTMLImageElement(DOM::HTMLImageElementImpl*)
	{65, 263, 0, 0, 0, 210, 0},	//974 DOM::HTMLInputElement::HTMLInputElement()
	{65, 263, 583, 1, Smoke::mf_copyctor, 210, 1},	//975 DOM::HTMLInputElement::HTMLInputElement(const DOM::HTMLInputElement&)
	{65, 263, 666, 1, 0, 210, 2},	//976 DOM::HTMLInputElement::HTMLInputElement(const DOM::Node&)
	{65, 1162, 583, 1, 0, 209, 3},	//977 DOM::HTMLInputElement::operator=(const DOM::HTMLInputElement&)
	{65, 1162, 666, 1, 0, 209, 4},	//978 DOM::HTMLInputElement::operator=(const DOM::Node&)
	{65, 1989, 0, 0, Smoke::mf_dtor, 0, 52},	//979 DOM::HTMLInputElement::~HTMLInputElement()
	{65, 725, 0, 0, Smoke::mf_const, 86, 5},	//980 DOM::HTMLInputElement::defaultValue() const
	{65, 1459, 422, 1, 0, 0, 6},	//981 DOM::HTMLInputElement::setDefaultValue(const DOM::DOMString&)
	{65, 723, 0, 0, Smoke::mf_const, 705, 7},	//982 DOM::HTMLInputElement::defaultChecked() const
	{65, 1455, 362, 1, 0, 0, 8},	//983 DOM::HTMLInputElement::setDefaultChecked(bool)
	{65, 844, 0, 0, Smoke::mf_const, 181, 9},	//984 DOM::HTMLInputElement::form() const
	{65, 514, 0, 0, Smoke::mf_const, 86, 10},	//985 DOM::HTMLInputElement::accept() const
	{65, 1330, 422, 1, 0, 0, 11},	//986 DOM::HTMLInputElement::setAccept(const DOM::DOMString&)
	{65, 518, 0, 0, Smoke::mf_const, 86, 12},	//987 DOM::HTMLInputElement::accessKey() const
	{65, 1334, 422, 1, 0, 0, 13},	//988 DOM::HTMLInputElement::setAccessKey(const DOM::DOMString&)
	{65, 540, 0, 0, Smoke::mf_const, 86, 14},	//989 DOM::HTMLInputElement::align() const
	{65, 1340, 422, 1, 0, 0, 15},	//990 DOM::HTMLInputElement::setAlign(const DOM::DOMString&)
	{65, 543, 0, 0, Smoke::mf_const, 86, 16},	//991 DOM::HTMLInputElement::alt() const
	{65, 1342, 422, 1, 0, 0, 17},	//992 DOM::HTMLInputElement::setAlt(const DOM::DOMString&)
	{65, 607, 0, 0, Smoke::mf_const, 705, 18},	//993 DOM::HTMLInputElement::checked() const
	{65, 1401, 362, 1, 0, 0, 19},	//994 DOM::HTMLInputElement::setChecked(bool)
	{65, 951, 0, 0, Smoke::mf_const, 705, 20},	//995 DOM::HTMLInputElement::indeterminate() const
	{65, 1520, 362, 1, 0, 0, 21},	//996 DOM::HTMLInputElement::setIndeterminate(bool)
	{65, 749, 0, 0, Smoke::mf_const, 705, 22},	//997 DOM::HTMLInputElement::disabled() const
	{65, 1467, 362, 1, 0, 0, 23},	//998 DOM::HTMLInputElement::setDisabled(bool)
	{65, 1094, 0, 0, Smoke::mf_const, 879, 24},	//999 DOM::HTMLInputElement::maxLength() const
	{65, 1564, 918, 1, 0, 0, 25},	//1000 DOM::HTMLInputElement::setMaxLength(long)
	{65, 1117, 0, 0, Smoke::mf_const, 86, 26},	//1001 DOM::HTMLInputElement::name() const
	{65, 1576, 422, 1, 0, 0, 27},	//1002 DOM::HTMLInputElement::setName(const DOM::DOMString&)
	{65, 1236, 0, 0, Smoke::mf_const, 705, 28},	//1003 DOM::HTMLInputElement::readOnly() const
	{65, 1618, 362, 1, 0, 0, 29},	//1004 DOM::HTMLInputElement::setReadOnly(bool)
	{65, 902, 0, 0, Smoke::mf_const, 879, 30},	//1005 DOM::HTMLInputElement::getSize() const
	{65, 1661, 918, 1, 0, 0, 31},	//1006 DOM::HTMLInputElement::setSize(long)
	{65, 1789, 0, 0, Smoke::mf_const, 86, 32},	//1007 DOM::HTMLInputElement::src() const
	{65, 1670, 422, 1, 0, 0, 33},	//1008 DOM::HTMLInputElement::setSrc(const DOM::DOMString&)
	{65, 1832, 0, 0, Smoke::mf_const, 879, 34},	//1009 DOM::HTMLInputElement::tabIndex() const
	{65, 1700, 918, 1, 0, 0, 35},	//1010 DOM::HTMLInputElement::setTabIndex(long)
	{65, 1858, 0, 0, Smoke::mf_const, 86, 36},	//1011 DOM::HTMLInputElement::type() const
	{65, 1712, 422, 1, 0, 0, 37},	//1012 DOM::HTMLInputElement::setType(const DOM::DOMString&)
	{65, 1873, 0, 0, Smoke::mf_const, 86, 38},	//1013 DOM::HTMLInputElement::useMap() const
	{65, 1718, 422, 1, 0, 0, 39},	//1014 DOM::HTMLInputElement::setUseMap(const DOM::DOMString&)
	{65, 1878, 0, 0, Smoke::mf_const, 86, 40},	//1015 DOM::HTMLInputElement::value() const
	{65, 1727, 422, 1, 0, 0, 41},	//1016 DOM::HTMLInputElement::setValue(const DOM::DOMString&)
	{65, 579, 0, 0, 0, 0, 42},	//1017 DOM::HTMLInputElement::blur()
	{65, 833, 0, 0, 0, 0, 43},	//1018 DOM::HTMLInputElement::focus()
	{65, 1307, 0, 0, 0, 0, 44},	//1019 DOM::HTMLInputElement::select()
	{65, 616, 0, 0, 0, 0, 45},	//1020 DOM::HTMLInputElement::click()
	{65, 1322, 0, 0, 0, 879, 46},	//1021 DOM::HTMLInputElement::selectionStart()
	{65, 1655, 918, 1, 0, 0, 47},	//1022 DOM::HTMLInputElement::setSelectionStart(long)
	{65, 1321, 0, 0, 0, 879, 48},	//1023 DOM::HTMLInputElement::selectionEnd()
	{65, 1651, 918, 1, 0, 0, 49},	//1024 DOM::HTMLInputElement::setSelectionEnd(long)
	{65, 1653, 920, 2, 0, 0, 50},	//1025 DOM::HTMLInputElement::setSelectionRange(long, long)
	{65, 263, 69, 1, Smoke::mf_protected, 210, 51},	//1026 DOM::HTMLInputElement::HTMLInputElement(DOM::HTMLInputElementImpl*)
	{66, 266, 0, 0, 0, 213, 0},	//1027 DOM::HTMLIsIndexElement::HTMLIsIndexElement()
	{66, 266, 585, 1, Smoke::mf_copyctor, 213, 1},	//1028 DOM::HTMLIsIndexElement::HTMLIsIndexElement(const DOM::HTMLIsIndexElement&)
	{66, 266, 666, 1, 0, 213, 2},	//1029 DOM::HTMLIsIndexElement::HTMLIsIndexElement(const DOM::Node&)
	{66, 1162, 585, 1, 0, 212, 3},	//1030 DOM::HTMLIsIndexElement::operator=(const DOM::HTMLIsIndexElement&)
	{66, 1162, 666, 1, 0, 212, 4},	//1031 DOM::HTMLIsIndexElement::operator=(const DOM::Node&)
	{66, 1990, 0, 0, Smoke::mf_dtor, 0, 9},	//1032 DOM::HTMLIsIndexElement::~HTMLIsIndexElement()
	{66, 844, 0, 0, Smoke::mf_const, 181, 5},	//1033 DOM::HTMLIsIndexElement::form() const
	{66, 1220, 0, 0, Smoke::mf_const, 86, 6},	//1034 DOM::HTMLIsIndexElement::prompt() const
	{66, 1614, 422, 1, 0, 0, 7},	//1035 DOM::HTMLIsIndexElement::setPrompt(const DOM::DOMString&)
	{66, 266, 71, 1, Smoke::mf_protected, 213, 8},	//1036 DOM::HTMLIsIndexElement::HTMLIsIndexElement(DOM::HTMLIsIndexElementImpl*)
	{67, 269, 0, 0, 0, 216, 0},	//1037 DOM::HTMLLIElement::HTMLLIElement()
	{67, 269, 587, 1, Smoke::mf_copyctor, 216, 1},	//1038 DOM::HTMLLIElement::HTMLLIElement(const DOM::HTMLLIElement&)
	{67, 269, 666, 1, 0, 216, 2},	//1039 DOM::HTMLLIElement::HTMLLIElement(const DOM::Node&)
	{67, 1162, 587, 1, 0, 215, 3},	//1040 DOM::HTMLLIElement::operator=(const DOM::HTMLLIElement&)
	{67, 1162, 666, 1, 0, 215, 4},	//1041 DOM::HTMLLIElement::operator=(const DOM::Node&)
	{67, 1991, 0, 0, Smoke::mf_dtor, 0, 10},	//1042 DOM::HTMLLIElement::~HTMLLIElement()
	{67, 1858, 0, 0, Smoke::mf_const, 86, 5},	//1043 DOM::HTMLLIElement::type() const
	{67, 1712, 422, 1, 0, 0, 6},	//1044 DOM::HTMLLIElement::setType(const DOM::DOMString&)
	{67, 1878, 0, 0, Smoke::mf_const, 879, 7},	//1045 DOM::HTMLLIElement::value() const
	{67, 1727, 918, 1, 0, 0, 8},	//1046 DOM::HTMLLIElement::setValue(long)
	{67, 269, 73, 1, Smoke::mf_protected, 216, 9},	//1047 DOM::HTMLLIElement::HTMLLIElement(DOM::HTMLLIElementImpl*)
	{68, 272, 0, 0, 0, 219, 0},	//1048 DOM::HTMLLabelElement::HTMLLabelElement()
	{68, 272, 589, 1, Smoke::mf_copyctor, 219, 1},	//1049 DOM::HTMLLabelElement::HTMLLabelElement(const DOM::HTMLLabelElement&)
	{68, 272, 666, 1, 0, 219, 2},	//1050 DOM::HTMLLabelElement::HTMLLabelElement(const DOM::Node&)
	{68, 1162, 589, 1, 0, 218, 3},	//1051 DOM::HTMLLabelElement::operator=(const DOM::HTMLLabelElement&)
	{68, 1162, 666, 1, 0, 218, 4},	//1052 DOM::HTMLLabelElement::operator=(const DOM::Node&)
	{68, 1992, 0, 0, Smoke::mf_dtor, 0, 10},	//1053 DOM::HTMLLabelElement::~HTMLLabelElement()
	{68, 518, 0, 0, Smoke::mf_const, 86, 5},	//1054 DOM::HTMLLabelElement::accessKey() const
	{68, 1334, 422, 1, 0, 0, 6},	//1055 DOM::HTMLLabelElement::setAccessKey(const DOM::DOMString&)
	{68, 941, 0, 0, Smoke::mf_const, 86, 7},	//1056 DOM::HTMLLabelElement::htmlFor() const
	{68, 1514, 422, 1, 0, 0, 8},	//1057 DOM::HTMLLabelElement::setHtmlFor(const DOM::DOMString&)
	{68, 272, 75, 1, Smoke::mf_protected, 219, 9},	//1058 DOM::HTMLLabelElement::HTMLLabelElement(DOM::HTMLLabelElementImpl*)
	{69, 275, 0, 0, 0, 222, 0},	//1059 DOM::HTMLLayerElement::HTMLLayerElement()
	{69, 275, 591, 1, Smoke::mf_copyctor, 222, 1},	//1060 DOM::HTMLLayerElement::HTMLLayerElement(const DOM::HTMLLayerElement&)
	{69, 275, 666, 1, 0, 222, 2},	//1061 DOM::HTMLLayerElement::HTMLLayerElement(const DOM::Node&)
	{69, 1162, 591, 1, 0, 221, 3},	//1062 DOM::HTMLLayerElement::operator=(const DOM::HTMLLayerElement&)
	{69, 1162, 666, 1, 0, 221, 4},	//1063 DOM::HTMLLayerElement::operator=(const DOM::Node&)
	{69, 1993, 0, 0, Smoke::mf_dtor, 0, 15},	//1064 DOM::HTMLLayerElement::~HTMLLayerElement()
	{69, 1854, 0, 0, Smoke::mf_const, 879, 5},	//1065 DOM::HTMLLayerElement::top() const
	{69, 1710, 918, 1, 0, 0, 6},	//1066 DOM::HTMLLayerElement::setTop(long)
	{69, 1073, 0, 0, Smoke::mf_const, 879, 7},	//1067 DOM::HTMLLayerElement::left() const
	{69, 1546, 918, 1, 0, 0, 8},	//1068 DOM::HTMLLayerElement::setLeft(long)
	{69, 1887, 0, 0, Smoke::mf_const, 86, 9},	//1069 DOM::HTMLLayerElement::visibility() const
	{69, 1736, 422, 1, 0, 0, 10},	//1070 DOM::HTMLLayerElement::setVisibility(const DOM::DOMString&)
	{69, 577, 0, 0, Smoke::mf_const, 86, 11},	//1071 DOM::HTMLLayerElement::bgColor() const
	{69, 1370, 422, 1, 0, 0, 12},	//1072 DOM::HTMLLayerElement::setBgColor(const DOM::DOMString&)
	{69, 1069, 0, 0, Smoke::mf_const, 153, 13},	//1073 DOM::HTMLLayerElement::layers() const
	{69, 275, 77, 1, Smoke::mf_protected, 222, 14},	//1074 DOM::HTMLLayerElement::HTMLLayerElement(DOM::HTMLLayerElementImpl*)
	{70, 278, 0, 0, 0, 225, 0},	//1075 DOM::HTMLLegendElement::HTMLLegendElement()
	{70, 278, 593, 1, Smoke::mf_copyctor, 225, 1},	//1076 DOM::HTMLLegendElement::HTMLLegendElement(const DOM::HTMLLegendElement&)
	{70, 278, 666, 1, 0, 225, 2},	//1077 DOM::HTMLLegendElement::HTMLLegendElement(const DOM::Node&)
	{70, 1162, 593, 1, 0, 224, 3},	//1078 DOM::HTMLLegendElement::operator=(const DOM::HTMLLegendElement&)
	{70, 1162, 666, 1, 0, 224, 4},	//1079 DOM::HTMLLegendElement::operator=(const DOM::Node&)
	{70, 1994, 0, 0, Smoke::mf_dtor, 0, 11},	//1080 DOM::HTMLLegendElement::~HTMLLegendElement()
	{70, 844, 0, 0, Smoke::mf_const, 181, 5},	//1081 DOM::HTMLLegendElement::form() const
	{70, 518, 0, 0, Smoke::mf_const, 86, 6},	//1082 DOM::HTMLLegendElement::accessKey() const
	{70, 1334, 422, 1, 0, 0, 7},	//1083 DOM::HTMLLegendElement::setAccessKey(const DOM::DOMString&)
	{70, 540, 0, 0, Smoke::mf_const, 86, 8},	//1084 DOM::HTMLLegendElement::align() const
	{70, 1340, 422, 1, 0, 0, 9},	//1085 DOM::HTMLLegendElement::setAlign(const DOM::DOMString&)
	{70, 278, 79, 1, Smoke::mf_protected, 225, 10},	//1086 DOM::HTMLLegendElement::HTMLLegendElement(DOM::HTMLLegendElementImpl*)
	{71, 281, 0, 0, 0, 228, 0},	//1087 DOM::HTMLLinkElement::HTMLLinkElement()
	{71, 281, 595, 1, Smoke::mf_copyctor, 228, 1},	//1088 DOM::HTMLLinkElement::HTMLLinkElement(const DOM::HTMLLinkElement&)
	{71, 281, 666, 1, 0, 228, 2},	//1089 DOM::HTMLLinkElement::HTMLLinkElement(const DOM::Node&)
	{71, 1162, 595, 1, 0, 227, 3},	//1090 DOM::HTMLLinkElement::operator=(const DOM::HTMLLinkElement&)
	{71, 1162, 666, 1, 0, 227, 4},	//1091 DOM::HTMLLinkElement::operator=(const DOM::Node&)
	{71, 1995, 0, 0, Smoke::mf_dtor, 0, 25},	//1092 DOM::HTMLLinkElement::~HTMLLinkElement()
	{71, 749, 0, 0, Smoke::mf_const, 705, 5},	//1093 DOM::HTMLLinkElement::disabled() const
	{71, 1467, 362, 1, 0, 0, 6},	//1094 DOM::HTMLLinkElement::setDisabled(bool)
	{71, 606, 0, 0, Smoke::mf_const, 86, 7},	//1095 DOM::HTMLLinkElement::charset() const
	{71, 1399, 422, 1, 0, 0, 8},	//1096 DOM::HTMLLinkElement::setCharset(const DOM::DOMString&)
	{71, 935, 0, 0, Smoke::mf_const, 86, 9},	//1097 DOM::HTMLLinkElement::href() const
	{71, 1508, 422, 1, 0, 0, 10},	//1098 DOM::HTMLLinkElement::setHref(const DOM::DOMString&)
	{71, 936, 0, 0, Smoke::mf_const, 86, 11},	//1099 DOM::HTMLLinkElement::hreflang() const
	{71, 1510, 422, 1, 0, 0, 12},	//1100 DOM::HTMLLinkElement::setHreflang(const DOM::DOMString&)
	{71, 1095, 0, 0, Smoke::mf_const, 86, 13},	//1101 DOM::HTMLLinkElement::media() const
	{71, 1566, 422, 1, 0, 0, 14},	//1102 DOM::HTMLLinkElement::setMedia(const DOM::DOMString&)
	{71, 1241, 0, 0, Smoke::mf_const, 86, 15},	//1103 DOM::HTMLLinkElement::rel() const
	{71, 1620, 422, 1, 0, 0, 16},	//1104 DOM::HTMLLinkElement::setRel(const DOM::DOMString&)
	{71, 1283, 0, 0, Smoke::mf_const, 86, 17},	//1105 DOM::HTMLLinkElement::rev() const
	{71, 1622, 422, 1, 0, 0, 18},	//1106 DOM::HTMLLinkElement::setRev(const DOM::DOMString&)
	{71, 1836, 0, 0, Smoke::mf_const, 86, 19},	//1107 DOM::HTMLLinkElement::target() const
	{71, 1702, 422, 1, 0, 0, 20},	//1108 DOM::HTMLLinkElement::setTarget(const DOM::DOMString&)
	{71, 1858, 0, 0, Smoke::mf_const, 86, 21},	//1109 DOM::HTMLLinkElement::type() const
	{71, 1712, 422, 1, 0, 0, 22},	//1110 DOM::HTMLLinkElement::setType(const DOM::DOMString&)
	{71, 1763, 0, 0, Smoke::mf_const, 362, 23},	//1111 DOM::HTMLLinkElement::sheet() const
	{71, 281, 81, 1, Smoke::mf_protected, 228, 24},	//1112 DOM::HTMLLinkElement::HTMLLinkElement(DOM::HTMLLinkElementImpl*)
	{72, 284, 0, 0, 0, 231, 0},	//1113 DOM::HTMLMapElement::HTMLMapElement()
	{72, 284, 597, 1, Smoke::mf_copyctor, 231, 1},	//1114 DOM::HTMLMapElement::HTMLMapElement(const DOM::HTMLMapElement&)
	{72, 284, 666, 1, 0, 231, 2},	//1115 DOM::HTMLMapElement::HTMLMapElement(const DOM::Node&)
	{72, 1162, 597, 1, 0, 230, 3},	//1116 DOM::HTMLMapElement::operator=(const DOM::HTMLMapElement&)
	{72, 1162, 666, 1, 0, 230, 4},	//1117 DOM::HTMLMapElement::operator=(const DOM::Node&)
	{72, 1996, 0, 0, Smoke::mf_dtor, 0, 9},	//1118 DOM::HTMLMapElement::~HTMLMapElement()
	{72, 555, 0, 0, Smoke::mf_const, 153, 5},	//1119 DOM::HTMLMapElement::areas() const
	{72, 1117, 0, 0, Smoke::mf_const, 86, 6},	//1120 DOM::HTMLMapElement::name() const
	{72, 1576, 422, 1, 0, 0, 7},	//1121 DOM::HTMLMapElement::setName(const DOM::DOMString&)
	{72, 284, 83, 1, Smoke::mf_protected, 231, 8},	//1122 DOM::HTMLMapElement::HTMLMapElement(DOM::HTMLMapElementImpl*)
	{73, 287, 0, 0, 0, 234, 0},	//1123 DOM::HTMLMenuElement::HTMLMenuElement()
	{73, 287, 599, 1, Smoke::mf_copyctor, 234, 1},	//1124 DOM::HTMLMenuElement::HTMLMenuElement(const DOM::HTMLMenuElement&)
	{73, 287, 666, 1, 0, 234, 2},	//1125 DOM::HTMLMenuElement::HTMLMenuElement(const DOM::Node&)
	{73, 1162, 599, 1, 0, 233, 3},	//1126 DOM::HTMLMenuElement::operator=(const DOM::HTMLMenuElement&)
	{73, 1162, 666, 1, 0, 233, 4},	//1127 DOM::HTMLMenuElement::operator=(const DOM::Node&)
	{73, 1997, 0, 0, Smoke::mf_dtor, 0, 8},	//1128 DOM::HTMLMenuElement::~HTMLMenuElement()
	{73, 638, 0, 0, Smoke::mf_const, 705, 5},	//1129 DOM::HTMLMenuElement::compact() const
	{73, 1423, 362, 1, 0, 0, 6},	//1130 DOM::HTMLMenuElement::setCompact(bool)
	{73, 287, 85, 1, Smoke::mf_protected, 234, 7},	//1131 DOM::HTMLMenuElement::HTMLMenuElement(DOM::HTMLMenuElementImpl*)
	{74, 290, 0, 0, 0, 237, 0},	//1132 DOM::HTMLMetaElement::HTMLMetaElement()
	{74, 290, 603, 1, Smoke::mf_copyctor, 237, 1},	//1133 DOM::HTMLMetaElement::HTMLMetaElement(const DOM::HTMLMetaElement&)
	{74, 290, 666, 1, 0, 237, 2},	//1134 DOM::HTMLMetaElement::HTMLMetaElement(const DOM::Node&)
	{74, 1162, 603, 1, 0, 236, 3},	//1135 DOM::HTMLMetaElement::operator=(const DOM::HTMLMetaElement&)
	{74, 1162, 666, 1, 0, 236, 4},	//1136 DOM::HTMLMetaElement::operator=(const DOM::Node&)
	{74, 1998, 0, 0, Smoke::mf_dtor, 0, 14},	//1137 DOM::HTMLMetaElement::~HTMLMetaElement()
	{74, 650, 0, 0, Smoke::mf_const, 86, 5},	//1138 DOM::HTMLMetaElement::content() const
	{74, 1428, 422, 1, 0, 0, 6},	//1139 DOM::HTMLMetaElement::setContent(const DOM::DOMString&)
	{74, 942, 0, 0, Smoke::mf_const, 86, 7},	//1140 DOM::HTMLMetaElement::httpEquiv() const
	{74, 1516, 422, 1, 0, 0, 8},	//1141 DOM::HTMLMetaElement::setHttpEquiv(const DOM::DOMString&)
	{74, 1117, 0, 0, Smoke::mf_const, 86, 9},	//1142 DOM::HTMLMetaElement::name() const
	{74, 1576, 422, 1, 0, 0, 10},	//1143 DOM::HTMLMetaElement::setName(const DOM::DOMString&)
	{74, 1296, 0, 0, Smoke::mf_const, 86, 11},	//1144 DOM::HTMLMetaElement::scheme() const
	{74, 1633, 422, 1, 0, 0, 12},	//1145 DOM::HTMLMetaElement::setScheme(const DOM::DOMString&)
	{74, 290, 87, 1, Smoke::mf_protected, 237, 13},	//1146 DOM::HTMLMetaElement::HTMLMetaElement(DOM::HTMLMetaElementImpl*)
	{75, 293, 0, 0, 0, 240, 0},	//1147 DOM::HTMLModElement::HTMLModElement()
	{75, 293, 605, 1, Smoke::mf_copyctor, 240, 1},	//1148 DOM::HTMLModElement::HTMLModElement(const DOM::HTMLModElement&)
	{75, 293, 666, 1, 0, 240, 2},	//1149 DOM::HTMLModElement::HTMLModElement(const DOM::Node&)
	{75, 1162, 605, 1, 0, 239, 3},	//1150 DOM::HTMLModElement::operator=(const DOM::HTMLModElement&)
	{75, 1162, 666, 1, 0, 239, 4},	//1151 DOM::HTMLModElement::operator=(const DOM::Node&)
	{75, 1999, 0, 0, Smoke::mf_dtor, 0, 10},	//1152 DOM::HTMLModElement::~HTMLModElement()
	{75, 612, 0, 0, Smoke::mf_const, 86, 5},	//1153 DOM::HTMLModElement::cite() const
	{75, 1403, 422, 1, 0, 0, 6},	//1154 DOM::HTMLModElement::setCite(const DOM::DOMString&)
	{75, 721, 0, 0, Smoke::mf_const, 86, 7},	//1155 DOM::HTMLModElement::dateTime() const
	{75, 1451, 422, 1, 0, 0, 8},	//1156 DOM::HTMLModElement::setDateTime(const DOM::DOMString&)
	{75, 293, 43, 1, Smoke::mf_protected, 240, 9},	//1157 DOM::HTMLModElement::HTMLModElement(DOM::HTMLElementImpl*)
	{76, 296, 0, 0, 0, 242, 0},	//1158 DOM::HTMLOListElement::HTMLOListElement()
	{76, 296, 607, 1, Smoke::mf_copyctor, 242, 1},	//1159 DOM::HTMLOListElement::HTMLOListElement(const DOM::HTMLOListElement&)
	{76, 296, 666, 1, 0, 242, 2},	//1160 DOM::HTMLOListElement::HTMLOListElement(const DOM::Node&)
	{76, 1162, 607, 1, 0, 241, 3},	//1161 DOM::HTMLOListElement::operator=(const DOM::HTMLOListElement&)
	{76, 1162, 666, 1, 0, 241, 4},	//1162 DOM::HTMLOListElement::operator=(const DOM::Node&)
	{76, 2000, 0, 0, Smoke::mf_dtor, 0, 12},	//1163 DOM::HTMLOListElement::~HTMLOListElement()
	{76, 638, 0, 0, Smoke::mf_const, 705, 5},	//1164 DOM::HTMLOListElement::compact() const
	{76, 1423, 362, 1, 0, 0, 6},	//1165 DOM::HTMLOListElement::setCompact(bool)
	{76, 1791, 0, 0, Smoke::mf_const, 879, 7},	//1166 DOM::HTMLOListElement::start() const
	{76, 1676, 918, 1, 0, 0, 8},	//1167 DOM::HTMLOListElement::setStart(long)
	{76, 1858, 0, 0, Smoke::mf_const, 86, 9},	//1168 DOM::HTMLOListElement::type() const
	{76, 1712, 422, 1, 0, 0, 10},	//1169 DOM::HTMLOListElement::setType(const DOM::DOMString&)
	{76, 296, 91, 1, Smoke::mf_protected, 242, 11},	//1170 DOM::HTMLOListElement::HTMLOListElement(DOM::HTMLOListElementImpl*)
	{77, 299, 0, 0, 0, 245, 0},	//1171 DOM::HTMLObjectElement::HTMLObjectElement()
	{77, 299, 609, 1, Smoke::mf_copyctor, 245, 1},	//1172 DOM::HTMLObjectElement::HTMLObjectElement(const DOM::HTMLObjectElement&)
	{77, 299, 666, 1, 0, 245, 2},	//1173 DOM::HTMLObjectElement::HTMLObjectElement(const DOM::Node&)
	{77, 1162, 609, 1, 0, 244, 3},	//1174 DOM::HTMLObjectElement::operator=(const DOM::HTMLObjectElement&)
	{77, 1162, 666, 1, 0, 244, 4},	//1175 DOM::HTMLObjectElement::operator=(const DOM::Node&)
	{77, 2001, 0, 0, Smoke::mf_dtor, 0, 42},	//1176 DOM::HTMLObjectElement::~HTMLObjectElement()
	{77, 844, 0, 0, Smoke::mf_const, 181, 5},	//1177 DOM::HTMLObjectElement::form() const
	{77, 628, 0, 0, Smoke::mf_const, 86, 6},	//1178 DOM::HTMLObjectElement::code() const
	{77, 1409, 422, 1, 0, 0, 7},	//1179 DOM::HTMLObjectElement::setCode(const DOM::DOMString&)
	{77, 540, 0, 0, Smoke::mf_const, 86, 8},	//1180 DOM::HTMLObjectElement::align() const
	{77, 1340, 422, 1, 0, 0, 9},	//1181 DOM::HTMLObjectElement::setAlign(const DOM::DOMString&)
	{77, 554, 0, 0, Smoke::mf_const, 86, 10},	//1182 DOM::HTMLObjectElement::archive() const
	{77, 1346, 422, 1, 0, 0, 11},	//1183 DOM::HTMLObjectElement::setArchive(const DOM::DOMString&)
	{77, 581, 0, 0, Smoke::mf_const, 86, 12},	//1184 DOM::HTMLObjectElement::border() const
	{77, 1374, 422, 1, 0, 0, 13},	//1185 DOM::HTMLObjectElement::setBorder(const DOM::DOMString&)
	{77, 629, 0, 0, Smoke::mf_const, 86, 14},	//1186 DOM::HTMLObjectElement::codeBase() const
	{77, 1412, 422, 1, 0, 0, 15},	//1187 DOM::HTMLObjectElement::setCodeBase(const DOM::DOMString&)
	{77, 630, 0, 0, Smoke::mf_const, 86, 16},	//1188 DOM::HTMLObjectElement::codeType() const
	{77, 1414, 422, 1, 0, 0, 17},	//1189 DOM::HTMLObjectElement::setCodeType(const DOM::DOMString&)
	{77, 720, 0, 0, Smoke::mf_const, 86, 18},	//1190 DOM::HTMLObjectElement::data() const
	{77, 1449, 422, 1, 0, 0, 19},	//1191 DOM::HTMLObjectElement::setData(const DOM::DOMString&)
	{77, 722, 0, 0, Smoke::mf_const, 705, 20},	//1192 DOM::HTMLObjectElement::declare() const
	{77, 1453, 362, 1, 0, 0, 21},	//1193 DOM::HTMLObjectElement::setDeclare(bool)
	{77, 923, 0, 0, Smoke::mf_const, 86, 22},	//1194 DOM::HTMLObjectElement::height() const
	{77, 1503, 422, 1, 0, 0, 23},	//1195 DOM::HTMLObjectElement::setHeight(const DOM::DOMString&)
	{77, 882, 0, 0, Smoke::mf_const, 879, 24},	//1196 DOM::HTMLObjectElement::getHspace() const
	{77, 1512, 918, 1, 0, 0, 25},	//1197 DOM::HTMLObjectElement::setHspace(long)
	{77, 1117, 0, 0, Smoke::mf_const, 86, 26},	//1198 DOM::HTMLObjectElement::name() const
	{77, 1576, 422, 1, 0, 0, 27},	//1199 DOM::HTMLObjectElement::setName(const DOM::DOMString&)
	{77, 1790, 0, 0, Smoke::mf_const, 86, 28},	//1200 DOM::HTMLObjectElement::standby() const
	{77, 1674, 422, 1, 0, 0, 29},	//1201 DOM::HTMLObjectElement::setStandby(const DOM::DOMString&)
	{77, 1832, 0, 0, Smoke::mf_const, 879, 30},	//1202 DOM::HTMLObjectElement::tabIndex() const
	{77, 1700, 918, 1, 0, 0, 31},	//1203 DOM::HTMLObjectElement::setTabIndex(long)
	{77, 1858, 0, 0, Smoke::mf_const, 86, 32},	//1204 DOM::HTMLObjectElement::type() const
	{77, 1712, 422, 1, 0, 0, 33},	//1205 DOM::HTMLObjectElement::setType(const DOM::DOMString&)
	{77, 1873, 0, 0, Smoke::mf_const, 86, 34},	//1206 DOM::HTMLObjectElement::useMap() const
	{77, 1718, 422, 1, 0, 0, 35},	//1207 DOM::HTMLObjectElement::setUseMap(const DOM::DOMString&)
	{77, 904, 0, 0, Smoke::mf_const, 879, 36},	//1208 DOM::HTMLObjectElement::getVspace() const
	{77, 1740, 918, 1, 0, 0, 37},	//1209 DOM::HTMLObjectElement::setVspace(long)
	{77, 1898, 0, 0, Smoke::mf_const, 86, 38},	//1210 DOM::HTMLObjectElement::width() const
	{77, 1744, 422, 1, 0, 0, 39},	//1211 DOM::HTMLObjectElement::setWidth(const DOM::DOMString&)
	{77, 651, 0, 0, Smoke::mf_const, 91, 40},	//1212 DOM::HTMLObjectElement::contentDocument() const
	{77, 299, 93, 1, Smoke::mf_protected, 245, 41},	//1213 DOM::HTMLObjectElement::HTMLObjectElement(DOM::HTMLObjectElementImpl*)
	{78, 302, 0, 0, 0, 248, 0},	//1214 DOM::HTMLOptGroupElement::HTMLOptGroupElement()
	{78, 302, 611, 1, Smoke::mf_copyctor, 248, 1},	//1215 DOM::HTMLOptGroupElement::HTMLOptGroupElement(const DOM::HTMLOptGroupElement&)
	{78, 302, 666, 1, 0, 248, 2},	//1216 DOM::HTMLOptGroupElement::HTMLOptGroupElement(const DOM::Node&)
	{78, 1162, 611, 1, 0, 247, 3},	//1217 DOM::HTMLOptGroupElement::operator=(const DOM::HTMLOptGroupElement&)
	{78, 1162, 666, 1, 0, 247, 4},	//1218 DOM::HTMLOptGroupElement::operator=(const DOM::Node&)
	{78, 2002, 0, 0, Smoke::mf_dtor, 0, 10},	//1219 DOM::HTMLOptGroupElement::~HTMLOptGroupElement()
	{78, 749, 0, 0, Smoke::mf_const, 705, 5},	//1220 DOM::HTMLOptGroupElement::disabled() const
	{78, 1467, 362, 1, 0, 0, 6},	//1221 DOM::HTMLOptGroupElement::setDisabled(bool)
	{78, 1062, 0, 0, Smoke::mf_const, 86, 7},	//1222 DOM::HTMLOptGroupElement::label() const
	{78, 1542, 422, 1, 0, 0, 8},	//1223 DOM::HTMLOptGroupElement::setLabel(const DOM::DOMString&)
	{78, 302, 95, 1, Smoke::mf_protected, 248, 9},	//1224 DOM::HTMLOptGroupElement::HTMLOptGroupElement(DOM::HTMLOptGroupElementImpl*)
	{79, 305, 0, 0, 0, 251, 0},	//1225 DOM::HTMLOptionElement::HTMLOptionElement()
	{79, 305, 613, 1, Smoke::mf_copyctor, 251, 1},	//1226 DOM::HTMLOptionElement::HTMLOptionElement(const DOM::HTMLOptionElement&)
	{79, 305, 666, 1, 0, 251, 2},	//1227 DOM::HTMLOptionElement::HTMLOptionElement(const DOM::Node&)
	{79, 1162, 613, 1, 0, 250, 3},	//1228 DOM::HTMLOptionElement::operator=(const DOM::HTMLOptionElement&)
	{79, 1162, 666, 1, 0, 250, 4},	//1229 DOM::HTMLOptionElement::operator=(const DOM::Node&)
	{79, 2003, 0, 0, Smoke::mf_dtor, 0, 20},	//1230 DOM::HTMLOptionElement::~HTMLOptionElement()
	{79, 844, 0, 0, Smoke::mf_const, 181, 5},	//1231 DOM::HTMLOptionElement::form() const
	{79, 724, 0, 0, Smoke::mf_const, 705, 6},	//1232 DOM::HTMLOptionElement::defaultSelected() const
	{79, 1457, 362, 1, 0, 0, 7},	//1233 DOM::HTMLOptionElement::setDefaultSelected(bool)
	{79, 1840, 0, 0, Smoke::mf_const, 86, 8},	//1234 DOM::HTMLOptionElement::text() const
	{79, 952, 0, 0, Smoke::mf_const, 879, 9},	//1235 DOM::HTMLOptionElement::index() const
	{79, 1522, 918, 1, 0, 0, 10},	//1236 DOM::HTMLOptionElement::setIndex(long)
	{79, 749, 0, 0, Smoke::mf_const, 705, 11},	//1237 DOM::HTMLOptionElement::disabled() const
	{79, 1467, 362, 1, 0, 0, 12},	//1238 DOM::HTMLOptionElement::setDisabled(bool)
	{79, 1062, 0, 0, Smoke::mf_const, 86, 13},	//1239 DOM::HTMLOptionElement::label() const
	{79, 1542, 422, 1, 0, 0, 14},	//1240 DOM::HTMLOptionElement::setLabel(const DOM::DOMString&)
	{79, 1313, 0, 0, Smoke::mf_const, 705, 15},	//1241 DOM::HTMLOptionElement::selected() const
	{79, 1643, 362, 1, 0, 0, 16},	//1242 DOM::HTMLOptionElement::setSelected(bool)
	{79, 1878, 0, 0, Smoke::mf_const, 86, 17},	//1243 DOM::HTMLOptionElement::value() const
	{79, 1727, 422, 1, 0, 0, 18},	//1244 DOM::HTMLOptionElement::setValue(const DOM::DOMString&)
	{79, 305, 97, 1, Smoke::mf_protected, 251, 19},	//1245 DOM::HTMLOptionElement::HTMLOptionElement(DOM::HTMLOptionElementImpl*)
	{80, 308, 0, 0, 0, 254, 0},	//1246 DOM::HTMLParagraphElement::HTMLParagraphElement()
	{80, 308, 615, 1, Smoke::mf_copyctor, 254, 1},	//1247 DOM::HTMLParagraphElement::HTMLParagraphElement(const DOM::HTMLParagraphElement&)
	{80, 308, 666, 1, 0, 254, 2},	//1248 DOM::HTMLParagraphElement::HTMLParagraphElement(const DOM::Node&)
	{80, 1162, 615, 1, 0, 253, 3},	//1249 DOM::HTMLParagraphElement::operator=(const DOM::HTMLParagraphElement&)
	{80, 1162, 666, 1, 0, 253, 4},	//1250 DOM::HTMLParagraphElement::operator=(const DOM::Node&)
	{80, 2004, 0, 0, Smoke::mf_dtor, 0, 8},	//1251 DOM::HTMLParagraphElement::~HTMLParagraphElement()
	{80, 540, 0, 0, Smoke::mf_const, 86, 5},	//1252 DOM::HTMLParagraphElement::align() const
	{80, 1340, 422, 1, 0, 0, 6},	//1253 DOM::HTMLParagraphElement::setAlign(const DOM::DOMString&)
	{80, 308, 43, 1, Smoke::mf_protected, 254, 7},	//1254 DOM::HTMLParagraphElement::HTMLParagraphElement(DOM::HTMLElementImpl*)
	{81, 311, 0, 0, 0, 256, 0},	//1255 DOM::HTMLParamElement::HTMLParamElement()
	{81, 311, 617, 1, Smoke::mf_copyctor, 256, 1},	//1256 DOM::HTMLParamElement::HTMLParamElement(const DOM::HTMLParamElement&)
	{81, 311, 666, 1, 0, 256, 2},	//1257 DOM::HTMLParamElement::HTMLParamElement(const DOM::Node&)
	{81, 1162, 617, 1, 0, 255, 3},	//1258 DOM::HTMLParamElement::operator=(const DOM::HTMLParamElement&)
	{81, 1162, 666, 1, 0, 255, 4},	//1259 DOM::HTMLParamElement::operator=(const DOM::Node&)
	{81, 2005, 0, 0, Smoke::mf_dtor, 0, 14},	//1260 DOM::HTMLParamElement::~HTMLParamElement()
	{81, 1117, 0, 0, Smoke::mf_const, 86, 5},	//1261 DOM::HTMLParamElement::name() const
	{81, 1576, 422, 1, 0, 0, 6},	//1262 DOM::HTMLParamElement::setName(const DOM::DOMString&)
	{81, 1858, 0, 0, Smoke::mf_const, 86, 7},	//1263 DOM::HTMLParamElement::type() const
	{81, 1712, 422, 1, 0, 0, 8},	//1264 DOM::HTMLParamElement::setType(const DOM::DOMString&)
	{81, 1878, 0, 0, Smoke::mf_const, 86, 9},	//1265 DOM::HTMLParamElement::value() const
	{81, 1727, 422, 1, 0, 0, 10},	//1266 DOM::HTMLParamElement::setValue(const DOM::DOMString&)
	{81, 1879, 0, 0, Smoke::mf_const, 86, 11},	//1267 DOM::HTMLParamElement::valueType() const
	{81, 1730, 422, 1, 0, 0, 12},	//1268 DOM::HTMLParamElement::setValueType(const DOM::DOMString&)
	{81, 311, 99, 1, Smoke::mf_protected, 256, 13},	//1269 DOM::HTMLParamElement::HTMLParamElement(DOM::HTMLParamElementImpl*)
	{82, 314, 0, 0, 0, 259, 0},	//1270 DOM::HTMLPreElement::HTMLPreElement()
	{82, 314, 619, 1, Smoke::mf_copyctor, 259, 1},	//1271 DOM::HTMLPreElement::HTMLPreElement(const DOM::HTMLPreElement&)
	{82, 314, 666, 1, 0, 259, 2},	//1272 DOM::HTMLPreElement::HTMLPreElement(const DOM::Node&)
	{82, 1162, 619, 1, 0, 258, 3},	//1273 DOM::HTMLPreElement::operator=(const DOM::HTMLPreElement&)
	{82, 1162, 666, 1, 0, 258, 4},	//1274 DOM::HTMLPreElement::operator=(const DOM::Node&)
	{82, 2006, 0, 0, Smoke::mf_dtor, 0, 8},	//1275 DOM::HTMLPreElement::~HTMLPreElement()
	{82, 1898, 0, 0, Smoke::mf_const, 879, 5},	//1276 DOM::HTMLPreElement::width() const
	{82, 1744, 918, 1, 0, 0, 6},	//1277 DOM::HTMLPreElement::setWidth(long)
	{82, 314, 101, 1, Smoke::mf_protected, 259, 7},	//1278 DOM::HTMLPreElement::HTMLPreElement(DOM::HTMLPreElementImpl*)
	{83, 317, 0, 0, 0, 262, 0},	//1279 DOM::HTMLQuoteElement::HTMLQuoteElement()
	{83, 317, 621, 1, Smoke::mf_copyctor, 262, 1},	//1280 DOM::HTMLQuoteElement::HTMLQuoteElement(const DOM::HTMLQuoteElement&)
	{83, 317, 666, 1, 0, 262, 2},	//1281 DOM::HTMLQuoteElement::HTMLQuoteElement(const DOM::Node&)
	{83, 1162, 621, 1, 0, 261, 3},	//1282 DOM::HTMLQuoteElement::operator=(const DOM::HTMLQuoteElement&)
	{83, 1162, 666, 1, 0, 261, 4},	//1283 DOM::HTMLQuoteElement::operator=(const DOM::Node&)
	{83, 2007, 0, 0, Smoke::mf_dtor, 0, 8},	//1284 DOM::HTMLQuoteElement::~HTMLQuoteElement()
	{83, 612, 0, 0, Smoke::mf_const, 86, 5},	//1285 DOM::HTMLQuoteElement::cite() const
	{83, 1403, 422, 1, 0, 0, 6},	//1286 DOM::HTMLQuoteElement::setCite(const DOM::DOMString&)
	{83, 317, 55, 1, Smoke::mf_protected, 262, 7},	//1287 DOM::HTMLQuoteElement::HTMLQuoteElement(DOM::HTMLGenericElementImpl*)
	{84, 320, 0, 0, 0, 264, 0},	//1288 DOM::HTMLScriptElement::HTMLScriptElement()
	{84, 320, 623, 1, Smoke::mf_copyctor, 264, 1},	//1289 DOM::HTMLScriptElement::HTMLScriptElement(const DOM::HTMLScriptElement&)
	{84, 320, 666, 1, 0, 264, 2},	//1290 DOM::HTMLScriptElement::HTMLScriptElement(const DOM::Node&)
	{84, 1162, 623, 1, 0, 263, 3},	//1291 DOM::HTMLScriptElement::operator=(const DOM::HTMLScriptElement&)
	{84, 1162, 666, 1, 0, 263, 4},	//1292 DOM::HTMLScriptElement::operator=(const DOM::Node&)
	{84, 2008, 0, 0, Smoke::mf_dtor, 0, 20},	//1293 DOM::HTMLScriptElement::~HTMLScriptElement()
	{84, 1840, 0, 0, Smoke::mf_const, 86, 5},	//1294 DOM::HTMLScriptElement::text() const
	{84, 1704, 422, 1, 0, 0, 6},	//1295 DOM::HTMLScriptElement::setText(const DOM::DOMString&)
	{84, 941, 0, 0, Smoke::mf_const, 86, 7},	//1296 DOM::HTMLScriptElement::htmlFor() const
	{84, 1514, 422, 1, 0, 0, 8},	//1297 DOM::HTMLScriptElement::setHtmlFor(const DOM::DOMString&)
	{84, 793, 0, 0, Smoke::mf_const, 86, 9},	//1298 DOM::HTMLScriptElement::event() const
	{84, 1483, 422, 1, 0, 0, 10},	//1299 DOM::HTMLScriptElement::setEvent(const DOM::DOMString&)
	{84, 606, 0, 0, Smoke::mf_const, 86, 11},	//1300 DOM::HTMLScriptElement::charset() const
	{84, 1399, 422, 1, 0, 0, 12},	//1301 DOM::HTMLScriptElement::setCharset(const DOM::DOMString&)
	{84, 727, 0, 0, Smoke::mf_const, 705, 13},	//1302 DOM::HTMLScriptElement::defer() const
	{84, 1461, 362, 1, 0, 0, 14},	//1303 DOM::HTMLScriptElement::setDefer(bool)
	{84, 1789, 0, 0, Smoke::mf_const, 86, 15},	//1304 DOM::HTMLScriptElement::src() const
	{84, 1670, 422, 1, 0, 0, 16},	//1305 DOM::HTMLScriptElement::setSrc(const DOM::DOMString&)
	{84, 1858, 0, 0, Smoke::mf_const, 86, 17},	//1306 DOM::HTMLScriptElement::type() const
	{84, 1712, 422, 1, 0, 0, 18},	//1307 DOM::HTMLScriptElement::setType(const DOM::DOMString&)
	{84, 320, 103, 1, Smoke::mf_protected, 264, 19},	//1308 DOM::HTMLScriptElement::HTMLScriptElement(DOM::HTMLScriptElementImpl*)
	{85, 323, 0, 0, 0, 267, 0},	//1309 DOM::HTMLSelectElement::HTMLSelectElement()
	{85, 323, 625, 1, Smoke::mf_copyctor, 267, 1},	//1310 DOM::HTMLSelectElement::HTMLSelectElement(const DOM::HTMLSelectElement&)
	{85, 323, 666, 1, 0, 267, 2},	//1311 DOM::HTMLSelectElement::HTMLSelectElement(const DOM::Node&)
	{85, 1162, 625, 1, 0, 266, 3},	//1312 DOM::HTMLSelectElement::operator=(const DOM::HTMLSelectElement&)
	{85, 1162, 666, 1, 0, 266, 4},	//1313 DOM::HTMLSelectElement::operator=(const DOM::Node&)
	{85, 2009, 0, 0, Smoke::mf_dtor, 0, 28},	//1314 DOM::HTMLSelectElement::~HTMLSelectElement()
	{85, 1858, 0, 0, Smoke::mf_const, 86, 5},	//1315 DOM::HTMLSelectElement::type() const
	{85, 1314, 0, 0, Smoke::mf_const, 879, 6},	//1316 DOM::HTMLSelectElement::selectedIndex() const
	{85, 1645, 918, 1, 0, 0, 7},	//1317 DOM::HTMLSelectElement::setSelectedIndex(long)
	{85, 1878, 0, 0, Smoke::mf_const, 86, 8},	//1318 DOM::HTMLSelectElement::value() const
	{85, 1727, 422, 1, 0, 0, 9},	//1319 DOM::HTMLSelectElement::setValue(const DOM::DOMString&)
	{85, 1074, 0, 0, Smoke::mf_const, 879, 10},	//1320 DOM::HTMLSelectElement::length() const
	{85, 844, 0, 0, Smoke::mf_const, 181, 11},	//1321 DOM::HTMLSelectElement::form() const
	{85, 1170, 0, 0, Smoke::mf_const, 153, 12},	//1322 DOM::HTMLSelectElement::options() const
	{85, 749, 0, 0, Smoke::mf_const, 705, 13},	//1323 DOM::HTMLSelectElement::disabled() const
	{85, 1467, 362, 1, 0, 0, 14},	//1324 DOM::HTMLSelectElement::setDisabled(bool)
	{85, 1116, 0, 0, Smoke::mf_const, 705, 15},	//1325 DOM::HTMLSelectElement::multiple() const
	{85, 1574, 362, 1, 0, 0, 16},	//1326 DOM::HTMLSelectElement::setMultiple(bool)
	{85, 1117, 0, 0, Smoke::mf_const, 86, 17},	//1327 DOM::HTMLSelectElement::name() const
	{85, 1576, 422, 1, 0, 0, 18},	//1328 DOM::HTMLSelectElement::setName(const DOM::DOMString&)
	{85, 1773, 0, 0, Smoke::mf_const, 879, 19},	//1329 DOM::HTMLSelectElement::size() const
	{85, 1661, 918, 1, 0, 0, 20},	//1330 DOM::HTMLSelectElement::setSize(long)
	{85, 1832, 0, 0, Smoke::mf_const, 879, 21},	//1331 DOM::HTMLSelectElement::tabIndex() const
	{85, 1700, 918, 1, 0, 0, 22},	//1332 DOM::HTMLSelectElement::setTabIndex(long)
	{85, 526, 554, 2, 0, 0, 23},	//1333 DOM::HTMLSelectElement::add(const DOM::HTMLElement&, const DOM::HTMLElement&)
	{85, 1244, 918, 1, 0, 0, 24},	//1334 DOM::HTMLSelectElement::remove(long)
	{85, 579, 0, 0, 0, 0, 25},	//1335 DOM::HTMLSelectElement::blur()
	{85, 833, 0, 0, 0, 0, 26},	//1336 DOM::HTMLSelectElement::focus()
	{85, 323, 105, 1, Smoke::mf_protected, 267, 27},	//1337 DOM::HTMLSelectElement::HTMLSelectElement(DOM::HTMLSelectElementImpl*)
	{86, 326, 0, 0, 0, 270, 0},	//1338 DOM::HTMLStyleElement::HTMLStyleElement()
	{86, 326, 627, 1, Smoke::mf_copyctor, 270, 1},	//1339 DOM::HTMLStyleElement::HTMLStyleElement(const DOM::HTMLStyleElement&)
	{86, 326, 666, 1, 0, 270, 2},	//1340 DOM::HTMLStyleElement::HTMLStyleElement(const DOM::Node&)
	{86, 1162, 627, 1, 0, 269, 3},	//1341 DOM::HTMLStyleElement::operator=(const DOM::HTMLStyleElement&)
	{86, 1162, 666, 1, 0, 269, 4},	//1342 DOM::HTMLStyleElement::operator=(const DOM::Node&)
	{86, 2010, 0, 0, Smoke::mf_dtor, 0, 13},	//1343 DOM::HTMLStyleElement::~HTMLStyleElement()
	{86, 749, 0, 0, Smoke::mf_const, 705, 5},	//1344 DOM::HTMLStyleElement::disabled() const
	{86, 1467, 362, 1, 0, 0, 6},	//1345 DOM::HTMLStyleElement::setDisabled(bool)
	{86, 1095, 0, 0, Smoke::mf_const, 86, 7},	//1346 DOM::HTMLStyleElement::media() const
	{86, 1566, 422, 1, 0, 0, 8},	//1347 DOM::HTMLStyleElement::setMedia(const DOM::DOMString&)
	{86, 1858, 0, 0, Smoke::mf_const, 86, 9},	//1348 DOM::HTMLStyleElement::type() const
	{86, 1712, 422, 1, 0, 0, 10},	//1349 DOM::HTMLStyleElement::setType(const DOM::DOMString&)
	{86, 1763, 0, 0, Smoke::mf_const, 362, 11},	//1350 DOM::HTMLStyleElement::sheet() const
	{86, 326, 109, 1, Smoke::mf_protected, 270, 12},	//1351 DOM::HTMLStyleElement::HTMLStyleElement(DOM::HTMLStyleElementImpl*)
	{87, 329, 0, 0, 0, 274, 0},	//1352 DOM::HTMLTableCaptionElement::HTMLTableCaptionElement()
	{87, 329, 629, 1, Smoke::mf_copyctor, 274, 1},	//1353 DOM::HTMLTableCaptionElement::HTMLTableCaptionElement(const DOM::HTMLTableCaptionElement&)
	{87, 329, 666, 1, 0, 274, 2},	//1354 DOM::HTMLTableCaptionElement::HTMLTableCaptionElement(const DOM::Node&)
	{87, 1162, 629, 1, 0, 273, 3},	//1355 DOM::HTMLTableCaptionElement::operator=(const DOM::HTMLTableCaptionElement&)
	{87, 1162, 666, 1, 0, 273, 4},	//1356 DOM::HTMLTableCaptionElement::operator=(const DOM::Node&)
	{87, 2011, 0, 0, Smoke::mf_dtor, 0, 8},	//1357 DOM::HTMLTableCaptionElement::~HTMLTableCaptionElement()
	{87, 540, 0, 0, Smoke::mf_const, 86, 5},	//1358 DOM::HTMLTableCaptionElement::align() const
	{87, 1340, 422, 1, 0, 0, 6},	//1359 DOM::HTMLTableCaptionElement::setAlign(const DOM::DOMString&)
	{87, 329, 111, 1, Smoke::mf_protected, 274, 7},	//1360 DOM::HTMLTableCaptionElement::HTMLTableCaptionElement(DOM::HTMLTableCaptionElementImpl*)
	{88, 332, 0, 0, 0, 277, 0},	//1361 DOM::HTMLTableCellElement::HTMLTableCellElement()
	{88, 332, 631, 1, Smoke::mf_copyctor, 277, 1},	//1362 DOM::HTMLTableCellElement::HTMLTableCellElement(const DOM::HTMLTableCellElement&)
	{88, 332, 666, 1, 0, 277, 2},	//1363 DOM::HTMLTableCellElement::HTMLTableCellElement(const DOM::Node&)
	{88, 1162, 631, 1, 0, 276, 3},	//1364 DOM::HTMLTableCellElement::operator=(const DOM::HTMLTableCellElement&)
	{88, 1162, 666, 1, 0, 276, 4},	//1365 DOM::HTMLTableCellElement::operator=(const DOM::Node&)
	{88, 2012, 0, 0, Smoke::mf_dtor, 0, 36},	//1366 DOM::HTMLTableCellElement::~HTMLTableCellElement()
	{88, 595, 0, 0, Smoke::mf_const, 879, 5},	//1367 DOM::HTMLTableCellElement::cellIndex() const
	{88, 1387, 918, 1, 0, 0, 6},	//1368 DOM::HTMLTableCellElement::setCellIndex(long)
	{88, 511, 0, 0, Smoke::mf_const, 86, 7},	//1369 DOM::HTMLTableCellElement::abbr() const
	{88, 1328, 422, 1, 0, 0, 8},	//1370 DOM::HTMLTableCellElement::setAbbr(const DOM::DOMString&)
	{88, 540, 0, 0, Smoke::mf_const, 86, 9},	//1371 DOM::HTMLTableCellElement::align() const
	{88, 1340, 422, 1, 0, 0, 10},	//1372 DOM::HTMLTableCellElement::setAlign(const DOM::DOMString&)
	{88, 567, 0, 0, Smoke::mf_const, 86, 11},	//1373 DOM::HTMLTableCellElement::axis() const
	{88, 1366, 422, 1, 0, 0, 12},	//1374 DOM::HTMLTableCellElement::setAxis(const DOM::DOMString&)
	{88, 577, 0, 0, Smoke::mf_const, 86, 13},	//1375 DOM::HTMLTableCellElement::bgColor() const
	{88, 1370, 422, 1, 0, 0, 14},	//1376 DOM::HTMLTableCellElement::setBgColor(const DOM::DOMString&)
	{88, 599, 0, 0, Smoke::mf_const, 86, 15},	//1377 DOM::HTMLTableCellElement::ch() const
	{88, 1395, 422, 1, 0, 0, 16},	//1378 DOM::HTMLTableCellElement::setCh(const DOM::DOMString&)
	{88, 600, 0, 0, Smoke::mf_const, 86, 17},	//1379 DOM::HTMLTableCellElement::chOff() const
	{88, 1397, 422, 1, 0, 0, 18},	//1380 DOM::HTMLTableCellElement::setChOff(const DOM::DOMString&)
	{88, 631, 0, 0, Smoke::mf_const, 879, 19},	//1381 DOM::HTMLTableCellElement::colSpan() const
	{88, 1416, 918, 1, 0, 0, 20},	//1382 DOM::HTMLTableCellElement::setColSpan(long)
	{88, 922, 0, 0, Smoke::mf_const, 86, 21},	//1383 DOM::HTMLTableCellElement::headers() const
	{88, 1501, 422, 1, 0, 0, 22},	//1384 DOM::HTMLTableCellElement::setHeaders(const DOM::DOMString&)
	{88, 923, 0, 0, Smoke::mf_const, 86, 23},	//1385 DOM::HTMLTableCellElement::height() const
	{88, 1503, 422, 1, 0, 0, 24},	//1386 DOM::HTMLTableCellElement::setHeight(const DOM::DOMString&)
	{88, 1131, 0, 0, Smoke::mf_const, 705, 25},	//1387 DOM::HTMLTableCellElement::noWrap() const
	{88, 1588, 362, 1, 0, 0, 26},	//1388 DOM::HTMLTableCellElement::setNoWrap(bool)
	{88, 1287, 0, 0, Smoke::mf_const, 879, 27},	//1389 DOM::HTMLTableCellElement::rowSpan() const
	{88, 1626, 918, 1, 0, 0, 28},	//1390 DOM::HTMLTableCellElement::setRowSpan(long)
	{88, 1297, 0, 0, Smoke::mf_const, 86, 29},	//1391 DOM::HTMLTableCellElement::scope() const
	{88, 1635, 422, 1, 0, 0, 30},	//1392 DOM::HTMLTableCellElement::setScope(const DOM::DOMString&)
	{88, 1875, 0, 0, Smoke::mf_const, 86, 31},	//1393 DOM::HTMLTableCellElement::vAlign() const
	{88, 1723, 422, 1, 0, 0, 32},	//1394 DOM::HTMLTableCellElement::setVAlign(const DOM::DOMString&)
	{88, 1898, 0, 0, Smoke::mf_const, 86, 33},	//1395 DOM::HTMLTableCellElement::width() const
	{88, 1744, 422, 1, 0, 0, 34},	//1396 DOM::HTMLTableCellElement::setWidth(const DOM::DOMString&)
	{88, 332, 113, 1, Smoke::mf_protected, 277, 35},	//1397 DOM::HTMLTableCellElement::HTMLTableCellElement(DOM::HTMLTableCellElementImpl*)
	{89, 335, 0, 0, 0, 280, 0},	//1398 DOM::HTMLTableColElement::HTMLTableColElement()
	{89, 335, 633, 1, Smoke::mf_copyctor, 280, 1},	//1399 DOM::HTMLTableColElement::HTMLTableColElement(const DOM::HTMLTableColElement&)
	{89, 335, 666, 1, 0, 280, 2},	//1400 DOM::HTMLTableColElement::HTMLTableColElement(const DOM::Node&)
	{89, 1162, 633, 1, 0, 279, 3},	//1401 DOM::HTMLTableColElement::operator=(const DOM::HTMLTableColElement&)
	{89, 1162, 666, 1, 0, 279, 4},	//1402 DOM::HTMLTableColElement::operator=(const DOM::Node&)
	{89, 2013, 0, 0, Smoke::mf_dtor, 0, 18},	//1403 DOM::HTMLTableColElement::~HTMLTableColElement()
	{89, 540, 0, 0, Smoke::mf_const, 86, 5},	//1404 DOM::HTMLTableColElement::align() const
	{89, 1340, 422, 1, 0, 0, 6},	//1405 DOM::HTMLTableColElement::setAlign(const DOM::DOMString&)
	{89, 599, 0, 0, Smoke::mf_const, 86, 7},	//1406 DOM::HTMLTableColElement::ch() const
	{89, 1395, 422, 1, 0, 0, 8},	//1407 DOM::HTMLTableColElement::setCh(const DOM::DOMString&)
	{89, 600, 0, 0, Smoke::mf_const, 86, 9},	//1408 DOM::HTMLTableColElement::chOff() const
	{89, 1397, 422, 1, 0, 0, 10},	//1409 DOM::HTMLTableColElement::setChOff(const DOM::DOMString&)
	{89, 1781, 0, 0, Smoke::mf_const, 879, 11},	//1410 DOM::HTMLTableColElement::span() const
	{89, 1668, 918, 1, 0, 0, 12},	//1411 DOM::HTMLTableColElement::setSpan(long)
	{89, 1875, 0, 0, Smoke::mf_const, 86, 13},	//1412 DOM::HTMLTableColElement::vAlign() const
	{89, 1723, 422, 1, 0, 0, 14},	//1413 DOM::HTMLTableColElement::setVAlign(const DOM::DOMString&)
	{89, 1898, 0, 0, Smoke::mf_const, 86, 15},	//1414 DOM::HTMLTableColElement::width() const
	{89, 1744, 422, 1, 0, 0, 16},	//1415 DOM::HTMLTableColElement::setWidth(const DOM::DOMString&)
	{89, 335, 115, 1, Smoke::mf_protected, 280, 17},	//1416 DOM::HTMLTableColElement::HTMLTableColElement(DOM::HTMLTableColElementImpl*)
	{90, 338, 0, 0, 0, 283, 0},	//1417 DOM::HTMLTableElement::HTMLTableElement()
	{90, 338, 635, 1, Smoke::mf_copyctor, 283, 1},	//1418 DOM::HTMLTableElement::HTMLTableElement(const DOM::HTMLTableElement&)
	{90, 338, 666, 1, 0, 283, 2},	//1419 DOM::HTMLTableElement::HTMLTableElement(const DOM::Node&)
	{90, 1162, 635, 1, 0, 282, 3},	//1420 DOM::HTMLTableElement::operator=(const DOM::HTMLTableElement&)
	{90, 1162, 666, 1, 0, 282, 4},	//1421 DOM::HTMLTableElement::operator=(const DOM::Node&)
	{90, 2014, 0, 0, Smoke::mf_dtor, 0, 40},	//1422 DOM::HTMLTableElement::~HTMLTableElement()
	{90, 591, 0, 0, Smoke::mf_const, 272, 5},	//1423 DOM::HTMLTableElement::caption() const
	{90, 1376, 629, 1, 0, 0, 6},	//1424 DOM::HTMLTableElement::setCaption(const DOM::HTMLTableCaptionElement&)
	{90, 1831, 0, 0, Smoke::mf_const, 288, 7},	//1425 DOM::HTMLTableElement::tHead() const
	{90, 1698, 639, 1, 0, 0, 8},	//1426 DOM::HTMLTableElement::setTHead(const DOM::HTMLTableSectionElement&)
	{90, 1830, 0, 0, Smoke::mf_const, 288, 9},	//1427 DOM::HTMLTableElement::tFoot() const
	{90, 1696, 639, 1, 0, 0, 10},	//1428 DOM::HTMLTableElement::setTFoot(const DOM::HTMLTableSectionElement&)
	{90, 1288, 0, 0, Smoke::mf_const, 153, 11},	//1429 DOM::HTMLTableElement::rows() const
	{90, 1829, 0, 0, Smoke::mf_const, 153, 12},	//1430 DOM::HTMLTableElement::tBodies() const
	{90, 540, 0, 0, Smoke::mf_const, 86, 13},	//1431 DOM::HTMLTableElement::align() const
	{90, 1340, 422, 1, 0, 0, 14},	//1432 DOM::HTMLTableElement::setAlign(const DOM::DOMString&)
	{90, 577, 0, 0, Smoke::mf_const, 86, 15},	//1433 DOM::HTMLTableElement::bgColor() const
	{90, 1370, 422, 1, 0, 0, 16},	//1434 DOM::HTMLTableElement::setBgColor(const DOM::DOMString&)
	{90, 581, 0, 0, Smoke::mf_const, 86, 17},	//1435 DOM::HTMLTableElement::border() const
	{90, 1374, 422, 1, 0, 0, 18},	//1436 DOM::HTMLTableElement::setBorder(const DOM::DOMString&)
	{90, 596, 0, 0, Smoke::mf_const, 86, 19},	//1437 DOM::HTMLTableElement::cellPadding() const
	{90, 1389, 422, 1, 0, 0, 20},	//1438 DOM::HTMLTableElement::setCellPadding(const DOM::DOMString&)
	{90, 597, 0, 0, Smoke::mf_const, 86, 21},	//1439 DOM::HTMLTableElement::cellSpacing() const
	{90, 1391, 422, 1, 0, 0, 22},	//1440 DOM::HTMLTableElement::setCellSpacing(const DOM::DOMString&)
	{90, 849, 0, 0, Smoke::mf_const, 86, 23},	//1441 DOM::HTMLTableElement::frame() const
	{90, 1497, 422, 1, 0, 0, 24},	//1442 DOM::HTMLTableElement::setFrame(const DOM::DOMString&)
	{90, 1289, 0, 0, Smoke::mf_const, 86, 25},	//1443 DOM::HTMLTableElement::rules() const
	{90, 1631, 422, 1, 0, 0, 26},	//1444 DOM::HTMLTableElement::setRules(const DOM::DOMString&)
	{90, 1825, 0, 0, Smoke::mf_const, 86, 27},	//1445 DOM::HTMLTableElement::summary() const
	{90, 1691, 422, 1, 0, 0, 28},	//1446 DOM::HTMLTableElement::setSummary(const DOM::DOMString&)
	{90, 1898, 0, 0, Smoke::mf_const, 86, 29},	//1447 DOM::HTMLTableElement::width() const
	{90, 1744, 422, 1, 0, 0, 30},	//1448 DOM::HTMLTableElement::setWidth(const DOM::DOMString&)
	{90, 703, 0, 0, 0, 170, 31},	//1449 DOM::HTMLTableElement::createTHead()
	{90, 742, 0, 0, 0, 0, 32},	//1450 DOM::HTMLTableElement::deleteTHead()
	{90, 702, 0, 0, 0, 170, 33},	//1451 DOM::HTMLTableElement::createTFoot()
	{90, 741, 0, 0, 0, 0, 34},	//1452 DOM::HTMLTableElement::deleteTFoot()
	{90, 673, 0, 0, 0, 170, 35},	//1453 DOM::HTMLTableElement::createCaption()
	{90, 728, 0, 0, 0, 0, 36},	//1454 DOM::HTMLTableElement::deleteCaption()
	{90, 984, 918, 1, 0, 170, 37},	//1455 DOM::HTMLTableElement::insertRow(long)
	{90, 737, 918, 1, 0, 0, 38},	//1456 DOM::HTMLTableElement::deleteRow(long)
	{90, 338, 117, 1, Smoke::mf_protected, 283, 39},	//1457 DOM::HTMLTableElement::HTMLTableElement(DOM::HTMLTableElementImpl*)
	{91, 341, 0, 0, 0, 286, 0},	//1458 DOM::HTMLTableRowElement::HTMLTableRowElement()
	{91, 341, 637, 1, Smoke::mf_copyctor, 286, 1},	//1459 DOM::HTMLTableRowElement::HTMLTableRowElement(const DOM::HTMLTableRowElement&)
	{91, 341, 666, 1, 0, 286, 2},	//1460 DOM::HTMLTableRowElement::HTMLTableRowElement(const DOM::Node&)
	{91, 1162, 637, 1, 0, 285, 3},	//1461 DOM::HTMLTableRowElement::operator=(const DOM::HTMLTableRowElement&)
	{91, 1162, 666, 1, 0, 285, 4},	//1462 DOM::HTMLTableRowElement::operator=(const DOM::Node&)
	{91, 2015, 0, 0, Smoke::mf_dtor, 0, 24},	//1463 DOM::HTMLTableRowElement::~HTMLTableRowElement()
	{91, 1286, 0, 0, Smoke::mf_const, 879, 5},	//1464 DOM::HTMLTableRowElement::rowIndex() const
	{91, 1624, 918, 1, 0, 0, 6},	//1465 DOM::HTMLTableRowElement::setRowIndex(long)
	{91, 1306, 0, 0, Smoke::mf_const, 879, 7},	//1466 DOM::HTMLTableRowElement::sectionRowIndex() const
	{91, 1639, 918, 1, 0, 0, 8},	//1467 DOM::HTMLTableRowElement::setSectionRowIndex(long)
	{91, 598, 0, 0, Smoke::mf_const, 153, 9},	//1468 DOM::HTMLTableRowElement::cells() const
	{91, 1393, 542, 1, 0, 0, 10},	//1469 DOM::HTMLTableRowElement::setCells(const DOM::HTMLCollection&)
	{91, 540, 0, 0, Smoke::mf_const, 86, 11},	//1470 DOM::HTMLTableRowElement::align() const
	{91, 1340, 422, 1, 0, 0, 12},	//1471 DOM::HTMLTableRowElement::setAlign(const DOM::DOMString&)
	{91, 577, 0, 0, Smoke::mf_const, 86, 13},	//1472 DOM::HTMLTableRowElement::bgColor() const
	{91, 1370, 422, 1, 0, 0, 14},	//1473 DOM::HTMLTableRowElement::setBgColor(const DOM::DOMString&)
	{91, 599, 0, 0, Smoke::mf_const, 86, 15},	//1474 DOM::HTMLTableRowElement::ch() const
	{91, 1395, 422, 1, 0, 0, 16},	//1475 DOM::HTMLTableRowElement::setCh(const DOM::DOMString&)
	{91, 600, 0, 0, Smoke::mf_const, 86, 17},	//1476 DOM::HTMLTableRowElement::chOff() const
	{91, 1397, 422, 1, 0, 0, 18},	//1477 DOM::HTMLTableRowElement::setChOff(const DOM::DOMString&)
	{91, 1875, 0, 0, Smoke::mf_const, 86, 19},	//1478 DOM::HTMLTableRowElement::vAlign() const
	{91, 1723, 422, 1, 0, 0, 20},	//1479 DOM::HTMLTableRowElement::setVAlign(const DOM::DOMString&)
	{91, 978, 918, 1, 0, 170, 21},	//1480 DOM::HTMLTableRowElement::insertCell(long)
	{91, 729, 918, 1, 0, 0, 22},	//1481 DOM::HTMLTableRowElement::deleteCell(long)
	{91, 341, 119, 1, Smoke::mf_protected, 286, 23},	//1482 DOM::HTMLTableRowElement::HTMLTableRowElement(DOM::HTMLTableRowElementImpl*)
	{92, 344, 0, 0, 0, 290, 0},	//1483 DOM::HTMLTableSectionElement::HTMLTableSectionElement()
	{92, 344, 639, 1, Smoke::mf_copyctor, 290, 1},	//1484 DOM::HTMLTableSectionElement::HTMLTableSectionElement(const DOM::HTMLTableSectionElement&)
	{92, 344, 666, 1, 0, 290, 2},	//1485 DOM::HTMLTableSectionElement::HTMLTableSectionElement(const DOM::Node&)
	{92, 1162, 639, 1, 0, 289, 3},	//1486 DOM::HTMLTableSectionElement::operator=(const DOM::HTMLTableSectionElement&)
	{92, 1162, 666, 1, 0, 289, 4},	//1487 DOM::HTMLTableSectionElement::operator=(const DOM::Node&)
	{92, 2016, 0, 0, Smoke::mf_dtor, 0, 17},	//1488 DOM::HTMLTableSectionElement::~HTMLTableSectionElement()
	{92, 540, 0, 0, Smoke::mf_const, 86, 5},	//1489 DOM::HTMLTableSectionElement::align() const
	{92, 1340, 422, 1, 0, 0, 6},	//1490 DOM::HTMLTableSectionElement::setAlign(const DOM::DOMString&)
	{92, 599, 0, 0, Smoke::mf_const, 86, 7},	//1491 DOM::HTMLTableSectionElement::ch() const
	{92, 1395, 422, 1, 0, 0, 8},	//1492 DOM::HTMLTableSectionElement::setCh(const DOM::DOMString&)
	{92, 600, 0, 0, Smoke::mf_const, 86, 9},	//1493 DOM::HTMLTableSectionElement::chOff() const
	{92, 1397, 422, 1, 0, 0, 10},	//1494 DOM::HTMLTableSectionElement::setChOff(const DOM::DOMString&)
	{92, 1875, 0, 0, Smoke::mf_const, 86, 11},	//1495 DOM::HTMLTableSectionElement::vAlign() const
	{92, 1723, 422, 1, 0, 0, 12},	//1496 DOM::HTMLTableSectionElement::setVAlign(const DOM::DOMString&)
	{92, 1288, 0, 0, Smoke::mf_const, 153, 13},	//1497 DOM::HTMLTableSectionElement::rows() const
	{92, 984, 918, 1, 0, 170, 14},	//1498 DOM::HTMLTableSectionElement::insertRow(long)
	{92, 737, 918, 1, 0, 0, 15},	//1499 DOM::HTMLTableSectionElement::deleteRow(long)
	{92, 344, 121, 1, Smoke::mf_protected, 290, 16},	//1500 DOM::HTMLTableSectionElement::HTMLTableSectionElement(DOM::HTMLTableSectionElementImpl*)
	{93, 347, 0, 0, 0, 293, 0},	//1501 DOM::HTMLTextAreaElement::HTMLTextAreaElement()
	{93, 347, 641, 1, Smoke::mf_copyctor, 293, 1},	//1502 DOM::HTMLTextAreaElement::HTMLTextAreaElement(const DOM::HTMLTextAreaElement&)
	{93, 347, 666, 1, 0, 293, 2},	//1503 DOM::HTMLTextAreaElement::HTMLTextAreaElement(const DOM::Node&)
	{93, 1162, 641, 1, 0, 292, 3},	//1504 DOM::HTMLTextAreaElement::operator=(const DOM::HTMLTextAreaElement&)
	{93, 1162, 666, 1, 0, 292, 4},	//1505 DOM::HTMLTextAreaElement::operator=(const DOM::Node&)
	{93, 2017, 0, 0, Smoke::mf_dtor, 0, 35},	//1506 DOM::HTMLTextAreaElement::~HTMLTextAreaElement()
	{93, 725, 0, 0, Smoke::mf_const, 86, 5},	//1507 DOM::HTMLTextAreaElement::defaultValue() const
	{93, 1459, 422, 1, 0, 0, 6},	//1508 DOM::HTMLTextAreaElement::setDefaultValue(const DOM::DOMString&)
	{93, 844, 0, 0, Smoke::mf_const, 181, 7},	//1509 DOM::HTMLTextAreaElement::form() const
	{93, 518, 0, 0, Smoke::mf_const, 86, 8},	//1510 DOM::HTMLTextAreaElement::accessKey() const
	{93, 1334, 422, 1, 0, 0, 9},	//1511 DOM::HTMLTextAreaElement::setAccessKey(const DOM::DOMString&)
	{93, 636, 0, 0, Smoke::mf_const, 879, 10},	//1512 DOM::HTMLTextAreaElement::cols() const
	{93, 1420, 918, 1, 0, 0, 11},	//1513 DOM::HTMLTextAreaElement::setCols(long)
	{93, 749, 0, 0, Smoke::mf_const, 705, 12},	//1514 DOM::HTMLTextAreaElement::disabled() const
	{93, 1467, 362, 1, 0, 0, 13},	//1515 DOM::HTMLTextAreaElement::setDisabled(bool)
	{93, 1117, 0, 0, Smoke::mf_const, 86, 14},	//1516 DOM::HTMLTextAreaElement::name() const
	{93, 1576, 422, 1, 0, 0, 15},	//1517 DOM::HTMLTextAreaElement::setName(const DOM::DOMString&)
	{93, 1236, 0, 0, Smoke::mf_const, 705, 16},	//1518 DOM::HTMLTextAreaElement::readOnly() const
	{93, 1618, 362, 1, 0, 0, 17},	//1519 DOM::HTMLTextAreaElement::setReadOnly(bool)
	{93, 1288, 0, 0, Smoke::mf_const, 879, 18},	//1520 DOM::HTMLTextAreaElement::rows() const
	{93, 1628, 918, 1, 0, 0, 19},	//1521 DOM::HTMLTextAreaElement::setRows(long)
	{93, 1832, 0, 0, Smoke::mf_const, 879, 20},	//1522 DOM::HTMLTextAreaElement::tabIndex() const
	{93, 1700, 918, 1, 0, 0, 21},	//1523 DOM::HTMLTextAreaElement::setTabIndex(long)
	{93, 1858, 0, 0, Smoke::mf_const, 86, 22},	//1524 DOM::HTMLTextAreaElement::type() const
	{93, 1878, 0, 0, Smoke::mf_const, 86, 23},	//1525 DOM::HTMLTextAreaElement::value() const
	{93, 1727, 422, 1, 0, 0, 24},	//1526 DOM::HTMLTextAreaElement::setValue(const DOM::DOMString&)
	{93, 579, 0, 0, 0, 0, 25},	//1527 DOM::HTMLTextAreaElement::blur()
	{93, 833, 0, 0, 0, 0, 26},	//1528 DOM::HTMLTextAreaElement::focus()
	{93, 1307, 0, 0, 0, 0, 27},	//1529 DOM::HTMLTextAreaElement::select()
	{93, 1322, 0, 0, 0, 879, 28},	//1530 DOM::HTMLTextAreaElement::selectionStart()
	{93, 1655, 918, 1, 0, 0, 29},	//1531 DOM::HTMLTextAreaElement::setSelectionStart(long)
	{93, 1321, 0, 0, 0, 879, 30},	//1532 DOM::HTMLTextAreaElement::selectionEnd()
	{93, 1651, 918, 1, 0, 0, 31},	//1533 DOM::HTMLTextAreaElement::setSelectionEnd(long)
	{93, 1653, 920, 2, 0, 0, 32},	//1534 DOM::HTMLTextAreaElement::setSelectionRange(long, long)
	{93, 1843, 0, 0, 0, 879, 33},	//1535 DOM::HTMLTextAreaElement::textLength()
	{93, 347, 123, 1, Smoke::mf_protected, 293, 34},	//1536 DOM::HTMLTextAreaElement::HTMLTextAreaElement(DOM::HTMLTextAreaElementImpl*)
	{94, 350, 0, 0, 0, 296, 0},	//1537 DOM::HTMLTitleElement::HTMLTitleElement()
	{94, 350, 645, 1, Smoke::mf_copyctor, 296, 1},	//1538 DOM::HTMLTitleElement::HTMLTitleElement(const DOM::HTMLTitleElement&)
	{94, 350, 666, 1, 0, 296, 2},	//1539 DOM::HTMLTitleElement::HTMLTitleElement(const DOM::Node&)
	{94, 1162, 645, 1, 0, 295, 3},	//1540 DOM::HTMLTitleElement::operator=(const DOM::HTMLTitleElement&)
	{94, 1162, 666, 1, 0, 295, 4},	//1541 DOM::HTMLTitleElement::operator=(const DOM::Node&)
	{94, 2018, 0, 0, Smoke::mf_dtor, 0, 8},	//1542 DOM::HTMLTitleElement::~HTMLTitleElement()
	{94, 1840, 0, 0, Smoke::mf_const, 86, 5},	//1543 DOM::HTMLTitleElement::text() const
	{94, 1704, 422, 1, 0, 0, 6},	//1544 DOM::HTMLTitleElement::setText(const DOM::DOMString&)
	{94, 350, 125, 1, Smoke::mf_protected, 296, 7},	//1545 DOM::HTMLTitleElement::HTMLTitleElement(DOM::HTMLTitleElementImpl*)
	{95, 353, 0, 0, 0, 299, 0},	//1546 DOM::HTMLUListElement::HTMLUListElement()
	{95, 353, 647, 1, Smoke::mf_copyctor, 299, 1},	//1547 DOM::HTMLUListElement::HTMLUListElement(const DOM::HTMLUListElement&)
	{95, 353, 666, 1, 0, 299, 2},	//1548 DOM::HTMLUListElement::HTMLUListElement(const DOM::Node&)
	{95, 1162, 647, 1, 0, 298, 3},	//1549 DOM::HTMLUListElement::operator=(const DOM::HTMLUListElement&)
	{95, 1162, 666, 1, 0, 298, 4},	//1550 DOM::HTMLUListElement::operator=(const DOM::Node&)
	{95, 2019, 0, 0, Smoke::mf_dtor, 0, 10},	//1551 DOM::HTMLUListElement::~HTMLUListElement()
	{95, 638, 0, 0, Smoke::mf_const, 705, 5},	//1552 DOM::HTMLUListElement::compact() const
	{95, 1423, 362, 1, 0, 0, 6},	//1553 DOM::HTMLUListElement::setCompact(bool)
	{95, 1858, 0, 0, Smoke::mf_const, 86, 7},	//1554 DOM::HTMLUListElement::type() const
	{95, 1712, 422, 1, 0, 0, 8},	//1555 DOM::HTMLUListElement::setType(const DOM::DOMString&)
	{95, 353, 129, 1, Smoke::mf_protected, 299, 9},	//1556 DOM::HTMLUListElement::HTMLUListElement(DOM::HTMLUListElementImpl*)
	{96, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 303, 0},	//1557 DOM::KeyboardEvent::DOM_KEY_LOCATION_STANDARD (enum)
	{96, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 303, 1},	//1558 DOM::KeyboardEvent::DOM_KEY_LOCATION_LEFT (enum)
	{96, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 303, 2},	//1559 DOM::KeyboardEvent::DOM_KEY_LOCATION_RIGHT (enum)
	{96, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 303, 3},	//1560 DOM::KeyboardEvent::DOM_KEY_LOCATION_NUMPAD (enum)
	{96, 393, 0, 0, 0, 302, 4},	//1561 DOM::KeyboardEvent::KeyboardEvent()
	{96, 393, 649, 1, Smoke::mf_copyctor, 302, 5},	//1562 DOM::KeyboardEvent::KeyboardEvent(const DOM::KeyboardEvent&)
	{96, 393, 518, 1, 0, 302, 6},	//1563 DOM::KeyboardEvent::KeyboardEvent(const DOM::Event&)
	{96, 1162, 649, 1, 0, 301, 7},	//1564 DOM::KeyboardEvent::operator=(const DOM::KeyboardEvent&)
	{96, 1162, 518, 1, 0, 301, 8},	//1565 DOM::KeyboardEvent::operator=(const DOM::Event&)
	{96, 2023, 0, 0, Smoke::mf_dtor, 0, 17},	//1566 DOM::KeyboardEvent::~KeyboardEvent()
	{96, 1036, 0, 0, Smoke::mf_const, 86, 9},	//1567 DOM::KeyboardEvent::keyIdentifier() const
	{96, 1037, 0, 0, Smoke::mf_const, 885, 10},	//1568 DOM::KeyboardEvent::keyLocation() const
	{96, 711, 0, 0, Smoke::mf_const, 705, 11},	//1569 DOM::KeyboardEvent::ctrlKey() const
	{96, 1764, 0, 0, Smoke::mf_const, 705, 12},	//1570 DOM::KeyboardEvent::shiftKey() const
	{96, 544, 0, 0, Smoke::mf_const, 705, 13},	//1571 DOM::KeyboardEvent::altKey() const
	{96, 1098, 0, 0, Smoke::mf_const, 705, 14},	//1572 DOM::KeyboardEvent::metaKey() const
	{96, 885, 774, 1, Smoke::mf_const, 705, 15},	//1573 DOM::KeyboardEvent::getModifierState(DOM::DOMString) const
	{96, 958, 776, 7, 0, 0, 16},	//1574 DOM::KeyboardEvent::initKeyboardEvent(DOM::DOMString, bool, bool, DOM::AbstractView, DOM::DOMString, unsigned long, DOM::DOMString)
	{97, 395, 0, 0, 0, 305, 0},	//1575 DOM::LinkStyle::LinkStyle()
	{97, 395, 651, 1, Smoke::mf_copyctor, 305, 1},	//1576 DOM::LinkStyle::LinkStyle(const DOM::LinkStyle&)
	{97, 1162, 651, 1, 0, 304, 2},	//1577 DOM::LinkStyle::operator=(const DOM::LinkStyle&)
	{97, 1162, 666, 1, 0, 304, 3},	//1578 DOM::LinkStyle::operator=(const DOM::Node&)
	{97, 2024, 0, 0, Smoke::mf_dtor, 0, 6},	//1579 DOM::LinkStyle::~LinkStyle()
	{97, 1763, 0, 0, 0, 362, 4},	//1580 DOM::LinkStyle::sheet()
	{97, 1016, 0, 0, Smoke::mf_const, 705, 5},	//1581 DOM::LinkStyle::isNull() const
	{98, 401, 0, 0, 0, 308, 0},	//1582 DOM::MediaList::MediaList()
	{98, 401, 653, 1, Smoke::mf_copyctor, 308, 1},	//1583 DOM::MediaList::MediaList(const DOM::MediaList&)
	{98, 401, 131, 1, 0, 308, 2},	//1584 DOM::MediaList::MediaList(DOM::MediaListImpl*)
	{98, 1162, 653, 1, 0, 307, 3},	//1585 DOM::MediaList::operator=(const DOM::MediaList&)
	{98, 2025, 0, 0, Smoke::mf_dtor, 0, 11},	//1586 DOM::MediaList::~MediaList()
	{98, 1096, 0, 0, Smoke::mf_const, 86, 4},	//1587 DOM::MediaList::mediaText() const
	{98, 1568, 422, 1, 0, 0, 5},	//1588 DOM::MediaList::setMediaText(const DOM::DOMString&)
	{98, 1074, 0, 0, Smoke::mf_const, 885, 6},	//1589 DOM::MediaList::length() const
	{98, 1026, 928, 1, Smoke::mf_const, 86, 7},	//1590 DOM::MediaList::item(unsigned long) const
	{98, 735, 422, 1, 0, 0, 8},	//1591 DOM::MediaList::deleteMedium(const DOM::DOMString&)
	{98, 550, 422, 1, 0, 0, 9},	//1592 DOM::MediaList::appendMedium(const DOM::DOMString&)
	{98, 1016, 0, 0, Smoke::mf_const, 705, 10},	//1593 DOM::MediaList::isNull() const
	{99, 405, 0, 0, 0, 311, 0},	//1594 DOM::MouseEvent::MouseEvent()
	{99, 405, 655, 1, Smoke::mf_copyctor, 311, 1},	//1595 DOM::MouseEvent::MouseEvent(const DOM::MouseEvent&)
	{99, 405, 518, 1, 0, 311, 2},	//1596 DOM::MouseEvent::MouseEvent(const DOM::Event&)
	{99, 1162, 655, 1, 0, 310, 3},	//1597 DOM::MouseEvent::operator=(const DOM::MouseEvent&)
	{99, 1162, 518, 1, 0, 310, 4},	//1598 DOM::MouseEvent::operator=(const DOM::Event&)
	{99, 2026, 0, 0, Smoke::mf_dtor, 0, 17},	//1599 DOM::MouseEvent::~MouseEvent()
	{99, 1298, 0, 0, Smoke::mf_const, 879, 5},	//1600 DOM::MouseEvent::screenX() const
	{99, 1299, 0, 0, Smoke::mf_const, 879, 6},	//1601 DOM::MouseEvent::screenY() const
	{99, 617, 0, 0, Smoke::mf_const, 879, 7},	//1602 DOM::MouseEvent::clientX() const
	{99, 618, 0, 0, Smoke::mf_const, 879, 8},	//1603 DOM::MouseEvent::clientY() const
	{99, 711, 0, 0, Smoke::mf_const, 705, 9},	//1604 DOM::MouseEvent::ctrlKey() const
	{99, 1764, 0, 0, Smoke::mf_const, 705, 10},	//1605 DOM::MouseEvent::shiftKey() const
	{99, 544, 0, 0, Smoke::mf_const, 705, 11},	//1606 DOM::MouseEvent::altKey() const
	{99, 1098, 0, 0, Smoke::mf_const, 705, 12},	//1607 DOM::MouseEvent::metaKey() const
	{99, 587, 0, 0, Smoke::mf_const, 886, 13},	//1608 DOM::MouseEvent::button() const
	{99, 1243, 0, 0, Smoke::mf_const, 321, 14},	//1609 DOM::MouseEvent::relatedTarget() const
	{99, 960, 448, 15, 0, 0, 15},	//1610 DOM::MouseEvent::initMouseEvent(const DOM::DOMString&, bool, bool, const DOM::AbstractView&, long, long, long, long, long, bool, bool, bool, bool, unsigned short, const DOM::Node&)
	{99, 405, 133, 1, Smoke::mf_protected, 311, 16},	//1611 DOM::MouseEvent::MouseEvent(DOM::MouseEventImpl*)
	{100, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 315, 0},	//1612 DOM::MutationEvent::MODIFICATION (enum)
	{100, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 315, 1},	//1613 DOM::MutationEvent::ADDITION (enum)
	{100, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 315, 2},	//1614 DOM::MutationEvent::REMOVAL (enum)
	{100, 408, 0, 0, 0, 314, 3},	//1615 DOM::MutationEvent::MutationEvent()
	{100, 408, 657, 1, Smoke::mf_copyctor, 314, 4},	//1616 DOM::MutationEvent::MutationEvent(const DOM::MutationEvent&)
	{100, 408, 518, 1, 0, 314, 5},	//1617 DOM::MutationEvent::MutationEvent(const DOM::Event&)
	{100, 1162, 657, 1, 0, 313, 6},	//1618 DOM::MutationEvent::operator=(const DOM::MutationEvent&)
	{100, 1162, 518, 1, 0, 313, 7},	//1619 DOM::MutationEvent::operator=(const DOM::Event&)
	{100, 2027, 0, 0, Smoke::mf_dtor, 0, 15},	//1620 DOM::MutationEvent::~MutationEvent()
	{100, 1242, 0, 0, Smoke::mf_const, 321, 8},	//1621 DOM::MutationEvent::relatedNode() const
	{100, 1212, 0, 0, Smoke::mf_const, 86, 9},	//1622 DOM::MutationEvent::prevValue() const
	{100, 1121, 0, 0, Smoke::mf_const, 86, 10},	//1623 DOM::MutationEvent::newValue() const
	{100, 561, 0, 0, Smoke::mf_const, 86, 11},	//1624 DOM::MutationEvent::attrName() const
	{100, 560, 0, 0, Smoke::mf_const, 886, 12},	//1625 DOM::MutationEvent::attrChange() const
	{100, 962, 464, 8, 0, 0, 13},	//1626 DOM::MutationEvent::initMutationEvent(const DOM::DOMString&, bool, bool, const DOM::Node&, const DOM::DOMString&, const DOM::DOMString&, const DOM::DOMString&, unsigned short)
	{100, 408, 135, 1, Smoke::mf_protected, 314, 14},	//1627 DOM::MutationEvent::MutationEvent(DOM::MutationEventImpl*)
	{101, 417, 0, 0, 0, 319, 0},	//1628 DOM::NamedNodeMap::NamedNodeMap()
	{101, 417, 659, 1, Smoke::mf_copyctor, 319, 1},	//1629 DOM::NamedNodeMap::NamedNodeMap(const DOM::NamedNodeMap&)
	{101, 1162, 659, 1, 0, 318, 2},	//1630 DOM::NamedNodeMap::operator=(const DOM::NamedNodeMap&)
	{101, 2028, 0, 0, Smoke::mf_dtor, 0, 13},	//1631 DOM::NamedNodeMap::~NamedNodeMap()
	{101, 1074, 0, 0, Smoke::mf_const, 885, 3},	//1632 DOM::NamedNodeMap::length() const
	{101, 887, 422, 1, Smoke::mf_const, 321, 4},	//1633 DOM::NamedNodeMap::getNamedItem(const DOM::DOMString&) const
	{101, 1578, 666, 1, 0, 321, 5},	//1634 DOM::NamedNodeMap::setNamedItem(const DOM::Node&)
	{101, 1259, 422, 1, 0, 321, 6},	//1635 DOM::NamedNodeMap::removeNamedItem(const DOM::DOMString&)
	{101, 1026, 928, 1, Smoke::mf_const, 321, 7},	//1636 DOM::NamedNodeMap::item(unsigned long) const
	{101, 889, 477, 2, Smoke::mf_const, 321, 8},	//1637 DOM::NamedNodeMap::getNamedItemNS(const DOM::DOMString&, const DOM::DOMString&) const
	{101, 1580, 666, 1, 0, 321, 9},	//1638 DOM::NamedNodeMap::setNamedItemNS(const DOM::Node&)
	{101, 1261, 477, 2, 0, 321, 10},	//1639 DOM::NamedNodeMap::removeNamedItemNS(const DOM::DOMString&, const DOM::DOMString&)
	{101, 1016, 0, 0, Smoke::mf_const, 705, 11},	//1640 DOM::NamedNodeMap::isNull() const
	{101, 417, 137, 1, Smoke::mf_protected, 319, 12},	//1641 DOM::NamedNodeMap::NamedNodeMap(DOM::NamedNodeMapImpl*)
	{102, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 0},	//1642 DOM::Node::ELEMENT_NODE (enum)
	{102, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 1},	//1643 DOM::Node::ATTRIBUTE_NODE (enum)
	{102, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 2},	//1644 DOM::Node::TEXT_NODE (enum)
	{102, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 3},	//1645 DOM::Node::CDATA_SECTION_NODE (enum)
	{102, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 4},	//1646 DOM::Node::ENTITY_REFERENCE_NODE (enum)
	{102, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 5},	//1647 DOM::Node::ENTITY_NODE (enum)
	{102, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 6},	//1648 DOM::Node::PROCESSING_INSTRUCTION_NODE (enum)
	{102, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 7},	//1649 DOM::Node::COMMENT_NODE (enum)
	{102, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 8},	//1650 DOM::Node::DOCUMENT_NODE (enum)
	{102, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 9},	//1651 DOM::Node::DOCUMENT_TYPE_NODE (enum)
	{102, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 10},	//1652 DOM::Node::DOCUMENT_FRAGMENT_NODE (enum)
	{102, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 11},	//1653 DOM::Node::NOTATION_NODE (enum)
	{102, 421, 0, 0, 0, 323, 12},	//1654 DOM::Node::Node()
	{102, 421, 666, 1, Smoke::mf_copyctor, 323, 13},	//1655 DOM::Node::Node(const DOM::Node&)
	{102, 421, 158, 1, 0, 323, 14},	//1656 DOM::Node::Node(DOM::NodeImpl*)
	{102, 1162, 666, 1, 0, 322, 15},	//1657 DOM::Node::operator=(const DOM::Node&)
	{102, 1164, 666, 1, Smoke::mf_const, 705, 16},	//1658 DOM::Node::operator==(const DOM::Node&) const
	{102, 1154, 666, 1, Smoke::mf_const, 705, 17},	//1659 DOM::Node::operator!=(const DOM::Node&) const
	{102, 2029, 0, 0, Smoke::mf_dtor, 0, 53},	//1660 DOM::Node::~Node()
	{102, 1134, 0, 0, Smoke::mf_const, 86, 18},	//1661 DOM::Node::nodeName() const
	{102, 1137, 0, 0, Smoke::mf_const, 86, 19},	//1662 DOM::Node::nodeValue() const
	{102, 1590, 422, 1, 0, 0, 20},	//1663 DOM::Node::setNodeValue(const DOM::DOMString&)
	{102, 1135, 0, 0, Smoke::mf_const, 886, 21},	//1664 DOM::Node::nodeType() const
	{102, 1187, 0, 0, Smoke::mf_const, 321, 22},	//1665 DOM::Node::parentNode() const
	{102, 610, 0, 0, Smoke::mf_const, 336, 23},	//1666 DOM::Node::childNodes() const
	{102, 830, 0, 0, Smoke::mf_const, 321, 24},	//1667 DOM::Node::firstChild() const
	{102, 1065, 0, 0, Smoke::mf_const, 321, 25},	//1668 DOM::Node::lastChild() const
	{102, 1215, 0, 0, Smoke::mf_const, 321, 26},	//1669 DOM::Node::previousSibling() const
	{102, 1127, 0, 0, Smoke::mf_const, 321, 27},	//1670 DOM::Node::nextSibling() const
	{102, 562, 0, 0, Smoke::mf_const, 317, 28},	//1671 DOM::Node::attributes() const
	{102, 1171, 0, 0, Smoke::mf_const, 91, 29},	//1672 DOM::Node::ownerDocument() const
	{102, 976, 671, 2, 0, 321, 30},	//1673 DOM::Node::insertBefore(const DOM::Node&, const DOM::Node&)
	{102, 1271, 671, 2, 0, 321, 31},	//1674 DOM::Node::replaceChild(const DOM::Node&, const DOM::Node&)
	{102, 1255, 666, 1, 0, 321, 32},	//1675 DOM::Node::removeChild(const DOM::Node&)
	{102, 546, 666, 1, 0, 321, 33},	//1676 DOM::Node::appendChild(const DOM::Node&)
	{102, 917, 0, 0, 0, 705, 34},	//1677 DOM::Node::hasChildNodes()
	{102, 620, 362, 1, 0, 321, 35},	//1678 DOM::Node::cloneNode(bool)
	{102, 1139, 0, 0, 0, 0, 36},	//1679 DOM::Node::normalize()
	{102, 1024, 477, 2, Smoke::mf_const, 705, 37},	//1680 DOM::Node::isSupported(const DOM::DOMString&, const DOM::DOMString&) const
	{102, 1120, 0, 0, Smoke::mf_const, 86, 38},	//1681 DOM::Node::namespaceURI() const
	{102, 1206, 0, 0, Smoke::mf_const, 86, 39},	//1682 DOM::Node::prefix() const
	{102, 1608, 422, 1, 0, 0, 40},	//1683 DOM::Node::setPrefix(const DOM::DOMString&)
	{102, 1086, 0, 0, Smoke::mf_const, 86, 41},	//1684 DOM::Node::localName() const
	{102, 916, 0, 0, 0, 705, 42},	//1685 DOM::Node::hasAttributes()
	{102, 534, 428, 3, 0, 0, 43},	//1686 DOM::Node::addEventListener(const DOM::DOMString&, DOM::EventListener*, const bool)
	{102, 1257, 424, 3, 0, 0, 44},	//1687 DOM::Node::removeEventListener(const DOM::DOMString&, DOM::EventListener*, bool)
	{102, 752, 518, 1, 0, 705, 45},	//1688 DOM::Node::dispatchEvent(const DOM::Event&)
	{102, 1842, 0, 0, Smoke::mf_const, 86, 46},	//1689 DOM::Node::textContent() const
	{102, 1706, 422, 1, 0, 0, 47},	//1690 DOM::Node::setTextContent(const DOM::DOMString&)
	{102, 777, 0, 0, Smoke::mf_const, 881, 48},	//1691 DOM::Node::elementId() const
	{102, 1016, 0, 0, Smoke::mf_const, 705, 49},	//1692 DOM::Node::isNull() const
	{102, 952, 0, 0, Smoke::mf_const, 885, 50},	//1693 DOM::Node::index() const
	{102, 553, 0, 0, 0, 0, 51},	//1694 DOM::Node::applyChanges()
	{102, 900, 0, 0, 0, 586, 52},	//1695 DOM::Node::getRect()
	{103, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 328, 0},	//1696 DOM::NodeFilter::FILTER_ACCEPT (enum)
	{103, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 328, 1},	//1697 DOM::NodeFilter::FILTER_REJECT (enum)
	{103, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 328, 2},	//1698 DOM::NodeFilter::FILTER_SKIP (enum)
	{103, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 3},	//1699 DOM::NodeFilter::SHOW_ALL (enum)
	{103, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 4},	//1700 DOM::NodeFilter::SHOW_ELEMENT (enum)
	{103, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 5},	//1701 DOM::NodeFilter::SHOW_ATTRIBUTE (enum)
	{103, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 6},	//1702 DOM::NodeFilter::SHOW_TEXT (enum)
	{103, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 7},	//1703 DOM::NodeFilter::SHOW_CDATA_SECTION (enum)
	{103, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 8},	//1704 DOM::NodeFilter::SHOW_ENTITY_REFERENCE (enum)
	{103, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 9},	//1705 DOM::NodeFilter::SHOW_ENTITY (enum)
	{103, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 10},	//1706 DOM::NodeFilter::SHOW_PROCESSING_INSTRUCTION (enum)
	{103, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 11},	//1707 DOM::NodeFilter::SHOW_COMMENT (enum)
	{103, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 12},	//1708 DOM::NodeFilter::SHOW_DOCUMENT (enum)
	{103, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 13},	//1709 DOM::NodeFilter::SHOW_DOCUMENT_TYPE (enum)
	{103, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 14},	//1710 DOM::NodeFilter::SHOW_DOCUMENT_FRAGMENT (enum)
	{103, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 15},	//1711 DOM::NodeFilter::SHOW_NOTATION (enum)
	{103, 424, 0, 0, 0, 327, 16},	//1712 DOM::NodeFilter::NodeFilter()
	{103, 424, 683, 1, Smoke::mf_copyctor, 327, 17},	//1713 DOM::NodeFilter::NodeFilter(const DOM::NodeFilter&)
	{103, 424, 156, 1, 0, 327, 18},	//1714 DOM::NodeFilter::NodeFilter(DOM::NodeFilterImpl*)
	{103, 1162, 683, 1, 0, 326, 19},	//1715 DOM::NodeFilter::operator=(const DOM::NodeFilter&)
	{103, 2030, 0, 0, Smoke::mf_dtor, 0, 25},	//1716 DOM::NodeFilter::~NodeFilter()
	{103, 516, 666, 1, 0, 882, 20},	//1717 DOM::NodeFilter::acceptNode(const DOM::Node&)
	{103, 1016, 0, 0, Smoke::mf_const, 705, 21},	//1718 DOM::NodeFilter::isNull() const
	{103, 1442, 601, 1, 0, 0, 22},	//1719 DOM::NodeFilter::setCustomNodeFilter(DOM::CustomNodeFilter*)
	{103, 718, 0, 0, 0, 78, 23},	//1720 DOM::NodeFilter::customNodeFilter()
	{103, 678, 601, 1, Smoke::mf_static, 325, 24},	//1721 DOM::NodeFilter::createCustom(DOM::CustomNodeFilter*)
	{104, 427, 0, 0, 0, 334, 0},	//1722 DOM::NodeIterator::NodeIterator()
	{104, 427, 685, 1, Smoke::mf_copyctor, 334, 1},	//1723 DOM::NodeIterator::NodeIterator(const DOM::NodeIterator&)
	{104, 1162, 685, 1, 0, 333, 2},	//1724 DOM::NodeIterator::operator=(const DOM::NodeIterator&)
	{104, 2031, 0, 0, Smoke::mf_dtor, 0, 12},	//1725 DOM::NodeIterator::~NodeIterator()
	{104, 1285, 0, 0, 0, 321, 3},	//1726 DOM::NodeIterator::root()
	{104, 1891, 0, 0, 0, 885, 4},	//1727 DOM::NodeIterator::whatToShow()
	{104, 809, 0, 0, 0, 325, 5},	//1728 DOM::NodeIterator::filter()
	{104, 804, 0, 0, 0, 705, 6},	//1729 DOM::NodeIterator::expandEntityReferences()
	{104, 1126, 0, 0, 0, 321, 7},	//1730 DOM::NodeIterator::nextNode()
	{104, 1214, 0, 0, 0, 321, 8},	//1731 DOM::NodeIterator::previousNode()
	{104, 745, 0, 0, 0, 0, 9},	//1732 DOM::NodeIterator::detach()
	{104, 1016, 0, 0, Smoke::mf_const, 705, 10},	//1733 DOM::NodeIterator::isNull() const
	{104, 427, 163, 1, Smoke::mf_protected, 334, 11},	//1734 DOM::NodeIterator::NodeIterator(DOM::NodeIteratorImpl*)
	{105, 430, 0, 0, 0, 338, 0},	//1735 DOM::NodeList::NodeList()
	{105, 430, 687, 1, Smoke::mf_copyctor, 338, 1},	//1736 DOM::NodeList::NodeList(const DOM::NodeList&)
	{105, 1162, 687, 1, 0, 337, 2},	//1737 DOM::NodeList::operator=(const DOM::NodeList&)
	{105, 2032, 0, 0, Smoke::mf_dtor, 0, 7},	//1738 DOM::NodeList::~NodeList()
	{105, 1074, 0, 0, Smoke::mf_const, 885, 3},	//1739 DOM::NodeList::length() const
	{105, 1026, 928, 1, Smoke::mf_const, 321, 4},	//1740 DOM::NodeList::item(unsigned long) const
	{105, 1016, 0, 0, Smoke::mf_const, 705, 5},	//1741 DOM::NodeList::isNull() const
	{105, 430, 689, 1, Smoke::mf_protected, 338, 6},	//1742 DOM::NodeList::NodeList(const DOM::NodeListImpl*)
	{106, 434, 0, 0, 0, 340, 0},	//1743 DOM::Notation::Notation()
	{106, 434, 691, 1, Smoke::mf_copyctor, 340, 1},	//1744 DOM::Notation::Notation(const DOM::Notation&)
	{106, 434, 666, 1, 0, 340, 2},	//1745 DOM::Notation::Notation(const DOM::Node&)
	{106, 1162, 666, 1, 0, 339, 3},	//1746 DOM::Notation::operator=(const DOM::Node&)
	{106, 1162, 691, 1, 0, 339, 4},	//1747 DOM::Notation::operator=(const DOM::Notation&)
	{106, 2033, 0, 0, Smoke::mf_dtor, 0, 8},	//1748 DOM::Notation::~Notation()
	{106, 1221, 0, 0, Smoke::mf_const, 86, 5},	//1749 DOM::Notation::publicId() const
	{106, 1828, 0, 0, Smoke::mf_const, 86, 6},	//1750 DOM::Notation::systemId() const
	{106, 434, 165, 1, Smoke::mf_protected, 340, 7},	//1751 DOM::Notation::Notation(DOM::NotationImpl*)
	{107, 443, 0, 0, 0, 344, 0},	//1752 DOM::ProcessingInstruction::ProcessingInstruction()
	{107, 443, 693, 1, Smoke::mf_copyctor, 344, 1},	//1753 DOM::ProcessingInstruction::ProcessingInstruction(const DOM::ProcessingInstruction&)
	{107, 443, 666, 1, 0, 344, 2},	//1754 DOM::ProcessingInstruction::ProcessingInstruction(const DOM::Node&)
	{107, 1162, 666, 1, 0, 343, 3},	//1755 DOM::ProcessingInstruction::operator=(const DOM::Node&)
	{107, 1162, 693, 1, 0, 343, 4},	//1756 DOM::ProcessingInstruction::operator=(const DOM::ProcessingInstruction&)
	{107, 2036, 0, 0, Smoke::mf_dtor, 0, 10},	//1757 DOM::ProcessingInstruction::~ProcessingInstruction()
	{107, 1836, 0, 0, Smoke::mf_const, 86, 5},	//1758 DOM::ProcessingInstruction::target() const
	{107, 720, 0, 0, Smoke::mf_const, 86, 6},	//1759 DOM::ProcessingInstruction::data() const
	{107, 1449, 422, 1, 0, 0, 7},	//1760 DOM::ProcessingInstruction::setData(const DOM::DOMString&)
	{107, 1763, 0, 0, Smoke::mf_const, 362, 8},	//1761 DOM::ProcessingInstruction::sheet() const
	{107, 443, 167, 1, Smoke::mf_protected, 344, 9},	//1762 DOM::ProcessingInstruction::ProcessingInstruction(DOM::ProcessingInstructionImpl*)
	{108, 448, 0, 0, 0, 348, 0},	//1763 DOM::RGBColor::RGBColor()
	{108, 448, 317, 1, 0, 348, 1},	//1764 DOM::RGBColor::RGBColor(QRgb)
	{108, 448, 695, 1, Smoke::mf_copyctor, 348, 2},	//1765 DOM::RGBColor::RGBColor(const DOM::RGBColor&)
	{108, 1162, 695, 1, 0, 347, 3},	//1766 DOM::RGBColor::operator=(const DOM::RGBColor&)
	{108, 2037, 0, 0, Smoke::mf_dtor, 0, 8},	//1767 DOM::RGBColor::~RGBColor()
	{108, 1237, 0, 0, Smoke::mf_const, 31, 4},	//1768 DOM::RGBColor::red() const
	{108, 907, 0, 0, Smoke::mf_const, 31, 5},	//1769 DOM::RGBColor::green() const
	{108, 578, 0, 0, Smoke::mf_const, 31, 6},	//1770 DOM::RGBColor::blue() const
	{108, 635, 0, 0, Smoke::mf_const, 588, 7},	//1771 DOM::RGBColor::color() const
	{109, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 0},	//1772 DOM::Range::START_TO_START (enum)
	{109, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 1},	//1773 DOM::Range::START_TO_END (enum)
	{109, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 2},	//1774 DOM::Range::END_TO_END (enum)
	{109, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 3},	//1775 DOM::Range::END_TO_START (enum)
	{109, 451, 0, 0, 0, 351, 4},	//1776 DOM::Range::Range()
	{109, 451, 497, 1, 0, 351, 5},	//1777 DOM::Range::Range(const DOM::Document)
	{109, 451, 697, 1, Smoke::mf_copyctor, 351, 6},	//1778 DOM::Range::Range(const DOM::Range&)
	{109, 451, 661, 4, 0, 351, 7},	//1779 DOM::Range::Range(const DOM::Node, const long, const DOM::Node, const long)
	{109, 1162, 697, 1, 0, 350, 8},	//1780 DOM::Range::operator=(const DOM::Range&)
	{109, 2038, 0, 0, Smoke::mf_dtor, 0, 39},	//1781 DOM::Range::~Range()
	{109, 1792, 0, 0, Smoke::mf_const, 321, 9},	//1782 DOM::Range::startContainer() const
	{109, 1793, 0, 0, Smoke::mf_const, 879, 10},	//1783 DOM::Range::startOffset() const
	{109, 786, 0, 0, Smoke::mf_const, 321, 11},	//1784 DOM::Range::endContainer() const
	{109, 787, 0, 0, Smoke::mf_const, 879, 12},	//1785 DOM::Range::endOffset() const
	{109, 634, 0, 0, Smoke::mf_const, 705, 13},	//1786 DOM::Range::collapsed() const
	{109, 637, 0, 0, 0, 321, 14},	//1787 DOM::Range::commonAncestorContainer()
	{109, 1676, 680, 2, 0, 0, 15},	//1788 DOM::Range::setStart(const DOM::Node&, long)
	{109, 1477, 680, 2, 0, 0, 16},	//1789 DOM::Range::setEnd(const DOM::Node&, long)
	{109, 1681, 666, 1, 0, 0, 17},	//1790 DOM::Range::setStartBefore(const DOM::Node&)
	{109, 1679, 666, 1, 0, 0, 18},	//1791 DOM::Range::setStartAfter(const DOM::Node&)
	{109, 1481, 666, 1, 0, 0, 19},	//1792 DOM::Range::setEndBefore(const DOM::Node&)
	{109, 1479, 666, 1, 0, 0, 20},	//1793 DOM::Range::setEndAfter(const DOM::Node&)
	{109, 632, 362, 1, 0, 0, 21},	//1794 DOM::Range::collapse(bool)
	{109, 1309, 666, 1, 0, 0, 22},	//1795 DOM::Range::selectNode(const DOM::Node&)
	{109, 1311, 666, 1, 0, 0, 23},	//1796 DOM::Range::selectNodeContents(const DOM::Node&)
	{109, 639, 171, 2, 0, 882, 24},	//1797 DOM::Range::compareBoundaryPoints(DOM::Range::CompareHow, const DOM::Range&)
	{109, 583, 0, 0, 0, 705, 25},	//1798 DOM::Range::boundaryPointsValid()
	{109, 731, 0, 0, 0, 0, 26},	//1799 DOM::Range::deleteContents()
	{109, 805, 0, 0, 0, 94, 27},	//1800 DOM::Range::extractContents()
	{109, 619, 0, 0, 0, 94, 28},	//1801 DOM::Range::cloneContents()
	{109, 982, 666, 1, 0, 0, 29},	//1802 DOM::Range::insertNode(const DOM::Node&)
	{109, 1826, 666, 1, 0, 0, 30},	//1803 DOM::Range::surroundContents(const DOM::Node&)
	{109, 622, 0, 0, 0, 349, 31},	//1804 DOM::Range::cloneRange()
	{109, 1853, 0, 0, 0, 86, 32},	//1805 DOM::Range::toString()
	{109, 1850, 0, 0, 0, 86, 33},	//1806 DOM::Range::toHTML()
	{109, 676, 422, 1, 0, 94, 34},	//1807 DOM::Range::createContextualFragment(const DOM::DOMString&)
	{109, 745, 0, 0, 0, 0, 35},	//1808 DOM::Range::detach()
	{109, 999, 0, 0, Smoke::mf_const, 705, 36},	//1809 DOM::Range::isDetached() const
	{109, 1016, 0, 0, Smoke::mf_const, 705, 37},	//1810 DOM::Range::isNull() const
	{109, 451, 174, 1, Smoke::mf_protected, 351, 38},	//1811 DOM::Range::Range(DOM::RangeImpl*)
	{110, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 355, 0},	//1812 DOM::RangeException::BAD_BOUNDARYPOINTS_ERR (enum)
	{110, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 355, 1},	//1813 DOM::RangeException::INVALID_NODE_TYPE_ERR (enum)
	{110, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 355, 2},	//1814 DOM::RangeException::_EXCEPTION_OFFSET (enum)
	{110, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 355, 3},	//1815 DOM::RangeException::_EXCEPTION_MAX (enum)
	{110, 455, 930, 1, 0, 354, 5},	//1816 DOM::RangeException::RangeException(unsigned short)
	{110, 455, 699, 1, Smoke::mf_copyctor, 354, 6},	//1817 DOM::RangeException::RangeException(const DOM::RangeException&)
	{110, 1162, 699, 1, 0, 353, 7},	//1818 DOM::RangeException::operator=(const DOM::RangeException&)
	{110, 2039, 0, 0, Smoke::mf_dtor, 0, 9},	//1819 DOM::RangeException::~RangeException()
	{110, 1409, 930, 1, 0, 0, 8},	//1820 DOM::RangeException::setCode(unsigned short)
	{110, 628, 0, 0, 0, 886, 4},	//1821 DOM::RangeException::code (var)
	{111, 460, 0, 0, 0, 359, 0},	//1822 DOM::Rect::Rect()
	{111, 460, 701, 1, Smoke::mf_copyctor, 359, 1},	//1823 DOM::Rect::Rect(const DOM::Rect&)
	{111, 1162, 701, 1, 0, 358, 2},	//1824 DOM::Rect::operator=(const DOM::Rect&)
	{111, 2041, 0, 0, Smoke::mf_dtor, 0, 9},	//1825 DOM::Rect::~Rect()
	{111, 1854, 0, 0, Smoke::mf_const, 31, 3},	//1826 DOM::Rect::top() const
	{111, 1284, 0, 0, Smoke::mf_const, 31, 4},	//1827 DOM::Rect::right() const
	{111, 582, 0, 0, Smoke::mf_const, 31, 5},	//1828 DOM::Rect::bottom() const
	{111, 1073, 0, 0, Smoke::mf_const, 31, 6},	//1829 DOM::Rect::left() const
	{111, 1016, 0, 0, Smoke::mf_const, 705, 7},	//1830 DOM::Rect::isNull() const
	{111, 460, 176, 1, Smoke::mf_protected, 359, 8},	//1831 DOM::Rect::Rect(DOM::RectImpl*)
	{112, 483, 0, 0, 0, 364, 0},	//1832 DOM::StyleSheet::StyleSheet()
	{112, 483, 703, 1, Smoke::mf_copyctor, 364, 1},	//1833 DOM::StyleSheet::StyleSheet(const DOM::StyleSheet&)
	{112, 483, 180, 1, 0, 364, 2},	//1834 DOM::StyleSheet::StyleSheet(DOM::StyleSheetImpl*)
	{112, 1162, 703, 1, 0, 363, 3},	//1835 DOM::StyleSheet::operator=(const DOM::StyleSheet&)
	{112, 2042, 0, 0, Smoke::mf_dtor, 0, 14},	//1836 DOM::StyleSheet::~StyleSheet()
	{112, 1858, 0, 0, Smoke::mf_const, 86, 4},	//1837 DOM::StyleSheet::type() const
	{112, 749, 0, 0, Smoke::mf_const, 705, 5},	//1838 DOM::StyleSheet::disabled() const
	{112, 1467, 362, 1, 0, 0, 6},	//1839 DOM::StyleSheet::setDisabled(bool)
	{112, 1173, 0, 0, Smoke::mf_const, 321, 7},	//1840 DOM::StyleSheet::ownerNode() const
	{112, 1190, 0, 0, Smoke::mf_const, 362, 8},	//1841 DOM::StyleSheet::parentStyleSheet() const
	{112, 935, 0, 0, Smoke::mf_const, 86, 9},	//1842 DOM::StyleSheet::href() const
	{112, 1847, 0, 0, Smoke::mf_const, 86, 10},	//1843 DOM::StyleSheet::title() const
	{112, 1095, 0, 0, Smoke::mf_const, 306, 11},	//1844 DOM::StyleSheet::media() const
	{112, 995, 0, 0, Smoke::mf_const, 705, 12},	//1845 DOM::StyleSheet::isCSSStyleSheet() const
	{112, 1016, 0, 0, Smoke::mf_const, 705, 13},	//1846 DOM::StyleSheet::isNull() const
	{113, 486, 0, 0, 0, 368, 0},	//1847 DOM::StyleSheetList::StyleSheetList()
	{113, 486, 705, 1, Smoke::mf_copyctor, 368, 1},	//1848 DOM::StyleSheetList::StyleSheetList(const DOM::StyleSheetList&)
	{113, 486, 182, 1, 0, 368, 2},	//1849 DOM::StyleSheetList::StyleSheetList(DOM::StyleSheetListImpl*)
	{113, 1162, 705, 1, 0, 367, 3},	//1850 DOM::StyleSheetList::operator=(const DOM::StyleSheetList&)
	{113, 2043, 0, 0, Smoke::mf_dtor, 0, 7},	//1851 DOM::StyleSheetList::~StyleSheetList()
	{113, 1074, 0, 0, Smoke::mf_const, 885, 4},	//1852 DOM::StyleSheetList::length() const
	{113, 1026, 928, 1, 0, 362, 5},	//1853 DOM::StyleSheetList::item(unsigned long)
	{113, 1016, 0, 0, Smoke::mf_const, 705, 6},	//1854 DOM::StyleSheetList::isNull() const
	{114, 491, 0, 0, 0, 372, 0},	//1855 DOM::Text::Text()
	{114, 491, 707, 1, Smoke::mf_copyctor, 372, 1},	//1856 DOM::Text::Text(const DOM::Text&)
	{114, 491, 666, 1, 0, 372, 2},	//1857 DOM::Text::Text(const DOM::Node&)
	{114, 1162, 666, 1, 0, 371, 3},	//1858 DOM::Text::operator=(const DOM::Node&)
	{114, 1162, 707, 1, 0, 371, 4},	//1859 DOM::Text::operator=(const DOM::Text&)
	{114, 2044, 0, 0, Smoke::mf_dtor, 0, 7},	//1860 DOM::Text::~Text()
	{114, 1787, 866, 1, 0, 370, 5},	//1861 DOM::Text::splitText(const unsigned long)
	{114, 491, 184, 1, Smoke::mf_protected, 372, 6},	//1862 DOM::Text::Text(DOM::TextImpl*)
	{115, 494, 0, 0, 0, 374, 0},	//1863 DOM::TextEvent::TextEvent()
	{115, 494, 709, 1, Smoke::mf_copyctor, 374, 1},	//1864 DOM::TextEvent::TextEvent(const DOM::TextEvent&)
	{115, 494, 518, 1, 0, 374, 2},	//1865 DOM::TextEvent::TextEvent(const DOM::Event&)
	{115, 1162, 709, 1, 0, 373, 3},	//1866 DOM::TextEvent::operator=(const DOM::TextEvent&)
	{115, 1162, 518, 1, 0, 373, 4},	//1867 DOM::TextEvent::operator=(const DOM::Event&)
	{115, 2045, 0, 0, Smoke::mf_dtor, 0, 6},	//1868 DOM::TextEvent::~TextEvent()
	{115, 964, 436, 5, 0, 0, 5},	//1869 DOM::TextEvent::initTextEvent(const DOM::DOMString&, bool, bool, const DOM::AbstractView&, const DOM::DOMString&)
	{116, 496, 0, 0, 0, 378, 0},	//1870 DOM::TreeWalker::TreeWalker()
	{116, 496, 711, 1, Smoke::mf_copyctor, 378, 1},	//1871 DOM::TreeWalker::TreeWalker(const DOM::TreeWalker&)
	{116, 1162, 711, 1, 0, 377, 2},	//1872 DOM::TreeWalker::operator=(const DOM::TreeWalker&)
	{116, 2046, 0, 0, Smoke::mf_dtor, 0, 18},	//1873 DOM::TreeWalker::~TreeWalker()
	{116, 1285, 0, 0, 0, 321, 3},	//1874 DOM::TreeWalker::root()
	{116, 1891, 0, 0, 0, 885, 4},	//1875 DOM::TreeWalker::whatToShow()
	{116, 809, 0, 0, 0, 325, 5},	//1876 DOM::TreeWalker::filter()
	{116, 804, 0, 0, 0, 705, 6},	//1877 DOM::TreeWalker::expandEntityReferences()
	{116, 713, 0, 0, 0, 321, 7},	//1878 DOM::TreeWalker::currentNode()
	{116, 1440, 666, 1, 0, 0, 8},	//1879 DOM::TreeWalker::setCurrentNode(const DOM::Node&)
	{116, 1187, 0, 0, 0, 321, 9},	//1880 DOM::TreeWalker::parentNode()
	{116, 830, 0, 0, 0, 321, 10},	//1881 DOM::TreeWalker::firstChild()
	{116, 1065, 0, 0, 0, 321, 11},	//1882 DOM::TreeWalker::lastChild()
	{116, 1215, 0, 0, 0, 321, 12},	//1883 DOM::TreeWalker::previousSibling()
	{116, 1127, 0, 0, 0, 321, 13},	//1884 DOM::TreeWalker::nextSibling()
	{116, 1214, 0, 0, 0, 321, 14},	//1885 DOM::TreeWalker::previousNode()
	{116, 1126, 0, 0, 0, 321, 15},	//1886 DOM::TreeWalker::nextNode()
	{116, 1016, 0, 0, Smoke::mf_const, 705, 16},	//1887 DOM::TreeWalker::isNull() const
	{116, 496, 186, 1, Smoke::mf_protected, 378, 17},	//1888 DOM::TreeWalker::TreeWalker(DOM::TreeWalkerImpl*)
	{117, 499, 0, 0, 0, 381, 0},	//1889 DOM::UIEvent::UIEvent()
	{117, 499, 713, 1, Smoke::mf_copyctor, 381, 1},	//1890 DOM::UIEvent::UIEvent(const DOM::UIEvent&)
	{117, 499, 518, 1, 0, 381, 2},	//1891 DOM::UIEvent::UIEvent(const DOM::Event&)
	{117, 1162, 713, 1, 0, 380, 3},	//1892 DOM::UIEvent::operator=(const DOM::UIEvent&)
	{117, 1162, 518, 1, 0, 380, 4},	//1893 DOM::UIEvent::operator=(const DOM::Event&)
	{117, 2047, 0, 0, Smoke::mf_dtor, 0, 16},	//1894 DOM::UIEvent::~UIEvent()
	{117, 1881, 0, 0, Smoke::mf_const, 1, 5},	//1895 DOM::UIEvent::view() const
	{117, 746, 0, 0, Smoke::mf_const, 879, 6},	//1896 DOM::UIEvent::detail() const
	{117, 1035, 0, 0, Smoke::mf_const, 870, 7},	//1897 DOM::UIEvent::keyCode() const
	{117, 604, 0, 0, Smoke::mf_const, 870, 8},	//1898 DOM::UIEvent::charCode() const
	{117, 1176, 0, 0, Smoke::mf_const, 870, 9},	//1899 DOM::UIEvent::pageX() const
	{117, 1177, 0, 0, Smoke::mf_const, 870, 10},	//1900 DOM::UIEvent::pageY() const
	{117, 1067, 0, 0, Smoke::mf_const, 870, 11},	//1901 DOM::UIEvent::layerX() const
	{117, 1068, 0, 0, Smoke::mf_const, 870, 12},	//1902 DOM::UIEvent::layerY() const
	{117, 1894, 0, 0, Smoke::mf_const, 870, 13},	//1903 DOM::UIEvent::which() const
	{117, 966, 442, 5, 0, 0, 14},	//1904 DOM::UIEvent::initUIEvent(const DOM::DOMString&, bool, bool, const DOM::AbstractView&, long)
	{117, 499, 188, 1, Smoke::mf_protected, 381, 15},	//1905 DOM::UIEvent::UIEvent(DOM::UIEventImpl*)
	{123, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 409, 0},	//1906 KHTMLPart::DefaultGUI (enum)
	{123, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 409, 1},	//1907 KHTMLPart::BrowserViewGUI (enum)
	{123, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 406, 2},	//1908 KHTMLPart::CaretVisible (enum)
	{123, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 406, 3},	//1909 KHTMLPart::CaretInvisible (enum)
	{123, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 406, 4},	//1910 KHTMLPart::CaretBlink (enum)
	{123, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 407, 5},	//1911 KHTMLPart::FindLinksOnly (enum)
	{123, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 407, 6},	//1912 KHTMLPart::FindNoPopups (enum)
	{123, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 408, 7},	//1913 KHTMLPart::NoNotification (enum)
	{123, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 408, 8},	//1914 KHTMLPart::Before (enum)
	{123, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 408, 9},	//1915 KHTMLPart::Only (enum)
	{123, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 408, 10},	//1916 KHTMLPart::Unused (enum)
	{123, 1099, 0, 0, Smoke::mf_const, 850, 14},	//1917 KHTMLPart::metaObject() const
	{123, 1222, 280, 3, 0, 870, 15},	//1918 KHTMLPart::qt_metacall(QMetaObject::Call, int, void**)
	{123, 367, 334, 3, Smoke::mf_ctor, 405, 16},	//1919 KHTMLPart::KHTMLPart(QWidget*, QObject*, KHTMLPart::GUIProfile)
	{123, 367, 331, 2, Smoke::mf_ctor, 405, 17},	//1920 KHTMLPart::KHTMLPart(QWidget*, QObject*)
	{123, 367, 329, 1, Smoke::mf_ctor, 405, 18},	//1921 KHTMLPart::KHTMLPart(QWidget*)
	{123, 367, 0, 0, Smoke::mf_ctor, 405, 19},	//1922 KHTMLPart::KHTMLPart()
	{123, 367, 215, 3, Smoke::mf_ctor, 405, 20},	//1923 KHTMLPart::KHTMLPart(KHTMLView*, QObject*, KHTMLPart::GUIProfile)
	{123, 367, 212, 2, Smoke::mf_ctor, 405, 21},	//1924 KHTMLPart::KHTMLPart(KHTMLView*, QObject*)
	{123, 367, 210, 1, Smoke::mf_ctor, 405, 22},	//1925 KHTMLPart::KHTMLPart(KHTMLView*)
	{123, 2020, 0, 0, Smoke::mf_dtor, 0, 179},	//1926 KHTMLPart::~KHTMLPart()
	{123, 1152, 731, 1, 0, 705, 23},	//1927 KHTMLPart::openUrl(const KUrl&)
	{123, 627, 0, 0, 0, 705, 24},	//1928 KHTMLPart::closeUrl()
	{123, 1767, 225, 1, 0, 0, 25},	//1929 KHTMLPart::showError(KJob*)
	{123, 938, 0, 0, Smoke::mf_const, 166, 26},	//1930 KHTMLPart::htmlDocument() const
	{123, 763, 0, 0, Smoke::mf_const, 91, 27},	//1931 KHTMLPart::document() const
	{123, 765, 0, 0, Smoke::mf_const, 593, 28},	//1932 KHTMLPart::documentSource() const
	{123, 525, 0, 0, Smoke::mf_const, 321, 29},	//1933 KHTMLPart::activeNode() const
	{123, 584, 0, 0, Smoke::mf_const, 454, 30},	//1934 KHTMLPart::browserExtension() const
	{123, 585, 0, 0, Smoke::mf_const, 457, 31},	//1935 KHTMLPart::browserHostExtension() const
	{123, 1881, 0, 0, Smoke::mf_const, 422, 32},	//1936 KHTMLPart::view() const
	{123, 1538, 362, 1, 0, 0, 33},	//1937 KHTMLPart::setJScriptEnabled(bool)
	{123, 1028, 0, 0, Smoke::mf_const, 705, 34},	//1938 KHTMLPart::jScriptEnabled() const
	{123, 1029, 0, 0, 0, 441, 35},	//1939 KHTMLPart::jScriptInterpreter()
	{123, 1685, 362, 1, 0, 0, 36},	//1940 KHTMLPart::setStatusMessagesEnabled(bool)
	{123, 1801, 0, 0, Smoke::mf_const, 705, 37},	//1941 KHTMLPart::statusMessagesEnabled() const
	{123, 1570, 362, 1, 0, 0, 38},	//1942 KHTMLPart::setMetaRefreshEnabled(bool)
	{123, 1100, 0, 0, Smoke::mf_const, 705, 39},	//1943 KHTMLPart::metaRefreshEnabled() const
	{123, 802, 674, 2, 0, 621, 40},	//1944 KHTMLPart::executeScript(const DOM::Node&, const QString&)
	{123, 1444, 362, 1, 0, 0, 41},	//1945 KHTMLPart::setDNDEnabled(bool)
	{123, 755, 0, 0, Smoke::mf_const, 705, 42},	//1946 KHTMLPart::dndEnabled() const
	{123, 1540, 362, 1, 0, 0, 43},	//1947 KHTMLPart::setJavaEnabled(bool)
	{123, 1030, 0, 0, Smoke::mf_const, 705, 44},	//1948 KHTMLPart::javaEnabled() const
	{123, 1606, 362, 1, 0, 0, 45},	//1949 KHTMLPart::setPluginsEnabled(bool)
	{123, 1202, 0, 0, Smoke::mf_const, 705, 46},	//1950 KHTMLPart::pluginsEnabled() const
	{123, 1364, 362, 1, 0, 0, 47},	//1951 KHTMLPart::setAutoloadImages(bool)
	{123, 565, 0, 0, Smoke::mf_const, 705, 48},	//1952 KHTMLPart::autoloadImages() const
	{123, 1594, 362, 1, 0, 0, 49},	//1953 KHTMLPart::setOnlyLocalReferences(bool)
	{123, 1147, 0, 0, Smoke::mf_const, 705, 50},	//1954 KHTMLPart::onlyLocalReferences() const
	{123, 997, 0, 0, Smoke::mf_const, 705, 51},	//1955 KHTMLPart::isCaretMode() const
	{123, 1000, 0, 0, Smoke::mf_const, 705, 52},	//1956 KHTMLPart::isEditable() const
	{123, 1382, 142, 3, 0, 0, 53},	//1957 KHTMLPart::setCaretPosition(DOM::Node, long, bool)
	{123, 1382, 139, 2, 0, 0, 54},	//1958 KHTMLPart::setCaretPosition(DOM::Node, long)
	{123, 592, 0, 0, Smoke::mf_const, 406, 55},	//1959 KHTMLPart::caretDisplayPolicyNonFocused() const
	{123, 1378, 202, 1, 0, 0, 56},	//1960 KHTMLPart::setCaretDisplayPolicyNonFocused(KHTMLPart::CaretDisplayPolicy)
	{123, 572, 0, 0, Smoke::mf_const, 478, 57},	//1961 KHTMLPart::baseURL() const
	{123, 569, 0, 0, Smoke::mf_const, 478, 58},	//1962 KHTMLPart::backgroundURL() const
	{123, 1293, 885, 3, 0, 0, 59},	//1963 KHTMLPart::scheduleRedirection(int, const QString&, bool)
	{123, 1293, 882, 2, 0, 0, 60},	//1964 KHTMLPart::scheduleRedirection(int, const QString&)
	{123, 573, 736, 3, 0, 0, 61},	//1965 KHTMLPart::begin(const KUrl&, int, int)
	{123, 573, 733, 2, 0, 0, 62},	//1966 KHTMLPart::begin(const KUrl&, int)
	{123, 573, 731, 1, 0, 0, 63},	//1967 KHTMLPart::begin(const KUrl&)
	{123, 573, 0, 0, 0, 0, 64},	//1968 KHTMLPart::begin()
	{123, 1911, 863, 2, 0, 0, 65},	//1969 KHTMLPart::write(const char*, int)
	{123, 1911, 843, 1, 0, 0, 66},	//1970 KHTMLPart::write(const char*)
	{123, 1911, 787, 1, 0, 0, 67},	//1971 KHTMLPart::write(const QString&)
	{123, 785, 0, 0, 0, 0, 68},	//1972 KHTMLPart::end()
	{123, 1178, 308, 4, 0, 0, 69},	//1973 KHTMLPart::paint(QPainter*, const QRect&, int, bool*)
	{123, 1178, 304, 3, 0, 0, 70},	//1974 KHTMLPart::paint(QPainter*, const QRect&, int)
	{123, 1178, 301, 2, 0, 0, 71},	//1975 KHTMLPart::paint(QPainter*, const QRect&)
	{123, 1471, 797, 2, 0, 705, 72},	//1976 KHTMLPart::setEncoding(const QString&, bool)
	{123, 1471, 787, 1, 0, 705, 73},	//1977 KHTMLPart::setEncoding(const QString&)
	{123, 783, 0, 0, Smoke::mf_const, 593, 74},	//1978 KHTMLPart::encoding() const
	{123, 1720, 731, 1, 0, 0, 75},	//1979 KHTMLPart::setUserStyleSheet(const KUrl&)
	{123, 1720, 787, 1, 0, 0, 76},	//1980 KHTMLPart::setUserStyleSheet(const QString&)
	{123, 1672, 787, 1, 0, 0, 77},	//1981 KHTMLPart::setStandardFont(const QString&)
	{123, 1487, 787, 1, 0, 0, 78},	//1982 KHTMLPart::setFixedFont(const QString&)
	{123, 905, 787, 1, 0, 705, 79},	//1983 KHTMLPart::gotoAnchor(const QString&)
	{123, 1122, 0, 0, 0, 705, 80},	//1984 KHTMLPart::nextAnchor()
	{123, 1211, 0, 0, 0, 705, 81},	//1985 KHTMLPart::prevAnchor()
	{123, 1714, 750, 1, 0, 0, 82},	//1986 KHTMLPart::setURLCursor(const QCursor&)
	{123, 1868, 0, 0, Smoke::mf_const, 517, 83},	//1987 KHTMLPart::urlCursor() const
	{123, 822, 0, 0, 0, 0, 84},	//1988 KHTMLPart::findText()
	{123, 822, 838, 4, 0, 0, 85},	//1989 KHTMLPart::findText(const QString&, long, QWidget*, KFindDialog*)
	{123, 822, 834, 3, 0, 0, 86},	//1990 KHTMLPart::findText(const QString&, long, QWidget*)
	{123, 822, 831, 2, 0, 0, 87},	//1991 KHTMLPart::findText(const QString&, long)
	{123, 826, 0, 0, 0, 0, 88},	//1992 KHTMLPart::findTextBegin()
	{123, 827, 362, 1, 0, 705, 89},	//1993 KHTMLPart::findTextNext(bool)
	{123, 827, 0, 0, 0, 705, 90},	//1994 KHTMLPart::findTextNext()
	{123, 1756, 880, 1, 0, 0, 91},	//1995 KHTMLPart::setZoomFactor(int)
	{123, 1922, 0, 0, Smoke::mf_const, 870, 92},	//1996 KHTMLPart::zoomFactor() const
	{123, 1493, 880, 1, 0, 0, 93},	//1997 KHTMLPart::setFontScaleFactor(int)
	{123, 843, 0, 0, Smoke::mf_const, 870, 94},	//1998 KHTMLPart::fontScaleFactor() const
	{123, 1316, 0, 0, Smoke::mf_const, 593, 95},	//1999 KHTMLPart::selectedText() const
	{123, 1317, 0, 0, Smoke::mf_const, 593, 96},	//2000 KHTMLPart::selectedTextAsHTML() const
	{123, 1318, 0, 0, Smoke::mf_const, 349, 97},	//2001 KHTMLPart::selection() const
	{123, 1318, 151, 4, Smoke::mf_const, 0, 98},	//2002 KHTMLPart::selection(DOM::Node&, long&, DOM::Node&, long&) const
	{123, 1649, 697, 1, 0, 0, 99},	//2003 KHTMLPart::setSelection(const DOM::Range&)
	{123, 921, 0, 0, Smoke::mf_const, 705, 100},	//2004 KHTMLPart::hasSelection() const
	{123, 776, 0, 0, Smoke::mf_const, 106, 101},	//2005 KHTMLPart::editor() const
	{123, 1308, 0, 0, 0, 0, 102},	//2006 KHTMLPart::selectAll()
	{123, 1765, 0, 0, 0, 0, 103},	//2007 KHTMLPart::show()
	{123, 926, 0, 0, 0, 0, 104},	//2008 KHTMLPart::hide()
	{123, 1194, 0, 0, 0, 465, 105},	//2009 KHTMLPart::partManager()
	{123, 1291, 258, 1, 0, 0, 106},	//2010 KHTMLPart::saveState(QDataStream&)
	{123, 1280, 258, 1, 0, 0, 107},	//2011 KHTMLPart::restoreState(QDataStream&)
	{123, 1136, 0, 0, Smoke::mf_const, 321, 108},	//2012 KHTMLPart::nodeUnderMouse() const
	{123, 1138, 0, 0, Smoke::mf_const, 321, 109},	//2013 KHTMLPart::nonSharedNodeUnderMouse() const
	{123, 1760, 0, 0, Smoke::mf_const, 830, 110},	//2014 KHTMLPart::settings() const
	{123, 1188, 0, 0, 0, 405, 111},	//2015 KHTMLPart::parentPart()
	{123, 853, 0, 0, Smoke::mf_const, 596, 112},	//2016 KHTMLPart::frameNames() const
	{123, 857, 0, 0, Smoke::mf_const, 556, 113},	//2017 KHTMLPart::frames() const
	{123, 815, 787, 1, 0, 405, 114},	//2018 KHTMLPart::findFrame(const QString&)
	{123, 817, 242, 3, 0, 405, 115},	//2019 KHTMLPart::findFrameParent(KParts::ReadOnlyPart*, const QString&, khtml::ChildFrame**)
	{123, 817, 239, 2, 0, 405, 116},	//2020 KHTMLPart::findFrameParent(KParts::ReadOnlyPart*, const QString&)
	{123, 712, 0, 0, Smoke::mf_const, 469, 117},	//2021 KHTMLPart::currentFrame() const
	{123, 851, 787, 1, 0, 705, 118},	//2022 KHTMLPart::frameExists(const QString&)
	{123, 855, 237, 1, 0, 442, 119},	//2023 KHTMLPart::framejScript(KParts::ReadOnlyPart*)
	{123, 820, 787, 1, 0, 469, 120},	//2024 KHTMLPart::findFramePart(const QString&)
	{123, 1536, 787, 1, 0, 0, 121},	//2025 KHTMLPart::setJSStatusBarText(const QString&)
	{123, 1530, 787, 1, 0, 0, 122},	//2026 KHTMLPart::setJSDefaultStatusBarText(const QString&)
	{123, 1034, 0, 0, Smoke::mf_const, 593, 123},	//2027 KHTMLPart::jsStatusBarText() const
	{123, 1031, 0, 0, Smoke::mf_const, 593, 124},	//2028 KHTMLPart::jsDefaultStatusBarText() const
	{123, 1240, 0, 0, Smoke::mf_const, 593, 125},	//2029 KHTMLPart::referrer() const
	{123, 1175, 0, 0, Smoke::mf_const, 593, 126},	//2030 KHTMLPart::pageReferrer() const
	{123, 1066, 0, 0, Smoke::mf_const, 593, 127},	//2031 KHTMLPart::lastModified() const
	{123, 1209, 810, 2, 0, 0, 128},	//2032 KHTMLPart::preloadStyleSheet(const QString&, const QString&)
	{123, 1207, 810, 2, 0, 0, 129},	//2033 KHTMLPart::preloadScript(const QString&, const QString&)
	{123, 1020, 893, 2, 0, 705, 130},	//2034 KHTMLPart::isPointInsideSelection(int, int)
	{123, 1282, 0, 0, Smoke::mf_const, 705, 131},	//2035 KHTMLPart::restored() const
	{123, 1344, 362, 1, 0, 0, 132},	//2036 KHTMLPart::setAlwaysHonourDoctype(bool)
	{123, 1344, 0, 0, 0, 0, 133},	//2037 KHTMLPart::setAlwaysHonourDoctype()
	{123, 1495, 204, 1, 0, 0, 134},	//2038 KHTMLPart::setFormNotification(KHTMLPart::FormNotification)
	{123, 845, 0, 0, Smoke::mf_const, 408, 135},	//2039 KHTMLPart::formNotification() const
	{123, 1855, 0, 0, 0, 478, 136},	//2040 KHTMLPart::toplevelURL()
	{123, 1015, 0, 0, Smoke::mf_const, 705, 137},	//2041 KHTMLPart::isModified() const
	{123, 1693, 364, 2, 0, 0, 138},	//2042 KHTMLPart::setSuppressedPopupIndicator(bool, KHTMLPart*)
	{123, 1693, 362, 1, 0, 0, 139},	//2043 KHTMLPart::setSuppressedPopupIndicator(bool)
	{123, 950, 0, 0, Smoke::mf_const, 705, 140},	//2044 KHTMLPart::inProgress() const
	{123, 1338, 666, 1, 0, 0, 141},	//2045 KHTMLPart::setActiveNode(const DOM::Node&)
	{123, 1803, 0, 0, 0, 0, 142},	//2046 KHTMLPart::stopAnimations()
	{123, 1380, 362, 1, 0, 0, 143},	//2047 KHTMLPart::setCaretMode(bool)
	{123, 1469, 362, 1, 0, 0, 144},	//2048 KHTMLPart::setEditable(bool)
	{123, 1385, 362, 1, 0, 0, 145},	//2049 KHTMLPart::setCaretVisible(bool)
	{123, 1819, 856, 6, 0, 0, 146},	//2050 KHTMLPart::submitFormProxy(const char*, const QString&, const QByteArray&, const QString&, const QString&, const QString&)
	{123, 1819, 850, 5, 0, 0, 147},	//2051 KHTMLPart::submitFormProxy(const char*, const QString&, const QByteArray&, const QString&, const QString&)
	{123, 1819, 845, 4, 0, 0, 148},	//2052 KHTMLPart::submitFormProxy(const char*, const QString&, const QByteArray&, const QString&)
	{123, 1145, 787, 1, 0, 0, 149},	//2053 KHTMLPart::onURL(const QString&)
	{123, 1203, 807, 2, 0, 0, 150},	//2054 KHTMLPart::popupMenu(const QString&, const QPoint&)
	{123, 1320, 0, 0, 0, 0, 151},	//2055 KHTMLPart::selectionChanged()
	{123, 1132, 666, 1, 0, 0, 152},	//2056 KHTMLPart::nodeActivated(const DOM::Node&)
	{123, 593, 680, 2, 0, 0, 153},	//2057 KHTMLPart::caretPositionChanged(const DOM::Node&, long)
	{123, 846, 856, 6, 0, 0, 154},	//2058 KHTMLPart::formSubmitNotification(const char*, const QString&, const QByteArray&, const QString&, const QString&, const QString&)
	{123, 647, 0, 0, 0, 0, 155},	//2059 KHTMLPart::configurationChanged()
	{123, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 410, 11},	//2060 KHTMLPart::NotCrypted (enum)
	{123, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 410, 12},	//2061 KHTMLPart::Encrypted (enum)
	{123, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 410, 13},	//2062 KHTMLPart::Mixed (enum)
	{123, 641, 787, 1, Smoke::mf_protected, 478, 156},	//2063 KHTMLPart::completeURL(const QString&)
	{123, 939, 889, 3, Smoke::mf_protected, 0, 157},	//2064 KHTMLPart::htmlError(int, const QString&, const KUrl&)
	{123, 716, 268, 1, Smoke::mf_protected, 0, 158},	//2065 KHTMLPart::customEvent(QEvent*)
	{123, 1052, 914, 1, Smoke::mf_protected, 0, 159},	//2066 KHTMLPart::khtmlMousePressEvent(khtml::MousePressEvent*)
	{123, 1048, 910, 1, Smoke::mf_protected, 0, 160},	//2067 KHTMLPart::khtmlMouseDoubleClickEvent(khtml::MouseDoubleClickEvent*)
	{123, 1050, 912, 1, Smoke::mf_protected, 0, 161},	//2068 KHTMLPart::khtmlMouseMoveEvent(khtml::MouseMoveEvent*)
	{123, 1054, 916, 1, Smoke::mf_protected, 0, 162},	//2069 KHTMLPart::khtmlMouseReleaseEvent(khtml::MouseReleaseEvent*)
	{123, 1042, 908, 1, Smoke::mf_protected, 0, 163},	//2070 KHTMLPart::khtmlDrawContentsEvent(khtml::DrawContentsEvent*)
	{123, 908, 227, 1, Smoke::mf_protected, 0, 164},	//2071 KHTMLPart::guiActivateEvent(KParts::GUIActivateEvent*)
	{123, 1149, 0, 0, Smoke::mf_protected, 705, 165},	//2072 KHTMLPart::openFile()
	{123, 1869, 824, 6, Smoke::mf_protected, 705, 166},	//2073 KHTMLPart::urlSelected(const QString&, int, int, const QString&, const KParts::OpenUrlArguments&, const KParts::BrowserArguments&)
	{123, 1869, 818, 5, Smoke::mf_protected, 705, 167},	//2074 KHTMLPart::urlSelected(const QString&, int, int, const QString&, const KParts::OpenUrlArguments&)
	{123, 1869, 813, 4, Smoke::mf_protected, 705, 168},	//2075 KHTMLPart::urlSelected(const QString&, int, int, const QString&)
	{123, 697, 338, 6, Smoke::mf_protected, 469, 169},	//2076 KHTMLPart::createPart(QWidget*, QObject*, const QString&, QString&, QStringList&, const QStringList&)
	{123, 1200, 787, 1, Smoke::mf_const|Smoke::mf_protected, 705, 170},	//2077 KHTMLPart::pluginPageQuestionAsked(const QString&) const
	{123, 1604, 787, 1, Smoke::mf_protected, 0, 171},	//2078 KHTMLPart::setPluginPageQuestionAsked(const QString&)
	{123, 1596, 206, 1, Smoke::mf_protected, 0, 172},	//2079 KHTMLPart::setPageSecurity(KHTMLPart::PageSecurity)
	{123, 758, 787, 1, Smoke::mf_protected, 705, 173},	//2080 KHTMLPart::doOpenStream(const QString&)
	{123, 760, 740, 1, Smoke::mf_protected, 705, 174},	//2081 KHTMLPart::doWriteStream(const QByteArray&)
	{123, 757, 0, 0, Smoke::mf_protected, 705, 175},	//2082 KHTMLPart::doCloseStream()
	{123, 1845, 325, 1, Smoke::mf_protected, 0, 176},	//2083 KHTMLPart::timerEvent(QTimerEvent*)
	{123, 1796, 221, 1, Smoke::mf_protected, 0, 177},	//2084 KHTMLPart::startingJob(KIO::Job*)
	{123, 1775, 225, 1, Smoke::mf_protected, 0, 178},	//2085 KHTMLPart::slotFinished(KJob*)
	{124, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 419, 0},	//2086 KHTMLSettings::KJavaScriptDunno (enum)
	{124, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 419, 1},	//2087 KHTMLSettings::KJavaScriptAccept (enum)
	{124, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 419, 2},	//2088 KHTMLSettings::KJavaScriptReject (enum)
	{124, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 413, 3},	//2089 KHTMLSettings::KAnimationDisabled (enum)
	{124, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 413, 4},	//2090 KHTMLSettings::KAnimationLoopOnce (enum)
	{124, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 413, 5},	//2091 KHTMLSettings::KAnimationEnabled (enum)
	{124, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 421, 6},	//2092 KHTMLSettings::KSmoothScrollingDisabled (enum)
	{124, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 421, 7},	//2093 KHTMLSettings::KSmoothScrollingWhenEfficient (enum)
	{124, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 421, 8},	//2094 KHTMLSettings::KSmoothScrollingEnabled (enum)
	{124, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 416, 9},	//2095 KHTMLSettings::KJSWindowOpenAllow (enum)
	{124, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 416, 10},	//2096 KHTMLSettings::KJSWindowOpenAsk (enum)
	{124, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 416, 11},	//2097 KHTMLSettings::KJSWindowOpenDeny (enum)
	{124, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 416, 12},	//2098 KHTMLSettings::KJSWindowOpenSmart (enum)
	{124, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 418, 13},	//2099 KHTMLSettings::KJSWindowStatusAllow (enum)
	{124, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 418, 14},	//2100 KHTMLSettings::KJSWindowStatusIgnore (enum)
	{124, 377, 0, 0, Smoke::mf_static|Smoke::mf_enum, 415, 15},	//2101 KHTMLSettings::KJSWindowMoveAllow (enum)
	{124, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 415, 16},	//2102 KHTMLSettings::KJSWindowMoveIgnore (enum)
	{124, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 417, 17},	//2103 KHTMLSettings::KJSWindowResizeAllow (enum)
	{124, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 417, 18},	//2104 KHTMLSettings::KJSWindowResizeIgnore (enum)
	{124, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 414, 19},	//2105 KHTMLSettings::KJSWindowFocusAllow (enum)
	{124, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 414, 20},	//2106 KHTMLSettings::KJSWindowFocusIgnore (enum)
	{124, 371, 0, 0, Smoke::mf_ctor, 412, 21},	//2107 KHTMLSettings::KHTMLSettings()
	{124, 371, 725, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 412, 22},	//2108 KHTMLSettings::KHTMLSettings(const KHTMLSettings&)
	{124, 953, 0, 0, 0, 0, 23},	//2109 KHTMLSettings::init()
	{124, 953, 192, 2, 0, 0, 24},	//2110 KHTMLSettings::init(KConfig*, bool)
	{124, 953, 190, 1, 0, 0, 25},	//2111 KHTMLSettings::init(KConfig*)
	{124, 2021, 0, 0, Smoke::mf_dtor, 0, 93},	//2112 KHTMLSettings::~KHTMLSettings()
	{124, 601, 0, 0, Smoke::mf_const, 705, 26},	//2113 KHTMLSettings::changeCursor() const
	{124, 1859, 0, 0, Smoke::mf_const, 705, 27},	//2114 KHTMLSettings::underlineLink() const
	{124, 934, 0, 0, Smoke::mf_const, 705, 28},	//2115 KHTMLSettings::hoverLink() const
	{124, 542, 0, 0, Smoke::mf_const, 705, 29},	//2116 KHTMLSettings::allowTabulation() const
	{124, 564, 0, 0, Smoke::mf_const, 705, 30},	//2117 KHTMLSettings::autoSpellCheck() const
	{124, 1766, 0, 0, Smoke::mf_const, 413, 31},	//2118 KHTMLSettings::showAnimations() const
	{124, 1779, 0, 0, Smoke::mf_const, 421, 32},	//2119 KHTMLSettings::smoothScrolling() const
	{124, 1802, 0, 0, Smoke::mf_const, 593, 33},	//2120 KHTMLSettings::stdFontName() const
	{124, 832, 0, 0, Smoke::mf_const, 593, 34},	//2121 KHTMLSettings::fixedFontName() const
	{124, 1325, 0, 0, Smoke::mf_const, 593, 35},	//2122 KHTMLSettings::serifFontName() const
	{124, 1290, 0, 0, Smoke::mf_const, 593, 36},	//2123 KHTMLSettings::sansSerifFontName() const
	{124, 715, 0, 0, Smoke::mf_const, 593, 37},	//2124 KHTMLSettings::cursiveFontName() const
	{124, 808, 0, 0, Smoke::mf_const, 593, 38},	//2125 KHTMLSettings::fantasyFontName() const
	{124, 1687, 787, 1, 0, 0, 39},	//2126 KHTMLSettings::setStdFontName(const QString&)
	{124, 1489, 787, 1, 0, 0, 40},	//2127 KHTMLSettings::setFixedFontName(const QString&)
	{124, 1104, 0, 0, Smoke::mf_const, 870, 41},	//2128 KHTMLSettings::minFontSize() const
	{124, 1097, 0, 0, Smoke::mf_const, 870, 42},	//2129 KHTMLSettings::mediumFontSize() const
	{124, 1032, 0, 0, Smoke::mf_const, 705, 43},	//2130 KHTMLSettings::jsErrorsEnabled() const
	{124, 1532, 362, 1, 0, 0, 44},	//2131 KHTMLSettings::setJSErrorsEnabled(bool)
	{124, 783, 0, 0, Smoke::mf_const, 863, 45},	//2132 KHTMLSettings::encoding() const
	{124, 840, 0, 0, Smoke::mf_const, 705, 46},	//2133 KHTMLSettings::followSystemColors() const
	{124, 1841, 0, 0, Smoke::mf_const, 839, 47},	//2134 KHTMLSettings::textColor() const
	{124, 571, 0, 0, Smoke::mf_const, 839, 48},	//2135 KHTMLSettings::baseColor() const
	{124, 1076, 0, 0, Smoke::mf_const, 839, 49},	//2136 KHTMLSettings::linkColor() const
	{124, 1877, 0, 0, Smoke::mf_const, 839, 50},	//2137 KHTMLSettings::vLinkColor() const
	{124, 563, 0, 0, Smoke::mf_const, 705, 51},	//2138 KHTMLSettings::autoLoadImages() const
	{124, 1860, 0, 0, Smoke::mf_const, 705, 52},	//2139 KHTMLSettings::unfinishedImageFrame() const
	{124, 1017, 0, 0, 0, 705, 53},	//2140 KHTMLSettings::isOpenMiddleClickEnabled()
	{124, 993, 0, 0, 0, 705, 54},	//2141 KHTMLSettings::isBackRightClickEnabled()
	{124, 1006, 787, 1, Smoke::mf_const, 705, 55},	//2142 KHTMLSettings::isJavaEnabled(const QString&) const
	{124, 1006, 0, 0, Smoke::mf_const, 705, 56},	//2143 KHTMLSettings::isJavaEnabled() const
	{124, 1010, 787, 1, Smoke::mf_const, 705, 57},	//2144 KHTMLSettings::isJavaScriptEnabled(const QString&) const
	{124, 1010, 0, 0, Smoke::mf_const, 705, 58},	//2145 KHTMLSettings::isJavaScriptEnabled() const
	{124, 1008, 787, 1, Smoke::mf_const, 705, 59},	//2146 KHTMLSettings::isJavaScriptDebugEnabled(const QString&) const
	{124, 1008, 0, 0, Smoke::mf_const, 705, 60},	//2147 KHTMLSettings::isJavaScriptDebugEnabled() const
	{124, 1012, 787, 1, Smoke::mf_const, 705, 61},	//2148 KHTMLSettings::isJavaScriptErrorReportingEnabled(const QString&) const
	{124, 1012, 0, 0, Smoke::mf_const, 705, 62},	//2149 KHTMLSettings::isJavaScriptErrorReportingEnabled() const
	{124, 1018, 787, 1, Smoke::mf_const, 705, 63},	//2150 KHTMLSettings::isPluginsEnabled(const QString&) const
	{124, 1018, 0, 0, Smoke::mf_const, 705, 64},	//2151 KHTMLSettings::isPluginsEnabled() const
	{124, 990, 787, 1, Smoke::mf_const, 705, 65},	//2152 KHTMLSettings::isAdFiltered(const QString&) const
	{124, 989, 0, 0, Smoke::mf_const, 705, 66},	//2153 KHTMLSettings::isAdFilterEnabled() const
	{124, 1005, 0, 0, Smoke::mf_const, 705, 67},	//2154 KHTMLSettings::isHideAdsEnabled() const
	{124, 528, 787, 1, 0, 0, 68},	//2155 KHTMLSettings::addAdFilter(const QString&)
	{124, 519, 0, 0, Smoke::mf_const, 705, 69},	//2156 KHTMLSettings::accessKeysEnabled() const
	{124, 1905, 787, 1, Smoke::mf_const, 416, 70},	//2157 KHTMLSettings::windowOpenPolicy(const QString&) const
	{124, 1905, 0, 0, Smoke::mf_const, 416, 71},	//2158 KHTMLSettings::windowOpenPolicy() const
	{124, 1903, 787, 1, Smoke::mf_const, 415, 72},	//2159 KHTMLSettings::windowMovePolicy(const QString&) const
	{124, 1903, 0, 0, Smoke::mf_const, 415, 73},	//2160 KHTMLSettings::windowMovePolicy() const
	{124, 1907, 787, 1, Smoke::mf_const, 417, 74},	//2161 KHTMLSettings::windowResizePolicy(const QString&) const
	{124, 1907, 0, 0, Smoke::mf_const, 417, 75},	//2162 KHTMLSettings::windowResizePolicy() const
	{124, 1909, 787, 1, Smoke::mf_const, 418, 76},	//2163 KHTMLSettings::windowStatusPolicy(const QString&) const
	{124, 1909, 0, 0, Smoke::mf_const, 418, 77},	//2164 KHTMLSettings::windowStatusPolicy() const
	{124, 1901, 787, 1, Smoke::mf_const, 414, 78},	//2165 KHTMLSettings::windowFocusPolicy(const QString&) const
	{124, 1901, 0, 0, Smoke::mf_const, 414, 79},	//2166 KHTMLSettings::windowFocusPolicy() const
	{124, 1234, 720, 4, 0, 0, 80},	//2167 KHTMLSettings::readDomainSettings(const KConfigGroup&, bool, bool, KPerDomainSettings&)
	{124, 1761, 0, 0, Smoke::mf_const, 593, 81},	//2168 KHTMLSettings::settingsToCSS() const
	{124, 1874, 0, 0, Smoke::mf_const, 593, 82},	//2169 KHTMLSettings::userStyleSheet() const
	{124, 1002, 0, 0, Smoke::mf_const, 705, 83},	//2170 KHTMLSettings::isFormCompletionEnabled() const
	{124, 1093, 0, 0, Smoke::mf_const, 870, 84},	//2171 KHTMLSettings::maxFormCompletionItems() const
	{124, 992, 0, 0, Smoke::mf_const, 705, 85},	//2172 KHTMLSettings::isAutoDelayedActionsEnabled() const
	{124, 807, 0, 0, Smoke::mf_const, 557, 86},	//2173 KHTMLSettings::fallbackAccessKeysAssignments() const
	{124, 1534, 362, 1, 0, 0, 87},	//2174 KHTMLSettings::setJSPopupBlockerPassivePopup(bool)
	{124, 1033, 0, 0, Smoke::mf_const, 705, 88},	//2175 KHTMLSettings::jsPopupBlockerPassivePopup() const
	{124, 1805, 787, 1, Smoke::mf_static, 419, 89},	//2176 KHTMLSettings::strToAdvice(const QString&)
	{124, 1785, 792, 4, Smoke::mf_static, 0, 90},	//2177 KHTMLSettings::splitDomainAdvice(const QString&, QString&, KHTMLSettings::KJavaScriptAdvice&, KHTMLSettings::KJavaScriptAdvice&)
	{124, 538, 208, 1, Smoke::mf_static, 866, 91},	//2178 KHTMLSettings::adviceToStr(KHTMLSettings::KJavaScriptAdvice)
	{124, 566, 0, 0, Smoke::mf_static, 863, 92},	//2179 KHTMLSettings::availableFamilies()
	{125, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 424, 0},	//2180 KHTMLView::SSMDisabled (enum)
	{125, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 424, 1},	//2181 KHTMLView::SSMWhenEfficient (enum)
	{125, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 424, 2},	//2182 KHTMLView::SSMEnabled (enum)
	{125, 1099, 0, 0, Smoke::mf_const, 850, 3},	//2183 KHTMLView::metaObject() const
	{125, 1222, 280, 3, 0, 870, 4},	//2184 KHTMLView::qt_metacall(QMetaObject::Call, int, void**)
	{125, 373, 199, 2, Smoke::mf_ctor, 422, 5},	//2185 KHTMLView::KHTMLView(KHTMLPart*, QWidget*)
	{125, 2022, 0, 0, Smoke::mf_dtor, 0, 73},	//2186 KHTMLView::~KHTMLView()
	{125, 1191, 0, 0, Smoke::mf_const, 405, 6},	//2187 KHTMLView::part() const
	{125, 854, 0, 0, Smoke::mf_const, 870, 7},	//2188 KHTMLView::frameWidth() const
	{125, 1561, 880, 1, 0, 0, 8},	//2189 KHTMLView::setMarginWidth(int)
	{125, 1092, 0, 0, Smoke::mf_const, 870, 9},	//2190 KHTMLView::marginWidth() const
	{125, 1558, 880, 1, 0, 0, 10},	//2191 KHTMLView::setMarginHeight(int)
	{125, 1091, 0, 0, 0, 870, 11},	//2192 KHTMLView::marginHeight()
	{125, 1734, 358, 1, 0, 0, 12},	//2193 KHTMLView::setVerticalScrollBarPolicy(Qt::ScrollBarPolicy)
	{125, 1506, 358, 1, 0, 0, 13},	//2194 KHTMLView::setHorizontalScrollBarPolicy(Qt::ScrollBarPolicy)
	{125, 1217, 362, 1, 0, 0, 14},	//2195 KHTMLView::print(bool)
	{125, 1217, 0, 0, 0, 0, 15},	//2196 KHTMLView::print()
	{125, 754, 0, 0, 0, 0, 16},	//2197 KHTMLView::displayAccessKeys()
	{125, 657, 0, 0, Smoke::mf_const, 870, 17},	//2198 KHTMLView::contentsWidth() const
	{125, 653, 0, 0, Smoke::mf_const, 870, 18},	//2199 KHTMLView::contentsHeight() const
	{125, 658, 0, 0, Smoke::mf_const, 870, 19},	//2200 KHTMLView::contentsX() const
	{125, 659, 0, 0, Smoke::mf_const, 870, 20},	//2201 KHTMLView::contentsY() const
	{125, 1889, 0, 0, Smoke::mf_const, 870, 21},	//2202 KHTMLView::visibleWidth() const
	{125, 1888, 0, 0, Smoke::mf_const, 870, 22},	//2203 KHTMLView::visibleHeight() const
	{125, 1432, 893, 2, 0, 0, 23},	//2204 KHTMLView::setContentsPos(int, int)
	{125, 654, 770, 1, Smoke::mf_const, 585, 24},	//2205 KHTMLView::contentsToViewport(const QPoint&) const
	{125, 1884, 770, 1, Smoke::mf_const, 585, 25},	//2206 KHTMLView::viewportToContents(const QPoint&) const
	{125, 1884, 901, 4, Smoke::mf_const, 0, 26},	//2207 KHTMLView::viewportToContents(int, int, int&, int&) const
	{125, 654, 901, 4, Smoke::mf_const, 0, 27},	//2208 KHTMLView::contentsToViewport(int, int, int&, int&) const
	{125, 1301, 893, 2, 0, 0, 28},	//2209 KHTMLView::scrollBy(int, int)
	{125, 1862, 772, 1, 0, 0, 29},	//2210 KHTMLView::updateContents(const QRect&)
	{125, 1862, 896, 4, 0, 0, 30},	//2211 KHTMLView::updateContents(int, int, int, int)
	{125, 532, 348, 3, 0, 0, 31},	//2212 KHTMLView::addChild(QWidget*, int, int)
	{125, 1268, 772, 1, 0, 0, 32},	//2213 KHTMLView::repaintContents(const QRect&)
	{125, 1268, 896, 4, 0, 0, 33},	//2214 KHTMLView::repaintContents(int, int, int, int)
	{125, 1758, 880, 1, 0, 0, 34},	//2215 KHTMLView::setZoomLevel(int)
	{125, 1923, 0, 0, Smoke::mf_const, 870, 35},	//2216 KHTMLView::zoomLevel() const
	{125, 1664, 219, 1, 0, 0, 36},	//2217 KHTMLView::setSmoothScrollingMode(KHTMLView::SmoothScrollingMode)
	{125, 1780, 0, 0, Smoke::mf_const, 424, 37},	//2218 KHTMLView::smoothScrollingMode() const
	{125, 1276, 893, 2, 0, 0, 38},	//2219 KHTMLView::resizeContents(int, int)
	{125, 1070, 0, 0, 0, 0, 39},	//2220 KHTMLView::layout()
	{125, 829, 0, 0, 0, 0, 40},	//2221 KHTMLView::finishedLayout()
	{125, 615, 0, 0, 0, 0, 41},	//2222 KHTMLView::cleared()
	{125, 1924, 880, 1, 0, 0, 42},	//2223 KHTMLView::zoomView(int)
	{125, 927, 0, 0, 0, 0, 43},	//2224 KHTMLView::hideAccessKeys()
	{125, 1267, 0, 0, 0, 0, 44},	//2225 KHTMLView::repaintAccessKeys()
	{125, 813, 362, 1, 0, 0, 45},	//2226 KHTMLView::findAheadActive(bool)
	{125, 614, 0, 0, Smoke::mf_protected, 0, 46},	//2227 KHTMLView::clear()
	{125, 793, 268, 1, Smoke::mf_protected, 705, 47},	//2228 KHTMLView::event(QEvent*)
	{125, 1183, 299, 1, Smoke::mf_protected, 0, 48},	//2229 KHTMLView::paintEvent(QPaintEvent*)
	{125, 1278, 315, 1, Smoke::mf_protected, 0, 49},	//2230 KHTMLView::resizeEvent(QResizeEvent*)
	{125, 1769, 319, 1, Smoke::mf_protected, 0, 50},	//2231 KHTMLView::showEvent(QShowEvent*)
	{125, 928, 274, 1, Smoke::mf_protected, 0, 51},	//2232 KHTMLView::hideEvent(QHideEvent*)
	{125, 836, 362, 1, Smoke::mf_protected, 705, 52},	//2233 KHTMLView::focusNextPrevChild(bool)
	{125, 1110, 284, 1, Smoke::mf_protected, 0, 53},	//2234 KHTMLView::mousePressEvent(QMouseEvent*)
	{125, 834, 270, 1, Smoke::mf_protected, 0, 54},	//2235 KHTMLView::focusInEvent(QFocusEvent*)
	{125, 838, 270, 1, Smoke::mf_protected, 0, 55},	//2236 KHTMLView::focusOutEvent(QFocusEvent*)
	{125, 1106, 284, 1, Smoke::mf_protected, 0, 56},	//2237 KHTMLView::mouseDoubleClickEvent(QMouseEvent*)
	{125, 1108, 284, 1, Smoke::mf_protected, 0, 57},	//2238 KHTMLView::mouseMoveEvent(QMouseEvent*)
	{125, 1112, 284, 1, Smoke::mf_protected, 0, 58},	//2239 KHTMLView::mouseReleaseEvent(QMouseEvent*)
	{125, 1892, 327, 1, Smoke::mf_protected, 0, 59},	//2240 KHTMLView::wheelEvent(QWheelEvent*)
	{125, 768, 260, 1, Smoke::mf_protected, 0, 60},	//2241 KHTMLView::dragEnterEvent(QDragEnterEvent*)
	{125, 774, 266, 1, Smoke::mf_protected, 0, 61},	//2242 KHTMLView::dropEvent(QDropEvent*)
	{125, 624, 254, 1, Smoke::mf_protected, 0, 62},	//2243 KHTMLView::closeEvent(QCloseEvent*)
	{125, 1896, 268, 1, Smoke::mf_protected, 705, 63},	//2244 KHTMLView::widgetEvent(QEvent*)
	{125, 1882, 268, 1, Smoke::mf_protected, 705, 64},	//2245 KHTMLView::viewportEvent(QEvent*)
	{125, 795, 294, 2, Smoke::mf_protected, 705, 65},	//2246 KHTMLView::eventFilter(QObject*, QEvent*)
	{125, 1303, 893, 2, Smoke::mf_protected, 0, 66},	//2247 KHTMLView::scrollContentsBy(int, int)
	{125, 1038, 278, 1, Smoke::mf_protected, 0, 67},	//2248 KHTMLView::keyPressEvent(QKeyEvent*)
	{125, 1040, 278, 1, Smoke::mf_protected, 0, 68},	//2249 KHTMLView::keyReleaseEvent(QKeyEvent*)
	{125, 756, 0, 0, Smoke::mf_protected, 0, 69},	//2250 KHTMLView::doAutoScroll()
	{125, 1845, 325, 1, Smoke::mf_protected, 0, 70},	//2251 KHTMLView::timerEvent(QTimerEvent*)
	{125, 1666, 219, 1, Smoke::mf_protected, 0, 71},	//2252 KHTMLView::setSmoothScrollingModeDefault(KHTMLView::SmoothScrollingMode)
	{125, 1777, 0, 0, Smoke::mf_protected, 0, 72},	//2253 KHTMLView::slotPaletteChanged()
	{135, 165, 843, 1, 0, 458, 0},	//2254 KParts::Event::Event(const char*)
	{135, 1959, 0, 0, Smoke::mf_dtor, 0, 5},	//2255 KParts::Event::~Event()
	{135, 798, 0, 0, Smoke::mf_const, 866, 1},	//2256 KParts::Event::eventName() const
	{135, 165, 727, 1, Smoke::mf_copyctor|Smoke::mf_internal, 458, 2},	//2257 KParts::Event::Event(const KParts::Event&)
	{135, 1837, 759, 1, Smoke::mf_static, 705, 3},	//2258 KParts::Event::test(const QEvent*)
	{135, 1837, 761, 2, Smoke::mf_static, 705, 4},	//2259 KParts::Event::test(const QEvent*, const char*)
	{138, 1099, 0, 0, Smoke::mf_const, 850, 0},	//2260 KParts::Part::metaObject() const
	{138, 1222, 280, 3, 0, 870, 1},	//2261 KParts::Part::qt_metacall(QMetaObject::Call, int, void**)
	{138, 440, 288, 1, 0, 461, 2},	//2262 KParts::Part::Part(QObject*)
	{138, 440, 0, 0, 0, 461, 3},	//2263 KParts::Part::Part()
	{138, 2034, 0, 0, Smoke::mf_dtor, 0, 24},	//2264 KParts::Part::~Part()
	{138, 779, 329, 1, 0, 0, 4},	//2265 KParts::Part::embed(QWidget*)
	{138, 1895, 0, 0, 0, 625, 5},	//2266 KParts::Part::widget()
	{138, 1556, 233, 1, 0, 0, 6},	//2267 KParts::Part::setManager(KParts::PartManager*)
	{138, 1090, 0, 0, Smoke::mf_const, 465, 7},	//2268 KParts::Part::manager() const
	{138, 1362, 362, 1, 0, 0, 8},	//2269 KParts::Part::setAutoDeleteWidget(bool)
	{138, 1360, 362, 1, 0, 0, 9},	//2270 KParts::Part::setAutoDeletePart(bool)
	{138, 930, 345, 2, 0, 461, 10},	//2271 KParts::Part::hitTest(QWidget*, const QPoint&)
	{138, 1641, 362, 1, 0, 0, 11},	//2272 KParts::Part::setSelectable(bool)
	{138, 1023, 0, 0, Smoke::mf_const, 705, 12},	//2273 KParts::Part::isSelectable() const
	{138, 943, 0, 0, 0, 440, 13},	//2274 KParts::Part::iconLoader()
	{138, 1747, 787, 1, 0, 0, 14},	//2275 KParts::Part::setWindowCaption(const QString&)
	{138, 1683, 787, 1, 0, 0, 15},	//2276 KParts::Part::setStatusBarText(const QString&)
	{138, 1742, 329, 1, Smoke::mf_protected, 0, 16},	//2277 KParts::Part::setWidget(QWidget*)
	{138, 716, 268, 1, Smoke::mf_protected, 0, 17},	//2278 KParts::Part::customEvent(QEvent*)
	{138, 1192, 229, 1, Smoke::mf_protected, 0, 18},	//2279 KParts::Part::partActivateEvent(KParts::PartActivateEvent*)
	{138, 1196, 235, 1, Smoke::mf_protected, 0, 19},	//2280 KParts::Part::partSelectEvent(KParts::PartSelectEvent*)
	{138, 908, 227, 1, Smoke::mf_protected, 0, 20},	//2281 KParts::Part::guiActivateEvent(KParts::GUIActivateEvent*)
	{138, 932, 787, 1, Smoke::mf_protected, 625, 21},	//2282 KParts::Part::hostContainer(const QString&)
	{138, 1081, 0, 0, Smoke::mf_protected, 0, 22},	//2283 KParts::Part::loadPlugins()
	{138, 1778, 0, 0, Smoke::mf_protected, 0, 23},	//2284 KParts::Part::slotWidgetDestroyed()
	{140, 442, 0, 0, 0, 463, 3},	//2285 KParts::PartBase::PartBase()
	{140, 2035, 0, 0, Smoke::mf_dtor, 0, 11},	//2286 KParts::PartBase::~PartBase()
	{140, 1598, 288, 1, 0, 0, 4},	//2287 KParts::PartBase::setPartObject(QObject*)
	{140, 1195, 0, 0, Smoke::mf_const, 567, 5},	//2288 KParts::PartBase::partObject() const
	{140, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 464, 0},	//2289 KParts::PartBase::DoNotLoadPlugins (enum)
	{140, 397, 0, 0, Smoke::mf_static|Smoke::mf_enum, 464, 1},	//2290 KParts::PartBase::LoadPlugins (enum)
	{140, 398, 0, 0, Smoke::mf_static|Smoke::mf_enum, 464, 2},	//2291 KParts::PartBase::LoadPluginsIfEnabled (enum)
	{140, 1425, 715, 1, Smoke::mf_protected, 0, 6},	//2292 KParts::PartBase::setComponentData(const KComponentData&)
	{140, 1425, 717, 2, Smoke::mf_protected, 0, 7},	//2293 KParts::PartBase::setComponentData(const KComponentData&, bool)
	{140, 1081, 290, 3, Smoke::mf_protected, 0, 8},	//2294 KParts::PartBase::loadPlugins(QObject*, KXMLGUIClient*, const KComponentData&)
	{140, 1602, 231, 1, Smoke::mf_protected, 0, 9},	//2295 KParts::PartBase::setPluginLoadingMode(KParts::PartBase::PluginLoadingMode)
	{140, 1600, 880, 1, Smoke::mf_protected, 0, 10},	//2296 KParts::PartBase::setPluginInterfaceVersion(int)
	{143, 1099, 0, 0, Smoke::mf_const, 850, 0},	//2297 KParts::ReadOnlyPart::metaObject() const
	{143, 1222, 280, 3, 0, 870, 1},	//2298 KParts::ReadOnlyPart::qt_metacall(QMetaObject::Call, int, void**)
	{143, 458, 288, 1, 0, 469, 2},	//2299 KParts::ReadOnlyPart::ReadOnlyPart(QObject*)
	{143, 458, 0, 0, 0, 469, 3},	//2300 KParts::ReadOnlyPart::ReadOnlyPart()
	{143, 2040, 0, 0, Smoke::mf_dtor, 0, 25},	//2301 KParts::ReadOnlyPart::~ReadOnlyPart()
	{143, 1612, 362, 1, 0, 0, 4},	//2302 KParts::ReadOnlyPart::setProgressInfoEnabled(bool)
	{143, 1022, 0, 0, Smoke::mf_const, 705, 5},	//2303 KParts::ReadOnlyPart::isProgressInfoEnabled() const
	{143, 1771, 362, 1, 0, 0, 6},	//2304 KParts::ReadOnlyPart::showProgressInfo(bool)
	{143, 1867, 0, 0, Smoke::mf_const, 478, 7},	//2305 KParts::ReadOnlyPart::url() const
	{143, 627, 0, 0, 0, 705, 8},	//2306 KParts::ReadOnlyPart::closeUrl()
	{143, 584, 0, 0, Smoke::mf_const, 454, 9},	//2307 KParts::ReadOnlyPart::browserExtension() const
	{143, 1348, 729, 1, 0, 0, 10},	//2308 KParts::ReadOnlyPart::setArguments(const KParts::OpenUrlArguments&)
	{143, 556, 0, 0, Smoke::mf_const, 460, 11},	//2309 KParts::ReadOnlyPart::arguments() const
	{143, 1150, 804, 2, 0, 705, 12},	//2310 KParts::ReadOnlyPart::openStream(const QString&, const KUrl&)
	{143, 1915, 740, 1, 0, 705, 13},	//2311 KParts::ReadOnlyPart::writeStream(const QByteArray&)
	{143, 626, 0, 0, 0, 705, 14},	//2312 KParts::ReadOnlyPart::closeStream()
	{143, 1152, 731, 1, 0, 705, 15},	//2313 KParts::ReadOnlyPart::openUrl(const KUrl&)
	{143, 1794, 221, 1, 0, 0, 16},	//2314 KParts::ReadOnlyPart::started(KIO::Job*)
	{143, 644, 0, 0, 0, 0, 17},	//2315 KParts::ReadOnlyPart::completed()
	{143, 644, 362, 1, 0, 0, 18},	//2316 KParts::ReadOnlyPart::completed(bool)
	{143, 589, 787, 1, 0, 0, 19},	//2317 KParts::ReadOnlyPart::canceled(const QString&)
	{143, 1149, 0, 0, Smoke::mf_protected, 705, -1},	//2318 KParts::ReadOnlyPart::openFile() [pure virtual]
	{143, 513, 0, 0, Smoke::mf_protected, 0, 20},	//2319 KParts::ReadOnlyPart::abortLoad()
	{143, 908, 227, 1, Smoke::mf_protected, 0, 21},	//2320 KParts::ReadOnlyPart::guiActivateEvent(KParts::GUIActivateEvent*)
	{143, 1716, 731, 1, Smoke::mf_protected, 0, 22},	//2321 KParts::ReadOnlyPart::setUrl(const KUrl&)
	{143, 1085, 0, 0, Smoke::mf_const|Smoke::mf_protected, 593, 23},	//2322 KParts::ReadOnlyPart::localFilePath() const
	{143, 1550, 787, 1, Smoke::mf_protected, 0, 24},	//2323 KParts::ReadOnlyPart::setLocalFilePath(const QString&)
	{145, 520, 757, 1, Smoke::mf_const, 500, 5},	//2324 KXMLGUIClient::action(const QDomElement&) const
	{145, 522, 0, 0, Smoke::mf_const, 384, 6},	//2325 KXMLGUIClient::actionCollection() const
	{145, 646, 0, 0, Smoke::mf_const, 388, 7},	//2326 KXMLGUIClient::componentData() const
	{145, 766, 0, 0, Smoke::mf_const, 529, 8},	//2327 KXMLGUIClient::domDocument() const
	{145, 1920, 0, 0, Smoke::mf_const, 593, 9},	//2328 KXMLGUIClient::xmlFile() const
	{145, 1087, 0, 0, Smoke::mf_const, 593, 10},	//2329 KXMLGUIClient::localXMLFile() const
	{145, 1425, 715, 1, Smoke::mf_protected, 0, 32},	//2330 KXMLGUIClient::setComponentData(const KComponentData&)
	{145, 1752, 800, 3, Smoke::mf_protected, 0, 33},	//2331 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
	{145, 1752, 797, 2, Smoke::mf_protected, 0, 34},	//2332 KXMLGUIClient::setXMLFile(const QString&, bool)
	{145, 1752, 787, 1, Smoke::mf_protected, 0, 35},	//2333 KXMLGUIClient::setXMLFile(const QString&)
	{145, 1552, 787, 1, Smoke::mf_protected, 0, 36},	//2334 KXMLGUIClient::setLocalXMLFile(const QString&)
	{145, 1749, 797, 2, Smoke::mf_protected, 0, 37},	//2335 KXMLGUIClient::setXML(const QString&, bool)
	{145, 1749, 787, 1, Smoke::mf_protected, 0, 38},	//2336 KXMLGUIClient::setXML(const QString&)
	{145, 1446, 754, 2, Smoke::mf_protected, 0, 39},	//2337 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
	{145, 1446, 752, 1, Smoke::mf_protected, 0, 40},	//2338 KXMLGUIClient::setDOMDocument(const QDomDocument&)
	{145, 1798, 789, 2, Smoke::mf_protected, 0, 41},	//2339 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
	{145, 1798, 787, 1, Smoke::mf_protected, 0, 42},	//2340 KXMLGUIClient::stateChanged(const QString&)
	{146, 1099, 0, 0, Smoke::mf_const, 850, 0},	//2341 QAbstractScrollArea::metaObject() const
	{146, 1222, 280, 3, 0, 870, 1},	//2342 QAbstractScrollArea::qt_metacall(QMetaObject::Call, int, void**)
	{146, 1882, 268, 1, Smoke::mf_protected, 705, 25},	//2343 QAbstractScrollArea::viewportEvent(QEvent*)
	{146, 1303, 893, 2, Smoke::mf_protected, 0, 39},	//2344 QAbstractScrollArea::scrollContentsBy(int, int)
	{166, 1099, 0, 0, Smoke::mf_const, 850, 12},	//2345 QFrame::metaObject() const
	{166, 1222, 280, 3, 0, 870, 13},	//2346 QFrame::qt_metacall(QMetaObject::Call, int, void**)
	{176, 1099, 0, 0, Smoke::mf_const, 850, 1},	//2347 QObject::metaObject() const
	{176, 1222, 280, 3, 0, 870, 2},	//2348 QObject::qt_metacall(QMetaObject::Call, int, void**)
	{176, 793, 268, 1, 0, 705, 5},	//2349 QObject::event(QEvent*)
	{176, 795, 294, 2, 0, 705, 6},	//2350 QObject::eventFilter(QObject*, QEvent*)
	{176, 1845, 325, 1, Smoke::mf_protected, 0, 48},	//2351 QObject::timerEvent(QTimerEvent*)
	{176, 608, 252, 1, Smoke::mf_protected, 0, 49},	//2352 QObject::childEvent(QChildEvent*)
	{176, 716, 268, 1, Smoke::mf_protected, 0, 50},	//2353 QObject::customEvent(QEvent*)
	{176, 648, 843, 1, Smoke::mf_protected, 0, 51},	//2354 QObject::connectNotify(const char*)
	{176, 750, 843, 1, Smoke::mf_protected, 0, 52},	//2355 QObject::disconnectNotify(const char*)
	{177, 747, 0, 0, Smoke::mf_const, 870, 10},	//2356 QPaintDevice::devType() const
	{177, 1182, 0, 0, Smoke::mf_const, 571, -1},	//2357 QPaintDevice::paintEngine() const [pure virtual]
	{177, 1102, 297, 1, Smoke::mf_const|Smoke::mf_protected, 870, 23},	//2358 QPaintDevice::metric(QPaintDevice::PaintDeviceMetric) const
	{190, 1099, 0, 0, Smoke::mf_const, 850, 0},	//2359 QScrollArea::metaObject() const
	{190, 1222, 280, 3, 0, 870, 1},	//2360 QScrollArea::qt_metacall(QMetaObject::Call, int, void**)
	{198, 1099, 0, 0, Smoke::mf_const, 850, 3},	//2361 QWidget::metaObject() const
	{198, 1222, 280, 3, 0, 870, 4},	//2362 QWidget::qt_metacall(QMetaObject::Call, int, void**)
	{198, 1774, 0, 0, Smoke::mf_const, 590, 178},	//2363 QWidget::sizeHint() const
	{198, 1105, 0, 0, Smoke::mf_const, 590, 179},	//2364 QWidget::minimumSizeHint() const
	{198, 924, 880, 1, Smoke::mf_const, 870, 183},	//2365 QWidget::heightForWidth(int) const
	{198, 972, 356, 1, Smoke::mf_const, 621, 224},	//2366 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
	{198, 1738, 362, 1, 0, 0, 233},	//2367 QWidget::setVisible(bool)
	{198, 1110, 284, 1, Smoke::mf_protected, 0, 253},	//2368 QWidget::mousePressEvent(QMouseEvent*)
	{198, 1112, 284, 1, Smoke::mf_protected, 0, 254},	//2369 QWidget::mouseReleaseEvent(QMouseEvent*)
	{198, 1106, 284, 1, Smoke::mf_protected, 0, 255},	//2370 QWidget::mouseDoubleClickEvent(QMouseEvent*)
	{198, 1108, 284, 1, Smoke::mf_protected, 0, 256},	//2371 QWidget::mouseMoveEvent(QMouseEvent*)
	{198, 1892, 327, 1, Smoke::mf_protected, 0, 257},	//2372 QWidget::wheelEvent(QWheelEvent*)
	{198, 1038, 278, 1, Smoke::mf_protected, 0, 258},	//2373 QWidget::keyPressEvent(QKeyEvent*)
	{198, 1040, 278, 1, Smoke::mf_protected, 0, 259},	//2374 QWidget::keyReleaseEvent(QKeyEvent*)
	{198, 834, 270, 1, Smoke::mf_protected, 0, 260},	//2375 QWidget::focusInEvent(QFocusEvent*)
	{198, 838, 270, 1, Smoke::mf_protected, 0, 261},	//2376 QWidget::focusOutEvent(QFocusEvent*)
	{198, 790, 268, 1, Smoke::mf_protected, 0, 262},	//2377 QWidget::enterEvent(QEvent*)
	{198, 1071, 268, 1, Smoke::mf_protected, 0, 263},	//2378 QWidget::leaveEvent(QEvent*)
	{198, 1183, 299, 1, Smoke::mf_protected, 0, 264},	//2379 QWidget::paintEvent(QPaintEvent*)
	{198, 1114, 286, 1, Smoke::mf_protected, 0, 265},	//2380 QWidget::moveEvent(QMoveEvent*)
	{198, 1278, 315, 1, Smoke::mf_protected, 0, 266},	//2381 QWidget::resizeEvent(QResizeEvent*)
	{198, 624, 254, 1, Smoke::mf_protected, 0, 267},	//2382 QWidget::closeEvent(QCloseEvent*)
	{198, 660, 256, 1, Smoke::mf_protected, 0, 268},	//2383 QWidget::contextMenuEvent(QContextMenuEvent*)
	{198, 1833, 323, 1, Smoke::mf_protected, 0, 269},	//2384 QWidget::tabletEvent(QTabletEvent*)
	{198, 523, 248, 1, Smoke::mf_protected, 0, 270},	//2385 QWidget::actionEvent(QActionEvent*)
	{198, 768, 260, 1, Smoke::mf_protected, 0, 271},	//2386 QWidget::dragEnterEvent(QDragEnterEvent*)
	{198, 772, 264, 1, Smoke::mf_protected, 0, 272},	//2387 QWidget::dragMoveEvent(QDragMoveEvent*)
	{198, 770, 262, 1, Smoke::mf_protected, 0, 273},	//2388 QWidget::dragLeaveEvent(QDragLeaveEvent*)
	{198, 774, 266, 1, Smoke::mf_protected, 0, 274},	//2389 QWidget::dropEvent(QDropEvent*)
	{198, 1769, 319, 1, Smoke::mf_protected, 0, 275},	//2390 QWidget::showEvent(QShowEvent*)
	{198, 928, 274, 1, Smoke::mf_protected, 0, 276},	//2391 QWidget::hideEvent(QHideEvent*)
	{198, 602, 268, 1, Smoke::mf_protected, 0, 277},	//2392 QWidget::changeEvent(QEvent*)
	{198, 970, 276, 1, Smoke::mf_protected, 0, 279},	//2393 QWidget::inputMethodEvent(QInputMethodEvent*)
	{198, 836, 362, 1, Smoke::mf_protected, 705, 288},	//2394 QWidget::focusNextPrevChild(bool)
	{198, 1814, 321, 1, Smoke::mf_protected, 0, 291},	//2395 QWidget::styleChange(QStyle&)
	{198, 781, 362, 1, Smoke::mf_protected, 0, 292},	//2396 QWidget::enabledChange(bool)
	{198, 1185, 768, 1, Smoke::mf_protected, 0, 293},	//2397 QWidget::paletteChange(const QPalette&)
	{198, 841, 764, 1, Smoke::mf_protected, 0, 294},	//2398 QWidget::fontChange(const QFont&)
	{198, 1899, 362, 1, Smoke::mf_protected, 0, 295},	//2399 QWidget::windowActivationChange(bool)
	{198, 1064, 0, 0, Smoke::mf_protected, 0, 296},	//2400 QWidget::languageChange()
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap khtml_methodMaps[] = {
	{ 0, 0, 0 },	//0 (no method)
	{1, 1156, 3},	//1 DOM::operator!=##
	{1, 1157, -1},	//2 DOM::operator!=#$
	{1, 1166, 0},	//3 DOM::operator==##
	{1, 1167, -4},	//4 DOM::operator==#$
	{1, 1808, 7},	//5 DOM::strcasecmp##
	{1, 1809, 8},	//6 DOM::strcasecmp#$
	{1, 1811, 6},	//7 DOM::strcmp##
	{2, 4, 9},	//8 DOM::AbstractView::AbstractView
	{2, 5, 10},	//9 DOM::AbstractView::AbstractView#
	{2, 6, 16},	//10 DOM::AbstractView::AbstractView?
	{2, 763, 13},	//11 DOM::AbstractView::document
	{2, 868, 14},	//12 DOM::AbstractView::getComputedStyle##
	{2, 1016, 15},	//13 DOM::AbstractView::isNull
	{2, 1163, 12},	//14 DOM::AbstractView::operator=#
	{2, 1926, 11},	//15 DOM::AbstractView::~AbstractView
	{3, 7, 17},	//16 DOM::Attr::Attr
	{3, 8, -7},	//17 DOM::Attr::Attr#
	{3, 9, 28},	//18 DOM::Attr::Attr?
	{3, 1117, 23},	//19 DOM::Attr::name
	{3, 1163, -10},	//20 DOM::Attr::operator=#
	{3, 1172, 27},	//21 DOM::Attr::ownerElement
	{3, 1728, 26},	//22 DOM::Attr::setValue#
	{3, 1782, 24},	//23 DOM::Attr::specified
	{3, 1878, 25},	//24 DOM::Attr::value
	{3, 1927, 22},	//25 DOM::Attr::~Attr
	{4, 15, 29},	//26 DOM::CDATASection::CDATASection
	{4, 16, -13},	//27 DOM::CDATASection::CDATASection#
	{4, 17, 35},	//28 DOM::CDATASection::CDATASection?
	{4, 1163, -16},	//29 DOM::CDATASection::operator=#
	{4, 1928, 34},	//30 DOM::CDATASection::~CDATASection
	{5, 21, 36},	//31 DOM::CSSCharsetRule::CSSCharsetRule
	{5, 22, -19},	//32 DOM::CSSCharsetRule::CSSCharsetRule#
	{5, 23, 39},	//33 DOM::CSSCharsetRule::CSSCharsetRule?
	{5, 783, 43},	//34 DOM::CSSCharsetRule::encoding
	{5, 1163, -22},	//35 DOM::CSSCharsetRule::operator=#
	{5, 1472, 44},	//36 DOM::CSSCharsetRule::setEncoding#
	{5, 1929, 42},	//37 DOM::CSSCharsetRule::~CSSCharsetRule
	{6, 25, 50},	//38 DOM::CSSException::CSSException#
	{6, 26, 49},	//39 DOM::CSSException::CSSException$
	{6, 361, 46},	//40 DOM::CSSException::INVALID_MODIFICATION_ERR
	{6, 482, 45},	//41 DOM::CSSException::SYNTAX_ERR
	{6, 508, 48},	//42 DOM::CSSException::_EXCEPTION_MAX
	{6, 509, 47},	//43 DOM::CSSException::_EXCEPTION_OFFSET
	{6, 628, 54},	//44 DOM::CSSException::code
	{6, 1163, 51},	//45 DOM::CSSException::operator=#
	{6, 1411, 53},	//46 DOM::CSSException::setCode$
	{6, 1930, 52},	//47 DOM::CSSException::~CSSException
	{7, 27, 55},	//48 DOM::CSSFontFaceRule::CSSFontFaceRule
	{7, 28, -25},	//49 DOM::CSSFontFaceRule::CSSFontFaceRule#
	{7, 29, 58},	//50 DOM::CSSFontFaceRule::CSSFontFaceRule?
	{7, 1163, -28},	//51 DOM::CSSFontFaceRule::operator=#
	{7, 1813, 62},	//52 DOM::CSSFontFaceRule::style
	{7, 1931, 61},	//53 DOM::CSSFontFaceRule::~CSSFontFaceRule
	{8, 30, 63},	//54 DOM::CSSImportRule::CSSImportRule
	{8, 31, -31},	//55 DOM::CSSImportRule::CSSImportRule#
	{8, 32, 66},	//56 DOM::CSSImportRule::CSSImportRule?
	{8, 935, 70},	//57 DOM::CSSImportRule::href
	{8, 1095, 71},	//58 DOM::CSSImportRule::media
	{8, 1163, -34},	//59 DOM::CSSImportRule::operator=#
	{8, 1816, 72},	//60 DOM::CSSImportRule::styleSheet
	{8, 1932, 69},	//61 DOM::CSSImportRule::~CSSImportRule
	{9, 33, 73},	//62 DOM::CSSMediaRule::CSSMediaRule
	{9, 34, -37},	//63 DOM::CSSMediaRule::CSSMediaRule#
	{9, 35, 76},	//64 DOM::CSSMediaRule::CSSMediaRule?
	{9, 708, 81},	//65 DOM::CSSMediaRule::cssRules
	{9, 740, 83},	//66 DOM::CSSMediaRule::deleteRule$
	{9, 987, 82},	//67 DOM::CSSMediaRule::insertRule#$
	{9, 1095, 80},	//68 DOM::CSSMediaRule::media
	{9, 1163, -40},	//69 DOM::CSSMediaRule::operator=#
	{9, 1933, 79},	//70 DOM::CSSMediaRule::~CSSMediaRule
	{10, 36, 84},	//71 DOM::CSSPageRule::CSSPageRule
	{10, 37, -43},	//72 DOM::CSSPageRule::CSSPageRule#
	{10, 38, 87},	//73 DOM::CSSPageRule::CSSPageRule?
	{10, 1163, -46},	//74 DOM::CSSPageRule::operator=#
	{10, 1323, 91},	//75 DOM::CSSPageRule::selectorText
	{10, 1658, 92},	//76 DOM::CSSPageRule::setSelectorText#
	{10, 1813, 93},	//77 DOM::CSSPageRule::style
	{10, 1934, 90},	//78 DOM::CSSPageRule::~CSSPageRule
	{11, 39, 124},	//79 DOM::CSSPrimitiveValue::CSSPrimitiveValue
	{11, 40, -49},	//80 DOM::CSSPrimitiveValue::CSSPrimitiveValue#
	{11, 41, 127},	//81 DOM::CSSPrimitiveValue::CSSPrimitiveValue?
	{11, 66, 116},	//82 DOM::CSSPrimitiveValue::CSS_ATTR
	{11, 67, 100},	//83 DOM::CSSPrimitiveValue::CSS_CM
	{11, 68, 117},	//84 DOM::CSSPrimitiveValue::CSS_COUNTER
	{11, 70, 105},	//85 DOM::CSSPrimitiveValue::CSS_DEG
	{11, 71, 112},	//86 DOM::CSSPrimitiveValue::CSS_DIMENSION
	{11, 72, 121},	//87 DOM::CSSPrimitiveValue::CSS_DPCM
	{11, 73, 120},	//88 DOM::CSSPrimitiveValue::CSS_DPI
	{11, 74, 97},	//89 DOM::CSSPrimitiveValue::CSS_EMS
	{11, 75, 98},	//90 DOM::CSSPrimitiveValue::CSS_EXS
	{11, 76, 107},	//91 DOM::CSSPrimitiveValue::CSS_GRAD
	{11, 77, 123},	//92 DOM::CSSPrimitiveValue::CSS_HTML_RELATIVE
	{11, 78, 110},	//93 DOM::CSSPrimitiveValue::CSS_HZ
	{11, 79, 115},	//94 DOM::CSSPrimitiveValue::CSS_IDENT
	{11, 80, 102},	//95 DOM::CSSPrimitiveValue::CSS_IN
	{11, 83, 111},	//96 DOM::CSSPrimitiveValue::CSS_KHZ
	{11, 84, 101},	//97 DOM::CSSPrimitiveValue::CSS_MM
	{11, 85, 108},	//98 DOM::CSSPrimitiveValue::CSS_MS
	{11, 86, 95},	//99 DOM::CSSPrimitiveValue::CSS_NUMBER
	{11, 87, 122},	//100 DOM::CSSPrimitiveValue::CSS_PAIR
	{11, 88, 104},	//101 DOM::CSSPrimitiveValue::CSS_PC
	{11, 89, 96},	//102 DOM::CSSPrimitiveValue::CSS_PERCENTAGE
	{11, 91, 103},	//103 DOM::CSSPrimitiveValue::CSS_PT
	{11, 92, 99},	//104 DOM::CSSPrimitiveValue::CSS_PX
	{11, 93, 106},	//105 DOM::CSSPrimitiveValue::CSS_RAD
	{11, 94, 118},	//106 DOM::CSSPrimitiveValue::CSS_RECT
	{11, 95, 119},	//107 DOM::CSSPrimitiveValue::CSS_RGBCOLOR
	{11, 96, 109},	//108 DOM::CSSPrimitiveValue::CSS_S
	{11, 97, 113},	//109 DOM::CSSPrimitiveValue::CSS_STRING
	{11, 98, 94},	//110 DOM::CSSPrimitiveValue::CSS_UNKNOWN
	{11, 99, 114},	//111 DOM::CSSPrimitiveValue::CSS_URI
	{11, 869, 136},	//112 DOM::CSSPrimitiveValue::getCounterValue
	{11, 881, 133},	//113 DOM::CSSPrimitiveValue::getFloatValue$
	{11, 899, 138},	//114 DOM::CSSPrimitiveValue::getRGBColorValue
	{11, 901, 137},	//115 DOM::CSSPrimitiveValue::getRectValue
	{11, 903, 135},	//116 DOM::CSSPrimitiveValue::getStringValue
	{11, 1163, -52},	//117 DOM::CSSPrimitiveValue::operator=#
	{11, 1216, 131},	//118 DOM::CSSPrimitiveValue::primitiveType
	{11, 1492, 132},	//119 DOM::CSSPrimitiveValue::setFloatValue$$
	{11, 1690, 134},	//120 DOM::CSSPrimitiveValue::setStringValue$#
	{11, 1935, 130},	//121 DOM::CSSPrimitiveValue::~CSSPrimitiveValue
	{12, 19, 141},	//122 DOM::CSSRule::CHARSET_RULE
	{12, 42, 147},	//123 DOM::CSSRule::CSSRule
	{12, 43, 148},	//124 DOM::CSSRule::CSSRule#
	{12, 44, 149},	//125 DOM::CSSRule::CSSRule?
	{12, 177, 144},	//126 DOM::CSSRule::FONT_FACE_RULE
	{12, 356, 142},	//127 DOM::CSSRule::IMPORT_RULE
	{12, 399, 143},	//128 DOM::CSSRule::MEDIA_RULE
	{12, 438, 145},	//129 DOM::CSSRule::PAGE_RULE
	{12, 446, 146},	//130 DOM::CSSRule::QUIRKS_RULE
	{12, 481, 140},	//131 DOM::CSSRule::STYLE_RULE
	{12, 502, 139},	//132 DOM::CSSRule::UNKNOWN_RULE
	{12, 558, 158},	//133 DOM::CSSRule::assignOther#$
	{12, 709, 153},	//134 DOM::CSSRule::cssText
	{12, 1016, 157},	//135 DOM::CSSRule::isNull
	{12, 1163, 150},	//136 DOM::CSSRule::operator=#
	{12, 1189, 156},	//137 DOM::CSSRule::parentRule
	{12, 1190, 155},	//138 DOM::CSSRule::parentStyleSheet
	{12, 1439, 154},	//139 DOM::CSSRule::setCssText#
	{12, 1858, 152},	//140 DOM::CSSRule::type
	{12, 1936, 151},	//141 DOM::CSSRule::~CSSRule
	{13, 45, 159},	//142 DOM::CSSRuleList::CSSRuleList
	{13, 46, 160},	//143 DOM::CSSRuleList::CSSRuleList#
	{13, 47, -55},	//144 DOM::CSSRuleList::CSSRuleList?
	{13, 1016, 167},	//145 DOM::CSSRuleList::isNull
	{13, 1027, 166},	//146 DOM::CSSRuleList::item$
	{13, 1074, 165},	//147 DOM::CSSRuleList::length
	{13, 1163, 163},	//148 DOM::CSSRuleList::operator=#
	{13, 1937, 164},	//149 DOM::CSSRuleList::~CSSRuleList
	{14, 48, 168},	//150 DOM::CSSStyleDeclaration::CSSStyleDeclaration
	{14, 49, 169},	//151 DOM::CSSStyleDeclaration::CSSStyleDeclaration#
	{14, 50, 170},	//152 DOM::CSSStyleDeclaration::CSSStyleDeclaration?
	{14, 709, 173},	//153 DOM::CSSStyleDeclaration::cssText
	{14, 894, 178},	//154 DOM::CSSStyleDeclaration::getPropertyCSSValue#
	{14, 896, 180},	//155 DOM::CSSStyleDeclaration::getPropertyPriority#
	{14, 898, 177},	//156 DOM::CSSStyleDeclaration::getPropertyValue#
	{14, 1016, 183},	//157 DOM::CSSStyleDeclaration::isNull
	{14, 1027, 182},	//158 DOM::CSSStyleDeclaration::item$
	{14, 1074, 175},	//159 DOM::CSSStyleDeclaration::length
	{14, 1163, 171},	//160 DOM::CSSStyleDeclaration::operator=#
	{14, 1189, 176},	//161 DOM::CSSStyleDeclaration::parentRule
	{14, 1264, 179},	//162 DOM::CSSStyleDeclaration::removeProperty#
	{14, 1439, 174},	//163 DOM::CSSStyleDeclaration::setCssText#
	{14, 1617, 181},	//164 DOM::CSSStyleDeclaration::setProperty###
	{14, 1938, 172},	//165 DOM::CSSStyleDeclaration::~CSSStyleDeclaration
	{15, 51, 184},	//166 DOM::CSSStyleRule::CSSStyleRule
	{15, 52, -58},	//167 DOM::CSSStyleRule::CSSStyleRule#
	{15, 53, 187},	//168 DOM::CSSStyleRule::CSSStyleRule?
	{15, 1163, -61},	//169 DOM::CSSStyleRule::operator=#
	{15, 1323, 191},	//170 DOM::CSSStyleRule::selectorText
	{15, 1658, 192},	//171 DOM::CSSStyleRule::setSelectorText#
	{15, 1813, 193},	//172 DOM::CSSStyleRule::style
	{15, 1939, 190},	//173 DOM::CSSStyleRule::~CSSStyleRule
	{16, 54, 194},	//174 DOM::CSSStyleSheet::CSSStyleSheet
	{16, 55, -64},	//175 DOM::CSSStyleSheet::CSSStyleSheet#
	{16, 56, 197},	//176 DOM::CSSStyleSheet::CSSStyleSheet?
	{16, 708, 202},	//177 DOM::CSSStyleSheet::cssRules
	{16, 740, 204},	//178 DOM::CSSStyleSheet::deleteRule$
	{16, 987, 203},	//179 DOM::CSSStyleSheet::insertRule#$
	{16, 1163, -67},	//180 DOM::CSSStyleSheet::operator=#
	{16, 1174, 201},	//181 DOM::CSSStyleSheet::ownerRule
	{16, 1940, 200},	//182 DOM::CSSStyleSheet::~CSSStyleSheet
	{17, 57, 205},	//183 DOM::CSSUnknownRule::CSSUnknownRule
	{17, 58, -70},	//184 DOM::CSSUnknownRule::CSSUnknownRule#
	{17, 59, 208},	//185 DOM::CSSUnknownRule::CSSUnknownRule?
	{17, 1163, -73},	//186 DOM::CSSUnknownRule::operator=#
	{17, 1941, 211},	//187 DOM::CSSUnknownRule::~CSSUnknownRule
	{18, 60, 217},	//188 DOM::CSSValue::CSSValue
	{18, 61, 218},	//189 DOM::CSSValue::CSSValue#
	{18, 62, 219},	//190 DOM::CSSValue::CSSValue?
	{18, 69, 215},	//191 DOM::CSSValue::CSS_CUSTOM
	{18, 81, 212},	//192 DOM::CSSValue::CSS_INHERIT
	{18, 82, 216},	//193 DOM::CSSValue::CSS_INITIAL
	{18, 90, 213},	//194 DOM::CSSValue::CSS_PRIMITIVE_VALUE
	{18, 100, 214},	//195 DOM::CSSValue::CSS_VALUE_LIST
	{18, 709, 222},	//196 DOM::CSSValue::cssText
	{18, 710, 224},	//197 DOM::CSSValue::cssValueType
	{18, 994, 226},	//198 DOM::CSSValue::isCSSPrimitiveValue
	{18, 996, 225},	//199 DOM::CSSValue::isCSSValueList
	{18, 1016, 227},	//200 DOM::CSSValue::isNull
	{18, 1163, 220},	//201 DOM::CSSValue::operator=#
	{18, 1439, 223},	//202 DOM::CSSValue::setCssText#
	{18, 1942, 221},	//203 DOM::CSSValue::~CSSValue
	{19, 63, 228},	//204 DOM::CSSValueList::CSSValueList
	{19, 64, -76},	//205 DOM::CSSValueList::CSSValueList#
	{19, 65, 231},	//206 DOM::CSSValueList::CSSValueList?
	{19, 1027, 236},	//207 DOM::CSSValueList::item$
	{19, 1074, 235},	//208 DOM::CSSValueList::length
	{19, 1163, -79},	//209 DOM::CSSValueList::operator=#
	{19, 1943, 234},	//210 DOM::CSSValueList::~CSSValueList
	{20, 104, 237},	//211 DOM::CharacterData::CharacterData
	{20, 105, -82},	//212 DOM::CharacterData::CharacterData#
	{20, 106, 251},	//213 DOM::CharacterData::CharacterData?
	{20, 549, 247},	//214 DOM::CharacterData::appendData#
	{20, 720, 243},	//215 DOM::CharacterData::data
	{20, 733, 249},	//216 DOM::CharacterData::deleteData$$
	{20, 981, 248},	//217 DOM::CharacterData::insertData$#
	{20, 1074, 245},	//218 DOM::CharacterData::length
	{20, 1163, -85},	//219 DOM::CharacterData::operator=#
	{20, 1274, 250},	//220 DOM::CharacterData::replaceData$$#
	{20, 1450, 244},	//221 DOM::CharacterData::setData#
	{20, 1824, 246},	//222 DOM::CharacterData::substringData$$
	{20, 1944, 242},	//223 DOM::CharacterData::~CharacterData
	{21, 107, 252},	//224 DOM::Comment::Comment
	{21, 108, -88},	//225 DOM::Comment::Comment#
	{21, 109, 258},	//226 DOM::Comment::Comment?
	{21, 1163, -91},	//227 DOM::Comment::operator=#
	{21, 1945, 257},	//228 DOM::Comment::~Comment
	{22, 110, 259},	//229 DOM::Counter::Counter
	{22, 111, 260},	//230 DOM::Counter::Counter#
	{22, 112, 267},	//231 DOM::Counter::Counter?
	{22, 945, 263},	//232 DOM::Counter::identifier
	{22, 1016, 266},	//233 DOM::Counter::isNull
	{22, 1078, 264},	//234 DOM::Counter::listStyle
	{22, 1163, 261},	//235 DOM::Counter::operator=#
	{22, 1324, 265},	//236 DOM::Counter::separator
	{22, 1946, 262},	//237 DOM::Counter::~Counter
	{23, 113, 268},	//238 DOM::CustomNodeFilter::CustomNodeFilter
	{23, 114, 273},	//239 DOM::CustomNodeFilter::CustomNodeFilter#
	{23, 517, 270},	//240 DOM::CustomNodeFilter::acceptNode#
	{23, 719, 272},	//241 DOM::CustomNodeFilter::customNodeFilterType
	{23, 1016, 271},	//242 DOM::CustomNodeFilter::isNull
	{23, 1947, 269},	//243 DOM::CustomNodeFilter::~CustomNodeFilter
	{24, 119, 292},	//244 DOM::DOMException::DOMException#
	{24, 120, 291},	//245 DOM::DOMException::DOMException$
	{24, 124, 275},	//246 DOM::DOMException::DOMSTRING_SIZE_ERR
	{24, 180, 276},	//247 DOM::DOMException::HIERARCHY_REQUEST_ERR
	{24, 357, 274},	//248 DOM::DOMException::INDEX_SIZE_ERR
	{24, 358, 283},	//249 DOM::DOMException::INUSE_ATTRIBUTE_ERR
	{24, 359, 288},	//250 DOM::DOMException::INVALID_ACCESS_ERR
	{24, 360, 278},	//251 DOM::DOMException::INVALID_CHARACTER_ERR
	{24, 361, 286},	//252 DOM::DOMException::INVALID_MODIFICATION_ERR
	{24, 363, 284},	//253 DOM::DOMException::INVALID_STATE_ERR
	{24, 411, 287},	//254 DOM::DOMException::NAMESPACE_ERR
	{24, 413, 281},	//255 DOM::DOMException::NOT_FOUND_ERR
	{24, 414, 282},	//256 DOM::DOMException::NOT_SUPPORTED_ERR
	{24, 415, 279},	//257 DOM::DOMException::NO_DATA_ALLOWED_ERR
	{24, 416, 280},	//258 DOM::DOMException::NO_MODIFICATION_ALLOWED_ERR
	{24, 482, 285},	//259 DOM::DOMException::SYNTAX_ERR
	{24, 490, 290},	//260 DOM::DOMException::TYPE_MISMATCH_ERR
	{24, 506, 289},	//261 DOM::DOMException::VALIDATION_ERR
	{24, 507, 277},	//262 DOM::DOMException::WRONG_DOCUMENT_ERR
	{24, 628, 296},	//263 DOM::DOMException::code
	{24, 1163, 293},	//264 DOM::DOMException::operator=#
	{24, 1411, 295},	//265 DOM::DOMException::setCode$
	{24, 1948, 294},	//266 DOM::DOMException::~DOMException
	{25, 121, 297},	//267 DOM::DOMImplementation::DOMImplementation
	{25, 122, 298},	//268 DOM::DOMImplementation::DOMImplementation#
	{25, 123, 308},	//269 DOM::DOMImplementation::DOMImplementation?
	{25, 672, 305},	//270 DOM::DOMImplementation::createCSSStyleSheet##
	{25, 681, 303},	//271 DOM::DOMImplementation::createDocument###
	{25, 684, 302},	//272 DOM::DOMImplementation::createDocumentType###
	{25, 694, 306},	//273 DOM::DOMImplementation::createHTMLDocument#
	{25, 884, 304},	//274 DOM::DOMImplementation::getInterface#
	{25, 919, 301},	//275 DOM::DOMImplementation::hasFeature##
	{25, 1016, 307},	//276 DOM::DOMImplementation::isNull
	{25, 1163, 299},	//277 DOM::DOMImplementation::operator=#
	{25, 1949, 300},	//278 DOM::DOMImplementation::~DOMImplementation
	{26, 125, 309},	//279 DOM::DOMString::DOMString
	{26, 126, 315},	//280 DOM::DOMString::DOMString#
	{26, 127, 310},	//281 DOM::DOMString::DOMString#$
	{26, 128, -94},	//282 DOM::DOMString::DOMString$
	{26, 129, 313},	//283 DOM::DOMString::DOMString?
	{26, 605, 331},	//284 DOM::DOMString::characters
	{26, 664, 338},	//285 DOM::DOMString::copy
	{26, 789, 341},	//286 DOM::DOMString::endsWith#
	{26, 811, 322},	//287 DOM::DOMString::find#
	{26, 812, 321},	//288 DOM::DOMString::find#$
	{26, 947, 342},	//289 DOM::DOMString::implementation
	{26, 975, 319},	//290 DOM::DOMString::insert#$
	{26, 1001, 340},	//291 DOM::DOMString::isEmpty
	{26, 1016, 339},	//292 DOM::DOMString::isNull
	{26, 1074, 323},	//293 DOM::DOMString::length
	{26, 1089, 328},	//294 DOM::DOMString::lower
	{26, 1143, 343},	//295 DOM::DOMString::number$
	{26, 1159, 318},	//296 DOM::DOMString::operator+#
	{26, 1161, 317},	//297 DOM::DOMString::operator+=#
	{26, 1163, 316},	//298 DOM::DOMString::operator=#
	{26, 1169, 320},	//299 DOM::DOMString::operator[]$
	{26, 1199, 337},	//300 DOM::DOMString::percentage$
	{26, 1245, 326},	//301 DOM::DOMString::remove$
	{26, 1246, 325},	//302 DOM::DOMString::remove$$
	{26, 1784, 327},	//303 DOM::DOMString::split$
	{26, 1812, 332},	//304 DOM::DOMString::string
	{26, 1848, 336},	//305 DOM::DOMString::toFloat
	{26, 1849, 335},	//306 DOM::DOMString::toFloat$
	{26, 1851, 333},	//307 DOM::DOMString::toInt
	{26, 1852, 334},	//308 DOM::DOMString::toInt$
	{26, 1857, 324},	//309 DOM::DOMString::truncate$
	{26, 1861, 330},	//310 DOM::DOMString::unicode
	{26, 1866, 329},	//311 DOM::DOMString::upper
	{26, 1950, 314},	//312 DOM::DOMString::~DOMString
	{27, 136, 344},	//313 DOM::Document::Document
	{27, 137, -97},	//314 DOM::Document::Document#
	{27, 138, 345},	//315 DOM::Document::Document$
	{27, 139, 399},	//316 DOM::Document::Document?
	{27, 512, 385},	//317 DOM::Document::abort
	{27, 537, 379},	//318 DOM::Document::addStyleSheet#
	{27, 559, 383},	//319 DOM::Document::async
	{27, 642, 390},	//320 DOM::Document::completeURL#
	{27, 666, 361},	//321 DOM::Document::createAttribute#
	{27, 668, 362},	//322 DOM::Document::createAttributeNS##
	{27, 670, 359},	//323 DOM::Document::createCDATASection#
	{27, 675, 358},	//324 DOM::Document::createComment#
	{27, 682, 356},	//325 DOM::Document::createDocumentFragment
	{27, 686, 354},	//326 DOM::Document::createElement#
	{27, 688, 355},	//327 DOM::Document::createElementNS##
	{27, 690, 363},	//328 DOM::Document::createEntityReference#
	{27, 692, 373},	//329 DOM::Document::createEvent#
	{27, 696, 371},	//330 DOM::Document::createNodeIterator#$#$
	{27, 700, 360},	//331 DOM::Document::createProcessingInstruction##
	{27, 701, 370},	//332 DOM::Document::createRange
	{27, 705, 357},	//333 DOM::Document::createTextNode#
	{27, 707, 372},	//334 DOM::Document::createTreeWalker#$#$
	{27, 726, 374},	//335 DOM::Document::defaultView
	{27, 744, 388},	//336 DOM::Document::designMode
	{27, 762, 351},	//337 DOM::Document::doctype
	{27, 764, 353},	//338 DOM::Document::documentElement
	{27, 801, 392},	//339 DOM::Document::execCommand#$#
	{27, 871, 364},	//340 DOM::Document::getElementById#
	{27, 873, 367},	//341 DOM::Document::getElementsByClassName#
	{27, 877, 365},	//342 DOM::Document::getElementsByTagName#
	{27, 879, 366},	//343 DOM::Document::getElementsByTagNameNS##
	{27, 892, 382},	//344 DOM::Document::getOverrideStyle##
	{27, 947, 352},	//345 DOM::Document::implementation
	{27, 949, 368},	//346 DOM::Document::importNode#$
	{27, 1003, 369},	//347 DOM::Document::isHTMLDocument
	{27, 1080, 386},	//348 DOM::Document::load#
	{27, 1084, 387},	//349 DOM::Document::loadXML#
	{27, 1163, -100},	//350 DOM::Document::operator=#
	{27, 1205, 376},	//351 DOM::Document::preferredStylesheetSet
	{27, 1225, 393},	//352 DOM::Document::queryCommandEnabled#
	{27, 1227, 394},	//353 DOM::Document::queryCommandIndeterm#
	{27, 1229, 395},	//354 DOM::Document::queryCommandState#
	{27, 1231, 396},	//355 DOM::Document::queryCommandSupported#
	{27, 1233, 397},	//356 DOM::Document::queryCommandValue#
	{27, 1266, 380},	//357 DOM::Document::removeStyleSheet#
	{27, 1315, 377},	//358 DOM::Document::selectedStylesheetSet
	{27, 1351, 384},	//359 DOM::Document::setAsync$
	{27, 1464, 389},	//360 DOM::Document::setDesignMode$
	{27, 1648, 378},	//361 DOM::Document::setSelectedStylesheetSet#
	{27, 1817, 375},	//362 DOM::Document::styleSheets
	{27, 1853, 391},	//363 DOM::Document::toString
	{27, 1865, 398},	//364 DOM::Document::updateRendering
	{27, 1881, 381},	//365 DOM::Document::view
	{27, 1951, 350},	//366 DOM::Document::~Document
	{28, 140, 400},	//367 DOM::DocumentFragment::DocumentFragment
	{28, 141, -103},	//368 DOM::DocumentFragment::DocumentFragment#
	{28, 142, 406},	//369 DOM::DocumentFragment::DocumentFragment?
	{28, 1163, -106},	//370 DOM::DocumentFragment::operator=#
	{28, 1952, 405},	//371 DOM::DocumentFragment::~DocumentFragment
	{29, 143, 407},	//372 DOM::DocumentStyle::DocumentStyle
	{29, 144, 408},	//373 DOM::DocumentStyle::DocumentStyle#
	{29, 1016, 416},	//374 DOM::DocumentStyle::isNull
	{29, 1163, -109},	//375 DOM::DocumentStyle::operator=#
	{29, 1205, 413},	//376 DOM::DocumentStyle::preferredStylesheetSet
	{29, 1315, 414},	//377 DOM::DocumentStyle::selectedStylesheetSet
	{29, 1648, 415},	//378 DOM::DocumentStyle::setSelectedStylesheetSet#
	{29, 1817, 412},	//379 DOM::DocumentStyle::styleSheets
	{29, 1953, 411},	//380 DOM::DocumentStyle::~DocumentStyle
	{30, 145, 417},	//381 DOM::DocumentType::DocumentType
	{30, 146, -112},	//382 DOM::DocumentType::DocumentType#
	{30, 147, 429},	//383 DOM::DocumentType::DocumentType?
	{30, 792, 424},	//384 DOM::DocumentType::entities
	{30, 988, 428},	//385 DOM::DocumentType::internalSubset
	{30, 1117, 423},	//386 DOM::DocumentType::name
	{30, 1141, 425},	//387 DOM::DocumentType::notations
	{30, 1163, -115},	//388 DOM::DocumentType::operator=#
	{30, 1221, 426},	//389 DOM::DocumentType::publicId
	{30, 1828, 427},	//390 DOM::DocumentType::systemId
	{30, 1954, 422},	//391 DOM::DocumentType::~DocumentType
	{31, 148, 430},	//392 DOM::DomShared::DomShared
	{31, 149, 437},	//393 DOM::DomShared::DomShared#
	{31, 734, 432},	//394 DOM::DomShared::deleteMe
	{31, 743, 434},	//395 DOM::DomShared::deref
	{31, 920, 435},	//396 DOM::DomShared::hasOneRef
	{31, 1238, 433},	//397 DOM::DomShared::ref
	{31, 1239, 436},	//398 DOM::DomShared::refCount
	{31, 1955, 431},	//399 DOM::DomShared::~DomShared
	{32, 155, 438},	//400 DOM::Element::Element
	{32, 156, -118},	//401 DOM::Element::Element#
	{32, 157, 469},	//402 DOM::Element::Element?
	{32, 844, 463},	//403 DOM::Element::form
	{32, 859, 445},	//404 DOM::Element::getAttribute#
	{32, 861, 454},	//405 DOM::Element::getAttributeNS##
	{32, 863, 448},	//406 DOM::Element::getAttributeNode#
	{32, 865, 457},	//407 DOM::Element::getAttributeNodeNS##
	{32, 873, 453},	//408 DOM::Element::getElementsByClassName#
	{32, 877, 451},	//409 DOM::Element::getElementsByTagName#
	{32, 879, 452},	//410 DOM::Element::getElementsByTagNameNS##
	{32, 913, 459},	//411 DOM::Element::hasAttribute#
	{32, 915, 460},	//412 DOM::Element::hasAttributeNS##
	{32, 1004, 462},	//413 DOM::Element::isHTMLElement
	{32, 1045, 468},	//414 DOM::Element::khtmlMalformedPrefix#
	{32, 1047, 467},	//415 DOM::Element::khtmlMalformedQualifiedName#
	{32, 1057, 464},	//416 DOM::Element::khtmlValidAttrName#
	{32, 1059, 465},	//417 DOM::Element::khtmlValidPrefix#
	{32, 1061, 466},	//418 DOM::Element::khtmlValidQualifiedName#
	{32, 1163, -121},	//419 DOM::Element::operator=#
	{32, 1248, 447},	//420 DOM::Element::removeAttribute#
	{32, 1250, 456},	//421 DOM::Element::removeAttributeNS##
	{32, 1252, 450},	//422 DOM::Element::removeAttributeNode#
	{32, 1353, 446},	//423 DOM::Element::setAttribute##
	{32, 1355, 455},	//424 DOM::Element::setAttributeNS###
	{32, 1357, 449},	//425 DOM::Element::setAttributeNode#
	{32, 1359, 458},	//426 DOM::Element::setAttributeNodeNS#
	{32, 1813, 461},	//427 DOM::Element::style
	{32, 1835, 444},	//428 DOM::Element::tagName
	{32, 1956, 443},	//429 DOM::Element::~Element
	{33, 159, 470},	//430 DOM::Entity::Entity
	{33, 160, -124},	//431 DOM::Entity::Entity#
	{33, 161, 479},	//432 DOM::Entity::Entity?
	{33, 1140, 478},	//433 DOM::Entity::notationName
	{33, 1163, -127},	//434 DOM::Entity::operator=#
	{33, 1221, 476},	//435 DOM::Entity::publicId
	{33, 1828, 477},	//436 DOM::Entity::systemId
	{33, 1957, 475},	//437 DOM::Entity::~Entity
	{34, 162, 480},	//438 DOM::EntityReference::EntityReference
	{34, 163, -130},	//439 DOM::EntityReference::EntityReference#
	{34, 164, 486},	//440 DOM::EntityReference::EntityReference?
	{34, 1163, -133},	//441 DOM::EntityReference::operator=#
	{34, 1958, 485},	//442 DOM::EntityReference::~EntityReference
	{35, 3, 488},	//443 DOM::Event::AT_TARGET
	{35, 11, 489},	//444 DOM::Event::BUBBLING_PHASE
	{35, 14, 487},	//445 DOM::Event::CAPTURING_PHASE
	{35, 165, 490},	//446 DOM::Event::Event
	{35, 166, 491},	//447 DOM::Event::Event#
	{35, 168, 505},	//448 DOM::Event::Event?
	{35, 586, 498},	//449 DOM::Event::bubbles
	{35, 588, 499},	//450 DOM::Event::cancelable
	{35, 714, 496},	//451 DOM::Event::currentTarget
	{35, 799, 497},	//452 DOM::Event::eventPhase
	{35, 957, 503},	//453 DOM::Event::initEvent#$$
	{35, 1016, 504},	//454 DOM::Event::isNull
	{35, 1163, 493},	//455 DOM::Event::operator=#
	{35, 1213, 502},	//456 DOM::Event::preventDefault
	{35, 1804, 501},	//457 DOM::Event::stopPropagation
	{35, 1836, 495},	//458 DOM::Event::target
	{35, 1844, 500},	//459 DOM::Event::timeStamp
	{35, 1858, 494},	//460 DOM::Event::type
	{35, 1959, 492},	//461 DOM::Event::~Event
	{36, 170, 510},	//462 DOM::EventException::EventException#
	{36, 171, 509},	//463 DOM::EventException::EventException$
	{36, 503, 506},	//464 DOM::EventException::UNSPECIFIED_EVENT_TYPE_ERR
	{36, 508, 508},	//465 DOM::EventException::_EXCEPTION_MAX
	{36, 509, 507},	//466 DOM::EventException::_EXCEPTION_OFFSET
	{36, 628, 514},	//467 DOM::EventException::code
	{36, 1163, 511},	//468 DOM::EventException::operator=#
	{36, 1411, 513},	//469 DOM::EventException::setCode$
	{36, 1960, 512},	//470 DOM::EventException::~EventException
	{37, 172, 515},	//471 DOM::EventListener::EventListener
	{37, 173, 519},	//472 DOM::EventListener::EventListener#
	{37, 797, 518},	//473 DOM::EventListener::eventListenerType
	{37, 911, 517},	//474 DOM::EventListener::handleEvent#
	{37, 1961, 516},	//475 DOM::EventListener::~EventListener
	{38, 181, 520},	//476 DOM::HTMLAnchorElement::HTMLAnchorElement
	{38, 182, -136},	//477 DOM::HTMLAnchorElement::HTMLAnchorElement#
	{38, 183, 552},	//478 DOM::HTMLAnchorElement::HTMLAnchorElement?
	{38, 518, 526},	//479 DOM::HTMLAnchorElement::accessKey
	{38, 579, 550},	//480 DOM::HTMLAnchorElement::blur
	{38, 606, 528},	//481 DOM::HTMLAnchorElement::charset
	{38, 663, 530},	//482 DOM::HTMLAnchorElement::coords
	{38, 833, 551},	//483 DOM::HTMLAnchorElement::focus
	{38, 935, 532},	//484 DOM::HTMLAnchorElement::href
	{38, 936, 534},	//485 DOM::HTMLAnchorElement::hreflang
	{38, 1117, 536},	//486 DOM::HTMLAnchorElement::name
	{38, 1163, -139},	//487 DOM::HTMLAnchorElement::operator=#
	{38, 1241, 538},	//488 DOM::HTMLAnchorElement::rel
	{38, 1283, 540},	//489 DOM::HTMLAnchorElement::rev
	{38, 1335, 527},	//490 DOM::HTMLAnchorElement::setAccessKey#
	{38, 1400, 529},	//491 DOM::HTMLAnchorElement::setCharset#
	{38, 1437, 531},	//492 DOM::HTMLAnchorElement::setCoords#
	{38, 1509, 533},	//493 DOM::HTMLAnchorElement::setHref#
	{38, 1511, 535},	//494 DOM::HTMLAnchorElement::setHreflang#
	{38, 1577, 537},	//495 DOM::HTMLAnchorElement::setName#
	{38, 1621, 539},	//496 DOM::HTMLAnchorElement::setRel#
	{38, 1623, 541},	//497 DOM::HTMLAnchorElement::setRev#
	{38, 1660, 543},	//498 DOM::HTMLAnchorElement::setShape#
	{38, 1701, 545},	//499 DOM::HTMLAnchorElement::setTabIndex$
	{38, 1703, 547},	//500 DOM::HTMLAnchorElement::setTarget#
	{38, 1713, 549},	//501 DOM::HTMLAnchorElement::setType#
	{38, 1762, 542},	//502 DOM::HTMLAnchorElement::shape
	{38, 1832, 544},	//503 DOM::HTMLAnchorElement::tabIndex
	{38, 1836, 546},	//504 DOM::HTMLAnchorElement::target
	{38, 1858, 548},	//505 DOM::HTMLAnchorElement::type
	{38, 1962, 525},	//506 DOM::HTMLAnchorElement::~HTMLAnchorElement
	{39, 184, 553},	//507 DOM::HTMLAppletElement::HTMLAppletElement
	{39, 185, -142},	//508 DOM::HTMLAppletElement::HTMLAppletElement#
	{39, 186, 581},	//509 DOM::HTMLAppletElement::HTMLAppletElement?
	{39, 540, 559},	//510 DOM::HTMLAppletElement::align
	{39, 543, 561},	//511 DOM::HTMLAppletElement::alt
	{39, 554, 563},	//512 DOM::HTMLAppletElement::archive
	{39, 628, 565},	//513 DOM::HTMLAppletElement::code
	{39, 629, 567},	//514 DOM::HTMLAppletElement::codeBase
	{39, 882, 571},	//515 DOM::HTMLAppletElement::getHspace
	{39, 904, 577},	//516 DOM::HTMLAppletElement::getVspace
	{39, 923, 569},	//517 DOM::HTMLAppletElement::height
	{39, 1117, 573},	//518 DOM::HTMLAppletElement::name
	{39, 1144, 575},	//519 DOM::HTMLAppletElement::object
	{39, 1163, -145},	//520 DOM::HTMLAppletElement::operator=#
	{39, 1341, 560},	//521 DOM::HTMLAppletElement::setAlign#
	{39, 1343, 562},	//522 DOM::HTMLAppletElement::setAlt#
	{39, 1347, 564},	//523 DOM::HTMLAppletElement::setArchive#
	{39, 1410, 566},	//524 DOM::HTMLAppletElement::setCode#
	{39, 1413, 568},	//525 DOM::HTMLAppletElement::setCodeBase#
	{39, 1504, 570},	//526 DOM::HTMLAppletElement::setHeight#
	{39, 1513, 572},	//527 DOM::HTMLAppletElement::setHspace$
	{39, 1577, 574},	//528 DOM::HTMLAppletElement::setName#
	{39, 1593, 576},	//529 DOM::HTMLAppletElement::setObject#
	{39, 1741, 578},	//530 DOM::HTMLAppletElement::setVspace$
	{39, 1745, 580},	//531 DOM::HTMLAppletElement::setWidth#
	{39, 1898, 579},	//532 DOM::HTMLAppletElement::width
	{39, 1963, 558},	//533 DOM::HTMLAppletElement::~HTMLAppletElement
	{40, 187, 582},	//534 DOM::HTMLAreaElement::HTMLAreaElement
	{40, 188, -148},	//535 DOM::HTMLAreaElement::HTMLAreaElement#
	{40, 189, 604},	//536 DOM::HTMLAreaElement::HTMLAreaElement?
	{40, 518, 588},	//537 DOM::HTMLAreaElement::accessKey
	{40, 543, 590},	//538 DOM::HTMLAreaElement::alt
	{40, 663, 592},	//539 DOM::HTMLAreaElement::coords
	{40, 935, 594},	//540 DOM::HTMLAreaElement::href
	{40, 1128, 596},	//541 DOM::HTMLAreaElement::noHref
	{40, 1163, -151},	//542 DOM::HTMLAreaElement::operator=#
	{40, 1335, 589},	//543 DOM::HTMLAreaElement::setAccessKey#
	{40, 1343, 591},	//544 DOM::HTMLAreaElement::setAlt#
	{40, 1437, 593},	//545 DOM::HTMLAreaElement::setCoords#
	{40, 1509, 595},	//546 DOM::HTMLAreaElement::setHref#
	{40, 1583, 597},	//547 DOM::HTMLAreaElement::setNoHref$
	{40, 1660, 599},	//548 DOM::HTMLAreaElement::setShape#
	{40, 1701, 601},	//549 DOM::HTMLAreaElement::setTabIndex$
	{40, 1703, 603},	//550 DOM::HTMLAreaElement::setTarget#
	{40, 1762, 598},	//551 DOM::HTMLAreaElement::shape
	{40, 1832, 600},	//552 DOM::HTMLAreaElement::tabIndex
	{40, 1836, 602},	//553 DOM::HTMLAreaElement::target
	{40, 1964, 587},	//554 DOM::HTMLAreaElement::~HTMLAreaElement
	{41, 190, 605},	//555 DOM::HTMLBRElement::HTMLBRElement
	{41, 191, -154},	//556 DOM::HTMLBRElement::HTMLBRElement#
	{41, 192, 613},	//557 DOM::HTMLBRElement::HTMLBRElement?
	{41, 614, 611},	//558 DOM::HTMLBRElement::clear
	{41, 1163, -157},	//559 DOM::HTMLBRElement::operator=#
	{41, 1408, 612},	//560 DOM::HTMLBRElement::setClear#
	{41, 1965, 610},	//561 DOM::HTMLBRElement::~HTMLBRElement
	{42, 193, 614},	//562 DOM::HTMLBaseElement::HTMLBaseElement
	{42, 194, -160},	//563 DOM::HTMLBaseElement::HTMLBaseElement#
	{42, 195, 624},	//564 DOM::HTMLBaseElement::HTMLBaseElement?
	{42, 935, 620},	//565 DOM::HTMLBaseElement::href
	{42, 1163, -163},	//566 DOM::HTMLBaseElement::operator=#
	{42, 1509, 621},	//567 DOM::HTMLBaseElement::setHref#
	{42, 1703, 623},	//568 DOM::HTMLBaseElement::setTarget#
	{42, 1836, 622},	//569 DOM::HTMLBaseElement::target
	{42, 1966, 619},	//570 DOM::HTMLBaseElement::~HTMLBaseElement
	{43, 196, 625},	//571 DOM::HTMLBaseFontElement::HTMLBaseFontElement
	{43, 197, -166},	//572 DOM::HTMLBaseFontElement::HTMLBaseFontElement#
	{43, 198, 637},	//573 DOM::HTMLBaseFontElement::HTMLBaseFontElement?
	{43, 635, 631},	//574 DOM::HTMLBaseFontElement::color
	{43, 806, 633},	//575 DOM::HTMLBaseFontElement::face
	{43, 902, 635},	//576 DOM::HTMLBaseFontElement::getSize
	{43, 1163, -169},	//577 DOM::HTMLBaseFontElement::operator=#
	{43, 1419, 632},	//578 DOM::HTMLBaseFontElement::setColor#
	{43, 1486, 634},	//579 DOM::HTMLBaseFontElement::setFace#
	{43, 1663, 636},	//580 DOM::HTMLBaseFontElement::setSize$
	{43, 1967, 630},	//581 DOM::HTMLBaseFontElement::~HTMLBaseFontElement
	{44, 199, 638},	//582 DOM::HTMLBlockquoteElement::HTMLBlockquoteElement
	{44, 200, -172},	//583 DOM::HTMLBlockquoteElement::HTMLBlockquoteElement#
	{44, 201, 646},	//584 DOM::HTMLBlockquoteElement::HTMLBlockquoteElement?
	{44, 612, 644},	//585 DOM::HTMLBlockquoteElement::cite
	{44, 1163, -175},	//586 DOM::HTMLBlockquoteElement::operator=#
	{44, 1404, 645},	//587 DOM::HTMLBlockquoteElement::setCite#
	{44, 1968, 643},	//588 DOM::HTMLBlockquoteElement::~HTMLBlockquoteElement
	{45, 202, 647},	//589 DOM::HTMLBodyElement::HTMLBodyElement
	{45, 203, -178},	//590 DOM::HTMLBodyElement::HTMLBodyElement#
	{45, 204, 665},	//591 DOM::HTMLBodyElement::HTMLBodyElement?
	{45, 510, 653},	//592 DOM::HTMLBodyElement::aLink
	{45, 568, 655},	//593 DOM::HTMLBodyElement::background
	{45, 577, 657},	//594 DOM::HTMLBodyElement::bgColor
	{45, 1075, 659},	//595 DOM::HTMLBodyElement::link
	{45, 1163, -181},	//596 DOM::HTMLBodyElement::operator=#
	{45, 1327, 654},	//597 DOM::HTMLBodyElement::setALink#
	{45, 1369, 656},	//598 DOM::HTMLBodyElement::setBackground#
	{45, 1371, 658},	//599 DOM::HTMLBodyElement::setBgColor#
	{45, 1549, 660},	//600 DOM::HTMLBodyElement::setLink#
	{45, 1705, 662},	//601 DOM::HTMLBodyElement::setText#
	{45, 1726, 664},	//602 DOM::HTMLBodyElement::setVLink#
	{45, 1840, 661},	//603 DOM::HTMLBodyElement::text
	{45, 1876, 663},	//604 DOM::HTMLBodyElement::vLink
	{45, 1969, 652},	//605 DOM::HTMLBodyElement::~HTMLBodyElement
	{46, 205, 666},	//606 DOM::HTMLButtonElement::HTMLButtonElement
	{46, 206, -184},	//607 DOM::HTMLButtonElement::HTMLButtonElement#
	{46, 207, 686},	//608 DOM::HTMLButtonElement::HTMLButtonElement?
	{46, 518, 673},	//609 DOM::HTMLButtonElement::accessKey
	{46, 579, 684},	//610 DOM::HTMLButtonElement::blur
	{46, 749, 675},	//611 DOM::HTMLButtonElement::disabled
	{46, 833, 685},	//612 DOM::HTMLButtonElement::focus
	{46, 844, 672},	//613 DOM::HTMLButtonElement::form
	{46, 1117, 677},	//614 DOM::HTMLButtonElement::name
	{46, 1163, -187},	//615 DOM::HTMLButtonElement::operator=#
	{46, 1335, 674},	//616 DOM::HTMLButtonElement::setAccessKey#
	{46, 1468, 676},	//617 DOM::HTMLButtonElement::setDisabled$
	{46, 1577, 678},	//618 DOM::HTMLButtonElement::setName#
	{46, 1701, 680},	//619 DOM::HTMLButtonElement::setTabIndex$
	{46, 1728, 683},	//620 DOM::HTMLButtonElement::setValue#
	{46, 1832, 679},	//621 DOM::HTMLButtonElement::tabIndex
	{46, 1858, 681},	//622 DOM::HTMLButtonElement::type
	{46, 1878, 682},	//623 DOM::HTMLButtonElement::value
	{46, 1970, 671},	//624 DOM::HTMLButtonElement::~HTMLButtonElement
	{47, 208, 687},	//625 DOM::HTMLCollection::HTMLCollection
	{47, 209, 688},	//626 DOM::HTMLCollection::HTMLCollection#
	{47, 210, 699},	//627 DOM::HTMLCollection::HTMLCollection?
	{47, 211, 700},	//628 DOM::HTMLCollection::HTMLCollection?$
	{47, 570, 694},	//629 DOM::HTMLCollection::base
	{47, 831, 696},	//630 DOM::HTMLCollection::firstItem
	{47, 1016, 695},	//631 DOM::HTMLCollection::isNull
	{47, 1027, 692},	//632 DOM::HTMLCollection::item$
	{47, 1074, 691},	//633 DOM::HTMLCollection::length
	{47, 1119, 693},	//634 DOM::HTMLCollection::namedItem#
	{47, 1123, 697},	//635 DOM::HTMLCollection::nextItem
	{47, 1125, 698},	//636 DOM::HTMLCollection::nextNamedItem#
	{47, 1163, 689},	//637 DOM::HTMLCollection::operator=#
	{47, 1971, 690},	//638 DOM::HTMLCollection::~HTMLCollection
	{48, 212, 701},	//639 DOM::HTMLDListElement::HTMLDListElement
	{48, 213, -190},	//640 DOM::HTMLDListElement::HTMLDListElement#
	{48, 214, 709},	//641 DOM::HTMLDListElement::HTMLDListElement?
	{48, 638, 707},	//642 DOM::HTMLDListElement::compact
	{48, 1163, -193},	//643 DOM::HTMLDListElement::operator=#
	{48, 1424, 708},	//644 DOM::HTMLDListElement::setCompact$
	{48, 1972, 706},	//645 DOM::HTMLDListElement::~HTMLDListElement
	{49, 215, 710},	//646 DOM::HTMLDirectoryElement::HTMLDirectoryElement
	{49, 216, -196},	//647 DOM::HTMLDirectoryElement::HTMLDirectoryElement#
	{49, 217, 718},	//648 DOM::HTMLDirectoryElement::HTMLDirectoryElement?
	{49, 638, 716},	//649 DOM::HTMLDirectoryElement::compact
	{49, 1163, -199},	//650 DOM::HTMLDirectoryElement::operator=#
	{49, 1424, 717},	//651 DOM::HTMLDirectoryElement::setCompact$
	{49, 1973, 715},	//652 DOM::HTMLDirectoryElement::~HTMLDirectoryElement
	{50, 218, 719},	//653 DOM::HTMLDivElement::HTMLDivElement
	{50, 219, -202},	//654 DOM::HTMLDivElement::HTMLDivElement#
	{50, 220, 727},	//655 DOM::HTMLDivElement::HTMLDivElement?
	{50, 540, 725},	//656 DOM::HTMLDivElement::align
	{50, 1163, -205},	//657 DOM::HTMLDivElement::operator=#
	{50, 1341, 726},	//658 DOM::HTMLDivElement::setAlign#
	{50, 1974, 724},	//659 DOM::HTMLDivElement::~HTMLDivElement
	{51, 221, 728},	//660 DOM::HTMLDocument::HTMLDocument
	{51, 222, -208},	//661 DOM::HTMLDocument::HTMLDocument#
	{51, 223, 759},	//662 DOM::HTMLDocument::HTMLDocument?
	{51, 504, 739},	//663 DOM::HTMLDocument::URL
	{51, 541, 758},	//664 DOM::HTMLDocument::all
	{51, 545, 748},	//665 DOM::HTMLDocument::anchors
	{51, 552, 743},	//666 DOM::HTMLDocument::applets
	{51, 580, 740},	//667 DOM::HTMLDocument::body
	{51, 623, 752},	//668 DOM::HTMLDocument::close
	{51, 642, 756},	//669 DOM::HTMLDocument::completeURL#
	{51, 662, 749},	//670 DOM::HTMLDocument::cookie
	{51, 767, 738},	//671 DOM::HTMLDocument::domain
	{51, 848, 745},	//672 DOM::HTMLDocument::forms
	{51, 875, 755},	//673 DOM::HTMLDocument::getElementsByName#
	{51, 946, 742},	//674 DOM::HTMLDocument::images
	{51, 1066, 757},	//675 DOM::HTMLDocument::lastModified
	{51, 1069, 746},	//676 DOM::HTMLDocument::layers
	{51, 1077, 744},	//677 DOM::HTMLDocument::links
	{51, 1148, 751},	//678 DOM::HTMLDocument::open
	{51, 1163, -212},	//679 DOM::HTMLDocument::operator=#
	{51, 1240, 737},	//680 DOM::HTMLDocument::referrer
	{51, 1300, 747},	//681 DOM::HTMLDocument::scripts
	{51, 1373, 741},	//682 DOM::HTMLDocument::setBody#
	{51, 1435, 750},	//683 DOM::HTMLDocument::setCookie#
	{51, 1709, 736},	//684 DOM::HTMLDocument::setTitle#
	{51, 1847, 735},	//685 DOM::HTMLDocument::title
	{51, 1912, 753},	//686 DOM::HTMLDocument::write#
	{51, 1918, 754},	//687 DOM::HTMLDocument::writeln#
	{51, 1975, 734},	//688 DOM::HTMLDocument::~HTMLDocument
	{52, 224, 760},	//689 DOM::HTMLElement::HTMLElement
	{52, 225, -215},	//690 DOM::HTMLElement::HTMLElement#
	{52, 226, 787},	//691 DOM::HTMLElement::HTMLElement?
	{52, 531, 786},	//692 DOM::HTMLElement::addCSSProperty##
	{52, 541, 781},	//693 DOM::HTMLElement::all
	{52, 558, 788},	//694 DOM::HTMLElement::assignOther#$
	{52, 611, 780},	//695 DOM::HTMLElement::children
	{52, 613, 774},	//696 DOM::HTMLElement::className
	{52, 652, 783},	//697 DOM::HTMLElement::contentEditable
	{52, 748, 772},	//698 DOM::HTMLElement::dir
	{52, 944, 766},	//699 DOM::HTMLElement::id
	{52, 968, 776},	//700 DOM::HTMLElement::innerHTML
	{52, 969, 778},	//701 DOM::HTMLElement::innerText
	{52, 998, 782},	//702 DOM::HTMLElement::isContentEditable
	{52, 1063, 770},	//703 DOM::HTMLElement::lang
	{52, 1163, -218},	//704 DOM::HTMLElement::operator=#
	{52, 1254, 785},	//705 DOM::HTMLElement::removeCSSProperty#
	{52, 1406, 775},	//706 DOM::HTMLElement::setClassName#
	{52, 1431, 784},	//707 DOM::HTMLElement::setContentEditable#
	{52, 1466, 773},	//708 DOM::HTMLElement::setDir#
	{52, 1519, 767},	//709 DOM::HTMLElement::setId#
	{52, 1525, 777},	//710 DOM::HTMLElement::setInnerHTML#
	{52, 1527, 779},	//711 DOM::HTMLElement::setInnerText#
	{52, 1545, 771},	//712 DOM::HTMLElement::setLang#
	{52, 1709, 769},	//713 DOM::HTMLElement::setTitle#
	{52, 1847, 768},	//714 DOM::HTMLElement::title
	{52, 1976, 765},	//715 DOM::HTMLElement::~HTMLElement
	{53, 227, 789},	//716 DOM::HTMLFieldSetElement::HTMLFieldSetElement
	{53, 228, -221},	//717 DOM::HTMLFieldSetElement::HTMLFieldSetElement#
	{53, 229, 796},	//718 DOM::HTMLFieldSetElement::HTMLFieldSetElement?
	{53, 844, 795},	//719 DOM::HTMLFieldSetElement::form
	{53, 1163, -224},	//720 DOM::HTMLFieldSetElement::operator=#
	{53, 1977, 794},	//721 DOM::HTMLFieldSetElement::~HTMLFieldSetElement
	{54, 230, 797},	//722 DOM::HTMLFontElement::HTMLFontElement
	{54, 231, -227},	//723 DOM::HTMLFontElement::HTMLFontElement#
	{54, 232, 809},	//724 DOM::HTMLFontElement::HTMLFontElement?
	{54, 635, 803},	//725 DOM::HTMLFontElement::color
	{54, 806, 805},	//726 DOM::HTMLFontElement::face
	{54, 1163, -230},	//727 DOM::HTMLFontElement::operator=#
	{54, 1419, 804},	//728 DOM::HTMLFontElement::setColor#
	{54, 1486, 806},	//729 DOM::HTMLFontElement::setFace#
	{54, 1662, 808},	//730 DOM::HTMLFontElement::setSize#
	{54, 1773, 807},	//731 DOM::HTMLFontElement::size
	{54, 1978, 802},	//732 DOM::HTMLFontElement::~HTMLFontElement
	{55, 234, 811},	//733 DOM::HTMLFormCollection::HTMLFormCollection#
	{55, 235, 812},	//734 DOM::HTMLFormCollection::HTMLFormCollection?
	{55, 1979, 810},	//735 DOM::HTMLFormCollection::~HTMLFormCollection
	{56, 236, 813},	//736 DOM::HTMLFormElement::HTMLFormElement
	{56, 237, -233},	//737 DOM::HTMLFormElement::HTMLFormElement#
	{56, 238, 835},	//738 DOM::HTMLFormElement::HTMLFormElement?
	{56, 515, 823},	//739 DOM::HTMLFormElement::acceptCharset
	{56, 520, 825},	//740 DOM::HTMLFormElement::action
	{56, 778, 819},	//741 DOM::HTMLFormElement::elements
	{56, 784, 827},	//742 DOM::HTMLFormElement::enctype
	{56, 1074, 820},	//743 DOM::HTMLFormElement::length
	{56, 1101, 829},	//744 DOM::HTMLFormElement::method
	{56, 1117, 821},	//745 DOM::HTMLFormElement::name
	{56, 1163, -236},	//746 DOM::HTMLFormElement::operator=#
	{56, 1275, 834},	//747 DOM::HTMLFormElement::reset
	{56, 1333, 824},	//748 DOM::HTMLFormElement::setAcceptCharset#
	{56, 1337, 826},	//749 DOM::HTMLFormElement::setAction#
	{56, 1476, 828},	//750 DOM::HTMLFormElement::setEnctype#
	{56, 1573, 830},	//751 DOM::HTMLFormElement::setMethod#
	{56, 1577, 822},	//752 DOM::HTMLFormElement::setName#
	{56, 1703, 832},	//753 DOM::HTMLFormElement::setTarget#
	{56, 1818, 833},	//754 DOM::HTMLFormElement::submit
	{56, 1836, 831},	//755 DOM::HTMLFormElement::target
	{56, 1980, 818},	//756 DOM::HTMLFormElement::~HTMLFormElement
	{57, 239, 836},	//757 DOM::HTMLFrameElement::HTMLFrameElement
	{57, 240, -239},	//758 DOM::HTMLFrameElement::HTMLFrameElement#
	{57, 241, 859},	//759 DOM::HTMLFrameElement::HTMLFrameElement?
	{57, 651, 858},	//760 DOM::HTMLFrameElement::contentDocument
	{57, 850, 842},	//761 DOM::HTMLFrameElement::frameBorder
	{57, 1088, 844},	//762 DOM::HTMLFrameElement::longDesc
	{57, 1091, 846},	//763 DOM::HTMLFrameElement::marginHeight
	{57, 1092, 848},	//764 DOM::HTMLFrameElement::marginWidth
	{57, 1117, 850},	//765 DOM::HTMLFrameElement::name
	{57, 1129, 852},	//766 DOM::HTMLFrameElement::noResize
	{57, 1163, -242},	//767 DOM::HTMLFrameElement::operator=#
	{57, 1305, 854},	//768 DOM::HTMLFrameElement::scrolling
	{57, 1500, 843},	//769 DOM::HTMLFrameElement::setFrameBorder#
	{57, 1555, 845},	//770 DOM::HTMLFrameElement::setLongDesc#
	{57, 1559, 847},	//771 DOM::HTMLFrameElement::setMarginHeight#
	{57, 1562, 849},	//772 DOM::HTMLFrameElement::setMarginWidth#
	{57, 1577, 851},	//773 DOM::HTMLFrameElement::setName#
	{57, 1585, 853},	//774 DOM::HTMLFrameElement::setNoResize$
	{57, 1638, 855},	//775 DOM::HTMLFrameElement::setScrolling#
	{57, 1671, 857},	//776 DOM::HTMLFrameElement::setSrc#
	{57, 1789, 856},	//777 DOM::HTMLFrameElement::src
	{57, 1981, 841},	//778 DOM::HTMLFrameElement::~HTMLFrameElement
	{58, 242, 860},	//779 DOM::HTMLFrameSetElement::HTMLFrameSetElement
	{58, 243, -245},	//780 DOM::HTMLFrameSetElement::HTMLFrameSetElement#
	{58, 244, 870},	//781 DOM::HTMLFrameSetElement::HTMLFrameSetElement?
	{58, 636, 866},	//782 DOM::HTMLFrameSetElement::cols
	{58, 1163, -248},	//783 DOM::HTMLFrameSetElement::operator=#
	{58, 1288, 868},	//784 DOM::HTMLFrameSetElement::rows
	{58, 1421, 867},	//785 DOM::HTMLFrameSetElement::setCols#
	{58, 1629, 869},	//786 DOM::HTMLFrameSetElement::setRows#
	{58, 1982, 865},	//787 DOM::HTMLFrameSetElement::~HTMLFrameSetElement
	{59, 245, 871},	//788 DOM::HTMLHRElement::HTMLHRElement
	{59, 246, -251},	//789 DOM::HTMLHRElement::HTMLHRElement#
	{59, 247, 885},	//790 DOM::HTMLHRElement::HTMLHRElement?
	{59, 540, 877},	//791 DOM::HTMLHRElement::align
	{59, 1130, 879},	//792 DOM::HTMLHRElement::noShade
	{59, 1163, -254},	//793 DOM::HTMLHRElement::operator=#
	{59, 1341, 878},	//794 DOM::HTMLHRElement::setAlign#
	{59, 1587, 880},	//795 DOM::HTMLHRElement::setNoShade$
	{59, 1662, 882},	//796 DOM::HTMLHRElement::setSize#
	{59, 1745, 884},	//797 DOM::HTMLHRElement::setWidth#
	{59, 1773, 881},	//798 DOM::HTMLHRElement::size
	{59, 1898, 883},	//799 DOM::HTMLHRElement::width
	{59, 1983, 876},	//800 DOM::HTMLHRElement::~HTMLHRElement
	{60, 248, 886},	//801 DOM::HTMLHeadElement::HTMLHeadElement
	{60, 249, -257},	//802 DOM::HTMLHeadElement::HTMLHeadElement#
	{60, 250, 894},	//803 DOM::HTMLHeadElement::HTMLHeadElement?
	{60, 1163, -260},	//804 DOM::HTMLHeadElement::operator=#
	{60, 1219, 892},	//805 DOM::HTMLHeadElement::profile
	{60, 1611, 893},	//806 DOM::HTMLHeadElement::setProfile#
	{60, 1984, 891},	//807 DOM::HTMLHeadElement::~HTMLHeadElement
	{61, 251, 895},	//808 DOM::HTMLHeadingElement::HTMLHeadingElement
	{61, 252, -263},	//809 DOM::HTMLHeadingElement::HTMLHeadingElement#
	{61, 253, 903},	//810 DOM::HTMLHeadingElement::HTMLHeadingElement?
	{61, 540, 901},	//811 DOM::HTMLHeadingElement::align
	{61, 1163, -266},	//812 DOM::HTMLHeadingElement::operator=#
	{61, 1341, 902},	//813 DOM::HTMLHeadingElement::setAlign#
	{61, 1985, 900},	//814 DOM::HTMLHeadingElement::~HTMLHeadingElement
	{62, 254, 904},	//815 DOM::HTMLHtmlElement::HTMLHtmlElement
	{62, 255, -269},	//816 DOM::HTMLHtmlElement::HTMLHtmlElement#
	{62, 256, 912},	//817 DOM::HTMLHtmlElement::HTMLHtmlElement?
	{62, 1163, -272},	//818 DOM::HTMLHtmlElement::operator=#
	{62, 1733, 911},	//819 DOM::HTMLHtmlElement::setVersion#
	{62, 1880, 910},	//820 DOM::HTMLHtmlElement::version
	{62, 1986, 909},	//821 DOM::HTMLHtmlElement::~HTMLHtmlElement
	{63, 257, 913},	//822 DOM::HTMLIFrameElement::HTMLIFrameElement
	{63, 258, -275},	//823 DOM::HTMLIFrameElement::HTMLIFrameElement#
	{63, 259, 940},	//824 DOM::HTMLIFrameElement::HTMLIFrameElement?
	{63, 540, 919},	//825 DOM::HTMLIFrameElement::align
	{63, 651, 939},	//826 DOM::HTMLIFrameElement::contentDocument
	{63, 850, 921},	//827 DOM::HTMLIFrameElement::frameBorder
	{63, 923, 923},	//828 DOM::HTMLIFrameElement::height
	{63, 1088, 925},	//829 DOM::HTMLIFrameElement::longDesc
	{63, 1091, 927},	//830 DOM::HTMLIFrameElement::marginHeight
	{63, 1092, 929},	//831 DOM::HTMLIFrameElement::marginWidth
	{63, 1117, 931},	//832 DOM::HTMLIFrameElement::name
	{63, 1163, -278},	//833 DOM::HTMLIFrameElement::operator=#
	{63, 1305, 933},	//834 DOM::HTMLIFrameElement::scrolling
	{63, 1341, 920},	//835 DOM::HTMLIFrameElement::setAlign#
	{63, 1500, 922},	//836 DOM::HTMLIFrameElement::setFrameBorder#
	{63, 1504, 924},	//837 DOM::HTMLIFrameElement::setHeight#
	{63, 1555, 926},	//838 DOM::HTMLIFrameElement::setLongDesc#
	{63, 1559, 928},	//839 DOM::HTMLIFrameElement::setMarginHeight#
	{63, 1562, 930},	//840 DOM::HTMLIFrameElement::setMarginWidth#
	{63, 1577, 932},	//841 DOM::HTMLIFrameElement::setName#
	{63, 1638, 934},	//842 DOM::HTMLIFrameElement::setScrolling#
	{63, 1671, 936},	//843 DOM::HTMLIFrameElement::setSrc#
	{63, 1745, 938},	//844 DOM::HTMLIFrameElement::setWidth#
	{63, 1789, 935},	//845 DOM::HTMLIFrameElement::src
	{63, 1898, 937},	//846 DOM::HTMLIFrameElement::width
	{63, 1987, 918},	//847 DOM::HTMLIFrameElement::~HTMLIFrameElement
	{64, 260, 941},	//848 DOM::HTMLImageElement::HTMLImageElement
	{64, 261, -281},	//849 DOM::HTMLImageElement::HTMLImageElement#
	{64, 262, 973},	//850 DOM::HTMLImageElement::HTMLImageElement?
	{64, 540, 949},	//851 DOM::HTMLImageElement::align
	{64, 543, 951},	//852 DOM::HTMLImageElement::alt
	{64, 866, 953},	//853 DOM::HTMLImageElement::getBorder
	{64, 923, 955},	//854 DOM::HTMLImageElement::height
	{64, 937, 957},	//855 DOM::HTMLImageElement::hspace
	{64, 1014, 959},	//856 DOM::HTMLImageElement::isMap
	{64, 1088, 961},	//857 DOM::HTMLImageElement::longDesc
	{64, 1117, 947},	//858 DOM::HTMLImageElement::name
	{64, 1163, -284},	//859 DOM::HTMLImageElement::operator=#
	{64, 1341, 950},	//860 DOM::HTMLImageElement::setAlign#
	{64, 1343, 952},	//861 DOM::HTMLImageElement::setAlt#
	{64, 1375, 954},	//862 DOM::HTMLImageElement::setBorder#
	{64, 1505, 956},	//863 DOM::HTMLImageElement::setHeight$
	{64, 1513, 958},	//864 DOM::HTMLImageElement::setHspace$
	{64, 1529, 960},	//865 DOM::HTMLImageElement::setIsMap$
	{64, 1555, 962},	//866 DOM::HTMLImageElement::setLongDesc#
	{64, 1577, 948},	//867 DOM::HTMLImageElement::setName#
	{64, 1671, 964},	//868 DOM::HTMLImageElement::setSrc#
	{64, 1719, 966},	//869 DOM::HTMLImageElement::setUseMap#
	{64, 1741, 968},	//870 DOM::HTMLImageElement::setVspace$
	{64, 1746, 970},	//871 DOM::HTMLImageElement::setWidth$
	{64, 1789, 963},	//872 DOM::HTMLImageElement::src
	{64, 1873, 965},	//873 DOM::HTMLImageElement::useMap
	{64, 1890, 967},	//874 DOM::HTMLImageElement::vspace
	{64, 1898, 969},	//875 DOM::HTMLImageElement::width
	{64, 1919, 971},	//876 DOM::HTMLImageElement::x
	{64, 1921, 972},	//877 DOM::HTMLImageElement::y
	{64, 1988, 946},	//878 DOM::HTMLImageElement::~HTMLImageElement
	{65, 263, 974},	//879 DOM::HTMLInputElement::HTMLInputElement
	{65, 264, -287},	//880 DOM::HTMLInputElement::HTMLInputElement#
	{65, 265, 1026},	//881 DOM::HTMLInputElement::HTMLInputElement?
	{65, 514, 985},	//882 DOM::HTMLInputElement::accept
	{65, 518, 987},	//883 DOM::HTMLInputElement::accessKey
	{65, 540, 989},	//884 DOM::HTMLInputElement::align
	{65, 543, 991},	//885 DOM::HTMLInputElement::alt
	{65, 579, 1017},	//886 DOM::HTMLInputElement::blur
	{65, 607, 993},	//887 DOM::HTMLInputElement::checked
	{65, 616, 1020},	//888 DOM::HTMLInputElement::click
	{65, 723, 982},	//889 DOM::HTMLInputElement::defaultChecked
	{65, 725, 980},	//890 DOM::HTMLInputElement::defaultValue
	{65, 749, 997},	//891 DOM::HTMLInputElement::disabled
	{65, 833, 1018},	//892 DOM::HTMLInputElement::focus
	{65, 844, 984},	//893 DOM::HTMLInputElement::form
	{65, 902, 1005},	//894 DOM::HTMLInputElement::getSize
	{65, 951, 995},	//895 DOM::HTMLInputElement::indeterminate
	{65, 1094, 999},	//896 DOM::HTMLInputElement::maxLength
	{65, 1117, 1001},	//897 DOM::HTMLInputElement::name
	{65, 1163, -290},	//898 DOM::HTMLInputElement::operator=#
	{65, 1236, 1003},	//899 DOM::HTMLInputElement::readOnly
	{65, 1307, 1019},	//900 DOM::HTMLInputElement::select
	{65, 1321, 1023},	//901 DOM::HTMLInputElement::selectionEnd
	{65, 1322, 1021},	//902 DOM::HTMLInputElement::selectionStart
	{65, 1331, 986},	//903 DOM::HTMLInputElement::setAccept#
	{65, 1335, 988},	//904 DOM::HTMLInputElement::setAccessKey#
	{65, 1341, 990},	//905 DOM::HTMLInputElement::setAlign#
	{65, 1343, 992},	//906 DOM::HTMLInputElement::setAlt#
	{65, 1402, 994},	//907 DOM::HTMLInputElement::setChecked$
	{65, 1456, 983},	//908 DOM::HTMLInputElement::setDefaultChecked$
	{65, 1460, 981},	//909 DOM::HTMLInputElement::setDefaultValue#
	{65, 1468, 998},	//910 DOM::HTMLInputElement::setDisabled$
	{65, 1521, 996},	//911 DOM::HTMLInputElement::setIndeterminate$
	{65, 1565, 1000},	//912 DOM::HTMLInputElement::setMaxLength$
	{65, 1577, 1002},	//913 DOM::HTMLInputElement::setName#
	{65, 1619, 1004},	//914 DOM::HTMLInputElement::setReadOnly$
	{65, 1652, 1024},	//915 DOM::HTMLInputElement::setSelectionEnd$
	{65, 1654, 1025},	//916 DOM::HTMLInputElement::setSelectionRange$$
	{65, 1656, 1022},	//917 DOM::HTMLInputElement::setSelectionStart$
	{65, 1663, 1006},	//918 DOM::HTMLInputElement::setSize$
	{65, 1671, 1008},	//919 DOM::HTMLInputElement::setSrc#
	{65, 1701, 1010},	//920 DOM::HTMLInputElement::setTabIndex$
	{65, 1713, 1012},	//921 DOM::HTMLInputElement::setType#
	{65, 1719, 1014},	//922 DOM::HTMLInputElement::setUseMap#
	{65, 1728, 1016},	//923 DOM::HTMLInputElement::setValue#
	{65, 1789, 1007},	//924 DOM::HTMLInputElement::src
	{65, 1832, 1009},	//925 DOM::HTMLInputElement::tabIndex
	{65, 1858, 1011},	//926 DOM::HTMLInputElement::type
	{65, 1873, 1013},	//927 DOM::HTMLInputElement::useMap
	{65, 1878, 1015},	//928 DOM::HTMLInputElement::value
	{65, 1989, 979},	//929 DOM::HTMLInputElement::~HTMLInputElement
	{66, 266, 1027},	//930 DOM::HTMLIsIndexElement::HTMLIsIndexElement
	{66, 267, -293},	//931 DOM::HTMLIsIndexElement::HTMLIsIndexElement#
	{66, 268, 1036},	//932 DOM::HTMLIsIndexElement::HTMLIsIndexElement?
	{66, 844, 1033},	//933 DOM::HTMLIsIndexElement::form
	{66, 1163, -296},	//934 DOM::HTMLIsIndexElement::operator=#
	{66, 1220, 1034},	//935 DOM::HTMLIsIndexElement::prompt
	{66, 1615, 1035},	//936 DOM::HTMLIsIndexElement::setPrompt#
	{66, 1990, 1032},	//937 DOM::HTMLIsIndexElement::~HTMLIsIndexElement
	{67, 269, 1037},	//938 DOM::HTMLLIElement::HTMLLIElement
	{67, 270, -299},	//939 DOM::HTMLLIElement::HTMLLIElement#
	{67, 271, 1047},	//940 DOM::HTMLLIElement::HTMLLIElement?
	{67, 1163, -302},	//941 DOM::HTMLLIElement::operator=#
	{67, 1713, 1044},	//942 DOM::HTMLLIElement::setType#
	{67, 1729, 1046},	//943 DOM::HTMLLIElement::setValue$
	{67, 1858, 1043},	//944 DOM::HTMLLIElement::type
	{67, 1878, 1045},	//945 DOM::HTMLLIElement::value
	{67, 1991, 1042},	//946 DOM::HTMLLIElement::~HTMLLIElement
	{68, 272, 1048},	//947 DOM::HTMLLabelElement::HTMLLabelElement
	{68, 273, -305},	//948 DOM::HTMLLabelElement::HTMLLabelElement#
	{68, 274, 1058},	//949 DOM::HTMLLabelElement::HTMLLabelElement?
	{68, 518, 1054},	//950 DOM::HTMLLabelElement::accessKey
	{68, 941, 1056},	//951 DOM::HTMLLabelElement::htmlFor
	{68, 1163, -308},	//952 DOM::HTMLLabelElement::operator=#
	{68, 1335, 1055},	//953 DOM::HTMLLabelElement::setAccessKey#
	{68, 1515, 1057},	//954 DOM::HTMLLabelElement::setHtmlFor#
	{68, 1992, 1053},	//955 DOM::HTMLLabelElement::~HTMLLabelElement
	{69, 275, 1059},	//956 DOM::HTMLLayerElement::HTMLLayerElement
	{69, 276, -311},	//957 DOM::HTMLLayerElement::HTMLLayerElement#
	{69, 277, 1074},	//958 DOM::HTMLLayerElement::HTMLLayerElement?
	{69, 577, 1071},	//959 DOM::HTMLLayerElement::bgColor
	{69, 1069, 1073},	//960 DOM::HTMLLayerElement::layers
	{69, 1073, 1067},	//961 DOM::HTMLLayerElement::left
	{69, 1163, -314},	//962 DOM::HTMLLayerElement::operator=#
	{69, 1371, 1072},	//963 DOM::HTMLLayerElement::setBgColor#
	{69, 1547, 1068},	//964 DOM::HTMLLayerElement::setLeft$
	{69, 1711, 1066},	//965 DOM::HTMLLayerElement::setTop$
	{69, 1737, 1070},	//966 DOM::HTMLLayerElement::setVisibility#
	{69, 1854, 1065},	//967 DOM::HTMLLayerElement::top
	{69, 1887, 1069},	//968 DOM::HTMLLayerElement::visibility
	{69, 1993, 1064},	//969 DOM::HTMLLayerElement::~HTMLLayerElement
	{70, 278, 1075},	//970 DOM::HTMLLegendElement::HTMLLegendElement
	{70, 279, -317},	//971 DOM::HTMLLegendElement::HTMLLegendElement#
	{70, 280, 1086},	//972 DOM::HTMLLegendElement::HTMLLegendElement?
	{70, 518, 1082},	//973 DOM::HTMLLegendElement::accessKey
	{70, 540, 1084},	//974 DOM::HTMLLegendElement::align
	{70, 844, 1081},	//975 DOM::HTMLLegendElement::form
	{70, 1163, -320},	//976 DOM::HTMLLegendElement::operator=#
	{70, 1335, 1083},	//977 DOM::HTMLLegendElement::setAccessKey#
	{70, 1341, 1085},	//978 DOM::HTMLLegendElement::setAlign#
	{70, 1994, 1080},	//979 DOM::HTMLLegendElement::~HTMLLegendElement
	{71, 281, 1087},	//980 DOM::HTMLLinkElement::HTMLLinkElement
	{71, 282, -323},	//981 DOM::HTMLLinkElement::HTMLLinkElement#
	{71, 283, 1112},	//982 DOM::HTMLLinkElement::HTMLLinkElement?
	{71, 606, 1095},	//983 DOM::HTMLLinkElement::charset
	{71, 749, 1093},	//984 DOM::HTMLLinkElement::disabled
	{71, 935, 1097},	//985 DOM::HTMLLinkElement::href
	{71, 936, 1099},	//986 DOM::HTMLLinkElement::hreflang
	{71, 1095, 1101},	//987 DOM::HTMLLinkElement::media
	{71, 1163, -326},	//988 DOM::HTMLLinkElement::operator=#
	{71, 1241, 1103},	//989 DOM::HTMLLinkElement::rel
	{71, 1283, 1105},	//990 DOM::HTMLLinkElement::rev
	{71, 1400, 1096},	//991 DOM::HTMLLinkElement::setCharset#
	{71, 1468, 1094},	//992 DOM::HTMLLinkElement::setDisabled$
	{71, 1509, 1098},	//993 DOM::HTMLLinkElement::setHref#
	{71, 1511, 1100},	//994 DOM::HTMLLinkElement::setHreflang#
	{71, 1567, 1102},	//995 DOM::HTMLLinkElement::setMedia#
	{71, 1621, 1104},	//996 DOM::HTMLLinkElement::setRel#
	{71, 1623, 1106},	//997 DOM::HTMLLinkElement::setRev#
	{71, 1703, 1108},	//998 DOM::HTMLLinkElement::setTarget#
	{71, 1713, 1110},	//999 DOM::HTMLLinkElement::setType#
	{71, 1763, 1111},	//1000 DOM::HTMLLinkElement::sheet
	{71, 1836, 1107},	//1001 DOM::HTMLLinkElement::target
	{71, 1858, 1109},	//1002 DOM::HTMLLinkElement::type
	{71, 1995, 1092},	//1003 DOM::HTMLLinkElement::~HTMLLinkElement
	{72, 284, 1113},	//1004 DOM::HTMLMapElement::HTMLMapElement
	{72, 285, -329},	//1005 DOM::HTMLMapElement::HTMLMapElement#
	{72, 286, 1122},	//1006 DOM::HTMLMapElement::HTMLMapElement?
	{72, 555, 1119},	//1007 DOM::HTMLMapElement::areas
	{72, 1117, 1120},	//1008 DOM::HTMLMapElement::name
	{72, 1163, -332},	//1009 DOM::HTMLMapElement::operator=#
	{72, 1577, 1121},	//1010 DOM::HTMLMapElement::setName#
	{72, 1996, 1118},	//1011 DOM::HTMLMapElement::~HTMLMapElement
	{73, 287, 1123},	//1012 DOM::HTMLMenuElement::HTMLMenuElement
	{73, 288, -335},	//1013 DOM::HTMLMenuElement::HTMLMenuElement#
	{73, 289, 1131},	//1014 DOM::HTMLMenuElement::HTMLMenuElement?
	{73, 638, 1129},	//1015 DOM::HTMLMenuElement::compact
	{73, 1163, -338},	//1016 DOM::HTMLMenuElement::operator=#
	{73, 1424, 1130},	//1017 DOM::HTMLMenuElement::setCompact$
	{73, 1997, 1128},	//1018 DOM::HTMLMenuElement::~HTMLMenuElement
	{74, 290, 1132},	//1019 DOM::HTMLMetaElement::HTMLMetaElement
	{74, 291, -341},	//1020 DOM::HTMLMetaElement::HTMLMetaElement#
	{74, 292, 1146},	//1021 DOM::HTMLMetaElement::HTMLMetaElement?
	{74, 650, 1138},	//1022 DOM::HTMLMetaElement::content
	{74, 942, 1140},	//1023 DOM::HTMLMetaElement::httpEquiv
	{74, 1117, 1142},	//1024 DOM::HTMLMetaElement::name
	{74, 1163, -344},	//1025 DOM::HTMLMetaElement::operator=#
	{74, 1296, 1144},	//1026 DOM::HTMLMetaElement::scheme
	{74, 1429, 1139},	//1027 DOM::HTMLMetaElement::setContent#
	{74, 1517, 1141},	//1028 DOM::HTMLMetaElement::setHttpEquiv#
	{74, 1577, 1143},	//1029 DOM::HTMLMetaElement::setName#
	{74, 1634, 1145},	//1030 DOM::HTMLMetaElement::setScheme#
	{74, 1998, 1137},	//1031 DOM::HTMLMetaElement::~HTMLMetaElement
	{75, 293, 1147},	//1032 DOM::HTMLModElement::HTMLModElement
	{75, 294, -347},	//1033 DOM::HTMLModElement::HTMLModElement#
	{75, 295, 1157},	//1034 DOM::HTMLModElement::HTMLModElement?
	{75, 612, 1153},	//1035 DOM::HTMLModElement::cite
	{75, 721, 1155},	//1036 DOM::HTMLModElement::dateTime
	{75, 1163, -350},	//1037 DOM::HTMLModElement::operator=#
	{75, 1404, 1154},	//1038 DOM::HTMLModElement::setCite#
	{75, 1452, 1156},	//1039 DOM::HTMLModElement::setDateTime#
	{75, 1999, 1152},	//1040 DOM::HTMLModElement::~HTMLModElement
	{76, 296, 1158},	//1041 DOM::HTMLOListElement::HTMLOListElement
	{76, 297, -353},	//1042 DOM::HTMLOListElement::HTMLOListElement#
	{76, 298, 1170},	//1043 DOM::HTMLOListElement::HTMLOListElement?
	{76, 638, 1164},	//1044 DOM::HTMLOListElement::compact
	{76, 1163, -356},	//1045 DOM::HTMLOListElement::operator=#
	{76, 1424, 1165},	//1046 DOM::HTMLOListElement::setCompact$
	{76, 1678, 1167},	//1047 DOM::HTMLOListElement::setStart$
	{76, 1713, 1169},	//1048 DOM::HTMLOListElement::setType#
	{76, 1791, 1166},	//1049 DOM::HTMLOListElement::start
	{76, 1858, 1168},	//1050 DOM::HTMLOListElement::type
	{76, 2000, 1163},	//1051 DOM::HTMLOListElement::~HTMLOListElement
	{77, 299, 1171},	//1052 DOM::HTMLObjectElement::HTMLObjectElement
	{77, 300, -359},	//1053 DOM::HTMLObjectElement::HTMLObjectElement#
	{77, 301, 1213},	//1054 DOM::HTMLObjectElement::HTMLObjectElement?
	{77, 540, 1180},	//1055 DOM::HTMLObjectElement::align
	{77, 554, 1182},	//1056 DOM::HTMLObjectElement::archive
	{77, 581, 1184},	//1057 DOM::HTMLObjectElement::border
	{77, 628, 1178},	//1058 DOM::HTMLObjectElement::code
	{77, 629, 1186},	//1059 DOM::HTMLObjectElement::codeBase
	{77, 630, 1188},	//1060 DOM::HTMLObjectElement::codeType
	{77, 651, 1212},	//1061 DOM::HTMLObjectElement::contentDocument
	{77, 720, 1190},	//1062 DOM::HTMLObjectElement::data
	{77, 722, 1192},	//1063 DOM::HTMLObjectElement::declare
	{77, 844, 1177},	//1064 DOM::HTMLObjectElement::form
	{77, 882, 1196},	//1065 DOM::HTMLObjectElement::getHspace
	{77, 904, 1208},	//1066 DOM::HTMLObjectElement::getVspace
	{77, 923, 1194},	//1067 DOM::HTMLObjectElement::height
	{77, 1117, 1198},	//1068 DOM::HTMLObjectElement::name
	{77, 1163, -362},	//1069 DOM::HTMLObjectElement::operator=#
	{77, 1341, 1181},	//1070 DOM::HTMLObjectElement::setAlign#
	{77, 1347, 1183},	//1071 DOM::HTMLObjectElement::setArchive#
	{77, 1375, 1185},	//1072 DOM::HTMLObjectElement::setBorder#
	{77, 1410, 1179},	//1073 DOM::HTMLObjectElement::setCode#
	{77, 1413, 1187},	//1074 DOM::HTMLObjectElement::setCodeBase#
	{77, 1415, 1189},	//1075 DOM::HTMLObjectElement::setCodeType#
	{77, 1450, 1191},	//1076 DOM::HTMLObjectElement::setData#
	{77, 1454, 1193},	//1077 DOM::HTMLObjectElement::setDeclare$
	{77, 1504, 1195},	//1078 DOM::HTMLObjectElement::setHeight#
	{77, 1513, 1197},	//1079 DOM::HTMLObjectElement::setHspace$
	{77, 1577, 1199},	//1080 DOM::HTMLObjectElement::setName#
	{77, 1675, 1201},	//1081 DOM::HTMLObjectElement::setStandby#
	{77, 1701, 1203},	//1082 DOM::HTMLObjectElement::setTabIndex$
	{77, 1713, 1205},	//1083 DOM::HTMLObjectElement::setType#
	{77, 1719, 1207},	//1084 DOM::HTMLObjectElement::setUseMap#
	{77, 1741, 1209},	//1085 DOM::HTMLObjectElement::setVspace$
	{77, 1745, 1211},	//1086 DOM::HTMLObjectElement::setWidth#
	{77, 1790, 1200},	//1087 DOM::HTMLObjectElement::standby
	{77, 1832, 1202},	//1088 DOM::HTMLObjectElement::tabIndex
	{77, 1858, 1204},	//1089 DOM::HTMLObjectElement::type
	{77, 1873, 1206},	//1090 DOM::HTMLObjectElement::useMap
	{77, 1898, 1210},	//1091 DOM::HTMLObjectElement::width
	{77, 2001, 1176},	//1092 DOM::HTMLObjectElement::~HTMLObjectElement
	{78, 302, 1214},	//1093 DOM::HTMLOptGroupElement::HTMLOptGroupElement
	{78, 303, -365},	//1094 DOM::HTMLOptGroupElement::HTMLOptGroupElement#
	{78, 304, 1224},	//1095 DOM::HTMLOptGroupElement::HTMLOptGroupElement?
	{78, 749, 1220},	//1096 DOM::HTMLOptGroupElement::disabled
	{78, 1062, 1222},	//1097 DOM::HTMLOptGroupElement::label
	{78, 1163, -368},	//1098 DOM::HTMLOptGroupElement::operator=#
	{78, 1468, 1221},	//1099 DOM::HTMLOptGroupElement::setDisabled$
	{78, 1543, 1223},	//1100 DOM::HTMLOptGroupElement::setLabel#
	{78, 2002, 1219},	//1101 DOM::HTMLOptGroupElement::~HTMLOptGroupElement
	{79, 305, 1225},	//1102 DOM::HTMLOptionElement::HTMLOptionElement
	{79, 306, -371},	//1103 DOM::HTMLOptionElement::HTMLOptionElement#
	{79, 307, 1245},	//1104 DOM::HTMLOptionElement::HTMLOptionElement?
	{79, 724, 1232},	//1105 DOM::HTMLOptionElement::defaultSelected
	{79, 749, 1237},	//1106 DOM::HTMLOptionElement::disabled
	{79, 844, 1231},	//1107 DOM::HTMLOptionElement::form
	{79, 952, 1235},	//1108 DOM::HTMLOptionElement::index
	{79, 1062, 1239},	//1109 DOM::HTMLOptionElement::label
	{79, 1163, -374},	//1110 DOM::HTMLOptionElement::operator=#
	{79, 1313, 1241},	//1111 DOM::HTMLOptionElement::selected
	{79, 1458, 1233},	//1112 DOM::HTMLOptionElement::setDefaultSelected$
	{79, 1468, 1238},	//1113 DOM::HTMLOptionElement::setDisabled$
	{79, 1523, 1236},	//1114 DOM::HTMLOptionElement::setIndex$
	{79, 1543, 1240},	//1115 DOM::HTMLOptionElement::setLabel#
	{79, 1644, 1242},	//1116 DOM::HTMLOptionElement::setSelected$
	{79, 1728, 1244},	//1117 DOM::HTMLOptionElement::setValue#
	{79, 1840, 1234},	//1118 DOM::HTMLOptionElement::text
	{79, 1878, 1243},	//1119 DOM::HTMLOptionElement::value
	{79, 2003, 1230},	//1120 DOM::HTMLOptionElement::~HTMLOptionElement
	{80, 308, 1246},	//1121 DOM::HTMLParagraphElement::HTMLParagraphElement
	{80, 309, -377},	//1122 DOM::HTMLParagraphElement::HTMLParagraphElement#
	{80, 310, 1254},	//1123 DOM::HTMLParagraphElement::HTMLParagraphElement?
	{80, 540, 1252},	//1124 DOM::HTMLParagraphElement::align
	{80, 1163, -380},	//1125 DOM::HTMLParagraphElement::operator=#
	{80, 1341, 1253},	//1126 DOM::HTMLParagraphElement::setAlign#
	{80, 2004, 1251},	//1127 DOM::HTMLParagraphElement::~HTMLParagraphElement
	{81, 311, 1255},	//1128 DOM::HTMLParamElement::HTMLParamElement
	{81, 312, -383},	//1129 DOM::HTMLParamElement::HTMLParamElement#
	{81, 313, 1269},	//1130 DOM::HTMLParamElement::HTMLParamElement?
	{81, 1117, 1261},	//1131 DOM::HTMLParamElement::name
	{81, 1163, -386},	//1132 DOM::HTMLParamElement::operator=#
	{81, 1577, 1262},	//1133 DOM::HTMLParamElement::setName#
	{81, 1713, 1264},	//1134 DOM::HTMLParamElement::setType#
	{81, 1728, 1266},	//1135 DOM::HTMLParamElement::setValue#
	{81, 1731, 1268},	//1136 DOM::HTMLParamElement::setValueType#
	{81, 1858, 1263},	//1137 DOM::HTMLParamElement::type
	{81, 1878, 1265},	//1138 DOM::HTMLParamElement::value
	{81, 1879, 1267},	//1139 DOM::HTMLParamElement::valueType
	{81, 2005, 1260},	//1140 DOM::HTMLParamElement::~HTMLParamElement
	{82, 314, 1270},	//1141 DOM::HTMLPreElement::HTMLPreElement
	{82, 315, -389},	//1142 DOM::HTMLPreElement::HTMLPreElement#
	{82, 316, 1278},	//1143 DOM::HTMLPreElement::HTMLPreElement?
	{82, 1163, -392},	//1144 DOM::HTMLPreElement::operator=#
	{82, 1746, 1277},	//1145 DOM::HTMLPreElement::setWidth$
	{82, 1898, 1276},	//1146 DOM::HTMLPreElement::width
	{82, 2006, 1275},	//1147 DOM::HTMLPreElement::~HTMLPreElement
	{83, 317, 1279},	//1148 DOM::HTMLQuoteElement::HTMLQuoteElement
	{83, 318, -395},	//1149 DOM::HTMLQuoteElement::HTMLQuoteElement#
	{83, 319, 1287},	//1150 DOM::HTMLQuoteElement::HTMLQuoteElement?
	{83, 612, 1285},	//1151 DOM::HTMLQuoteElement::cite
	{83, 1163, -398},	//1152 DOM::HTMLQuoteElement::operator=#
	{83, 1404, 1286},	//1153 DOM::HTMLQuoteElement::setCite#
	{83, 2007, 1284},	//1154 DOM::HTMLQuoteElement::~HTMLQuoteElement
	{84, 320, 1288},	//1155 DOM::HTMLScriptElement::HTMLScriptElement
	{84, 321, -401},	//1156 DOM::HTMLScriptElement::HTMLScriptElement#
	{84, 322, 1308},	//1157 DOM::HTMLScriptElement::HTMLScriptElement?
	{84, 606, 1300},	//1158 DOM::HTMLScriptElement::charset
	{84, 727, 1302},	//1159 DOM::HTMLScriptElement::defer
	{84, 793, 1298},	//1160 DOM::HTMLScriptElement::event
	{84, 941, 1296},	//1161 DOM::HTMLScriptElement::htmlFor
	{84, 1163, -404},	//1162 DOM::HTMLScriptElement::operator=#
	{84, 1400, 1301},	//1163 DOM::HTMLScriptElement::setCharset#
	{84, 1462, 1303},	//1164 DOM::HTMLScriptElement::setDefer$
	{84, 1484, 1299},	//1165 DOM::HTMLScriptElement::setEvent#
	{84, 1515, 1297},	//1166 DOM::HTMLScriptElement::setHtmlFor#
	{84, 1671, 1305},	//1167 DOM::HTMLScriptElement::setSrc#
	{84, 1705, 1295},	//1168 DOM::HTMLScriptElement::setText#
	{84, 1713, 1307},	//1169 DOM::HTMLScriptElement::setType#
	{84, 1789, 1304},	//1170 DOM::HTMLScriptElement::src
	{84, 1840, 1294},	//1171 DOM::HTMLScriptElement::text
	{84, 1858, 1306},	//1172 DOM::HTMLScriptElement::type
	{84, 2008, 1293},	//1173 DOM::HTMLScriptElement::~HTMLScriptElement
	{85, 323, 1309},	//1174 DOM::HTMLSelectElement::HTMLSelectElement
	{85, 324, -407},	//1175 DOM::HTMLSelectElement::HTMLSelectElement#
	{85, 325, 1337},	//1176 DOM::HTMLSelectElement::HTMLSelectElement?
	{85, 527, 1333},	//1177 DOM::HTMLSelectElement::add##
	{85, 579, 1335},	//1178 DOM::HTMLSelectElement::blur
	{85, 749, 1323},	//1179 DOM::HTMLSelectElement::disabled
	{85, 833, 1336},	//1180 DOM::HTMLSelectElement::focus
	{85, 844, 1321},	//1181 DOM::HTMLSelectElement::form
	{85, 1074, 1320},	//1182 DOM::HTMLSelectElement::length
	{85, 1116, 1325},	//1183 DOM::HTMLSelectElement::multiple
	{85, 1117, 1327},	//1184 DOM::HTMLSelectElement::name
	{85, 1163, -410},	//1185 DOM::HTMLSelectElement::operator=#
	{85, 1170, 1322},	//1186 DOM::HTMLSelectElement::options
	{85, 1245, 1334},	//1187 DOM::HTMLSelectElement::remove$
	{85, 1314, 1316},	//1188 DOM::HTMLSelectElement::selectedIndex
	{85, 1468, 1324},	//1189 DOM::HTMLSelectElement::setDisabled$
	{85, 1575, 1326},	//1190 DOM::HTMLSelectElement::setMultiple$
	{85, 1577, 1328},	//1191 DOM::HTMLSelectElement::setName#
	{85, 1646, 1317},	//1192 DOM::HTMLSelectElement::setSelectedIndex$
	{85, 1663, 1330},	//1193 DOM::HTMLSelectElement::setSize$
	{85, 1701, 1332},	//1194 DOM::HTMLSelectElement::setTabIndex$
	{85, 1728, 1319},	//1195 DOM::HTMLSelectElement::setValue#
	{85, 1773, 1329},	//1196 DOM::HTMLSelectElement::size
	{85, 1832, 1331},	//1197 DOM::HTMLSelectElement::tabIndex
	{85, 1858, 1315},	//1198 DOM::HTMLSelectElement::type
	{85, 1878, 1318},	//1199 DOM::HTMLSelectElement::value
	{85, 2009, 1314},	//1200 DOM::HTMLSelectElement::~HTMLSelectElement
	{86, 326, 1338},	//1201 DOM::HTMLStyleElement::HTMLStyleElement
	{86, 327, -413},	//1202 DOM::HTMLStyleElement::HTMLStyleElement#
	{86, 328, 1351},	//1203 DOM::HTMLStyleElement::HTMLStyleElement?
	{86, 749, 1344},	//1204 DOM::HTMLStyleElement::disabled
	{86, 1095, 1346},	//1205 DOM::HTMLStyleElement::media
	{86, 1163, -416},	//1206 DOM::HTMLStyleElement::operator=#
	{86, 1468, 1345},	//1207 DOM::HTMLStyleElement::setDisabled$
	{86, 1567, 1347},	//1208 DOM::HTMLStyleElement::setMedia#
	{86, 1713, 1349},	//1209 DOM::HTMLStyleElement::setType#
	{86, 1763, 1350},	//1210 DOM::HTMLStyleElement::sheet
	{86, 1858, 1348},	//1211 DOM::HTMLStyleElement::type
	{86, 2010, 1343},	//1212 DOM::HTMLStyleElement::~HTMLStyleElement
	{87, 329, 1352},	//1213 DOM::HTMLTableCaptionElement::HTMLTableCaptionElement
	{87, 330, -419},	//1214 DOM::HTMLTableCaptionElement::HTMLTableCaptionElement#
	{87, 331, 1360},	//1215 DOM::HTMLTableCaptionElement::HTMLTableCaptionElement?
	{87, 540, 1358},	//1216 DOM::HTMLTableCaptionElement::align
	{87, 1163, -422},	//1217 DOM::HTMLTableCaptionElement::operator=#
	{87, 1341, 1359},	//1218 DOM::HTMLTableCaptionElement::setAlign#
	{87, 2011, 1357},	//1219 DOM::HTMLTableCaptionElement::~HTMLTableCaptionElement
	{88, 332, 1361},	//1220 DOM::HTMLTableCellElement::HTMLTableCellElement
	{88, 333, -425},	//1221 DOM::HTMLTableCellElement::HTMLTableCellElement#
	{88, 334, 1397},	//1222 DOM::HTMLTableCellElement::HTMLTableCellElement?
	{88, 511, 1369},	//1223 DOM::HTMLTableCellElement::abbr
	{88, 540, 1371},	//1224 DOM::HTMLTableCellElement::align
	{88, 567, 1373},	//1225 DOM::HTMLTableCellElement::axis
	{88, 577, 1375},	//1226 DOM::HTMLTableCellElement::bgColor
	{88, 595, 1367},	//1227 DOM::HTMLTableCellElement::cellIndex
	{88, 599, 1377},	//1228 DOM::HTMLTableCellElement::ch
	{88, 600, 1379},	//1229 DOM::HTMLTableCellElement::chOff
	{88, 631, 1381},	//1230 DOM::HTMLTableCellElement::colSpan
	{88, 922, 1383},	//1231 DOM::HTMLTableCellElement::headers
	{88, 923, 1385},	//1232 DOM::HTMLTableCellElement::height
	{88, 1131, 1387},	//1233 DOM::HTMLTableCellElement::noWrap
	{88, 1163, -428},	//1234 DOM::HTMLTableCellElement::operator=#
	{88, 1287, 1389},	//1235 DOM::HTMLTableCellElement::rowSpan
	{88, 1297, 1391},	//1236 DOM::HTMLTableCellElement::scope
	{88, 1329, 1370},	//1237 DOM::HTMLTableCellElement::setAbbr#
	{88, 1341, 1372},	//1238 DOM::HTMLTableCellElement::setAlign#
	{88, 1367, 1374},	//1239 DOM::HTMLTableCellElement::setAxis#
	{88, 1371, 1376},	//1240 DOM::HTMLTableCellElement::setBgColor#
	{88, 1388, 1368},	//1241 DOM::HTMLTableCellElement::setCellIndex$
	{88, 1396, 1378},	//1242 DOM::HTMLTableCellElement::setCh#
	{88, 1398, 1380},	//1243 DOM::HTMLTableCellElement::setChOff#
	{88, 1417, 1382},	//1244 DOM::HTMLTableCellElement::setColSpan$
	{88, 1502, 1384},	//1245 DOM::HTMLTableCellElement::setHeaders#
	{88, 1504, 1386},	//1246 DOM::HTMLTableCellElement::setHeight#
	{88, 1589, 1388},	//1247 DOM::HTMLTableCellElement::setNoWrap$
	{88, 1627, 1390},	//1248 DOM::HTMLTableCellElement::setRowSpan$
	{88, 1636, 1392},	//1249 DOM::HTMLTableCellElement::setScope#
	{88, 1724, 1394},	//1250 DOM::HTMLTableCellElement::setVAlign#
	{88, 1745, 1396},	//1251 DOM::HTMLTableCellElement::setWidth#
	{88, 1875, 1393},	//1252 DOM::HTMLTableCellElement::vAlign
	{88, 1898, 1395},	//1253 DOM::HTMLTableCellElement::width
	{88, 2012, 1366},	//1254 DOM::HTMLTableCellElement::~HTMLTableCellElement
	{89, 335, 1398},	//1255 DOM::HTMLTableColElement::HTMLTableColElement
	{89, 336, -431},	//1256 DOM::HTMLTableColElement::HTMLTableColElement#
	{89, 337, 1416},	//1257 DOM::HTMLTableColElement::HTMLTableColElement?
	{89, 540, 1404},	//1258 DOM::HTMLTableColElement::align
	{89, 599, 1406},	//1259 DOM::HTMLTableColElement::ch
	{89, 600, 1408},	//1260 DOM::HTMLTableColElement::chOff
	{89, 1163, -434},	//1261 DOM::HTMLTableColElement::operator=#
	{89, 1341, 1405},	//1262 DOM::HTMLTableColElement::setAlign#
	{89, 1396, 1407},	//1263 DOM::HTMLTableColElement::setCh#
	{89, 1398, 1409},	//1264 DOM::HTMLTableColElement::setChOff#
	{89, 1669, 1411},	//1265 DOM::HTMLTableColElement::setSpan$
	{89, 1724, 1413},	//1266 DOM::HTMLTableColElement::setVAlign#
	{89, 1745, 1415},	//1267 DOM::HTMLTableColElement::setWidth#
	{89, 1781, 1410},	//1268 DOM::HTMLTableColElement::span
	{89, 1875, 1412},	//1269 DOM::HTMLTableColElement::vAlign
	{89, 1898, 1414},	//1270 DOM::HTMLTableColElement::width
	{89, 2013, 1403},	//1271 DOM::HTMLTableColElement::~HTMLTableColElement
	{90, 338, 1417},	//1272 DOM::HTMLTableElement::HTMLTableElement
	{90, 339, -437},	//1273 DOM::HTMLTableElement::HTMLTableElement#
	{90, 340, 1457},	//1274 DOM::HTMLTableElement::HTMLTableElement?
	{90, 540, 1431},	//1275 DOM::HTMLTableElement::align
	{90, 577, 1433},	//1276 DOM::HTMLTableElement::bgColor
	{90, 581, 1435},	//1277 DOM::HTMLTableElement::border
	{90, 591, 1423},	//1278 DOM::HTMLTableElement::caption
	{90, 596, 1437},	//1279 DOM::HTMLTableElement::cellPadding
	{90, 597, 1439},	//1280 DOM::HTMLTableElement::cellSpacing
	{90, 673, 1453},	//1281 DOM::HTMLTableElement::createCaption
	{90, 702, 1451},	//1282 DOM::HTMLTableElement::createTFoot
	{90, 703, 1449},	//1283 DOM::HTMLTableElement::createTHead
	{90, 728, 1454},	//1284 DOM::HTMLTableElement::deleteCaption
	{90, 738, 1456},	//1285 DOM::HTMLTableElement::deleteRow$
	{90, 741, 1452},	//1286 DOM::HTMLTableElement::deleteTFoot
	{90, 742, 1450},	//1287 DOM::HTMLTableElement::deleteTHead
	{90, 849, 1441},	//1288 DOM::HTMLTableElement::frame
	{90, 985, 1455},	//1289 DOM::HTMLTableElement::insertRow$
	{90, 1163, -440},	//1290 DOM::HTMLTableElement::operator=#
	{90, 1288, 1429},	//1291 DOM::HTMLTableElement::rows
	{90, 1289, 1443},	//1292 DOM::HTMLTableElement::rules
	{90, 1341, 1432},	//1293 DOM::HTMLTableElement::setAlign#
	{90, 1371, 1434},	//1294 DOM::HTMLTableElement::setBgColor#
	{90, 1375, 1436},	//1295 DOM::HTMLTableElement::setBorder#
	{90, 1377, 1424},	//1296 DOM::HTMLTableElement::setCaption#
	{90, 1390, 1438},	//1297 DOM::HTMLTableElement::setCellPadding#
	{90, 1392, 1440},	//1298 DOM::HTMLTableElement::setCellSpacing#
	{90, 1498, 1442},	//1299 DOM::HTMLTableElement::setFrame#
	{90, 1632, 1444},	//1300 DOM::HTMLTableElement::setRules#
	{90, 1692, 1446},	//1301 DOM::HTMLTableElement::setSummary#
	{90, 1697, 1428},	//1302 DOM::HTMLTableElement::setTFoot#
	{90, 1699, 1426},	//1303 DOM::HTMLTableElement::setTHead#
	{90, 1745, 1448},	//1304 DOM::HTMLTableElement::setWidth#
	{90, 1825, 1445},	//1305 DOM::HTMLTableElement::summary
	{90, 1829, 1430},	//1306 DOM::HTMLTableElement::tBodies
	{90, 1830, 1427},	//1307 DOM::HTMLTableElement::tFoot
	{90, 1831, 1425},	//1308 DOM::HTMLTableElement::tHead
	{90, 1898, 1447},	//1309 DOM::HTMLTableElement::width
	{90, 2014, 1422},	//1310 DOM::HTMLTableElement::~HTMLTableElement
	{91, 341, 1458},	//1311 DOM::HTMLTableRowElement::HTMLTableRowElement
	{91, 342, -443},	//1312 DOM::HTMLTableRowElement::HTMLTableRowElement#
	{91, 343, 1482},	//1313 DOM::HTMLTableRowElement::HTMLTableRowElement?
	{91, 540, 1470},	//1314 DOM::HTMLTableRowElement::align
	{91, 577, 1472},	//1315 DOM::HTMLTableRowElement::bgColor
	{91, 598, 1468},	//1316 DOM::HTMLTableRowElement::cells
	{91, 599, 1474},	//1317 DOM::HTMLTableRowElement::ch
	{91, 600, 1476},	//1318 DOM::HTMLTableRowElement::chOff
	{91, 730, 1481},	//1319 DOM::HTMLTableRowElement::deleteCell$
	{91, 979, 1480},	//1320 DOM::HTMLTableRowElement::insertCell$
	{91, 1163, -446},	//1321 DOM::HTMLTableRowElement::operator=#
	{91, 1286, 1464},	//1322 DOM::HTMLTableRowElement::rowIndex
	{91, 1306, 1466},	//1323 DOM::HTMLTableRowElement::sectionRowIndex
	{91, 1341, 1471},	//1324 DOM::HTMLTableRowElement::setAlign#
	{91, 1371, 1473},	//1325 DOM::HTMLTableRowElement::setBgColor#
	{91, 1394, 1469},	//1326 DOM::HTMLTableRowElement::setCells#
	{91, 1396, 1475},	//1327 DOM::HTMLTableRowElement::setCh#
	{91, 1398, 1477},	//1328 DOM::HTMLTableRowElement::setChOff#
	{91, 1625, 1465},	//1329 DOM::HTMLTableRowElement::setRowIndex$
	{91, 1640, 1467},	//1330 DOM::HTMLTableRowElement::setSectionRowIndex$
	{91, 1724, 1479},	//1331 DOM::HTMLTableRowElement::setVAlign#
	{91, 1875, 1478},	//1332 DOM::HTMLTableRowElement::vAlign
	{91, 2015, 1463},	//1333 DOM::HTMLTableRowElement::~HTMLTableRowElement
	{92, 344, 1483},	//1334 DOM::HTMLTableSectionElement::HTMLTableSectionElement
	{92, 345, -449},	//1335 DOM::HTMLTableSectionElement::HTMLTableSectionElement#
	{92, 346, 1500},	//1336 DOM::HTMLTableSectionElement::HTMLTableSectionElement?
	{92, 540, 1489},	//1337 DOM::HTMLTableSectionElement::align
	{92, 599, 1491},	//1338 DOM::HTMLTableSectionElement::ch
	{92, 600, 1493},	//1339 DOM::HTMLTableSectionElement::chOff
	{92, 738, 1499},	//1340 DOM::HTMLTableSectionElement::deleteRow$
	{92, 985, 1498},	//1341 DOM::HTMLTableSectionElement::insertRow$
	{92, 1163, -452},	//1342 DOM::HTMLTableSectionElement::operator=#
	{92, 1288, 1497},	//1343 DOM::HTMLTableSectionElement::rows
	{92, 1341, 1490},	//1344 DOM::HTMLTableSectionElement::setAlign#
	{92, 1396, 1492},	//1345 DOM::HTMLTableSectionElement::setCh#
	{92, 1398, 1494},	//1346 DOM::HTMLTableSectionElement::setChOff#
	{92, 1724, 1496},	//1347 DOM::HTMLTableSectionElement::setVAlign#
	{92, 1875, 1495},	//1348 DOM::HTMLTableSectionElement::vAlign
	{92, 2016, 1488},	//1349 DOM::HTMLTableSectionElement::~HTMLTableSectionElement
	{93, 347, 1501},	//1350 DOM::HTMLTextAreaElement::HTMLTextAreaElement
	{93, 348, -455},	//1351 DOM::HTMLTextAreaElement::HTMLTextAreaElement#
	{93, 349, 1536},	//1352 DOM::HTMLTextAreaElement::HTMLTextAreaElement?
	{93, 518, 1510},	//1353 DOM::HTMLTextAreaElement::accessKey
	{93, 579, 1527},	//1354 DOM::HTMLTextAreaElement::blur
	{93, 636, 1512},	//1355 DOM::HTMLTextAreaElement::cols
	{93, 725, 1507},	//1356 DOM::HTMLTextAreaElement::defaultValue
	{93, 749, 1514},	//1357 DOM::HTMLTextAreaElement::disabled
	{93, 833, 1528},	//1358 DOM::HTMLTextAreaElement::focus
	{93, 844, 1509},	//1359 DOM::HTMLTextAreaElement::form
	{93, 1117, 1516},	//1360 DOM::HTMLTextAreaElement::name
	{93, 1163, -458},	//1361 DOM::HTMLTextAreaElement::operator=#
	{93, 1236, 1518},	//1362 DOM::HTMLTextAreaElement::readOnly
	{93, 1288, 1520},	//1363 DOM::HTMLTextAreaElement::rows
	{93, 1307, 1529},	//1364 DOM::HTMLTextAreaElement::select
	{93, 1321, 1532},	//1365 DOM::HTMLTextAreaElement::selectionEnd
	{93, 1322, 1530},	//1366 DOM::HTMLTextAreaElement::selectionStart
	{93, 1335, 1511},	//1367 DOM::HTMLTextAreaElement::setAccessKey#
	{93, 1422, 1513},	//1368 DOM::HTMLTextAreaElement::setCols$
	{93, 1460, 1508},	//1369 DOM::HTMLTextAreaElement::setDefaultValue#
	{93, 1468, 1515},	//1370 DOM::HTMLTextAreaElement::setDisabled$
	{93, 1577, 1517},	//1371 DOM::HTMLTextAreaElement::setName#
	{93, 1619, 1519},	//1372 DOM::HTMLTextAreaElement::setReadOnly$
	{93, 1630, 1521},	//1373 DOM::HTMLTextAreaElement::setRows$
	{93, 1652, 1533},	//1374 DOM::HTMLTextAreaElement::setSelectionEnd$
	{93, 1654, 1534},	//1375 DOM::HTMLTextAreaElement::setSelectionRange$$
	{93, 1656, 1531},	//1376 DOM::HTMLTextAreaElement::setSelectionStart$
	{93, 1701, 1523},	//1377 DOM::HTMLTextAreaElement::setTabIndex$
	{93, 1728, 1526},	//1378 DOM::HTMLTextAreaElement::setValue#
	{93, 1832, 1522},	//1379 DOM::HTMLTextAreaElement::tabIndex
	{93, 1843, 1535},	//1380 DOM::HTMLTextAreaElement::textLength
	{93, 1858, 1524},	//1381 DOM::HTMLTextAreaElement::type
	{93, 1878, 1525},	//1382 DOM::HTMLTextAreaElement::value
	{93, 2017, 1506},	//1383 DOM::HTMLTextAreaElement::~HTMLTextAreaElement
	{94, 350, 1537},	//1384 DOM::HTMLTitleElement::HTMLTitleElement
	{94, 351, -461},	//1385 DOM::HTMLTitleElement::HTMLTitleElement#
	{94, 352, 1545},	//1386 DOM::HTMLTitleElement::HTMLTitleElement?
	{94, 1163, -464},	//1387 DOM::HTMLTitleElement::operator=#
	{94, 1705, 1544},	//1388 DOM::HTMLTitleElement::setText#
	{94, 1840, 1543},	//1389 DOM::HTMLTitleElement::text
	{94, 2018, 1542},	//1390 DOM::HTMLTitleElement::~HTMLTitleElement
	{95, 353, 1546},	//1391 DOM::HTMLUListElement::HTMLUListElement
	{95, 354, -467},	//1392 DOM::HTMLUListElement::HTMLUListElement#
	{95, 355, 1556},	//1393 DOM::HTMLUListElement::HTMLUListElement?
	{95, 638, 1552},	//1394 DOM::HTMLUListElement::compact
	{95, 1163, -470},	//1395 DOM::HTMLUListElement::operator=#
	{95, 1424, 1553},	//1396 DOM::HTMLUListElement::setCompact$
	{95, 1713, 1555},	//1397 DOM::HTMLUListElement::setType#
	{95, 1858, 1554},	//1398 DOM::HTMLUListElement::type
	{95, 2019, 1551},	//1399 DOM::HTMLUListElement::~HTMLUListElement
	{96, 130, 1558},	//1400 DOM::KeyboardEvent::DOM_KEY_LOCATION_LEFT
	{96, 131, 1560},	//1401 DOM::KeyboardEvent::DOM_KEY_LOCATION_NUMPAD
	{96, 132, 1559},	//1402 DOM::KeyboardEvent::DOM_KEY_LOCATION_RIGHT
	{96, 133, 1557},	//1403 DOM::KeyboardEvent::DOM_KEY_LOCATION_STANDARD
	{96, 393, 1561},	//1404 DOM::KeyboardEvent::KeyboardEvent
	{96, 394, -473},	//1405 DOM::KeyboardEvent::KeyboardEvent#
	{96, 544, 1571},	//1406 DOM::KeyboardEvent::altKey
	{96, 711, 1569},	//1407 DOM::KeyboardEvent::ctrlKey
	{96, 886, 1573},	//1408 DOM::KeyboardEvent::getModifierState#
	{96, 959, 1574},	//1409 DOM::KeyboardEvent::initKeyboardEvent#$$##$#
	{96, 1036, 1567},	//1410 DOM::KeyboardEvent::keyIdentifier
	{96, 1037, 1568},	//1411 DOM::KeyboardEvent::keyLocation
	{96, 1098, 1572},	//1412 DOM::KeyboardEvent::metaKey
	{96, 1163, -476},	//1413 DOM::KeyboardEvent::operator=#
	{96, 1764, 1570},	//1414 DOM::KeyboardEvent::shiftKey
	{96, 2023, 1566},	//1415 DOM::KeyboardEvent::~KeyboardEvent
	{97, 395, 1575},	//1416 DOM::LinkStyle::LinkStyle
	{97, 396, 1576},	//1417 DOM::LinkStyle::LinkStyle#
	{97, 1016, 1581},	//1418 DOM::LinkStyle::isNull
	{97, 1163, -479},	//1419 DOM::LinkStyle::operator=#
	{97, 1763, 1580},	//1420 DOM::LinkStyle::sheet
	{97, 2024, 1579},	//1421 DOM::LinkStyle::~LinkStyle
	{98, 401, 1582},	//1422 DOM::MediaList::MediaList
	{98, 402, 1583},	//1423 DOM::MediaList::MediaList#
	{98, 403, 1584},	//1424 DOM::MediaList::MediaList?
	{98, 551, 1592},	//1425 DOM::MediaList::appendMedium#
	{98, 736, 1591},	//1426 DOM::MediaList::deleteMedium#
	{98, 1016, 1593},	//1427 DOM::MediaList::isNull
	{98, 1027, 1590},	//1428 DOM::MediaList::item$
	{98, 1074, 1589},	//1429 DOM::MediaList::length
	{98, 1096, 1587},	//1430 DOM::MediaList::mediaText
	{98, 1163, 1585},	//1431 DOM::MediaList::operator=#
	{98, 1569, 1588},	//1432 DOM::MediaList::setMediaText#
	{98, 2025, 1586},	//1433 DOM::MediaList::~MediaList
	{99, 405, 1594},	//1434 DOM::MouseEvent::MouseEvent
	{99, 406, -482},	//1435 DOM::MouseEvent::MouseEvent#
	{99, 407, 1611},	//1436 DOM::MouseEvent::MouseEvent?
	{99, 544, 1606},	//1437 DOM::MouseEvent::altKey
	{99, 587, 1608},	//1438 DOM::MouseEvent::button
	{99, 617, 1602},	//1439 DOM::MouseEvent::clientX
	{99, 618, 1603},	//1440 DOM::MouseEvent::clientY
	{99, 711, 1604},	//1441 DOM::MouseEvent::ctrlKey
	{99, 961, 1610},	//1442 DOM::MouseEvent::initMouseEvent#$$#$$$$$$$$$$#
	{99, 1098, 1607},	//1443 DOM::MouseEvent::metaKey
	{99, 1163, -485},	//1444 DOM::MouseEvent::operator=#
	{99, 1243, 1609},	//1445 DOM::MouseEvent::relatedTarget
	{99, 1298, 1600},	//1446 DOM::MouseEvent::screenX
	{99, 1299, 1601},	//1447 DOM::MouseEvent::screenY
	{99, 1764, 1605},	//1448 DOM::MouseEvent::shiftKey
	{99, 2026, 1599},	//1449 DOM::MouseEvent::~MouseEvent
	{100, 1, 1613},	//1450 DOM::MutationEvent::ADDITION
	{100, 400, 1612},	//1451 DOM::MutationEvent::MODIFICATION
	{100, 408, 1615},	//1452 DOM::MutationEvent::MutationEvent
	{100, 409, -488},	//1453 DOM::MutationEvent::MutationEvent#
	{100, 410, 1627},	//1454 DOM::MutationEvent::MutationEvent?
	{100, 447, 1614},	//1455 DOM::MutationEvent::REMOVAL
	{100, 560, 1625},	//1456 DOM::MutationEvent::attrChange
	{100, 561, 1624},	//1457 DOM::MutationEvent::attrName
	{100, 963, 1626},	//1458 DOM::MutationEvent::initMutationEvent#$$####$
	{100, 1121, 1623},	//1459 DOM::MutationEvent::newValue
	{100, 1163, -491},	//1460 DOM::MutationEvent::operator=#
	{100, 1212, 1622},	//1461 DOM::MutationEvent::prevValue
	{100, 1242, 1621},	//1462 DOM::MutationEvent::relatedNode
	{100, 2027, 1620},	//1463 DOM::MutationEvent::~MutationEvent
	{101, 417, 1628},	//1464 DOM::NamedNodeMap::NamedNodeMap
	{101, 418, 1629},	//1465 DOM::NamedNodeMap::NamedNodeMap#
	{101, 419, 1641},	//1466 DOM::NamedNodeMap::NamedNodeMap?
	{101, 888, 1633},	//1467 DOM::NamedNodeMap::getNamedItem#
	{101, 890, 1637},	//1468 DOM::NamedNodeMap::getNamedItemNS##
	{101, 1016, 1640},	//1469 DOM::NamedNodeMap::isNull
	{101, 1027, 1636},	//1470 DOM::NamedNodeMap::item$
	{101, 1074, 1632},	//1471 DOM::NamedNodeMap::length
	{101, 1163, 1630},	//1472 DOM::NamedNodeMap::operator=#
	{101, 1260, 1635},	//1473 DOM::NamedNodeMap::removeNamedItem#
	{101, 1262, 1639},	//1474 DOM::NamedNodeMap::removeNamedItemNS##
	{101, 1579, 1634},	//1475 DOM::NamedNodeMap::setNamedItem#
	{101, 1581, 1638},	//1476 DOM::NamedNodeMap::setNamedItemNS#
	{101, 2028, 1631},	//1477 DOM::NamedNodeMap::~NamedNodeMap
	{102, 2, 1643},	//1478 DOM::Node::ATTRIBUTE_NODE
	{102, 18, 1645},	//1479 DOM::Node::CDATA_SECTION_NODE
	{102, 20, 1649},	//1480 DOM::Node::COMMENT_NODE
	{102, 115, 1652},	//1481 DOM::Node::DOCUMENT_FRAGMENT_NODE
	{102, 116, 1650},	//1482 DOM::Node::DOCUMENT_NODE
	{102, 117, 1651},	//1483 DOM::Node::DOCUMENT_TYPE_NODE
	{102, 150, 1642},	//1484 DOM::Node::ELEMENT_NODE
	{102, 153, 1647},	//1485 DOM::Node::ENTITY_NODE
	{102, 154, 1646},	//1486 DOM::Node::ENTITY_REFERENCE_NODE
	{102, 412, 1653},	//1487 DOM::Node::NOTATION_NODE
	{102, 421, 1654},	//1488 DOM::Node::Node
	{102, 422, 1655},	//1489 DOM::Node::Node#
	{102, 423, 1656},	//1490 DOM::Node::Node?
	{102, 439, 1648},	//1491 DOM::Node::PROCESSING_INSTRUCTION_NODE
	{102, 489, 1644},	//1492 DOM::Node::TEXT_NODE
	{102, 535, 1686},	//1493 DOM::Node::addEventListener##$
	{102, 547, 1676},	//1494 DOM::Node::appendChild#
	{102, 553, 1694},	//1495 DOM::Node::applyChanges
	{102, 562, 1671},	//1496 DOM::Node::attributes
	{102, 610, 1666},	//1497 DOM::Node::childNodes
	{102, 621, 1678},	//1498 DOM::Node::cloneNode$
	{102, 753, 1688},	//1499 DOM::Node::dispatchEvent#
	{102, 777, 1691},	//1500 DOM::Node::elementId
	{102, 830, 1667},	//1501 DOM::Node::firstChild
	{102, 900, 1695},	//1502 DOM::Node::getRect
	{102, 916, 1685},	//1503 DOM::Node::hasAttributes
	{102, 917, 1677},	//1504 DOM::Node::hasChildNodes
	{102, 952, 1693},	//1505 DOM::Node::index
	{102, 977, 1673},	//1506 DOM::Node::insertBefore##
	{102, 1016, 1692},	//1507 DOM::Node::isNull
	{102, 1025, 1680},	//1508 DOM::Node::isSupported##
	{102, 1065, 1668},	//1509 DOM::Node::lastChild
	{102, 1086, 1684},	//1510 DOM::Node::localName
	{102, 1120, 1681},	//1511 DOM::Node::namespaceURI
	{102, 1127, 1670},	//1512 DOM::Node::nextSibling
	{102, 1134, 1661},	//1513 DOM::Node::nodeName
	{102, 1135, 1664},	//1514 DOM::Node::nodeType
	{102, 1137, 1662},	//1515 DOM::Node::nodeValue
	{102, 1139, 1679},	//1516 DOM::Node::normalize
	{102, 1155, 1659},	//1517 DOM::Node::operator!=#
	{102, 1163, 1657},	//1518 DOM::Node::operator=#
	{102, 1165, 1658},	//1519 DOM::Node::operator==#
	{102, 1171, 1672},	//1520 DOM::Node::ownerDocument
	{102, 1187, 1665},	//1521 DOM::Node::parentNode
	{102, 1206, 1682},	//1522 DOM::Node::prefix
	{102, 1215, 1669},	//1523 DOM::Node::previousSibling
	{102, 1256, 1675},	//1524 DOM::Node::removeChild#
	{102, 1258, 1687},	//1525 DOM::Node::removeEventListener##$
	{102, 1272, 1674},	//1526 DOM::Node::replaceChild##
	{102, 1591, 1663},	//1527 DOM::Node::setNodeValue#
	{102, 1609, 1683},	//1528 DOM::Node::setPrefix#
	{102, 1707, 1690},	//1529 DOM::Node::setTextContent#
	{102, 1842, 1689},	//1530 DOM::Node::textContent
	{102, 2029, 1660},	//1531 DOM::Node::~Node
	{103, 174, 1696},	//1532 DOM::NodeFilter::FILTER_ACCEPT
	{103, 175, 1697},	//1533 DOM::NodeFilter::FILTER_REJECT
	{103, 176, 1698},	//1534 DOM::NodeFilter::FILTER_SKIP
	{103, 424, 1712},	//1535 DOM::NodeFilter::NodeFilter
	{103, 425, 1713},	//1536 DOM::NodeFilter::NodeFilter#
	{103, 426, 1714},	//1537 DOM::NodeFilter::NodeFilter?
	{103, 463, 1699},	//1538 DOM::NodeFilter::SHOW_ALL
	{103, 464, 1701},	//1539 DOM::NodeFilter::SHOW_ATTRIBUTE
	{103, 465, 1703},	//1540 DOM::NodeFilter::SHOW_CDATA_SECTION
	{103, 466, 1707},	//1541 DOM::NodeFilter::SHOW_COMMENT
	{103, 467, 1708},	//1542 DOM::NodeFilter::SHOW_DOCUMENT
	{103, 468, 1710},	//1543 DOM::NodeFilter::SHOW_DOCUMENT_FRAGMENT
	{103, 469, 1709},	//1544 DOM::NodeFilter::SHOW_DOCUMENT_TYPE
	{103, 470, 1700},	//1545 DOM::NodeFilter::SHOW_ELEMENT
	{103, 471, 1705},	//1546 DOM::NodeFilter::SHOW_ENTITY
	{103, 472, 1704},	//1547 DOM::NodeFilter::SHOW_ENTITY_REFERENCE
	{103, 473, 1711},	//1548 DOM::NodeFilter::SHOW_NOTATION
	{103, 474, 1706},	//1549 DOM::NodeFilter::SHOW_PROCESSING_INSTRUCTION
	{103, 475, 1702},	//1550 DOM::NodeFilter::SHOW_TEXT
	{103, 517, 1717},	//1551 DOM::NodeFilter::acceptNode#
	{103, 679, 1721},	//1552 DOM::NodeFilter::createCustom#
	{103, 718, 1720},	//1553 DOM::NodeFilter::customNodeFilter
	{103, 1016, 1718},	//1554 DOM::NodeFilter::isNull
	{103, 1163, 1715},	//1555 DOM::NodeFilter::operator=#
	{103, 1443, 1719},	//1556 DOM::NodeFilter::setCustomNodeFilter#
	{103, 2030, 1716},	//1557 DOM::NodeFilter::~NodeFilter
	{104, 427, 1722},	//1558 DOM::NodeIterator::NodeIterator
	{104, 428, 1723},	//1559 DOM::NodeIterator::NodeIterator#
	{104, 429, 1734},	//1560 DOM::NodeIterator::NodeIterator?
	{104, 745, 1732},	//1561 DOM::NodeIterator::detach
	{104, 804, 1729},	//1562 DOM::NodeIterator::expandEntityReferences
	{104, 809, 1728},	//1563 DOM::NodeIterator::filter
	{104, 1016, 1733},	//1564 DOM::NodeIterator::isNull
	{104, 1126, 1730},	//1565 DOM::NodeIterator::nextNode
	{104, 1163, 1724},	//1566 DOM::NodeIterator::operator=#
	{104, 1214, 1731},	//1567 DOM::NodeIterator::previousNode
	{104, 1285, 1726},	//1568 DOM::NodeIterator::root
	{104, 1891, 1727},	//1569 DOM::NodeIterator::whatToShow
	{104, 2031, 1725},	//1570 DOM::NodeIterator::~NodeIterator
	{105, 430, 1735},	//1571 DOM::NodeList::NodeList
	{105, 431, 1736},	//1572 DOM::NodeList::NodeList#
	{105, 432, 1742},	//1573 DOM::NodeList::NodeList?
	{105, 1016, 1741},	//1574 DOM::NodeList::isNull
	{105, 1027, 1740},	//1575 DOM::NodeList::item$
	{105, 1074, 1739},	//1576 DOM::NodeList::length
	{105, 1163, 1737},	//1577 DOM::NodeList::operator=#
	{105, 2032, 1738},	//1578 DOM::NodeList::~NodeList
	{106, 434, 1743},	//1579 DOM::Notation::Notation
	{106, 435, -494},	//1580 DOM::Notation::Notation#
	{106, 436, 1751},	//1581 DOM::Notation::Notation?
	{106, 1163, -497},	//1582 DOM::Notation::operator=#
	{106, 1221, 1749},	//1583 DOM::Notation::publicId
	{106, 1828, 1750},	//1584 DOM::Notation::systemId
	{106, 2033, 1748},	//1585 DOM::Notation::~Notation
	{107, 443, 1752},	//1586 DOM::ProcessingInstruction::ProcessingInstruction
	{107, 444, -500},	//1587 DOM::ProcessingInstruction::ProcessingInstruction#
	{107, 445, 1762},	//1588 DOM::ProcessingInstruction::ProcessingInstruction?
	{107, 720, 1759},	//1589 DOM::ProcessingInstruction::data
	{107, 1163, -503},	//1590 DOM::ProcessingInstruction::operator=#
	{107, 1450, 1760},	//1591 DOM::ProcessingInstruction::setData#
	{107, 1763, 1761},	//1592 DOM::ProcessingInstruction::sheet
	{107, 1836, 1758},	//1593 DOM::ProcessingInstruction::target
	{107, 2036, 1757},	//1594 DOM::ProcessingInstruction::~ProcessingInstruction
	{108, 448, 1763},	//1595 DOM::RGBColor::RGBColor
	{108, 449, 1765},	//1596 DOM::RGBColor::RGBColor#
	{108, 450, 1764},	//1597 DOM::RGBColor::RGBColor$
	{108, 578, 1770},	//1598 DOM::RGBColor::blue
	{108, 635, 1771},	//1599 DOM::RGBColor::color
	{108, 907, 1769},	//1600 DOM::RGBColor::green
	{108, 1163, 1766},	//1601 DOM::RGBColor::operator=#
	{108, 1237, 1768},	//1602 DOM::RGBColor::red
	{108, 2037, 1767},	//1603 DOM::RGBColor::~RGBColor
	{109, 151, 1774},	//1604 DOM::Range::END_TO_END
	{109, 152, 1775},	//1605 DOM::Range::END_TO_START
	{109, 451, 1776},	//1606 DOM::Range::Range
	{109, 452, -506},	//1607 DOM::Range::Range#
	{109, 453, 1779},	//1608 DOM::Range::Range#$#$
	{109, 454, 1811},	//1609 DOM::Range::Range?
	{109, 479, 1773},	//1610 DOM::Range::START_TO_END
	{109, 480, 1772},	//1611 DOM::Range::START_TO_START
	{109, 583, 1798},	//1612 DOM::Range::boundaryPointsValid
	{109, 619, 1801},	//1613 DOM::Range::cloneContents
	{109, 622, 1804},	//1614 DOM::Range::cloneRange
	{109, 633, 1794},	//1615 DOM::Range::collapse$
	{109, 634, 1786},	//1616 DOM::Range::collapsed
	{109, 637, 1787},	//1617 DOM::Range::commonAncestorContainer
	{109, 640, 1797},	//1618 DOM::Range::compareBoundaryPoints$#
	{109, 677, 1807},	//1619 DOM::Range::createContextualFragment#
	{109, 731, 1799},	//1620 DOM::Range::deleteContents
	{109, 745, 1808},	//1621 DOM::Range::detach
	{109, 786, 1784},	//1622 DOM::Range::endContainer
	{109, 787, 1785},	//1623 DOM::Range::endOffset
	{109, 805, 1800},	//1624 DOM::Range::extractContents
	{109, 983, 1802},	//1625 DOM::Range::insertNode#
	{109, 999, 1809},	//1626 DOM::Range::isDetached
	{109, 1016, 1810},	//1627 DOM::Range::isNull
	{109, 1163, 1780},	//1628 DOM::Range::operator=#
	{109, 1310, 1795},	//1629 DOM::Range::selectNode#
	{109, 1312, 1796},	//1630 DOM::Range::selectNodeContents#
	{109, 1478, 1789},	//1631 DOM::Range::setEnd#$
	{109, 1480, 1793},	//1632 DOM::Range::setEndAfter#
	{109, 1482, 1792},	//1633 DOM::Range::setEndBefore#
	{109, 1677, 1788},	//1634 DOM::Range::setStart#$
	{109, 1680, 1791},	//1635 DOM::Range::setStartAfter#
	{109, 1682, 1790},	//1636 DOM::Range::setStartBefore#
	{109, 1792, 1782},	//1637 DOM::Range::startContainer
	{109, 1793, 1783},	//1638 DOM::Range::startOffset
	{109, 1827, 1803},	//1639 DOM::Range::surroundContents#
	{109, 1850, 1806},	//1640 DOM::Range::toHTML
	{109, 1853, 1805},	//1641 DOM::Range::toString
	{109, 2038, 1781},	//1642 DOM::Range::~Range
	{110, 10, 1812},	//1643 DOM::RangeException::BAD_BOUNDARYPOINTS_ERR
	{110, 362, 1813},	//1644 DOM::RangeException::INVALID_NODE_TYPE_ERR
	{110, 456, 1817},	//1645 DOM::RangeException::RangeException#
	{110, 457, 1816},	//1646 DOM::RangeException::RangeException$
	{110, 508, 1815},	//1647 DOM::RangeException::_EXCEPTION_MAX
	{110, 509, 1814},	//1648 DOM::RangeException::_EXCEPTION_OFFSET
	{110, 628, 1821},	//1649 DOM::RangeException::code
	{110, 1163, 1818},	//1650 DOM::RangeException::operator=#
	{110, 1411, 1820},	//1651 DOM::RangeException::setCode$
	{110, 2039, 1819},	//1652 DOM::RangeException::~RangeException
	{111, 460, 1822},	//1653 DOM::Rect::Rect
	{111, 461, 1823},	//1654 DOM::Rect::Rect#
	{111, 462, 1831},	//1655 DOM::Rect::Rect?
	{111, 582, 1828},	//1656 DOM::Rect::bottom
	{111, 1016, 1830},	//1657 DOM::Rect::isNull
	{111, 1073, 1829},	//1658 DOM::Rect::left
	{111, 1163, 1824},	//1659 DOM::Rect::operator=#
	{111, 1284, 1827},	//1660 DOM::Rect::right
	{111, 1854, 1826},	//1661 DOM::Rect::top
	{111, 2041, 1825},	//1662 DOM::Rect::~Rect
	{112, 483, 1832},	//1663 DOM::StyleSheet::StyleSheet
	{112, 484, 1833},	//1664 DOM::StyleSheet::StyleSheet#
	{112, 485, 1834},	//1665 DOM::StyleSheet::StyleSheet?
	{112, 749, 1838},	//1666 DOM::StyleSheet::disabled
	{112, 935, 1842},	//1667 DOM::StyleSheet::href
	{112, 995, 1845},	//1668 DOM::StyleSheet::isCSSStyleSheet
	{112, 1016, 1846},	//1669 DOM::StyleSheet::isNull
	{112, 1095, 1844},	//1670 DOM::StyleSheet::media
	{112, 1163, 1835},	//1671 DOM::StyleSheet::operator=#
	{112, 1173, 1840},	//1672 DOM::StyleSheet::ownerNode
	{112, 1190, 1841},	//1673 DOM::StyleSheet::parentStyleSheet
	{112, 1468, 1839},	//1674 DOM::StyleSheet::setDisabled$
	{112, 1847, 1843},	//1675 DOM::StyleSheet::title
	{112, 1858, 1837},	//1676 DOM::StyleSheet::type
	{112, 2042, 1836},	//1677 DOM::StyleSheet::~StyleSheet
	{113, 486, 1847},	//1678 DOM::StyleSheetList::StyleSheetList
	{113, 487, 1848},	//1679 DOM::StyleSheetList::StyleSheetList#
	{113, 488, 1849},	//1680 DOM::StyleSheetList::StyleSheetList?
	{113, 1016, 1854},	//1681 DOM::StyleSheetList::isNull
	{113, 1027, 1853},	//1682 DOM::StyleSheetList::item$
	{113, 1074, 1852},	//1683 DOM::StyleSheetList::length
	{113, 1163, 1850},	//1684 DOM::StyleSheetList::operator=#
	{113, 2043, 1851},	//1685 DOM::StyleSheetList::~StyleSheetList
	{114, 491, 1855},	//1686 DOM::Text::Text
	{114, 492, -509},	//1687 DOM::Text::Text#
	{114, 493, 1862},	//1688 DOM::Text::Text?
	{114, 1163, -512},	//1689 DOM::Text::operator=#
	{114, 1788, 1861},	//1690 DOM::Text::splitText$
	{114, 2044, 1860},	//1691 DOM::Text::~Text
	{115, 494, 1863},	//1692 DOM::TextEvent::TextEvent
	{115, 495, -515},	//1693 DOM::TextEvent::TextEvent#
	{115, 965, 1869},	//1694 DOM::TextEvent::initTextEvent#$$##
	{115, 1163, -518},	//1695 DOM::TextEvent::operator=#
	{115, 2045, 1868},	//1696 DOM::TextEvent::~TextEvent
	{116, 496, 1870},	//1697 DOM::TreeWalker::TreeWalker
	{116, 497, 1871},	//1698 DOM::TreeWalker::TreeWalker#
	{116, 498, 1888},	//1699 DOM::TreeWalker::TreeWalker?
	{116, 713, 1878},	//1700 DOM::TreeWalker::currentNode
	{116, 804, 1877},	//1701 DOM::TreeWalker::expandEntityReferences
	{116, 809, 1876},	//1702 DOM::TreeWalker::filter
	{116, 830, 1881},	//1703 DOM::TreeWalker::firstChild
	{116, 1016, 1887},	//1704 DOM::TreeWalker::isNull
	{116, 1065, 1882},	//1705 DOM::TreeWalker::lastChild
	{116, 1126, 1886},	//1706 DOM::TreeWalker::nextNode
	{116, 1127, 1884},	//1707 DOM::TreeWalker::nextSibling
	{116, 1163, 1872},	//1708 DOM::TreeWalker::operator=#
	{116, 1187, 1880},	//1709 DOM::TreeWalker::parentNode
	{116, 1214, 1885},	//1710 DOM::TreeWalker::previousNode
	{116, 1215, 1883},	//1711 DOM::TreeWalker::previousSibling
	{116, 1285, 1874},	//1712 DOM::TreeWalker::root
	{116, 1441, 1879},	//1713 DOM::TreeWalker::setCurrentNode#
	{116, 1891, 1875},	//1714 DOM::TreeWalker::whatToShow
	{116, 2046, 1873},	//1715 DOM::TreeWalker::~TreeWalker
	{117, 499, 1889},	//1716 DOM::UIEvent::UIEvent
	{117, 500, -521},	//1717 DOM::UIEvent::UIEvent#
	{117, 501, 1905},	//1718 DOM::UIEvent::UIEvent?
	{117, 604, 1898},	//1719 DOM::UIEvent::charCode
	{117, 746, 1896},	//1720 DOM::UIEvent::detail
	{117, 967, 1904},	//1721 DOM::UIEvent::initUIEvent#$$#$
	{117, 1035, 1897},	//1722 DOM::UIEvent::keyCode
	{117, 1067, 1901},	//1723 DOM::UIEvent::layerX
	{117, 1068, 1902},	//1724 DOM::UIEvent::layerY
	{117, 1163, -524},	//1725 DOM::UIEvent::operator=#
	{117, 1176, 1899},	//1726 DOM::UIEvent::pageX
	{117, 1177, 1900},	//1727 DOM::UIEvent::pageY
	{117, 1881, 1895},	//1728 DOM::UIEvent::view
	{117, 1894, 1903},	//1729 DOM::UIEvent::which
	{117, 2047, 1894},	//1730 DOM::UIEvent::~UIEvent
	{123, 12, 1914},	//1731 KHTMLPart::Before
	{123, 13, 1907},	//1732 KHTMLPart::BrowserViewGUI
	{123, 101, 1910},	//1733 KHTMLPart::CaretBlink
	{123, 102, 1909},	//1734 KHTMLPart::CaretInvisible
	{123, 103, 1908},	//1735 KHTMLPart::CaretVisible
	{123, 134, 1906},	//1736 KHTMLPart::DefaultGUI
	{123, 158, 2061},	//1737 KHTMLPart::Encrypted
	{123, 178, 1911},	//1738 KHTMLPart::FindLinksOnly
	{123, 179, 1912},	//1739 KHTMLPart::FindNoPopups
	{123, 367, 1922},	//1740 KHTMLPart::KHTMLPart
	{123, 368, -527},	//1741 KHTMLPart::KHTMLPart#
	{123, 369, -530},	//1742 KHTMLPart::KHTMLPart##
	{123, 370, -533},	//1743 KHTMLPart::KHTMLPart##$
	{123, 404, 2062},	//1744 KHTMLPart::Mixed
	{123, 420, 1913},	//1745 KHTMLPart::NoNotification
	{123, 433, 2060},	//1746 KHTMLPart::NotCrypted
	{123, 437, 1915},	//1747 KHTMLPart::Only
	{123, 505, 1916},	//1748 KHTMLPart::Unused
	{123, 525, 1933},	//1749 KHTMLPart::activeNode
	{123, 565, 1952},	//1750 KHTMLPart::autoloadImages
	{123, 569, 1962},	//1751 KHTMLPart::backgroundURL
	{123, 572, 1961},	//1752 KHTMLPart::baseURL
	{123, 573, 1968},	//1753 KHTMLPart::begin
	{123, 574, 1967},	//1754 KHTMLPart::begin#
	{123, 575, 1966},	//1755 KHTMLPart::begin#$
	{123, 576, 1965},	//1756 KHTMLPart::begin#$$
	{123, 584, 1934},	//1757 KHTMLPart::browserExtension
	{123, 585, 1935},	//1758 KHTMLPart::browserHostExtension
	{123, 592, 1959},	//1759 KHTMLPart::caretDisplayPolicyNonFocused
	{123, 594, 2057},	//1760 KHTMLPart::caretPositionChanged#$
	{123, 627, 1928},	//1761 KHTMLPart::closeUrl
	{123, 643, 2063},	//1762 KHTMLPart::completeURL$
	{123, 647, 2059},	//1763 KHTMLPart::configurationChanged
	{123, 698, 2076},	//1764 KHTMLPart::createPart##$$??
	{123, 712, 2021},	//1765 KHTMLPart::currentFrame
	{123, 717, 2065},	//1766 KHTMLPart::customEvent#
	{123, 755, 1946},	//1767 KHTMLPart::dndEnabled
	{123, 757, 2082},	//1768 KHTMLPart::doCloseStream
	{123, 759, 2080},	//1769 KHTMLPart::doOpenStream$
	{123, 761, 2081},	//1770 KHTMLPart::doWriteStream#
	{123, 763, 1931},	//1771 KHTMLPart::document
	{123, 765, 1932},	//1772 KHTMLPart::documentSource
	{123, 776, 2005},	//1773 KHTMLPart::editor
	{123, 783, 1978},	//1774 KHTMLPart::encoding
	{123, 785, 1972},	//1775 KHTMLPart::end
	{123, 803, 1944},	//1776 KHTMLPart::executeScript#$
	{123, 816, 2018},	//1777 KHTMLPart::findFrame$
	{123, 818, 2020},	//1778 KHTMLPart::findFrameParent#$
	{123, 819, 2019},	//1779 KHTMLPart::findFrameParent#$?
	{123, 821, 2024},	//1780 KHTMLPart::findFramePart$
	{123, 822, 1988},	//1781 KHTMLPart::findText
	{123, 823, 1991},	//1782 KHTMLPart::findText$$
	{123, 824, 1990},	//1783 KHTMLPart::findText$$#
	{123, 825, 1989},	//1784 KHTMLPart::findText$$##
	{123, 826, 1992},	//1785 KHTMLPart::findTextBegin
	{123, 827, 1994},	//1786 KHTMLPart::findTextNext
	{123, 828, 1993},	//1787 KHTMLPart::findTextNext$
	{123, 843, 1998},	//1788 KHTMLPart::fontScaleFactor
	{123, 845, 2039},	//1789 KHTMLPart::formNotification
	{123, 847, 2058},	//1790 KHTMLPart::formSubmitNotification$$#$$$
	{123, 852, 2022},	//1791 KHTMLPart::frameExists$
	{123, 853, 2016},	//1792 KHTMLPart::frameNames
	{123, 856, 2023},	//1793 KHTMLPart::framejScript#
	{123, 857, 2017},	//1794 KHTMLPart::frames
	{123, 906, 1983},	//1795 KHTMLPart::gotoAnchor$
	{123, 909, 2071},	//1796 KHTMLPart::guiActivateEvent#
	{123, 921, 2004},	//1797 KHTMLPart::hasSelection
	{123, 926, 2008},	//1798 KHTMLPart::hide
	{123, 938, 1930},	//1799 KHTMLPart::htmlDocument
	{123, 940, 2064},	//1800 KHTMLPart::htmlError$$#
	{123, 950, 2044},	//1801 KHTMLPart::inProgress
	{123, 997, 1955},	//1802 KHTMLPart::isCaretMode
	{123, 1000, 1956},	//1803 KHTMLPart::isEditable
	{123, 1015, 2041},	//1804 KHTMLPart::isModified
	{123, 1021, 2034},	//1805 KHTMLPart::isPointInsideSelection$$
	{123, 1028, 1938},	//1806 KHTMLPart::jScriptEnabled
	{123, 1029, 1939},	//1807 KHTMLPart::jScriptInterpreter
	{123, 1030, 1948},	//1808 KHTMLPart::javaEnabled
	{123, 1031, 2028},	//1809 KHTMLPart::jsDefaultStatusBarText
	{123, 1034, 2027},	//1810 KHTMLPart::jsStatusBarText
	{123, 1043, 2070},	//1811 KHTMLPart::khtmlDrawContentsEvent?
	{123, 1049, 2067},	//1812 KHTMLPart::khtmlMouseDoubleClickEvent?
	{123, 1051, 2068},	//1813 KHTMLPart::khtmlMouseMoveEvent?
	{123, 1053, 2066},	//1814 KHTMLPart::khtmlMousePressEvent?
	{123, 1055, 2069},	//1815 KHTMLPart::khtmlMouseReleaseEvent?
	{123, 1066, 2031},	//1816 KHTMLPart::lastModified
	{123, 1099, 1917},	//1817 KHTMLPart::metaObject
	{123, 1100, 1943},	//1818 KHTMLPart::metaRefreshEnabled
	{123, 1122, 1984},	//1819 KHTMLPart::nextAnchor
	{123, 1133, 2056},	//1820 KHTMLPart::nodeActivated#
	{123, 1136, 2012},	//1821 KHTMLPart::nodeUnderMouse
	{123, 1138, 2013},	//1822 KHTMLPart::nonSharedNodeUnderMouse
	{123, 1146, 2053},	//1823 KHTMLPart::onURL$
	{123, 1147, 1954},	//1824 KHTMLPart::onlyLocalReferences
	{123, 1149, 2072},	//1825 KHTMLPart::openFile
	{123, 1153, 1927},	//1826 KHTMLPart::openUrl#
	{123, 1175, 2030},	//1827 KHTMLPart::pageReferrer
	{123, 1179, 1975},	//1828 KHTMLPart::paint##
	{123, 1180, 1974},	//1829 KHTMLPart::paint##$
	{123, 1181, 1973},	//1830 KHTMLPart::paint##$$
	{123, 1188, 2015},	//1831 KHTMLPart::parentPart
	{123, 1194, 2009},	//1832 KHTMLPart::partManager
	{123, 1201, 2077},	//1833 KHTMLPart::pluginPageQuestionAsked$
	{123, 1202, 1950},	//1834 KHTMLPart::pluginsEnabled
	{123, 1204, 2054},	//1835 KHTMLPart::popupMenu$#
	{123, 1208, 2033},	//1836 KHTMLPart::preloadScript$$
	{123, 1210, 2032},	//1837 KHTMLPart::preloadStyleSheet$$
	{123, 1211, 1985},	//1838 KHTMLPart::prevAnchor
	{123, 1223, 1918},	//1839 KHTMLPart::qt_metacall$$?
	{123, 1240, 2029},	//1840 KHTMLPart::referrer
	{123, 1281, 2011},	//1841 KHTMLPart::restoreState#
	{123, 1282, 2035},	//1842 KHTMLPart::restored
	{123, 1292, 2010},	//1843 KHTMLPart::saveState#
	{123, 1294, 1964},	//1844 KHTMLPart::scheduleRedirection$$
	{123, 1295, 1963},	//1845 KHTMLPart::scheduleRedirection$$$
	{123, 1308, 2006},	//1846 KHTMLPart::selectAll
	{123, 1316, 1999},	//1847 KHTMLPart::selectedText
	{123, 1317, 2000},	//1848 KHTMLPart::selectedTextAsHTML
	{123, 1318, 2001},	//1849 KHTMLPart::selection
	{123, 1319, 2002},	//1850 KHTMLPart::selection#$#$
	{123, 1320, 2055},	//1851 KHTMLPart::selectionChanged
	{123, 1339, 2045},	//1852 KHTMLPart::setActiveNode#
	{123, 1344, 2037},	//1853 KHTMLPart::setAlwaysHonourDoctype
	{123, 1345, 2036},	//1854 KHTMLPart::setAlwaysHonourDoctype$
	{123, 1365, 1951},	//1855 KHTMLPart::setAutoloadImages$
	{123, 1379, 1960},	//1856 KHTMLPart::setCaretDisplayPolicyNonFocused$
	{123, 1381, 2047},	//1857 KHTMLPart::setCaretMode$
	{123, 1383, 1958},	//1858 KHTMLPart::setCaretPosition#$
	{123, 1384, 1957},	//1859 KHTMLPart::setCaretPosition#$$
	{123, 1386, 2049},	//1860 KHTMLPart::setCaretVisible$
	{123, 1445, 1945},	//1861 KHTMLPart::setDNDEnabled$
	{123, 1470, 2048},	//1862 KHTMLPart::setEditable$
	{123, 1473, 1977},	//1863 KHTMLPart::setEncoding$
	{123, 1474, 1976},	//1864 KHTMLPart::setEncoding$$
	{123, 1488, 1982},	//1865 KHTMLPart::setFixedFont$
	{123, 1494, 1997},	//1866 KHTMLPart::setFontScaleFactor$
	{123, 1496, 2038},	//1867 KHTMLPart::setFormNotification$
	{123, 1531, 2026},	//1868 KHTMLPart::setJSDefaultStatusBarText$
	{123, 1537, 2025},	//1869 KHTMLPart::setJSStatusBarText$
	{123, 1539, 1937},	//1870 KHTMLPart::setJScriptEnabled$
	{123, 1541, 1947},	//1871 KHTMLPart::setJavaEnabled$
	{123, 1571, 1942},	//1872 KHTMLPart::setMetaRefreshEnabled$
	{123, 1595, 1953},	//1873 KHTMLPart::setOnlyLocalReferences$
	{123, 1597, 2079},	//1874 KHTMLPart::setPageSecurity$
	{123, 1605, 2078},	//1875 KHTMLPart::setPluginPageQuestionAsked$
	{123, 1607, 1949},	//1876 KHTMLPart::setPluginsEnabled$
	{123, 1650, 2003},	//1877 KHTMLPart::setSelection#
	{123, 1673, 1981},	//1878 KHTMLPart::setStandardFont$
	{123, 1686, 1940},	//1879 KHTMLPart::setStatusMessagesEnabled$
	{123, 1694, 2043},	//1880 KHTMLPart::setSuppressedPopupIndicator$
	{123, 1695, 2042},	//1881 KHTMLPart::setSuppressedPopupIndicator$#
	{123, 1715, 1986},	//1882 KHTMLPart::setURLCursor#
	{123, 1721, 1979},	//1883 KHTMLPart::setUserStyleSheet#
	{123, 1722, 1980},	//1884 KHTMLPart::setUserStyleSheet$
	{123, 1757, 1995},	//1885 KHTMLPart::setZoomFactor$
	{123, 1760, 2014},	//1886 KHTMLPart::settings
	{123, 1765, 2007},	//1887 KHTMLPart::show
	{123, 1768, 1929},	//1888 KHTMLPart::showError#
	{123, 1776, 2085},	//1889 KHTMLPart::slotFinished#
	{123, 1797, 2084},	//1890 KHTMLPart::startingJob#
	{123, 1801, 1941},	//1891 KHTMLPart::statusMessagesEnabled
	{123, 1803, 2046},	//1892 KHTMLPart::stopAnimations
	{123, 1820, 2052},	//1893 KHTMLPart::submitFormProxy$$#$
	{123, 1821, 2051},	//1894 KHTMLPart::submitFormProxy$$#$$
	{123, 1822, 2050},	//1895 KHTMLPart::submitFormProxy$$#$$$
	{123, 1846, 2083},	//1896 KHTMLPart::timerEvent#
	{123, 1855, 2040},	//1897 KHTMLPart::toplevelURL
	{123, 1868, 1987},	//1898 KHTMLPart::urlCursor
	{123, 1870, 2075},	//1899 KHTMLPart::urlSelected$$$$
	{123, 1871, 2074},	//1900 KHTMLPart::urlSelected$$$$#
	{123, 1872, 2073},	//1901 KHTMLPart::urlSelected$$$$##
	{123, 1881, 1936},	//1902 KHTMLPart::view
	{123, 1913, -536},	//1903 KHTMLPart::write$
	{123, 1914, 1969},	//1904 KHTMLPart::write$$
	{123, 1922, 1996},	//1905 KHTMLPart::zoomFactor
	{123, 2020, 1926},	//1906 KHTMLPart::~KHTMLPart
	{124, 364, 2089},	//1907 KHTMLSettings::KAnimationDisabled
	{124, 365, 2091},	//1908 KHTMLSettings::KAnimationEnabled
	{124, 366, 2090},	//1909 KHTMLSettings::KAnimationLoopOnce
	{124, 371, 2107},	//1910 KHTMLSettings::KHTMLSettings
	{124, 372, 2108},	//1911 KHTMLSettings::KHTMLSettings#
	{124, 375, 2105},	//1912 KHTMLSettings::KJSWindowFocusAllow
	{124, 376, 2106},	//1913 KHTMLSettings::KJSWindowFocusIgnore
	{124, 377, 2101},	//1914 KHTMLSettings::KJSWindowMoveAllow
	{124, 378, 2102},	//1915 KHTMLSettings::KJSWindowMoveIgnore
	{124, 379, 2095},	//1916 KHTMLSettings::KJSWindowOpenAllow
	{124, 380, 2096},	//1917 KHTMLSettings::KJSWindowOpenAsk
	{124, 381, 2097},	//1918 KHTMLSettings::KJSWindowOpenDeny
	{124, 382, 2098},	//1919 KHTMLSettings::KJSWindowOpenSmart
	{124, 383, 2103},	//1920 KHTMLSettings::KJSWindowResizeAllow
	{124, 384, 2104},	//1921 KHTMLSettings::KJSWindowResizeIgnore
	{124, 385, 2099},	//1922 KHTMLSettings::KJSWindowStatusAllow
	{124, 386, 2100},	//1923 KHTMLSettings::KJSWindowStatusIgnore
	{124, 387, 2087},	//1924 KHTMLSettings::KJavaScriptAccept
	{124, 388, 2086},	//1925 KHTMLSettings::KJavaScriptDunno
	{124, 389, 2088},	//1926 KHTMLSettings::KJavaScriptReject
	{124, 390, 2092},	//1927 KHTMLSettings::KSmoothScrollingDisabled
	{124, 391, 2094},	//1928 KHTMLSettings::KSmoothScrollingEnabled
	{124, 392, 2093},	//1929 KHTMLSettings::KSmoothScrollingWhenEfficient
	{124, 519, 2156},	//1930 KHTMLSettings::accessKeysEnabled
	{124, 529, 2155},	//1931 KHTMLSettings::addAdFilter$
	{124, 539, 2178},	//1932 KHTMLSettings::adviceToStr$
	{124, 542, 2116},	//1933 KHTMLSettings::allowTabulation
	{124, 563, 2138},	//1934 KHTMLSettings::autoLoadImages
	{124, 564, 2117},	//1935 KHTMLSettings::autoSpellCheck
	{124, 566, 2179},	//1936 KHTMLSettings::availableFamilies
	{124, 571, 2135},	//1937 KHTMLSettings::baseColor
	{124, 601, 2113},	//1938 KHTMLSettings::changeCursor
	{124, 715, 2124},	//1939 KHTMLSettings::cursiveFontName
	{124, 783, 2132},	//1940 KHTMLSettings::encoding
	{124, 807, 2173},	//1941 KHTMLSettings::fallbackAccessKeysAssignments
	{124, 808, 2125},	//1942 KHTMLSettings::fantasyFontName
	{124, 832, 2121},	//1943 KHTMLSettings::fixedFontName
	{124, 840, 2133},	//1944 KHTMLSettings::followSystemColors
	{124, 934, 2115},	//1945 KHTMLSettings::hoverLink
	{124, 953, 2109},	//1946 KHTMLSettings::init
	{124, 954, 2111},	//1947 KHTMLSettings::init#
	{124, 955, 2110},	//1948 KHTMLSettings::init#$
	{124, 989, 2153},	//1949 KHTMLSettings::isAdFilterEnabled
	{124, 991, 2152},	//1950 KHTMLSettings::isAdFiltered$
	{124, 992, 2172},	//1951 KHTMLSettings::isAutoDelayedActionsEnabled
	{124, 993, 2141},	//1952 KHTMLSettings::isBackRightClickEnabled
	{124, 1002, 2170},	//1953 KHTMLSettings::isFormCompletionEnabled
	{124, 1005, 2154},	//1954 KHTMLSettings::isHideAdsEnabled
	{124, 1006, 2143},	//1955 KHTMLSettings::isJavaEnabled
	{124, 1007, 2142},	//1956 KHTMLSettings::isJavaEnabled$
	{124, 1008, 2147},	//1957 KHTMLSettings::isJavaScriptDebugEnabled
	{124, 1009, 2146},	//1958 KHTMLSettings::isJavaScriptDebugEnabled$
	{124, 1010, 2145},	//1959 KHTMLSettings::isJavaScriptEnabled
	{124, 1011, 2144},	//1960 KHTMLSettings::isJavaScriptEnabled$
	{124, 1012, 2149},	//1961 KHTMLSettings::isJavaScriptErrorReportingEnabled
	{124, 1013, 2148},	//1962 KHTMLSettings::isJavaScriptErrorReportingEnabled$
	{124, 1017, 2140},	//1963 KHTMLSettings::isOpenMiddleClickEnabled
	{124, 1018, 2151},	//1964 KHTMLSettings::isPluginsEnabled
	{124, 1019, 2150},	//1965 KHTMLSettings::isPluginsEnabled$
	{124, 1032, 2130},	//1966 KHTMLSettings::jsErrorsEnabled
	{124, 1033, 2175},	//1967 KHTMLSettings::jsPopupBlockerPassivePopup
	{124, 1076, 2136},	//1968 KHTMLSettings::linkColor
	{124, 1093, 2171},	//1969 KHTMLSettings::maxFormCompletionItems
	{124, 1097, 2129},	//1970 KHTMLSettings::mediumFontSize
	{124, 1104, 2128},	//1971 KHTMLSettings::minFontSize
	{124, 1235, 2167},	//1972 KHTMLSettings::readDomainSettings#$$?
	{124, 1290, 2123},	//1973 KHTMLSettings::sansSerifFontName
	{124, 1325, 2122},	//1974 KHTMLSettings::serifFontName
	{124, 1490, 2127},	//1975 KHTMLSettings::setFixedFontName$
	{124, 1533, 2131},	//1976 KHTMLSettings::setJSErrorsEnabled$
	{124, 1535, 2174},	//1977 KHTMLSettings::setJSPopupBlockerPassivePopup$
	{124, 1688, 2126},	//1978 KHTMLSettings::setStdFontName$
	{124, 1761, 2168},	//1979 KHTMLSettings::settingsToCSS
	{124, 1766, 2118},	//1980 KHTMLSettings::showAnimations
	{124, 1779, 2119},	//1981 KHTMLSettings::smoothScrolling
	{124, 1786, 2177},	//1982 KHTMLSettings::splitDomainAdvice$$$$
	{124, 1802, 2120},	//1983 KHTMLSettings::stdFontName
	{124, 1806, 2176},	//1984 KHTMLSettings::strToAdvice$
	{124, 1841, 2134},	//1985 KHTMLSettings::textColor
	{124, 1859, 2114},	//1986 KHTMLSettings::underlineLink
	{124, 1860, 2139},	//1987 KHTMLSettings::unfinishedImageFrame
	{124, 1874, 2169},	//1988 KHTMLSettings::userStyleSheet
	{124, 1877, 2137},	//1989 KHTMLSettings::vLinkColor
	{124, 1901, 2166},	//1990 KHTMLSettings::windowFocusPolicy
	{124, 1902, 2165},	//1991 KHTMLSettings::windowFocusPolicy$
	{124, 1903, 2160},	//1992 KHTMLSettings::windowMovePolicy
	{124, 1904, 2159},	//1993 KHTMLSettings::windowMovePolicy$
	{124, 1905, 2158},	//1994 KHTMLSettings::windowOpenPolicy
	{124, 1906, 2157},	//1995 KHTMLSettings::windowOpenPolicy$
	{124, 1907, 2162},	//1996 KHTMLSettings::windowResizePolicy
	{124, 1908, 2161},	//1997 KHTMLSettings::windowResizePolicy$
	{124, 1909, 2164},	//1998 KHTMLSettings::windowStatusPolicy
	{124, 1910, 2163},	//1999 KHTMLSettings::windowStatusPolicy$
	{124, 2021, 2112},	//2000 KHTMLSettings::~KHTMLSettings
	{125, 374, 2185},	//2001 KHTMLView::KHTMLView##
	{125, 476, 2180},	//2002 KHTMLView::SSMDisabled
	{125, 477, 2182},	//2003 KHTMLView::SSMEnabled
	{125, 478, 2181},	//2004 KHTMLView::SSMWhenEfficient
	{125, 533, 2212},	//2005 KHTMLView::addChild#$$
	{125, 614, 2227},	//2006 KHTMLView::clear
	{125, 615, 2222},	//2007 KHTMLView::cleared
	{125, 625, 2243},	//2008 KHTMLView::closeEvent#
	{125, 653, 2199},	//2009 KHTMLView::contentsHeight
	{125, 655, 2205},	//2010 KHTMLView::contentsToViewport#
	{125, 656, 2208},	//2011 KHTMLView::contentsToViewport$$$$
	{125, 657, 2198},	//2012 KHTMLView::contentsWidth
	{125, 658, 2200},	//2013 KHTMLView::contentsX
	{125, 659, 2201},	//2014 KHTMLView::contentsY
	{125, 754, 2197},	//2015 KHTMLView::displayAccessKeys
	{125, 756, 2250},	//2016 KHTMLView::doAutoScroll
	{125, 769, 2241},	//2017 KHTMLView::dragEnterEvent#
	{125, 775, 2242},	//2018 KHTMLView::dropEvent#
	{125, 794, 2228},	//2019 KHTMLView::event#
	{125, 796, 2246},	//2020 KHTMLView::eventFilter##
	{125, 814, 2226},	//2021 KHTMLView::findAheadActive$
	{125, 829, 2221},	//2022 KHTMLView::finishedLayout
	{125, 835, 2235},	//2023 KHTMLView::focusInEvent#
	{125, 837, 2233},	//2024 KHTMLView::focusNextPrevChild$
	{125, 839, 2236},	//2025 KHTMLView::focusOutEvent#
	{125, 854, 2188},	//2026 KHTMLView::frameWidth
	{125, 927, 2224},	//2027 KHTMLView::hideAccessKeys
	{125, 929, 2232},	//2028 KHTMLView::hideEvent#
	{125, 1039, 2248},	//2029 KHTMLView::keyPressEvent#
	{125, 1041, 2249},	//2030 KHTMLView::keyReleaseEvent#
	{125, 1070, 2220},	//2031 KHTMLView::layout
	{125, 1091, 2192},	//2032 KHTMLView::marginHeight
	{125, 1092, 2190},	//2033 KHTMLView::marginWidth
	{125, 1099, 2183},	//2034 KHTMLView::metaObject
	{125, 1107, 2237},	//2035 KHTMLView::mouseDoubleClickEvent#
	{125, 1109, 2238},	//2036 KHTMLView::mouseMoveEvent#
	{125, 1111, 2234},	//2037 KHTMLView::mousePressEvent#
	{125, 1113, 2239},	//2038 KHTMLView::mouseReleaseEvent#
	{125, 1184, 2229},	//2039 KHTMLView::paintEvent#
	{125, 1191, 2187},	//2040 KHTMLView::part
	{125, 1217, 2196},	//2041 KHTMLView::print
	{125, 1218, 2195},	//2042 KHTMLView::print$
	{125, 1223, 2184},	//2043 KHTMLView::qt_metacall$$?
	{125, 1267, 2225},	//2044 KHTMLView::repaintAccessKeys
	{125, 1269, 2213},	//2045 KHTMLView::repaintContents#
	{125, 1270, 2214},	//2046 KHTMLView::repaintContents$$$$
	{125, 1277, 2219},	//2047 KHTMLView::resizeContents$$
	{125, 1279, 2230},	//2048 KHTMLView::resizeEvent#
	{125, 1302, 2209},	//2049 KHTMLView::scrollBy$$
	{125, 1304, 2247},	//2050 KHTMLView::scrollContentsBy$$
	{125, 1433, 2204},	//2051 KHTMLView::setContentsPos$$
	{125, 1507, 2194},	//2052 KHTMLView::setHorizontalScrollBarPolicy$
	{125, 1560, 2191},	//2053 KHTMLView::setMarginHeight$
	{125, 1563, 2189},	//2054 KHTMLView::setMarginWidth$
	{125, 1665, 2217},	//2055 KHTMLView::setSmoothScrollingMode$
	{125, 1667, 2252},	//2056 KHTMLView::setSmoothScrollingModeDefault$
	{125, 1735, 2193},	//2057 KHTMLView::setVerticalScrollBarPolicy$
	{125, 1759, 2215},	//2058 KHTMLView::setZoomLevel$
	{125, 1770, 2231},	//2059 KHTMLView::showEvent#
	{125, 1777, 2253},	//2060 KHTMLView::slotPaletteChanged
	{125, 1780, 2218},	//2061 KHTMLView::smoothScrollingMode
	{125, 1846, 2251},	//2062 KHTMLView::timerEvent#
	{125, 1863, 2210},	//2063 KHTMLView::updateContents#
	{125, 1864, 2211},	//2064 KHTMLView::updateContents$$$$
	{125, 1883, 2245},	//2065 KHTMLView::viewportEvent#
	{125, 1885, 2206},	//2066 KHTMLView::viewportToContents#
	{125, 1886, 2207},	//2067 KHTMLView::viewportToContents$$$$
	{125, 1888, 2203},	//2068 KHTMLView::visibleHeight
	{125, 1889, 2202},	//2069 KHTMLView::visibleWidth
	{125, 1893, 2240},	//2070 KHTMLView::wheelEvent#
	{125, 1897, 2244},	//2071 KHTMLView::widgetEvent#
	{125, 1923, 2216},	//2072 KHTMLView::zoomLevel
	{125, 1925, 2223},	//2073 KHTMLView::zoomView$
	{125, 2022, 2186},	//2074 KHTMLView::~KHTMLView
	{135, 166, 2257},	//2075 KParts::Event::Event#
	{135, 167, 2254},	//2076 KParts::Event::Event$
	{135, 798, 2256},	//2077 KParts::Event::eventName
	{135, 1838, 2258},	//2078 KParts::Event::test#
	{135, 1839, 2259},	//2079 KParts::Event::test#$
	{135, 1959, 2255},	//2080 KParts::Event::~Event
	{138, 440, 2263},	//2081 KParts::Part::Part
	{138, 441, 2262},	//2082 KParts::Part::Part#
	{138, 717, 2278},	//2083 KParts::Part::customEvent#
	{138, 780, 2265},	//2084 KParts::Part::embed#
	{138, 909, 2281},	//2085 KParts::Part::guiActivateEvent#
	{138, 931, 2271},	//2086 KParts::Part::hitTest##
	{138, 933, 2282},	//2087 KParts::Part::hostContainer$
	{138, 943, 2274},	//2088 KParts::Part::iconLoader
	{138, 1023, 2273},	//2089 KParts::Part::isSelectable
	{138, 1081, 2283},	//2090 KParts::Part::loadPlugins
	{138, 1090, 2268},	//2091 KParts::Part::manager
	{138, 1099, 2260},	//2092 KParts::Part::metaObject
	{138, 1193, 2279},	//2093 KParts::Part::partActivateEvent#
	{138, 1197, 2280},	//2094 KParts::Part::partSelectEvent#
	{138, 1223, 2261},	//2095 KParts::Part::qt_metacall$$?
	{138, 1361, 2270},	//2096 KParts::Part::setAutoDeletePart$
	{138, 1363, 2269},	//2097 KParts::Part::setAutoDeleteWidget$
	{138, 1557, 2267},	//2098 KParts::Part::setManager#
	{138, 1642, 2272},	//2099 KParts::Part::setSelectable$
	{138, 1684, 2276},	//2100 KParts::Part::setStatusBarText$
	{138, 1743, 2277},	//2101 KParts::Part::setWidget#
	{138, 1748, 2275},	//2102 KParts::Part::setWindowCaption$
	{138, 1778, 2284},	//2103 KParts::Part::slotWidgetDestroyed
	{138, 1895, 2266},	//2104 KParts::Part::widget
	{138, 2034, 2264},	//2105 KParts::Part::~Part
	{140, 135, 2289},	//2106 KParts::PartBase::DoNotLoadPlugins
	{140, 397, 2290},	//2107 KParts::PartBase::LoadPlugins
	{140, 398, 2291},	//2108 KParts::PartBase::LoadPluginsIfEnabled
	{140, 442, 2285},	//2109 KParts::PartBase::PartBase
	{140, 1082, 2294},	//2110 KParts::PartBase::loadPlugins###
	{140, 1195, 2288},	//2111 KParts::PartBase::partObject
	{140, 1426, 2292},	//2112 KParts::PartBase::setComponentData#
	{140, 1427, 2293},	//2113 KParts::PartBase::setComponentData#$
	{140, 1599, 2287},	//2114 KParts::PartBase::setPartObject#
	{140, 1601, 2296},	//2115 KParts::PartBase::setPluginInterfaceVersion$
	{140, 1603, 2295},	//2116 KParts::PartBase::setPluginLoadingMode$
	{140, 2035, 2286},	//2117 KParts::PartBase::~PartBase
	{143, 458, 2300},	//2118 KParts::ReadOnlyPart::ReadOnlyPart
	{143, 459, 2299},	//2119 KParts::ReadOnlyPart::ReadOnlyPart#
	{143, 513, 2319},	//2120 KParts::ReadOnlyPart::abortLoad
	{143, 556, 2309},	//2121 KParts::ReadOnlyPart::arguments
	{143, 584, 2307},	//2122 KParts::ReadOnlyPart::browserExtension
	{143, 590, 2317},	//2123 KParts::ReadOnlyPart::canceled$
	{143, 626, 2312},	//2124 KParts::ReadOnlyPart::closeStream
	{143, 627, 2306},	//2125 KParts::ReadOnlyPart::closeUrl
	{143, 644, 2315},	//2126 KParts::ReadOnlyPart::completed
	{143, 645, 2316},	//2127 KParts::ReadOnlyPart::completed$
	{143, 909, 2320},	//2128 KParts::ReadOnlyPart::guiActivateEvent#
	{143, 1022, 2303},	//2129 KParts::ReadOnlyPart::isProgressInfoEnabled
	{143, 1085, 2322},	//2130 KParts::ReadOnlyPart::localFilePath
	{143, 1099, 2297},	//2131 KParts::ReadOnlyPart::metaObject
	{143, 1149, 2318},	//2132 KParts::ReadOnlyPart::openFile
	{143, 1151, 2310},	//2133 KParts::ReadOnlyPart::openStream$#
	{143, 1153, 2313},	//2134 KParts::ReadOnlyPart::openUrl#
	{143, 1223, 2298},	//2135 KParts::ReadOnlyPart::qt_metacall$$?
	{143, 1349, 2308},	//2136 KParts::ReadOnlyPart::setArguments#
	{143, 1551, 2323},	//2137 KParts::ReadOnlyPart::setLocalFilePath$
	{143, 1613, 2302},	//2138 KParts::ReadOnlyPart::setProgressInfoEnabled$
	{143, 1717, 2321},	//2139 KParts::ReadOnlyPart::setUrl#
	{143, 1772, 2304},	//2140 KParts::ReadOnlyPart::showProgressInfo$
	{143, 1795, 2314},	//2141 KParts::ReadOnlyPart::started#
	{143, 1867, 2305},	//2142 KParts::ReadOnlyPart::url
	{143, 1916, 2311},	//2143 KParts::ReadOnlyPart::writeStream#
	{143, 2040, 2301},	//2144 KParts::ReadOnlyPart::~ReadOnlyPart
};

static Smoke::Index khtml_ambiguousMethodList[] = {
    0,
    4,  // DOM::operator!=(const DOM::DOMString&, const QString&)
    5,  // DOM::operator!=(const DOM::DOMString&, const char*)
    0,
    1,  // DOM::operator==(const DOM::DOMString&, const QString&)
    2,  // DOM::operator==(const DOM::DOMString&, const char*)
    0,
    18,  // DOM::Attr::Attr(const DOM::Node&)
    19,  // DOM::Attr::Attr(const DOM::Attr&)
    0,
    20,  // DOM::Attr::operator=(const DOM::Node&)
    21,  // DOM::Attr::operator=(const DOM::Attr&)
    0,
    30,  // DOM::CDATASection::CDATASection(const DOM::CDATASection&)
    31,  // DOM::CDATASection::CDATASection(const DOM::Node&)
    0,
    32,  // DOM::CDATASection::operator=(const DOM::Node&)
    33,  // DOM::CDATASection::operator=(const DOM::CDATASection&)
    0,
    38,  // DOM::CSSCharsetRule::CSSCharsetRule(const DOM::CSSRule&)
    37,  // DOM::CSSCharsetRule::CSSCharsetRule(const DOM::CSSCharsetRule&)
    0,
    40,  // DOM::CSSCharsetRule::operator=(const DOM::CSSCharsetRule&)
    41,  // DOM::CSSCharsetRule::operator=(const DOM::CSSRule&)
    0,
    57,  // DOM::CSSFontFaceRule::CSSFontFaceRule(const DOM::CSSRule&)
    56,  // DOM::CSSFontFaceRule::CSSFontFaceRule(const DOM::CSSFontFaceRule&)
    0,
    59,  // DOM::CSSFontFaceRule::operator=(const DOM::CSSFontFaceRule&)
    60,  // DOM::CSSFontFaceRule::operator=(const DOM::CSSRule&)
    0,
    64,  // DOM::CSSImportRule::CSSImportRule(const DOM::CSSImportRule&)
    65,  // DOM::CSSImportRule::CSSImportRule(const DOM::CSSRule&)
    0,
    67,  // DOM::CSSImportRule::operator=(const DOM::CSSImportRule&)
    68,  // DOM::CSSImportRule::operator=(const DOM::CSSRule&)
    0,
    74,  // DOM::CSSMediaRule::CSSMediaRule(const DOM::CSSMediaRule&)
    75,  // DOM::CSSMediaRule::CSSMediaRule(const DOM::CSSRule&)
    0,
    77,  // DOM::CSSMediaRule::operator=(const DOM::CSSMediaRule&)
    78,  // DOM::CSSMediaRule::operator=(const DOM::CSSRule&)
    0,
    86,  // DOM::CSSPageRule::CSSPageRule(const DOM::CSSRule&)
    85,  // DOM::CSSPageRule::CSSPageRule(const DOM::CSSPageRule&)
    0,
    89,  // DOM::CSSPageRule::operator=(const DOM::CSSRule&)
    88,  // DOM::CSSPageRule::operator=(const DOM::CSSPageRule&)
    0,
    125,  // DOM::CSSPrimitiveValue::CSSPrimitiveValue(const DOM::CSSPrimitiveValue&)
    126,  // DOM::CSSPrimitiveValue::CSSPrimitiveValue(const DOM::CSSValue&)
    0,
    128,  // DOM::CSSPrimitiveValue::operator=(const DOM::CSSPrimitiveValue&)
    129,  // DOM::CSSPrimitiveValue::operator=(const DOM::CSSValue&)
    0,
    161,  // DOM::CSSRuleList::CSSRuleList(DOM::CSSRuleListImpl*)
    162,  // DOM::CSSRuleList::CSSRuleList(DOM::StyleListImpl*)
    0,
    185,  // DOM::CSSStyleRule::CSSStyleRule(const DOM::CSSStyleRule&)
    186,  // DOM::CSSStyleRule::CSSStyleRule(const DOM::CSSRule&)
    0,
    188,  // DOM::CSSStyleRule::operator=(const DOM::CSSStyleRule&)
    189,  // DOM::CSSStyleRule::operator=(const DOM::CSSRule&)
    0,
    195,  // DOM::CSSStyleSheet::CSSStyleSheet(const DOM::CSSStyleSheet&)
    196,  // DOM::CSSStyleSheet::CSSStyleSheet(const DOM::StyleSheet&)
    0,
    199,  // DOM::CSSStyleSheet::operator=(const DOM::StyleSheet&)
    198,  // DOM::CSSStyleSheet::operator=(const DOM::CSSStyleSheet&)
    0,
    206,  // DOM::CSSUnknownRule::CSSUnknownRule(const DOM::CSSUnknownRule&)
    207,  // DOM::CSSUnknownRule::CSSUnknownRule(const DOM::CSSRule&)
    0,
    209,  // DOM::CSSUnknownRule::operator=(const DOM::CSSUnknownRule&)
    210,  // DOM::CSSUnknownRule::operator=(const DOM::CSSRule&)
    0,
    230,  // DOM::CSSValueList::CSSValueList(const DOM::CSSValue&)
    229,  // DOM::CSSValueList::CSSValueList(const DOM::CSSValueList&)
    0,
    232,  // DOM::CSSValueList::operator=(const DOM::CSSValueList&)
    233,  // DOM::CSSValueList::operator=(const DOM::CSSValue&)
    0,
    239,  // DOM::CharacterData::CharacterData(const DOM::Node&)
    238,  // DOM::CharacterData::CharacterData(const DOM::CharacterData&)
    0,
    240,  // DOM::CharacterData::operator=(const DOM::Node&)
    241,  // DOM::CharacterData::operator=(const DOM::CharacterData&)
    0,
    253,  // DOM::Comment::Comment(const DOM::Comment&)
    254,  // DOM::Comment::Comment(const DOM::Node&)
    0,
    255,  // DOM::Comment::operator=(const DOM::Node&)
    256,  // DOM::Comment::operator=(const DOM::Comment&)
    0,
    311,  // DOM::DOMString::DOMString(const QString&)
    312,  // DOM::DOMString::DOMString(const char*)
    0,
    346,  // DOM::Document::Document(const DOM::Document&)
    347,  // DOM::Document::Document(const DOM::Node&)
    0,
    348,  // DOM::Document::operator=(const DOM::Node&)
    349,  // DOM::Document::operator=(const DOM::Document&)
    0,
    401,  // DOM::DocumentFragment::DocumentFragment(const DOM::DocumentFragment&)
    402,  // DOM::DocumentFragment::DocumentFragment(const DOM::Node&)
    0,
    403,  // DOM::DocumentFragment::operator=(const DOM::Node&)
    404,  // DOM::DocumentFragment::operator=(const DOM::DocumentFragment&)
    0,
    409,  // DOM::DocumentStyle::operator=(const DOM::DocumentStyle&)
    410,  // DOM::DocumentStyle::operator=(const DOM::Document&)
    0,
    419,  // DOM::DocumentType::DocumentType(const DOM::Node&)
    418,  // DOM::DocumentType::DocumentType(const DOM::DocumentType&)
    0,
    421,  // DOM::DocumentType::operator=(const DOM::DocumentType&)
    420,  // DOM::DocumentType::operator=(const DOM::Node&)
    0,
    439,  // DOM::Element::Element(const DOM::Node&)
    440,  // DOM::Element::Element(const DOM::Element&)
    0,
    441,  // DOM::Element::operator=(const DOM::Node&)
    442,  // DOM::Element::operator=(const DOM::Element&)
    0,
    471,  // DOM::Entity::Entity(const DOM::Entity&)
    472,  // DOM::Entity::Entity(const DOM::Node&)
    0,
    473,  // DOM::Entity::operator=(const DOM::Node&)
    474,  // DOM::Entity::operator=(const DOM::Entity&)
    0,
    481,  // DOM::EntityReference::EntityReference(const DOM::EntityReference&)
    482,  // DOM::EntityReference::EntityReference(const DOM::Node&)
    0,
    483,  // DOM::EntityReference::operator=(const DOM::Node&)
    484,  // DOM::EntityReference::operator=(const DOM::EntityReference&)
    0,
    522,  // DOM::HTMLAnchorElement::HTMLAnchorElement(const DOM::Node&)
    521,  // DOM::HTMLAnchorElement::HTMLAnchorElement(const DOM::HTMLAnchorElement&)
    0,
    523,  // DOM::HTMLAnchorElement::operator=(const DOM::HTMLAnchorElement&)
    524,  // DOM::HTMLAnchorElement::operator=(const DOM::Node&)
    0,
    555,  // DOM::HTMLAppletElement::HTMLAppletElement(const DOM::Node&)
    554,  // DOM::HTMLAppletElement::HTMLAppletElement(const DOM::HTMLAppletElement&)
    0,
    556,  // DOM::HTMLAppletElement::operator=(const DOM::HTMLAppletElement&)
    557,  // DOM::HTMLAppletElement::operator=(const DOM::Node&)
    0,
    583,  // DOM::HTMLAreaElement::HTMLAreaElement(const DOM::HTMLAreaElement&)
    584,  // DOM::HTMLAreaElement::HTMLAreaElement(const DOM::Node&)
    0,
    585,  // DOM::HTMLAreaElement::operator=(const DOM::HTMLAreaElement&)
    586,  // DOM::HTMLAreaElement::operator=(const DOM::Node&)
    0,
    607,  // DOM::HTMLBRElement::HTMLBRElement(const DOM::Node&)
    606,  // DOM::HTMLBRElement::HTMLBRElement(const DOM::HTMLBRElement&)
    0,
    609,  // DOM::HTMLBRElement::operator=(const DOM::Node&)
    608,  // DOM::HTMLBRElement::operator=(const DOM::HTMLBRElement&)
    0,
    615,  // DOM::HTMLBaseElement::HTMLBaseElement(const DOM::HTMLBaseElement&)
    616,  // DOM::HTMLBaseElement::HTMLBaseElement(const DOM::Node&)
    0,
    617,  // DOM::HTMLBaseElement::operator=(const DOM::HTMLBaseElement&)
    618,  // DOM::HTMLBaseElement::operator=(const DOM::Node&)
    0,
    627,  // DOM::HTMLBaseFontElement::HTMLBaseFontElement(const DOM::Node&)
    626,  // DOM::HTMLBaseFontElement::HTMLBaseFontElement(const DOM::HTMLBaseFontElement&)
    0,
    629,  // DOM::HTMLBaseFontElement::operator=(const DOM::Node&)
    628,  // DOM::HTMLBaseFontElement::operator=(const DOM::HTMLBaseFontElement&)
    0,
    639,  // DOM::HTMLBlockquoteElement::HTMLBlockquoteElement(const DOM::HTMLBlockquoteElement&)
    640,  // DOM::HTMLBlockquoteElement::HTMLBlockquoteElement(const DOM::Node&)
    0,
    641,  // DOM::HTMLBlockquoteElement::operator=(const DOM::HTMLBlockquoteElement&)
    642,  // DOM::HTMLBlockquoteElement::operator=(const DOM::Node&)
    0,
    649,  // DOM::HTMLBodyElement::HTMLBodyElement(const DOM::Node&)
    648,  // DOM::HTMLBodyElement::HTMLBodyElement(const DOM::HTMLBodyElement&)
    0,
    650,  // DOM::HTMLBodyElement::operator=(const DOM::HTMLBodyElement&)
    651,  // DOM::HTMLBodyElement::operator=(const DOM::Node&)
    0,
    667,  // DOM::HTMLButtonElement::HTMLButtonElement(const DOM::HTMLButtonElement&)
    668,  // DOM::HTMLButtonElement::HTMLButtonElement(const DOM::Node&)
    0,
    670,  // DOM::HTMLButtonElement::operator=(const DOM::Node&)
    669,  // DOM::HTMLButtonElement::operator=(const DOM::HTMLButtonElement&)
    0,
    702,  // DOM::HTMLDListElement::HTMLDListElement(const DOM::HTMLDListElement&)
    703,  // DOM::HTMLDListElement::HTMLDListElement(const DOM::Node&)
    0,
    705,  // DOM::HTMLDListElement::operator=(const DOM::Node&)
    704,  // DOM::HTMLDListElement::operator=(const DOM::HTMLDListElement&)
    0,
    711,  // DOM::HTMLDirectoryElement::HTMLDirectoryElement(const DOM::HTMLDirectoryElement&)
    712,  // DOM::HTMLDirectoryElement::HTMLDirectoryElement(const DOM::Node&)
    0,
    714,  // DOM::HTMLDirectoryElement::operator=(const DOM::Node&)
    713,  // DOM::HTMLDirectoryElement::operator=(const DOM::HTMLDirectoryElement&)
    0,
    720,  // DOM::HTMLDivElement::HTMLDivElement(const DOM::HTMLDivElement&)
    721,  // DOM::HTMLDivElement::HTMLDivElement(const DOM::Node&)
    0,
    723,  // DOM::HTMLDivElement::operator=(const DOM::Node&)
    722,  // DOM::HTMLDivElement::operator=(const DOM::HTMLDivElement&)
    0,
    729,  // DOM::HTMLDocument::HTMLDocument(KHTMLView*)
    730,  // DOM::HTMLDocument::HTMLDocument(const DOM::HTMLDocument&)
    731,  // DOM::HTMLDocument::HTMLDocument(const DOM::Node&)
    0,
    732,  // DOM::HTMLDocument::operator=(const DOM::HTMLDocument&)
    733,  // DOM::HTMLDocument::operator=(const DOM::Node&)
    0,
    762,  // DOM::HTMLElement::HTMLElement(const DOM::Node&)
    761,  // DOM::HTMLElement::HTMLElement(const DOM::HTMLElement&)
    0,
    764,  // DOM::HTMLElement::operator=(const DOM::Node&)
    763,  // DOM::HTMLElement::operator=(const DOM::HTMLElement&)
    0,
    791,  // DOM::HTMLFieldSetElement::HTMLFieldSetElement(const DOM::Node&)
    790,  // DOM::HTMLFieldSetElement::HTMLFieldSetElement(const DOM::HTMLFieldSetElement&)
    0,
    793,  // DOM::HTMLFieldSetElement::operator=(const DOM::Node&)
    792,  // DOM::HTMLFieldSetElement::operator=(const DOM::HTMLFieldSetElement&)
    0,
    798,  // DOM::HTMLFontElement::HTMLFontElement(const DOM::HTMLFontElement&)
    799,  // DOM::HTMLFontElement::HTMLFontElement(const DOM::Node&)
    0,
    800,  // DOM::HTMLFontElement::operator=(const DOM::HTMLFontElement&)
    801,  // DOM::HTMLFontElement::operator=(const DOM::Node&)
    0,
    814,  // DOM::HTMLFormElement::HTMLFormElement(const DOM::HTMLFormElement&)
    815,  // DOM::HTMLFormElement::HTMLFormElement(const DOM::Node&)
    0,
    816,  // DOM::HTMLFormElement::operator=(const DOM::HTMLFormElement&)
    817,  // DOM::HTMLFormElement::operator=(const DOM::Node&)
    0,
    837,  // DOM::HTMLFrameElement::HTMLFrameElement(const DOM::HTMLFrameElement&)
    838,  // DOM::HTMLFrameElement::HTMLFrameElement(const DOM::Node&)
    0,
    840,  // DOM::HTMLFrameElement::operator=(const DOM::Node&)
    839,  // DOM::HTMLFrameElement::operator=(const DOM::HTMLFrameElement&)
    0,
    862,  // DOM::HTMLFrameSetElement::HTMLFrameSetElement(const DOM::Node&)
    861,  // DOM::HTMLFrameSetElement::HTMLFrameSetElement(const DOM::HTMLFrameSetElement&)
    0,
    864,  // DOM::HTMLFrameSetElement::operator=(const DOM::Node&)
    863,  // DOM::HTMLFrameSetElement::operator=(const DOM::HTMLFrameSetElement&)
    0,
    873,  // DOM::HTMLHRElement::HTMLHRElement(const DOM::Node&)
    872,  // DOM::HTMLHRElement::HTMLHRElement(const DOM::HTMLHRElement&)
    0,
    874,  // DOM::HTMLHRElement::operator=(const DOM::HTMLHRElement&)
    875,  // DOM::HTMLHRElement::operator=(const DOM::Node&)
    0,
    887,  // DOM::HTMLHeadElement::HTMLHeadElement(const DOM::HTMLHeadElement&)
    888,  // DOM::HTMLHeadElement::HTMLHeadElement(const DOM::Node&)
    0,
    889,  // DOM::HTMLHeadElement::operator=(const DOM::HTMLHeadElement&)
    890,  // DOM::HTMLHeadElement::operator=(const DOM::Node&)
    0,
    896,  // DOM::HTMLHeadingElement::HTMLHeadingElement(const DOM::HTMLHeadingElement&)
    897,  // DOM::HTMLHeadingElement::HTMLHeadingElement(const DOM::Node&)
    0,
    899,  // DOM::HTMLHeadingElement::operator=(const DOM::Node&)
    898,  // DOM::HTMLHeadingElement::operator=(const DOM::HTMLHeadingElement&)
    0,
    906,  // DOM::HTMLHtmlElement::HTMLHtmlElement(const DOM::Node&)
    905,  // DOM::HTMLHtmlElement::HTMLHtmlElement(const DOM::HTMLHtmlElement&)
    0,
    907,  // DOM::HTMLHtmlElement::operator=(const DOM::HTMLHtmlElement&)
    908,  // DOM::HTMLHtmlElement::operator=(const DOM::Node&)
    0,
    915,  // DOM::HTMLIFrameElement::HTMLIFrameElement(const DOM::Node&)
    914,  // DOM::HTMLIFrameElement::HTMLIFrameElement(const DOM::HTMLIFrameElement&)
    0,
    916,  // DOM::HTMLIFrameElement::operator=(const DOM::HTMLIFrameElement&)
    917,  // DOM::HTMLIFrameElement::operator=(const DOM::Node&)
    0,
    942,  // DOM::HTMLImageElement::HTMLImageElement(const DOM::HTMLImageElement&)
    943,  // DOM::HTMLImageElement::HTMLImageElement(const DOM::Node&)
    0,
    945,  // DOM::HTMLImageElement::operator=(const DOM::Node&)
    944,  // DOM::HTMLImageElement::operator=(const DOM::HTMLImageElement&)
    0,
    976,  // DOM::HTMLInputElement::HTMLInputElement(const DOM::Node&)
    975,  // DOM::HTMLInputElement::HTMLInputElement(const DOM::HTMLInputElement&)
    0,
    977,  // DOM::HTMLInputElement::operator=(const DOM::HTMLInputElement&)
    978,  // DOM::HTMLInputElement::operator=(const DOM::Node&)
    0,
    1028,  // DOM::HTMLIsIndexElement::HTMLIsIndexElement(const DOM::HTMLIsIndexElement&)
    1029,  // DOM::HTMLIsIndexElement::HTMLIsIndexElement(const DOM::Node&)
    0,
    1031,  // DOM::HTMLIsIndexElement::operator=(const DOM::Node&)
    1030,  // DOM::HTMLIsIndexElement::operator=(const DOM::HTMLIsIndexElement&)
    0,
    1039,  // DOM::HTMLLIElement::HTMLLIElement(const DOM::Node&)
    1038,  // DOM::HTMLLIElement::HTMLLIElement(const DOM::HTMLLIElement&)
    0,
    1040,  // DOM::HTMLLIElement::operator=(const DOM::HTMLLIElement&)
    1041,  // DOM::HTMLLIElement::operator=(const DOM::Node&)
    0,
    1050,  // DOM::HTMLLabelElement::HTMLLabelElement(const DOM::Node&)
    1049,  // DOM::HTMLLabelElement::HTMLLabelElement(const DOM::HTMLLabelElement&)
    0,
    1051,  // DOM::HTMLLabelElement::operator=(const DOM::HTMLLabelElement&)
    1052,  // DOM::HTMLLabelElement::operator=(const DOM::Node&)
    0,
    1061,  // DOM::HTMLLayerElement::HTMLLayerElement(const DOM::Node&)
    1060,  // DOM::HTMLLayerElement::HTMLLayerElement(const DOM::HTMLLayerElement&)
    0,
    1063,  // DOM::HTMLLayerElement::operator=(const DOM::Node&)
    1062,  // DOM::HTMLLayerElement::operator=(const DOM::HTMLLayerElement&)
    0,
    1076,  // DOM::HTMLLegendElement::HTMLLegendElement(const DOM::HTMLLegendElement&)
    1077,  // DOM::HTMLLegendElement::HTMLLegendElement(const DOM::Node&)
    0,
    1079,  // DOM::HTMLLegendElement::operator=(const DOM::Node&)
    1078,  // DOM::HTMLLegendElement::operator=(const DOM::HTMLLegendElement&)
    0,
    1089,  // DOM::HTMLLinkElement::HTMLLinkElement(const DOM::Node&)
    1088,  // DOM::HTMLLinkElement::HTMLLinkElement(const DOM::HTMLLinkElement&)
    0,
    1091,  // DOM::HTMLLinkElement::operator=(const DOM::Node&)
    1090,  // DOM::HTMLLinkElement::operator=(const DOM::HTMLLinkElement&)
    0,
    1115,  // DOM::HTMLMapElement::HTMLMapElement(const DOM::Node&)
    1114,  // DOM::HTMLMapElement::HTMLMapElement(const DOM::HTMLMapElement&)
    0,
    1116,  // DOM::HTMLMapElement::operator=(const DOM::HTMLMapElement&)
    1117,  // DOM::HTMLMapElement::operator=(const DOM::Node&)
    0,
    1125,  // DOM::HTMLMenuElement::HTMLMenuElement(const DOM::Node&)
    1124,  // DOM::HTMLMenuElement::HTMLMenuElement(const DOM::HTMLMenuElement&)
    0,
    1126,  // DOM::HTMLMenuElement::operator=(const DOM::HTMLMenuElement&)
    1127,  // DOM::HTMLMenuElement::operator=(const DOM::Node&)
    0,
    1134,  // DOM::HTMLMetaElement::HTMLMetaElement(const DOM::Node&)
    1133,  // DOM::HTMLMetaElement::HTMLMetaElement(const DOM::HTMLMetaElement&)
    0,
    1136,  // DOM::HTMLMetaElement::operator=(const DOM::Node&)
    1135,  // DOM::HTMLMetaElement::operator=(const DOM::HTMLMetaElement&)
    0,
    1149,  // DOM::HTMLModElement::HTMLModElement(const DOM::Node&)
    1148,  // DOM::HTMLModElement::HTMLModElement(const DOM::HTMLModElement&)
    0,
    1151,  // DOM::HTMLModElement::operator=(const DOM::Node&)
    1150,  // DOM::HTMLModElement::operator=(const DOM::HTMLModElement&)
    0,
    1160,  // DOM::HTMLOListElement::HTMLOListElement(const DOM::Node&)
    1159,  // DOM::HTMLOListElement::HTMLOListElement(const DOM::HTMLOListElement&)
    0,
    1162,  // DOM::HTMLOListElement::operator=(const DOM::Node&)
    1161,  // DOM::HTMLOListElement::operator=(const DOM::HTMLOListElement&)
    0,
    1173,  // DOM::HTMLObjectElement::HTMLObjectElement(const DOM::Node&)
    1172,  // DOM::HTMLObjectElement::HTMLObjectElement(const DOM::HTMLObjectElement&)
    0,
    1175,  // DOM::HTMLObjectElement::operator=(const DOM::Node&)
    1174,  // DOM::HTMLObjectElement::operator=(const DOM::HTMLObjectElement&)
    0,
    1215,  // DOM::HTMLOptGroupElement::HTMLOptGroupElement(const DOM::HTMLOptGroupElement&)
    1216,  // DOM::HTMLOptGroupElement::HTMLOptGroupElement(const DOM::Node&)
    0,
    1217,  // DOM::HTMLOptGroupElement::operator=(const DOM::HTMLOptGroupElement&)
    1218,  // DOM::HTMLOptGroupElement::operator=(const DOM::Node&)
    0,
    1226,  // DOM::HTMLOptionElement::HTMLOptionElement(const DOM::HTMLOptionElement&)
    1227,  // DOM::HTMLOptionElement::HTMLOptionElement(const DOM::Node&)
    0,
    1229,  // DOM::HTMLOptionElement::operator=(const DOM::Node&)
    1228,  // DOM::HTMLOptionElement::operator=(const DOM::HTMLOptionElement&)
    0,
    1247,  // DOM::HTMLParagraphElement::HTMLParagraphElement(const DOM::HTMLParagraphElement&)
    1248,  // DOM::HTMLParagraphElement::HTMLParagraphElement(const DOM::Node&)
    0,
    1249,  // DOM::HTMLParagraphElement::operator=(const DOM::HTMLParagraphElement&)
    1250,  // DOM::HTMLParagraphElement::operator=(const DOM::Node&)
    0,
    1257,  // DOM::HTMLParamElement::HTMLParamElement(const DOM::Node&)
    1256,  // DOM::HTMLParamElement::HTMLParamElement(const DOM::HTMLParamElement&)
    0,
    1258,  // DOM::HTMLParamElement::operator=(const DOM::HTMLParamElement&)
    1259,  // DOM::HTMLParamElement::operator=(const DOM::Node&)
    0,
    1271,  // DOM::HTMLPreElement::HTMLPreElement(const DOM::HTMLPreElement&)
    1272,  // DOM::HTMLPreElement::HTMLPreElement(const DOM::Node&)
    0,
    1274,  // DOM::HTMLPreElement::operator=(const DOM::Node&)
    1273,  // DOM::HTMLPreElement::operator=(const DOM::HTMLPreElement&)
    0,
    1280,  // DOM::HTMLQuoteElement::HTMLQuoteElement(const DOM::HTMLQuoteElement&)
    1281,  // DOM::HTMLQuoteElement::HTMLQuoteElement(const DOM::Node&)
    0,
    1282,  // DOM::HTMLQuoteElement::operator=(const DOM::HTMLQuoteElement&)
    1283,  // DOM::HTMLQuoteElement::operator=(const DOM::Node&)
    0,
    1290,  // DOM::HTMLScriptElement::HTMLScriptElement(const DOM::Node&)
    1289,  // DOM::HTMLScriptElement::HTMLScriptElement(const DOM::HTMLScriptElement&)
    0,
    1291,  // DOM::HTMLScriptElement::operator=(const DOM::HTMLScriptElement&)
    1292,  // DOM::HTMLScriptElement::operator=(const DOM::Node&)
    0,
    1311,  // DOM::HTMLSelectElement::HTMLSelectElement(const DOM::Node&)
    1310,  // DOM::HTMLSelectElement::HTMLSelectElement(const DOM::HTMLSelectElement&)
    0,
    1312,  // DOM::HTMLSelectElement::operator=(const DOM::HTMLSelectElement&)
    1313,  // DOM::HTMLSelectElement::operator=(const DOM::Node&)
    0,
    1339,  // DOM::HTMLStyleElement::HTMLStyleElement(const DOM::HTMLStyleElement&)
    1340,  // DOM::HTMLStyleElement::HTMLStyleElement(const DOM::Node&)
    0,
    1342,  // DOM::HTMLStyleElement::operator=(const DOM::Node&)
    1341,  // DOM::HTMLStyleElement::operator=(const DOM::HTMLStyleElement&)
    0,
    1353,  // DOM::HTMLTableCaptionElement::HTMLTableCaptionElement(const DOM::HTMLTableCaptionElement&)
    1354,  // DOM::HTMLTableCaptionElement::HTMLTableCaptionElement(const DOM::Node&)
    0,
    1356,  // DOM::HTMLTableCaptionElement::operator=(const DOM::Node&)
    1355,  // DOM::HTMLTableCaptionElement::operator=(const DOM::HTMLTableCaptionElement&)
    0,
    1362,  // DOM::HTMLTableCellElement::HTMLTableCellElement(const DOM::HTMLTableCellElement&)
    1363,  // DOM::HTMLTableCellElement::HTMLTableCellElement(const DOM::Node&)
    0,
    1365,  // DOM::HTMLTableCellElement::operator=(const DOM::Node&)
    1364,  // DOM::HTMLTableCellElement::operator=(const DOM::HTMLTableCellElement&)
    0,
    1400,  // DOM::HTMLTableColElement::HTMLTableColElement(const DOM::Node&)
    1399,  // DOM::HTMLTableColElement::HTMLTableColElement(const DOM::HTMLTableColElement&)
    0,
    1402,  // DOM::HTMLTableColElement::operator=(const DOM::Node&)
    1401,  // DOM::HTMLTableColElement::operator=(const DOM::HTMLTableColElement&)
    0,
    1418,  // DOM::HTMLTableElement::HTMLTableElement(const DOM::HTMLTableElement&)
    1419,  // DOM::HTMLTableElement::HTMLTableElement(const DOM::Node&)
    0,
    1420,  // DOM::HTMLTableElement::operator=(const DOM::HTMLTableElement&)
    1421,  // DOM::HTMLTableElement::operator=(const DOM::Node&)
    0,
    1459,  // DOM::HTMLTableRowElement::HTMLTableRowElement(const DOM::HTMLTableRowElement&)
    1460,  // DOM::HTMLTableRowElement::HTMLTableRowElement(const DOM::Node&)
    0,
    1461,  // DOM::HTMLTableRowElement::operator=(const DOM::HTMLTableRowElement&)
    1462,  // DOM::HTMLTableRowElement::operator=(const DOM::Node&)
    0,
    1484,  // DOM::HTMLTableSectionElement::HTMLTableSectionElement(const DOM::HTMLTableSectionElement&)
    1485,  // DOM::HTMLTableSectionElement::HTMLTableSectionElement(const DOM::Node&)
    0,
    1486,  // DOM::HTMLTableSectionElement::operator=(const DOM::HTMLTableSectionElement&)
    1487,  // DOM::HTMLTableSectionElement::operator=(const DOM::Node&)
    0,
    1503,  // DOM::HTMLTextAreaElement::HTMLTextAreaElement(const DOM::Node&)
    1502,  // DOM::HTMLTextAreaElement::HTMLTextAreaElement(const DOM::HTMLTextAreaElement&)
    0,
    1505,  // DOM::HTMLTextAreaElement::operator=(const DOM::Node&)
    1504,  // DOM::HTMLTextAreaElement::operator=(const DOM::HTMLTextAreaElement&)
    0,
    1539,  // DOM::HTMLTitleElement::HTMLTitleElement(const DOM::Node&)
    1538,  // DOM::HTMLTitleElement::HTMLTitleElement(const DOM::HTMLTitleElement&)
    0,
    1540,  // DOM::HTMLTitleElement::operator=(const DOM::HTMLTitleElement&)
    1541,  // DOM::HTMLTitleElement::operator=(const DOM::Node&)
    0,
    1547,  // DOM::HTMLUListElement::HTMLUListElement(const DOM::HTMLUListElement&)
    1548,  // DOM::HTMLUListElement::HTMLUListElement(const DOM::Node&)
    0,
    1549,  // DOM::HTMLUListElement::operator=(const DOM::HTMLUListElement&)
    1550,  // DOM::HTMLUListElement::operator=(const DOM::Node&)
    0,
    1562,  // DOM::KeyboardEvent::KeyboardEvent(const DOM::KeyboardEvent&)
    1563,  // DOM::KeyboardEvent::KeyboardEvent(const DOM::Event&)
    0,
    1565,  // DOM::KeyboardEvent::operator=(const DOM::Event&)
    1564,  // DOM::KeyboardEvent::operator=(const DOM::KeyboardEvent&)
    0,
    1578,  // DOM::LinkStyle::operator=(const DOM::Node&)
    1577,  // DOM::LinkStyle::operator=(const DOM::LinkStyle&)
    0,
    1596,  // DOM::MouseEvent::MouseEvent(const DOM::Event&)
    1595,  // DOM::MouseEvent::MouseEvent(const DOM::MouseEvent&)
    0,
    1598,  // DOM::MouseEvent::operator=(const DOM::Event&)
    1597,  // DOM::MouseEvent::operator=(const DOM::MouseEvent&)
    0,
    1617,  // DOM::MutationEvent::MutationEvent(const DOM::Event&)
    1616,  // DOM::MutationEvent::MutationEvent(const DOM::MutationEvent&)
    0,
    1618,  // DOM::MutationEvent::operator=(const DOM::MutationEvent&)
    1619,  // DOM::MutationEvent::operator=(const DOM::Event&)
    0,
    1744,  // DOM::Notation::Notation(const DOM::Notation&)
    1745,  // DOM::Notation::Notation(const DOM::Node&)
    0,
    1746,  // DOM::Notation::operator=(const DOM::Node&)
    1747,  // DOM::Notation::operator=(const DOM::Notation&)
    0,
    1754,  // DOM::ProcessingInstruction::ProcessingInstruction(const DOM::Node&)
    1753,  // DOM::ProcessingInstruction::ProcessingInstruction(const DOM::ProcessingInstruction&)
    0,
    1756,  // DOM::ProcessingInstruction::operator=(const DOM::ProcessingInstruction&)
    1755,  // DOM::ProcessingInstruction::operator=(const DOM::Node&)
    0,
    1777,  // DOM::Range::Range(const DOM::Document)
    1778,  // DOM::Range::Range(const DOM::Range&)
    0,
    1856,  // DOM::Text::Text(const DOM::Text&)
    1857,  // DOM::Text::Text(const DOM::Node&)
    0,
    1858,  // DOM::Text::operator=(const DOM::Node&)
    1859,  // DOM::Text::operator=(const DOM::Text&)
    0,
    1864,  // DOM::TextEvent::TextEvent(const DOM::TextEvent&)
    1865,  // DOM::TextEvent::TextEvent(const DOM::Event&)
    0,
    1867,  // DOM::TextEvent::operator=(const DOM::Event&)
    1866,  // DOM::TextEvent::operator=(const DOM::TextEvent&)
    0,
    1890,  // DOM::UIEvent::UIEvent(const DOM::UIEvent&)
    1891,  // DOM::UIEvent::UIEvent(const DOM::Event&)
    0,
    1893,  // DOM::UIEvent::operator=(const DOM::Event&)
    1892,  // DOM::UIEvent::operator=(const DOM::UIEvent&)
    0,
    1921,  // KHTMLPart::KHTMLPart(QWidget*)
    1925,  // KHTMLPart::KHTMLPart(KHTMLView*)
    0,
    1920,  // KHTMLPart::KHTMLPart(QWidget*, QObject*)
    1924,  // KHTMLPart::KHTMLPart(KHTMLView*, QObject*)
    0,
    1919,  // KHTMLPart::KHTMLPart(QWidget*, QObject*, KHTMLPart::GUIProfile)
    1923,  // KHTMLPart::KHTMLPart(KHTMLView*, QObject*, KHTMLPart::GUIProfile)
    0,
    1971,  // KHTMLPart::write(const QString&)
    1970,  // KHTMLPart::write(const char*)
    0,
};


void init_qt_Smoke();
void init_kde_Smoke();

bool initialized = false;
Smoke *khtml_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_khtml_Smoke() {
    if (initialized) return;
    init_qt_Smoke();
    init_kde_Smoke();
    khtml_Smoke = new Smoke(
        "khtml",
        khtml_classes, 200,
        khtml_methods, 2401,
        khtml_methodMaps, 2145,
        khtml_methodNames, 2047,
        khtml_types, 888,
        khtml_inheritanceList,
        khtml_argumentList,
        khtml_ambiguousMethodList,
        khtml_cast );
    initialized = true;
}
