#include <qabstractitemmodel.h>
#include <qaction.h>
#include <qbrush.h>
#include <qbytearray.h>
#include <qchar.h>
#include <qcoreevent.h>
#include <qdom.h>
#include <qevent.h>
#include <qfont.h>
#include <qimage.h>
#include <qline.h>
#include <qmenu.h>
#include <qmimedata.h>
#include <qobject.h>
#include <qobjectdefs.h>
#include <qpaintdevice.h>
#include <qpaintengine.h>
#include <qpainterpath.h>
#include <qpalette.h>
#include <qpixmap.h>
#include <qpoint.h>
#include <qrect.h>
#include <qsize.h>
#include <qstyle.h>
#include <qtextdocument.h>
#include <qtextformat.h>
#include <qvariant.h>
#include <qwidget.h>
#include <kaboutdata.h>
#include <kaction.h>
#include <kactioncollection.h>
#include <kcompletion.h>
#include <kcomponentdata.h>
#include <kconfig.h>
#include <kconfiggroup.h>
#include <kicon.h>
#include <kiconloader.h>
#include <kio/jobclasses.h>
#include <kio/previewjob.h>
#include <kparts/browserextension.h>
#include <kparts/event.h>
#include <kparts/factory.h>
#include <kparts/part.h>
#include <kparts/partmanager.h>
#include <kpluginfactory.h>
#include <ktexteditor/annotationinterface.h>
#include <ktexteditor/attribute.h>
#include <ktexteditor/codecompletioninterface.h>
#include <ktexteditor/codecompletionmodel.h>
#include <ktexteditor/commandinterface.h>
#include <ktexteditor/configinterface.h>
#include <ktexteditor/configpage.h>
#include <ktexteditor/containerinterface.h>
#include <ktexteditor/cursor.h>
#include <ktexteditor/cursorfeedback.h>
#include <ktexteditor/document.h>
#include <ktexteditor/editor.h>
#include <ktexteditor/editorchooser.h>
#include <ktexteditor/factory.h>
#include <ktexteditor/markinterface.h>
#include <ktexteditor/modificationinterface.h>
#include <ktexteditor/plugin.h>
#include <ktexteditor/range.h>
#include <ktexteditor/rangefeedback.h>
#include <ktexteditor/searchinterface.h>
#include <ktexteditor/sessionconfiginterface.h>
#include <ktexteditor/smartcursor.h>
#include <ktexteditor/smartinterface.h>
#include <ktexteditor/smartrange.h>
#include <ktexteditor/templateinterface.h>
#include <ktexteditor/texthintinterface.h>
#include <ktexteditor/variableinterface.h>
#include <ktexteditor/view.h>
#include <kurl.h>
#include <kxmlguiclient.h>

#include <smoke.h>

#include <ktexteditor_smoke.h>

static void *ktexteditor_cast(void *xptr, Smoke::Index from, Smoke::Index to) {
    switch(from) {
      case 1:	//KAboutData
	switch(to) {
	    case 1: return (void*)(KAboutData*)(KAboutData*)xptr;
	  default: return xptr;
	}
      case 2:	//KAction
	switch(to) {
	    case 66: return (void*)(QAction*)(KAction*)xptr;
	    case 95: return (void*)(QObject*)(KAction*)xptr;
	    case 2: return (void*)(KAction*)(KAction*)xptr;
	  default: return xptr;
	}
      case 3:	//KActionCollection
	switch(to) {
	    case 95: return (void*)(QObject*)(KActionCollection*)xptr;
	    case 3: return (void*)(KActionCollection*)(KActionCollection*)xptr;
	  default: return xptr;
	}
      case 4:	//KCompletion
	switch(to) {
	    case 95: return (void*)(QObject*)(KCompletion*)xptr;
	    case 4: return (void*)(KCompletion*)(KCompletion*)xptr;
	  default: return xptr;
	}
      case 5:	//KComponentData
	switch(to) {
	    case 5: return (void*)(KComponentData*)(KComponentData*)xptr;
	  default: return xptr;
	}
      case 6:	//KConfig
	switch(to) {
	    case 6: return (void*)(KConfig*)(KConfig*)xptr;
	  default: return xptr;
	}
      case 7:	//KConfigGroup
	switch(to) {
	    case 7: return (void*)(KConfigGroup*)(KConfigGroup*)xptr;
	  default: return xptr;
	}
      case 9:	//KIO::Job
	switch(to) {
	    case 95: return (void*)(QObject*)(KIO::Job*)xptr;
	    case 9: return (void*)(KIO::Job*)(KIO::Job*)xptr;
	  default: return xptr;
	}
      case 10:	//KIcon
	switch(to) {
	    case 10: return (void*)(KIcon*)(KIcon*)xptr;
	  default: return xptr;
	}
      case 11:	//KIconLoader
	switch(to) {
	    case 95: return (void*)(QObject*)(KIconLoader*)xptr;
	    case 11: return (void*)(KIconLoader*)(KIconLoader*)xptr;
	  default: return xptr;
	}
      case 13:	//KParts::BrowserExtension
	switch(to) {
	    case 95: return (void*)(QObject*)(KParts::BrowserExtension*)xptr;
	    case 13: return (void*)(KParts::BrowserExtension*)(KParts::BrowserExtension*)xptr;
	  default: return xptr;
	}
      case 14:	//KParts::Factory
	switch(to) {
	    case 24: return (void*)(KPluginFactory*)(KParts::Factory*)xptr;
	    case 14: return (void*)(KParts::Factory*)(KParts::Factory*)xptr;
	    case 43: return (void*)(KTextEditor::Factory*)(KParts::Factory*)xptr;
	  default: return xptr;
	}
      case 15:	//KParts::GUIActivateEvent
	switch(to) {
	    case 80: return (void*)(QEvent*)(KParts::GUIActivateEvent*)xptr;
	    case 15: return (void*)(KParts::GUIActivateEvent*)(KParts::GUIActivateEvent*)xptr;
	  default: return xptr;
	}
      case 16:	//KParts::OpenUrlArguments
	switch(to) {
	    case 16: return (void*)(KParts::OpenUrlArguments*)(KParts::OpenUrlArguments*)xptr;
	  default: return xptr;
	}
      case 17:	//KParts::Part
	switch(to) {
	    case 19: return (void*)(KParts::PartBase*)(KParts::Part*)xptr;
	    case 64: return (void*)(KXMLGUIClient*)(KParts::Part*)xptr;
	    case 95: return (void*)(QObject*)(KParts::Part*)xptr;
	    case 17: return (void*)(KParts::Part*)(KParts::Part*)xptr;
	    case 22: return (void*)(KParts::ReadOnlyPart*)(KParts::Part*)xptr;
	    case 23: return (void*)(KParts::ReadWritePart*)(KParts::Part*)xptr;
	    case 40: return (void*)(KTextEditor::Document*)(KParts::Part*)xptr;
	  default: return xptr;
	}
      case 18:	//KParts::PartActivateEvent
	switch(to) {
	    case 80: return (void*)(QEvent*)(KParts::PartActivateEvent*)xptr;
	    case 18: return (void*)(KParts::PartActivateEvent*)(KParts::PartActivateEvent*)xptr;
	  default: return xptr;
	}
      case 19:	//KParts::PartBase
	switch(to) {
	    case 64: return (void*)(KXMLGUIClient*)(KParts::PartBase*)xptr;
	    case 19: return (void*)(KParts::PartBase*)(KParts::PartBase*)xptr;
	    case 17: return (void*)(KParts::Part*)(KParts::PartBase*)xptr;
	    case 22: return (void*)(KParts::ReadOnlyPart*)(KParts::PartBase*)xptr;
	    case 23: return (void*)(KParts::ReadWritePart*)(KParts::PartBase*)xptr;
	    case 40: return (void*)(KTextEditor::Document*)(KParts::PartBase*)xptr;
	  default: return xptr;
	}
      case 20:	//KParts::PartManager
	switch(to) {
	    case 95: return (void*)(QObject*)(KParts::PartManager*)xptr;
	    case 20: return (void*)(KParts::PartManager*)(KParts::PartManager*)xptr;
	  default: return xptr;
	}
      case 21:	//KParts::PartSelectEvent
	switch(to) {
	    case 80: return (void*)(QEvent*)(KParts::PartSelectEvent*)xptr;
	    case 21: return (void*)(KParts::PartSelectEvent*)(KParts::PartSelectEvent*)xptr;
	  default: return xptr;
	}
      case 22:	//KParts::ReadOnlyPart
	switch(to) {
	    case 17: return (void*)(KParts::Part*)(KParts::ReadOnlyPart*)xptr;
	    case 19: return (void*)(KParts::PartBase*)(KParts::ReadOnlyPart*)xptr;
	    case 64: return (void*)(KXMLGUIClient*)(KParts::ReadOnlyPart*)xptr;
	    case 95: return (void*)(QObject*)(KParts::ReadOnlyPart*)xptr;
	    case 22: return (void*)(KParts::ReadOnlyPart*)(KParts::ReadOnlyPart*)xptr;
	    case 23: return (void*)(KParts::ReadWritePart*)(KParts::ReadOnlyPart*)xptr;
	    case 40: return (void*)(KTextEditor::Document*)(KParts::ReadOnlyPart*)xptr;
	  default: return xptr;
	}
      case 23:	//KParts::ReadWritePart
	switch(to) {
	    case 22: return (void*)(KParts::ReadOnlyPart*)(KParts::ReadWritePart*)xptr;
	    case 17: return (void*)(KParts::Part*)(KParts::ReadWritePart*)xptr;
	    case 19: return (void*)(KParts::PartBase*)(KParts::ReadWritePart*)xptr;
	    case 64: return (void*)(KXMLGUIClient*)(KParts::ReadWritePart*)xptr;
	    case 95: return (void*)(QObject*)(KParts::ReadWritePart*)xptr;
	    case 23: return (void*)(KParts::ReadWritePart*)(KParts::ReadWritePart*)xptr;
	    case 40: return (void*)(KTextEditor::Document*)(KParts::ReadWritePart*)xptr;
	  default: return xptr;
	}
      case 24:	//KPluginFactory
	switch(to) {
	    case 95: return (void*)(QObject*)(KPluginFactory*)xptr;
	    case 24: return (void*)(KPluginFactory*)(KPluginFactory*)xptr;
	    case 14: return (void*)(KParts::Factory*)(KPluginFactory*)xptr;
	    case 43: return (void*)(KTextEditor::Factory*)(KPluginFactory*)xptr;
	  default: return xptr;
	}
      case 26:	//KTextEditor::AnnotationInterface
	switch(to) {
	    case 26: return (void*)(KTextEditor::AnnotationInterface*)(KTextEditor::AnnotationInterface*)xptr;
	    case 28: return (void*)(KTextEditor::AnnotationViewInterface*)(KTextEditor::AnnotationInterface*)xptr;
	  default: return xptr;
	}
      case 27:	//KTextEditor::AnnotationModel
	switch(to) {
	    case 95: return (void*)(QObject*)(KTextEditor::AnnotationModel*)xptr;
	    case 27: return (void*)(KTextEditor::AnnotationModel*)(KTextEditor::AnnotationModel*)xptr;
	  default: return xptr;
	}
      case 28:	//KTextEditor::AnnotationViewInterface
	switch(to) {
	    case 26: return (void*)(KTextEditor::AnnotationInterface*)(KTextEditor::AnnotationViewInterface*)xptr;
	    case 28: return (void*)(KTextEditor::AnnotationViewInterface*)(KTextEditor::AnnotationViewInterface*)xptr;
	  default: return xptr;
	}
      case 29:	//KTextEditor::Attribute
	switch(to) {
	    case 112: return (void*)(QTextCharFormat*)(KTextEditor::Attribute*)xptr;
	    case 113: return (void*)(QTextFormat*)(KTextEditor::Attribute*)xptr;
	    case 29: return (void*)(KTextEditor::Attribute*)(KTextEditor::Attribute*)xptr;
	  default: return xptr;
	}
      case 30:	//KTextEditor::CodeCompletionInterface
	switch(to) {
	    case 30: return (void*)(KTextEditor::CodeCompletionInterface*)(KTextEditor::CodeCompletionInterface*)xptr;
	  default: return xptr;
	}
      case 31:	//KTextEditor::CodeCompletionModel
	switch(to) {
	    case 65: return (void*)(QAbstractItemModel*)(KTextEditor::CodeCompletionModel*)xptr;
	    case 95: return (void*)(QObject*)(KTextEditor::CodeCompletionModel*)xptr;
	    case 31: return (void*)(KTextEditor::CodeCompletionModel*)(KTextEditor::CodeCompletionModel*)xptr;
	    case 32: return (void*)(KTextEditor::CodeCompletionModel2*)(KTextEditor::CodeCompletionModel*)xptr;
	  default: return xptr;
	}
      case 32:	//KTextEditor::CodeCompletionModel2
	switch(to) {
	    case 31: return (void*)(KTextEditor::CodeCompletionModel*)(KTextEditor::CodeCompletionModel2*)xptr;
	    case 65: return (void*)(QAbstractItemModel*)(KTextEditor::CodeCompletionModel2*)xptr;
	    case 95: return (void*)(QObject*)(KTextEditor::CodeCompletionModel2*)xptr;
	    case 32: return (void*)(KTextEditor::CodeCompletionModel2*)(KTextEditor::CodeCompletionModel2*)xptr;
	  default: return xptr;
	}
      case 33:	//KTextEditor::Command
	switch(to) {
	    case 33: return (void*)(KTextEditor::Command*)(KTextEditor::Command*)xptr;
	  default: return xptr;
	}
      case 34:	//KTextEditor::CommandExtension
	switch(to) {
	    case 34: return (void*)(KTextEditor::CommandExtension*)(KTextEditor::CommandExtension*)xptr;
	  default: return xptr;
	}
      case 35:	//KTextEditor::CommandInterface
	switch(to) {
	    case 35: return (void*)(KTextEditor::CommandInterface*)(KTextEditor::CommandInterface*)xptr;
	  default: return xptr;
	}
      case 36:	//KTextEditor::ConfigInterface
	switch(to) {
	    case 36: return (void*)(KTextEditor::ConfigInterface*)(KTextEditor::ConfigInterface*)xptr;
	  default: return xptr;
	}
      case 37:	//KTextEditor::ConfigPage
	switch(to) {
	    case 117: return (void*)(QWidget*)(KTextEditor::ConfigPage*)xptr;
	    case 95: return (void*)(QObject*)(KTextEditor::ConfigPage*)xptr;
	    case 96: return (void*)(QPaintDevice*)(KTextEditor::ConfigPage*)xptr;
	    case 37: return (void*)(KTextEditor::ConfigPage*)(KTextEditor::ConfigPage*)xptr;
	  default: return xptr;
	}
      case 38:	//KTextEditor::ContainerInterface
	switch(to) {
	    case 38: return (void*)(KTextEditor::ContainerInterface*)(KTextEditor::ContainerInterface*)xptr;
	  default: return xptr;
	}
      case 39:	//KTextEditor::Cursor
	switch(to) {
	    case 39: return (void*)(KTextEditor::Cursor*)(KTextEditor::Cursor*)xptr;
	    case 52: return (void*)(KTextEditor::SmartCursor*)(KTextEditor::Cursor*)xptr;
	  default: return xptr;
	}
      case 40:	//KTextEditor::Document
	switch(to) {
	    case 23: return (void*)(KParts::ReadWritePart*)(KTextEditor::Document*)xptr;
	    case 22: return (void*)(KParts::ReadOnlyPart*)(KTextEditor::Document*)xptr;
	    case 17: return (void*)(KParts::Part*)(KTextEditor::Document*)xptr;
	    case 19: return (void*)(KParts::PartBase*)(KTextEditor::Document*)xptr;
	    case 64: return (void*)(KXMLGUIClient*)(KTextEditor::Document*)xptr;
	    case 95: return (void*)(QObject*)(KTextEditor::Document*)xptr;
	    case 40: return (void*)(KTextEditor::Document*)(KTextEditor::Document*)xptr;
	  default: return xptr;
	}
      case 41:	//KTextEditor::Editor
	switch(to) {
	    case 95: return (void*)(QObject*)(KTextEditor::Editor*)xptr;
	    case 41: return (void*)(KTextEditor::Editor*)(KTextEditor::Editor*)xptr;
	  default: return xptr;
	}
      case 42:	//KTextEditor::EditorChooser
	switch(to) {
	    case 117: return (void*)(QWidget*)(KTextEditor::EditorChooser*)xptr;
	    case 95: return (void*)(QObject*)(KTextEditor::EditorChooser*)xptr;
	    case 96: return (void*)(QPaintDevice*)(KTextEditor::EditorChooser*)xptr;
	    case 42: return (void*)(KTextEditor::EditorChooser*)(KTextEditor::EditorChooser*)xptr;
	  default: return xptr;
	}
      case 43:	//KTextEditor::Factory
	switch(to) {
	    case 14: return (void*)(KParts::Factory*)(KTextEditor::Factory*)xptr;
	    case 24: return (void*)(KPluginFactory*)(KTextEditor::Factory*)xptr;
	    case 43: return (void*)(KTextEditor::Factory*)(KTextEditor::Factory*)xptr;
	  default: return xptr;
	}
      case 44:	//KTextEditor::Mark
	switch(to) {
	    case 44: return (void*)(KTextEditor::Mark*)(KTextEditor::Mark*)xptr;
	  default: return xptr;
	}
      case 45:	//KTextEditor::MarkInterface
	switch(to) {
	    case 45: return (void*)(KTextEditor::MarkInterface*)(KTextEditor::MarkInterface*)xptr;
	  default: return xptr;
	}
      case 46:	//KTextEditor::MdiContainer
	switch(to) {
	    case 46: return (void*)(KTextEditor::MdiContainer*)(KTextEditor::MdiContainer*)xptr;
	  default: return xptr;
	}
      case 47:	//KTextEditor::ModificationInterface
	switch(to) {
	    case 47: return (void*)(KTextEditor::ModificationInterface*)(KTextEditor::ModificationInterface*)xptr;
	  default: return xptr;
	}
      case 48:	//KTextEditor::Plugin
	switch(to) {
	    case 95: return (void*)(QObject*)(KTextEditor::Plugin*)xptr;
	    case 48: return (void*)(KTextEditor::Plugin*)(KTextEditor::Plugin*)xptr;
	  default: return xptr;
	}
      case 49:	//KTextEditor::Range
	switch(to) {
	    case 49: return (void*)(KTextEditor::Range*)(KTextEditor::Range*)xptr;
	    case 56: return (void*)(KTextEditor::SmartRange*)(KTextEditor::Range*)xptr;
	  default: return xptr;
	}
      case 50:	//KTextEditor::SearchInterface
	switch(to) {
	    case 50: return (void*)(KTextEditor::SearchInterface*)(KTextEditor::SearchInterface*)xptr;
	  default: return xptr;
	}
      case 51:	//KTextEditor::SessionConfigInterface
	switch(to) {
	    case 51: return (void*)(KTextEditor::SessionConfigInterface*)(KTextEditor::SessionConfigInterface*)xptr;
	  default: return xptr;
	}
      case 52:	//KTextEditor::SmartCursor
	switch(to) {
	    case 39: return (void*)(KTextEditor::Cursor*)(KTextEditor::SmartCursor*)xptr;
	    case 52: return (void*)(KTextEditor::SmartCursor*)(KTextEditor::SmartCursor*)xptr;
	  default: return xptr;
	}
      case 53:	//KTextEditor::SmartCursorNotifier
	switch(to) {
	    case 95: return (void*)(QObject*)(KTextEditor::SmartCursorNotifier*)xptr;
	    case 53: return (void*)(KTextEditor::SmartCursorNotifier*)(KTextEditor::SmartCursorNotifier*)xptr;
	  default: return xptr;
	}
      case 54:	//KTextEditor::SmartCursorWatcher
	switch(to) {
	    case 54: return (void*)(KTextEditor::SmartCursorWatcher*)(KTextEditor::SmartCursorWatcher*)xptr;
	  default: return xptr;
	}
      case 55:	//KTextEditor::SmartInterface
	switch(to) {
	    case 55: return (void*)(KTextEditor::SmartInterface*)(KTextEditor::SmartInterface*)xptr;
	  default: return xptr;
	}
      case 56:	//KTextEditor::SmartRange
	switch(to) {
	    case 49: return (void*)(KTextEditor::Range*)(KTextEditor::SmartRange*)xptr;
	    case 56: return (void*)(KTextEditor::SmartRange*)(KTextEditor::SmartRange*)xptr;
	  default: return xptr;
	}
      case 57:	//KTextEditor::SmartRangeNotifier
	switch(to) {
	    case 95: return (void*)(QObject*)(KTextEditor::SmartRangeNotifier*)xptr;
	    case 57: return (void*)(KTextEditor::SmartRangeNotifier*)(KTextEditor::SmartRangeNotifier*)xptr;
	  default: return xptr;
	}
      case 58:	//KTextEditor::SmartRangeWatcher
	switch(to) {
	    case 58: return (void*)(KTextEditor::SmartRangeWatcher*)(KTextEditor::SmartRangeWatcher*)xptr;
	  default: return xptr;
	}
      case 59:	//KTextEditor::TemplateInterface
	switch(to) {
	    case 59: return (void*)(KTextEditor::TemplateInterface*)(KTextEditor::TemplateInterface*)xptr;
	  default: return xptr;
	}
      case 60:	//KTextEditor::TextHintInterface
	switch(to) {
	    case 60: return (void*)(KTextEditor::TextHintInterface*)(KTextEditor::TextHintInterface*)xptr;
	  default: return xptr;
	}
      case 61:	//KTextEditor::VariableInterface
	switch(to) {
	    case 61: return (void*)(KTextEditor::VariableInterface*)(KTextEditor::VariableInterface*)xptr;
	  default: return xptr;
	}
      case 62:	//KTextEditor::View
	switch(to) {
	    case 64: return (void*)(KXMLGUIClient*)(KTextEditor::View*)xptr;
	    case 117: return (void*)(QWidget*)(KTextEditor::View*)xptr;
	    case 95: return (void*)(QObject*)(KTextEditor::View*)xptr;
	    case 96: return (void*)(QPaintDevice*)(KTextEditor::View*)xptr;
	    case 62: return (void*)(KTextEditor::View*)(KTextEditor::View*)xptr;
	  default: return xptr;
	}
      case 63:	//KUrl
	switch(to) {
	    case 63: return (void*)(KUrl*)(KUrl*)xptr;
	  default: return xptr;
	}
      case 64:	//KXMLGUIClient
	switch(to) {
	    case 64: return (void*)(KXMLGUIClient*)(KXMLGUIClient*)xptr;
	    case 62: return (void*)(KTextEditor::View*)(KXMLGUIClient*)xptr;
	  default: return xptr;
	}
      case 65:	//QAbstractItemModel
	switch(to) {
	    case 95: return (void*)(QObject*)(QAbstractItemModel*)xptr;
	    case 65: return (void*)(QAbstractItemModel*)(QAbstractItemModel*)xptr;
	    case 31: return (void*)(KTextEditor::CodeCompletionModel*)(QAbstractItemModel*)xptr;
	    case 32: return (void*)(KTextEditor::CodeCompletionModel2*)(QAbstractItemModel*)xptr;
	  default: return xptr;
	}
      case 66:	//QAction
	switch(to) {
	    case 95: return (void*)(QObject*)(QAction*)xptr;
	    case 66: return (void*)(QAction*)(QAction*)xptr;
	    case 2: return (void*)(KAction*)(QAction*)xptr;
	  default: return xptr;
	}
      case 67:	//QActionEvent
	switch(to) {
	    case 80: return (void*)(QEvent*)(QActionEvent*)xptr;
	    case 67: return (void*)(QActionEvent*)(QActionEvent*)xptr;
	  default: return xptr;
	}
      case 68:	//QBrush
	switch(to) {
	    case 68: return (void*)(QBrush*)(QBrush*)xptr;
	  default: return xptr;
	}
      case 69:	//QByteArray
	switch(to) {
	    case 69: return (void*)(QByteArray*)(QByteArray*)xptr;
	  default: return xptr;
	}
      case 70:	//QChar
	switch(to) {
	    case 70: return (void*)(QChar*)(QChar*)xptr;
	  default: return xptr;
	}
      case 71:	//QChildEvent
	switch(to) {
	    case 80: return (void*)(QEvent*)(QChildEvent*)xptr;
	    case 71: return (void*)(QChildEvent*)(QChildEvent*)xptr;
	  default: return xptr;
	}
      case 72:	//QCloseEvent
	switch(to) {
	    case 80: return (void*)(QEvent*)(QCloseEvent*)xptr;
	    case 72: return (void*)(QCloseEvent*)(QCloseEvent*)xptr;
	  default: return xptr;
	}
      case 73:	//QContextMenuEvent
	switch(to) {
	    case 80: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
	    case 73: return (void*)(QContextMenuEvent*)(QContextMenuEvent*)xptr;
	  default: return xptr;
	}
      case 74:	//QDomDocument
	switch(to) {
	    case 74: return (void*)(QDomDocument*)(QDomDocument*)xptr;
	  default: return xptr;
	}
      case 75:	//QDomElement
	switch(to) {
	    case 75: return (void*)(QDomElement*)(QDomElement*)xptr;
	  default: return xptr;
	}
      case 76:	//QDragEnterEvent
	switch(to) {
	    case 78: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
	    case 79: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
	    case 80: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
	    case 76: return (void*)(QDragEnterEvent*)(QDragEnterEvent*)xptr;
	  default: return xptr;
	}
      case 77:	//QDragLeaveEvent
	switch(to) {
	    case 80: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
	    case 77: return (void*)(QDragLeaveEvent*)(QDragLeaveEvent*)xptr;
	  default: return xptr;
	}
      case 78:	//QDragMoveEvent
	switch(to) {
	    case 79: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
	    case 80: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
	    case 78: return (void*)(QDragMoveEvent*)(QDragMoveEvent*)xptr;
	    case 76: return (void*)(QDragEnterEvent*)(QDragMoveEvent*)xptr;
	  default: return xptr;
	}
      case 79:	//QDropEvent
	switch(to) {
	    case 80: return (void*)(QEvent*)(QDropEvent*)xptr;
	    case 79: return (void*)(QDropEvent*)(QDropEvent*)xptr;
	    case 76: return (void*)(QDragEnterEvent*)(QDropEvent*)xptr;
	    case 78: return (void*)(QDragMoveEvent*)(QDropEvent*)xptr;
	  default: return xptr;
	}
      case 80:	//QEvent
	switch(to) {
	    case 80: return (void*)(QEvent*)(QEvent*)xptr;
	    case 15: return (void*)(KParts::GUIActivateEvent*)(QEvent*)xptr;
	    case 18: return (void*)(KParts::PartActivateEvent*)(QEvent*)xptr;
	    case 21: return (void*)(KParts::PartSelectEvent*)(QEvent*)xptr;
	    case 67: return (void*)(QActionEvent*)(QEvent*)xptr;
	    case 71: return (void*)(QChildEvent*)(QEvent*)xptr;
	    case 72: return (void*)(QCloseEvent*)(QEvent*)xptr;
	    case 73: return (void*)(QContextMenuEvent*)(QEvent*)xptr;
	    case 76: return (void*)(QDragEnterEvent*)(QEvent*)xptr;
	    case 77: return (void*)(QDragLeaveEvent*)(QEvent*)xptr;
	    case 78: return (void*)(QDragMoveEvent*)(QEvent*)xptr;
	    case 79: return (void*)(QDropEvent*)(QEvent*)xptr;
	    case 81: return (void*)(QFocusEvent*)(QEvent*)xptr;
	    case 83: return (void*)(QHideEvent*)(QEvent*)xptr;
	    case 85: return (void*)(QInputMethodEvent*)(QEvent*)xptr;
	    case 86: return (void*)(QKeyEvent*)(QEvent*)xptr;
	    case 93: return (void*)(QMouseEvent*)(QEvent*)xptr;
	    case 94: return (void*)(QMoveEvent*)(QEvent*)xptr;
	    case 99: return (void*)(QPaintEvent*)(QEvent*)xptr;
	    case 107: return (void*)(QResizeEvent*)(QEvent*)xptr;
	    case 108: return (void*)(QShowEvent*)(QEvent*)xptr;
	    case 111: return (void*)(QTabletEvent*)(QEvent*)xptr;
	    case 114: return (void*)(QTimerEvent*)(QEvent*)xptr;
	    case 116: return (void*)(QWheelEvent*)(QEvent*)xptr;
	  default: return xptr;
	}
      case 81:	//QFocusEvent
	switch(to) {
	    case 80: return (void*)(QEvent*)(QFocusEvent*)xptr;
	    case 81: return (void*)(QFocusEvent*)(QFocusEvent*)xptr;
	  default: return xptr;
	}
      case 82:	//QFont
	switch(to) {
	    case 82: return (void*)(QFont*)(QFont*)xptr;
	  default: return xptr;
	}
      case 83:	//QHideEvent
	switch(to) {
	    case 80: return (void*)(QEvent*)(QHideEvent*)xptr;
	    case 83: return (void*)(QHideEvent*)(QHideEvent*)xptr;
	  default: return xptr;
	}
      case 84:	//QImage
	switch(to) {
	    case 96: return (void*)(QPaintDevice*)(QImage*)xptr;
	    case 84: return (void*)(QImage*)(QImage*)xptr;
	  default: return xptr;
	}
      case 85:	//QInputMethodEvent
	switch(to) {
	    case 80: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
	    case 85: return (void*)(QInputMethodEvent*)(QInputMethodEvent*)xptr;
	  default: return xptr;
	}
      case 86:	//QKeyEvent
	switch(to) {
	    case 80: return (void*)(QEvent*)(QKeyEvent*)xptr;
	    case 86: return (void*)(QKeyEvent*)(QKeyEvent*)xptr;
	  default: return xptr;
	}
      case 87:	//QLine
	switch(to) {
	    case 87: return (void*)(QLine*)(QLine*)xptr;
	  default: return xptr;
	}
      case 88:	//QLineF
	switch(to) {
	    case 88: return (void*)(QLineF*)(QLineF*)xptr;
	  default: return xptr;
	}
      case 89:	//QMenu
	switch(to) {
	    case 117: return (void*)(QWidget*)(QMenu*)xptr;
	    case 95: return (void*)(QObject*)(QMenu*)xptr;
	    case 96: return (void*)(QPaintDevice*)(QMenu*)xptr;
	    case 89: return (void*)(QMenu*)(QMenu*)xptr;
	  default: return xptr;
	}
      case 90:	//QMetaObject
	switch(to) {
	    case 90: return (void*)(QMetaObject*)(QMetaObject*)xptr;
	  default: return xptr;
	}
      case 91:	//QMimeData
	switch(to) {
	    case 95: return (void*)(QObject*)(QMimeData*)xptr;
	    case 91: return (void*)(QMimeData*)(QMimeData*)xptr;
	  default: return xptr;
	}
      case 92:	//QModelIndex
	switch(to) {
	    case 92: return (void*)(QModelIndex*)(QModelIndex*)xptr;
	  default: return xptr;
	}
      case 93:	//QMouseEvent
	switch(to) {
	    case 80: return (void*)(QEvent*)(QMouseEvent*)xptr;
	    case 93: return (void*)(QMouseEvent*)(QMouseEvent*)xptr;
	  default: return xptr;
	}
      case 94:	//QMoveEvent
	switch(to) {
	    case 80: return (void*)(QEvent*)(QMoveEvent*)xptr;
	    case 94: return (void*)(QMoveEvent*)(QMoveEvent*)xptr;
	  default: return xptr;
	}
      case 95:	//QObject
	switch(to) {
	    case 95: return (void*)(QObject*)(QObject*)xptr;
	    case 2: return (void*)(KAction*)(QObject*)xptr;
	    case 3: return (void*)(KActionCollection*)(QObject*)xptr;
	    case 4: return (void*)(KCompletion*)(QObject*)xptr;
	    case 9: return (void*)(KIO::Job*)(QObject*)xptr;
	    case 11: return (void*)(KIconLoader*)(QObject*)xptr;
	    case 13: return (void*)(KParts::BrowserExtension*)(QObject*)xptr;
	    case 17: return (void*)(KParts::Part*)(QObject*)xptr;
	    case 20: return (void*)(KParts::PartManager*)(QObject*)xptr;
	    case 22: return (void*)(KParts::ReadOnlyPart*)(QObject*)xptr;
	    case 23: return (void*)(KParts::ReadWritePart*)(QObject*)xptr;
	    case 24: return (void*)(KPluginFactory*)(QObject*)xptr;
	    case 27: return (void*)(KTextEditor::AnnotationModel*)(QObject*)xptr;
	    case 31: return (void*)(KTextEditor::CodeCompletionModel*)(QObject*)xptr;
	    case 32: return (void*)(KTextEditor::CodeCompletionModel2*)(QObject*)xptr;
	    case 37: return (void*)(KTextEditor::ConfigPage*)(QObject*)xptr;
	    case 40: return (void*)(KTextEditor::Document*)(QObject*)xptr;
	    case 41: return (void*)(KTextEditor::Editor*)(QObject*)xptr;
	    case 42: return (void*)(KTextEditor::EditorChooser*)(QObject*)xptr;
	    case 48: return (void*)(KTextEditor::Plugin*)(QObject*)xptr;
	    case 53: return (void*)(KTextEditor::SmartCursorNotifier*)(QObject*)xptr;
	    case 57: return (void*)(KTextEditor::SmartRangeNotifier*)(QObject*)xptr;
	    case 62: return (void*)(KTextEditor::View*)(QObject*)xptr;
	    case 65: return (void*)(QAbstractItemModel*)(QObject*)xptr;
	    case 66: return (void*)(QAction*)(QObject*)xptr;
	    case 89: return (void*)(QMenu*)(QObject*)xptr;
	    case 91: return (void*)(QMimeData*)(QObject*)xptr;
	    case 110: return (void*)(QStyle*)(QObject*)xptr;
	    case 117: return (void*)(QWidget*)(QObject*)xptr;
	  default: return xptr;
	}
      case 96:	//QPaintDevice
	switch(to) {
	    case 96: return (void*)(QPaintDevice*)(QPaintDevice*)xptr;
	    case 37: return (void*)(KTextEditor::ConfigPage*)(QPaintDevice*)xptr;
	    case 42: return (void*)(KTextEditor::EditorChooser*)(QPaintDevice*)xptr;
	    case 62: return (void*)(KTextEditor::View*)(QPaintDevice*)xptr;
	    case 84: return (void*)(QImage*)(QPaintDevice*)xptr;
	    case 89: return (void*)(QMenu*)(QPaintDevice*)xptr;
	    case 102: return (void*)(QPixmap*)(QPaintDevice*)xptr;
	    case 117: return (void*)(QWidget*)(QPaintDevice*)xptr;
	  default: return xptr;
	}
      case 97:	//QPaintEngine
	switch(to) {
	    case 97: return (void*)(QPaintEngine*)(QPaintEngine*)xptr;
	  default: return xptr;
	}
      case 98:	//QPaintEngineState
	switch(to) {
	    case 98: return (void*)(QPaintEngineState*)(QPaintEngineState*)xptr;
	  default: return xptr;
	}
      case 99:	//QPaintEvent
	switch(to) {
	    case 80: return (void*)(QEvent*)(QPaintEvent*)xptr;
	    case 99: return (void*)(QPaintEvent*)(QPaintEvent*)xptr;
	  default: return xptr;
	}
      case 100:	//QPainterPath
	switch(to) {
	    case 100: return (void*)(QPainterPath*)(QPainterPath*)xptr;
	  default: return xptr;
	}
      case 101:	//QPalette
	switch(to) {
	    case 101: return (void*)(QPalette*)(QPalette*)xptr;
	  default: return xptr;
	}
      case 102:	//QPixmap
	switch(to) {
	    case 96: return (void*)(QPaintDevice*)(QPixmap*)xptr;
	    case 102: return (void*)(QPixmap*)(QPixmap*)xptr;
	  default: return xptr;
	}
      case 103:	//QPoint
	switch(to) {
	    case 103: return (void*)(QPoint*)(QPoint*)xptr;
	  default: return xptr;
	}
      case 104:	//QPointF
	switch(to) {
	    case 104: return (void*)(QPointF*)(QPointF*)xptr;
	  default: return xptr;
	}
      case 105:	//QRect
	switch(to) {
	    case 105: return (void*)(QRect*)(QRect*)xptr;
	  default: return xptr;
	}
      case 106:	//QRectF
	switch(to) {
	    case 106: return (void*)(QRectF*)(QRectF*)xptr;
	  default: return xptr;
	}
      case 107:	//QResizeEvent
	switch(to) {
	    case 80: return (void*)(QEvent*)(QResizeEvent*)xptr;
	    case 107: return (void*)(QResizeEvent*)(QResizeEvent*)xptr;
	  default: return xptr;
	}
      case 108:	//QShowEvent
	switch(to) {
	    case 80: return (void*)(QEvent*)(QShowEvent*)xptr;
	    case 108: return (void*)(QShowEvent*)(QShowEvent*)xptr;
	  default: return xptr;
	}
      case 109:	//QSize
	switch(to) {
	    case 109: return (void*)(QSize*)(QSize*)xptr;
	  default: return xptr;
	}
      case 110:	//QStyle
	switch(to) {
	    case 95: return (void*)(QObject*)(QStyle*)xptr;
	    case 110: return (void*)(QStyle*)(QStyle*)xptr;
	  default: return xptr;
	}
      case 111:	//QTabletEvent
	switch(to) {
	    case 80: return (void*)(QEvent*)(QTabletEvent*)xptr;
	    case 111: return (void*)(QTabletEvent*)(QTabletEvent*)xptr;
	  default: return xptr;
	}
      case 112:	//QTextCharFormat
	switch(to) {
	    case 113: return (void*)(QTextFormat*)(QTextCharFormat*)xptr;
	    case 112: return (void*)(QTextCharFormat*)(QTextCharFormat*)xptr;
	    case 29: return (void*)(KTextEditor::Attribute*)(QTextCharFormat*)xptr;
	  default: return xptr;
	}
      case 113:	//QTextFormat
	switch(to) {
	    case 113: return (void*)(QTextFormat*)(QTextFormat*)xptr;
	    case 29: return (void*)(KTextEditor::Attribute*)(QTextFormat*)xptr;
	    case 112: return (void*)(QTextCharFormat*)(QTextFormat*)xptr;
	  default: return xptr;
	}
      case 114:	//QTimerEvent
	switch(to) {
	    case 80: return (void*)(QEvent*)(QTimerEvent*)xptr;
	    case 114: return (void*)(QTimerEvent*)(QTimerEvent*)xptr;
	  default: return xptr;
	}
      case 115:	//QVariant
	switch(to) {
	    case 115: return (void*)(QVariant*)(QVariant*)xptr;
	  default: return xptr;
	}
      case 116:	//QWheelEvent
	switch(to) {
	    case 80: return (void*)(QEvent*)(QWheelEvent*)xptr;
	    case 116: return (void*)(QWheelEvent*)(QWheelEvent*)xptr;
	  default: return xptr;
	}
      case 117:	//QWidget
	switch(to) {
	    case 95: return (void*)(QObject*)(QWidget*)xptr;
	    case 96: return (void*)(QPaintDevice*)(QWidget*)xptr;
	    case 117: return (void*)(QWidget*)(QWidget*)xptr;
	    case 37: return (void*)(KTextEditor::ConfigPage*)(QWidget*)xptr;
	    case 42: return (void*)(KTextEditor::EditorChooser*)(QWidget*)xptr;
	    case 62: return (void*)(KTextEditor::View*)(QWidget*)xptr;
	    case 89: return (void*)(QMenu*)(QWidget*)xptr;
	  default: return xptr;
	}
      default: return xptr;
    }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index ktexteditor_inheritanceList[] = {
	0,	// 0: (no super class)
	19, 95, 0,	// 1: KParts::PartBase, QObject
	64, 0,	// 4: KXMLGUIClient
	17, 0,	// 6: KParts::Part
	22, 0,	// 8: KParts::ReadOnlyPart
	95, 0,	// 10: QObject
	26, 0,	// 12: KTextEditor::AnnotationInterface
	112, 0,	// 14: KShared, QTextCharFormat
	65, 0,	// 16: QAbstractItemModel
	31, 0,	// 18: KTextEditor::CodeCompletionModel
	117, 0,	// 20: QWidget
	23, 0,	// 22: KParts::ReadWritePart
	14, 0,	// 24: KParts::Factory
	39, 0,	// 26: KTextEditor::Cursor
	49, 0,	// 28: KTextEditor::Range
	64, 117, 0,	// 30: KXMLGUIClient, QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_KTextEditor__View(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__CodeCompletionModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__SmartRange(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KParts__PartBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__Attribute(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__ModificationInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__MarkInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__SmartCursor(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KParts__Part(Smoke::Index, void*, Smoke::Stack);
void xcall_KParts__PartBase(Smoke::Index, void*, Smoke::Stack);
void xcall_KParts__ReadOnlyPart(Smoke::Index, void*, Smoke::Stack);
void xcall_KParts__ReadWritePart(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__AnnotationInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__AnnotationModel(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__AnnotationViewInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Attribute(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionModel(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionModel2(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Command(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CommandExtension(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CommandInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ConfigPage(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ContainerInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Cursor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Document(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Editor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__EditorChooser(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Factory(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__MarkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__MdiContainer(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ModificationInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Range(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SearchInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SessionConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartCursor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartCursorNotifier(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartCursorWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartRange(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartRangeNotifier(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartRangeWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__TemplateInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__TextHintInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__VariableInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__View(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, index into inheritanceList, method dispatcher, enum dispatcher, class flags
static Smoke::Class ktexteditor_classes[] = {
	{ 0L, false, 0, 0, 0, 0 }, 	// 0 (no class)
	{ "KAboutData", true, 0, 0, 0, 0 }, 	// 1
	{ "KAction", true, 0, 0, 0, 0 }, 	// 2
	{ "KActionCollection", true, 0, 0, 0, 0 }, 	// 3
	{ "KCompletion", true, 0, 0, 0, 0 }, 	// 4
	{ "KComponentData", true, 0, 0, 0, 0 }, 	// 5
	{ "KConfig", true, 0, 0, 0, 0 }, 	// 6
	{ "KConfigGroup", true, 0, 0, 0, 0 }, 	// 7
	{ "KIO", true, 0, 0, 0, 0 }, 	// 8
	{ "KIO::Job", true, 0, 0, 0, 0 }, 	// 9
	{ "KIcon", true, 0, 0, 0, 0 }, 	// 10
	{ "KIconLoader", true, 0, 0, 0, 0 }, 	// 11
	{ "KParts", true, 0, 0, 0, 0 }, 	// 12
	{ "KParts::BrowserExtension", true, 0, 0, 0, 0 }, 	// 13
	{ "KParts::Factory", true, 0, 0, 0, 0 }, 	// 14
	{ "KParts::GUIActivateEvent", true, 0, 0, 0, 0 }, 	// 15
	{ "KParts::OpenUrlArguments", true, 0, 0, 0, 0 }, 	// 16
	{ "KParts::Part", false, 1, xcall_KParts__Part, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//17
	{ "KParts::PartActivateEvent", true, 0, 0, 0, 0 }, 	// 18
	{ "KParts::PartBase", false, 4, xcall_KParts__PartBase, xenum_KParts__PartBase, Smoke::cf_constructor|Smoke::cf_virtual }, 	//19
	{ "KParts::PartManager", true, 0, 0, 0, 0 }, 	// 20
	{ "KParts::PartSelectEvent", true, 0, 0, 0, 0 }, 	// 21
	{ "KParts::ReadOnlyPart", false, 6, xcall_KParts__ReadOnlyPart, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//22
	{ "KParts::ReadWritePart", false, 8, xcall_KParts__ReadWritePart, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//23
	{ "KPluginFactory", true, 0, 0, 0, 0 }, 	// 24
	{ "KTextEditor", true, 0, 0, 0, 0 }, 	// 25
	{ "KTextEditor::AnnotationInterface", false, 0, xcall_KTextEditor__AnnotationInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//26
	{ "KTextEditor::AnnotationModel", false, 10, xcall_KTextEditor__AnnotationModel, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//27
	{ "KTextEditor::AnnotationViewInterface", false, 12, xcall_KTextEditor__AnnotationViewInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//28
	{ "KTextEditor::Attribute", false, 14, xcall_KTextEditor__Attribute, xenum_KTextEditor__Attribute, Smoke::cf_constructor|Smoke::cf_virtual }, 	//29
	{ "KTextEditor::CodeCompletionInterface", false, 0, xcall_KTextEditor__CodeCompletionInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//30
	{ "KTextEditor::CodeCompletionModel", false, 16, xcall_KTextEditor__CodeCompletionModel, xenum_KTextEditor__CodeCompletionModel, Smoke::cf_constructor|Smoke::cf_virtual }, 	//31
	{ "KTextEditor::CodeCompletionModel2", false, 18, xcall_KTextEditor__CodeCompletionModel2, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//32
	{ "KTextEditor::Command", false, 0, xcall_KTextEditor__Command, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//33
	{ "KTextEditor::CommandExtension", false, 0, xcall_KTextEditor__CommandExtension, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//34
	{ "KTextEditor::CommandInterface", false, 0, xcall_KTextEditor__CommandInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//35
	{ "KTextEditor::ConfigInterface", false, 0, xcall_KTextEditor__ConfigInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//36
	{ "KTextEditor::ConfigPage", false, 20, xcall_KTextEditor__ConfigPage, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//37
	{ "KTextEditor::ContainerInterface", false, 0, xcall_KTextEditor__ContainerInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//38
	{ "KTextEditor::Cursor", false, 0, xcall_KTextEditor__Cursor, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//39
	{ "KTextEditor::Document", false, 22, xcall_KTextEditor__Document, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//40
	{ "KTextEditor::Editor", false, 10, xcall_KTextEditor__Editor, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//41
	{ "KTextEditor::EditorChooser", false, 20, xcall_KTextEditor__EditorChooser, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//42
	{ "KTextEditor::Factory", false, 24, xcall_KTextEditor__Factory, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//43
	{ "KTextEditor::Mark", true, 0, 0, 0, 0 }, 	// 44
	{ "KTextEditor::MarkInterface", false, 0, xcall_KTextEditor__MarkInterface, xenum_KTextEditor__MarkInterface, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//45
	{ "KTextEditor::MdiContainer", false, 0, xcall_KTextEditor__MdiContainer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//46
	{ "KTextEditor::ModificationInterface", false, 0, xcall_KTextEditor__ModificationInterface, xenum_KTextEditor__ModificationInterface, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//47
	{ "KTextEditor::Plugin", false, 10, xcall_KTextEditor__Plugin, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//48
	{ "KTextEditor::Range", false, 0, xcall_KTextEditor__Range, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//49
	{ "KTextEditor::SearchInterface", false, 0, xcall_KTextEditor__SearchInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//50
	{ "KTextEditor::SessionConfigInterface", false, 0, xcall_KTextEditor__SessionConfigInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//51
	{ "KTextEditor::SmartCursor", false, 26, xcall_KTextEditor__SmartCursor, xenum_KTextEditor__SmartCursor, Smoke::cf_constructor|Smoke::cf_virtual }, 	//52
	{ "KTextEditor::SmartCursorNotifier", false, 10, xcall_KTextEditor__SmartCursorNotifier, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//53
	{ "KTextEditor::SmartCursorWatcher", false, 0, xcall_KTextEditor__SmartCursorWatcher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//54
	{ "KTextEditor::SmartInterface", false, 0, xcall_KTextEditor__SmartInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//55
	{ "KTextEditor::SmartRange", false, 28, xcall_KTextEditor__SmartRange, xenum_KTextEditor__SmartRange, Smoke::cf_constructor|Smoke::cf_virtual }, 	//56
	{ "KTextEditor::SmartRangeNotifier", false, 10, xcall_KTextEditor__SmartRangeNotifier, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//57
	{ "KTextEditor::SmartRangeWatcher", false, 0, xcall_KTextEditor__SmartRangeWatcher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//58
	{ "KTextEditor::TemplateInterface", false, 0, xcall_KTextEditor__TemplateInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//59
	{ "KTextEditor::TextHintInterface", false, 0, xcall_KTextEditor__TextHintInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//60
	{ "KTextEditor::VariableInterface", false, 0, xcall_KTextEditor__VariableInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//61
	{ "KTextEditor::View", false, 30, xcall_KTextEditor__View, xenum_KTextEditor__View, Smoke::cf_constructor|Smoke::cf_virtual }, 	//62
	{ "KUrl", true, 0, 0, 0, 0 }, 	// 63
	{ "KXMLGUIClient", true, 0, 0, 0, 0 }, 	// 64
	{ "QAbstractItemModel", true, 0, 0, 0, 0 }, 	// 65
	{ "QAction", true, 0, 0, 0, 0 }, 	// 66
	{ "QActionEvent", true, 0, 0, 0, 0 }, 	// 67
	{ "QBrush", true, 0, 0, 0, 0 }, 	// 68
	{ "QByteArray", true, 0, 0, 0, 0 }, 	// 69
	{ "QChar", true, 0, 0, 0, 0 }, 	// 70
	{ "QChildEvent", true, 0, 0, 0, 0 }, 	// 71
	{ "QCloseEvent", true, 0, 0, 0, 0 }, 	// 72
	{ "QContextMenuEvent", true, 0, 0, 0, 0 }, 	// 73
	{ "QDomDocument", true, 0, 0, 0, 0 }, 	// 74
	{ "QDomElement", true, 0, 0, 0, 0 }, 	// 75
	{ "QDragEnterEvent", true, 0, 0, 0, 0 }, 	// 76
	{ "QDragLeaveEvent", true, 0, 0, 0, 0 }, 	// 77
	{ "QDragMoveEvent", true, 0, 0, 0, 0 }, 	// 78
	{ "QDropEvent", true, 0, 0, 0, 0 }, 	// 79
	{ "QEvent", true, 0, 0, 0, 0 }, 	// 80
	{ "QFocusEvent", true, 0, 0, 0, 0 }, 	// 81
	{ "QFont", true, 0, 0, 0, 0 }, 	// 82
	{ "QHideEvent", true, 0, 0, 0, 0 }, 	// 83
	{ "QImage", true, 0, 0, 0, 0 }, 	// 84
	{ "QInputMethodEvent", true, 0, 0, 0, 0 }, 	// 85
	{ "QKeyEvent", true, 0, 0, 0, 0 }, 	// 86
	{ "QLine", true, 0, 0, 0, 0 }, 	// 87
	{ "QLineF", true, 0, 0, 0, 0 }, 	// 88
	{ "QMenu", true, 0, 0, 0, 0 }, 	// 89
	{ "QMetaObject", true, 0, 0, 0, 0 }, 	// 90
	{ "QMimeData", true, 0, 0, 0, 0 }, 	// 91
	{ "QModelIndex", true, 0, 0, 0, 0 }, 	// 92
	{ "QMouseEvent", true, 0, 0, 0, 0 }, 	// 93
	{ "QMoveEvent", true, 0, 0, 0, 0 }, 	// 94
	{ "QObject", true, 0, 0, 0, 0 }, 	// 95
	{ "QPaintDevice", true, 0, 0, 0, 0 }, 	// 96
	{ "QPaintEngine", true, 0, 0, 0, 0 }, 	// 97
	{ "QPaintEngineState", true, 0, 0, 0, 0 }, 	// 98
	{ "QPaintEvent", true, 0, 0, 0, 0 }, 	// 99
	{ "QPainterPath", true, 0, 0, 0, 0 }, 	// 100
	{ "QPalette", true, 0, 0, 0, 0 }, 	// 101
	{ "QPixmap", true, 0, 0, 0, 0 }, 	// 102
	{ "QPoint", true, 0, 0, 0, 0 }, 	// 103
	{ "QPointF", true, 0, 0, 0, 0 }, 	// 104
	{ "QRect", true, 0, 0, 0, 0 }, 	// 105
	{ "QRectF", true, 0, 0, 0, 0 }, 	// 106
	{ "QResizeEvent", true, 0, 0, 0, 0 }, 	// 107
	{ "QShowEvent", true, 0, 0, 0, 0 }, 	// 108
	{ "QSize", true, 0, 0, 0, 0 }, 	// 109
	{ "QStyle", true, 0, 0, 0, 0 }, 	// 110
	{ "QTabletEvent", true, 0, 0, 0, 0 }, 	// 111
	{ "QTextCharFormat", true, 0, 0, 0, 0 }, 	// 112
	{ "QTextFormat", true, 0, 0, 0, 0 }, 	// 113
	{ "QTimerEvent", true, 0, 0, 0, 0 }, 	// 114
	{ "QVariant", true, 0, 0, 0, 0 }, 	// 115
	{ "QWheelEvent", true, 0, 0, 0, 0 }, 	// 116
	{ "QWidget", true, 0, 0, 0, 0 }, 	// 117
	{ "Qt", true, 0, 0, 0, 0 }, 	// 118
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type ktexteditor_types[] = {
	{ 0, 0, 0 },	//0 (no type)
	{ "KAction*", 2, Smoke::t_class | Smoke::tf_ptr },	//1
	{ "KAction::ShortcutTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//2
	{ "KActionCollection*", 3, Smoke::t_class | Smoke::tf_ptr },	//3
	{ "KAutostart::Conditions", 0, Smoke::t_uint | Smoke::tf_stack },	//4
	{ "KCModule::Buttons", 0, Smoke::t_uint | Smoke::tf_stack },	//5
	{ "KCmdLineArgs::StdCmdLineArgs", 0, Smoke::t_uint | Smoke::tf_stack },	//6
	{ "KCompletion*", 4, Smoke::t_class | Smoke::tf_ptr },	//7
	{ "KComponentData", 5, Smoke::t_class | Smoke::tf_stack },	//8
	{ "KConfig*", 6, Smoke::t_class | Smoke::tf_ptr },	//9
	{ "KConfig::OpenFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//10
	{ "KConfigBase::WriteConfigFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//11
	{ "KConfigGroup&", 7, Smoke::t_class | Smoke::tf_ref },	//12
	{ "KCrash::CrashFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//13
	{ "KDialog::ButtonCodes", 0, Smoke::t_uint | Smoke::tf_stack },	//14
	{ "KDialog::ButtonPopupModes", 0, Smoke::t_uint | Smoke::tf_stack },	//15
	{ "KDialog::CaptionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//16
	{ "KDirLister::OpenUrlFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//17
	{ "KDirModel::DropsAllowed", 0, Smoke::t_uint | Smoke::tf_stack },	//18
	{ "KDirWatch::WatchModes", 0, Smoke::t_uint | Smoke::tf_stack },	//19
	{ "KEditListBox::Buttons", 0, Smoke::t_uint | Smoke::tf_stack },	//20
	{ "KFileMetaInfo::WhatFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//21
	{ "KFontChooser::DisplayFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//22
	{ "KFontChooser::FontDiffFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//23
	{ "KGlobalSettings::GraphicEffects", 0, Smoke::t_uint | Smoke::tf_stack },	//24
	{ "KIO::Job*", 9, Smoke::t_class | Smoke::tf_ptr },	//25
	{ "KIO::JobFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//26
	{ "KIO::NetRC::LookUpMode", 0, Smoke::t_uint | Smoke::tf_stack },	//27
	{ "KIO::TCPSlaveBase::SslResult", 0, Smoke::t_uint | Smoke::tf_stack },	//28
	{ "KIcon", 10, Smoke::t_class | Smoke::tf_stack },	//29
	{ "KIconLoader*", 11, Smoke::t_class | Smoke::tf_ptr },	//30
	{ "KJob::Capabilities", 0, Smoke::t_uint | Smoke::tf_stack },	//31
	{ "KLocale::DateTimeFormatOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//32
	{ "KLockFile::LockFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//33
	{ "KMessageBox::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//34
	{ "KNTLM::AuthFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//35
	{ "KNotification::NotificationFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//36
	{ "KNotificationRestrictions::Services", 0, Smoke::t_uint | Smoke::tf_stack },	//37
	{ "KParts::BrowserExtension*", 13, Smoke::t_class | Smoke::tf_ptr },	//38
	{ "KParts::BrowserExtension::PopupFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//39
	{ "KParts::GUIActivateEvent*", 15, Smoke::t_class | Smoke::tf_ptr },	//40
	{ "KParts::OpenUrlArguments", 16, Smoke::t_class | Smoke::tf_stack },	//41
	{ "KParts::Part*", 17, Smoke::t_class | Smoke::tf_ptr },	//42
	{ "KParts::PartActivateEvent*", 18, Smoke::t_class | Smoke::tf_ptr },	//43
	{ "KParts::PartBase*", 19, Smoke::t_class | Smoke::tf_ptr },	//44
	{ "KParts::PartBase::PluginLoadingMode", 19, Smoke::t_enum | Smoke::tf_stack },	//45
	{ "KParts::PartManager*", 20, Smoke::t_class | Smoke::tf_ptr },	//46
	{ "KParts::PartManager::Reason", 20, Smoke::t_enum | Smoke::tf_stack },	//47
	{ "KParts::PartManager::SelectionPolicy", 20, Smoke::t_enum | Smoke::tf_stack },	//48
	{ "KParts::PartSelectEvent*", 21, Smoke::t_class | Smoke::tf_ptr },	//49
	{ "KParts::ReadOnlyPart*", 22, Smoke::t_class | Smoke::tf_ptr },	//50
	{ "KParts::ReadWritePart*", 23, Smoke::t_class | Smoke::tf_ptr },	//51
	{ "KPasswordDialog::KPasswordDialogFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//52
	{ "KPlotObject::PlotTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//53
	{ "KServiceGroup::EntriesOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//54
	{ "KShell::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//55
	{ "KShortcutsEditor::ActionTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//56
	{ "KStandardDirs::SearchOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//57
	{ "KTextEditor::AnnotationInterface*", 26, Smoke::t_class | Smoke::tf_ptr },	//58
	{ "KTextEditor::AnnotationModel*", 27, Smoke::t_class | Smoke::tf_ptr },	//59
	{ "KTextEditor::AnnotationViewInterface*", 28, Smoke::t_class | Smoke::tf_ptr },	//60
	{ "KTextEditor::Attribute&", 29, Smoke::t_class | Smoke::tf_ref },	//61
	{ "KTextEditor::Attribute*", 29, Smoke::t_class | Smoke::tf_ptr },	//62
	{ "KTextEditor::Attribute::ActivationType", 29, Smoke::t_enum | Smoke::tf_stack },	//63
	{ "KTextEditor::Attribute::CustomProperties", 29, Smoke::t_enum | Smoke::tf_stack },	//64
	{ "KTextEditor::Attribute::Effect", 29, Smoke::t_enum | Smoke::tf_stack },	//65
	{ "KTextEditor::Attribute::Effects", 0, Smoke::t_uint | Smoke::tf_stack },	//66
	{ "KTextEditor::Attribute::Ptr", 0, Smoke::t_voidp | Smoke::tf_stack },	//67
	{ "KTextEditor::CodeCompletionInterface*", 30, Smoke::t_class | Smoke::tf_ptr },	//68
	{ "KTextEditor::CodeCompletionModel*", 31, Smoke::t_class | Smoke::tf_ptr },	//69
	{ "KTextEditor::CodeCompletionModel2*", 32, Smoke::t_class | Smoke::tf_ptr },	//70
	{ "KTextEditor::CodeCompletionModel::Columns", 31, Smoke::t_enum | Smoke::tf_stack },	//71
	{ "KTextEditor::CodeCompletionModel::CompletionProperties", 0, Smoke::t_uint | Smoke::tf_stack },	//72
	{ "KTextEditor::CodeCompletionModel::CompletionProperty", 31, Smoke::t_enum | Smoke::tf_stack },	//73
	{ "KTextEditor::CodeCompletionModel::ExtraItemDataRoles", 31, Smoke::t_enum | Smoke::tf_stack },	//74
	{ "KTextEditor::CodeCompletionModel::HighlightMethod", 31, Smoke::t_enum | Smoke::tf_stack },	//75
	{ "KTextEditor::CodeCompletionModel::HighlightMethods", 0, Smoke::t_uint | Smoke::tf_stack },	//76
	{ "KTextEditor::CodeCompletionModel::InvocationType", 31, Smoke::t_enum | Smoke::tf_stack },	//77
	{ "KTextEditor::Command*", 33, Smoke::t_class | Smoke::tf_ptr },	//78
	{ "KTextEditor::CommandExtension*", 34, Smoke::t_class | Smoke::tf_ptr },	//79
	{ "KTextEditor::CommandInterface*", 35, Smoke::t_class | Smoke::tf_ptr },	//80
	{ "KTextEditor::ConfigInterface*", 36, Smoke::t_class | Smoke::tf_ptr },	//81
	{ "KTextEditor::ConfigPage*", 37, Smoke::t_class | Smoke::tf_ptr },	//82
	{ "KTextEditor::ContainerInterface*", 38, Smoke::t_class | Smoke::tf_ptr },	//83
	{ "KTextEditor::Cursor", 39, Smoke::t_class | Smoke::tf_stack },	//84
	{ "KTextEditor::Cursor&", 39, Smoke::t_class | Smoke::tf_ref },	//85
	{ "KTextEditor::Cursor*", 39, Smoke::t_class | Smoke::tf_ptr },	//86
	{ "KTextEditor::Document*", 40, Smoke::t_class | Smoke::tf_ptr },	//87
	{ "KTextEditor::Editor*", 41, Smoke::t_class | Smoke::tf_ptr },	//88
	{ "KTextEditor::EditorChooser*", 42, Smoke::t_class | Smoke::tf_ptr },	//89
	{ "KTextEditor::Factory*", 43, Smoke::t_class | Smoke::tf_ptr },	//90
	{ "KTextEditor::Mark", 44, Smoke::t_class | Smoke::tf_stack },	//91
	{ "KTextEditor::MarkInterface*", 45, Smoke::t_class | Smoke::tf_ptr },	//92
	{ "KTextEditor::MarkInterface::MarkChangeAction", 45, Smoke::t_enum | Smoke::tf_stack },	//93
	{ "KTextEditor::MarkInterface::MarkTypes", 45, Smoke::t_enum | Smoke::tf_stack },	//94
	{ "KTextEditor::MdiContainer*", 46, Smoke::t_class | Smoke::tf_ptr },	//95
	{ "KTextEditor::ModificationInterface*", 47, Smoke::t_class | Smoke::tf_ptr },	//96
	{ "KTextEditor::ModificationInterface::ModifiedOnDiskReason", 47, Smoke::t_enum | Smoke::tf_stack },	//97
	{ "KTextEditor::Plugin*", 48, Smoke::t_class | Smoke::tf_ptr },	//98
	{ "KTextEditor::Range", 49, Smoke::t_class | Smoke::tf_stack },	//99
	{ "KTextEditor::Range*", 49, Smoke::t_class | Smoke::tf_ptr },	//100
	{ "KTextEditor::Search::SearchOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//101
	{ "KTextEditor::SearchInterface*", 50, Smoke::t_class | Smoke::tf_ptr },	//102
	{ "KTextEditor::SessionConfigInterface*", 51, Smoke::t_class | Smoke::tf_ptr },	//103
	{ "KTextEditor::SmartCursor&", 52, Smoke::t_class | Smoke::tf_ref },	//104
	{ "KTextEditor::SmartCursor*", 52, Smoke::t_class | Smoke::tf_ptr },	//105
	{ "KTextEditor::SmartCursor::AdvanceMode", 52, Smoke::t_enum | Smoke::tf_stack },	//106
	{ "KTextEditor::SmartCursor::InsertBehavior", 52, Smoke::t_enum | Smoke::tf_stack },	//107
	{ "KTextEditor::SmartCursorNotifier*", 53, Smoke::t_class | Smoke::tf_ptr },	//108
	{ "KTextEditor::SmartCursorWatcher*", 54, Smoke::t_class | Smoke::tf_ptr },	//109
	{ "KTextEditor::SmartInterface*", 55, Smoke::t_class | Smoke::tf_ptr },	//110
	{ "KTextEditor::SmartRange&", 56, Smoke::t_class | Smoke::tf_ref },	//111
	{ "KTextEditor::SmartRange*", 56, Smoke::t_class | Smoke::tf_ptr },	//112
	{ "KTextEditor::SmartRange::InsertBehavior", 56, Smoke::t_enum | Smoke::tf_stack },	//113
	{ "KTextEditor::SmartRange::InsertBehaviors", 0, Smoke::t_uint | Smoke::tf_stack },	//114
	{ "KTextEditor::SmartRangeNotifier*", 57, Smoke::t_class | Smoke::tf_ptr },	//115
	{ "KTextEditor::SmartRangeWatcher*", 58, Smoke::t_class | Smoke::tf_ptr },	//116
	{ "KTextEditor::TemplateInterface*", 59, Smoke::t_class | Smoke::tf_ptr },	//117
	{ "KTextEditor::TextHintInterface*", 60, Smoke::t_class | Smoke::tf_ptr },	//118
	{ "KTextEditor::VariableInterface*", 61, Smoke::t_class | Smoke::tf_ptr },	//119
	{ "KTextEditor::View*", 62, Smoke::t_class | Smoke::tf_ptr },	//120
	{ "KTextEditor::View::EditMode", 62, Smoke::t_enum | Smoke::tf_stack },	//121
	{ "KUniqueApplication::StartFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//122
	{ "KUrl", 63, Smoke::t_class | Smoke::tf_stack },	//123
	{ "KUrl::AdjustPathOption", 63, Smoke::t_enum | Smoke::tf_stack },	//124
	{ "KUrl::CleanPathOption", 63, Smoke::t_enum | Smoke::tf_stack },	//125
	{ "KUrl::CleanPathOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//126
	{ "KUrl::DirectoryOption", 63, Smoke::t_enum | Smoke::tf_stack },	//127
	{ "KUrl::DirectoryOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//128
	{ "KUrl::EncodedPathAndQueryOption", 63, Smoke::t_enum | Smoke::tf_stack },	//129
	{ "KUrl::EncodedPathAndQueryOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//130
	{ "KUrl::EqualsOption", 63, Smoke::t_enum | Smoke::tf_stack },	//131
	{ "KUrl::EqualsOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//132
	{ "KUrl::MimeDataFlags", 63, Smoke::t_enum | Smoke::tf_stack },	//133
	{ "KUrl::QueryItemsOption", 63, Smoke::t_enum | Smoke::tf_stack },	//134
	{ "KUrl::QueryItemsOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//135
	{ "KXMLGUIClient*", 64, Smoke::t_class | Smoke::tf_ptr },	//136
	{ "KXMLGUIClient::ReverseStateChange", 64, Smoke::t_enum | Smoke::tf_stack },	//137
	{ "KXmlGuiWindow::StandardWindowOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//138
	{ "QAbstractFileEngine::FileFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//139
	{ "QAbstractItemView::EditTriggers", 0, Smoke::t_uint | Smoke::tf_stack },	//140
	{ "QAbstractPrintDialog::PrintDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//141
	{ "QAbstractSpinBox::StepEnabled", 0, Smoke::t_uint | Smoke::tf_stack },	//142
	{ "QAccessible::Relation", 0, Smoke::t_uint | Smoke::tf_stack },	//143
	{ "QAccessible::State", 0, Smoke::t_uint | Smoke::tf_stack },	//144
	{ "QAction*", 66, Smoke::t_class | Smoke::tf_ptr },	//145
	{ "QAction::ActionEvent", 66, Smoke::t_enum | Smoke::tf_stack },	//146
	{ "QAction::MenuRole", 66, Smoke::t_enum | Smoke::tf_stack },	//147
	{ "QActionEvent*", 67, Smoke::t_class | Smoke::tf_ptr },	//148
	{ "QBrush", 68, Smoke::t_class | Smoke::tf_stack },	//149
	{ "QChar", 70, Smoke::t_class | Smoke::tf_stack },	//150
	{ "QChar::Category", 70, Smoke::t_enum | Smoke::tf_stack },	//151
	{ "QChar::CombiningClass", 70, Smoke::t_enum | Smoke::tf_stack },	//152
	{ "QChar::Decomposition", 70, Smoke::t_enum | Smoke::tf_stack },	//153
	{ "QChar::Direction", 70, Smoke::t_enum | Smoke::tf_stack },	//154
	{ "QChar::Joining", 70, Smoke::t_enum | Smoke::tf_stack },	//155
	{ "QChar::SpecialCharacter", 70, Smoke::t_enum | Smoke::tf_stack },	//156
	{ "QChar::UnicodeVersion", 70, Smoke::t_enum | Smoke::tf_stack },	//157
	{ "QChildEvent*", 71, Smoke::t_class | Smoke::tf_ptr },	//158
	{ "QCloseEvent*", 72, Smoke::t_class | Smoke::tf_ptr },	//159
	{ "QContextMenuEvent*", 73, Smoke::t_class | Smoke::tf_ptr },	//160
	{ "QDBusConnection::RegisterOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//161
	{ "QDateTimeEdit::Sections", 0, Smoke::t_uint | Smoke::tf_stack },	//162
	{ "QDialogButtonBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//163
	{ "QDir::Filters", 0, Smoke::t_uint | Smoke::tf_stack },	//164
	{ "QDir::SortFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//165
	{ "QDirIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//166
	{ "QDockWidget::DockWidgetFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//167
	{ "QDomDocument", 74, Smoke::t_class | Smoke::tf_stack },	//168
	{ "QDragEnterEvent*", 76, Smoke::t_class | Smoke::tf_ptr },	//169
	{ "QDragLeaveEvent*", 77, Smoke::t_class | Smoke::tf_ptr },	//170
	{ "QDragMoveEvent*", 78, Smoke::t_class | Smoke::tf_ptr },	//171
	{ "QDropEvent*", 79, Smoke::t_class | Smoke::tf_ptr },	//172
	{ "QEvent*", 80, Smoke::t_class | Smoke::tf_ptr },	//173
	{ "QEvent::Type", 80, Smoke::t_enum | Smoke::tf_stack },	//174
	{ "QEventLoop::ProcessEventsFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//175
	{ "QFile::Permissions", 0, Smoke::t_uint | Smoke::tf_stack },	//176
	{ "QFileDialog::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//177
	{ "QFocusEvent*", 81, Smoke::t_class | Smoke::tf_ptr },	//178
	{ "QFontComboBox::FontFilters", 0, Smoke::t_uint | Smoke::tf_stack },	//179
	{ "QGL::FormatOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//180
	{ "QGLFormat::OpenGLVersionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//181
	{ "QGraphicsItem::GraphicsItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//182
	{ "QGraphicsScene::SceneLayers", 0, Smoke::t_uint | Smoke::tf_stack },	//183
	{ "QGraphicsView::CacheMode", 0, Smoke::t_uint | Smoke::tf_stack },	//184
	{ "QGraphicsView::OptimizationFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//185
	{ "QHideEvent*", 83, Smoke::t_class | Smoke::tf_ptr },	//186
	{ "QIODevice::OpenMode", 0, Smoke::t_uint | Smoke::tf_stack },	//187
	{ "QInputMethodEvent*", 85, Smoke::t_class | Smoke::tf_ptr },	//188
	{ "QItemSelectionModel::SelectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//189
	{ "QKeyEvent*", 86, Smoke::t_class | Smoke::tf_ptr },	//190
	{ "QLibrary::LoadHints", 0, Smoke::t_uint | Smoke::tf_stack },	//191
	{ "QList<KTextEditor::Command*>", 0, Smoke::t_voidp | Smoke::tf_stack },	//192
	{ "QLocale::NumberOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//193
	{ "QMainWindow::DockOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//194
	{ "QMap<QString,QString>&", 0, Smoke::t_voidp | Smoke::tf_ref },	//195
	{ "QMap<int,QVariant>", 0, Smoke::t_voidp | Smoke::tf_stack },	//196
	{ "QMdiArea::AreaOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//197
	{ "QMdiSubWindow::SubWindowOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//198
	{ "QMenu*", 89, Smoke::t_class | Smoke::tf_ptr },	//199
	{ "QMessageBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//200
	{ "QMetaObject::Call", 90, Smoke::t_enum | Smoke::tf_stack },	//201
	{ "QMimeData*", 91, Smoke::t_class | Smoke::tf_ptr },	//202
	{ "QModelIndex", 92, Smoke::t_class | Smoke::tf_stack },	//203
	{ "QModelIndexList", 0, Smoke::t_voidp | Smoke::tf_stack },	//204
	{ "QMouseEvent*", 93, Smoke::t_class | Smoke::tf_ptr },	//205
	{ "QMoveEvent*", 94, Smoke::t_class | Smoke::tf_ptr },	//206
	{ "QMutex*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//207
	{ "QNetworkInterface::InterfaceFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//208
	{ "QObject*", 95, Smoke::t_class | Smoke::tf_ptr },	//209
	{ "QPageSetupDialog::PageSetupDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//210
	{ "QPaintDevice*", 96, Smoke::t_class | Smoke::tf_ptr },	//211
	{ "QPaintDevice::PaintDeviceMetric", 96, Smoke::t_enum | Smoke::tf_stack },	//212
	{ "QPaintEngine*", 97, Smoke::t_class | Smoke::tf_ptr },	//213
	{ "QPaintEngine::DirtyFlag", 97, Smoke::t_enum | Smoke::tf_stack },	//214
	{ "QPaintEngine::DirtyFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//215
	{ "QPaintEngine::PaintEngineFeature", 97, Smoke::t_enum | Smoke::tf_stack },	//216
	{ "QPaintEngine::PaintEngineFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//217
	{ "QPaintEngine::PolygonDrawMode", 97, Smoke::t_enum | Smoke::tf_stack },	//218
	{ "QPaintEngine::Type", 97, Smoke::t_enum | Smoke::tf_stack },	//219
	{ "QPaintEvent*", 99, Smoke::t_class | Smoke::tf_ptr },	//220
	{ "QPainter::RenderHints", 0, Smoke::t_uint | Smoke::tf_stack },	//221
	{ "QPainterPath::ElementType", 100, Smoke::t_enum | Smoke::tf_stack },	//222
	{ "QPixmap", 102, Smoke::t_class | Smoke::tf_stack },	//223
	{ "QPixmap::Type", 102, Smoke::t_enum | Smoke::tf_stack },	//224
	{ "QPoint", 103, Smoke::t_class | Smoke::tf_stack },	//225
	{ "QResizeEvent*", 107, Smoke::t_class | Smoke::tf_ptr },	//226
	{ "QShowEvent*", 108, Smoke::t_class | Smoke::tf_ptr },	//227
	{ "QSize", 109, Smoke::t_class | Smoke::tf_stack },	//228
	{ "QSizePolicy::ControlTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//229
	{ "QSql::ParamType", 0, Smoke::t_uint | Smoke::tf_stack },	//230
	{ "QStack<KTextEditor::SmartRange*>*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//231
	{ "QString", 0, Smoke::t_voidp | Smoke::tf_stack },	//232
	{ "QString&", 0, Smoke::t_voidp | Smoke::tf_ref },	//233
	{ "QString::SectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//234
	{ "QStringList", 0, Smoke::t_voidp | Smoke::tf_stack },	//235
	{ "QStringList&", 0, Smoke::t_voidp | Smoke::tf_ref },	//236
	{ "QStyle&", 110, Smoke::t_class | Smoke::tf_ref },	//237
	{ "QStyle::State", 0, Smoke::t_uint | Smoke::tf_stack },	//238
	{ "QStyle::SubControls", 0, Smoke::t_uint | Smoke::tf_stack },	//239
	{ "QStyleOptionButton::ButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//240
	{ "QStyleOptionFrameV2::FrameFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//241
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//242
	{ "QStyleOptionTab::CornerWidgets", 0, Smoke::t_uint | Smoke::tf_stack },	//243
	{ "QStyleOptionToolBar::ToolBarFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//244
	{ "QStyleOptionToolButton::ToolButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//245
	{ "QStyleOptionViewItemV2::ViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//246
	{ "QTabletEvent*", 111, Smoke::t_class | Smoke::tf_ptr },	//247
	{ "QTextBoundaryFinder::BoundaryReasons", 0, Smoke::t_uint | Smoke::tf_stack },	//248
	{ "QTextCharFormat::UnderlineStyle", 112, Smoke::t_enum | Smoke::tf_stack },	//249
	{ "QTextCharFormat::VerticalAlignment", 112, Smoke::t_enum | Smoke::tf_stack },	//250
	{ "QTextCodec::ConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//251
	{ "QTextDocument::FindFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//252
	{ "QTextEdit::AutoFormatting", 0, Smoke::t_uint | Smoke::tf_stack },	//253
	{ "QTextFormat::FormatType", 113, Smoke::t_enum | Smoke::tf_stack },	//254
	{ "QTextFormat::ObjectTypes", 113, Smoke::t_enum | Smoke::tf_stack },	//255
	{ "QTextFormat::PageBreakFlag", 113, Smoke::t_enum | Smoke::tf_stack },	//256
	{ "QTextFormat::PageBreakFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//257
	{ "QTextFormat::Property", 113, Smoke::t_enum | Smoke::tf_stack },	//258
	{ "QTextItem::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//259
	{ "QTextOption::Flags", 0, Smoke::t_uint | Smoke::tf_stack },	//260
	{ "QTextStream::NumberFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//261
	{ "QTimerEvent*", 114, Smoke::t_class | Smoke::tf_ptr },	//262
	{ "QTreeWidgetItemIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//263
	{ "QUdpSocket::BindMode", 0, Smoke::t_uint | Smoke::tf_stack },	//264
	{ "QUrl::FormattingOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//265
	{ "QVariant", 115, Smoke::t_class | Smoke::tf_stack },	//266
	{ "QVariant::Type", 115, Smoke::t_enum | Smoke::tf_stack },	//267
	{ "QVector<KTextEditor::Range>", 0, Smoke::t_voidp | Smoke::tf_stack },	//268
	{ "QWebPage::FindFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//269
	{ "QWheelEvent*", 116, Smoke::t_class | Smoke::tf_ptr },	//270
	{ "QWidget*", 117, Smoke::t_class | Smoke::tf_ptr },	//271
	{ "QWidget::RenderFlag", 117, Smoke::t_enum | Smoke::tf_stack },	//272
	{ "QWidget::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//273
	{ "QWizard::WizardOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//274
	{ "Qt::Alignment", 0, Smoke::t_uint | Smoke::tf_stack },	//275
	{ "Qt::AlignmentFlag", 118, Smoke::t_enum | Smoke::tf_stack },	//276
	{ "Qt::AnchorAttribute", 118, Smoke::t_enum | Smoke::tf_stack },	//277
	{ "Qt::ApplicationAttribute", 118, Smoke::t_enum | Smoke::tf_stack },	//278
	{ "Qt::ArrowType", 118, Smoke::t_enum | Smoke::tf_stack },	//279
	{ "Qt::AspectRatioMode", 118, Smoke::t_enum | Smoke::tf_stack },	//280
	{ "Qt::Axis", 118, Smoke::t_enum | Smoke::tf_stack },	//281
	{ "Qt::BGMode", 118, Smoke::t_enum | Smoke::tf_stack },	//282
	{ "Qt::BrushStyle", 118, Smoke::t_enum | Smoke::tf_stack },	//283
	{ "Qt::CaseSensitivity", 118, Smoke::t_enum | Smoke::tf_stack },	//284
	{ "Qt::CheckState", 118, Smoke::t_enum | Smoke::tf_stack },	//285
	{ "Qt::ClipOperation", 118, Smoke::t_enum | Smoke::tf_stack },	//286
	{ "Qt::ConnectionType", 118, Smoke::t_enum | Smoke::tf_stack },	//287
	{ "Qt::ContextMenuPolicy", 118, Smoke::t_enum | Smoke::tf_stack },	//288
	{ "Qt::Corner", 118, Smoke::t_enum | Smoke::tf_stack },	//289
	{ "Qt::CursorShape", 118, Smoke::t_enum | Smoke::tf_stack },	//290
	{ "Qt::DateFormat", 118, Smoke::t_enum | Smoke::tf_stack },	//291
	{ "Qt::DayOfWeek", 118, Smoke::t_enum | Smoke::tf_stack },	//292
	{ "Qt::DockWidgetArea", 118, Smoke::t_enum | Smoke::tf_stack },	//293
	{ "Qt::DockWidgetAreaSizes", 118, Smoke::t_enum | Smoke::tf_stack },	//294
	{ "Qt::DockWidgetAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//295
	{ "Qt::DropAction", 118, Smoke::t_enum | Smoke::tf_stack },	//296
	{ "Qt::DropActions", 0, Smoke::t_uint | Smoke::tf_stack },	//297
	{ "Qt::EventPriority", 118, Smoke::t_enum | Smoke::tf_stack },	//298
	{ "Qt::FillRule", 118, Smoke::t_enum | Smoke::tf_stack },	//299
	{ "Qt::FocusPolicy", 118, Smoke::t_enum | Smoke::tf_stack },	//300
	{ "Qt::FocusReason", 118, Smoke::t_enum | Smoke::tf_stack },	//301
	{ "Qt::GlobalColor", 118, Smoke::t_enum | Smoke::tf_stack },	//302
	{ "Qt::HitTestAccuracy", 118, Smoke::t_enum | Smoke::tf_stack },	//303
	{ "Qt::ImageConversionFlag", 118, Smoke::t_enum | Smoke::tf_stack },	//304
	{ "Qt::ImageConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//305
	{ "Qt::InputMethodQuery", 118, Smoke::t_enum | Smoke::tf_stack },	//306
	{ "Qt::ItemDataRole", 118, Smoke::t_enum | Smoke::tf_stack },	//307
	{ "Qt::ItemFlag", 118, Smoke::t_enum | Smoke::tf_stack },	//308
	{ "Qt::ItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//309
	{ "Qt::ItemSelectionMode", 118, Smoke::t_enum | Smoke::tf_stack },	//310
	{ "Qt::Key", 118, Smoke::t_enum | Smoke::tf_stack },	//311
	{ "Qt::KeyboardModifier", 118, Smoke::t_enum | Smoke::tf_stack },	//312
	{ "Qt::KeyboardModifiers", 0, Smoke::t_uint | Smoke::tf_stack },	//313
	{ "Qt::LayoutDirection", 118, Smoke::t_enum | Smoke::tf_stack },	//314
	{ "Qt::MaskMode", 118, Smoke::t_enum | Smoke::tf_stack },	//315
	{ "Qt::MatchFlag", 118, Smoke::t_enum | Smoke::tf_stack },	//316
	{ "Qt::MatchFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//317
	{ "Qt::Modifier", 118, Smoke::t_enum | Smoke::tf_stack },	//318
	{ "Qt::MouseButton", 118, Smoke::t_enum | Smoke::tf_stack },	//319
	{ "Qt::MouseButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//320
	{ "Qt::Orientation", 118, Smoke::t_enum | Smoke::tf_stack },	//321
	{ "Qt::Orientations", 0, Smoke::t_uint | Smoke::tf_stack },	//322
	{ "Qt::PenCapStyle", 118, Smoke::t_enum | Smoke::tf_stack },	//323
	{ "Qt::PenJoinStyle", 118, Smoke::t_enum | Smoke::tf_stack },	//324
	{ "Qt::PenStyle", 118, Smoke::t_enum | Smoke::tf_stack },	//325
	{ "Qt::ScrollBarPolicy", 118, Smoke::t_enum | Smoke::tf_stack },	//326
	{ "Qt::ShortcutContext", 118, Smoke::t_enum | Smoke::tf_stack },	//327
	{ "Qt::SizeHint", 118, Smoke::t_enum | Smoke::tf_stack },	//328
	{ "Qt::SizeMode", 118, Smoke::t_enum | Smoke::tf_stack },	//329
	{ "Qt::SortOrder", 118, Smoke::t_enum | Smoke::tf_stack },	//330
	{ "Qt::TextElideMode", 118, Smoke::t_enum | Smoke::tf_stack },	//331
	{ "Qt::TextFlag", 118, Smoke::t_enum | Smoke::tf_stack },	//332
	{ "Qt::TextFormat", 118, Smoke::t_enum | Smoke::tf_stack },	//333
	{ "Qt::TextInteractionFlag", 118, Smoke::t_enum | Smoke::tf_stack },	//334
	{ "Qt::TextInteractionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//335
	{ "Qt::TimeSpec", 118, Smoke::t_enum | Smoke::tf_stack },	//336
	{ "Qt::ToolBarArea", 118, Smoke::t_enum | Smoke::tf_stack },	//337
	{ "Qt::ToolBarAreaSizes", 118, Smoke::t_enum | Smoke::tf_stack },	//338
	{ "Qt::ToolBarAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//339
	{ "Qt::ToolButtonStyle", 118, Smoke::t_enum | Smoke::tf_stack },	//340
	{ "Qt::TransformationMode", 118, Smoke::t_enum | Smoke::tf_stack },	//341
	{ "Qt::UIEffect", 118, Smoke::t_enum | Smoke::tf_stack },	//342
	{ "Qt::WhiteSpaceMode", 118, Smoke::t_enum | Smoke::tf_stack },	//343
	{ "Qt::WidgetAttribute", 118, Smoke::t_enum | Smoke::tf_stack },	//344
	{ "Qt::WindowFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//345
	{ "Qt::WindowFrameSection", 118, Smoke::t_enum | Smoke::tf_stack },	//346
	{ "Qt::WindowModality", 118, Smoke::t_enum | Smoke::tf_stack },	//347
	{ "Qt::WindowState", 118, Smoke::t_enum | Smoke::tf_stack },	//348
	{ "Qt::WindowStates", 0, Smoke::t_uint | Smoke::tf_stack },	//349
	{ "Qt::WindowType", 118, Smoke::t_enum | Smoke::tf_stack },	//350
	{ "bool", 0, Smoke::t_bool | Smoke::tf_stack },	//351
	{ "bool*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//352
	{ "const Handler*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//353
	{ "const KAboutData*", 1, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//354
	{ "const KComponentData&", 5, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//355
	{ "const KConfigGroup&", 7, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//356
	{ "const KParts::OpenUrlArguments&", 16, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//357
	{ "const KTextEditor::AnnotationInterface&", 26, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//358
	{ "const KTextEditor::AnnotationViewInterface&", 28, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//359
	{ "const KTextEditor::Attribute&", 29, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//360
	{ "const KTextEditor::CodeCompletionInterface&", 30, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//361
	{ "const KTextEditor::Command&", 33, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//362
	{ "const KTextEditor::CommandExtension&", 34, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//363
	{ "const KTextEditor::CommandInterface&", 35, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//364
	{ "const KTextEditor::ConfigInterface&", 36, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//365
	{ "const KTextEditor::ContainerInterface&", 38, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//366
	{ "const KTextEditor::Cursor&", 39, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//367
	{ "const KTextEditor::MarkInterface&", 45, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//368
	{ "const KTextEditor::MdiContainer&", 46, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//369
	{ "const KTextEditor::ModificationInterface&", 47, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//370
	{ "const KTextEditor::Range&", 49, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//371
	{ "const KTextEditor::Search::SearchOptions", 0, Smoke::t_uint | Smoke::tf_stack | Smoke::tf_const },	//372
	{ "const KTextEditor::SearchInterface&", 50, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//373
	{ "const KTextEditor::SessionConfigInterface&", 51, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//374
	{ "const KTextEditor::SmartCursor&", 52, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//375
	{ "const KTextEditor::SmartCursorWatcher&", 54, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//376
	{ "const KTextEditor::SmartInterface&", 55, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//377
	{ "const KTextEditor::SmartRange&", 56, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//378
	{ "const KTextEditor::SmartRange*", 56, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//379
	{ "const KTextEditor::SmartRangeWatcher&", 58, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//380
	{ "const KTextEditor::TemplateInterface&", 59, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//381
	{ "const KTextEditor::TextHintInterface&", 60, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//382
	{ "const KTextEditor::VariableInterface&", 61, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//383
	{ "const KUrl&", 63, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//384
	{ "const QBrush&", 68, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//385
	{ "const QByteArray&", 69, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//386
	{ "const QDomDocument&", 74, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//387
	{ "const QDomElement&", 75, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//388
	{ "const QFont&", 82, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//389
	{ "const QHash<int,KTextEditor::Mark*>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//390
	{ "const QImage&", 84, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//391
	{ "const QLine*", 87, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//392
	{ "const QLineF*", 88, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//393
	{ "const QList<KAction*>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//394
	{ "const QList<KTextEditor::Document*>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//395
	{ "const QList<KTextEditor::SmartRange*>", 0, Smoke::t_voidp | Smoke::tf_stack | Smoke::tf_const },	//396
	{ "const QList<KTextEditor::SmartRange*>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//397
	{ "const QList<KTextEditor::SmartRangeNotifier*>", 0, Smoke::t_voidp | Smoke::tf_stack | Smoke::tf_const },	//398
	{ "const QList<KTextEditor::SmartRangeWatcher*>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//399
	{ "const QList<KTextEditor::View*>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//400
	{ "const QMap<QString,QString>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//401
	{ "const QMap<int,QVariant>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//402
	{ "const QMetaObject", 90, Smoke::t_class | Smoke::tf_stack | Smoke::tf_const },	//403
	{ "const QMetaObject*", 90, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//404
	{ "const QMimeData*", 91, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//405
	{ "const QModelIndex&", 92, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//406
	{ "const QModelIndexList&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//407
	{ "const QPaintEngineState&", 98, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//408
	{ "const QPainterPath&", 100, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//409
	{ "const QPalette&", 101, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//410
	{ "const QPixmap&", 102, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//411
	{ "const QPoint&", 103, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//412
	{ "const QPoint*", 103, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//413
	{ "const QPointF&", 104, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//414
	{ "const QPointF*", 104, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//415
	{ "const QRect&", 105, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//416
	{ "const QRect*", 105, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//417
	{ "const QRectF&", 106, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//418
	{ "const QRectF*", 106, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//419
	{ "const QString&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//420
	{ "const QStringList&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//421
	{ "const QVariant&", 115, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//422
	{ "const QVariantList&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//423
	{ "const char*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//424
	{ "const int", 0, Smoke::t_int | Smoke::tf_stack | Smoke::tf_const },	//425
	{ "enum EditMode", 0, Smoke::t_voidp | Smoke::tf_stack },	//426
	{ "int", 0, Smoke::t_int | Smoke::tf_stack },	//427
	{ "int&", 0, Smoke::t_voidp | Smoke::tf_ref },	//428
	{ "uint", 0, Smoke::t_uint | Smoke::tf_stack },	//429
	{ "void**", 0, Smoke::t_voidp | Smoke::tf_ptr },	//430
};

static Smoke::Index ktexteditor_argumentList[] = {
	0,	//0  (void)
	1, 0,	//1  KAction*  
	100, 0,	//3  KTextEditor::Range*  
	105, 0,	//5  KTextEditor::SmartCursor*  
	105, 105, 0,	//7  KTextEditor::SmartCursor*, KTextEditor::SmartCursor*  
	105, 105, 112, 0,	//10  KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*  
	105, 105, 112, 114, 0,	//14  KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors  
	105, 351, 0,	//19  KTextEditor::SmartCursor*, bool  
	107, 0,	//22  KTextEditor::SmartCursor::InsertBehavior  
	109, 0,	//24  KTextEditor::SmartCursorWatcher*  
	112, 0,	//26  KTextEditor::SmartRange*  
	112, 112, 0,	//28  KTextEditor::SmartRange*, KTextEditor::SmartRange*  
	112, 112, 112, 0,	//31  KTextEditor::SmartRange*, KTextEditor::SmartRange*, KTextEditor::SmartRange*  
	112, 120, 0,	//35  KTextEditor::SmartRange*, KTextEditor::View*  
	112, 351, 0,	//38  KTextEditor::SmartRange*, bool  
	112, 67, 67, 0,	//41  KTextEditor::SmartRange*, KTextEditor::Attribute::Ptr, KTextEditor::Attribute::Ptr  
	114, 0,	//45  KTextEditor::SmartRange::InsertBehaviors  
	115, 0,	//47  KTextEditor::SmartRangeNotifier*  
	116, 0,	//49  KTextEditor::SmartRangeWatcher*  
	12, 0,	//51  KConfigGroup&  
	120, 0,	//53  KTextEditor::View*  
	120, 112, 0,	//55  KTextEditor::View*, KTextEditor::SmartRange*  
	120, 112, 351, 0,	//58  KTextEditor::View*, KTextEditor::SmartRange*, bool  
	120, 121, 0,	//62  KTextEditor::View*, KTextEditor::View::EditMode  
	120, 199, 0,	//65  KTextEditor::View*, QMenu*  
	120, 199, 427, 0,	//68  KTextEditor::View*, QMenu*, int  
	120, 351, 0,	//72  KTextEditor::View*, bool  
	120, 367, 0,	//75  KTextEditor::View*, const KTextEditor::Cursor&  
	120, 367, 420, 0,	//78  KTextEditor::View*, const KTextEditor::Cursor&, const QString&  
	120, 371, 77, 0,	//82  KTextEditor::View*, const KTextEditor::Range&, KTextEditor::CodeCompletionModel::InvocationType  
	120, 420, 0,	//86  KTextEditor::View*, const QString&  
	120, 420, 233, 0,	//89  KTextEditor::View*, const QString&, QString&  
	120, 427, 0,	//93  KTextEditor::View*, int  
	148, 0,	//96  QActionEvent*  
	158, 0,	//98  QChildEvent*  
	159, 0,	//100  QCloseEvent*  
	160, 0,	//102  QContextMenuEvent*  
	169, 0,	//104  QDragEnterEvent*  
	170, 0,	//106  QDragLeaveEvent*  
	171, 0,	//108  QDragMoveEvent*  
	172, 0,	//110  QDropEvent*  
	173, 0,	//112  QEvent*  
	178, 0,	//114  QFocusEvent*  
	186, 0,	//116  QHideEvent*  
	188, 0,	//118  QInputMethodEvent*  
	190, 0,	//120  QKeyEvent*  
	195, 271, 0,	//122  QMap<QString, QString>&, QWidget*  
	199, 0,	//125  QMenu*  
	201, 427, 430, 0,	//127  QMetaObject::Call, int, void**  
	205, 0,	//131  QMouseEvent*  
	206, 0,	//133  QMoveEvent*  
	209, 0,	//135  QObject*  
	209, 136, 355, 0,	//137  QObject*, KXMLGUIClient*, const KComponentData&  
	209, 173, 0,	//141  QObject*, QEvent*  
	209, 424, 0,	//144  QObject*, const char*  
	209, 424, 421, 0,	//147  QObject*, const char*, const QStringList&  
	212, 0,	//151  QPaintDevice::PaintDeviceMetric  
	220, 0,	//153  QPaintEvent*  
	226, 0,	//155  QResizeEvent*  
	227, 0,	//157  QShowEvent*  
	236, 0,	//159  QStringList&  
	237, 0,	//161  QStyle&  
	247, 0,	//163  QTabletEvent*  
	25, 0,	//165  KIO::Job*  
	262, 0,	//167  QTimerEvent*  
	270, 0,	//169  QWheelEvent*  
	271, 0,	//171  QWidget*  
	271, 209, 0,	//173  QWidget*, QObject*  
	271, 209, 424, 0,	//176  QWidget*, QObject*, const char*  
	271, 209, 424, 421, 0,	//180  QWidget*, QObject*, const char*, const QStringList&  
	271, 412, 0,	//185  QWidget*, const QPoint&  
	306, 0,	//188  Qt::InputMethodQuery  
	351, 0,	//190  bool  
	352, 352, 0,	//192  bool*, bool*  
	355, 0,	//195  const KComponentData&  
	355, 351, 0,	//197  const KComponentData&, bool  
	356, 0,	//200  const KConfigGroup&  
	357, 0,	//202  const KParts::OpenUrlArguments&  
	358, 0,	//204  const KTextEditor::AnnotationInterface&  
	359, 0,	//206  const KTextEditor::AnnotationViewInterface&  
	360, 0,	//208  const KTextEditor::Attribute&  
	361, 0,	//210  const KTextEditor::CodeCompletionInterface&  
	362, 0,	//212  const KTextEditor::Command&  
	363, 0,	//214  const KTextEditor::CommandExtension&  
	364, 0,	//216  const KTextEditor::CommandInterface&  
	365, 0,	//218  const KTextEditor::ConfigInterface&  
	366, 0,	//220  const KTextEditor::ContainerInterface&  
	367, 0,	//222  const KTextEditor::Cursor&  
	367, 107, 0,	//224  const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior  
	367, 231, 0,	//227  const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*  
	367, 231, 231, 0,	//230  const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*, QStack<KTextEditor::SmartRange*>*  
	367, 233, 0,	//234  const KTextEditor::Cursor&, QString&  
	367, 367, 0,	//237  const KTextEditor::Cursor&, const KTextEditor::Cursor&  
	367, 367, 112, 0,	//240  const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*  
	367, 367, 112, 114, 0,	//244  const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors  
	367, 420, 0,	//249  const KTextEditor::Cursor&, const QString&  
	367, 420, 351, 0,	//252  const KTextEditor::Cursor&, const QString&, bool  
	367, 420, 401, 0,	//256  const KTextEditor::Cursor&, const QString&, const QMap<QString, QString>&  
	367, 421, 0,	//260  const KTextEditor::Cursor&, const QStringList&  
	367, 421, 351, 0,	//263  const KTextEditor::Cursor&, const QStringList&, bool  
	367, 427, 0,	//267  const KTextEditor::Cursor&, int  
	367, 427, 351, 0,	//270  const KTextEditor::Cursor&, int, bool  
	367, 427, 427, 0,	//274  const KTextEditor::Cursor&, int, int  
	367, 87, 107, 0,	//278  const KTextEditor::Cursor&, KTextEditor::Document*, KTextEditor::SmartCursor::InsertBehavior  
	368, 0,	//282  const KTextEditor::MarkInterface&  
	369, 0,	//284  const KTextEditor::MdiContainer&  
	370, 0,	//286  const KTextEditor::ModificationInterface&  
	371, 0,	//288  const KTextEditor::Range&  
	371, 112, 0,	//290  const KTextEditor::Range&, KTextEditor::SmartRange*  
	371, 112, 114, 0,	//293  const KTextEditor::Range&, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors  
	371, 114, 0,	//297  const KTextEditor::Range&, KTextEditor::SmartRange::InsertBehaviors  
	371, 351, 0,	//300  const KTextEditor::Range&, bool  
	371, 420, 0,	//303  const KTextEditor::Range&, const QString&  
	371, 420, 351, 0,	//306  const KTextEditor::Range&, const QString&, bool  
	371, 420, 372, 0,	//310  const KTextEditor::Range&, const QString&, const KTextEditor::Search::SearchOptions  
	371, 421, 0,	//314  const KTextEditor::Range&, const QStringList&  
	371, 421, 351, 0,	//317  const KTextEditor::Range&, const QStringList&, bool  
	371, 69, 0,	//321  const KTextEditor::Range&, KTextEditor::CodeCompletionModel*  
	373, 0,	//324  const KTextEditor::SearchInterface&  
	374, 0,	//326  const KTextEditor::SessionConfigInterface&  
	375, 0,	//328  const KTextEditor::SmartCursor&  
	376, 0,	//330  const KTextEditor::SmartCursorWatcher&  
	377, 0,	//332  const KTextEditor::SmartInterface&  
	378, 0,	//334  const KTextEditor::SmartRange&  
	379, 0,	//336  const KTextEditor::SmartRange*  
	380, 0,	//338  const KTextEditor::SmartRangeWatcher&  
	381, 0,	//340  const KTextEditor::TemplateInterface&  
	382, 0,	//342  const KTextEditor::TextHintInterface&  
	383, 0,	//344  const KTextEditor::VariableInterface&  
	384, 0,	//346  const KUrl&  
	385, 0,	//348  const QBrush&  
	386, 0,	//350  const QByteArray&  
	387, 0,	//352  const QDomDocument&  
	387, 351, 0,	//354  const QDomDocument&, bool  
	388, 0,	//357  const QDomElement&  
	389, 0,	//359  const QFont&  
	40, 0,	//361  KParts::GUIActivateEvent*  
	405, 296, 427, 427, 406, 0,	//363  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&  
	406, 0,	//369  const QModelIndex&  
	406, 402, 0,	//371  const QModelIndex&, const QMap<int, QVariant>&  
	406, 422, 0,	//374  const QModelIndex&, const QVariant&  
	406, 422, 427, 0,	//377  const QModelIndex&, const QVariant&, int  
	406, 427, 0,	//381  const QModelIndex&, int  
	406, 427, 422, 0,	//384  const QModelIndex&, int, const QVariant&  
	406, 427, 422, 427, 0,	//388  const QModelIndex&, int, const QVariant&, int  
	406, 427, 422, 427, 317, 0,	//393  const QModelIndex&, int, const QVariant&, int, Qt::MatchFlags  
	407, 0,	//399  const QModelIndexList&  
	410, 0,	//401  const QPalette&  
	420, 0,	//403  const QString&  
	420, 137, 0,	//405  const QString&, KXMLGUIClient::ReverseStateChange  
	420, 351, 0,	//408  const QString&, bool  
	420, 351, 351, 0,	//411  const QString&, bool, bool  
	420, 384, 0,	//415  const QString&, const KUrl&  
	420, 422, 0,	//418  const QString&, const QVariant&  
	421, 0,	//421  const QStringList&  
	421, 351, 0,	//423  const QStringList&, bool  
	424, 0,	//426  const char*  
	424, 271, 209, 423, 420, 0,	//428  const char*, QWidget*, QObject*, const QVariantList&, const QString&  
	427, 0,	//434  int  
	427, 106, 0,	//436  int, KTextEditor::SmartCursor::AdvanceMode  
	427, 271, 0,	//439  int, QWidget*  
	427, 307, 0,	//442  int, Qt::ItemDataRole  
	427, 321, 0,	//445  int, Qt::Orientation  
	427, 321, 422, 0,	//448  int, Qt::Orientation, const QVariant&  
	427, 321, 422, 427, 0,	//452  int, Qt::Orientation, const QVariant&, int  
	427, 321, 427, 0,	//457  int, Qt::Orientation, int  
	427, 330, 0,	//461  int, Qt::SortOrder  
	427, 420, 0,	//464  int, const QString&  
	427, 421, 0,	//467  int, const QStringList&  
	427, 427, 0,	//470  int, int  
	427, 427, 107, 0,	//473  int, int, KTextEditor::SmartCursor::InsertBehavior  
	427, 427, 406, 0,	//477  int, int, const QModelIndex&  
	427, 427, 427, 427, 0,	//481  int, int, int, int  
	427, 427, 427, 427, 112, 0,	//486  int, int, int, int, KTextEditor::SmartRange*  
	427, 427, 427, 427, 112, 114, 0,	//492  int, int, int, int, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors  
	427, 429, 0,	//499  int, uint  
	428, 428, 0,	//502  int&, int&  
	429, 0,	//505  uint  
	43, 0,	//507  KParts::PartActivateEvent*  
	45, 0,	//509  KParts::PartBase::PluginLoadingMode  
	46, 0,	//511  KParts::PartManager*  
	49, 0,	//513  KParts::PartSelectEvent*  
	59, 0,	//515  KTextEditor::AnnotationModel*  
	63, 0,	//517  KTextEditor::Attribute::ActivationType  
	63, 67, 0,	//519  KTextEditor::Attribute::ActivationType, KTextEditor::Attribute::Ptr  
	66, 0,	//522  KTextEditor::Attribute::Effects  
	67, 0,	//524  KTextEditor::Attribute::Ptr  
	69, 0,	//526  KTextEditor::CodeCompletionModel*  
	78, 0,	//528  KTextEditor::Command*  
	84, 0,	//530  KTextEditor::Cursor  
	86, 371, 0,	//532  KTextEditor::Cursor*, const KTextEditor::Range&  
	86, 86, 0,	//535  KTextEditor::Cursor*, KTextEditor::Cursor*  
	87, 0,	//538  KTextEditor::Document*  
	87, 120, 0,	//540  KTextEditor::Document*, KTextEditor::View*  
	87, 351, 97, 0,	//543  KTextEditor::Document*, bool, KTextEditor::ModificationInterface::ModifiedOnDiskReason  
	87, 371, 0,	//547  KTextEditor::Document*, const KTextEditor::Range&  
	87, 371, 371, 0,	//550  KTextEditor::Document*, const KTextEditor::Range&, const KTextEditor::Range&  
	87, 371, 406, 0,	//554  KTextEditor::Document*, const KTextEditor::Range&, const QModelIndex&  
	87, 420, 420, 0,	//558  KTextEditor::Document*, const QString&, const QString&  
	87, 91, 93, 0,	//562  KTextEditor::Document*, KTextEditor::Mark, KTextEditor::MarkInterface::MarkChangeAction  
	88, 87, 0,	//566  KTextEditor::Editor*, KTextEditor::Document*  
	9, 0,	//569  KConfig*  
	94, 0,	//571  KTextEditor::MarkInterface::MarkTypes  
	94, 411, 0,	//573  KTextEditor::MarkInterface::MarkTypes, const QPixmap&  
	94, 420, 0,	//576  KTextEditor::MarkInterface::MarkTypes, const QString&  
	97, 0,	//579  KTextEditor::ModificationInterface::ModifiedOnDiskReason  
};

// Raw list of all methods, using munged names
static const char *ktexteditor_methodNames[] = {
    "",	//0
    "AccessibilityAccept",	//1
    "AccessibilityNext",	//2
    "AccessibilityPrevious",	//3
    "ActivateCaretIn",	//4
    "ActivateMouseIn",	//5
    "AnnotationInterface",	//6
    "AnnotationInterface#",	//7
    "AnnotationModel",	//8
    "AnnotationViewInterface",	//9
    "AnnotationViewInterface#",	//10
    "ArgumentHintDepth",	//11
    "Arguments",	//12
    "Attribute",	//13
    "Attribute#",	//14
    "AttributeDynamicEffect",	//15
    "AttributeInternalProperty",	//16
    "AttributeUserProperty",	//17
    "AutomaticInvocation",	//18
    "BackgroundFillWhitespace",	//19
    "BestMatchesCount",	//20
    "Bookmark",	//21
    "BreakpointActive",	//22
    "BreakpointDisabled",	//23
    "BreakpointReached",	//24
    "ByCharacter",	//25
    "ByCursorPosition",	//26
    "Class",	//27
    "CodeCompletionInterface",	//28
    "CodeCompletionInterface#",	//29
    "CodeCompletionModel",	//30
    "CodeCompletionModel#",	//31
    "CodeCompletionModel2",	//32
    "CodeCompletionModel2#",	//33
    "ColumnCount",	//34
    "Command",	//35
    "Command#",	//36
    "CommandExtension",	//37
    "CommandExtension#",	//38
    "CommandInterface",	//39
    "CommandInterface#",	//40
    "CompletionRole",	//41
    "ConfigInterface",	//42
    "ConfigInterface#",	//43
    "ConfigPage",	//44
    "ConfigPage#",	//45
    "Const",	//46
    "ContainerInterface",	//47
    "ContainerInterface#",	//48
    "Cursor",	//49
    "Cursor#",	//50
    "Cursor$$",	//51
    "CustomHighlight",	//52
    "CustomHighlighting",	//53
    "DoNotExpand",	//54
    "DoNotLoadPlugins",	//55
    "Document",	//56
    "Document#",	//57
    "EditInsert",	//58
    "EditOverwrite",	//59
    "Editor",	//60
    "Editor#",	//61
    "EditorChooser",	//62
    "EditorChooser#",	//63
    "EffectCycleGradient",	//64
    "EffectFadeIn",	//65
    "EffectFadeOut",	//66
    "EffectNone",	//67
    "EffectPulse",	//68
    "Enum",	//69
    "Error",	//70
    "Execution",	//71
    "ExpandLeft",	//72
    "ExpandRight",	//73
    "ExpandingWidget",	//74
    "Factory",	//75
    "Factory#",	//76
    "FirstProperty",	//77
    "Friend",	//78
    "Function",	//79
    "GlobalScope",	//80
    "GroupRole",	//81
    "HighlightingMethod",	//82
    "Icon",	//83
    "InheritanceDepth",	//84
    "Inline",	//85
    "InternalHighlighting",	//86
    "IsExpandable",	//87
    "ItemSelected",	//88
    "LastItemDataRole",	//89
    "LastProperty",	//90
    "LoadPlugins",	//91
    "LoadPluginsIfEnabled",	//92
    "LocalScope",	//93
    "ManualInvocation",	//94
    "MarkAdded",	//95
    "MarkInterface",	//96
    "MarkInterface#",	//97
    "MarkRemoved",	//98
    "MatchQuality",	//99
    "MdiContainer",	//100
    "MdiContainer#",	//101
    "ModificationInterface",	//102
    "ModificationInterface#",	//103
    "MoveOnInsert",	//104
    "Name",	//105
    "Namespace",	//106
    "NamespaceScope",	//107
    "NoHighlighting",	//108
    "NoProperty",	//109
    "OnDiskCreated",	//110
    "OnDiskDeleted",	//111
    "OnDiskModified",	//112
    "OnDiskUnmodified",	//113
    "Outline",	//114
    "Override",	//115
    "Part",	//116
    "Part#",	//117
    "PartBase",	//118
    "Plugin",	//119
    "Plugin#",	//120
    "Postfix",	//121
    "Prefix",	//122
    "Private",	//123
    "Protected",	//124
    "Public",	//125
    "Range",	//126
    "Range#",	//127
    "Range##",	//128
    "Range#$",	//129
    "Range#$$",	//130
    "Range$$$$",	//131
    "ReadOnlyPart",	//132
    "ReadOnlyPart#",	//133
    "ReadWritePart",	//134
    "ReadWritePart#",	//135
    "Scope",	//136
    "ScopeIndex",	//137
    "SearchInterface",	//138
    "SearchInterface#",	//139
    "SelectedBackground",	//140
    "SelectedForeground",	//141
    "SessionConfigInterface",	//142
    "SessionConfigInterface#",	//143
    "SetMatchContext",	//144
    "Signal",	//145
    "Slot",	//146
    "SmartCursor",	//147
    "SmartCursor##$",	//148
    "SmartCursorNotifier",	//149
    "SmartCursorWatcher",	//150
    "SmartCursorWatcher#",	//151
    "SmartInterface",	//152
    "SmartInterface#",	//153
    "SmartRange",	//154
    "SmartRange##",	//155
    "SmartRange###",	//156
    "SmartRange###$",	//157
    "SmartRangeNotifier",	//158
    "SmartRangeWatcher",	//159
    "SmartRangeWatcher#",	//160
    "Static",	//161
    "StayOnInsert",	//162
    "Struct",	//163
    "Template",	//164
    "TemplateInterface",	//165
    "TemplateInterface#",	//166
    "TextHintInterface",	//167
    "TextHintInterface#",	//168
    "TypeAlias",	//169
    "Union",	//170
    "UserInvocation",	//171
    "Variable",	//172
    "VariableInterface",	//173
    "VariableInterface#",	//174
    "View",	//175
    "View#",	//176
    "Virtual",	//177
    "Warning",	//178
    "abortCompletion",	//179
    "abortLoad",	//180
    "aboutData",	//181
    "aboutToClose",	//182
    "aboutToClose#",	//183
    "aboutToReload",	//184
    "aboutToReload#",	//185
    "action",	//186
    "action#",	//187
    "actionCollection",	//188
    "actionEvent",	//189
    "actionEvent#",	//190
    "activeView",	//191
    "addActionsToDocument",	//192
    "addActionsToDocument#",	//193
    "addActionsToView",	//194
    "addActionsToView##",	//195
    "addDocument",	//196
    "addDocument#",	//197
    "addHighlightToDocument",	//198
    "addHighlightToDocument#",	//199
    "addHighlightToDocument#$",	//200
    "addHighlightToView",	//201
    "addHighlightToView##",	//202
    "addHighlightToView##$",	//203
    "addMark",	//204
    "addMark$$",	//205
    "addNotifier",	//206
    "addNotifier#",	//207
    "addView",	//208
    "addView#",	//209
    "addWatcher",	//210
    "addWatcher#",	//211
    "advance",	//212
    "advance$",	//213
    "advance$$",	//214
    "annotationActivated",	//215
    "annotationActivated#$",	//216
    "annotationBorderVisibilityChanged",	//217
    "annotationBorderVisibilityChanged#$",	//218
    "annotationContextMenuAboutToShow",	//219
    "annotationContextMenuAboutToShow##$",	//220
    "annotationModel",	//221
    "apply",	//222
    "arguments",	//223
    "associateAction",	//224
    "associateAction#",	//225
    "associatedActions",	//226
    "atEndOfDocument",	//227
    "atEndOfLine",	//228
    "atStartOfDocument",	//229
    "atStartOfLine",	//230
    "attribute",	//231
    "attributeDynamic",	//232
    "attributeDynamic?",	//233
    "attributeNotDynamic",	//234
    "attributeNotDynamic?",	//235
    "backgroundFillWhitespace",	//236
    "blockSelection",	//237
    "boundaryAtCursor",	//238
    "boundaryAtCursor#",	//239
    "boundaryOnLine",	//240
    "boundaryOnLine$",	//241
    "browserExtension",	//242
    "buddy",	//243
    "buddy#",	//244
    "canFetchMore",	//245
    "canFetchMore#",	//246
    "canceled",	//247
    "canceled$",	//248
    "caretEnteredRange",	//249
    "caretEnteredRange##",	//250
    "caretExitedRange",	//251
    "caretExitedRange##",	//252
    "changeEvent",	//253
    "changeEvent#",	//254
    "changed",	//255
    "character",	//256
    "character#",	//257
    "characterDeleted",	//258
    "characterDeleted#$",	//259
    "characterInserted",	//260
    "characterInserted#$",	//261
    "checkFeedback",	//262
    "childAfter",	//263
    "childAfter#",	//264
    "childBefore",	//265
    "childBefore#",	//266
    "childEvent",	//267
    "childEvent#",	//268
    "childRangeInserted",	//269
    "childRangeInserted##",	//270
    "childRangeRemoved",	//271
    "childRangeRemoved##",	//272
    "childRanges",	//273
    "clear",	//274
    "clearAndDeleteChildRanges",	//275
    "clearAssociatedActions",	//276
    "clearChildRanges",	//277
    "clearDocumentActions",	//278
    "clearDocumentHighlights",	//279
    "clearMark",	//280
    "clearMark$",	//281
    "clearMarks",	//282
    "clearOnDocumentReload",	//283
    "clearRevision",	//284
    "clearSmartInterface",	//285
    "clearViewActions",	//286
    "clearViewActions#",	//287
    "clearViewHighlights",	//288
    "clearViewHighlights#",	//289
    "closeDocument",	//290
    "closeDocument#",	//291
    "closeEvent",	//292
    "closeEvent#",	//293
    "closeStream",	//294
    "closeUrl",	//295
    "closeUrl$",	//296
    "closeView",	//297
    "closeView#",	//298
    "cmds",	//299
    "column",	//300
    "columnCount",	//301
    "columnCount#",	//302
    "columnWidth",	//303
    "commandList",	//304
    "commands",	//305
    "completed",	//306
    "completed$",	//307
    "completionInvoked",	//308
    "completionInvoked##$",	//309
    "completionObject",	//310
    "completionObject#$",	//311
    "componentData",	//312
    "configDialog",	//313
    "configDialog#",	//314
    "configDialogSupported",	//315
    "configKeys",	//316
    "configPage",	//317
    "configPage$#",	//318
    "configPageFullName",	//319
    "configPageFullName$",	//320
    "configPageIcon",	//321
    "configPageIcon$",	//322
    "configPageName",	//323
    "configPageName$",	//324
    "configPages",	//325
    "configValue",	//326
    "configValue$",	//327
    "confineToRange",	//328
    "confineToRange#",	//329
    "connectNotify",	//330
    "connectNotify$",	//331
    "container",	//332
    "contains",	//333
    "contains#",	//334
    "containsColumn",	//335
    "containsColumn$",	//336
    "containsLine",	//337
    "containsLine$",	//338
    "contextMenu",	//339
    "contextMenuAboutToShow",	//340
    "contextMenuAboutToShow##",	//341
    "contextMenuEvent",	//342
    "contextMenuEvent#",	//343
    "create",	//344
    "create$##?$",	//345
    "createDocument",	//346
    "createDocument#",	//347
    "createNotifier",	//348
    "createObject",	//349
    "createObject#",	//350
    "createObject#$",	//351
    "createObject#$?",	//352
    "createPartObject",	//353
    "createPartObject#",	//354
    "createPartObject##",	//355
    "createPartObject##$",	//356
    "createPartObject##$?",	//357
    "createView",	//358
    "createView#",	//359
    "currentRevision",	//360
    "cursorChangedDirectly",	//361
    "cursorChangedDirectly#",	//362
    "cursorInText",	//363
    "cursorInText#",	//364
    "cursorPosition",	//365
    "cursorPositionChanged",	//366
    "cursorPositionChanged##",	//367
    "cursorPositionCoordinates",	//368
    "cursorPositionVirtual",	//369
    "cursorToCoordinate",	//370
    "cursorToCoordinate#",	//371
    "customEvent",	//372
    "customEvent#",	//373
    "data",	//374
    "data#",	//375
    "data#$",	//376
    "data$$",	//377
    "deepestRangeContaining",	//378
    "deepestRangeContaining#",	//379
    "deepestRangeContaining#?",	//380
    "deepestRangeContaining#??",	//381
    "defaultContextMenu",	//382
    "defaultContextMenu#",	//383
    "defaults",	//384
    "deleteChildRanges",	//385
    "deleteCursors",	//386
    "deleteNotifier",	//387
    "deletePrimaryNotifier",	//388
    "deleteRanges",	//389
    "deleted",	//390
    "deleted#",	//391
    "depth",	//392
    "devType",	//393
    "disableTextHints",	//394
    "disconnectNotify",	//395
    "disconnectNotify$",	//396
    "dissociateAction",	//397
    "dissociateAction#",	//398
    "document",	//399
    "documentActions",	//400
    "documentCreated",	//401
    "documentCreated##",	//402
    "documentEnd",	//403
    "documentHighlights",	//404
    "documentName",	//405
    "documentNameChanged",	//406
    "documentNameChanged#",	//407
    "documentRange",	//408
    "documentReload",	//409
    "documentSave",	//410
    "documentSaveAs",	//411
    "documentUrlChanged",	//412
    "documentUrlChanged#",	//413
    "documents",	//414
    "domDocument",	//415
    "dragEnterEvent",	//416
    "dragEnterEvent#",	//417
    "dragLeaveEvent",	//418
    "dragLeaveEvent#",	//419
    "dragMoveEvent",	//420
    "dragMoveEvent#",	//421
    "dropEvent",	//422
    "dropEvent#",	//423
    "dropMimeData",	//424
    "dropMimeData#$$$#",	//425
    "dynamicAttribute",	//426
    "dynamicAttribute$",	//427
    "editableMarks",	//428
    "editor",	//429
    "editor$",	//430
    "editor$$",	//431
    "effects",	//432
    "embed",	//433
    "embed#",	//434
    "enableTextHints",	//435
    "enableTextHints$",	//436
    "enabledChange",	//437
    "enabledChange$",	//438
    "encoding",	//439
    "encompass",	//440
    "encompass#",	//441
    "end",	//442
    "endEditing",	//443
    "endOfLine",	//444
    "endOfLine$",	//445
    "enterEvent",	//446
    "enterEvent#",	//447
    "event",	//448
    "event#",	//449
    "eventFilter",	//450
    "eventFilter##",	//451
    "exec",	//452
    "exec#$$",	//453
    "executeCompletionItem2",	//454
    "executeCompletionItem2###",	//455
    "expandMacros",	//456
    "expandMacros?#",	//457
    "expandToRange",	//458
    "expandToRange#",	//459
    "fetchMore",	//460
    "fetchMore#",	//461
    "firstRangeContaining",	//462
    "firstRangeContaining#",	//463
    "flagCompletions",	//464
    "flagCompletions?",	//465
    "flags",	//466
    "flags#",	//467
    "focusIn",	//468
    "focusIn#",	//469
    "focusInEvent",	//470
    "focusInEvent#",	//471
    "focusNextPrevChild",	//472
    "focusNextPrevChild$",	//473
    "focusOut",	//474
    "focusOut#",	//475
    "focusOutEvent",	//476
    "focusOutEvent#",	//477
    "fontBold",	//478
    "fontChange",	//479
    "fontChange#",	//480
    "forceCompletion",	//481
    "guiActivateEvent",	//482
    "guiActivateEvent#",	//483
    "hasAnyProperty",	//484
    "hasChildren",	//485
    "hasChildren#",	//486
    "hasNotifier",	//487
    "hasParent",	//488
    "hasParent#",	//489
    "headerData",	//490
    "headerData$$",	//491
    "headerData$$$",	//492
    "heightForWidth",	//493
    "heightForWidth$",	//494
    "help",	//495
    "help#$$",	//496
    "hideEvent",	//497
    "hideEvent#",	//498
    "highlightingMode",	//499
    "highlightingModeChanged",	//500
    "highlightingModeChanged#",	//501
    "highlightingModeSection",	//502
    "highlightingModeSection$",	//503
    "highlightingModes",	//504
    "hitTest",	//505
    "hitTest##",	//506
    "horizontalScrollPositionChanged",	//507
    "horizontalScrollPositionChanged#",	//508
    "hostContainer",	//509
    "hostContainer$",	//510
    "iconLoader",	//511
    "index",	//512
    "index$$",	//513
    "index$$#",	//514
    "informationMessage",	//515
    "informationMessage#$",	//516
    "inputMethodEvent",	//517
    "inputMethodEvent#",	//518
    "inputMethodQuery",	//519
    "inputMethodQuery$",	//520
    "insertBehavior",	//521
    "insertColumns",	//522
    "insertColumns$$",	//523
    "insertColumns$$#",	//524
    "insertLine",	//525
    "insertLine$$",	//526
    "insertLines",	//527
    "insertLines$?",	//528
    "insertRows",	//529
    "insertRows$$",	//530
    "insertRows$$#",	//531
    "insertTemplateText",	//532
    "insertTemplateText#$?",	//533
    "insertTemplateTextImplementation",	//534
    "insertTemplateTextImplementation#$?",	//535
    "insertText",	//536
    "insertText#$",	//537
    "insertText#$$",	//538
    "insertText#?",	//539
    "insertText#?$",	//540
    "insertText$",	//541
    "insertText?",	//542
    "insertText?$",	//543
    "intersect",	//544
    "intersect#",	//545
    "invalid",	//546
    "isActiveView",	//547
    "isAnnotationBorderVisible",	//548
    "isAutomaticInvocationEnabled",	//549
    "isCompletionActive",	//550
    "isEmpty",	//551
    "isModified",	//552
    "isProgressInfoEnabled",	//553
    "isReadWrite",	//554
    "isSelectable",	//555
    "isSmartCursor",	//556
    "isSmartRange",	//557
    "isValid",	//558
    "itemData",	//559
    "itemData#",	//560
    "keyPressEvent",	//561
    "keyPressEvent#",	//562
    "keyReleaseEvent",	//563
    "keyReleaseEvent#",	//564
    "languageChange",	//565
    "leaveEvent",	//566
    "leaveEvent#",	//567
    "line",	//568
    "line$",	//569
    "lineChanged",	//570
    "lineChanged$",	//571
    "lineLength",	//572
    "lineLength$",	//573
    "lines",	//574
    "loadPlugins",	//575
    "loadPlugins###",	//576
    "localFilePath",	//577
    "localXMLFile",	//578
    "manager",	//579
    "mark",	//580
    "mark$",	//581
    "markChanged",	//582
    "markChanged##$",	//583
    "markDescription",	//584
    "markDescription$",	//585
    "markPixmap",	//586
    "markPixmap$",	//587
    "markType01",	//588
    "markType02",	//589
    "markType03",	//590
    "markType04",	//591
    "markType05",	//592
    "markType06",	//593
    "markType07",	//594
    "markType08",	//595
    "markType09",	//596
    "markType10",	//597
    "markType11",	//598
    "markType12",	//599
    "markType13",	//600
    "markType14",	//601
    "markType15",	//602
    "markType16",	//603
    "markType17",	//604
    "markType18",	//605
    "markType19",	//606
    "markType20",	//607
    "markType21",	//608
    "markType22",	//609
    "markType23",	//610
    "markType24",	//611
    "markType25",	//612
    "markType26",	//613
    "markType27",	//614
    "markType28",	//615
    "markType29",	//616
    "markType30",	//617
    "markType31",	//618
    "markType32",	//619
    "marks",	//620
    "marksChanged",	//621
    "marksChanged#",	//622
    "match",	//623
    "match#$#",	//624
    "match#$#$",	//625
    "match#$#$$",	//626
    "metaObject",	//627
    "metric",	//628
    "metric$",	//629
    "mimeData",	//630
    "mimeData?",	//631
    "mimeType",	//632
    "mimeTypes",	//633
    "minimumSizeHint",	//634
    "mode",	//635
    "modeChanged",	//636
    "modeChanged#",	//637
    "modeSection",	//638
    "modeSection$",	//639
    "modes",	//640
    "modifiedChanged",	//641
    "modifiedChanged#",	//642
    "modifiedOnDisk",	//643
    "modifiedOnDisk#$$",	//644
    "mostSpecificRange",	//645
    "mostSpecificRange#",	//646
    "mouseDoubleClickEvent",	//647
    "mouseDoubleClickEvent#",	//648
    "mouseEnteredRange",	//649
    "mouseEnteredRange##",	//650
    "mouseExitedRange",	//651
    "mouseExitedRange##",	//652
    "mouseMoveEvent",	//653
    "mouseMoveEvent#",	//654
    "mousePositionChanged",	//655
    "mousePositionChanged##",	//656
    "mousePressEvent",	//657
    "mousePressEvent#",	//658
    "mouseReleaseEvent",	//659
    "mouseReleaseEvent#",	//660
    "mouseTrackingEnabled",	//661
    "moveEvent",	//662
    "moveEvent#",	//663
    "needTextHint",	//664
    "needTextHint#$",	//665
    "newSmartCursor",	//666
    "newSmartCursor#",	//667
    "newSmartCursor#$",	//668
    "newSmartCursor$$",	//669
    "newSmartCursor$$$",	//670
    "newSmartRange",	//671
    "newSmartRange#",	//672
    "newSmartRange##",	//673
    "newSmartRange###",	//674
    "newSmartRange###$",	//675
    "newSmartRange##$",	//676
    "newSmartRange$$$$",	//677
    "newSmartRange$$$$#",	//678
    "newSmartRange$$$$#$",	//679
    "notifier",	//680
    "notifiers",	//681
    "numberOfLines",	//682
    "onSingleLine",	//683
    "openFile",	//684
    "openStream",	//685
    "openStream$#",	//686
    "openUrl",	//687
    "openUrl#",	//688
    "openingError",	//689
    "openingErrorMessage",	//690
    "operator+=",	//691
    "operator+=#",	//692
    "operator=",	//693
    "operator=#",	//694
    "outline",	//695
    "overlaps",	//696
    "overlaps#",	//697
    "overlapsColumn",	//698
    "overlapsColumn$",	//699
    "overlapsLine",	//700
    "overlapsLine$",	//701
    "paintEngine",	//702
    "paintEvent",	//703
    "paintEvent#",	//704
    "paletteChange",	//705
    "paletteChange#",	//706
    "parent",	//707
    "parent#",	//708
    "parentRange",	//709
    "parentRangeChanged",	//710
    "parentRangeChanged###",	//711
    "partActivateEvent",	//712
    "partActivateEvent#",	//713
    "partComponentData",	//714
    "partObject",	//715
    "partSelectEvent",	//716
    "partSelectEvent#",	//717
    "position",	//718
    "position$$",	//719
    "positionChanged",	//720
    "positionChanged#",	//721
    "positionDeleted",	//722
    "positionDeleted#",	//723
    "positionRelativeToCursor",	//724
    "positionRelativeToCursor#",	//725
    "positionRelativeToLine",	//726
    "positionRelativeToLine$",	//727
    "primaryNotifier",	//728
    "processText",	//729
    "processText#$",	//730
    "qt_metacall",	//731
    "qt_metacall$$?",	//732
    "queryClose",	//733
    "queryCommand",	//734
    "queryCommand$",	//735
    "range",	//736
    "rangeAttributeChanged",	//737
    "rangeAttributeChanged#??",	//738
    "rangeChanged",	//739
    "rangeChanged##",	//740
    "rangeContentsChanged",	//741
    "rangeContentsChanged#",	//742
    "rangeContentsChanged##",	//743
    "rangeDeleted",	//744
    "rangeDeleted#",	//745
    "rangeEliminated",	//746
    "rangeEliminated#",	//747
    "rangePositionChanged",	//748
    "rangePositionChanged#",	//749
    "readAppSetting",	//750
    "readAppSetting$",	//751
    "readConfig",	//752
    "readConfig#",	//753
    "readSessionConfig",	//754
    "readSessionConfig#",	//755
    "registerCommand",	//756
    "registerCommand#",	//757
    "registerCompletionModel",	//758
    "registerCompletionModel#",	//759
    "releaseRevision",	//760
    "releaseRevision$",	//761
    "removeActionsFromDocument",	//762
    "removeActionsFromDocument#",	//763
    "removeActionsFromView",	//764
    "removeActionsFromView##",	//765
    "removeColumns",	//766
    "removeColumns$$",	//767
    "removeColumns$$#",	//768
    "removeDocument",	//769
    "removeDocument#",	//770
    "removeHighlightFromDocument",	//771
    "removeHighlightFromDocument#",	//772
    "removeHighlightFromView",	//773
    "removeHighlightFromView##",	//774
    "removeLine",	//775
    "removeLine$",	//776
    "removeMark",	//777
    "removeMark$$",	//778
    "removeNotifier",	//779
    "removeNotifier#",	//780
    "removeRows",	//781
    "removeRows$$",	//782
    "removeRows$$#",	//783
    "removeSelection",	//784
    "removeSelectionText",	//785
    "removeText",	//786
    "removeText#",	//787
    "removeText#$",	//788
    "removeText$",	//789
    "removeView",	//790
    "removeView#",	//791
    "removeWatcher",	//792
    "removeWatcher#",	//793
    "replaceText",	//794
    "replaceText#$",	//795
    "replaceText#$$",	//796
    "replaceText#?",	//797
    "replaceText#?$",	//798
    "replaceText?",	//799
    "replaceText?$",	//800
    "reservedMarkersCount",	//801
    "reset",	//802
    "resizeEvent",	//803
    "resizeEvent#",	//804
    "revert",	//805
    "rowCount",	//806
    "rowCount#",	//807
    "save",	//808
    "saveAs",	//809
    "saveAs#",	//810
    "saveFile",	//811
    "saveToUrl",	//812
    "searchText",	//813
    "searchText#$",	//814
    "searchText#$$",	//815
    "selectedBackground",	//816
    "selectedForeground",	//817
    "selection",	//818
    "selectionChanged",	//819
    "selectionChanged#",	//820
    "selectionRange",	//821
    "selectionText",	//822
    "setActiveView",	//823
    "setActiveView#",	//824
    "setAnnotationBorderVisible",	//825
    "setAnnotationBorderVisible$",	//826
    "setAnnotationModel",	//827
    "setAnnotationModel#",	//828
    "setArguments",	//829
    "setArguments#",	//830
    "setAttribute",	//831
    "setAttribute?",	//832
    "setAutoDeletePart",	//833
    "setAutoDeletePart$",	//834
    "setAutoDeleteWidget",	//835
    "setAutoDeleteWidget$",	//836
    "setAutomaticInvocationEnabled",	//837
    "setAutomaticInvocationEnabled$",	//838
    "setBackgroundFillWhitespace",	//839
    "setBackgroundFillWhitespace$",	//840
    "setBlockSelection",	//841
    "setBlockSelection$",	//842
    "setBothColumns",	//843
    "setBothColumns$",	//844
    "setBothLines",	//845
    "setBothLines$",	//846
    "setClearOnDocumentReload",	//847
    "setClearOnDocumentReload$",	//848
    "setColumn",	//849
    "setColumn$",	//850
    "setComponentData",	//851
    "setComponentData#",	//852
    "setComponentData#$",	//853
    "setConfigValue",	//854
    "setConfigValue$#",	//855
    "setContainer",	//856
    "setContainer#",	//857
    "setContextMenu",	//858
    "setContextMenu#",	//859
    "setCursorPosition",	//860
    "setCursorPosition#",	//861
    "setDOMDocument",	//862
    "setDOMDocument#",	//863
    "setDOMDocument#$",	//864
    "setData",	//865
    "setData##",	//866
    "setData##$",	//867
    "setDynamicAttribute",	//868
    "setDynamicAttribute$?",	//869
    "setEditableMarks",	//870
    "setEditableMarks$",	//871
    "setEffects",	//872
    "setEffects$",	//873
    "setEncoding",	//874
    "setEncoding$",	//875
    "setFontBold",	//876
    "setFontBold$",	//877
    "setHeaderData",	//878
    "setHeaderData$$#",	//879
    "setHeaderData$$#$",	//880
    "setHighlightingMode",	//881
    "setHighlightingMode$",	//882
    "setInsertBehavior",	//883
    "setInsertBehavior$",	//884
    "setItemData",	//885
    "setItemData#?",	//886
    "setLine",	//887
    "setLine$",	//888
    "setLocalFilePath",	//889
    "setLocalFilePath$",	//890
    "setLocalXMLFile",	//891
    "setLocalXMLFile$",	//892
    "setManager",	//893
    "setManager#",	//894
    "setMark",	//895
    "setMark$$",	//896
    "setMarkDescription",	//897
    "setMarkDescription$$",	//898
    "setMarkPixmap",	//899
    "setMarkPixmap$#",	//900
    "setMode",	//901
    "setMode$",	//902
    "setModified",	//903
    "setModified$",	//904
    "setModifiedOnDisk",	//905
    "setModifiedOnDisk$",	//906
    "setModifiedOnDiskWarning",	//907
    "setModifiedOnDiskWarning$",	//908
    "setMouseTrackingEnabled",	//909
    "setMouseTrackingEnabled$",	//910
    "setOpeningError",	//911
    "setOpeningError$",	//912
    "setOpeningErrorMessage",	//913
    "setOpeningErrorMessage$",	//914
    "setOutline",	//915
    "setOutline#",	//916
    "setParentRange",	//917
    "setParentRange#",	//918
    "setPartObject",	//919
    "setPartObject#",	//920
    "setPluginInterfaceVersion",	//921
    "setPluginInterfaceVersion$",	//922
    "setPluginLoadingMode",	//923
    "setPluginLoadingMode$",	//924
    "setPosition",	//925
    "setPosition#",	//926
    "setPosition$$",	//927
    "setProgressInfoEnabled",	//928
    "setProgressInfoEnabled$",	//929
    "setRange",	//930
    "setRange#",	//931
    "setRange##",	//932
    "setReadWrite",	//933
    "setReadWrite$",	//934
    "setRowCount",	//935
    "setRowCount$",	//936
    "setSelectable",	//937
    "setSelectable$",	//938
    "setSelectedBackground",	//939
    "setSelectedBackground#",	//940
    "setSelectedForeground",	//941
    "setSelectedForeground#",	//942
    "setSelection",	//943
    "setSelection#",	//944
    "setSelection#$",	//945
    "setSelection#$$",	//946
    "setSimpleMode",	//947
    "setSimpleMode$",	//948
    "setStatusBarText",	//949
    "setStatusBarText$",	//950
    "setSuppressOpeningErrorDialogs",	//951
    "setSuppressOpeningErrorDialogs$",	//952
    "setText",	//953
    "setText$",	//954
    "setText?",	//955
    "setUrl",	//956
    "setUrl#",	//957
    "setVisible",	//958
    "setVisible$",	//959
    "setWantsDirectChanges",	//960
    "setWantsDirectChanges$",	//961
    "setWatcher",	//962
    "setWatcher#",	//963
    "setWidget",	//964
    "setWidget#",	//965
    "setWindowCaption",	//966
    "setWindowCaption$",	//967
    "setXML",	//968
    "setXML$",	//969
    "setXML$$",	//970
    "setXMLFile",	//971
    "setXMLFile$",	//972
    "setXMLFile$$",	//973
    "setXMLFile$$$",	//974
    "setupTranslations",	//975
    "showEvent",	//976
    "showEvent#",	//977
    "showProgressInfo",	//978
    "showProgressInfo$",	//979
    "sigQueryClose",	//980
    "sigQueryClose$$",	//981
    "simpleMode",	//982
    "sizeHint",	//983
    "slotModifiedOnDisk",	//984
    "slotModifiedOnDisk#",	//985
    "slotWidgetDestroyed",	//986
    "smartEnd",	//987
    "smartMutex",	//988
    "smartRange",	//989
    "smartStart",	//990
    "sort",	//991
    "sort$",	//992
    "sort$$",	//993
    "span",	//994
    "span#",	//995
    "start",	//996
    "startCompletion",	//997
    "startCompletion##",	//998
    "startEditing",	//999
    "started",	//1000
    "started#",	//1001
    "stateChanged",	//1002
    "stateChanged$",	//1003
    "stateChanged$$",	//1004
    "styleChange",	//1005
    "styleChange#",	//1006
    "submit",	//1007
    "supportedDropActions",	//1008
    "supportedSearchOptions",	//1009
    "suppressOpeningErrorDialogs",	//1010
    "tabletEvent",	//1011
    "tabletEvent#",	//1012
    "text",	//1013
    "text#",	//1014
    "text#$",	//1015
    "text$",	//1016
    "textChanged",	//1017
    "textChanged#",	//1018
    "textChanged###",	//1019
    "textInserted",	//1020
    "textInserted##",	//1021
    "textInserted##$",	//1022
    "textLines",	//1023
    "textLines#",	//1024
    "textLines#$",	//1025
    "textRemoved",	//1026
    "textRemoved##",	//1027
    "timerEvent",	//1028
    "timerEvent#",	//1029
    "toSmartCursor",	//1030
    "toSmartRange",	//1031
    "topParentRange",	//1032
    "totalCharacters",	//1033
    "translateFromRevision",	//1034
    "translateFromRevision#",	//1035
    "translateFromRevision#$",	//1036
    "unbindSmartRange",	//1037
    "unbindSmartRange#",	//1038
    "unregisterCommand",	//1039
    "unregisterCommand#",	//1040
    "unregisterCompletionModel",	//1041
    "unregisterCompletionModel#",	//1042
    "url",	//1043
    "useRevision",	//1044
    "useRevision$",	//1045
    "variable",	//1046
    "variable$",	//1047
    "variableChanged",	//1048
    "variableChanged#$$",	//1049
    "verticalScrollPositionChanged",	//1050
    "verticalScrollPositionChanged##",	//1051
    "viewActions",	//1052
    "viewActions#",	//1053
    "viewCreated",	//1054
    "viewCreated##",	//1055
    "viewEditMode",	//1056
    "viewEditModeChanged",	//1057
    "viewEditModeChanged#$",	//1058
    "viewHighlights",	//1059
    "viewHighlights#",	//1060
    "viewMode",	//1061
    "viewModeChanged",	//1062
    "viewModeChanged#",	//1063
    "views",	//1064
    "waitSaveComplete",	//1065
    "wantsDirectChanges",	//1066
    "wantsToProcessText",	//1067
    "wantsToProcessText$",	//1068
    "watcher",	//1069
    "watchers",	//1070
    "wheelEvent",	//1071
    "wheelEvent#",	//1072
    "widget",	//1073
    "windowActivationChange",	//1074
    "windowActivationChange$",	//1075
    "writeAppSetting",	//1076
    "writeAppSetting$",	//1077
    "writeConfig",	//1078
    "writeConfig#",	//1079
    "writeSessionConfig",	//1080
    "writeSessionConfig#",	//1081
    "writeStream",	//1082
    "writeStream#",	//1083
    "xmlFile",	//1084
    "~AnnotationInterface",	//1085
    "~AnnotationModel",	//1086
    "~AnnotationViewInterface",	//1087
    "~Attribute",	//1088
    "~CodeCompletionInterface",	//1089
    "~CodeCompletionModel",	//1090
    "~CodeCompletionModel2",	//1091
    "~Command",	//1092
    "~CommandExtension",	//1093
    "~CommandInterface",	//1094
    "~ConfigInterface",	//1095
    "~ConfigPage",	//1096
    "~ContainerInterface",	//1097
    "~Cursor",	//1098
    "~Document",	//1099
    "~Editor",	//1100
    "~EditorChooser",	//1101
    "~Factory",	//1102
    "~MarkInterface",	//1103
    "~MdiContainer",	//1104
    "~ModificationInterface",	//1105
    "~Part",	//1106
    "~PartBase",	//1107
    "~Plugin",	//1108
    "~Range",	//1109
    "~ReadOnlyPart",	//1110
    "~ReadWritePart",	//1111
    "~SearchInterface",	//1112
    "~SessionConfigInterface",	//1113
    "~SmartCursor",	//1114
    "~SmartCursorNotifier",	//1115
    "~SmartCursorWatcher",	//1116
    "~SmartInterface",	//1117
    "~SmartRange",	//1118
    "~SmartRangeNotifier",	//1119
    "~SmartRangeWatcher",	//1120
    "~TemplateInterface",	//1121
    "~TextHintInterface",	//1122
    "~VariableInterface",	//1123
    "~View",	//1124
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method ktexteditor_methods[] = {
	{14, 627, 0, 0, Smoke::mf_const, 404, 0},	//0 KParts::Factory::metaObject() const
	{14, 731, 127, 3, 0, 427, 1},	//1 KParts::Factory::qt_metacall(QMetaObject::Call, int, void**)
	{14, 75, 0, 0, Smoke::mf_dtor, 0, 3},	//2 KParts::Factory::Factory()
	{14, 714, 0, 0, 0, 8, 9},	//3 KParts::Factory::partComponentData()
	{14, 353, 180, 4, Smoke::mf_protected, 42, -1},	//4 KParts::Factory::createPartObject(QWidget*, QObject*, const char*, const QStringList&) [pure virtual]
	{14, 353, 176, 3, Smoke::mf_protected, 42, -1},	//5 KParts::Factory::createPartObject(QWidget*, QObject*, const char*) [pure virtual]
	{14, 353, 173, 2, Smoke::mf_protected, 42, -1},	//6 KParts::Factory::createPartObject(QWidget*, QObject*) [pure virtual]
	{14, 353, 171, 1, Smoke::mf_protected, 42, -1},	//7 KParts::Factory::createPartObject(QWidget*) [pure virtual]
	{14, 353, 0, 0, Smoke::mf_protected, 42, -1},	//8 KParts::Factory::createPartObject() [pure virtual]
	{14, 349, 147, 3, Smoke::mf_protected, 209, 11},	//9 KParts::Factory::createObject(QObject*, const char*, const QStringList&)
	{14, 349, 144, 2, Smoke::mf_protected, 209, 12},	//10 KParts::Factory::createObject(QObject*, const char*)
	{14, 349, 135, 1, Smoke::mf_protected, 209, 13},	//11 KParts::Factory::createObject(QObject*)
	{14, 349, 0, 0, Smoke::mf_protected, 209, 14},	//12 KParts::Factory::createObject()
	{17, 627, 0, 0, Smoke::mf_const, 404, 0},	//13 KParts::Part::metaObject() const
	{17, 731, 127, 3, 0, 427, 1},	//14 KParts::Part::qt_metacall(QMetaObject::Call, int, void**)
	{17, 116, 135, 1, 0, 42, 2},	//15 KParts::Part::Part(QObject*)
	{17, 116, 0, 0, 0, 42, 3},	//16 KParts::Part::Part()
	{17, 1106, 0, 0, Smoke::mf_dtor, 0, 24},	//17 KParts::Part::~Part()
	{17, 433, 171, 1, 0, 0, 4},	//18 KParts::Part::embed(QWidget*)
	{17, 1073, 0, 0, 0, 271, 5},	//19 KParts::Part::widget()
	{17, 893, 511, 1, 0, 0, 6},	//20 KParts::Part::setManager(KParts::PartManager*)
	{17, 579, 0, 0, Smoke::mf_const, 46, 7},	//21 KParts::Part::manager() const
	{17, 835, 190, 1, 0, 0, 8},	//22 KParts::Part::setAutoDeleteWidget(bool)
	{17, 833, 190, 1, 0, 0, 9},	//23 KParts::Part::setAutoDeletePart(bool)
	{17, 505, 185, 2, 0, 42, 10},	//24 KParts::Part::hitTest(QWidget*, const QPoint&)
	{17, 937, 190, 1, 0, 0, 11},	//25 KParts::Part::setSelectable(bool)
	{17, 555, 0, 0, Smoke::mf_const, 351, 12},	//26 KParts::Part::isSelectable() const
	{17, 511, 0, 0, 0, 30, 13},	//27 KParts::Part::iconLoader()
	{17, 966, 403, 1, 0, 0, 14},	//28 KParts::Part::setWindowCaption(const QString&)
	{17, 949, 403, 1, 0, 0, 15},	//29 KParts::Part::setStatusBarText(const QString&)
	{17, 964, 171, 1, Smoke::mf_protected, 0, 16},	//30 KParts::Part::setWidget(QWidget*)
	{17, 372, 112, 1, Smoke::mf_protected, 0, 17},	//31 KParts::Part::customEvent(QEvent*)
	{17, 712, 507, 1, Smoke::mf_protected, 0, 18},	//32 KParts::Part::partActivateEvent(KParts::PartActivateEvent*)
	{17, 716, 513, 1, Smoke::mf_protected, 0, 19},	//33 KParts::Part::partSelectEvent(KParts::PartSelectEvent*)
	{17, 482, 361, 1, Smoke::mf_protected, 0, 20},	//34 KParts::Part::guiActivateEvent(KParts::GUIActivateEvent*)
	{17, 509, 403, 1, Smoke::mf_protected, 271, 21},	//35 KParts::Part::hostContainer(const QString&)
	{17, 575, 0, 0, Smoke::mf_protected, 0, 22},	//36 KParts::Part::loadPlugins()
	{17, 986, 0, 0, Smoke::mf_protected, 0, 23},	//37 KParts::Part::slotWidgetDestroyed()
	{19, 118, 0, 0, 0, 44, 3},	//38 KParts::PartBase::PartBase()
	{19, 1107, 0, 0, Smoke::mf_dtor, 0, 11},	//39 KParts::PartBase::~PartBase()
	{19, 919, 135, 1, 0, 0, 4},	//40 KParts::PartBase::setPartObject(QObject*)
	{19, 715, 0, 0, Smoke::mf_const, 209, 5},	//41 KParts::PartBase::partObject() const
	{19, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 0},	//42 KParts::PartBase::DoNotLoadPlugins (enum)
	{19, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 1},	//43 KParts::PartBase::LoadPlugins (enum)
	{19, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 2},	//44 KParts::PartBase::LoadPluginsIfEnabled (enum)
	{19, 851, 195, 1, Smoke::mf_protected, 0, 6},	//45 KParts::PartBase::setComponentData(const KComponentData&)
	{19, 851, 197, 2, Smoke::mf_protected, 0, 7},	//46 KParts::PartBase::setComponentData(const KComponentData&, bool)
	{19, 575, 137, 3, Smoke::mf_protected, 0, 8},	//47 KParts::PartBase::loadPlugins(QObject*, KXMLGUIClient*, const KComponentData&)
	{19, 923, 509, 1, Smoke::mf_protected, 0, 9},	//48 KParts::PartBase::setPluginLoadingMode(KParts::PartBase::PluginLoadingMode)
	{19, 921, 434, 1, Smoke::mf_protected, 0, 10},	//49 KParts::PartBase::setPluginInterfaceVersion(int)
	{22, 627, 0, 0, Smoke::mf_const, 404, 0},	//50 KParts::ReadOnlyPart::metaObject() const
	{22, 731, 127, 3, 0, 427, 1},	//51 KParts::ReadOnlyPart::qt_metacall(QMetaObject::Call, int, void**)
	{22, 132, 135, 1, 0, 50, 2},	//52 KParts::ReadOnlyPart::ReadOnlyPart(QObject*)
	{22, 132, 0, 0, 0, 50, 3},	//53 KParts::ReadOnlyPart::ReadOnlyPart()
	{22, 1110, 0, 0, Smoke::mf_dtor, 0, 25},	//54 KParts::ReadOnlyPart::~ReadOnlyPart()
	{22, 928, 190, 1, 0, 0, 4},	//55 KParts::ReadOnlyPart::setProgressInfoEnabled(bool)
	{22, 553, 0, 0, Smoke::mf_const, 351, 5},	//56 KParts::ReadOnlyPart::isProgressInfoEnabled() const
	{22, 978, 190, 1, 0, 0, 6},	//57 KParts::ReadOnlyPart::showProgressInfo(bool)
	{22, 1043, 0, 0, Smoke::mf_const, 123, 7},	//58 KParts::ReadOnlyPart::url() const
	{22, 295, 0, 0, 0, 351, 8},	//59 KParts::ReadOnlyPart::closeUrl()
	{22, 242, 0, 0, Smoke::mf_const, 38, 9},	//60 KParts::ReadOnlyPart::browserExtension() const
	{22, 829, 202, 1, 0, 0, 10},	//61 KParts::ReadOnlyPart::setArguments(const KParts::OpenUrlArguments&)
	{22, 223, 0, 0, Smoke::mf_const, 41, 11},	//62 KParts::ReadOnlyPart::arguments() const
	{22, 685, 415, 2, 0, 351, 12},	//63 KParts::ReadOnlyPart::openStream(const QString&, const KUrl&)
	{22, 1082, 350, 1, 0, 351, 13},	//64 KParts::ReadOnlyPart::writeStream(const QByteArray&)
	{22, 294, 0, 0, 0, 351, 14},	//65 KParts::ReadOnlyPart::closeStream()
	{22, 687, 346, 1, 0, 351, 15},	//66 KParts::ReadOnlyPart::openUrl(const KUrl&)
	{22, 1000, 165, 1, 0, 0, 16},	//67 KParts::ReadOnlyPart::started(KIO::Job*)
	{22, 306, 0, 0, 0, 0, 17},	//68 KParts::ReadOnlyPart::completed()
	{22, 306, 190, 1, 0, 0, 18},	//69 KParts::ReadOnlyPart::completed(bool)
	{22, 247, 403, 1, 0, 0, 19},	//70 KParts::ReadOnlyPart::canceled(const QString&)
	{22, 684, 0, 0, Smoke::mf_protected, 351, -1},	//71 KParts::ReadOnlyPart::openFile() [pure virtual]
	{22, 180, 0, 0, Smoke::mf_protected, 0, 20},	//72 KParts::ReadOnlyPart::abortLoad()
	{22, 482, 361, 1, Smoke::mf_protected, 0, 21},	//73 KParts::ReadOnlyPart::guiActivateEvent(KParts::GUIActivateEvent*)
	{22, 956, 346, 1, Smoke::mf_protected, 0, 22},	//74 KParts::ReadOnlyPart::setUrl(const KUrl&)
	{22, 577, 0, 0, Smoke::mf_const|Smoke::mf_protected, 232, 23},	//75 KParts::ReadOnlyPart::localFilePath() const
	{22, 889, 403, 1, Smoke::mf_protected, 0, 24},	//76 KParts::ReadOnlyPart::setLocalFilePath(const QString&)
	{23, 627, 0, 0, Smoke::mf_const, 404, 0},	//77 KParts::ReadWritePart::metaObject() const
	{23, 731, 127, 3, 0, 427, 1},	//78 KParts::ReadWritePart::qt_metacall(QMetaObject::Call, int, void**)
	{23, 134, 135, 1, 0, 51, 2},	//79 KParts::ReadWritePart::ReadWritePart(QObject*)
	{23, 134, 0, 0, 0, 51, 3},	//80 KParts::ReadWritePart::ReadWritePart()
	{23, 1111, 0, 0, Smoke::mf_dtor, 0, 18},	//81 KParts::ReadWritePart::~ReadWritePart()
	{23, 554, 0, 0, Smoke::mf_const, 351, 4},	//82 KParts::ReadWritePart::isReadWrite() const
	{23, 933, 190, 1, 0, 0, 5},	//83 KParts::ReadWritePart::setReadWrite(bool)
	{23, 933, 0, 0, 0, 0, 6},	//84 KParts::ReadWritePart::setReadWrite()
	{23, 552, 0, 0, Smoke::mf_const, 351, 7},	//85 KParts::ReadWritePart::isModified() const
	{23, 733, 0, 0, 0, 351, 8},	//86 KParts::ReadWritePart::queryClose()
	{23, 295, 0, 0, 0, 351, 9},	//87 KParts::ReadWritePart::closeUrl()
	{23, 295, 190, 1, 0, 351, 10},	//88 KParts::ReadWritePart::closeUrl(bool)
	{23, 809, 346, 1, 0, 351, 11},	//89 KParts::ReadWritePart::saveAs(const KUrl&)
	{23, 903, 190, 1, 0, 0, 12},	//90 KParts::ReadWritePart::setModified(bool)
	{23, 903, 0, 0, 0, 0, 13},	//91 KParts::ReadWritePart::setModified()
	{23, 808, 0, 0, 0, 351, 14},	//92 KParts::ReadWritePart::save()
	{23, 1065, 0, 0, 0, 351, 15},	//93 KParts::ReadWritePart::waitSaveComplete()
	{23, 980, 192, 2, 0, 0, 16},	//94 KParts::ReadWritePart::sigQueryClose(bool*, bool*)
	{23, 811, 0, 0, Smoke::mf_protected, 351, -1},	//95 KParts::ReadWritePart::saveFile() [pure virtual]
	{23, 812, 0, 0, Smoke::mf_protected, 351, 17},	//96 KParts::ReadWritePart::saveToUrl()
	{24, 627, 0, 0, Smoke::mf_const, 404, 0},	//97 KPluginFactory::metaObject() const
	{24, 731, 127, 3, 0, 427, 1},	//98 KPluginFactory::qt_metacall(QMetaObject::Call, int, void**)
	{24, 975, 0, 0, Smoke::mf_protected, 0, 12},	//99 KPluginFactory::setupTranslations()
	{24, 344, 428, 5, Smoke::mf_protected, 209, 14},	//100 KPluginFactory::create(const char*, QWidget*, QObject*, const QVariantList&, const QString&)
	{26, 1085, 0, 0, Smoke::mf_dtor, 0, 2},	//101 KTextEditor::AnnotationInterface::~AnnotationInterface()
	{26, 827, 515, 1, 0, 0, -1},	//102 KTextEditor::AnnotationInterface::setAnnotationModel(KTextEditor::AnnotationModel*) [pure virtual]
	{26, 221, 0, 0, Smoke::mf_const, 59, -1},	//103 KTextEditor::AnnotationInterface::annotationModel() const [pure virtual]
	{26, 6, 0, 0, 0, 58, 0},	//104 KTextEditor::AnnotationInterface::AnnotationInterface()
	{26, 6, 204, 1, Smoke::mf_copyctor|Smoke::mf_internal, 58, 1},	//105 KTextEditor::AnnotationInterface::AnnotationInterface(const KTextEditor::AnnotationInterface&)
	{27, 627, 0, 0, Smoke::mf_const, 404, 0},	//106 KTextEditor::AnnotationModel::metaObject() const
	{27, 731, 127, 3, 0, 427, 1},	//107 KTextEditor::AnnotationModel::qt_metacall(QMetaObject::Call, int, void**)
	{27, 1086, 0, 0, Smoke::mf_dtor, 0, 5},	//108 KTextEditor::AnnotationModel::~AnnotationModel()
	{27, 374, 442, 2, Smoke::mf_const, 266, -1},	//109 KTextEditor::AnnotationModel::data(int, Qt::ItemDataRole) const [pure virtual]
	{27, 8, 0, 0, 0, 59, 2},	//110 KTextEditor::AnnotationModel::AnnotationModel()
	{27, 802, 0, 0, 0, 0, 3},	//111 KTextEditor::AnnotationModel::reset()
	{27, 570, 434, 1, 0, 0, 4},	//112 KTextEditor::AnnotationModel::lineChanged(int)
	{28, 1087, 0, 0, Smoke::mf_dtor, 0, 2},	//113 KTextEditor::AnnotationViewInterface::~AnnotationViewInterface()
	{28, 825, 190, 1, 0, 0, -1},	//114 KTextEditor::AnnotationViewInterface::setAnnotationBorderVisible(bool) [pure virtual]
	{28, 548, 0, 0, Smoke::mf_const, 351, -1},	//115 KTextEditor::AnnotationViewInterface::isAnnotationBorderVisible() const [pure virtual]
	{28, 219, 68, 3, 0, 0, -1},	//116 KTextEditor::AnnotationViewInterface::annotationContextMenuAboutToShow(KTextEditor::View*, QMenu*, int) [pure virtual]
	{28, 215, 93, 2, 0, 0, -1},	//117 KTextEditor::AnnotationViewInterface::annotationActivated(KTextEditor::View*, int) [pure virtual]
	{28, 217, 72, 2, 0, 0, -1},	//118 KTextEditor::AnnotationViewInterface::annotationBorderVisibilityChanged(KTextEditor::View*, bool) [pure virtual]
	{28, 9, 0, 0, 0, 60, 0},	//119 KTextEditor::AnnotationViewInterface::AnnotationViewInterface()
	{28, 9, 206, 1, Smoke::mf_copyctor|Smoke::mf_internal, 60, 1},	//120 KTextEditor::AnnotationViewInterface::AnnotationViewInterface(const KTextEditor::AnnotationViewInterface&)
	{29, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 0},	//121 KTextEditor::Attribute::Outline (enum)
	{29, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 1},	//122 KTextEditor::Attribute::SelectedForeground (enum)
	{29, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 2},	//123 KTextEditor::Attribute::SelectedBackground (enum)
	{29, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 3},	//124 KTextEditor::Attribute::BackgroundFillWhitespace (enum)
	{29, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 4},	//125 KTextEditor::Attribute::AttributeDynamicEffect (enum)
	{29, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 5},	//126 KTextEditor::Attribute::AttributeInternalProperty (enum)
	{29, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 6},	//127 KTextEditor::Attribute::AttributeUserProperty (enum)
	{29, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 63, 7},	//128 KTextEditor::Attribute::ActivateMouseIn (enum)
	{29, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 63, 8},	//129 KTextEditor::Attribute::ActivateCaretIn (enum)
	{29, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 9},	//130 KTextEditor::Attribute::EffectNone (enum)
	{29, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 10},	//131 KTextEditor::Attribute::EffectFadeIn (enum)
	{29, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 11},	//132 KTextEditor::Attribute::EffectFadeOut (enum)
	{29, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 12},	//133 KTextEditor::Attribute::EffectPulse (enum)
	{29, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 13},	//134 KTextEditor::Attribute::EffectCycleGradient (enum)
	{29, 13, 0, 0, 0, 62, 14},	//135 KTextEditor::Attribute::Attribute()
	{29, 13, 208, 1, Smoke::mf_copyctor, 62, 15},	//136 KTextEditor::Attribute::Attribute(const KTextEditor::Attribute&)
	{29, 1088, 0, 0, Smoke::mf_dtor, 0, 37},	//137 KTextEditor::Attribute::~Attribute()
	{29, 478, 0, 0, Smoke::mf_const, 351, 16},	//138 KTextEditor::Attribute::fontBold() const
	{29, 876, 190, 1, 0, 0, 17},	//139 KTextEditor::Attribute::setFontBold(bool)
	{29, 876, 0, 0, 0, 0, 18},	//140 KTextEditor::Attribute::setFontBold()
	{29, 695, 0, 0, Smoke::mf_const, 149, 19},	//141 KTextEditor::Attribute::outline() const
	{29, 915, 348, 1, 0, 0, 20},	//142 KTextEditor::Attribute::setOutline(const QBrush&)
	{29, 817, 0, 0, Smoke::mf_const, 149, 21},	//143 KTextEditor::Attribute::selectedForeground() const
	{29, 941, 348, 1, 0, 0, 22},	//144 KTextEditor::Attribute::setSelectedForeground(const QBrush&)
	{29, 816, 0, 0, Smoke::mf_const, 149, 23},	//145 KTextEditor::Attribute::selectedBackground() const
	{29, 939, 348, 1, 0, 0, 24},	//146 KTextEditor::Attribute::setSelectedBackground(const QBrush&)
	{29, 236, 0, 0, Smoke::mf_const, 351, 25},	//147 KTextEditor::Attribute::backgroundFillWhitespace() const
	{29, 839, 190, 1, 0, 0, 26},	//148 KTextEditor::Attribute::setBackgroundFillWhitespace(bool)
	{29, 274, 0, 0, 0, 0, 27},	//149 KTextEditor::Attribute::clear()
	{29, 484, 0, 0, Smoke::mf_const, 351, 28},	//150 KTextEditor::Attribute::hasAnyProperty() const
	{29, 226, 0, 0, Smoke::mf_const, 394, 29},	//151 KTextEditor::Attribute::associatedActions() const
	{29, 276, 0, 0, 0, 0, 30},	//152 KTextEditor::Attribute::clearAssociatedActions()
	{29, 426, 517, 1, Smoke::mf_const, 67, 31},	//153 KTextEditor::Attribute::dynamicAttribute(KTextEditor::Attribute::ActivationType) const
	{29, 868, 519, 2, 0, 0, 32},	//154 KTextEditor::Attribute::setDynamicAttribute(KTextEditor::Attribute::ActivationType, KTextEditor::Attribute::Ptr)
	{29, 432, 0, 0, Smoke::mf_const, 66, 33},	//155 KTextEditor::Attribute::effects() const
	{29, 872, 522, 1, 0, 0, 34},	//156 KTextEditor::Attribute::setEffects(KTextEditor::Attribute::Effects)
	{29, 691, 208, 1, 0, 61, 35},	//157 KTextEditor::Attribute::operator+=(const KTextEditor::Attribute&)
	{29, 693, 208, 1, 0, 61, 36},	//158 KTextEditor::Attribute::operator=(const KTextEditor::Attribute&)
	{30, 1089, 0, 0, Smoke::mf_dtor, 0, 2},	//159 KTextEditor::CodeCompletionInterface::~CodeCompletionInterface()
	{30, 550, 0, 0, Smoke::mf_const, 351, -1},	//160 KTextEditor::CodeCompletionInterface::isCompletionActive() const [pure virtual]
	{30, 997, 321, 2, 0, 0, -1},	//161 KTextEditor::CodeCompletionInterface::startCompletion(const KTextEditor::Range&, KTextEditor::CodeCompletionModel*) [pure virtual]
	{30, 179, 0, 0, 0, 0, -1},	//162 KTextEditor::CodeCompletionInterface::abortCompletion() [pure virtual]
	{30, 481, 0, 0, 0, 0, -1},	//163 KTextEditor::CodeCompletionInterface::forceCompletion() [pure virtual]
	{30, 758, 526, 1, 0, 0, -1},	//164 KTextEditor::CodeCompletionInterface::registerCompletionModel(KTextEditor::CodeCompletionModel*) [pure virtual]
	{30, 1041, 526, 1, 0, 0, -1},	//165 KTextEditor::CodeCompletionInterface::unregisterCompletionModel(KTextEditor::CodeCompletionModel*) [pure virtual]
	{30, 549, 0, 0, Smoke::mf_const, 351, -1},	//166 KTextEditor::CodeCompletionInterface::isAutomaticInvocationEnabled() const [pure virtual]
	{30, 837, 190, 1, 0, 0, -1},	//167 KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled(bool) [pure virtual]
	{30, 837, 0, 0, 0, 0, -1},	//168 KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled() [pure virtual]
	{30, 28, 0, 0, 0, 68, 0},	//169 KTextEditor::CodeCompletionInterface::CodeCompletionInterface()
	{30, 28, 210, 1, Smoke::mf_copyctor|Smoke::mf_internal, 68, 1},	//170 KTextEditor::CodeCompletionInterface::CodeCompletionInterface(const KTextEditor::CodeCompletionInterface&)
	{31, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 0},	//171 KTextEditor::CodeCompletionModel::Prefix (enum)
	{31, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 1},	//172 KTextEditor::CodeCompletionModel::Icon (enum)
	{31, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 2},	//173 KTextEditor::CodeCompletionModel::Scope (enum)
	{31, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 3},	//174 KTextEditor::CodeCompletionModel::Name (enum)
	{31, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 4},	//175 KTextEditor::CodeCompletionModel::Arguments (enum)
	{31, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 5},	//176 KTextEditor::CodeCompletionModel::Postfix (enum)
	{31, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 6},	//177 KTextEditor::CodeCompletionModel::NoProperty (enum)
	{31, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 7},	//178 KTextEditor::CodeCompletionModel::FirstProperty (enum)
	{31, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 8},	//179 KTextEditor::CodeCompletionModel::Public (enum)
	{31, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 9},	//180 KTextEditor::CodeCompletionModel::Protected (enum)
	{31, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 10},	//181 KTextEditor::CodeCompletionModel::Private (enum)
	{31, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 11},	//182 KTextEditor::CodeCompletionModel::Static (enum)
	{31, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 12},	//183 KTextEditor::CodeCompletionModel::Const (enum)
	{31, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 13},	//184 KTextEditor::CodeCompletionModel::Namespace (enum)
	{31, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 14},	//185 KTextEditor::CodeCompletionModel::Class (enum)
	{31, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 15},	//186 KTextEditor::CodeCompletionModel::Struct (enum)
	{31, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 16},	//187 KTextEditor::CodeCompletionModel::Union (enum)
	{31, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 17},	//188 KTextEditor::CodeCompletionModel::Function (enum)
	{31, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 18},	//189 KTextEditor::CodeCompletionModel::Variable (enum)
	{31, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 19},	//190 KTextEditor::CodeCompletionModel::Enum (enum)
	{31, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 20},	//191 KTextEditor::CodeCompletionModel::Template (enum)
	{31, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 21},	//192 KTextEditor::CodeCompletionModel::TypeAlias (enum)
	{31, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 22},	//193 KTextEditor::CodeCompletionModel::Virtual (enum)
	{31, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 23},	//194 KTextEditor::CodeCompletionModel::Override (enum)
	{31, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 24},	//195 KTextEditor::CodeCompletionModel::Inline (enum)
	{31, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 25},	//196 KTextEditor::CodeCompletionModel::Friend (enum)
	{31, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 26},	//197 KTextEditor::CodeCompletionModel::Signal (enum)
	{31, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 27},	//198 KTextEditor::CodeCompletionModel::Slot (enum)
	{31, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 28},	//199 KTextEditor::CodeCompletionModel::LocalScope (enum)
	{31, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 29},	//200 KTextEditor::CodeCompletionModel::NamespaceScope (enum)
	{31, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 30},	//201 KTextEditor::CodeCompletionModel::GlobalScope (enum)
	{31, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 31},	//202 KTextEditor::CodeCompletionModel::LastProperty (enum)
	{31, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 32},	//203 KTextEditor::CodeCompletionModel::NoHighlighting (enum)
	{31, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 33},	//204 KTextEditor::CodeCompletionModel::InternalHighlighting (enum)
	{31, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 34},	//205 KTextEditor::CodeCompletionModel::CustomHighlighting (enum)
	{31, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 35},	//206 KTextEditor::CodeCompletionModel::CompletionRole (enum)
	{31, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 36},	//207 KTextEditor::CodeCompletionModel::ScopeIndex (enum)
	{31, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 37},	//208 KTextEditor::CodeCompletionModel::MatchQuality (enum)
	{31, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 38},	//209 KTextEditor::CodeCompletionModel::SetMatchContext (enum)
	{31, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 39},	//210 KTextEditor::CodeCompletionModel::HighlightingMethod (enum)
	{31, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 40},	//211 KTextEditor::CodeCompletionModel::CustomHighlight (enum)
	{31, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 41},	//212 KTextEditor::CodeCompletionModel::InheritanceDepth (enum)
	{31, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 42},	//213 KTextEditor::CodeCompletionModel::IsExpandable (enum)
	{31, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 43},	//214 KTextEditor::CodeCompletionModel::ExpandingWidget (enum)
	{31, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 44},	//215 KTextEditor::CodeCompletionModel::ItemSelected (enum)
	{31, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 45},	//216 KTextEditor::CodeCompletionModel::ArgumentHintDepth (enum)
	{31, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 46},	//217 KTextEditor::CodeCompletionModel::BestMatchesCount (enum)
	{31, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 47},	//218 KTextEditor::CodeCompletionModel::AccessibilityNext (enum)
	{31, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 48},	//219 KTextEditor::CodeCompletionModel::AccessibilityPrevious (enum)
	{31, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 49},	//220 KTextEditor::CodeCompletionModel::AccessibilityAccept (enum)
	{31, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 50},	//221 KTextEditor::CodeCompletionModel::GroupRole (enum)
	{31, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 51},	//222 KTextEditor::CodeCompletionModel::AutomaticInvocation (enum)
	{31, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 52},	//223 KTextEditor::CodeCompletionModel::UserInvocation (enum)
	{31, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 53},	//224 KTextEditor::CodeCompletionModel::ManualInvocation (enum)
	{31, 627, 0, 0, Smoke::mf_const, 404, 56},	//225 KTextEditor::CodeCompletionModel::metaObject() const
	{31, 731, 127, 3, 0, 427, 57},	//226 KTextEditor::CodeCompletionModel::qt_metacall(QMetaObject::Call, int, void**)
	{31, 30, 135, 1, 0, 69, 58},	//227 KTextEditor::CodeCompletionModel::CodeCompletionModel(QObject*)
	{31, 1090, 0, 0, Smoke::mf_dtor, 0, 69},	//228 KTextEditor::CodeCompletionModel::~CodeCompletionModel()
	{31, 935, 434, 1, 0, 0, 59},	//229 KTextEditor::CodeCompletionModel::setRowCount(int)
	{31, 308, 82, 3, 0, 0, 60},	//230 KTextEditor::CodeCompletionModel::completionInvoked(KTextEditor::View*, const KTextEditor::Range&, KTextEditor::CodeCompletionModel::InvocationType)
	{31, 301, 369, 1, Smoke::mf_const, 427, 61},	//231 KTextEditor::CodeCompletionModel::columnCount(const QModelIndex&) const
	{31, 301, 0, 0, Smoke::mf_const, 427, 62},	//232 KTextEditor::CodeCompletionModel::columnCount() const
	{31, 512, 477, 3, Smoke::mf_const, 203, 63},	//233 KTextEditor::CodeCompletionModel::index(int, int, const QModelIndex&) const
	{31, 512, 470, 2, Smoke::mf_const, 203, 64},	//234 KTextEditor::CodeCompletionModel::index(int, int) const
	{31, 559, 369, 1, Smoke::mf_const, 196, 65},	//235 KTextEditor::CodeCompletionModel::itemData(const QModelIndex&) const
	{31, 707, 369, 1, Smoke::mf_const, 203, 66},	//236 KTextEditor::CodeCompletionModel::parent(const QModelIndex&) const
	{31, 806, 369, 1, Smoke::mf_const, 427, 67},	//237 KTextEditor::CodeCompletionModel::rowCount(const QModelIndex&) const
	{31, 806, 0, 0, Smoke::mf_const, 427, 68},	//238 KTextEditor::CodeCompletionModel::rowCount() const
	{31, 34, 0, 0, Smoke::mf_static, 425, 54},	//239 KTextEditor::CodeCompletionModel::ColumnCount (static var)
	{31, 89, 0, 0, Smoke::mf_static, 425, 55},	//240 KTextEditor::CodeCompletionModel::LastItemDataRole (static var)
	{32, 627, 0, 0, Smoke::mf_const, 404, 0},	//241 KTextEditor::CodeCompletionModel2::metaObject() const
	{32, 731, 127, 3, 0, 427, 1},	//242 KTextEditor::CodeCompletionModel2::qt_metacall(QMetaObject::Call, int, void**)
	{32, 32, 135, 1, 0, 70, 2},	//243 KTextEditor::CodeCompletionModel2::CodeCompletionModel2(QObject*)
	{32, 454, 554, 3, Smoke::mf_const, 0, 3},	//244 KTextEditor::CodeCompletionModel2::executeCompletionItem2(KTextEditor::Document*, const KTextEditor::Range&, const QModelIndex&) const
	{32, 1091, 0, 0, Smoke::mf_dtor, 0, 4},	//245 KTextEditor::CodeCompletionModel2::~CodeCompletionModel2()
	{33, 1092, 0, 0, Smoke::mf_dtor, 0, 2},	//246 KTextEditor::Command::~Command()
	{33, 299, 0, 0, 0, 421, -1},	//247 KTextEditor::Command::cmds() [pure virtual]
	{33, 452, 89, 3, 0, 351, -1},	//248 KTextEditor::Command::exec(KTextEditor::View*, const QString&, QString&) [pure virtual]
	{33, 495, 89, 3, 0, 351, -1},	//249 KTextEditor::Command::help(KTextEditor::View*, const QString&, QString&) [pure virtual]
	{33, 35, 0, 0, 0, 78, 0},	//250 KTextEditor::Command::Command()
	{33, 35, 212, 1, Smoke::mf_copyctor|Smoke::mf_internal, 78, 1},	//251 KTextEditor::Command::Command(const KTextEditor::Command&)
	{34, 1093, 0, 0, Smoke::mf_dtor, 0, 2},	//252 KTextEditor::CommandExtension::~CommandExtension()
	{34, 464, 159, 1, 0, 0, -1},	//253 KTextEditor::CommandExtension::flagCompletions(QStringList&) [pure virtual]
	{34, 310, 86, 2, 0, 7, -1},	//254 KTextEditor::CommandExtension::completionObject(KTextEditor::View*, const QString&) [pure virtual]
	{34, 1067, 403, 1, 0, 351, -1},	//255 KTextEditor::CommandExtension::wantsToProcessText(const QString&) [pure virtual]
	{34, 729, 86, 2, 0, 0, -1},	//256 KTextEditor::CommandExtension::processText(KTextEditor::View*, const QString&) [pure virtual]
	{34, 37, 0, 0, 0, 79, 0},	//257 KTextEditor::CommandExtension::CommandExtension()
	{34, 37, 214, 1, Smoke::mf_copyctor|Smoke::mf_internal, 79, 1},	//258 KTextEditor::CommandExtension::CommandExtension(const KTextEditor::CommandExtension&)
	{35, 1094, 0, 0, Smoke::mf_dtor, 0, 2},	//259 KTextEditor::CommandInterface::~CommandInterface()
	{35, 756, 528, 1, 0, 351, -1},	//260 KTextEditor::CommandInterface::registerCommand(KTextEditor::Command*) [pure virtual]
	{35, 1039, 528, 1, 0, 351, -1},	//261 KTextEditor::CommandInterface::unregisterCommand(KTextEditor::Command*) [pure virtual]
	{35, 734, 403, 1, Smoke::mf_const, 78, -1},	//262 KTextEditor::CommandInterface::queryCommand(const QString&) const [pure virtual]
	{35, 305, 0, 0, Smoke::mf_const, 192, -1},	//263 KTextEditor::CommandInterface::commands() const [pure virtual]
	{35, 304, 0, 0, Smoke::mf_const, 235, -1},	//264 KTextEditor::CommandInterface::commandList() const [pure virtual]
	{35, 39, 0, 0, 0, 80, 0},	//265 KTextEditor::CommandInterface::CommandInterface()
	{35, 39, 216, 1, Smoke::mf_copyctor|Smoke::mf_internal, 80, 1},	//266 KTextEditor::CommandInterface::CommandInterface(const KTextEditor::CommandInterface&)
	{36, 42, 0, 0, 0, 81, 0},	//267 KTextEditor::ConfigInterface::ConfigInterface()
	{36, 1095, 0, 0, Smoke::mf_dtor, 0, 2},	//268 KTextEditor::ConfigInterface::~ConfigInterface()
	{36, 316, 0, 0, Smoke::mf_const, 235, -1},	//269 KTextEditor::ConfigInterface::configKeys() const [pure virtual]
	{36, 326, 403, 1, 0, 266, -1},	//270 KTextEditor::ConfigInterface::configValue(const QString&) [pure virtual]
	{36, 854, 418, 2, 0, 0, -1},	//271 KTextEditor::ConfigInterface::setConfigValue(const QString&, const QVariant&) [pure virtual]
	{36, 42, 218, 1, Smoke::mf_copyctor|Smoke::mf_internal, 81, 1},	//272 KTextEditor::ConfigInterface::ConfigInterface(const KTextEditor::ConfigInterface&)
	{37, 627, 0, 0, Smoke::mf_const, 404, 0},	//273 KTextEditor::ConfigPage::metaObject() const
	{37, 731, 127, 3, 0, 427, 1},	//274 KTextEditor::ConfigPage::qt_metacall(QMetaObject::Call, int, void**)
	{37, 44, 171, 1, 0, 82, 2},	//275 KTextEditor::ConfigPage::ConfigPage(QWidget*)
	{37, 1096, 0, 0, Smoke::mf_dtor, 0, 4},	//276 KTextEditor::ConfigPage::~ConfigPage()
	{37, 222, 0, 0, 0, 0, -1},	//277 KTextEditor::ConfigPage::apply() [pure virtual]
	{37, 802, 0, 0, 0, 0, -1},	//278 KTextEditor::ConfigPage::reset() [pure virtual]
	{37, 384, 0, 0, 0, 0, -1},	//279 KTextEditor::ConfigPage::defaults() [pure virtual]
	{37, 255, 0, 0, 0, 0, 3},	//280 KTextEditor::ConfigPage::changed()
	{38, 47, 0, 0, 0, 83, 0},	//281 KTextEditor::ContainerInterface::ContainerInterface()
	{38, 1097, 0, 0, Smoke::mf_dtor, 0, 2},	//282 KTextEditor::ContainerInterface::~ContainerInterface()
	{38, 856, 135, 1, 0, 0, -1},	//283 KTextEditor::ContainerInterface::setContainer(QObject*) [pure virtual]
	{38, 332, 0, 0, 0, 209, -1},	//284 KTextEditor::ContainerInterface::container() [pure virtual]
	{38, 47, 220, 1, Smoke::mf_copyctor|Smoke::mf_internal, 83, 1},	//285 KTextEditor::ContainerInterface::ContainerInterface(const KTextEditor::ContainerInterface&)
	{39, 49, 0, 0, 0, 86, 0},	//286 KTextEditor::Cursor::Cursor()
	{39, 49, 470, 2, 0, 86, 1},	//287 KTextEditor::Cursor::Cursor(int, int)
	{39, 49, 222, 1, Smoke::mf_copyctor, 86, 2},	//288 KTextEditor::Cursor::Cursor(const KTextEditor::Cursor&)
	{39, 1098, 0, 0, Smoke::mf_dtor, 0, 20},	//289 KTextEditor::Cursor::~Cursor()
	{39, 558, 0, 0, Smoke::mf_const, 351, 3},	//290 KTextEditor::Cursor::isValid() const
	{39, 556, 0, 0, Smoke::mf_const, 351, 4},	//291 KTextEditor::Cursor::isSmartCursor() const
	{39, 1030, 0, 0, Smoke::mf_const, 105, 5},	//292 KTextEditor::Cursor::toSmartCursor() const
	{39, 925, 222, 1, 0, 0, 6},	//293 KTextEditor::Cursor::setPosition(const KTextEditor::Cursor&)
	{39, 925, 470, 2, 0, 0, 7},	//294 KTextEditor::Cursor::setPosition(int, int)
	{39, 568, 0, 0, Smoke::mf_const, 427, 8},	//295 KTextEditor::Cursor::line() const
	{39, 887, 434, 1, 0, 0, 9},	//296 KTextEditor::Cursor::setLine(int)
	{39, 300, 0, 0, Smoke::mf_const, 427, 10},	//297 KTextEditor::Cursor::column() const
	{39, 849, 434, 1, 0, 0, 11},	//298 KTextEditor::Cursor::setColumn(int)
	{39, 230, 0, 0, Smoke::mf_const, 351, 12},	//299 KTextEditor::Cursor::atStartOfLine() const
	{39, 229, 0, 0, Smoke::mf_const, 351, 13},	//300 KTextEditor::Cursor::atStartOfDocument() const
	{39, 718, 502, 2, Smoke::mf_const, 0, 14},	//301 KTextEditor::Cursor::position(int&, int&) const
	{39, 736, 0, 0, Smoke::mf_const, 100, 15},	//302 KTextEditor::Cursor::range() const
	{39, 546, 0, 0, Smoke::mf_static, 84, 16},	//303 KTextEditor::Cursor::invalid()
	{39, 996, 0, 0, Smoke::mf_static, 84, 17},	//304 KTextEditor::Cursor::start()
	{39, 930, 3, 1, Smoke::mf_protected, 0, 18},	//305 KTextEditor::Cursor::setRange(KTextEditor::Range*)
	{39, 361, 222, 1, Smoke::mf_protected, 0, 19},	//306 KTextEditor::Cursor::cursorChangedDirectly(const KTextEditor::Cursor&)
	{40, 627, 0, 0, Smoke::mf_const, 404, 0},	//307 KTextEditor::Document::metaObject() const
	{40, 731, 127, 3, 0, 427, 1},	//308 KTextEditor::Document::qt_metacall(QMetaObject::Call, int, void**)
	{40, 56, 135, 1, 0, 87, 2},	//309 KTextEditor::Document::Document(QObject*)
	{40, 56, 0, 0, 0, 87, 3},	//310 KTextEditor::Document::Document()
	{40, 1099, 0, 0, Smoke::mf_dtor, 0, 30},	//311 KTextEditor::Document::~Document()
	{40, 429, 0, 0, 0, 88, -1},	//312 KTextEditor::Document::editor() [pure virtual]
	{40, 358, 171, 1, 0, 120, -1},	//313 KTextEditor::Document::createView(QWidget*) [pure virtual]
	{40, 191, 0, 0, Smoke::mf_const, 120, -1},	//314 KTextEditor::Document::activeView() const [pure virtual]
	{40, 1064, 0, 0, Smoke::mf_const, 400, -1},	//315 KTextEditor::Document::views() const [pure virtual]
	{40, 405, 0, 0, Smoke::mf_const, 420, -1},	//316 KTextEditor::Document::documentName() const [pure virtual]
	{40, 632, 0, 0, 0, 232, -1},	//317 KTextEditor::Document::mimeType() [pure virtual]
	{40, 874, 403, 1, 0, 351, -1},	//318 KTextEditor::Document::setEncoding(const QString&) [pure virtual]
	{40, 439, 0, 0, Smoke::mf_const, 420, -1},	//319 KTextEditor::Document::encoding() const [pure virtual]
	{40, 409, 0, 0, 0, 351, -1},	//320 KTextEditor::Document::documentReload() [pure virtual]
	{40, 410, 0, 0, 0, 351, -1},	//321 KTextEditor::Document::documentSave() [pure virtual]
	{40, 411, 0, 0, 0, 351, -1},	//322 KTextEditor::Document::documentSaveAs() [pure virtual]
	{40, 999, 0, 0, 0, 351, -1},	//323 KTextEditor::Document::startEditing() [pure virtual]
	{40, 443, 0, 0, 0, 351, -1},	//324 KTextEditor::Document::endEditing() [pure virtual]
	{40, 1013, 0, 0, Smoke::mf_const, 232, -1},	//325 KTextEditor::Document::text() const [pure virtual]
	{40, 1013, 300, 2, Smoke::mf_const, 232, -1},	//326 KTextEditor::Document::text(const KTextEditor::Range&, bool) const [pure virtual]
	{40, 1013, 288, 1, Smoke::mf_const, 232, -1},	//327 KTextEditor::Document::text(const KTextEditor::Range&) const [pure virtual]
	{40, 256, 222, 1, Smoke::mf_const, 150, -1},	//328 KTextEditor::Document::character(const KTextEditor::Cursor&) const [pure virtual]
	{40, 1023, 300, 2, Smoke::mf_const, 235, -1},	//329 KTextEditor::Document::textLines(const KTextEditor::Range&, bool) const [pure virtual]
	{40, 1023, 288, 1, Smoke::mf_const, 235, -1},	//330 KTextEditor::Document::textLines(const KTextEditor::Range&) const [pure virtual]
	{40, 568, 434, 1, Smoke::mf_const, 232, -1},	//331 KTextEditor::Document::line(int) const [pure virtual]
	{40, 574, 0, 0, Smoke::mf_const, 427, -1},	//332 KTextEditor::Document::lines() const [pure virtual]
	{40, 403, 0, 0, Smoke::mf_const, 84, -1},	//333 KTextEditor::Document::documentEnd() const [pure virtual]
	{40, 408, 0, 0, Smoke::mf_const, 99, 4},	//334 KTextEditor::Document::documentRange() const
	{40, 1033, 0, 0, Smoke::mf_const, 427, -1},	//335 KTextEditor::Document::totalCharacters() const [pure virtual]
	{40, 551, 0, 0, Smoke::mf_const, 351, 5},	//336 KTextEditor::Document::isEmpty() const
	{40, 572, 434, 1, Smoke::mf_const, 427, -1},	//337 KTextEditor::Document::lineLength(int) const [pure virtual]
	{40, 444, 434, 1, Smoke::mf_const, 84, 6},	//338 KTextEditor::Document::endOfLine(int) const
	{40, 953, 403, 1, 0, 351, -1},	//339 KTextEditor::Document::setText(const QString&) [pure virtual]
	{40, 953, 421, 1, 0, 351, -1},	//340 KTextEditor::Document::setText(const QStringList&) [pure virtual]
	{40, 274, 0, 0, 0, 351, -1},	//341 KTextEditor::Document::clear() [pure virtual]
	{40, 536, 252, 3, 0, 351, -1},	//342 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QString&, bool) [pure virtual]
	{40, 536, 249, 2, 0, 351, -1},	//343 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QString&) [pure virtual]
	{40, 536, 263, 3, 0, 351, -1},	//344 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QStringList&, bool) [pure virtual]
	{40, 536, 260, 2, 0, 351, -1},	//345 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QStringList&) [pure virtual]
	{40, 794, 306, 3, 0, 351, 7},	//346 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QString&, bool)
	{40, 794, 303, 2, 0, 351, 8},	//347 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QString&)
	{40, 794, 317, 3, 0, 351, 9},	//348 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QStringList&, bool)
	{40, 794, 314, 2, 0, 351, 10},	//349 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QStringList&)
	{40, 786, 300, 2, 0, 351, -1},	//350 KTextEditor::Document::removeText(const KTextEditor::Range&, bool) [pure virtual]
	{40, 786, 288, 1, 0, 351, -1},	//351 KTextEditor::Document::removeText(const KTextEditor::Range&) [pure virtual]
	{40, 363, 222, 1, 0, 351, 11},	//352 KTextEditor::Document::cursorInText(const KTextEditor::Cursor&)
	{40, 525, 464, 2, 0, 351, -1},	//353 KTextEditor::Document::insertLine(int, const QString&) [pure virtual]
	{40, 527, 467, 2, 0, 351, -1},	//354 KTextEditor::Document::insertLines(int, const QStringList&) [pure virtual]
	{40, 775, 434, 1, 0, 351, -1},	//355 KTextEditor::Document::removeLine(int) [pure virtual]
	{40, 635, 0, 0, Smoke::mf_const, 232, -1},	//356 KTextEditor::Document::mode() const [pure virtual]
	{40, 499, 0, 0, Smoke::mf_const, 232, -1},	//357 KTextEditor::Document::highlightingMode() const [pure virtual]
	{40, 640, 0, 0, Smoke::mf_const, 235, -1},	//358 KTextEditor::Document::modes() const [pure virtual]
	{40, 504, 0, 0, Smoke::mf_const, 235, -1},	//359 KTextEditor::Document::highlightingModes() const [pure virtual]
	{40, 901, 403, 1, 0, 351, -1},	//360 KTextEditor::Document::setMode(const QString&) [pure virtual]
	{40, 881, 403, 1, 0, 351, -1},	//361 KTextEditor::Document::setHighlightingMode(const QString&) [pure virtual]
	{40, 502, 434, 1, Smoke::mf_const, 232, -1},	//362 KTextEditor::Document::highlightingModeSection(int) const [pure virtual]
	{40, 638, 434, 1, Smoke::mf_const, 232, -1},	//363 KTextEditor::Document::modeSection(int) const [pure virtual]
	{40, 951, 190, 1, 0, 0, 12},	//364 KTextEditor::Document::setSuppressOpeningErrorDialogs(bool)
	{40, 1010, 0, 0, Smoke::mf_const, 351, 13},	//365 KTextEditor::Document::suppressOpeningErrorDialogs() const
	{40, 689, 0, 0, Smoke::mf_const, 351, 14},	//366 KTextEditor::Document::openingError() const
	{40, 690, 0, 0, Smoke::mf_const, 232, 15},	//367 KTextEditor::Document::openingErrorMessage() const
	{40, 1054, 540, 2, 0, 0, 16},	//368 KTextEditor::Document::viewCreated(KTextEditor::Document*, KTextEditor::View*)
	{40, 406, 538, 1, 0, 0, 17},	//369 KTextEditor::Document::documentNameChanged(KTextEditor::Document*)
	{40, 412, 538, 1, 0, 0, 18},	//370 KTextEditor::Document::documentUrlChanged(KTextEditor::Document*)
	{40, 641, 538, 1, 0, 0, 19},	//371 KTextEditor::Document::modifiedChanged(KTextEditor::Document*)
	{40, 1017, 538, 1, 0, 0, 20},	//372 KTextEditor::Document::textChanged(KTextEditor::Document*)
	{40, 1020, 547, 2, 0, 0, 21},	//373 KTextEditor::Document::textInserted(KTextEditor::Document*, const KTextEditor::Range&)
	{40, 1026, 547, 2, 0, 0, 22},	//374 KTextEditor::Document::textRemoved(KTextEditor::Document*, const KTextEditor::Range&)
	{40, 1017, 550, 3, 0, 0, 23},	//375 KTextEditor::Document::textChanged(KTextEditor::Document*, const KTextEditor::Range&, const KTextEditor::Range&)
	{40, 182, 538, 1, 0, 0, 24},	//376 KTextEditor::Document::aboutToClose(KTextEditor::Document*)
	{40, 184, 538, 1, 0, 0, 25},	//377 KTextEditor::Document::aboutToReload(KTextEditor::Document*)
	{40, 636, 538, 1, 0, 0, 26},	//378 KTextEditor::Document::modeChanged(KTextEditor::Document*)
	{40, 500, 538, 1, 0, 0, 27},	//379 KTextEditor::Document::highlightingModeChanged(KTextEditor::Document*)
	{40, 911, 190, 1, Smoke::mf_protected, 0, 28},	//380 KTextEditor::Document::setOpeningError(bool)
	{40, 913, 403, 1, Smoke::mf_protected, 0, 29},	//381 KTextEditor::Document::setOpeningErrorMessage(const QString&)
	{41, 627, 0, 0, Smoke::mf_const, 404, 0},	//382 KTextEditor::Editor::metaObject() const
	{41, 731, 127, 3, 0, 427, 1},	//383 KTextEditor::Editor::qt_metacall(QMetaObject::Call, int, void**)
	{41, 60, 135, 1, 0, 88, 2},	//384 KTextEditor::Editor::Editor(QObject*)
	{41, 1100, 0, 0, Smoke::mf_dtor, 0, 6},	//385 KTextEditor::Editor::~Editor()
	{41, 947, 190, 1, 0, 0, 3},	//386 KTextEditor::Editor::setSimpleMode(bool)
	{41, 982, 0, 0, Smoke::mf_const, 351, 4},	//387 KTextEditor::Editor::simpleMode() const
	{41, 346, 135, 1, 0, 87, -1},	//388 KTextEditor::Editor::createDocument(QObject*) [pure virtual]
	{41, 414, 0, 0, 0, 395, -1},	//389 KTextEditor::Editor::documents() [pure virtual]
	{41, 181, 0, 0, Smoke::mf_const, 354, -1},	//390 KTextEditor::Editor::aboutData() const [pure virtual]
	{41, 752, 569, 1, 0, 0, -1},	//391 KTextEditor::Editor::readConfig(KConfig*) [pure virtual]
	{41, 752, 0, 0, 0, 0, -1},	//392 KTextEditor::Editor::readConfig() [pure virtual]
	{41, 1078, 569, 1, 0, 0, -1},	//393 KTextEditor::Editor::writeConfig(KConfig*) [pure virtual]
	{41, 1078, 0, 0, 0, 0, -1},	//394 KTextEditor::Editor::writeConfig() [pure virtual]
	{41, 315, 0, 0, Smoke::mf_const, 351, -1},	//395 KTextEditor::Editor::configDialogSupported() const [pure virtual]
	{41, 313, 171, 1, 0, 0, -1},	//396 KTextEditor::Editor::configDialog(QWidget*) [pure virtual]
	{41, 325, 0, 0, Smoke::mf_const, 427, -1},	//397 KTextEditor::Editor::configPages() const [pure virtual]
	{41, 317, 439, 2, 0, 82, -1},	//398 KTextEditor::Editor::configPage(int, QWidget*) [pure virtual]
	{41, 323, 434, 1, Smoke::mf_const, 232, -1},	//399 KTextEditor::Editor::configPageName(int) const [pure virtual]
	{41, 319, 434, 1, Smoke::mf_const, 232, -1},	//400 KTextEditor::Editor::configPageFullName(int) const [pure virtual]
	{41, 321, 434, 1, Smoke::mf_const, 29, -1},	//401 KTextEditor::Editor::configPageIcon(int) const [pure virtual]
	{41, 401, 566, 2, 0, 0, 5},	//402 KTextEditor::Editor::documentCreated(KTextEditor::Editor*, KTextEditor::Document*)
	{42, 627, 0, 0, Smoke::mf_const, 404, 0},	//403 KTextEditor::EditorChooser::metaObject() const
	{42, 731, 127, 3, 0, 427, 1},	//404 KTextEditor::EditorChooser::qt_metacall(QMetaObject::Call, int, void**)
	{42, 62, 171, 1, 0, 89, 2},	//405 KTextEditor::EditorChooser::EditorChooser(QWidget*)
	{42, 62, 0, 0, 0, 89, 3},	//406 KTextEditor::EditorChooser::EditorChooser()
	{42, 1101, 0, 0, Smoke::mf_dtor, 0, 12},	//407 KTextEditor::EditorChooser::~EditorChooser()
	{42, 750, 403, 1, 0, 0, 4},	//408 KTextEditor::EditorChooser::readAppSetting(const QString&)
	{42, 750, 0, 0, 0, 0, 5},	//409 KTextEditor::EditorChooser::readAppSetting()
	{42, 1076, 403, 1, 0, 0, 6},	//410 KTextEditor::EditorChooser::writeAppSetting(const QString&)
	{42, 1076, 0, 0, 0, 0, 7},	//411 KTextEditor::EditorChooser::writeAppSetting()
	{42, 255, 0, 0, 0, 0, 8},	//412 KTextEditor::EditorChooser::changed()
	{42, 429, 408, 2, Smoke::mf_static, 88, 9},	//413 KTextEditor::EditorChooser::editor(const QString&, bool)
	{42, 429, 403, 1, Smoke::mf_static, 88, 10},	//414 KTextEditor::EditorChooser::editor(const QString&)
	{42, 429, 0, 0, Smoke::mf_static, 88, 11},	//415 KTextEditor::EditorChooser::editor()
	{43, 627, 0, 0, Smoke::mf_const, 404, 0},	//416 KTextEditor::Factory::metaObject() const
	{43, 731, 127, 3, 0, 427, 1},	//417 KTextEditor::Factory::qt_metacall(QMetaObject::Call, int, void**)
	{43, 75, 135, 1, 0, 90, 2},	//418 KTextEditor::Factory::Factory(QObject*)
	{43, 1102, 0, 0, Smoke::mf_dtor, 0, 3},	//419 KTextEditor::Factory::~Factory()
	{43, 429, 0, 0, 0, 88, -1},	//420 KTextEditor::Factory::editor() [pure virtual]
	{45, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 0},	//421 KTextEditor::MarkInterface::markType01 (enum)
	{45, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 1},	//422 KTextEditor::MarkInterface::markType02 (enum)
	{45, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 2},	//423 KTextEditor::MarkInterface::markType03 (enum)
	{45, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 3},	//424 KTextEditor::MarkInterface::markType04 (enum)
	{45, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 4},	//425 KTextEditor::MarkInterface::markType05 (enum)
	{45, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 5},	//426 KTextEditor::MarkInterface::markType06 (enum)
	{45, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 6},	//427 KTextEditor::MarkInterface::markType07 (enum)
	{45, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 7},	//428 KTextEditor::MarkInterface::markType08 (enum)
	{45, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 8},	//429 KTextEditor::MarkInterface::markType09 (enum)
	{45, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 9},	//430 KTextEditor::MarkInterface::markType10 (enum)
	{45, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 10},	//431 KTextEditor::MarkInterface::markType11 (enum)
	{45, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 11},	//432 KTextEditor::MarkInterface::markType12 (enum)
	{45, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 12},	//433 KTextEditor::MarkInterface::markType13 (enum)
	{45, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 13},	//434 KTextEditor::MarkInterface::markType14 (enum)
	{45, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 14},	//435 KTextEditor::MarkInterface::markType15 (enum)
	{45, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 15},	//436 KTextEditor::MarkInterface::markType16 (enum)
	{45, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 16},	//437 KTextEditor::MarkInterface::markType17 (enum)
	{45, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 17},	//438 KTextEditor::MarkInterface::markType18 (enum)
	{45, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 18},	//439 KTextEditor::MarkInterface::markType19 (enum)
	{45, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 19},	//440 KTextEditor::MarkInterface::markType20 (enum)
	{45, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 20},	//441 KTextEditor::MarkInterface::markType21 (enum)
	{45, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 21},	//442 KTextEditor::MarkInterface::markType22 (enum)
	{45, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 22},	//443 KTextEditor::MarkInterface::markType23 (enum)
	{45, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 23},	//444 KTextEditor::MarkInterface::markType24 (enum)
	{45, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 24},	//445 KTextEditor::MarkInterface::markType25 (enum)
	{45, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 25},	//446 KTextEditor::MarkInterface::markType26 (enum)
	{45, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 26},	//447 KTextEditor::MarkInterface::markType27 (enum)
	{45, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 27},	//448 KTextEditor::MarkInterface::markType28 (enum)
	{45, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 28},	//449 KTextEditor::MarkInterface::markType29 (enum)
	{45, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 29},	//450 KTextEditor::MarkInterface::markType30 (enum)
	{45, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 30},	//451 KTextEditor::MarkInterface::markType31 (enum)
	{45, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 31},	//452 KTextEditor::MarkInterface::markType32 (enum)
	{45, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 32},	//453 KTextEditor::MarkInterface::Bookmark (enum)
	{45, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 33},	//454 KTextEditor::MarkInterface::BreakpointActive (enum)
	{45, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 34},	//455 KTextEditor::MarkInterface::BreakpointReached (enum)
	{45, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 35},	//456 KTextEditor::MarkInterface::BreakpointDisabled (enum)
	{45, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 36},	//457 KTextEditor::MarkInterface::Execution (enum)
	{45, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 37},	//458 KTextEditor::MarkInterface::Warning (enum)
	{45, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 38},	//459 KTextEditor::MarkInterface::Error (enum)
	{45, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 39},	//460 KTextEditor::MarkInterface::MarkAdded (enum)
	{45, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 40},	//461 KTextEditor::MarkInterface::MarkRemoved (enum)
	{45, 96, 0, 0, 0, 92, 41},	//462 KTextEditor::MarkInterface::MarkInterface()
	{45, 1103, 0, 0, Smoke::mf_dtor, 0, 44},	//463 KTextEditor::MarkInterface::~MarkInterface()
	{45, 580, 434, 1, 0, 429, -1},	//464 KTextEditor::MarkInterface::mark(int) [pure virtual]
	{45, 895, 499, 2, 0, 0, -1},	//465 KTextEditor::MarkInterface::setMark(int, uint) [pure virtual]
	{45, 280, 434, 1, 0, 0, -1},	//466 KTextEditor::MarkInterface::clearMark(int) [pure virtual]
	{45, 204, 499, 2, 0, 0, -1},	//467 KTextEditor::MarkInterface::addMark(int, uint) [pure virtual]
	{45, 777, 499, 2, 0, 0, -1},	//468 KTextEditor::MarkInterface::removeMark(int, uint) [pure virtual]
	{45, 620, 0, 0, 0, 390, -1},	//469 KTextEditor::MarkInterface::marks() [pure virtual]
	{45, 282, 0, 0, 0, 0, -1},	//470 KTextEditor::MarkInterface::clearMarks() [pure virtual]
	{45, 621, 538, 1, 0, 0, -1},	//471 KTextEditor::MarkInterface::marksChanged(KTextEditor::Document*) [pure virtual]
	{45, 899, 573, 2, 0, 0, -1},	//472 KTextEditor::MarkInterface::setMarkPixmap(KTextEditor::MarkInterface::MarkTypes, const QPixmap&) [pure virtual]
	{45, 586, 571, 1, Smoke::mf_const, 223, -1},	//473 KTextEditor::MarkInterface::markPixmap(KTextEditor::MarkInterface::MarkTypes) const [pure virtual]
	{45, 897, 576, 2, 0, 0, -1},	//474 KTextEditor::MarkInterface::setMarkDescription(KTextEditor::MarkInterface::MarkTypes, const QString&) [pure virtual]
	{45, 584, 571, 1, Smoke::mf_const, 232, -1},	//475 KTextEditor::MarkInterface::markDescription(KTextEditor::MarkInterface::MarkTypes) const [pure virtual]
	{45, 870, 505, 1, 0, 0, -1},	//476 KTextEditor::MarkInterface::setEditableMarks(uint) [pure virtual]
	{45, 428, 0, 0, Smoke::mf_const, 429, -1},	//477 KTextEditor::MarkInterface::editableMarks() const [pure virtual]
	{45, 582, 562, 3, 0, 0, -1},	//478 KTextEditor::MarkInterface::markChanged(KTextEditor::Document*, KTextEditor::Mark, KTextEditor::MarkInterface::MarkChangeAction) [pure virtual]
	{45, 96, 282, 1, Smoke::mf_copyctor|Smoke::mf_internal, 92, 42},	//479 KTextEditor::MarkInterface::MarkInterface(const KTextEditor::MarkInterface&)
	{45, 801, 0, 0, Smoke::mf_static, 427, 43},	//480 KTextEditor::MarkInterface::reservedMarkersCount()
	{46, 100, 0, 0, 0, 95, 0},	//481 KTextEditor::MdiContainer::MdiContainer()
	{46, 1104, 0, 0, Smoke::mf_dtor, 0, 2},	//482 KTextEditor::MdiContainer::~MdiContainer()
	{46, 823, 53, 1, 0, 0, -1},	//483 KTextEditor::MdiContainer::setActiveView(KTextEditor::View*) [pure virtual]
	{46, 191, 0, 0, 0, 120, -1},	//484 KTextEditor::MdiContainer::activeView() [pure virtual]
	{46, 346, 0, 0, 0, 87, -1},	//485 KTextEditor::MdiContainer::createDocument() [pure virtual]
	{46, 290, 538, 1, 0, 351, -1},	//486 KTextEditor::MdiContainer::closeDocument(KTextEditor::Document*) [pure virtual]
	{46, 358, 538, 1, 0, 120, -1},	//487 KTextEditor::MdiContainer::createView(KTextEditor::Document*) [pure virtual]
	{46, 297, 53, 1, 0, 351, -1},	//488 KTextEditor::MdiContainer::closeView(KTextEditor::View*) [pure virtual]
	{46, 100, 284, 1, Smoke::mf_copyctor|Smoke::mf_internal, 95, 1},	//489 KTextEditor::MdiContainer::MdiContainer(const KTextEditor::MdiContainer&)
	{47, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 0},	//490 KTextEditor::ModificationInterface::OnDiskUnmodified (enum)
	{47, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 1},	//491 KTextEditor::ModificationInterface::OnDiskModified (enum)
	{47, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 2},	//492 KTextEditor::ModificationInterface::OnDiskCreated (enum)
	{47, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 3},	//493 KTextEditor::ModificationInterface::OnDiskDeleted (enum)
	{47, 102, 0, 0, 0, 96, 4},	//494 KTextEditor::ModificationInterface::ModificationInterface()
	{47, 1105, 0, 0, Smoke::mf_dtor, 0, 6},	//495 KTextEditor::ModificationInterface::~ModificationInterface()
	{47, 905, 579, 1, 0, 0, -1},	//496 KTextEditor::ModificationInterface::setModifiedOnDisk(KTextEditor::ModificationInterface::ModifiedOnDiskReason) [pure virtual]
	{47, 907, 190, 1, 0, 0, -1},	//497 KTextEditor::ModificationInterface::setModifiedOnDiskWarning(bool) [pure virtual]
	{47, 984, 53, 1, 0, 0, -1},	//498 KTextEditor::ModificationInterface::slotModifiedOnDisk(KTextEditor::View*) [pure virtual]
	{47, 984, 0, 0, 0, 0, -1},	//499 KTextEditor::ModificationInterface::slotModifiedOnDisk() [pure virtual]
	{47, 643, 543, 3, 0, 0, -1},	//500 KTextEditor::ModificationInterface::modifiedOnDisk(KTextEditor::Document*, bool, KTextEditor::ModificationInterface::ModifiedOnDiskReason) [pure virtual]
	{47, 102, 286, 1, Smoke::mf_copyctor|Smoke::mf_internal, 96, 5},	//501 KTextEditor::ModificationInterface::ModificationInterface(const KTextEditor::ModificationInterface&)
	{48, 627, 0, 0, Smoke::mf_const, 404, 0},	//502 KTextEditor::Plugin::metaObject() const
	{48, 731, 127, 3, 0, 427, 1},	//503 KTextEditor::Plugin::qt_metacall(QMetaObject::Call, int, void**)
	{48, 119, 135, 1, 0, 98, 2},	//504 KTextEditor::Plugin::Plugin(QObject*)
	{48, 1108, 0, 0, Smoke::mf_dtor, 0, 7},	//505 KTextEditor::Plugin::~Plugin()
	{48, 196, 538, 1, 0, 0, 3},	//506 KTextEditor::Plugin::addDocument(KTextEditor::Document*)
	{48, 769, 538, 1, 0, 0, 4},	//507 KTextEditor::Plugin::removeDocument(KTextEditor::Document*)
	{48, 208, 53, 1, 0, 0, 5},	//508 KTextEditor::Plugin::addView(KTextEditor::View*)
	{48, 790, 53, 1, 0, 0, 6},	//509 KTextEditor::Plugin::removeView(KTextEditor::View*)
	{49, 126, 0, 0, 0, 100, 0},	//510 KTextEditor::Range::Range()
	{49, 126, 237, 2, 0, 100, 1},	//511 KTextEditor::Range::Range(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
	{49, 126, 267, 2, 0, 100, 2},	//512 KTextEditor::Range::Range(const KTextEditor::Cursor&, int)
	{49, 126, 274, 3, 0, 100, 3},	//513 KTextEditor::Range::Range(const KTextEditor::Cursor&, int, int)
	{49, 126, 481, 4, 0, 100, 4},	//514 KTextEditor::Range::Range(int, int, int, int)
	{49, 126, 288, 1, Smoke::mf_copyctor, 100, 5},	//515 KTextEditor::Range::Range(const KTextEditor::Range&)
	{49, 1109, 0, 0, Smoke::mf_dtor, 0, 37},	//516 KTextEditor::Range::~Range()
	{49, 558, 0, 0, Smoke::mf_const, 351, 6},	//517 KTextEditor::Range::isValid() const
	{49, 557, 0, 0, Smoke::mf_const, 351, 7},	//518 KTextEditor::Range::isSmartRange() const
	{49, 1031, 0, 0, Smoke::mf_const, 112, 8},	//519 KTextEditor::Range::toSmartRange() const
	{49, 996, 0, 0, 0, 85, 9},	//520 KTextEditor::Range::start()
	{49, 442, 0, 0, 0, 85, 10},	//521 KTextEditor::Range::end()
	{49, 845, 434, 1, 0, 0, 11},	//522 KTextEditor::Range::setBothLines(int)
	{49, 843, 434, 1, 0, 0, 12},	//523 KTextEditor::Range::setBothColumns(int)
	{49, 930, 288, 1, 0, 0, 13},	//524 KTextEditor::Range::setRange(const KTextEditor::Range&)
	{49, 930, 237, 2, 0, 0, 14},	//525 KTextEditor::Range::setRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
	{49, 458, 288, 1, 0, 351, 15},	//526 KTextEditor::Range::expandToRange(const KTextEditor::Range&)
	{49, 328, 288, 1, 0, 351, 16},	//527 KTextEditor::Range::confineToRange(const KTextEditor::Range&)
	{49, 683, 0, 0, Smoke::mf_const, 351, 17},	//528 KTextEditor::Range::onSingleLine() const
	{49, 682, 0, 0, Smoke::mf_const, 427, 18},	//529 KTextEditor::Range::numberOfLines() const
	{49, 303, 0, 0, Smoke::mf_const, 427, 19},	//530 KTextEditor::Range::columnWidth() const
	{49, 551, 0, 0, Smoke::mf_const, 351, 20},	//531 KTextEditor::Range::isEmpty() const
	{49, 333, 288, 1, Smoke::mf_const, 351, 21},	//532 KTextEditor::Range::contains(const KTextEditor::Range&) const
	{49, 333, 222, 1, Smoke::mf_const, 351, 22},	//533 KTextEditor::Range::contains(const KTextEditor::Cursor&) const
	{49, 337, 434, 1, Smoke::mf_const, 351, 23},	//534 KTextEditor::Range::containsLine(int) const
	{49, 335, 434, 1, Smoke::mf_const, 351, 24},	//535 KTextEditor::Range::containsColumn(int) const
	{49, 696, 288, 1, Smoke::mf_const, 351, 25},	//536 KTextEditor::Range::overlaps(const KTextEditor::Range&) const
	{49, 700, 434, 1, Smoke::mf_const, 351, 26},	//537 KTextEditor::Range::overlapsLine(int) const
	{49, 698, 434, 1, Smoke::mf_const, 351, 27},	//538 KTextEditor::Range::overlapsColumn(int) const
	{49, 724, 222, 1, Smoke::mf_const, 427, 28},	//539 KTextEditor::Range::positionRelativeToCursor(const KTextEditor::Cursor&) const
	{49, 726, 434, 1, Smoke::mf_const, 427, 29},	//540 KTextEditor::Range::positionRelativeToLine(int) const
	{49, 238, 222, 1, Smoke::mf_const, 351, 30},	//541 KTextEditor::Range::boundaryAtCursor(const KTextEditor::Cursor&) const
	{49, 240, 434, 1, Smoke::mf_const, 351, 31},	//542 KTextEditor::Range::boundaryOnLine(int) const
	{49, 544, 288, 1, Smoke::mf_const, 99, 32},	//543 KTextEditor::Range::intersect(const KTextEditor::Range&) const
	{49, 440, 288, 1, Smoke::mf_const, 99, 33},	//544 KTextEditor::Range::encompass(const KTextEditor::Range&) const
	{49, 546, 0, 0, Smoke::mf_static, 99, 34},	//545 KTextEditor::Range::invalid()
	{49, 126, 535, 2, Smoke::mf_protected, 100, 35},	//546 KTextEditor::Range::Range(KTextEditor::Cursor*, KTextEditor::Cursor*)
	{49, 739, 532, 2, Smoke::mf_protected, 0, 36},	//547 KTextEditor::Range::rangeChanged(KTextEditor::Cursor*, const KTextEditor::Range&)
	{50, 138, 0, 0, 0, 102, 0},	//548 KTextEditor::SearchInterface::SearchInterface()
	{50, 1112, 0, 0, Smoke::mf_dtor, 0, 2},	//549 KTextEditor::SearchInterface::~SearchInterface()
	{50, 813, 310, 3, 0, 268, -1},	//550 KTextEditor::SearchInterface::searchText(const KTextEditor::Range&, const QString&, const KTextEditor::Search::SearchOptions) [pure virtual]
	{50, 813, 303, 2, 0, 268, -1},	//551 KTextEditor::SearchInterface::searchText(const KTextEditor::Range&, const QString&) [pure virtual]
	{50, 1009, 0, 0, Smoke::mf_const, 101, -1},	//552 KTextEditor::SearchInterface::supportedSearchOptions() const [pure virtual]
	{50, 138, 324, 1, Smoke::mf_copyctor|Smoke::mf_internal, 102, 1},	//553 KTextEditor::SearchInterface::SearchInterface(const KTextEditor::SearchInterface&)
	{51, 142, 0, 0, 0, 103, 0},	//554 KTextEditor::SessionConfigInterface::SessionConfigInterface()
	{51, 1113, 0, 0, Smoke::mf_dtor, 0, 2},	//555 KTextEditor::SessionConfigInterface::~SessionConfigInterface()
	{51, 754, 200, 1, 0, 0, -1},	//556 KTextEditor::SessionConfigInterface::readSessionConfig(const KConfigGroup&) [pure virtual]
	{51, 1080, 51, 1, 0, 0, -1},	//557 KTextEditor::SessionConfigInterface::writeSessionConfig(KConfigGroup&) [pure virtual]
	{51, 142, 326, 1, Smoke::mf_copyctor|Smoke::mf_internal, 103, 1},	//558 KTextEditor::SessionConfigInterface::SessionConfigInterface(const KTextEditor::SessionConfigInterface&)
	{52, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 0},	//559 KTextEditor::SmartCursor::ByCharacter (enum)
	{52, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 1},	//560 KTextEditor::SmartCursor::ByCursorPosition (enum)
	{52, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 2},	//561 KTextEditor::SmartCursor::StayOnInsert (enum)
	{52, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 3},	//562 KTextEditor::SmartCursor::MoveOnInsert (enum)
	{52, 1114, 0, 0, Smoke::mf_dtor, 0, 20},	//563 KTextEditor::SmartCursor::~SmartCursor()
	{52, 556, 0, 0, Smoke::mf_const, 351, 4},	//564 KTextEditor::SmartCursor::isSmartCursor() const
	{52, 1030, 0, 0, Smoke::mf_const, 105, 5},	//565 KTextEditor::SmartCursor::toSmartCursor() const
	{52, 989, 0, 0, Smoke::mf_const, 112, 6},	//566 KTextEditor::SmartCursor::smartRange() const
	{52, 399, 0, 0, Smoke::mf_const, 87, 7},	//567 KTextEditor::SmartCursor::document() const
	{52, 228, 0, 0, Smoke::mf_const, 351, 8},	//568 KTextEditor::SmartCursor::atEndOfLine() const
	{52, 227, 0, 0, Smoke::mf_const, 351, 9},	//569 KTextEditor::SmartCursor::atEndOfDocument() const
	{52, 558, 0, 0, Smoke::mf_const, 351, 10},	//570 KTextEditor::SmartCursor::isValid() const
	{52, 256, 0, 0, Smoke::mf_const, 150, 11},	//571 KTextEditor::SmartCursor::character() const
	{52, 536, 423, 2, 0, 351, 12},	//572 KTextEditor::SmartCursor::insertText(const QStringList&, bool)
	{52, 536, 421, 1, 0, 351, 13},	//573 KTextEditor::SmartCursor::insertText(const QStringList&)
	{52, 212, 436, 2, 0, 351, 14},	//574 KTextEditor::SmartCursor::advance(int, KTextEditor::SmartCursor::AdvanceMode)
	{52, 212, 434, 1, 0, 351, 15},	//575 KTextEditor::SmartCursor::advance(int)
	{52, 521, 0, 0, Smoke::mf_const, 107, 16},	//576 KTextEditor::SmartCursor::insertBehavior() const
	{52, 883, 22, 1, 0, 0, 17},	//577 KTextEditor::SmartCursor::setInsertBehavior(KTextEditor::SmartCursor::InsertBehavior)
	{52, 487, 0, 0, Smoke::mf_const, 351, -1},	//578 KTextEditor::SmartCursor::hasNotifier() const [pure virtual]
	{52, 680, 0, 0, 0, 108, -1},	//579 KTextEditor::SmartCursor::notifier() [pure virtual]
	{52, 387, 0, 0, 0, 0, -1},	//580 KTextEditor::SmartCursor::deleteNotifier() [pure virtual]
	{52, 1069, 0, 0, Smoke::mf_const, 109, -1},	//581 KTextEditor::SmartCursor::watcher() const [pure virtual]
	{52, 962, 24, 1, 0, 0, -1},	//582 KTextEditor::SmartCursor::setWatcher(KTextEditor::SmartCursorWatcher*) [pure virtual]
	{52, 962, 0, 0, 0, 0, -1},	//583 KTextEditor::SmartCursor::setWatcher() [pure virtual]
	{52, 693, 328, 1, 0, 104, 18},	//584 KTextEditor::SmartCursor::operator=(const KTextEditor::SmartCursor&)
	{52, 147, 278, 3, Smoke::mf_protected, 105, 19},	//585 KTextEditor::SmartCursor::SmartCursor(const KTextEditor::Cursor&, KTextEditor::Document*, KTextEditor::SmartCursor::InsertBehavior)
	{53, 627, 0, 0, Smoke::mf_const, 404, 0},	//586 KTextEditor::SmartCursorNotifier::metaObject() const
	{53, 731, 127, 3, 0, 427, 1},	//587 KTextEditor::SmartCursorNotifier::qt_metacall(QMetaObject::Call, int, void**)
	{53, 149, 0, 0, 0, 108, 2},	//588 KTextEditor::SmartCursorNotifier::SmartCursorNotifier()
	{53, 1066, 0, 0, Smoke::mf_const, 351, 3},	//589 KTextEditor::SmartCursorNotifier::wantsDirectChanges() const
	{53, 960, 190, 1, 0, 0, 4},	//590 KTextEditor::SmartCursorNotifier::setWantsDirectChanges(bool)
	{53, 1115, 0, 0, Smoke::mf_dtor, 0, 10},	//591 KTextEditor::SmartCursorNotifier::~SmartCursorNotifier()
	{53, 720, 5, 1, 0, 0, 5},	//592 KTextEditor::SmartCursorNotifier::positionChanged(KTextEditor::SmartCursor*)
	{53, 722, 5, 1, 0, 0, 6},	//593 KTextEditor::SmartCursorNotifier::positionDeleted(KTextEditor::SmartCursor*)
	{53, 258, 19, 2, 0, 0, 7},	//594 KTextEditor::SmartCursorNotifier::characterDeleted(KTextEditor::SmartCursor*, bool)
	{53, 260, 19, 2, 0, 0, 8},	//595 KTextEditor::SmartCursorNotifier::characterInserted(KTextEditor::SmartCursor*, bool)
	{53, 390, 5, 1, 0, 0, 9},	//596 KTextEditor::SmartCursorNotifier::deleted(KTextEditor::SmartCursor*)
	{54, 150, 0, 0, 0, 109, 0},	//597 KTextEditor::SmartCursorWatcher::SmartCursorWatcher()
	{54, 1116, 0, 0, Smoke::mf_dtor, 0, 9},	//598 KTextEditor::SmartCursorWatcher::~SmartCursorWatcher()
	{54, 1066, 0, 0, Smoke::mf_const, 351, 1},	//599 KTextEditor::SmartCursorWatcher::wantsDirectChanges() const
	{54, 960, 190, 1, 0, 0, 2},	//600 KTextEditor::SmartCursorWatcher::setWantsDirectChanges(bool)
	{54, 720, 5, 1, 0, 0, 3},	//601 KTextEditor::SmartCursorWatcher::positionChanged(KTextEditor::SmartCursor*)
	{54, 722, 5, 1, 0, 0, 4},	//602 KTextEditor::SmartCursorWatcher::positionDeleted(KTextEditor::SmartCursor*)
	{54, 258, 19, 2, 0, 0, 5},	//603 KTextEditor::SmartCursorWatcher::characterDeleted(KTextEditor::SmartCursor*, bool)
	{54, 260, 19, 2, 0, 0, 6},	//604 KTextEditor::SmartCursorWatcher::characterInserted(KTextEditor::SmartCursor*, bool)
	{54, 390, 5, 1, 0, 0, 7},	//605 KTextEditor::SmartCursorWatcher::deleted(KTextEditor::SmartCursor*)
	{54, 150, 330, 1, Smoke::mf_copyctor|Smoke::mf_internal, 109, 8},	//606 KTextEditor::SmartCursorWatcher::SmartCursorWatcher(const KTextEditor::SmartCursorWatcher&)
	{55, 152, 0, 0, 0, 110, 0},	//607 KTextEditor::SmartInterface::SmartInterface()
	{55, 1117, 0, 0, Smoke::mf_dtor, 0, 18},	//608 KTextEditor::SmartInterface::~SmartInterface()
	{55, 988, 0, 0, Smoke::mf_const, 207, 1},	//609 KTextEditor::SmartInterface::smartMutex() const
	{55, 285, 0, 0, 0, 0, -1},	//610 KTextEditor::SmartInterface::clearSmartInterface() [pure virtual]
	{55, 283, 0, 0, Smoke::mf_const, 351, 2},	//611 KTextEditor::SmartInterface::clearOnDocumentReload() const
	{55, 847, 190, 1, 0, 0, 3},	//612 KTextEditor::SmartInterface::setClearOnDocumentReload(bool)
	{55, 360, 0, 0, Smoke::mf_const, 427, -1},	//613 KTextEditor::SmartInterface::currentRevision() const [pure virtual]
	{55, 760, 434, 1, Smoke::mf_const, 0, -1},	//614 KTextEditor::SmartInterface::releaseRevision(int) const [pure virtual]
	{55, 1044, 434, 1, 0, 0, -1},	//615 KTextEditor::SmartInterface::useRevision(int) [pure virtual]
	{55, 284, 0, 0, 0, 0, 4},	//616 KTextEditor::SmartInterface::clearRevision()
	{55, 1034, 224, 2, Smoke::mf_const, 84, 5},	//617 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior) const
	{55, 1034, 222, 1, Smoke::mf_const, 84, 6},	//618 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&) const
	{55, 1034, 297, 2, Smoke::mf_const, 99, 7},	//619 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&, KTextEditor::SmartRange::InsertBehaviors) const
	{55, 1034, 288, 1, Smoke::mf_const, 99, 8},	//620 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&) const
	{55, 666, 224, 2, 0, 105, -1},	//621 KTextEditor::SmartInterface::newSmartCursor(const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior) [pure virtual]
	{55, 666, 222, 1, 0, 105, -1},	//622 KTextEditor::SmartInterface::newSmartCursor(const KTextEditor::Cursor&) [pure virtual]
	{55, 666, 0, 0, 0, 105, -1},	//623 KTextEditor::SmartInterface::newSmartCursor() [pure virtual]
	{55, 666, 473, 3, 0, 105, 9},	//624 KTextEditor::SmartInterface::newSmartCursor(int, int, KTextEditor::SmartCursor::InsertBehavior)
	{55, 666, 470, 2, 0, 105, 10},	//625 KTextEditor::SmartInterface::newSmartCursor(int, int)
	{55, 386, 0, 0, 0, 0, -1},	//626 KTextEditor::SmartInterface::deleteCursors() [pure virtual]
	{55, 671, 293, 3, 0, 112, -1},	//627 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors) [pure virtual]
	{55, 671, 290, 2, 0, 112, -1},	//628 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&, KTextEditor::SmartRange*) [pure virtual]
	{55, 671, 288, 1, 0, 112, -1},	//629 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&) [pure virtual]
	{55, 671, 0, 0, 0, 112, -1},	//630 KTextEditor::SmartInterface::newSmartRange() [pure virtual]
	{55, 671, 244, 4, 0, 112, 11},	//631 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors)
	{55, 671, 240, 3, 0, 112, 12},	//632 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*)
	{55, 671, 237, 2, 0, 112, 13},	//633 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
	{55, 671, 492, 6, 0, 112, 14},	//634 KTextEditor::SmartInterface::newSmartRange(int, int, int, int, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors)
	{55, 671, 486, 5, 0, 112, 15},	//635 KTextEditor::SmartInterface::newSmartRange(int, int, int, int, KTextEditor::SmartRange*)
	{55, 671, 481, 4, 0, 112, 16},	//636 KTextEditor::SmartInterface::newSmartRange(int, int, int, int)
	{55, 671, 14, 4, 0, 112, -1},	//637 KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors) [pure virtual]
	{55, 671, 10, 3, 0, 112, -1},	//638 KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*) [pure virtual]
	{55, 671, 7, 2, 0, 112, -1},	//639 KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*) [pure virtual]
	{55, 1037, 26, 1, 0, 0, -1},	//640 KTextEditor::SmartInterface::unbindSmartRange(KTextEditor::SmartRange*) [pure virtual]
	{55, 389, 0, 0, 0, 0, -1},	//641 KTextEditor::SmartInterface::deleteRanges() [pure virtual]
	{55, 198, 38, 2, 0, 0, -1},	//642 KTextEditor::SmartInterface::addHighlightToDocument(KTextEditor::SmartRange*, bool) [pure virtual]
	{55, 198, 26, 1, 0, 0, -1},	//643 KTextEditor::SmartInterface::addHighlightToDocument(KTextEditor::SmartRange*) [pure virtual]
	{55, 771, 26, 1, 0, 0, -1},	//644 KTextEditor::SmartInterface::removeHighlightFromDocument(KTextEditor::SmartRange*) [pure virtual]
	{55, 404, 0, 0, Smoke::mf_const, 396, -1},	//645 KTextEditor::SmartInterface::documentHighlights() const [pure virtual]
	{55, 279, 0, 0, 0, 0, -1},	//646 KTextEditor::SmartInterface::clearDocumentHighlights() [pure virtual]
	{55, 201, 58, 3, 0, 0, -1},	//647 KTextEditor::SmartInterface::addHighlightToView(KTextEditor::View*, KTextEditor::SmartRange*, bool) [pure virtual]
	{55, 201, 55, 2, 0, 0, -1},	//648 KTextEditor::SmartInterface::addHighlightToView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
	{55, 773, 55, 2, 0, 0, -1},	//649 KTextEditor::SmartInterface::removeHighlightFromView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
	{55, 1059, 53, 1, Smoke::mf_const, 396, -1},	//650 KTextEditor::SmartInterface::viewHighlights(KTextEditor::View*) const [pure virtual]
	{55, 288, 53, 1, 0, 0, -1},	//651 KTextEditor::SmartInterface::clearViewHighlights(KTextEditor::View*) [pure virtual]
	{55, 192, 26, 1, 0, 0, -1},	//652 KTextEditor::SmartInterface::addActionsToDocument(KTextEditor::SmartRange*) [pure virtual]
	{55, 762, 26, 1, 0, 0, -1},	//653 KTextEditor::SmartInterface::removeActionsFromDocument(KTextEditor::SmartRange*) [pure virtual]
	{55, 400, 0, 0, Smoke::mf_const, 396, -1},	//654 KTextEditor::SmartInterface::documentActions() const [pure virtual]
	{55, 278, 0, 0, 0, 0, -1},	//655 KTextEditor::SmartInterface::clearDocumentActions() [pure virtual]
	{55, 194, 55, 2, 0, 0, -1},	//656 KTextEditor::SmartInterface::addActionsToView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
	{55, 764, 55, 2, 0, 0, -1},	//657 KTextEditor::SmartInterface::removeActionsFromView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
	{55, 1052, 53, 1, Smoke::mf_const, 396, -1},	//658 KTextEditor::SmartInterface::viewActions(KTextEditor::View*) const [pure virtual]
	{55, 286, 53, 1, 0, 0, -1},	//659 KTextEditor::SmartInterface::clearViewActions(KTextEditor::View*) [pure virtual]
	{55, 152, 332, 1, Smoke::mf_copyctor|Smoke::mf_internal, 110, 17},	//660 KTextEditor::SmartInterface::SmartInterface(const KTextEditor::SmartInterface&)
	{55, 232, 524, 1, Smoke::mf_protected, 0, -1},	//661 KTextEditor::SmartInterface::attributeDynamic(KTextEditor::Attribute::Ptr) [pure virtual]
	{55, 234, 524, 1, Smoke::mf_protected, 0, -1},	//662 KTextEditor::SmartInterface::attributeNotDynamic(KTextEditor::Attribute::Ptr) [pure virtual]
	{56, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 0},	//663 KTextEditor::SmartRange::DoNotExpand (enum)
	{56, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 1},	//664 KTextEditor::SmartRange::ExpandLeft (enum)
	{56, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 2},	//665 KTextEditor::SmartRange::ExpandRight (enum)
	{56, 1118, 0, 0, Smoke::mf_dtor, 0, 56},	//666 KTextEditor::SmartRange::~SmartRange()
	{56, 557, 0, 0, Smoke::mf_const, 351, 3},	//667 KTextEditor::SmartRange::isSmartRange() const
	{56, 1031, 0, 0, Smoke::mf_const, 112, 4},	//668 KTextEditor::SmartRange::toSmartRange() const
	{56, 930, 288, 1, 0, 0, 5},	//669 KTextEditor::SmartRange::setRange(const KTextEditor::Range&)
	{56, 990, 0, 0, 0, 104, 6},	//670 KTextEditor::SmartRange::smartStart()
	{56, 987, 0, 0, 0, 104, 7},	//671 KTextEditor::SmartRange::smartEnd()
	{56, 328, 288, 1, 0, 351, 8},	//672 KTextEditor::SmartRange::confineToRange(const KTextEditor::Range&)
	{56, 458, 288, 1, 0, 351, 9},	//673 KTextEditor::SmartRange::expandToRange(const KTextEditor::Range&)
	{56, 399, 0, 0, Smoke::mf_const, 87, 10},	//674 KTextEditor::SmartRange::document() const
	{56, 1013, 190, 1, Smoke::mf_const, 235, 11},	//675 KTextEditor::SmartRange::text(bool) const
	{56, 1013, 0, 0, Smoke::mf_const, 235, 12},	//676 KTextEditor::SmartRange::text() const
	{56, 794, 423, 2, 0, 351, 13},	//677 KTextEditor::SmartRange::replaceText(const QStringList&, bool)
	{56, 794, 421, 1, 0, 351, 14},	//678 KTextEditor::SmartRange::replaceText(const QStringList&)
	{56, 786, 190, 1, 0, 351, 15},	//679 KTextEditor::SmartRange::removeText(bool)
	{56, 786, 0, 0, 0, 351, 16},	//680 KTextEditor::SmartRange::removeText()
	{56, 521, 0, 0, Smoke::mf_const, 114, 17},	//681 KTextEditor::SmartRange::insertBehavior() const
	{56, 883, 45, 1, 0, 0, 18},	//682 KTextEditor::SmartRange::setInsertBehavior(KTextEditor::SmartRange::InsertBehaviors)
	{56, 709, 0, 0, Smoke::mf_const, 112, 19},	//683 KTextEditor::SmartRange::parentRange() const
	{56, 917, 26, 1, 0, 0, 20},	//684 KTextEditor::SmartRange::setParentRange(KTextEditor::SmartRange*)
	{56, 488, 26, 1, Smoke::mf_const, 351, 21},	//685 KTextEditor::SmartRange::hasParent(KTextEditor::SmartRange*) const
	{56, 392, 0, 0, Smoke::mf_const, 427, 22},	//686 KTextEditor::SmartRange::depth() const
	{56, 1032, 0, 0, Smoke::mf_const, 112, 23},	//687 KTextEditor::SmartRange::topParentRange() const
	{56, 273, 0, 0, Smoke::mf_const, 397, 24},	//688 KTextEditor::SmartRange::childRanges() const
	{56, 277, 0, 0, 0, 0, 25},	//689 KTextEditor::SmartRange::clearChildRanges()
	{56, 385, 0, 0, 0, 0, 26},	//690 KTextEditor::SmartRange::deleteChildRanges()
	{56, 275, 0, 0, 0, 0, 27},	//691 KTextEditor::SmartRange::clearAndDeleteChildRanges()
	{56, 265, 336, 1, Smoke::mf_const, 112, 28},	//692 KTextEditor::SmartRange::childBefore(const KTextEditor::SmartRange*) const
	{56, 263, 336, 1, Smoke::mf_const, 112, 29},	//693 KTextEditor::SmartRange::childAfter(const KTextEditor::SmartRange*) const
	{56, 645, 288, 1, Smoke::mf_const, 112, 30},	//694 KTextEditor::SmartRange::mostSpecificRange(const KTextEditor::Range&) const
	{56, 462, 222, 1, Smoke::mf_const, 112, 31},	//695 KTextEditor::SmartRange::firstRangeContaining(const KTextEditor::Cursor&) const
	{56, 378, 230, 3, Smoke::mf_const, 112, 32},	//696 KTextEditor::SmartRange::deepestRangeContaining(const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*, QStack<KTextEditor::SmartRange*>*) const
	{56, 378, 227, 2, Smoke::mf_const, 112, 33},	//697 KTextEditor::SmartRange::deepestRangeContaining(const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*) const
	{56, 378, 222, 1, Smoke::mf_const, 112, 34},	//698 KTextEditor::SmartRange::deepestRangeContaining(const KTextEditor::Cursor&) const
	{56, 231, 0, 0, Smoke::mf_const, 67, 35},	//699 KTextEditor::SmartRange::attribute() const
	{56, 831, 524, 1, 0, 0, 36},	//700 KTextEditor::SmartRange::setAttribute(KTextEditor::Attribute::Ptr)
	{56, 224, 1, 1, 0, 0, 37},	//701 KTextEditor::SmartRange::associateAction(KAction*)
	{56, 397, 1, 1, 0, 0, 38},	//702 KTextEditor::SmartRange::dissociateAction(KAction*)
	{56, 226, 0, 0, Smoke::mf_const, 394, 39},	//703 KTextEditor::SmartRange::associatedActions() const
	{56, 276, 0, 0, 0, 0, 40},	//704 KTextEditor::SmartRange::clearAssociatedActions()
	{56, 728, 0, 0, 0, 115, 41},	//705 KTextEditor::SmartRange::primaryNotifier()
	{56, 681, 0, 0, Smoke::mf_const, 398, 42},	//706 KTextEditor::SmartRange::notifiers() const
	{56, 206, 47, 1, 0, 0, 43},	//707 KTextEditor::SmartRange::addNotifier(KTextEditor::SmartRangeNotifier*)
	{56, 779, 47, 1, 0, 0, 44},	//708 KTextEditor::SmartRange::removeNotifier(KTextEditor::SmartRangeNotifier*)
	{56, 388, 0, 0, 0, 0, 45},	//709 KTextEditor::SmartRange::deletePrimaryNotifier()
	{56, 1070, 0, 0, Smoke::mf_const, 399, 46},	//710 KTextEditor::SmartRange::watchers() const
	{56, 210, 49, 1, 0, 0, 47},	//711 KTextEditor::SmartRange::addWatcher(KTextEditor::SmartRangeWatcher*)
	{56, 792, 49, 1, 0, 0, 48},	//712 KTextEditor::SmartRange::removeWatcher(KTextEditor::SmartRangeWatcher*)
	{56, 693, 334, 1, 0, 111, 49},	//713 KTextEditor::SmartRange::operator=(const KTextEditor::SmartRange&)
	{56, 693, 288, 1, 0, 111, 50},	//714 KTextEditor::SmartRange::operator=(const KTextEditor::Range&)
	{56, 154, 14, 4, Smoke::mf_protected, 112, 51},	//715 KTextEditor::SmartRange::SmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors)
	{56, 154, 10, 3, Smoke::mf_protected, 112, 52},	//716 KTextEditor::SmartRange::SmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*)
	{56, 154, 7, 2, Smoke::mf_protected, 112, 53},	//717 KTextEditor::SmartRange::SmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*)
	{56, 739, 532, 2, Smoke::mf_protected, 0, 54},	//718 KTextEditor::SmartRange::rangeChanged(KTextEditor::Cursor*, const KTextEditor::Range&)
	{56, 262, 0, 0, Smoke::mf_protected, 0, 55},	//719 KTextEditor::SmartRange::checkFeedback()
	{56, 348, 0, 0, Smoke::mf_protected, 115, -1},	//720 KTextEditor::SmartRange::createNotifier() [pure virtual]
	{57, 627, 0, 0, Smoke::mf_const, 404, 0},	//721 KTextEditor::SmartRangeNotifier::metaObject() const
	{57, 731, 127, 3, 0, 427, 1},	//722 KTextEditor::SmartRangeNotifier::qt_metacall(QMetaObject::Call, int, void**)
	{57, 158, 0, 0, 0, 115, 2},	//723 KTextEditor::SmartRangeNotifier::SmartRangeNotifier()
	{57, 1066, 0, 0, Smoke::mf_const, 351, 3},	//724 KTextEditor::SmartRangeNotifier::wantsDirectChanges() const
	{57, 960, 190, 1, 0, 0, 4},	//725 KTextEditor::SmartRangeNotifier::setWantsDirectChanges(bool)
	{57, 1119, 0, 0, Smoke::mf_dtor, 0, 18},	//726 KTextEditor::SmartRangeNotifier::~SmartRangeNotifier()
	{57, 748, 26, 1, 0, 0, 5},	//727 KTextEditor::SmartRangeNotifier::rangePositionChanged(KTextEditor::SmartRange*)
	{57, 741, 26, 1, 0, 0, 6},	//728 KTextEditor::SmartRangeNotifier::rangeContentsChanged(KTextEditor::SmartRange*)
	{57, 741, 28, 2, 0, 0, 7},	//729 KTextEditor::SmartRangeNotifier::rangeContentsChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
	{57, 649, 35, 2, 0, 0, 8},	//730 KTextEditor::SmartRangeNotifier::mouseEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
	{57, 651, 35, 2, 0, 0, 9},	//731 KTextEditor::SmartRangeNotifier::mouseExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
	{57, 249, 35, 2, 0, 0, 10},	//732 KTextEditor::SmartRangeNotifier::caretEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
	{57, 251, 35, 2, 0, 0, 11},	//733 KTextEditor::SmartRangeNotifier::caretExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
	{57, 746, 26, 1, 0, 0, 12},	//734 KTextEditor::SmartRangeNotifier::rangeEliminated(KTextEditor::SmartRange*)
	{57, 744, 26, 1, 0, 0, 13},	//735 KTextEditor::SmartRangeNotifier::rangeDeleted(KTextEditor::SmartRange*)
	{57, 710, 31, 3, 0, 0, 14},	//736 KTextEditor::SmartRangeNotifier::parentRangeChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*, KTextEditor::SmartRange*)
	{57, 269, 28, 2, 0, 0, 15},	//737 KTextEditor::SmartRangeNotifier::childRangeInserted(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
	{57, 271, 28, 2, 0, 0, 16},	//738 KTextEditor::SmartRangeNotifier::childRangeRemoved(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
	{57, 737, 41, 3, 0, 0, 17},	//739 KTextEditor::SmartRangeNotifier::rangeAttributeChanged(KTextEditor::SmartRange*, KTextEditor::Attribute::Ptr, KTextEditor::Attribute::Ptr)
	{58, 159, 0, 0, 0, 116, 0},	//740 KTextEditor::SmartRangeWatcher::SmartRangeWatcher()
	{58, 1120, 0, 0, Smoke::mf_dtor, 0, 17},	//741 KTextEditor::SmartRangeWatcher::~SmartRangeWatcher()
	{58, 1066, 0, 0, Smoke::mf_const, 351, 1},	//742 KTextEditor::SmartRangeWatcher::wantsDirectChanges() const
	{58, 960, 190, 1, 0, 0, 2},	//743 KTextEditor::SmartRangeWatcher::setWantsDirectChanges(bool)
	{58, 748, 26, 1, 0, 0, 3},	//744 KTextEditor::SmartRangeWatcher::rangePositionChanged(KTextEditor::SmartRange*)
	{58, 741, 26, 1, 0, 0, 4},	//745 KTextEditor::SmartRangeWatcher::rangeContentsChanged(KTextEditor::SmartRange*)
	{58, 741, 28, 2, 0, 0, 5},	//746 KTextEditor::SmartRangeWatcher::rangeContentsChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
	{58, 649, 35, 2, 0, 0, 6},	//747 KTextEditor::SmartRangeWatcher::mouseEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
	{58, 651, 35, 2, 0, 0, 7},	//748 KTextEditor::SmartRangeWatcher::mouseExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
	{58, 249, 35, 2, 0, 0, 8},	//749 KTextEditor::SmartRangeWatcher::caretEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
	{58, 251, 35, 2, 0, 0, 9},	//750 KTextEditor::SmartRangeWatcher::caretExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
	{58, 746, 26, 1, 0, 0, 10},	//751 KTextEditor::SmartRangeWatcher::rangeEliminated(KTextEditor::SmartRange*)
	{58, 744, 26, 1, 0, 0, 11},	//752 KTextEditor::SmartRangeWatcher::rangeDeleted(KTextEditor::SmartRange*)
	{58, 710, 31, 3, 0, 0, 12},	//753 KTextEditor::SmartRangeWatcher::parentRangeChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*, KTextEditor::SmartRange*)
	{58, 269, 28, 2, 0, 0, 13},	//754 KTextEditor::SmartRangeWatcher::childRangeInserted(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
	{58, 271, 28, 2, 0, 0, 14},	//755 KTextEditor::SmartRangeWatcher::childRangeRemoved(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
	{58, 737, 41, 3, 0, 0, 15},	//756 KTextEditor::SmartRangeWatcher::rangeAttributeChanged(KTextEditor::SmartRange*, KTextEditor::Attribute::Ptr, KTextEditor::Attribute::Ptr)
	{58, 159, 338, 1, Smoke::mf_copyctor|Smoke::mf_internal, 116, 16},	//757 KTextEditor::SmartRangeWatcher::SmartRangeWatcher(const KTextEditor::SmartRangeWatcher&)
	{59, 165, 0, 0, 0, 117, 0},	//758 KTextEditor::TemplateInterface::TemplateInterface()
	{59, 1121, 0, 0, Smoke::mf_dtor, 0, 4},	//759 KTextEditor::TemplateInterface::~TemplateInterface()
	{59, 532, 256, 3, 0, 351, 1},	//760 KTextEditor::TemplateInterface::insertTemplateText(const KTextEditor::Cursor&, const QString&, const QMap<QString, QString>&)
	{59, 165, 340, 1, Smoke::mf_copyctor|Smoke::mf_internal, 117, 2},	//761 KTextEditor::TemplateInterface::TemplateInterface(const KTextEditor::TemplateInterface&)
	{59, 456, 122, 2, Smoke::mf_static, 351, 3},	//762 KTextEditor::TemplateInterface::expandMacros(QMap<QString, QString>&, QWidget*)
	{59, 534, 256, 3, Smoke::mf_protected, 351, -1},	//763 KTextEditor::TemplateInterface::insertTemplateTextImplementation(const KTextEditor::Cursor&, const QString&, const QMap<QString, QString>&) [pure virtual]
	{60, 167, 0, 0, 0, 118, 0},	//764 KTextEditor::TextHintInterface::TextHintInterface()
	{60, 1122, 0, 0, Smoke::mf_dtor, 0, 2},	//765 KTextEditor::TextHintInterface::~TextHintInterface()
	{60, 435, 434, 1, 0, 0, -1},	//766 KTextEditor::TextHintInterface::enableTextHints(int) [pure virtual]
	{60, 394, 0, 0, 0, 0, -1},	//767 KTextEditor::TextHintInterface::disableTextHints() [pure virtual]
	{60, 664, 234, 2, 0, 0, -1},	//768 KTextEditor::TextHintInterface::needTextHint(const KTextEditor::Cursor&, QString&) [pure virtual]
	{60, 167, 342, 1, Smoke::mf_copyctor|Smoke::mf_internal, 118, 1},	//769 KTextEditor::TextHintInterface::TextHintInterface(const KTextEditor::TextHintInterface&)
	{61, 173, 0, 0, 0, 119, 0},	//770 KTextEditor::VariableInterface::VariableInterface()
	{61, 1123, 0, 0, Smoke::mf_dtor, 0, 2},	//771 KTextEditor::VariableInterface::~VariableInterface()
	{61, 1046, 403, 1, Smoke::mf_const, 232, -1},	//772 KTextEditor::VariableInterface::variable(const QString&) const [pure virtual]
	{61, 1048, 558, 3, 0, 0, -1},	//773 KTextEditor::VariableInterface::variableChanged(KTextEditor::Document*, const QString&, const QString&) [pure virtual]
	{61, 173, 344, 1, Smoke::mf_copyctor|Smoke::mf_internal, 119, 1},	//774 KTextEditor::VariableInterface::VariableInterface(const KTextEditor::VariableInterface&)
	{62, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 0},	//775 KTextEditor::View::EditInsert (enum)
	{62, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 1},	//776 KTextEditor::View::EditOverwrite (enum)
	{62, 627, 0, 0, Smoke::mf_const, 404, 2},	//777 KTextEditor::View::metaObject() const
	{62, 731, 127, 3, 0, 427, 3},	//778 KTextEditor::View::qt_metacall(QMetaObject::Call, int, void**)
	{62, 175, 171, 1, 0, 120, 4},	//779 KTextEditor::View::View(QWidget*)
	{62, 1124, 0, 0, Smoke::mf_dtor, 0, 21},	//780 KTextEditor::View::~View()
	{62, 399, 0, 0, Smoke::mf_const, 87, -1},	//781 KTextEditor::View::document() const [pure virtual]
	{62, 547, 0, 0, Smoke::mf_const, 351, 5},	//782 KTextEditor::View::isActiveView() const
	{62, 1061, 0, 0, Smoke::mf_const, 232, -1},	//783 KTextEditor::View::viewMode() const [pure virtual]
	{62, 1056, 0, 0, Smoke::mf_const, 426, -1},	//784 KTextEditor::View::viewEditMode() const [pure virtual]
	{62, 858, 125, 1, 0, 0, -1},	//785 KTextEditor::View::setContextMenu(QMenu*) [pure virtual]
	{62, 339, 0, 0, Smoke::mf_const, 199, -1},	//786 KTextEditor::View::contextMenu() const [pure virtual]
	{62, 382, 125, 1, Smoke::mf_const, 199, -1},	//787 KTextEditor::View::defaultContextMenu(QMenu*) const [pure virtual]
	{62, 382, 0, 0, Smoke::mf_const, 199, -1},	//788 KTextEditor::View::defaultContextMenu() const [pure virtual]
	{62, 860, 530, 1, 0, 351, -1},	//789 KTextEditor::View::setCursorPosition(KTextEditor::Cursor) [pure virtual]
	{62, 365, 0, 0, Smoke::mf_const, 84, -1},	//790 KTextEditor::View::cursorPosition() const [pure virtual]
	{62, 369, 0, 0, Smoke::mf_const, 84, -1},	//791 KTextEditor::View::cursorPositionVirtual() const [pure virtual]
	{62, 370, 222, 1, Smoke::mf_const, 225, -1},	//792 KTextEditor::View::cursorToCoordinate(const KTextEditor::Cursor&) const [pure virtual]
	{62, 368, 0, 0, Smoke::mf_const, 225, -1},	//793 KTextEditor::View::cursorPositionCoordinates() const [pure virtual]
	{62, 661, 0, 0, Smoke::mf_const, 351, -1},	//794 KTextEditor::View::mouseTrackingEnabled() const [pure virtual]
	{62, 909, 190, 1, 0, 351, -1},	//795 KTextEditor::View::setMouseTrackingEnabled(bool) [pure virtual]
	{62, 943, 288, 1, 0, 351, -1},	//796 KTextEditor::View::setSelection(const KTextEditor::Range&) [pure virtual]
	{62, 943, 270, 3, 0, 351, 6},	//797 KTextEditor::View::setSelection(const KTextEditor::Cursor&, int, bool)
	{62, 943, 267, 2, 0, 351, 7},	//798 KTextEditor::View::setSelection(const KTextEditor::Cursor&, int)
	{62, 818, 0, 0, Smoke::mf_const, 351, -1},	//799 KTextEditor::View::selection() const [pure virtual]
	{62, 821, 0, 0, Smoke::mf_const, 371, -1},	//800 KTextEditor::View::selectionRange() const [pure virtual]
	{62, 822, 0, 0, Smoke::mf_const, 232, -1},	//801 KTextEditor::View::selectionText() const [pure virtual]
	{62, 784, 0, 0, 0, 351, -1},	//802 KTextEditor::View::removeSelection() [pure virtual]
	{62, 785, 0, 0, 0, 351, -1},	//803 KTextEditor::View::removeSelectionText() [pure virtual]
	{62, 841, 190, 1, 0, 351, -1},	//804 KTextEditor::View::setBlockSelection(bool) [pure virtual]
	{62, 237, 0, 0, Smoke::mf_const, 351, -1},	//805 KTextEditor::View::blockSelection() const [pure virtual]
	{62, 536, 403, 1, 0, 351, 8},	//806 KTextEditor::View::insertText(const QString&)
	{62, 468, 53, 1, 0, 0, 9},	//807 KTextEditor::View::focusIn(KTextEditor::View*)
	{62, 474, 53, 1, 0, 0, 10},	//808 KTextEditor::View::focusOut(KTextEditor::View*)
	{62, 1062, 53, 1, 0, 0, 11},	//809 KTextEditor::View::viewModeChanged(KTextEditor::View*)
	{62, 1057, 62, 2, 0, 0, 12},	//810 KTextEditor::View::viewEditModeChanged(KTextEditor::View*, KTextEditor::View::EditMode)
	{62, 515, 86, 2, 0, 0, 13},	//811 KTextEditor::View::informationMessage(KTextEditor::View*, const QString&)
	{62, 1020, 78, 3, 0, 0, 14},	//812 KTextEditor::View::textInserted(KTextEditor::View*, const KTextEditor::Cursor&, const QString&)
	{62, 340, 65, 2, 0, 0, 15},	//813 KTextEditor::View::contextMenuAboutToShow(KTextEditor::View*, QMenu*)
	{62, 366, 75, 2, 0, 0, 16},	//814 KTextEditor::View::cursorPositionChanged(KTextEditor::View*, const KTextEditor::Cursor&)
	{62, 1050, 75, 2, 0, 0, 17},	//815 KTextEditor::View::verticalScrollPositionChanged(KTextEditor::View*, const KTextEditor::Cursor&)
	{62, 507, 53, 1, 0, 0, 18},	//816 KTextEditor::View::horizontalScrollPositionChanged(KTextEditor::View*)
	{62, 655, 75, 2, 0, 0, 19},	//817 KTextEditor::View::mousePositionChanged(KTextEditor::View*, const KTextEditor::Cursor&)
	{62, 819, 53, 1, 0, 0, 20},	//818 KTextEditor::View::selectionChanged(KTextEditor::View*)
	{64, 186, 357, 1, Smoke::mf_const, 145, 5},	//819 KXMLGUIClient::action(const QDomElement&) const
	{64, 188, 0, 0, Smoke::mf_const, 3, 6},	//820 KXMLGUIClient::actionCollection() const
	{64, 312, 0, 0, Smoke::mf_const, 8, 7},	//821 KXMLGUIClient::componentData() const
	{64, 415, 0, 0, Smoke::mf_const, 168, 8},	//822 KXMLGUIClient::domDocument() const
	{64, 1084, 0, 0, Smoke::mf_const, 232, 9},	//823 KXMLGUIClient::xmlFile() const
	{64, 578, 0, 0, Smoke::mf_const, 232, 10},	//824 KXMLGUIClient::localXMLFile() const
	{64, 851, 195, 1, Smoke::mf_protected, 0, 32},	//825 KXMLGUIClient::setComponentData(const KComponentData&)
	{64, 971, 411, 3, Smoke::mf_protected, 0, 33},	//826 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
	{64, 971, 408, 2, Smoke::mf_protected, 0, 34},	//827 KXMLGUIClient::setXMLFile(const QString&, bool)
	{64, 971, 403, 1, Smoke::mf_protected, 0, 35},	//828 KXMLGUIClient::setXMLFile(const QString&)
	{64, 891, 403, 1, Smoke::mf_protected, 0, 36},	//829 KXMLGUIClient::setLocalXMLFile(const QString&)
	{64, 968, 408, 2, Smoke::mf_protected, 0, 37},	//830 KXMLGUIClient::setXML(const QString&, bool)
	{64, 968, 403, 1, Smoke::mf_protected, 0, 38},	//831 KXMLGUIClient::setXML(const QString&)
	{64, 862, 354, 2, Smoke::mf_protected, 0, 39},	//832 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
	{64, 862, 352, 1, Smoke::mf_protected, 0, 40},	//833 KXMLGUIClient::setDOMDocument(const QDomDocument&)
	{64, 1002, 405, 2, Smoke::mf_protected, 0, 41},	//834 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
	{64, 1002, 403, 1, Smoke::mf_protected, 0, 42},	//835 KXMLGUIClient::stateChanged(const QString&)
	{65, 627, 0, 0, Smoke::mf_const, 404, 0},	//836 QAbstractItemModel::metaObject() const
	{65, 731, 127, 3, 0, 427, 1},	//837 QAbstractItemModel::qt_metacall(QMetaObject::Call, int, void**)
	{65, 512, 477, 3, Smoke::mf_const, 203, -1},	//838 QAbstractItemModel::index(int, int, const QModelIndex&) const [pure virtual]
	{65, 512, 470, 2, Smoke::mf_const, 203, -1},	//839 QAbstractItemModel::index(int, int) const [pure virtual]
	{65, 707, 369, 1, Smoke::mf_const, 203, -1},	//840 QAbstractItemModel::parent(const QModelIndex&) const [pure virtual]
	{65, 806, 369, 1, Smoke::mf_const, 427, -1},	//841 QAbstractItemModel::rowCount(const QModelIndex&) const [pure virtual]
	{65, 806, 0, 0, Smoke::mf_const, 427, -1},	//842 QAbstractItemModel::rowCount() const [pure virtual]
	{65, 301, 369, 1, Smoke::mf_const, 427, -1},	//843 QAbstractItemModel::columnCount(const QModelIndex&) const [pure virtual]
	{65, 301, 0, 0, Smoke::mf_const, 427, -1},	//844 QAbstractItemModel::columnCount() const [pure virtual]
	{65, 485, 369, 1, Smoke::mf_const, 351, 7},	//845 QAbstractItemModel::hasChildren(const QModelIndex&) const
	{65, 485, 0, 0, Smoke::mf_const, 351, 8},	//846 QAbstractItemModel::hasChildren() const
	{65, 374, 381, 2, Smoke::mf_const, 266, -1},	//847 QAbstractItemModel::data(const QModelIndex&, int) const [pure virtual]
	{65, 374, 369, 1, Smoke::mf_const, 266, -1},	//848 QAbstractItemModel::data(const QModelIndex&) const [pure virtual]
	{65, 865, 377, 3, 0, 351, 9},	//849 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
	{65, 865, 374, 2, 0, 351, 10},	//850 QAbstractItemModel::setData(const QModelIndex&, const QVariant&)
	{65, 490, 457, 3, Smoke::mf_const, 266, 11},	//851 QAbstractItemModel::headerData(int, Qt::Orientation, int) const
	{65, 490, 445, 2, Smoke::mf_const, 266, 12},	//852 QAbstractItemModel::headerData(int, Qt::Orientation) const
	{65, 878, 452, 4, 0, 351, 13},	//853 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
	{65, 878, 448, 3, 0, 351, 14},	//854 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&)
	{65, 559, 369, 1, Smoke::mf_const, 196, 15},	//855 QAbstractItemModel::itemData(const QModelIndex&) const
	{65, 885, 371, 2, 0, 351, 16},	//856 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int, QVariant>&)
	{65, 633, 0, 0, Smoke::mf_const, 235, 17},	//857 QAbstractItemModel::mimeTypes() const
	{65, 630, 399, 1, Smoke::mf_const, 202, 18},	//858 QAbstractItemModel::mimeData(const QModelIndexList&) const
	{65, 424, 363, 5, 0, 351, 19},	//859 QAbstractItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
	{65, 1008, 0, 0, Smoke::mf_const, 297, 20},	//860 QAbstractItemModel::supportedDropActions() const
	{65, 529, 477, 3, 0, 351, 23},	//861 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
	{65, 529, 470, 2, 0, 351, 24},	//862 QAbstractItemModel::insertRows(int, int)
	{65, 522, 477, 3, 0, 351, 25},	//863 QAbstractItemModel::insertColumns(int, int, const QModelIndex&)
	{65, 522, 470, 2, 0, 351, 26},	//864 QAbstractItemModel::insertColumns(int, int)
	{65, 781, 477, 3, 0, 351, 27},	//865 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
	{65, 781, 470, 2, 0, 351, 28},	//866 QAbstractItemModel::removeRows(int, int)
	{65, 766, 477, 3, 0, 351, 29},	//867 QAbstractItemModel::removeColumns(int, int, const QModelIndex&)
	{65, 766, 470, 2, 0, 351, 30},	//868 QAbstractItemModel::removeColumns(int, int)
	{65, 460, 369, 1, 0, 0, 39},	//869 QAbstractItemModel::fetchMore(const QModelIndex&)
	{65, 245, 369, 1, Smoke::mf_const, 351, 40},	//870 QAbstractItemModel::canFetchMore(const QModelIndex&) const
	{65, 466, 369, 1, Smoke::mf_const, 309, 41},	//871 QAbstractItemModel::flags(const QModelIndex&) const
	{65, 991, 461, 2, 0, 0, 42},	//872 QAbstractItemModel::sort(int, Qt::SortOrder)
	{65, 991, 434, 1, 0, 0, 43},	//873 QAbstractItemModel::sort(int)
	{65, 243, 369, 1, Smoke::mf_const, 203, 44},	//874 QAbstractItemModel::buddy(const QModelIndex&) const
	{65, 623, 393, 5, Smoke::mf_const, 204, 45},	//875 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, Qt::MatchFlags) const
	{65, 623, 388, 4, Smoke::mf_const, 204, 46},	//876 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int) const
	{65, 623, 384, 3, Smoke::mf_const, 204, 47},	//877 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&) const
	{65, 994, 369, 1, Smoke::mf_const, 228, 48},	//878 QAbstractItemModel::span(const QModelIndex&) const
	{65, 1007, 0, 0, 0, 351, 50},	//879 QAbstractItemModel::submit()
	{65, 805, 0, 0, 0, 0, 51},	//880 QAbstractItemModel::revert()
	{95, 627, 0, 0, Smoke::mf_const, 404, 1},	//881 QObject::metaObject() const
	{95, 731, 127, 3, 0, 427, 2},	//882 QObject::qt_metacall(QMetaObject::Call, int, void**)
	{95, 448, 112, 1, 0, 351, 5},	//883 QObject::event(QEvent*)
	{95, 450, 141, 2, 0, 351, 6},	//884 QObject::eventFilter(QObject*, QEvent*)
	{95, 1028, 167, 1, Smoke::mf_protected, 0, 48},	//885 QObject::timerEvent(QTimerEvent*)
	{95, 267, 98, 1, Smoke::mf_protected, 0, 49},	//886 QObject::childEvent(QChildEvent*)
	{95, 372, 112, 1, Smoke::mf_protected, 0, 50},	//887 QObject::customEvent(QEvent*)
	{95, 330, 426, 1, Smoke::mf_protected, 0, 51},	//888 QObject::connectNotify(const char*)
	{95, 395, 426, 1, Smoke::mf_protected, 0, 52},	//889 QObject::disconnectNotify(const char*)
	{96, 393, 0, 0, Smoke::mf_const, 427, 10},	//890 QPaintDevice::devType() const
	{96, 702, 0, 0, Smoke::mf_const, 213, -1},	//891 QPaintDevice::paintEngine() const [pure virtual]
	{96, 628, 151, 1, Smoke::mf_const|Smoke::mf_protected, 427, 23},	//892 QPaintDevice::metric(QPaintDevice::PaintDeviceMetric) const
	{117, 627, 0, 0, Smoke::mf_const, 404, 3},	//893 QWidget::metaObject() const
	{117, 731, 127, 3, 0, 427, 4},	//894 QWidget::qt_metacall(QMetaObject::Call, int, void**)
	{117, 983, 0, 0, Smoke::mf_const, 228, 178},	//895 QWidget::sizeHint() const
	{117, 634, 0, 0, Smoke::mf_const, 228, 179},	//896 QWidget::minimumSizeHint() const
	{117, 493, 434, 1, Smoke::mf_const, 427, 183},	//897 QWidget::heightForWidth(int) const
	{117, 519, 188, 1, Smoke::mf_const, 266, 224},	//898 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
	{117, 958, 190, 1, 0, 0, 233},	//899 QWidget::setVisible(bool)
	{117, 657, 131, 1, Smoke::mf_protected, 0, 253},	//900 QWidget::mousePressEvent(QMouseEvent*)
	{117, 659, 131, 1, Smoke::mf_protected, 0, 254},	//901 QWidget::mouseReleaseEvent(QMouseEvent*)
	{117, 647, 131, 1, Smoke::mf_protected, 0, 255},	//902 QWidget::mouseDoubleClickEvent(QMouseEvent*)
	{117, 653, 131, 1, Smoke::mf_protected, 0, 256},	//903 QWidget::mouseMoveEvent(QMouseEvent*)
	{117, 1071, 169, 1, Smoke::mf_protected, 0, 257},	//904 QWidget::wheelEvent(QWheelEvent*)
	{117, 561, 120, 1, Smoke::mf_protected, 0, 258},	//905 QWidget::keyPressEvent(QKeyEvent*)
	{117, 563, 120, 1, Smoke::mf_protected, 0, 259},	//906 QWidget::keyReleaseEvent(QKeyEvent*)
	{117, 470, 114, 1, Smoke::mf_protected, 0, 260},	//907 QWidget::focusInEvent(QFocusEvent*)
	{117, 476, 114, 1, Smoke::mf_protected, 0, 261},	//908 QWidget::focusOutEvent(QFocusEvent*)
	{117, 446, 112, 1, Smoke::mf_protected, 0, 262},	//909 QWidget::enterEvent(QEvent*)
	{117, 566, 112, 1, Smoke::mf_protected, 0, 263},	//910 QWidget::leaveEvent(QEvent*)
	{117, 703, 153, 1, Smoke::mf_protected, 0, 264},	//911 QWidget::paintEvent(QPaintEvent*)
	{117, 662, 133, 1, Smoke::mf_protected, 0, 265},	//912 QWidget::moveEvent(QMoveEvent*)
	{117, 803, 155, 1, Smoke::mf_protected, 0, 266},	//913 QWidget::resizeEvent(QResizeEvent*)
	{117, 292, 100, 1, Smoke::mf_protected, 0, 267},	//914 QWidget::closeEvent(QCloseEvent*)
	{117, 342, 102, 1, Smoke::mf_protected, 0, 268},	//915 QWidget::contextMenuEvent(QContextMenuEvent*)
	{117, 1011, 163, 1, Smoke::mf_protected, 0, 269},	//916 QWidget::tabletEvent(QTabletEvent*)
	{117, 189, 96, 1, Smoke::mf_protected, 0, 270},	//917 QWidget::actionEvent(QActionEvent*)
	{117, 416, 104, 1, Smoke::mf_protected, 0, 271},	//918 QWidget::dragEnterEvent(QDragEnterEvent*)
	{117, 420, 108, 1, Smoke::mf_protected, 0, 272},	//919 QWidget::dragMoveEvent(QDragMoveEvent*)
	{117, 418, 106, 1, Smoke::mf_protected, 0, 273},	//920 QWidget::dragLeaveEvent(QDragLeaveEvent*)
	{117, 422, 110, 1, Smoke::mf_protected, 0, 274},	//921 QWidget::dropEvent(QDropEvent*)
	{117, 976, 157, 1, Smoke::mf_protected, 0, 275},	//922 QWidget::showEvent(QShowEvent*)
	{117, 497, 116, 1, Smoke::mf_protected, 0, 276},	//923 QWidget::hideEvent(QHideEvent*)
	{117, 253, 112, 1, Smoke::mf_protected, 0, 277},	//924 QWidget::changeEvent(QEvent*)
	{117, 517, 118, 1, Smoke::mf_protected, 0, 279},	//925 QWidget::inputMethodEvent(QInputMethodEvent*)
	{117, 472, 190, 1, Smoke::mf_protected, 351, 288},	//926 QWidget::focusNextPrevChild(bool)
	{117, 1005, 161, 1, Smoke::mf_protected, 0, 291},	//927 QWidget::styleChange(QStyle&)
	{117, 437, 190, 1, Smoke::mf_protected, 0, 292},	//928 QWidget::enabledChange(bool)
	{117, 705, 401, 1, Smoke::mf_protected, 0, 293},	//929 QWidget::paletteChange(const QPalette&)
	{117, 479, 359, 1, Smoke::mf_protected, 0, 294},	//930 QWidget::fontChange(const QFont&)
	{117, 1074, 190, 1, Smoke::mf_protected, 0, 295},	//931 QWidget::windowActivationChange(bool)
	{117, 565, 0, 0, Smoke::mf_protected, 0, 296},	//932 QWidget::languageChange()
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap ktexteditor_methodMaps[] = {
	{ 0, 0, 0 },	//0 (no method)
	{17, 116, 16},	//1 KParts::Part::Part
	{17, 117, 15},	//2 KParts::Part::Part#
	{17, 373, 31},	//3 KParts::Part::customEvent#
	{17, 434, 18},	//4 KParts::Part::embed#
	{17, 483, 34},	//5 KParts::Part::guiActivateEvent#
	{17, 506, 24},	//6 KParts::Part::hitTest##
	{17, 510, 35},	//7 KParts::Part::hostContainer$
	{17, 511, 27},	//8 KParts::Part::iconLoader
	{17, 555, 26},	//9 KParts::Part::isSelectable
	{17, 575, 36},	//10 KParts::Part::loadPlugins
	{17, 579, 21},	//11 KParts::Part::manager
	{17, 627, 13},	//12 KParts::Part::metaObject
	{17, 713, 32},	//13 KParts::Part::partActivateEvent#
	{17, 717, 33},	//14 KParts::Part::partSelectEvent#
	{17, 732, 14},	//15 KParts::Part::qt_metacall$$?
	{17, 834, 23},	//16 KParts::Part::setAutoDeletePart$
	{17, 836, 22},	//17 KParts::Part::setAutoDeleteWidget$
	{17, 894, 20},	//18 KParts::Part::setManager#
	{17, 938, 25},	//19 KParts::Part::setSelectable$
	{17, 950, 29},	//20 KParts::Part::setStatusBarText$
	{17, 965, 30},	//21 KParts::Part::setWidget#
	{17, 967, 28},	//22 KParts::Part::setWindowCaption$
	{17, 986, 37},	//23 KParts::Part::slotWidgetDestroyed
	{17, 1073, 19},	//24 KParts::Part::widget
	{17, 1106, 17},	//25 KParts::Part::~Part
	{19, 55, 42},	//26 KParts::PartBase::DoNotLoadPlugins
	{19, 91, 43},	//27 KParts::PartBase::LoadPlugins
	{19, 92, 44},	//28 KParts::PartBase::LoadPluginsIfEnabled
	{19, 118, 38},	//29 KParts::PartBase::PartBase
	{19, 576, 47},	//30 KParts::PartBase::loadPlugins###
	{19, 715, 41},	//31 KParts::PartBase::partObject
	{19, 852, 45},	//32 KParts::PartBase::setComponentData#
	{19, 853, 46},	//33 KParts::PartBase::setComponentData#$
	{19, 920, 40},	//34 KParts::PartBase::setPartObject#
	{19, 922, 49},	//35 KParts::PartBase::setPluginInterfaceVersion$
	{19, 924, 48},	//36 KParts::PartBase::setPluginLoadingMode$
	{19, 1107, 39},	//37 KParts::PartBase::~PartBase
	{22, 132, 53},	//38 KParts::ReadOnlyPart::ReadOnlyPart
	{22, 133, 52},	//39 KParts::ReadOnlyPart::ReadOnlyPart#
	{22, 180, 72},	//40 KParts::ReadOnlyPart::abortLoad
	{22, 223, 62},	//41 KParts::ReadOnlyPart::arguments
	{22, 242, 60},	//42 KParts::ReadOnlyPart::browserExtension
	{22, 248, 70},	//43 KParts::ReadOnlyPart::canceled$
	{22, 294, 65},	//44 KParts::ReadOnlyPart::closeStream
	{22, 295, 59},	//45 KParts::ReadOnlyPart::closeUrl
	{22, 306, 68},	//46 KParts::ReadOnlyPart::completed
	{22, 307, 69},	//47 KParts::ReadOnlyPart::completed$
	{22, 483, 73},	//48 KParts::ReadOnlyPart::guiActivateEvent#
	{22, 553, 56},	//49 KParts::ReadOnlyPart::isProgressInfoEnabled
	{22, 577, 75},	//50 KParts::ReadOnlyPart::localFilePath
	{22, 627, 50},	//51 KParts::ReadOnlyPart::metaObject
	{22, 684, 71},	//52 KParts::ReadOnlyPart::openFile
	{22, 686, 63},	//53 KParts::ReadOnlyPart::openStream$#
	{22, 688, 66},	//54 KParts::ReadOnlyPart::openUrl#
	{22, 732, 51},	//55 KParts::ReadOnlyPart::qt_metacall$$?
	{22, 830, 61},	//56 KParts::ReadOnlyPart::setArguments#
	{22, 890, 76},	//57 KParts::ReadOnlyPart::setLocalFilePath$
	{22, 929, 55},	//58 KParts::ReadOnlyPart::setProgressInfoEnabled$
	{22, 957, 74},	//59 KParts::ReadOnlyPart::setUrl#
	{22, 979, 57},	//60 KParts::ReadOnlyPart::showProgressInfo$
	{22, 1001, 67},	//61 KParts::ReadOnlyPart::started#
	{22, 1043, 58},	//62 KParts::ReadOnlyPart::url
	{22, 1083, 64},	//63 KParts::ReadOnlyPart::writeStream#
	{22, 1110, 54},	//64 KParts::ReadOnlyPart::~ReadOnlyPart
	{23, 134, 80},	//65 KParts::ReadWritePart::ReadWritePart
	{23, 135, 79},	//66 KParts::ReadWritePart::ReadWritePart#
	{23, 295, 87},	//67 KParts::ReadWritePart::closeUrl
	{23, 296, 88},	//68 KParts::ReadWritePart::closeUrl$
	{23, 552, 85},	//69 KParts::ReadWritePart::isModified
	{23, 554, 82},	//70 KParts::ReadWritePart::isReadWrite
	{23, 627, 77},	//71 KParts::ReadWritePart::metaObject
	{23, 732, 78},	//72 KParts::ReadWritePart::qt_metacall$$?
	{23, 733, 86},	//73 KParts::ReadWritePart::queryClose
	{23, 808, 92},	//74 KParts::ReadWritePart::save
	{23, 810, 89},	//75 KParts::ReadWritePart::saveAs#
	{23, 811, 95},	//76 KParts::ReadWritePart::saveFile
	{23, 812, 96},	//77 KParts::ReadWritePart::saveToUrl
	{23, 903, 91},	//78 KParts::ReadWritePart::setModified
	{23, 904, 90},	//79 KParts::ReadWritePart::setModified$
	{23, 933, 84},	//80 KParts::ReadWritePart::setReadWrite
	{23, 934, 83},	//81 KParts::ReadWritePart::setReadWrite$
	{23, 981, 94},	//82 KParts::ReadWritePart::sigQueryClose$$
	{23, 1065, 93},	//83 KParts::ReadWritePart::waitSaveComplete
	{23, 1111, 81},	//84 KParts::ReadWritePart::~ReadWritePart
	{26, 6, 104},	//85 KTextEditor::AnnotationInterface::AnnotationInterface
	{26, 7, 105},	//86 KTextEditor::AnnotationInterface::AnnotationInterface#
	{26, 221, 103},	//87 KTextEditor::AnnotationInterface::annotationModel
	{26, 828, 102},	//88 KTextEditor::AnnotationInterface::setAnnotationModel#
	{26, 1085, 101},	//89 KTextEditor::AnnotationInterface::~AnnotationInterface
	{27, 8, 110},	//90 KTextEditor::AnnotationModel::AnnotationModel
	{27, 377, 109},	//91 KTextEditor::AnnotationModel::data$$
	{27, 571, 112},	//92 KTextEditor::AnnotationModel::lineChanged$
	{27, 627, 106},	//93 KTextEditor::AnnotationModel::metaObject
	{27, 732, 107},	//94 KTextEditor::AnnotationModel::qt_metacall$$?
	{27, 802, 111},	//95 KTextEditor::AnnotationModel::reset
	{27, 1086, 108},	//96 KTextEditor::AnnotationModel::~AnnotationModel
	{28, 9, 119},	//97 KTextEditor::AnnotationViewInterface::AnnotationViewInterface
	{28, 10, 120},	//98 KTextEditor::AnnotationViewInterface::AnnotationViewInterface#
	{28, 216, 117},	//99 KTextEditor::AnnotationViewInterface::annotationActivated#$
	{28, 218, 118},	//100 KTextEditor::AnnotationViewInterface::annotationBorderVisibilityChanged#$
	{28, 220, 116},	//101 KTextEditor::AnnotationViewInterface::annotationContextMenuAboutToShow##$
	{28, 548, 115},	//102 KTextEditor::AnnotationViewInterface::isAnnotationBorderVisible
	{28, 826, 114},	//103 KTextEditor::AnnotationViewInterface::setAnnotationBorderVisible$
	{28, 1087, 113},	//104 KTextEditor::AnnotationViewInterface::~AnnotationViewInterface
	{29, 4, 129},	//105 KTextEditor::Attribute::ActivateCaretIn
	{29, 5, 128},	//106 KTextEditor::Attribute::ActivateMouseIn
	{29, 13, 135},	//107 KTextEditor::Attribute::Attribute
	{29, 14, 136},	//108 KTextEditor::Attribute::Attribute#
	{29, 15, 125},	//109 KTextEditor::Attribute::AttributeDynamicEffect
	{29, 16, 126},	//110 KTextEditor::Attribute::AttributeInternalProperty
	{29, 17, 127},	//111 KTextEditor::Attribute::AttributeUserProperty
	{29, 19, 124},	//112 KTextEditor::Attribute::BackgroundFillWhitespace
	{29, 64, 134},	//113 KTextEditor::Attribute::EffectCycleGradient
	{29, 65, 131},	//114 KTextEditor::Attribute::EffectFadeIn
	{29, 66, 132},	//115 KTextEditor::Attribute::EffectFadeOut
	{29, 67, 130},	//116 KTextEditor::Attribute::EffectNone
	{29, 68, 133},	//117 KTextEditor::Attribute::EffectPulse
	{29, 114, 121},	//118 KTextEditor::Attribute::Outline
	{29, 140, 123},	//119 KTextEditor::Attribute::SelectedBackground
	{29, 141, 122},	//120 KTextEditor::Attribute::SelectedForeground
	{29, 226, 151},	//121 KTextEditor::Attribute::associatedActions
	{29, 236, 147},	//122 KTextEditor::Attribute::backgroundFillWhitespace
	{29, 274, 149},	//123 KTextEditor::Attribute::clear
	{29, 276, 152},	//124 KTextEditor::Attribute::clearAssociatedActions
	{29, 427, 153},	//125 KTextEditor::Attribute::dynamicAttribute$
	{29, 432, 155},	//126 KTextEditor::Attribute::effects
	{29, 478, 138},	//127 KTextEditor::Attribute::fontBold
	{29, 484, 150},	//128 KTextEditor::Attribute::hasAnyProperty
	{29, 692, 157},	//129 KTextEditor::Attribute::operator+=#
	{29, 694, 158},	//130 KTextEditor::Attribute::operator=#
	{29, 695, 141},	//131 KTextEditor::Attribute::outline
	{29, 816, 145},	//132 KTextEditor::Attribute::selectedBackground
	{29, 817, 143},	//133 KTextEditor::Attribute::selectedForeground
	{29, 840, 148},	//134 KTextEditor::Attribute::setBackgroundFillWhitespace$
	{29, 869, 154},	//135 KTextEditor::Attribute::setDynamicAttribute$?
	{29, 873, 156},	//136 KTextEditor::Attribute::setEffects$
	{29, 876, 140},	//137 KTextEditor::Attribute::setFontBold
	{29, 877, 139},	//138 KTextEditor::Attribute::setFontBold$
	{29, 916, 142},	//139 KTextEditor::Attribute::setOutline#
	{29, 940, 146},	//140 KTextEditor::Attribute::setSelectedBackground#
	{29, 942, 144},	//141 KTextEditor::Attribute::setSelectedForeground#
	{29, 1088, 137},	//142 KTextEditor::Attribute::~Attribute
	{30, 28, 169},	//143 KTextEditor::CodeCompletionInterface::CodeCompletionInterface
	{30, 29, 170},	//144 KTextEditor::CodeCompletionInterface::CodeCompletionInterface#
	{30, 179, 162},	//145 KTextEditor::CodeCompletionInterface::abortCompletion
	{30, 481, 163},	//146 KTextEditor::CodeCompletionInterface::forceCompletion
	{30, 549, 166},	//147 KTextEditor::CodeCompletionInterface::isAutomaticInvocationEnabled
	{30, 550, 160},	//148 KTextEditor::CodeCompletionInterface::isCompletionActive
	{30, 759, 164},	//149 KTextEditor::CodeCompletionInterface::registerCompletionModel#
	{30, 837, 168},	//150 KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled
	{30, 838, 167},	//151 KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled$
	{30, 998, 161},	//152 KTextEditor::CodeCompletionInterface::startCompletion##
	{30, 1042, 165},	//153 KTextEditor::CodeCompletionInterface::unregisterCompletionModel#
	{30, 1089, 159},	//154 KTextEditor::CodeCompletionInterface::~CodeCompletionInterface
	{31, 1, 220},	//155 KTextEditor::CodeCompletionModel::AccessibilityAccept
	{31, 2, 218},	//156 KTextEditor::CodeCompletionModel::AccessibilityNext
	{31, 3, 219},	//157 KTextEditor::CodeCompletionModel::AccessibilityPrevious
	{31, 11, 216},	//158 KTextEditor::CodeCompletionModel::ArgumentHintDepth
	{31, 12, 175},	//159 KTextEditor::CodeCompletionModel::Arguments
	{31, 18, 222},	//160 KTextEditor::CodeCompletionModel::AutomaticInvocation
	{31, 20, 217},	//161 KTextEditor::CodeCompletionModel::BestMatchesCount
	{31, 27, 185},	//162 KTextEditor::CodeCompletionModel::Class
	{31, 31, 227},	//163 KTextEditor::CodeCompletionModel::CodeCompletionModel#
	{31, 34, 239},	//164 KTextEditor::CodeCompletionModel::ColumnCount
	{31, 41, 206},	//165 KTextEditor::CodeCompletionModel::CompletionRole
	{31, 46, 183},	//166 KTextEditor::CodeCompletionModel::Const
	{31, 52, 211},	//167 KTextEditor::CodeCompletionModel::CustomHighlight
	{31, 53, 205},	//168 KTextEditor::CodeCompletionModel::CustomHighlighting
	{31, 69, 190},	//169 KTextEditor::CodeCompletionModel::Enum
	{31, 74, 214},	//170 KTextEditor::CodeCompletionModel::ExpandingWidget
	{31, 77, 178},	//171 KTextEditor::CodeCompletionModel::FirstProperty
	{31, 78, 196},	//172 KTextEditor::CodeCompletionModel::Friend
	{31, 79, 188},	//173 KTextEditor::CodeCompletionModel::Function
	{31, 80, 201},	//174 KTextEditor::CodeCompletionModel::GlobalScope
	{31, 81, 221},	//175 KTextEditor::CodeCompletionModel::GroupRole
	{31, 82, 210},	//176 KTextEditor::CodeCompletionModel::HighlightingMethod
	{31, 83, 172},	//177 KTextEditor::CodeCompletionModel::Icon
	{31, 84, 212},	//178 KTextEditor::CodeCompletionModel::InheritanceDepth
	{31, 85, 195},	//179 KTextEditor::CodeCompletionModel::Inline
	{31, 86, 204},	//180 KTextEditor::CodeCompletionModel::InternalHighlighting
	{31, 87, 213},	//181 KTextEditor::CodeCompletionModel::IsExpandable
	{31, 88, 215},	//182 KTextEditor::CodeCompletionModel::ItemSelected
	{31, 89, 240},	//183 KTextEditor::CodeCompletionModel::LastItemDataRole
	{31, 90, 202},	//184 KTextEditor::CodeCompletionModel::LastProperty
	{31, 93, 199},	//185 KTextEditor::CodeCompletionModel::LocalScope
	{31, 94, 224},	//186 KTextEditor::CodeCompletionModel::ManualInvocation
	{31, 99, 208},	//187 KTextEditor::CodeCompletionModel::MatchQuality
	{31, 105, 174},	//188 KTextEditor::CodeCompletionModel::Name
	{31, 106, 184},	//189 KTextEditor::CodeCompletionModel::Namespace
	{31, 107, 200},	//190 KTextEditor::CodeCompletionModel::NamespaceScope
	{31, 108, 203},	//191 KTextEditor::CodeCompletionModel::NoHighlighting
	{31, 109, 177},	//192 KTextEditor::CodeCompletionModel::NoProperty
	{31, 115, 194},	//193 KTextEditor::CodeCompletionModel::Override
	{31, 121, 176},	//194 KTextEditor::CodeCompletionModel::Postfix
	{31, 122, 171},	//195 KTextEditor::CodeCompletionModel::Prefix
	{31, 123, 181},	//196 KTextEditor::CodeCompletionModel::Private
	{31, 124, 180},	//197 KTextEditor::CodeCompletionModel::Protected
	{31, 125, 179},	//198 KTextEditor::CodeCompletionModel::Public
	{31, 136, 173},	//199 KTextEditor::CodeCompletionModel::Scope
	{31, 137, 207},	//200 KTextEditor::CodeCompletionModel::ScopeIndex
	{31, 144, 209},	//201 KTextEditor::CodeCompletionModel::SetMatchContext
	{31, 145, 197},	//202 KTextEditor::CodeCompletionModel::Signal
	{31, 146, 198},	//203 KTextEditor::CodeCompletionModel::Slot
	{31, 161, 182},	//204 KTextEditor::CodeCompletionModel::Static
	{31, 163, 186},	//205 KTextEditor::CodeCompletionModel::Struct
	{31, 164, 191},	//206 KTextEditor::CodeCompletionModel::Template
	{31, 169, 192},	//207 KTextEditor::CodeCompletionModel::TypeAlias
	{31, 170, 187},	//208 KTextEditor::CodeCompletionModel::Union
	{31, 171, 223},	//209 KTextEditor::CodeCompletionModel::UserInvocation
	{31, 172, 189},	//210 KTextEditor::CodeCompletionModel::Variable
	{31, 177, 193},	//211 KTextEditor::CodeCompletionModel::Virtual
	{31, 301, 232},	//212 KTextEditor::CodeCompletionModel::columnCount
	{31, 302, 231},	//213 KTextEditor::CodeCompletionModel::columnCount#
	{31, 309, 230},	//214 KTextEditor::CodeCompletionModel::completionInvoked##$
	{31, 513, 234},	//215 KTextEditor::CodeCompletionModel::index$$
	{31, 514, 233},	//216 KTextEditor::CodeCompletionModel::index$$#
	{31, 560, 235},	//217 KTextEditor::CodeCompletionModel::itemData#
	{31, 627, 225},	//218 KTextEditor::CodeCompletionModel::metaObject
	{31, 708, 236},	//219 KTextEditor::CodeCompletionModel::parent#
	{31, 732, 226},	//220 KTextEditor::CodeCompletionModel::qt_metacall$$?
	{31, 806, 238},	//221 KTextEditor::CodeCompletionModel::rowCount
	{31, 807, 237},	//222 KTextEditor::CodeCompletionModel::rowCount#
	{31, 936, 229},	//223 KTextEditor::CodeCompletionModel::setRowCount$
	{31, 1090, 228},	//224 KTextEditor::CodeCompletionModel::~CodeCompletionModel
	{32, 33, 243},	//225 KTextEditor::CodeCompletionModel2::CodeCompletionModel2#
	{32, 455, 244},	//226 KTextEditor::CodeCompletionModel2::executeCompletionItem2###
	{32, 627, 241},	//227 KTextEditor::CodeCompletionModel2::metaObject
	{32, 732, 242},	//228 KTextEditor::CodeCompletionModel2::qt_metacall$$?
	{32, 1091, 245},	//229 KTextEditor::CodeCompletionModel2::~CodeCompletionModel2
	{33, 35, 250},	//230 KTextEditor::Command::Command
	{33, 36, 251},	//231 KTextEditor::Command::Command#
	{33, 299, 247},	//232 KTextEditor::Command::cmds
	{33, 453, 248},	//233 KTextEditor::Command::exec#$$
	{33, 496, 249},	//234 KTextEditor::Command::help#$$
	{33, 1092, 246},	//235 KTextEditor::Command::~Command
	{34, 37, 257},	//236 KTextEditor::CommandExtension::CommandExtension
	{34, 38, 258},	//237 KTextEditor::CommandExtension::CommandExtension#
	{34, 311, 254},	//238 KTextEditor::CommandExtension::completionObject#$
	{34, 465, 253},	//239 KTextEditor::CommandExtension::flagCompletions?
	{34, 730, 256},	//240 KTextEditor::CommandExtension::processText#$
	{34, 1068, 255},	//241 KTextEditor::CommandExtension::wantsToProcessText$
	{34, 1093, 252},	//242 KTextEditor::CommandExtension::~CommandExtension
	{35, 39, 265},	//243 KTextEditor::CommandInterface::CommandInterface
	{35, 40, 266},	//244 KTextEditor::CommandInterface::CommandInterface#
	{35, 304, 264},	//245 KTextEditor::CommandInterface::commandList
	{35, 305, 263},	//246 KTextEditor::CommandInterface::commands
	{35, 735, 262},	//247 KTextEditor::CommandInterface::queryCommand$
	{35, 757, 260},	//248 KTextEditor::CommandInterface::registerCommand#
	{35, 1040, 261},	//249 KTextEditor::CommandInterface::unregisterCommand#
	{35, 1094, 259},	//250 KTextEditor::CommandInterface::~CommandInterface
	{36, 42, 267},	//251 KTextEditor::ConfigInterface::ConfigInterface
	{36, 43, 272},	//252 KTextEditor::ConfigInterface::ConfigInterface#
	{36, 316, 269},	//253 KTextEditor::ConfigInterface::configKeys
	{36, 327, 270},	//254 KTextEditor::ConfigInterface::configValue$
	{36, 855, 271},	//255 KTextEditor::ConfigInterface::setConfigValue$#
	{36, 1095, 268},	//256 KTextEditor::ConfigInterface::~ConfigInterface
	{37, 45, 275},	//257 KTextEditor::ConfigPage::ConfigPage#
	{37, 222, 277},	//258 KTextEditor::ConfigPage::apply
	{37, 255, 280},	//259 KTextEditor::ConfigPage::changed
	{37, 384, 279},	//260 KTextEditor::ConfigPage::defaults
	{37, 627, 273},	//261 KTextEditor::ConfigPage::metaObject
	{37, 732, 274},	//262 KTextEditor::ConfigPage::qt_metacall$$?
	{37, 802, 278},	//263 KTextEditor::ConfigPage::reset
	{37, 1096, 276},	//264 KTextEditor::ConfigPage::~ConfigPage
	{38, 47, 281},	//265 KTextEditor::ContainerInterface::ContainerInterface
	{38, 48, 285},	//266 KTextEditor::ContainerInterface::ContainerInterface#
	{38, 332, 284},	//267 KTextEditor::ContainerInterface::container
	{38, 857, 283},	//268 KTextEditor::ContainerInterface::setContainer#
	{38, 1097, 282},	//269 KTextEditor::ContainerInterface::~ContainerInterface
	{39, 49, 286},	//270 KTextEditor::Cursor::Cursor
	{39, 50, 288},	//271 KTextEditor::Cursor::Cursor#
	{39, 51, 287},	//272 KTextEditor::Cursor::Cursor$$
	{39, 229, 300},	//273 KTextEditor::Cursor::atStartOfDocument
	{39, 230, 299},	//274 KTextEditor::Cursor::atStartOfLine
	{39, 300, 297},	//275 KTextEditor::Cursor::column
	{39, 362, 306},	//276 KTextEditor::Cursor::cursorChangedDirectly#
	{39, 546, 303},	//277 KTextEditor::Cursor::invalid
	{39, 556, 291},	//278 KTextEditor::Cursor::isSmartCursor
	{39, 558, 290},	//279 KTextEditor::Cursor::isValid
	{39, 568, 295},	//280 KTextEditor::Cursor::line
	{39, 719, 301},	//281 KTextEditor::Cursor::position$$
	{39, 736, 302},	//282 KTextEditor::Cursor::range
	{39, 850, 298},	//283 KTextEditor::Cursor::setColumn$
	{39, 888, 296},	//284 KTextEditor::Cursor::setLine$
	{39, 926, 293},	//285 KTextEditor::Cursor::setPosition#
	{39, 927, 294},	//286 KTextEditor::Cursor::setPosition$$
	{39, 931, 305},	//287 KTextEditor::Cursor::setRange#
	{39, 996, 304},	//288 KTextEditor::Cursor::start
	{39, 1030, 292},	//289 KTextEditor::Cursor::toSmartCursor
	{39, 1098, 289},	//290 KTextEditor::Cursor::~Cursor
	{40, 56, 310},	//291 KTextEditor::Document::Document
	{40, 57, 309},	//292 KTextEditor::Document::Document#
	{40, 183, 376},	//293 KTextEditor::Document::aboutToClose#
	{40, 185, 377},	//294 KTextEditor::Document::aboutToReload#
	{40, 191, 314},	//295 KTextEditor::Document::activeView
	{40, 257, 328},	//296 KTextEditor::Document::character#
	{40, 274, 341},	//297 KTextEditor::Document::clear
	{40, 359, 313},	//298 KTextEditor::Document::createView#
	{40, 364, 352},	//299 KTextEditor::Document::cursorInText#
	{40, 403, 333},	//300 KTextEditor::Document::documentEnd
	{40, 405, 316},	//301 KTextEditor::Document::documentName
	{40, 407, 369},	//302 KTextEditor::Document::documentNameChanged#
	{40, 408, 334},	//303 KTextEditor::Document::documentRange
	{40, 409, 320},	//304 KTextEditor::Document::documentReload
	{40, 410, 321},	//305 KTextEditor::Document::documentSave
	{40, 411, 322},	//306 KTextEditor::Document::documentSaveAs
	{40, 413, 370},	//307 KTextEditor::Document::documentUrlChanged#
	{40, 429, 312},	//308 KTextEditor::Document::editor
	{40, 439, 319},	//309 KTextEditor::Document::encoding
	{40, 443, 324},	//310 KTextEditor::Document::endEditing
	{40, 445, 338},	//311 KTextEditor::Document::endOfLine$
	{40, 499, 357},	//312 KTextEditor::Document::highlightingMode
	{40, 501, 379},	//313 KTextEditor::Document::highlightingModeChanged#
	{40, 503, 362},	//314 KTextEditor::Document::highlightingModeSection$
	{40, 504, 359},	//315 KTextEditor::Document::highlightingModes
	{40, 526, 353},	//316 KTextEditor::Document::insertLine$$
	{40, 528, 354},	//317 KTextEditor::Document::insertLines$?
	{40, 537, 343},	//318 KTextEditor::Document::insertText#$
	{40, 538, 342},	//319 KTextEditor::Document::insertText#$$
	{40, 539, 345},	//320 KTextEditor::Document::insertText#?
	{40, 540, 344},	//321 KTextEditor::Document::insertText#?$
	{40, 551, 336},	//322 KTextEditor::Document::isEmpty
	{40, 569, 331},	//323 KTextEditor::Document::line$
	{40, 573, 337},	//324 KTextEditor::Document::lineLength$
	{40, 574, 332},	//325 KTextEditor::Document::lines
	{40, 627, 307},	//326 KTextEditor::Document::metaObject
	{40, 632, 317},	//327 KTextEditor::Document::mimeType
	{40, 635, 356},	//328 KTextEditor::Document::mode
	{40, 637, 378},	//329 KTextEditor::Document::modeChanged#
	{40, 639, 363},	//330 KTextEditor::Document::modeSection$
	{40, 640, 358},	//331 KTextEditor::Document::modes
	{40, 642, 371},	//332 KTextEditor::Document::modifiedChanged#
	{40, 689, 366},	//333 KTextEditor::Document::openingError
	{40, 690, 367},	//334 KTextEditor::Document::openingErrorMessage
	{40, 732, 308},	//335 KTextEditor::Document::qt_metacall$$?
	{40, 776, 355},	//336 KTextEditor::Document::removeLine$
	{40, 787, 351},	//337 KTextEditor::Document::removeText#
	{40, 788, 350},	//338 KTextEditor::Document::removeText#$
	{40, 795, 347},	//339 KTextEditor::Document::replaceText#$
	{40, 796, 346},	//340 KTextEditor::Document::replaceText#$$
	{40, 797, 349},	//341 KTextEditor::Document::replaceText#?
	{40, 798, 348},	//342 KTextEditor::Document::replaceText#?$
	{40, 875, 318},	//343 KTextEditor::Document::setEncoding$
	{40, 882, 361},	//344 KTextEditor::Document::setHighlightingMode$
	{40, 902, 360},	//345 KTextEditor::Document::setMode$
	{40, 912, 380},	//346 KTextEditor::Document::setOpeningError$
	{40, 914, 381},	//347 KTextEditor::Document::setOpeningErrorMessage$
	{40, 952, 364},	//348 KTextEditor::Document::setSuppressOpeningErrorDialogs$
	{40, 954, 339},	//349 KTextEditor::Document::setText$
	{40, 955, 340},	//350 KTextEditor::Document::setText?
	{40, 999, 323},	//351 KTextEditor::Document::startEditing
	{40, 1010, 365},	//352 KTextEditor::Document::suppressOpeningErrorDialogs
	{40, 1013, 325},	//353 KTextEditor::Document::text
	{40, 1014, 327},	//354 KTextEditor::Document::text#
	{40, 1015, 326},	//355 KTextEditor::Document::text#$
	{40, 1018, 372},	//356 KTextEditor::Document::textChanged#
	{40, 1019, 375},	//357 KTextEditor::Document::textChanged###
	{40, 1021, 373},	//358 KTextEditor::Document::textInserted##
	{40, 1024, 330},	//359 KTextEditor::Document::textLines#
	{40, 1025, 329},	//360 KTextEditor::Document::textLines#$
	{40, 1027, 374},	//361 KTextEditor::Document::textRemoved##
	{40, 1033, 335},	//362 KTextEditor::Document::totalCharacters
	{40, 1055, 368},	//363 KTextEditor::Document::viewCreated##
	{40, 1064, 315},	//364 KTextEditor::Document::views
	{40, 1099, 311},	//365 KTextEditor::Document::~Document
	{41, 61, 384},	//366 KTextEditor::Editor::Editor#
	{41, 181, 390},	//367 KTextEditor::Editor::aboutData
	{41, 314, 396},	//368 KTextEditor::Editor::configDialog#
	{41, 315, 395},	//369 KTextEditor::Editor::configDialogSupported
	{41, 318, 398},	//370 KTextEditor::Editor::configPage$#
	{41, 320, 400},	//371 KTextEditor::Editor::configPageFullName$
	{41, 322, 401},	//372 KTextEditor::Editor::configPageIcon$
	{41, 324, 399},	//373 KTextEditor::Editor::configPageName$
	{41, 325, 397},	//374 KTextEditor::Editor::configPages
	{41, 347, 388},	//375 KTextEditor::Editor::createDocument#
	{41, 402, 402},	//376 KTextEditor::Editor::documentCreated##
	{41, 414, 389},	//377 KTextEditor::Editor::documents
	{41, 627, 382},	//378 KTextEditor::Editor::metaObject
	{41, 732, 383},	//379 KTextEditor::Editor::qt_metacall$$?
	{41, 752, 392},	//380 KTextEditor::Editor::readConfig
	{41, 753, 391},	//381 KTextEditor::Editor::readConfig#
	{41, 948, 386},	//382 KTextEditor::Editor::setSimpleMode$
	{41, 982, 387},	//383 KTextEditor::Editor::simpleMode
	{41, 1078, 394},	//384 KTextEditor::Editor::writeConfig
	{41, 1079, 393},	//385 KTextEditor::Editor::writeConfig#
	{41, 1100, 385},	//386 KTextEditor::Editor::~Editor
	{42, 62, 406},	//387 KTextEditor::EditorChooser::EditorChooser
	{42, 63, 405},	//388 KTextEditor::EditorChooser::EditorChooser#
	{42, 255, 412},	//389 KTextEditor::EditorChooser::changed
	{42, 429, 415},	//390 KTextEditor::EditorChooser::editor
	{42, 430, 414},	//391 KTextEditor::EditorChooser::editor$
	{42, 431, 413},	//392 KTextEditor::EditorChooser::editor$$
	{42, 627, 403},	//393 KTextEditor::EditorChooser::metaObject
	{42, 732, 404},	//394 KTextEditor::EditorChooser::qt_metacall$$?
	{42, 750, 409},	//395 KTextEditor::EditorChooser::readAppSetting
	{42, 751, 408},	//396 KTextEditor::EditorChooser::readAppSetting$
	{42, 1076, 411},	//397 KTextEditor::EditorChooser::writeAppSetting
	{42, 1077, 410},	//398 KTextEditor::EditorChooser::writeAppSetting$
	{42, 1101, 407},	//399 KTextEditor::EditorChooser::~EditorChooser
	{43, 76, 418},	//400 KTextEditor::Factory::Factory#
	{43, 429, 420},	//401 KTextEditor::Factory::editor
	{43, 627, 416},	//402 KTextEditor::Factory::metaObject
	{43, 732, 417},	//403 KTextEditor::Factory::qt_metacall$$?
	{43, 1102, 419},	//404 KTextEditor::Factory::~Factory
	{45, 21, 453},	//405 KTextEditor::MarkInterface::Bookmark
	{45, 22, 454},	//406 KTextEditor::MarkInterface::BreakpointActive
	{45, 23, 456},	//407 KTextEditor::MarkInterface::BreakpointDisabled
	{45, 24, 455},	//408 KTextEditor::MarkInterface::BreakpointReached
	{45, 70, 459},	//409 KTextEditor::MarkInterface::Error
	{45, 71, 457},	//410 KTextEditor::MarkInterface::Execution
	{45, 95, 460},	//411 KTextEditor::MarkInterface::MarkAdded
	{45, 96, 462},	//412 KTextEditor::MarkInterface::MarkInterface
	{45, 97, 479},	//413 KTextEditor::MarkInterface::MarkInterface#
	{45, 98, 461},	//414 KTextEditor::MarkInterface::MarkRemoved
	{45, 178, 458},	//415 KTextEditor::MarkInterface::Warning
	{45, 205, 467},	//416 KTextEditor::MarkInterface::addMark$$
	{45, 281, 466},	//417 KTextEditor::MarkInterface::clearMark$
	{45, 282, 470},	//418 KTextEditor::MarkInterface::clearMarks
	{45, 428, 477},	//419 KTextEditor::MarkInterface::editableMarks
	{45, 581, 464},	//420 KTextEditor::MarkInterface::mark$
	{45, 583, 478},	//421 KTextEditor::MarkInterface::markChanged##$
	{45, 585, 475},	//422 KTextEditor::MarkInterface::markDescription$
	{45, 587, 473},	//423 KTextEditor::MarkInterface::markPixmap$
	{45, 588, 421},	//424 KTextEditor::MarkInterface::markType01
	{45, 589, 422},	//425 KTextEditor::MarkInterface::markType02
	{45, 590, 423},	//426 KTextEditor::MarkInterface::markType03
	{45, 591, 424},	//427 KTextEditor::MarkInterface::markType04
	{45, 592, 425},	//428 KTextEditor::MarkInterface::markType05
	{45, 593, 426},	//429 KTextEditor::MarkInterface::markType06
	{45, 594, 427},	//430 KTextEditor::MarkInterface::markType07
	{45, 595, 428},	//431 KTextEditor::MarkInterface::markType08
	{45, 596, 429},	//432 KTextEditor::MarkInterface::markType09
	{45, 597, 430},	//433 KTextEditor::MarkInterface::markType10
	{45, 598, 431},	//434 KTextEditor::MarkInterface::markType11
	{45, 599, 432},	//435 KTextEditor::MarkInterface::markType12
	{45, 600, 433},	//436 KTextEditor::MarkInterface::markType13
	{45, 601, 434},	//437 KTextEditor::MarkInterface::markType14
	{45, 602, 435},	//438 KTextEditor::MarkInterface::markType15
	{45, 603, 436},	//439 KTextEditor::MarkInterface::markType16
	{45, 604, 437},	//440 KTextEditor::MarkInterface::markType17
	{45, 605, 438},	//441 KTextEditor::MarkInterface::markType18
	{45, 606, 439},	//442 KTextEditor::MarkInterface::markType19
	{45, 607, 440},	//443 KTextEditor::MarkInterface::markType20
	{45, 608, 441},	//444 KTextEditor::MarkInterface::markType21
	{45, 609, 442},	//445 KTextEditor::MarkInterface::markType22
	{45, 610, 443},	//446 KTextEditor::MarkInterface::markType23
	{45, 611, 444},	//447 KTextEditor::MarkInterface::markType24
	{45, 612, 445},	//448 KTextEditor::MarkInterface::markType25
	{45, 613, 446},	//449 KTextEditor::MarkInterface::markType26
	{45, 614, 447},	//450 KTextEditor::MarkInterface::markType27
	{45, 615, 448},	//451 KTextEditor::MarkInterface::markType28
	{45, 616, 449},	//452 KTextEditor::MarkInterface::markType29
	{45, 617, 450},	//453 KTextEditor::MarkInterface::markType30
	{45, 618, 451},	//454 KTextEditor::MarkInterface::markType31
	{45, 619, 452},	//455 KTextEditor::MarkInterface::markType32
	{45, 620, 469},	//456 KTextEditor::MarkInterface::marks
	{45, 622, 471},	//457 KTextEditor::MarkInterface::marksChanged#
	{45, 778, 468},	//458 KTextEditor::MarkInterface::removeMark$$
	{45, 801, 480},	//459 KTextEditor::MarkInterface::reservedMarkersCount
	{45, 871, 476},	//460 KTextEditor::MarkInterface::setEditableMarks$
	{45, 896, 465},	//461 KTextEditor::MarkInterface::setMark$$
	{45, 898, 474},	//462 KTextEditor::MarkInterface::setMarkDescription$$
	{45, 900, 472},	//463 KTextEditor::MarkInterface::setMarkPixmap$#
	{45, 1103, 463},	//464 KTextEditor::MarkInterface::~MarkInterface
	{46, 100, 481},	//465 KTextEditor::MdiContainer::MdiContainer
	{46, 101, 489},	//466 KTextEditor::MdiContainer::MdiContainer#
	{46, 191, 484},	//467 KTextEditor::MdiContainer::activeView
	{46, 291, 486},	//468 KTextEditor::MdiContainer::closeDocument#
	{46, 298, 488},	//469 KTextEditor::MdiContainer::closeView#
	{46, 346, 485},	//470 KTextEditor::MdiContainer::createDocument
	{46, 359, 487},	//471 KTextEditor::MdiContainer::createView#
	{46, 824, 483},	//472 KTextEditor::MdiContainer::setActiveView#
	{46, 1104, 482},	//473 KTextEditor::MdiContainer::~MdiContainer
	{47, 102, 494},	//474 KTextEditor::ModificationInterface::ModificationInterface
	{47, 103, 501},	//475 KTextEditor::ModificationInterface::ModificationInterface#
	{47, 110, 492},	//476 KTextEditor::ModificationInterface::OnDiskCreated
	{47, 111, 493},	//477 KTextEditor::ModificationInterface::OnDiskDeleted
	{47, 112, 491},	//478 KTextEditor::ModificationInterface::OnDiskModified
	{47, 113, 490},	//479 KTextEditor::ModificationInterface::OnDiskUnmodified
	{47, 644, 500},	//480 KTextEditor::ModificationInterface::modifiedOnDisk#$$
	{47, 906, 496},	//481 KTextEditor::ModificationInterface::setModifiedOnDisk$
	{47, 908, 497},	//482 KTextEditor::ModificationInterface::setModifiedOnDiskWarning$
	{47, 984, 499},	//483 KTextEditor::ModificationInterface::slotModifiedOnDisk
	{47, 985, 498},	//484 KTextEditor::ModificationInterface::slotModifiedOnDisk#
	{47, 1105, 495},	//485 KTextEditor::ModificationInterface::~ModificationInterface
	{48, 120, 504},	//486 KTextEditor::Plugin::Plugin#
	{48, 197, 506},	//487 KTextEditor::Plugin::addDocument#
	{48, 209, 508},	//488 KTextEditor::Plugin::addView#
	{48, 627, 502},	//489 KTextEditor::Plugin::metaObject
	{48, 732, 503},	//490 KTextEditor::Plugin::qt_metacall$$?
	{48, 770, 507},	//491 KTextEditor::Plugin::removeDocument#
	{48, 791, 509},	//492 KTextEditor::Plugin::removeView#
	{48, 1108, 505},	//493 KTextEditor::Plugin::~Plugin
	{49, 126, 510},	//494 KTextEditor::Range::Range
	{49, 127, 515},	//495 KTextEditor::Range::Range#
	{49, 128, -1},	//496 KTextEditor::Range::Range##
	{49, 129, 512},	//497 KTextEditor::Range::Range#$
	{49, 130, 513},	//498 KTextEditor::Range::Range#$$
	{49, 131, 514},	//499 KTextEditor::Range::Range$$$$
	{49, 239, 541},	//500 KTextEditor::Range::boundaryAtCursor#
	{49, 241, 542},	//501 KTextEditor::Range::boundaryOnLine$
	{49, 303, 530},	//502 KTextEditor::Range::columnWidth
	{49, 329, 527},	//503 KTextEditor::Range::confineToRange#
	{49, 334, -4},	//504 KTextEditor::Range::contains#
	{49, 336, 535},	//505 KTextEditor::Range::containsColumn$
	{49, 338, 534},	//506 KTextEditor::Range::containsLine$
	{49, 441, 544},	//507 KTextEditor::Range::encompass#
	{49, 442, 521},	//508 KTextEditor::Range::end
	{49, 459, 526},	//509 KTextEditor::Range::expandToRange#
	{49, 545, 543},	//510 KTextEditor::Range::intersect#
	{49, 546, 545},	//511 KTextEditor::Range::invalid
	{49, 551, 531},	//512 KTextEditor::Range::isEmpty
	{49, 557, 518},	//513 KTextEditor::Range::isSmartRange
	{49, 558, 517},	//514 KTextEditor::Range::isValid
	{49, 682, 529},	//515 KTextEditor::Range::numberOfLines
	{49, 683, 528},	//516 KTextEditor::Range::onSingleLine
	{49, 697, 536},	//517 KTextEditor::Range::overlaps#
	{49, 699, 538},	//518 KTextEditor::Range::overlapsColumn$
	{49, 701, 537},	//519 KTextEditor::Range::overlapsLine$
	{49, 725, 539},	//520 KTextEditor::Range::positionRelativeToCursor#
	{49, 727, 540},	//521 KTextEditor::Range::positionRelativeToLine$
	{49, 740, 547},	//522 KTextEditor::Range::rangeChanged##
	{49, 844, 523},	//523 KTextEditor::Range::setBothColumns$
	{49, 846, 522},	//524 KTextEditor::Range::setBothLines$
	{49, 931, 524},	//525 KTextEditor::Range::setRange#
	{49, 932, 525},	//526 KTextEditor::Range::setRange##
	{49, 996, 520},	//527 KTextEditor::Range::start
	{49, 1031, 519},	//528 KTextEditor::Range::toSmartRange
	{49, 1109, 516},	//529 KTextEditor::Range::~Range
	{50, 138, 548},	//530 KTextEditor::SearchInterface::SearchInterface
	{50, 139, 553},	//531 KTextEditor::SearchInterface::SearchInterface#
	{50, 814, 551},	//532 KTextEditor::SearchInterface::searchText#$
	{50, 815, 550},	//533 KTextEditor::SearchInterface::searchText#$$
	{50, 1009, 552},	//534 KTextEditor::SearchInterface::supportedSearchOptions
	{50, 1112, 549},	//535 KTextEditor::SearchInterface::~SearchInterface
	{51, 142, 554},	//536 KTextEditor::SessionConfigInterface::SessionConfigInterface
	{51, 143, 558},	//537 KTextEditor::SessionConfigInterface::SessionConfigInterface#
	{51, 755, 556},	//538 KTextEditor::SessionConfigInterface::readSessionConfig#
	{51, 1081, 557},	//539 KTextEditor::SessionConfigInterface::writeSessionConfig#
	{51, 1113, 555},	//540 KTextEditor::SessionConfigInterface::~SessionConfigInterface
	{52, 25, 559},	//541 KTextEditor::SmartCursor::ByCharacter
	{52, 26, 560},	//542 KTextEditor::SmartCursor::ByCursorPosition
	{52, 104, 562},	//543 KTextEditor::SmartCursor::MoveOnInsert
	{52, 148, 585},	//544 KTextEditor::SmartCursor::SmartCursor##$
	{52, 162, 561},	//545 KTextEditor::SmartCursor::StayOnInsert
	{52, 213, 575},	//546 KTextEditor::SmartCursor::advance$
	{52, 214, 574},	//547 KTextEditor::SmartCursor::advance$$
	{52, 227, 569},	//548 KTextEditor::SmartCursor::atEndOfDocument
	{52, 228, 568},	//549 KTextEditor::SmartCursor::atEndOfLine
	{52, 256, 571},	//550 KTextEditor::SmartCursor::character
	{52, 387, 580},	//551 KTextEditor::SmartCursor::deleteNotifier
	{52, 399, 567},	//552 KTextEditor::SmartCursor::document
	{52, 487, 578},	//553 KTextEditor::SmartCursor::hasNotifier
	{52, 521, 576},	//554 KTextEditor::SmartCursor::insertBehavior
	{52, 542, 573},	//555 KTextEditor::SmartCursor::insertText?
	{52, 543, 572},	//556 KTextEditor::SmartCursor::insertText?$
	{52, 556, 564},	//557 KTextEditor::SmartCursor::isSmartCursor
	{52, 558, 570},	//558 KTextEditor::SmartCursor::isValid
	{52, 680, 579},	//559 KTextEditor::SmartCursor::notifier
	{52, 694, 584},	//560 KTextEditor::SmartCursor::operator=#
	{52, 884, 577},	//561 KTextEditor::SmartCursor::setInsertBehavior$
	{52, 962, 583},	//562 KTextEditor::SmartCursor::setWatcher
	{52, 963, 582},	//563 KTextEditor::SmartCursor::setWatcher#
	{52, 989, 566},	//564 KTextEditor::SmartCursor::smartRange
	{52, 1030, 565},	//565 KTextEditor::SmartCursor::toSmartCursor
	{52, 1069, 581},	//566 KTextEditor::SmartCursor::watcher
	{52, 1114, 563},	//567 KTextEditor::SmartCursor::~SmartCursor
	{53, 149, 588},	//568 KTextEditor::SmartCursorNotifier::SmartCursorNotifier
	{53, 259, 594},	//569 KTextEditor::SmartCursorNotifier::characterDeleted#$
	{53, 261, 595},	//570 KTextEditor::SmartCursorNotifier::characterInserted#$
	{53, 391, 596},	//571 KTextEditor::SmartCursorNotifier::deleted#
	{53, 627, 586},	//572 KTextEditor::SmartCursorNotifier::metaObject
	{53, 721, 592},	//573 KTextEditor::SmartCursorNotifier::positionChanged#
	{53, 723, 593},	//574 KTextEditor::SmartCursorNotifier::positionDeleted#
	{53, 732, 587},	//575 KTextEditor::SmartCursorNotifier::qt_metacall$$?
	{53, 961, 590},	//576 KTextEditor::SmartCursorNotifier::setWantsDirectChanges$
	{53, 1066, 589},	//577 KTextEditor::SmartCursorNotifier::wantsDirectChanges
	{53, 1115, 591},	//578 KTextEditor::SmartCursorNotifier::~SmartCursorNotifier
	{54, 150, 597},	//579 KTextEditor::SmartCursorWatcher::SmartCursorWatcher
	{54, 151, 606},	//580 KTextEditor::SmartCursorWatcher::SmartCursorWatcher#
	{54, 259, 603},	//581 KTextEditor::SmartCursorWatcher::characterDeleted#$
	{54, 261, 604},	//582 KTextEditor::SmartCursorWatcher::characterInserted#$
	{54, 391, 605},	//583 KTextEditor::SmartCursorWatcher::deleted#
	{54, 721, 601},	//584 KTextEditor::SmartCursorWatcher::positionChanged#
	{54, 723, 602},	//585 KTextEditor::SmartCursorWatcher::positionDeleted#
	{54, 961, 600},	//586 KTextEditor::SmartCursorWatcher::setWantsDirectChanges$
	{54, 1066, 599},	//587 KTextEditor::SmartCursorWatcher::wantsDirectChanges
	{54, 1116, 598},	//588 KTextEditor::SmartCursorWatcher::~SmartCursorWatcher
	{55, 152, 607},	//589 KTextEditor::SmartInterface::SmartInterface
	{55, 153, 660},	//590 KTextEditor::SmartInterface::SmartInterface#
	{55, 193, 652},	//591 KTextEditor::SmartInterface::addActionsToDocument#
	{55, 195, 656},	//592 KTextEditor::SmartInterface::addActionsToView##
	{55, 199, 643},	//593 KTextEditor::SmartInterface::addHighlightToDocument#
	{55, 200, 642},	//594 KTextEditor::SmartInterface::addHighlightToDocument#$
	{55, 202, 648},	//595 KTextEditor::SmartInterface::addHighlightToView##
	{55, 203, 647},	//596 KTextEditor::SmartInterface::addHighlightToView##$
	{55, 233, 661},	//597 KTextEditor::SmartInterface::attributeDynamic?
	{55, 235, 662},	//598 KTextEditor::SmartInterface::attributeNotDynamic?
	{55, 278, 655},	//599 KTextEditor::SmartInterface::clearDocumentActions
	{55, 279, 646},	//600 KTextEditor::SmartInterface::clearDocumentHighlights
	{55, 283, 611},	//601 KTextEditor::SmartInterface::clearOnDocumentReload
	{55, 284, 616},	//602 KTextEditor::SmartInterface::clearRevision
	{55, 285, 610},	//603 KTextEditor::SmartInterface::clearSmartInterface
	{55, 287, 659},	//604 KTextEditor::SmartInterface::clearViewActions#
	{55, 289, 651},	//605 KTextEditor::SmartInterface::clearViewHighlights#
	{55, 360, 613},	//606 KTextEditor::SmartInterface::currentRevision
	{55, 386, 626},	//607 KTextEditor::SmartInterface::deleteCursors
	{55, 389, 641},	//608 KTextEditor::SmartInterface::deleteRanges
	{55, 400, 654},	//609 KTextEditor::SmartInterface::documentActions
	{55, 404, 645},	//610 KTextEditor::SmartInterface::documentHighlights
	{55, 666, 623},	//611 KTextEditor::SmartInterface::newSmartCursor
	{55, 667, 622},	//612 KTextEditor::SmartInterface::newSmartCursor#
	{55, 668, 621},	//613 KTextEditor::SmartInterface::newSmartCursor#$
	{55, 669, 625},	//614 KTextEditor::SmartInterface::newSmartCursor$$
	{55, 670, 624},	//615 KTextEditor::SmartInterface::newSmartCursor$$$
	{55, 671, 630},	//616 KTextEditor::SmartInterface::newSmartRange
	{55, 672, 629},	//617 KTextEditor::SmartInterface::newSmartRange#
	{55, 673, -7},	//618 KTextEditor::SmartInterface::newSmartRange##
	{55, 674, -11},	//619 KTextEditor::SmartInterface::newSmartRange###
	{55, 675, -14},	//620 KTextEditor::SmartInterface::newSmartRange###$
	{55, 676, 627},	//621 KTextEditor::SmartInterface::newSmartRange##$
	{55, 677, 636},	//622 KTextEditor::SmartInterface::newSmartRange$$$$
	{55, 678, 635},	//623 KTextEditor::SmartInterface::newSmartRange$$$$#
	{55, 679, 634},	//624 KTextEditor::SmartInterface::newSmartRange$$$$#$
	{55, 761, 614},	//625 KTextEditor::SmartInterface::releaseRevision$
	{55, 763, 653},	//626 KTextEditor::SmartInterface::removeActionsFromDocument#
	{55, 765, 657},	//627 KTextEditor::SmartInterface::removeActionsFromView##
	{55, 772, 644},	//628 KTextEditor::SmartInterface::removeHighlightFromDocument#
	{55, 774, 649},	//629 KTextEditor::SmartInterface::removeHighlightFromView##
	{55, 848, 612},	//630 KTextEditor::SmartInterface::setClearOnDocumentReload$
	{55, 988, 609},	//631 KTextEditor::SmartInterface::smartMutex
	{55, 1035, -17},	//632 KTextEditor::SmartInterface::translateFromRevision#
	{55, 1036, -20},	//633 KTextEditor::SmartInterface::translateFromRevision#$
	{55, 1038, 640},	//634 KTextEditor::SmartInterface::unbindSmartRange#
	{55, 1045, 615},	//635 KTextEditor::SmartInterface::useRevision$
	{55, 1053, 658},	//636 KTextEditor::SmartInterface::viewActions#
	{55, 1060, 650},	//637 KTextEditor::SmartInterface::viewHighlights#
	{55, 1117, 608},	//638 KTextEditor::SmartInterface::~SmartInterface
	{56, 54, 663},	//639 KTextEditor::SmartRange::DoNotExpand
	{56, 72, 664},	//640 KTextEditor::SmartRange::ExpandLeft
	{56, 73, 665},	//641 KTextEditor::SmartRange::ExpandRight
	{56, 155, 717},	//642 KTextEditor::SmartRange::SmartRange##
	{56, 156, 716},	//643 KTextEditor::SmartRange::SmartRange###
	{56, 157, 715},	//644 KTextEditor::SmartRange::SmartRange###$
	{56, 207, 707},	//645 KTextEditor::SmartRange::addNotifier#
	{56, 211, 711},	//646 KTextEditor::SmartRange::addWatcher#
	{56, 225, 701},	//647 KTextEditor::SmartRange::associateAction#
	{56, 226, 703},	//648 KTextEditor::SmartRange::associatedActions
	{56, 231, 699},	//649 KTextEditor::SmartRange::attribute
	{56, 262, 719},	//650 KTextEditor::SmartRange::checkFeedback
	{56, 264, 693},	//651 KTextEditor::SmartRange::childAfter#
	{56, 266, 692},	//652 KTextEditor::SmartRange::childBefore#
	{56, 273, 688},	//653 KTextEditor::SmartRange::childRanges
	{56, 275, 691},	//654 KTextEditor::SmartRange::clearAndDeleteChildRanges
	{56, 276, 704},	//655 KTextEditor::SmartRange::clearAssociatedActions
	{56, 277, 689},	//656 KTextEditor::SmartRange::clearChildRanges
	{56, 329, 672},	//657 KTextEditor::SmartRange::confineToRange#
	{56, 348, 720},	//658 KTextEditor::SmartRange::createNotifier
	{56, 379, 698},	//659 KTextEditor::SmartRange::deepestRangeContaining#
	{56, 380, 697},	//660 KTextEditor::SmartRange::deepestRangeContaining#?
	{56, 381, 696},	//661 KTextEditor::SmartRange::deepestRangeContaining#??
	{56, 385, 690},	//662 KTextEditor::SmartRange::deleteChildRanges
	{56, 388, 709},	//663 KTextEditor::SmartRange::deletePrimaryNotifier
	{56, 392, 686},	//664 KTextEditor::SmartRange::depth
	{56, 398, 702},	//665 KTextEditor::SmartRange::dissociateAction#
	{56, 399, 674},	//666 KTextEditor::SmartRange::document
	{56, 459, 673},	//667 KTextEditor::SmartRange::expandToRange#
	{56, 463, 695},	//668 KTextEditor::SmartRange::firstRangeContaining#
	{56, 489, 685},	//669 KTextEditor::SmartRange::hasParent#
	{56, 521, 681},	//670 KTextEditor::SmartRange::insertBehavior
	{56, 557, 667},	//671 KTextEditor::SmartRange::isSmartRange
	{56, 646, 694},	//672 KTextEditor::SmartRange::mostSpecificRange#
	{56, 681, 706},	//673 KTextEditor::SmartRange::notifiers
	{56, 694, -23},	//674 KTextEditor::SmartRange::operator=#
	{56, 709, 683},	//675 KTextEditor::SmartRange::parentRange
	{56, 728, 705},	//676 KTextEditor::SmartRange::primaryNotifier
	{56, 740, 718},	//677 KTextEditor::SmartRange::rangeChanged##
	{56, 780, 708},	//678 KTextEditor::SmartRange::removeNotifier#
	{56, 786, 680},	//679 KTextEditor::SmartRange::removeText
	{56, 789, 679},	//680 KTextEditor::SmartRange::removeText$
	{56, 793, 712},	//681 KTextEditor::SmartRange::removeWatcher#
	{56, 799, 678},	//682 KTextEditor::SmartRange::replaceText?
	{56, 800, 677},	//683 KTextEditor::SmartRange::replaceText?$
	{56, 832, 700},	//684 KTextEditor::SmartRange::setAttribute?
	{56, 884, 682},	//685 KTextEditor::SmartRange::setInsertBehavior$
	{56, 918, 684},	//686 KTextEditor::SmartRange::setParentRange#
	{56, 931, 669},	//687 KTextEditor::SmartRange::setRange#
	{56, 987, 671},	//688 KTextEditor::SmartRange::smartEnd
	{56, 990, 670},	//689 KTextEditor::SmartRange::smartStart
	{56, 1013, 676},	//690 KTextEditor::SmartRange::text
	{56, 1016, 675},	//691 KTextEditor::SmartRange::text$
	{56, 1031, 668},	//692 KTextEditor::SmartRange::toSmartRange
	{56, 1032, 687},	//693 KTextEditor::SmartRange::topParentRange
	{56, 1070, 710},	//694 KTextEditor::SmartRange::watchers
	{56, 1118, 666},	//695 KTextEditor::SmartRange::~SmartRange
	{57, 158, 723},	//696 KTextEditor::SmartRangeNotifier::SmartRangeNotifier
	{57, 250, 732},	//697 KTextEditor::SmartRangeNotifier::caretEnteredRange##
	{57, 252, 733},	//698 KTextEditor::SmartRangeNotifier::caretExitedRange##
	{57, 270, 737},	//699 KTextEditor::SmartRangeNotifier::childRangeInserted##
	{57, 272, 738},	//700 KTextEditor::SmartRangeNotifier::childRangeRemoved##
	{57, 627, 721},	//701 KTextEditor::SmartRangeNotifier::metaObject
	{57, 650, 730},	//702 KTextEditor::SmartRangeNotifier::mouseEnteredRange##
	{57, 652, 731},	//703 KTextEditor::SmartRangeNotifier::mouseExitedRange##
	{57, 711, 736},	//704 KTextEditor::SmartRangeNotifier::parentRangeChanged###
	{57, 732, 722},	//705 KTextEditor::SmartRangeNotifier::qt_metacall$$?
	{57, 738, 739},	//706 KTextEditor::SmartRangeNotifier::rangeAttributeChanged#??
	{57, 742, 728},	//707 KTextEditor::SmartRangeNotifier::rangeContentsChanged#
	{57, 743, 729},	//708 KTextEditor::SmartRangeNotifier::rangeContentsChanged##
	{57, 745, 735},	//709 KTextEditor::SmartRangeNotifier::rangeDeleted#
	{57, 747, 734},	//710 KTextEditor::SmartRangeNotifier::rangeEliminated#
	{57, 749, 727},	//711 KTextEditor::SmartRangeNotifier::rangePositionChanged#
	{57, 961, 725},	//712 KTextEditor::SmartRangeNotifier::setWantsDirectChanges$
	{57, 1066, 724},	//713 KTextEditor::SmartRangeNotifier::wantsDirectChanges
	{57, 1119, 726},	//714 KTextEditor::SmartRangeNotifier::~SmartRangeNotifier
	{58, 159, 740},	//715 KTextEditor::SmartRangeWatcher::SmartRangeWatcher
	{58, 160, 757},	//716 KTextEditor::SmartRangeWatcher::SmartRangeWatcher#
	{58, 250, 749},	//717 KTextEditor::SmartRangeWatcher::caretEnteredRange##
	{58, 252, 750},	//718 KTextEditor::SmartRangeWatcher::caretExitedRange##
	{58, 270, 754},	//719 KTextEditor::SmartRangeWatcher::childRangeInserted##
	{58, 272, 755},	//720 KTextEditor::SmartRangeWatcher::childRangeRemoved##
	{58, 650, 747},	//721 KTextEditor::SmartRangeWatcher::mouseEnteredRange##
	{58, 652, 748},	//722 KTextEditor::SmartRangeWatcher::mouseExitedRange##
	{58, 711, 753},	//723 KTextEditor::SmartRangeWatcher::parentRangeChanged###
	{58, 738, 756},	//724 KTextEditor::SmartRangeWatcher::rangeAttributeChanged#??
	{58, 742, 745},	//725 KTextEditor::SmartRangeWatcher::rangeContentsChanged#
	{58, 743, 746},	//726 KTextEditor::SmartRangeWatcher::rangeContentsChanged##
	{58, 745, 752},	//727 KTextEditor::SmartRangeWatcher::rangeDeleted#
	{58, 747, 751},	//728 KTextEditor::SmartRangeWatcher::rangeEliminated#
	{58, 749, 744},	//729 KTextEditor::SmartRangeWatcher::rangePositionChanged#
	{58, 961, 743},	//730 KTextEditor::SmartRangeWatcher::setWantsDirectChanges$
	{58, 1066, 742},	//731 KTextEditor::SmartRangeWatcher::wantsDirectChanges
	{58, 1120, 741},	//732 KTextEditor::SmartRangeWatcher::~SmartRangeWatcher
	{59, 165, 758},	//733 KTextEditor::TemplateInterface::TemplateInterface
	{59, 166, 761},	//734 KTextEditor::TemplateInterface::TemplateInterface#
	{59, 457, 762},	//735 KTextEditor::TemplateInterface::expandMacros?#
	{59, 533, 760},	//736 KTextEditor::TemplateInterface::insertTemplateText#$?
	{59, 535, 763},	//737 KTextEditor::TemplateInterface::insertTemplateTextImplementation#$?
	{59, 1121, 759},	//738 KTextEditor::TemplateInterface::~TemplateInterface
	{60, 167, 764},	//739 KTextEditor::TextHintInterface::TextHintInterface
	{60, 168, 769},	//740 KTextEditor::TextHintInterface::TextHintInterface#
	{60, 394, 767},	//741 KTextEditor::TextHintInterface::disableTextHints
	{60, 436, 766},	//742 KTextEditor::TextHintInterface::enableTextHints$
	{60, 665, 768},	//743 KTextEditor::TextHintInterface::needTextHint#$
	{60, 1122, 765},	//744 KTextEditor::TextHintInterface::~TextHintInterface
	{61, 173, 770},	//745 KTextEditor::VariableInterface::VariableInterface
	{61, 174, 774},	//746 KTextEditor::VariableInterface::VariableInterface#
	{61, 1047, 772},	//747 KTextEditor::VariableInterface::variable$
	{61, 1049, 773},	//748 KTextEditor::VariableInterface::variableChanged#$$
	{61, 1123, 771},	//749 KTextEditor::VariableInterface::~VariableInterface
	{62, 58, 775},	//750 KTextEditor::View::EditInsert
	{62, 59, 776},	//751 KTextEditor::View::EditOverwrite
	{62, 176, 779},	//752 KTextEditor::View::View#
	{62, 237, 805},	//753 KTextEditor::View::blockSelection
	{62, 339, 786},	//754 KTextEditor::View::contextMenu
	{62, 341, 813},	//755 KTextEditor::View::contextMenuAboutToShow##
	{62, 365, 790},	//756 KTextEditor::View::cursorPosition
	{62, 367, 814},	//757 KTextEditor::View::cursorPositionChanged##
	{62, 368, 793},	//758 KTextEditor::View::cursorPositionCoordinates
	{62, 369, 791},	//759 KTextEditor::View::cursorPositionVirtual
	{62, 371, 792},	//760 KTextEditor::View::cursorToCoordinate#
	{62, 382, 788},	//761 KTextEditor::View::defaultContextMenu
	{62, 383, 787},	//762 KTextEditor::View::defaultContextMenu#
	{62, 399, 781},	//763 KTextEditor::View::document
	{62, 469, 807},	//764 KTextEditor::View::focusIn#
	{62, 475, 808},	//765 KTextEditor::View::focusOut#
	{62, 508, 816},	//766 KTextEditor::View::horizontalScrollPositionChanged#
	{62, 516, 811},	//767 KTextEditor::View::informationMessage#$
	{62, 541, 806},	//768 KTextEditor::View::insertText$
	{62, 547, 782},	//769 KTextEditor::View::isActiveView
	{62, 627, 777},	//770 KTextEditor::View::metaObject
	{62, 656, 817},	//771 KTextEditor::View::mousePositionChanged##
	{62, 661, 794},	//772 KTextEditor::View::mouseTrackingEnabled
	{62, 732, 778},	//773 KTextEditor::View::qt_metacall$$?
	{62, 784, 802},	//774 KTextEditor::View::removeSelection
	{62, 785, 803},	//775 KTextEditor::View::removeSelectionText
	{62, 818, 799},	//776 KTextEditor::View::selection
	{62, 820, 818},	//777 KTextEditor::View::selectionChanged#
	{62, 821, 800},	//778 KTextEditor::View::selectionRange
	{62, 822, 801},	//779 KTextEditor::View::selectionText
	{62, 842, 804},	//780 KTextEditor::View::setBlockSelection$
	{62, 859, 785},	//781 KTextEditor::View::setContextMenu#
	{62, 861, 789},	//782 KTextEditor::View::setCursorPosition#
	{62, 910, 795},	//783 KTextEditor::View::setMouseTrackingEnabled$
	{62, 944, 796},	//784 KTextEditor::View::setSelection#
	{62, 945, 798},	//785 KTextEditor::View::setSelection#$
	{62, 946, 797},	//786 KTextEditor::View::setSelection#$$
	{62, 1022, 812},	//787 KTextEditor::View::textInserted##$
	{62, 1051, 815},	//788 KTextEditor::View::verticalScrollPositionChanged##
	{62, 1056, 784},	//789 KTextEditor::View::viewEditMode
	{62, 1058, 810},	//790 KTextEditor::View::viewEditModeChanged#$
	{62, 1061, 783},	//791 KTextEditor::View::viewMode
	{62, 1063, 809},	//792 KTextEditor::View::viewModeChanged#
	{62, 1124, 780},	//793 KTextEditor::View::~View
};

static Smoke::Index ktexteditor_ambiguousMethodList[] = {
    0,
    511,  // KTextEditor::Range::Range(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    546,  // KTextEditor::Range::Range(KTextEditor::Cursor*, KTextEditor::Cursor*)
    0,
    533,  // KTextEditor::Range::contains(const KTextEditor::Cursor&) const
    532,  // KTextEditor::Range::contains(const KTextEditor::Range&) const
    0,
    639,  // KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*)
    628,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&, KTextEditor::SmartRange*)
    633,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    0,
    632,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*)
    638,  // KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*)
    0,
    631,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors)
    637,  // KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors)
    0,
    618,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&) const
    620,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&) const
    0,
    617,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior) const
    619,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&, KTextEditor::SmartRange::InsertBehaviors) const
    0,
    714,  // KTextEditor::SmartRange::operator=(const KTextEditor::Range&)
    713,  // KTextEditor::SmartRange::operator=(const KTextEditor::SmartRange&)
    0,
};


void init_qt_Smoke();
void init_kde_Smoke();

bool initialized = false;
Smoke *ktexteditor_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_ktexteditor_Smoke() {
    if (initialized) return;
    init_qt_Smoke();
    init_kde_Smoke();
    ktexteditor_Smoke = new Smoke(
        "ktexteditor",
        ktexteditor_classes, 119,
        ktexteditor_methods, 933,
        ktexteditor_methodMaps, 794,
        ktexteditor_methodNames, 1124,
        ktexteditor_types, 431,
        ktexteditor_inheritanceList,
        ktexteditor_argumentList,
        ktexteditor_ambiguousMethodList,
        ktexteditor_cast );
    initialized = true;
}
